/*===========================================================================*/
/*   (Ast/app.scm)                                                           */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


extern obj_t BGl_vrefz00zzast_nodez00;
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_appz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern char * BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t string_to_bstring(char *);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_funz00zzast_varz00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzast_appz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt, obj_t);
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzast_appz00();
static BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t, obj_t, BgL_nodez00_bglt, obj_t);
extern obj_t BGl_findzd2locationzf2locz20zztools_locationz00(obj_t, obj_t);
static obj_t BGl__makezd2appzd2node3745z00zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t);
extern obj_t BGl_vallocz00zzast_nodez00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern long bgl_list_length(obj_t);
static obj_t BGl__applicationzd2ze3node3743z31zzast_appz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long, obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_appz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t, obj_t, BgL_varz00_bglt, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
extern obj_t BGl_vlengthz00zzast_nodez00;
extern BgL_nodez00_bglt BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(obj_t, obj_t, obj_t);
extern bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2objza2z00zztype_cachez00;
static obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t, BgL_varz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_appz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl__correctzd2arityzd2appzf33741zf3zzast_appz00(obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 18 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_correctzd2arityzd2appzf3zd2envz21zzast_appz00, BgL_bgl__correctza7d2arityza7d2appza7f33741za7f3za7za7ast_appza7003926za7, BGl__correctzd2arityzd2appzf33741zf3zzast_appz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2appzd2nodezd2envzd2zzast_appz00, BgL_bgl__makeza7d2appza7d2node3745za700za7za7ast_appza7003927z00, BGl__makezd2appzd2node3745z00zzast_appz00, 0L, 4 );
DEFINE_STRING( BGl_string3896z00zzast_appz00, BgL_bgl_string3896za700za7za7ast_appza7003928z00, "(c-create-vector %%create-vector) (c-vector-set! %%vector-set!) (c-vector-ref %%vector-ref) (c-vector-length %%vector-length) foreign c-cons list \077\077? (c-vector-length %%vector-length c-vector-ref %%vector-ref c-vector-set! %%vector-set! c-create-vector %%create-vector) arg (lambda l l) let fun value (quote ()) app @ quote ", 324 );
DEFINE_STRING( BGl_string3895z00zzast_appz00, BgL_bgl_string3895za700za7za7ast_appza7003929z00, "Illegal special application", 27 );
DEFINE_STRING( BGl_string3894z00zzast_appz00, BgL_bgl_string3894za700za7za7ast_appza7003930z00, "make-special-app-node", 21 );
DEFINE_STRING( BGl_string3893z00zzast_appz00, BgL_bgl_string3893za700za7za7ast_appza7003931z00, "($1,$2,$3)", 10 );
DEFINE_STRING( BGl_string3892z00zzast_appz00, BgL_bgl_string3892za700za7za7ast_appza7003932z00, "($1,$2)", 7 );
DEFINE_STRING( BGl_string3891z00zzast_appz00, BgL_bgl_string3891za700za7za7ast_appza7003933z00, "($1)", 4 );
DEFINE_STRING( BGl_string3890z00zzast_appz00, BgL_bgl_string3890za700za7za7ast_appza7003934z00, "Illegal application: ", 21 );
DEFINE_STRING( BGl_string3889z00zzast_appz00, BgL_bgl_string3889za700za7za7ast_appza7003935z00, " provided", 9 );
DEFINE_STRING( BGl_string3888z00zzast_appz00, BgL_bgl_string3888za700za7za7ast_appza7003936z00, " or more arg(s) expected, ", 26 );
DEFINE_STRING( BGl_string3887z00zzast_appz00, BgL_bgl_string3887za700za7za7ast_appza7003937z00, " arg(s) expected, ", 18 );
DEFINE_EXPORT_PROCEDURE( BGl_applicationzd2ze3nodezd2envze3zzast_appz00, BgL_bgl__applicationza7d2za7e3node3743za731za7za7ast_appza7003938z00, BGl__applicationzd2ze3node3743z31zzast_appz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_appz00(long BgL_checksumz00_3034, char * BgL_fromz00_3035)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_appz00))
{ 
BGl_requirezd2initializa7ationz75zzast_appz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_appz00(); 
BGl_cnstzd2initzd2zzast_appz00(); 
BGl_importedzd2moduleszd2initz00zzast_appz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "ast_app"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "ast_app"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
{ /* Ast/app.scm 14 */
obj_t BgL_cportz00_3027;
BgL_cportz00_3027 = 
open_input_string(BGl_string3896z00zzast_appz00); 
{ 
long BgL_iz00_3028;
BgL_iz00_3028 = ((long)17); 
BgL_loopz00_3029:
if(
(BgL_iz00_3028==((long)-1)))
{ /* Ast/app.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/app.scm 14 */
{ /* Ast/app.scm 14 */
obj_t BgL_arg3900z00_3031;
{ /* Ast/app.scm 14 */
obj_t BgL_list3903z00_3032;
BgL_list3903z00_3032 = 
MAKE_PAIR(BgL_cportz00_3027, BNIL); 
BgL_arg3900z00_3031 = 
BGl_readz00zz__readerz00(BgL_list3903z00_3032); } 
{ /* Ast/app.scm 14 */
int BgL_auxz00_3054;
BgL_auxz00_3054 = 
(int)(BgL_iz00_3028); 
CNST_TABLE_SET(BgL_auxz00_3054, BgL_arg3900z00_3031); } } 
{ 
long BgL_iz00_3057;
{ /* Ast/app.scm 14 */
int BgL_auxz00_3058;
{ /* Ast/app.scm 14 */
long BgL_auxz00_3059;
BgL_auxz00_3059 = 
(BgL_iz00_3028-((long)1)); 
BgL_auxz00_3058 = 
(int)(BgL_auxz00_3059); } 
BgL_iz00_3057 = 
(long)(BgL_auxz00_3058); } 
BgL_iz00_3028 = BgL_iz00_3057; 
goto BgL_loopz00_3029;} } } } } 
}



/* correct-arity-app? */
bool_t BGl_correctzd2arityzd2appzf3zf3zzast_appz00(BgL_variablez00_bglt BgL_varz00_1, obj_t BgL_argsz00_2)
{ AN_OBJECT;
{ /* Ast/app.scm 33 */
{ /* Ast/app.scm 34 */
long BgL_nbzd2argszd2_1250;
BgL_nbzd2argszd2_1250 = 
bgl_list_length(BgL_argsz00_2); 
{ /* Ast/app.scm 35 */
long BgL_arityz00_1251;
{ /* Ast/app.scm 36 */
BgL_funz00_bglt BgL_obj1311z00_1957;
{ /* Ast/app.scm 36 */
BgL_valuez00_bglt BgL_auxz00_3064;
BgL_auxz00_3064 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1))->BgL_valuez00); 
BgL_obj1311z00_1957 = 
(BgL_funz00_bglt)(BgL_auxz00_3064); } 
BgL_arityz00_1251 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_1957))->BgL_arityz00); } 
{ /* Ast/app.scm 36 */

if(
(BgL_arityz00_1251==((long)-1)))
{ /* Ast/app.scm 38 */
return ((bool_t)1);}  else 
{ /* Ast/app.scm 38 */
if(
(BgL_arityz00_1251>=((long)0)))
{ /* Ast/app.scm 40 */
return 
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_1251, BgL_nbzd2argszd2_1250);}  else 
{ /* Ast/app.scm 40 */
{ /* Ast/app.scm 43 */
long BgL_auxz00_3073;
{ /* Ast/app.scm 43 */
long BgL_auxz00_3076;long BgL_auxz00_3074;
BgL_auxz00_3076 = 
(BgL_nbzd2argszd2_1250+((long)1)); 
BgL_auxz00_3074 = 
NEG(BgL_arityz00_1251); 
BgL_auxz00_3073 = 
(BgL_auxz00_3074-BgL_auxz00_3076); } 
return 
(BgL_auxz00_3073<=((long)0));} } } } } } } 
}



/* _correct-arity-app?3741 */
obj_t BGl__correctzd2arityzd2appzf33741zf3zzast_appz00(obj_t BgL_envz00_3012, obj_t BgL_varz00_3013, obj_t BgL_argsz00_3014)
{ AN_OBJECT;
{ /* Ast/app.scm 33 */
{ /* Ast/app.scm 34 */
bool_t BgL_auxz00_3080;
BgL_auxz00_3080 = 
BGl_correctzd2arityzd2appzf3zf3zzast_appz00(
(BgL_variablez00_bglt)(BgL_varz00_3013), BgL_argsz00_3014); 
return 
BBOOL(BgL_auxz00_3080);} } 
}



/* clean-user-node! */
BgL_nodez00_bglt BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_bglt BgL_nodez00_3)
{ AN_OBJECT;
{ /* Ast/app.scm 51 */
{ 
BgL_nodez00_bglt BgL_walkz00_1258;
BgL_walkz00_1258 = BgL_nodez00_3; 
BgL_loopz00_1259:
{ /* Ast/app.scm 53 */
bool_t BgL_test2687z00_1260;
BgL_test2687z00_1260 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_walkz00_1258), BGl_letzd2varzd2zzast_nodez00); 
if(BgL_test2687z00_1260)
{ /* Ast/app.scm 53 */
{ 
obj_t BgL_l2655z00_1261;
{ /* Ast/app.scm 57 */
BgL_letzd2varzd2_bglt BgL_obj2467z00_1970;
BgL_obj2467z00_1970 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_1258); 
BgL_l2655z00_1261 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2467z00_1970))->BgL_bindingsz00); } 
BgL_lname2656z00_1262:
if(
PAIRP(BgL_l2655z00_1261))
{ /* Ast/app.scm 55 */
{ /* Ast/app.scm 56 */
BgL_localz00_bglt BgL_obj1273z00_1974;
{ /* Ast/app.scm 56 */
obj_t BgL_auxz00_3089;
{ /* Ast/app.scm 56 */
obj_t BgL_auxz00_3090;
BgL_auxz00_3090 = 
CAR(BgL_l2655z00_1261); 
BgL_auxz00_3089 = 
CAR(BgL_auxz00_3090); } 
BgL_obj1273z00_1974 = 
(BgL_localz00_bglt)(BgL_auxz00_3089); } 
((((BgL_localz00_bglt)CREF(BgL_obj1273z00_1974))->BgL_userzf3zf3) = ((bool_t)((bool_t)0)), BUNSPEC); } 
{ 
obj_t BgL_l2655z00_3095;
BgL_l2655z00_3095 = 
CDR(BgL_l2655z00_1261); 
BgL_l2655z00_1261 = BgL_l2655z00_3095; 
goto BgL_lname2656z00_1262;} }  else 
{ /* Ast/app.scm 55 */((bool_t)1); } } 
{ 
BgL_nodez00_bglt BgL_walkz00_3099;
{ /* Ast/app.scm 58 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_1977;
BgL_obj2470z00_1977 = 
(BgL_letzd2varzd2_bglt)(BgL_walkz00_1258); 
BgL_walkz00_3099 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_1977))->BgL_bodyz00); } 
BgL_walkz00_1258 = BgL_walkz00_3099; 
goto BgL_loopz00_1259;} }  else 
{ /* Ast/app.scm 53 */
return BgL_nodez00_3;} } } } 
}



/* application->node */
BgL_nodez00_bglt BGl_applicationzd2ze3nodez31zzast_appz00(obj_t BgL_expz00_4, obj_t BgL_stackz00_5, obj_t BgL_locz00_6, obj_t BgL_sitez00_7)
{ AN_OBJECT;
{ /* Ast/app.scm 73 */
{ 
obj_t BgL_expz00_1350;
{ /* Ast/app.scm 88 */
obj_t BgL_locz00_1270;
BgL_locz00_1270 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_expz00_4, BgL_locz00_6); 
{ /* Ast/app.scm 88 */
obj_t BgL_errzd2nbzd2_1271;
BgL_errzd2nbzd2_1271 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
{ /* Ast/app.scm 89 */
obj_t BgL_debugstampz00_1272;
BgL_debugstampz00_1272 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
{ /* Ast/app.scm 91 */
BgL_nodez00_bglt BgL_funz00_1274;
BgL_funz00_1274 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_expz00_4), BgL_stackz00_5, BgL_locz00_1270, 
CNST_TABLE_REF(((long)2))); 
{ /* Ast/app.scm 93 */
bool_t BgL_funzd2errzf3z21_1275;
{ /* Ast/app.scm 94 */
long BgL_n1z00_1979;long BgL_n2z00_1980;
BgL_n1z00_1979 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_n2z00_1980 = 
(long)CINT(BgL_errzd2nbzd2_1271); 
BgL_funzd2errzf3z21_1275 = 
(BgL_n1z00_1979>BgL_n2z00_1980); } 
{ /* Ast/app.scm 94 */

{ /* Ast/app.scm 95 */
bool_t BgL_test2708z00_1276;
{ /* Ast/app.scm 95 */
bool_t BgL_testz00_3111;
BgL_expz00_1350 = BgL_expz00_4; 
{ 
obj_t BgL_expz00_1352;
BgL_expz00_1352 = BgL_expz00_1350; 
BgL_loopz00_1353:
if(
NULLP(BgL_expz00_1352))
{ /* Ast/app.scm 76 */
BgL_testz00_3111 = ((bool_t)1)
; }  else 
{ 

{ /* Ast/app.scm 78 */
obj_t BgL_ezd2124zd2_1359;
BgL_ezd2124zd2_1359 = 
CAR(BgL_expz00_1352); 
if(
PAIRP(BgL_ezd2124zd2_1359))
{ /* Ast/app.scm 78 */
bool_t BgL_testz00_3117;
{ /* Ast/app.scm 78 */
obj_t BgL_auxz00_3120;obj_t BgL_auxz00_3118;
BgL_auxz00_3120 = 
CNST_TABLE_REF(((long)0)); 
BgL_auxz00_3118 = 
CAR(BgL_ezd2124zd2_1359); 
BgL_testz00_3117 = 
(BgL_auxz00_3118==BgL_auxz00_3120); } 
if(BgL_testz00_3117)
{ /* Ast/app.scm 78 */
{ 
obj_t BgL_expz00_3123;
BgL_expz00_3123 = 
CDR(BgL_expz00_1352); 
BgL_expz00_1352 = BgL_expz00_3123; 
goto BgL_loopz00_1353;} }  else 
{ /* Ast/app.scm 78 */
obj_t BgL_cdrzd2130zd2_1362;
BgL_cdrzd2130zd2_1362 = 
CDR(BgL_ezd2124zd2_1359); 
{ /* Ast/app.scm 78 */
bool_t BgL_testz00_3126;
{ /* Ast/app.scm 78 */
obj_t BgL_auxz00_3129;obj_t BgL_auxz00_3127;
BgL_auxz00_3129 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3127 = 
CAR(BgL_ezd2124zd2_1359); 
BgL_testz00_3126 = 
(BgL_auxz00_3127==BgL_auxz00_3129); } 
if(BgL_testz00_3126)
{ /* Ast/app.scm 78 */
if(
PAIRP(BgL_cdrzd2130zd2_1362))
{ /* Ast/app.scm 78 */
obj_t BgL_cdrzd2132zd2_1365;
BgL_cdrzd2132zd2_1365 = 
CDR(BgL_cdrzd2130zd2_1362); 
{ /* Ast/app.scm 78 */
bool_t BgL_testz00_3135;
{ /* Ast/app.scm 78 */
obj_t BgL_auxz00_3136;
BgL_auxz00_3136 = 
CAR(BgL_cdrzd2130zd2_1362); 
BgL_testz00_3135 = 
SYMBOLP(BgL_auxz00_3136); } 
if(BgL_testz00_3135)
{ /* Ast/app.scm 78 */
if(
PAIRP(BgL_cdrzd2132zd2_1365))
{ /* Ast/app.scm 78 */
bool_t BgL_testz00_3141;
{ /* Ast/app.scm 78 */
obj_t BgL_auxz00_3142;
BgL_auxz00_3142 = 
CAR(BgL_cdrzd2132zd2_1365); 
BgL_testz00_3141 = 
SYMBOLP(BgL_auxz00_3142); } 
if(BgL_testz00_3141)
{ /* Ast/app.scm 78 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(BgL_cdrzd2132zd2_1365), BNIL))
{ /* Ast/app.scm 78 */
{ 
obj_t BgL_expz00_3148;
BgL_expz00_3148 = 
CDR(BgL_expz00_1352); 
BgL_expz00_1352 = BgL_expz00_3148; 
goto BgL_loopz00_1353;} }  else 
{ /* Ast/app.scm 78 */
BgL_tagzd2123zd2_1358:
{ /* Ast/app.scm 86 */
bool_t BgL__ortest_2657z00_1381;
BgL__ortest_2657z00_1381 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_expz00_1352), BGl_atomz00zzast_nodez00); 
if(BgL__ortest_2657z00_1381)
{ /* Ast/app.scm 86 */
BgL_testz00_3111 = BgL__ortest_2657z00_1381
; }  else 
{ /* Ast/app.scm 86 */
BgL_testz00_3111 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_expz00_1352), BGl_varz00zzast_nodez00)
; } } } }  else 
{ /* Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1358;} }  else 
{ /* Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1358;} }  else 
{ /* Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1358;} } }  else 
{ /* Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1358;} }  else 
{ /* Ast/app.scm 78 */
goto BgL_tagzd2123zd2_1358;} } } }  else 
{ /* Ast/app.scm 78 */
{ 
obj_t BgL_expz00_3155;
BgL_expz00_3155 = 
CDR(BgL_expz00_1352); 
BgL_expz00_1352 = BgL_expz00_3155; 
goto BgL_loopz00_1353;} } } } } 
if(BgL_testz00_3111)
{ /* Ast/app.scm 95 */
BgL_test2708z00_1276 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1274), BGl_varz00zzast_nodez00); }  else 
{ /* Ast/app.scm 95 */
BgL_test2708z00_1276 = ((bool_t)0); } } 
if(BgL_test2708z00_1276)
{ /* Ast/app.scm 96 */
obj_t BgL_argsz00_1277;
BgL_argsz00_1277 = 
CDR(BgL_expz00_4); 
{ /* Ast/app.scm 96 */
long BgL_deltaz00_1278;
BgL_deltaz00_1278 = 
BGl_checkzd2userzd2appz00zzast_appz00(BgL_funz00_1274, BgL_argsz00_1277); 
{ /* Ast/app.scm 97 */

{ /* Ast/app.scm 99 */
bool_t BgL_test2709z00_1279;
BgL_test2709z00_1279 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1274), BGl_varz00zzast_nodez00); 
if(BgL_test2709z00_1279)
{ /* Ast/app.scm 99 */
if(
(BgL_deltaz00_1278==((long)0)))
{ /* Ast/app.scm 101 */
return 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_5, BgL_locz00_1270, 
(BgL_varz00_bglt)(BgL_funz00_1274), BgL_argsz00_1277);}  else 
{ /* Ast/app.scm 101 */
return 
BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(BgL_expz00_4, BgL_locz00_1270, BgL_funz00_1274, BgL_argsz00_1277);} }  else 
{ /* Ast/app.scm 99 */
return 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CNST_TABLE_REF(((long)3)), BgL_stackz00_5, BgL_locz00_1270, 
CNST_TABLE_REF(((long)4)));} } } } }  else 
{ 
obj_t BgL_oldzd2argszd2_1281;obj_t BgL_newzd2argszd2_1282;obj_t BgL_bindingsz00_1283;
BgL_oldzd2argszd2_1281 = 
CDR(BgL_expz00_4); 
BgL_newzd2argszd2_1282 = BNIL; 
BgL_bindingsz00_1283 = BNIL; 
BgL_loopz00_1284:
if(
NULLP(BgL_oldzd2argszd2_1281))
{ /* Ast/app.scm 109 */
{ /* Ast/app.scm 117 */
bool_t BgL_test2725z00_1291;
BgL_test2725z00_1291 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1274), BGl_varz00zzast_nodez00); 
if(BgL_test2725z00_1291)
{ /* Ast/app.scm 117 */
{ /* Ast/app.scm 125 */
BgL_nodez00_bglt BgL_nodez00_1292;
{ /* Ast/app.scm 125 */
obj_t BgL_arg2728z00_1293;
BgL_arg2728z00_1293 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_1282, BgL_bindingsz00_1283, 
(obj_t)(BgL_funz00_1274)); 
BgL_nodez00_1292 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg2728z00_1293, BgL_stackz00_5, BgL_locz00_1270, BgL_sitez00_7); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_1292);} }  else 
{ /* Ast/app.scm 130 */
obj_t BgL_newzd2funzd2_1294;
{ /* Ast/app.scm 130 */
obj_t BgL_arg2758z00_1309;
BgL_arg2758z00_1309 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)5)), BEOA); 
BgL_newzd2funzd2_1294 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2758z00_1309); } 
{ /* Ast/app.scm 130 */
obj_t BgL_lexpz00_1295;
{ /* Ast/app.scm 131 */
obj_t BgL_arg2734z00_1298;obj_t BgL_arg2735z00_1299;
BgL_arg2734z00_1298 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 131 */
obj_t BgL_arg2738z00_1300;obj_t BgL_arg2739z00_1301;
{ /* Ast/app.scm 131 */
obj_t BgL_arg2742z00_1302;
{ /* Ast/app.scm 131 */
obj_t BgL_arg2746z00_1304;
{ /* Ast/app.scm 131 */
obj_t BgL_auxz00_3187;
if(BgL_funzd2errzf3z21_1275)
{ /* Ast/app.scm 131 */
BgL_auxz00_3187 = 
CNST_TABLE_REF(((long)7))
; }  else 
{ /* Ast/app.scm 131 */
BgL_auxz00_3187 = 
(obj_t)(BgL_funz00_1274)
; } 
BgL_arg2746z00_1304 = 
MAKE_PAIR(BgL_auxz00_3187, BNIL); } 
BgL_arg2742z00_1302 = 
MAKE_PAIR(BgL_newzd2funzd2_1294, BgL_arg2746z00_1304); } 
BgL_arg2738z00_1300 = 
MAKE_PAIR(BgL_arg2742z00_1302, BNIL); } 
{ /* Ast/app.scm 137 */
obj_t BgL_arg2753z00_1307;
BgL_arg2753z00_1307 = 
BGl_makezd2thezd2appz00zzast_appz00(BgL_newzd2argszd2_1282, BgL_bindingsz00_1283, BgL_newzd2funzd2_1294); 
BgL_arg2739z00_1301 = 
MAKE_PAIR(BgL_arg2753z00_1307, BNIL); } 
BgL_arg2735z00_1299 = 
MAKE_PAIR(BgL_arg2738z00_1300, BgL_arg2739z00_1301); } 
BgL_lexpz00_1295 = 
MAKE_PAIR(BgL_arg2734z00_1298, BgL_arg2735z00_1299); } 
{ /* Ast/app.scm 138 */
BgL_nodez00_bglt BgL_nodez00_1297;
BgL_nodez00_1297 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lexpz00_1295, BgL_stackz00_5, BgL_locz00_1270, BgL_sitez00_7); 
{ /* Ast/app.scm 142 */

return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_nodez00_1297);} } } } } }  else 
{ /* Ast/app.scm 144 */
bool_t BgL_testz00_3200;
{ /* Ast/app.scm 144 */
bool_t BgL_testz00_3201;
{ /* Ast/app.scm 144 */
obj_t BgL_auxz00_3202;
BgL_auxz00_3202 = 
CAR(BgL_oldzd2argszd2_1281); 
BgL_testz00_3201 = 
SYMBOLP(BgL_auxz00_3202); } 
if(BgL_testz00_3201)
{ /* Ast/app.scm 144 */
BgL_testz00_3200 = ((bool_t)1)
; }  else 
{ /* Ast/app.scm 145 */
obj_t BgL_auxz00_3205;
BgL_auxz00_3205 = 
CAR(BgL_oldzd2argszd2_1281); 
BgL_testz00_3200 = 
CNSTP(BgL_auxz00_3205); } } 
if(BgL_testz00_3200)
{ /* Ast/app.scm 144 */
{ /* Ast/app.scm 146 */
obj_t BgL_arg2797z00_1327;obj_t BgL_arg2798z00_1328;
BgL_arg2797z00_1327 = 
CDR(BgL_oldzd2argszd2_1281); 
{ /* Ast/app.scm 147 */
bool_t BgL_test2801z00_1329;
BgL_test2801z00_1329 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_1281); 
if(BgL_test2801z00_1329)
{ /* Ast/app.scm 148 */
obj_t BgL_res3700z00_2002;
{ /* Ast/app.scm 148 */
obj_t BgL_auxz00_3213;obj_t BgL_auxz00_3211;
BgL_auxz00_3213 = 
CER(BgL_oldzd2argszd2_1281); 
BgL_auxz00_3211 = 
CAR(BgL_oldzd2argszd2_1281); 
BgL_res3700z00_2002 = 
MAKE_EXTENDED_PAIR(BgL_auxz00_3211, BgL_newzd2argszd2_1282, BgL_auxz00_3213); } 
BgL_arg2798z00_1328 = BgL_res3700z00_2002; }  else 
{ /* Ast/app.scm 149 */
obj_t BgL_auxz00_3216;
BgL_auxz00_3216 = 
CAR(BgL_oldzd2argszd2_1281); 
BgL_arg2798z00_1328 = 
MAKE_PAIR(BgL_auxz00_3216, BgL_newzd2argszd2_1282); } } 
{ 
obj_t BgL_newzd2argszd2_3220;obj_t BgL_oldzd2argszd2_3219;
BgL_oldzd2argszd2_3219 = BgL_arg2797z00_1327; 
BgL_newzd2argszd2_3220 = BgL_arg2798z00_1328; 
BgL_newzd2argszd2_1282 = BgL_newzd2argszd2_3220; 
BgL_oldzd2argszd2_1281 = BgL_oldzd2argszd2_3219; 
goto BgL_loopz00_1284;} } }  else 
{ /* Ast/app.scm 144 */
{ /* Ast/app.scm 152 */
obj_t BgL_newzd2argzd2_1333;
{ /* Ast/app.scm 152 */
obj_t BgL_arg2839z00_1343;
BgL_arg2839z00_1343 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)8)), BEOA); 
BgL_newzd2argzd2_1333 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2839z00_1343); } 
{ /* Ast/app.scm 153 */
obj_t BgL_arg2814z00_1334;obj_t BgL_arg2815z00_1335;obj_t BgL_arg2816z00_1336;
BgL_arg2814z00_1334 = 
CDR(BgL_oldzd2argszd2_1281); 
{ /* Ast/app.scm 154 */
bool_t BgL_test2819z00_1337;
BgL_test2819z00_1337 = 
EXTENDED_PAIRP(BgL_oldzd2argszd2_1281); 
if(BgL_test2819z00_1337)
{ /* Ast/app.scm 155 */
obj_t BgL_res3701z00_2010;
{ /* Ast/app.scm 155 */
obj_t BgL_auxz00_3228;
BgL_auxz00_3228 = 
CER(BgL_oldzd2argszd2_1281); 
BgL_res3701z00_2010 = 
MAKE_EXTENDED_PAIR(BgL_newzd2argzd2_1333, BgL_newzd2argszd2_1282, BgL_auxz00_3228); } 
BgL_arg2815z00_1335 = BgL_res3701z00_2010; }  else 
{ /* Ast/app.scm 154 */
BgL_arg2815z00_1335 = 
MAKE_PAIR(BgL_newzd2argzd2_1333, BgL_newzd2argszd2_1282); } } 
{ /* Ast/app.scm 157 */
obj_t BgL_arg2827z00_1339;
{ /* Ast/app.scm 157 */
obj_t BgL_list2832z00_1341;
{ /* Ast/app.scm 157 */
obj_t BgL_arg2834z00_1342;
{ /* Ast/app.scm 157 */
obj_t BgL_auxz00_3232;
BgL_auxz00_3232 = 
CAR(BgL_oldzd2argszd2_1281); 
BgL_arg2834z00_1342 = 
MAKE_PAIR(BgL_auxz00_3232, BNIL); } 
BgL_list2832z00_1341 = 
MAKE_PAIR(BgL_newzd2argzd2_1333, BgL_arg2834z00_1342); } 
BgL_arg2827z00_1339 = BgL_list2832z00_1341; } 
BgL_arg2816z00_1336 = 
MAKE_PAIR(BgL_arg2827z00_1339, BgL_bindingsz00_1283); } 
{ 
obj_t BgL_bindingsz00_3239;obj_t BgL_newzd2argszd2_3238;obj_t BgL_oldzd2argszd2_3237;
BgL_oldzd2argszd2_3237 = BgL_arg2814z00_1334; 
BgL_newzd2argszd2_3238 = BgL_arg2815z00_1335; 
BgL_bindingsz00_3239 = BgL_arg2816z00_1336; 
BgL_bindingsz00_1283 = BgL_bindingsz00_3239; 
BgL_newzd2argszd2_1282 = BgL_newzd2argszd2_3238; 
BgL_oldzd2argszd2_1281 = BgL_oldzd2argszd2_3237; 
goto BgL_loopz00_1284;} } } } } } } } } } } } } } } 
}



/* make-the-app */
obj_t BGl_makezd2thezd2appz00zzast_appz00(obj_t BgL_newzd2argszd2_3026, obj_t BgL_bindingsz00_3025, obj_t BgL_funz00_1310)
{ AN_OBJECT;
{ /* Ast/app.scm 111 */
if(
PAIRP(BgL_bindingsz00_3025))
{ /* Ast/app.scm 114 */
obj_t BgL_arg2766z00_1313;obj_t BgL_arg2767z00_1314;
BgL_arg2766z00_1313 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 113 */
obj_t BgL_arg2770z00_1315;obj_t BgL_arg2771z00_1316;
BgL_arg2770z00_1315 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_bindingsz00_3025); 
{ /* Ast/app.scm 114 */
obj_t BgL_arg2775z00_1317;
{ /* Ast/app.scm 114 */
obj_t BgL_arg2779z00_1319;
{ /* Ast/app.scm 114 */
obj_t BgL_arg2782z00_1320;
BgL_arg2782z00_1320 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_3026); 
BgL_arg2779z00_1319 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2782z00_1320, BNIL); } 
BgL_arg2775z00_1317 = 
MAKE_PAIR(BgL_funz00_1310, BgL_arg2779z00_1319); } 
BgL_arg2771z00_1316 = 
MAKE_PAIR(BgL_arg2775z00_1317, BNIL); } 
BgL_arg2767z00_1314 = 
MAKE_PAIR(BgL_arg2770z00_1315, BgL_arg2771z00_1316); } 
return 
MAKE_PAIR(BgL_arg2766z00_1313, BgL_arg2767z00_1314);}  else 
{ /* Ast/app.scm 115 */
obj_t BgL_arg2787z00_1322;
{ /* Ast/app.scm 115 */
obj_t BgL_arg2790z00_1323;
BgL_arg2790z00_1323 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_newzd2argszd2_3026); 
BgL_arg2787z00_1322 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg2790z00_1323, BNIL); } 
return 
MAKE_PAIR(BgL_funz00_1310, BgL_arg2787z00_1322);} } 
}



/* _application->node3743 */
obj_t BGl__applicationzd2ze3node3743z31zzast_appz00(obj_t BgL_envz00_3015, obj_t BgL_expz00_3016, obj_t BgL_stackz00_3017, obj_t BgL_locz00_3018, obj_t BgL_sitez00_3019)
{ AN_OBJECT;
{ /* Ast/app.scm 73 */
{ /* Ast/app.scm 87 */
BgL_nodez00_bglt BgL_auxz00_3254;
BgL_auxz00_3254 = 
BGl_applicationzd2ze3nodez31zzast_appz00(BgL_expz00_3016, BgL_stackz00_3017, BgL_locz00_3018, BgL_sitez00_3019); 
return 
(obj_t)(BgL_auxz00_3254);} } 
}



/* check-user-app */
long BGl_checkzd2userzd2appz00zzast_appz00(BgL_nodez00_bglt BgL_funz00_8, obj_t BgL_argsz00_9)
{ AN_OBJECT;
{ /* Ast/app.scm 165 */
{ /* Ast/app.scm 166 */
bool_t BgL_test2933z00_1385;
BgL_test2933z00_1385 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_8), BGl_varz00zzast_nodez00); 
if(BgL_test2933z00_1385)
{ /* Ast/app.scm 172 */
BgL_variablez00_bglt BgL_varz00_1386;
{ /* Ast/app.scm 172 */
BgL_varz00_bglt BgL_obj1620z00_2036;
BgL_obj1620z00_2036 = 
(BgL_varz00_bglt)(BgL_funz00_8); 
BgL_varz00_1386 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_2036))->BgL_variablez00); } 
{ /* Ast/app.scm 172 */
BgL_valuez00_bglt BgL_funz00_1387;
BgL_funz00_1387 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1386))->BgL_valuez00); 
{ /* Ast/app.scm 173 */
long BgL_nbzd2argszd2_1388;
BgL_nbzd2argszd2_1388 = 
bgl_list_length(BgL_argsz00_9); 
{ /* Ast/app.scm 174 */
long BgL_arityz00_1389;
{ /* Ast/app.scm 176 */
bool_t BgL_test2950z00_1397;
BgL_test2950z00_1397 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1387), BGl_funz00zzast_varz00); 
if(BgL_test2950z00_1397)
{ /* Ast/app.scm 176 */
{ /* Ast/app.scm 177 */
BgL_funz00_bglt BgL_obj1311z00_2039;
BgL_obj1311z00_2039 = 
(BgL_funz00_bglt)(BgL_funz00_1387); 
BgL_arityz00_1389 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2039))->BgL_arityz00); } }  else 
{ /* Ast/app.scm 176 */
BgL_arityz00_1389 = ((long)-1); } } 
{ /* Ast/app.scm 175 */

if(
(BgL_arityz00_1389==((long)-1)))
{ /* Ast/app.scm 181 */
return ((long)0);}  else 
{ /* Ast/app.scm 181 */
if(
(BgL_arityz00_1389>=((long)0)))
{ /* Ast/app.scm 183 */
return 
(BgL_arityz00_1389-BgL_nbzd2argszd2_1388);}  else 
{ /* Ast/app.scm 183 */
{ /* Ast/app.scm 186 */
bool_t BgL_testz00_3274;
{ /* Ast/app.scm 186 */
long BgL_auxz00_3275;
{ /* Ast/app.scm 186 */
long BgL_auxz00_3278;long BgL_auxz00_3276;
BgL_auxz00_3278 = 
(BgL_nbzd2argszd2_1388+((long)1)); 
BgL_auxz00_3276 = 
NEG(BgL_arityz00_1389); 
BgL_auxz00_3275 = 
(BgL_auxz00_3276-BgL_auxz00_3278); } 
BgL_testz00_3274 = 
(BgL_auxz00_3275<=((long)0)); } 
if(BgL_testz00_3274)
{ /* Ast/app.scm 186 */
return ((long)0);}  else 
{ /* Ast/app.scm 186 */
return ((long)1);} } } } } } } } }  else 
{ /* Ast/app.scm 166 */
return ((long)0);} } } 
}



/* wrong-number-of-arguments */
BgL_nodez00_bglt BGl_wrongzd2numberzd2ofzd2argumentszd2zzast_appz00(obj_t BgL_expz00_10, obj_t BgL_locz00_11, BgL_nodez00_bglt BgL_funz00_12, obj_t BgL_argsz00_13)
{ AN_OBJECT;
{ /* Ast/app.scm 193 */
{ /* Ast/app.scm 194 */
BgL_variablez00_bglt BgL_varz00_1398;
{ /* Ast/app.scm 194 */
BgL_varz00_bglt BgL_obj1620z00_2053;
BgL_obj1620z00_2053 = 
(BgL_varz00_bglt)(BgL_funz00_12); 
BgL_varz00_1398 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_2053))->BgL_variablez00); } 
{ /* Ast/app.scm 194 */
BgL_valuez00_bglt BgL_funz00_1399;
BgL_funz00_1399 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1398))->BgL_valuez00); 
{ /* Ast/app.scm 196 */
long BgL_arityz00_1401;
{ /* Ast/app.scm 198 */
bool_t BgL_test2994z00_1419;
BgL_test2994z00_1419 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1399), BGl_funz00zzast_varz00); 
if(BgL_test2994z00_1419)
{ /* Ast/app.scm 198 */
{ /* Ast/app.scm 199 */
BgL_funz00_bglt BgL_obj1311z00_2056;
BgL_obj1311z00_2056 = 
(BgL_funz00_bglt)(BgL_funz00_1399); 
BgL_arityz00_1401 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2056))->BgL_arityz00); } }  else 
{ /* Ast/app.scm 198 */
BgL_arityz00_1401 = ((long)-1); } } 
{ /* Ast/app.scm 197 */
obj_t BgL_expectz00_1402;
if(
(BgL_arityz00_1401>=((long)0)))
{ /* Ast/app.scm 203 */
{ /* Ast/app.scm 204 */
obj_t BgL_auxz00_3292;
{ /* Ast/app.scm 204 */
char * BgL_auxz00_3293;
BgL_auxz00_3293 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
BINT(BgL_arityz00_1401), BNIL); 
BgL_auxz00_3292 = 
string_to_bstring(BgL_auxz00_3293); } 
BgL_expectz00_1402 = 
string_append(BgL_auxz00_3292, BGl_string3887z00zzast_appz00); } }  else 
{ /* Ast/app.scm 203 */
{ /* Ast/app.scm 207 */
obj_t BgL_auxz00_3298;
{ /* Ast/app.scm 207 */
char * BgL_auxz00_3299;
{ /* Ast/app.scm 207 */
obj_t BgL_auxz00_3300;
{ /* Ast/app.scm 207 */
long BgL_auxz00_3301;
{ /* Ast/app.scm 207 */
long BgL_auxz00_3302;
BgL_auxz00_3302 = 
(BgL_arityz00_1401+((long)1)); 
BgL_auxz00_3301 = 
NEG(BgL_auxz00_3302); } 
BgL_auxz00_3300 = 
BINT(BgL_auxz00_3301); } 
BgL_auxz00_3299 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_3300, BNIL); } 
BgL_auxz00_3298 = 
string_to_bstring(BgL_auxz00_3299); } 
BgL_expectz00_1402 = 
string_append(BgL_auxz00_3298, BGl_string3888z00zzast_appz00); } } 
{ /* Ast/app.scm 202 */
obj_t BgL_providez00_1403;
{ /* Ast/app.scm 209 */
obj_t BgL_auxz00_3309;
{ /* Ast/app.scm 209 */
char * BgL_auxz00_3310;
{ /* Ast/app.scm 209 */
obj_t BgL_auxz00_3311;
{ /* Ast/app.scm 209 */
long BgL_auxz00_3312;
BgL_auxz00_3312 = 
bgl_list_length(BgL_argsz00_13); 
BgL_auxz00_3311 = 
BINT(BgL_auxz00_3312); } 
BgL_auxz00_3310 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_auxz00_3311, BNIL); } 
BgL_auxz00_3309 = 
string_to_bstring(BgL_auxz00_3310); } 
BgL_providez00_1403 = 
string_append(BgL_auxz00_3309, BGl_string3889z00zzast_appz00); } 
{ /* Ast/app.scm 209 */

{ /* Ast/app.scm 211 */
obj_t BgL_arg2958z00_1404;obj_t BgL_arg2959z00_1405;
BgL_arg2958z00_1404 = 
string_append_3(BGl_string3890z00zzast_appz00, BgL_expectz00_1402, BgL_providez00_1403); 
BgL_arg2959z00_1405 = 
BGl_shapez00zztools_shapez00(BgL_expz00_10); 
return 
BGl_errorzd2sexpzd2ze3nodeze3zzast_sexpz00(BgL_arg2958z00_1404, BgL_arg2959z00_1405, BgL_locz00_11);} } } } } } } } 
}



/* make-app-node */
BgL_nodez00_bglt BGl_makezd2appzd2nodez00zzast_appz00(obj_t BgL_stackz00_14, obj_t BgL_locz00_15, BgL_varz00_bglt BgL_varz00_16, obj_t BgL_argsz00_17)
{ AN_OBJECT;
{ /* Ast/app.scm 218 */
{ /* Ast/app.scm 219 */
BgL_valuez00_bglt BgL_funz00_1420;
{ /* Ast/app.scm 219 */
BgL_variablez00_bglt BgL_arg3031z00_1437;
BgL_arg3031z00_1437 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_16))->BgL_variablez00); 
BgL_funz00_1420 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3031z00_1437))->BgL_valuez00); } 
{ /* Ast/app.scm 220 */
bool_t BgL_test3000z00_1421;
{ /* Ast/app.scm 220 */
bool_t BgL_test3021z00_1433;
BgL_test3021z00_1433 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1420), BGl_funz00zzast_varz00); 
if(BgL_test3021z00_1433)
{ /* Ast/app.scm 222 */
bool_t BgL_testz00_3326;
{ /* Ast/app.scm 221 */
long BgL_auxz00_3327;
{ /* Ast/app.scm 221 */
BgL_funz00_bglt BgL_obj1311z00_2065;
BgL_obj1311z00_2065 = 
(BgL_funz00_bglt)(BgL_funz00_1420); 
BgL_auxz00_3327 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2065))->BgL_arityz00); } 
BgL_testz00_3326 = 
(BgL_auxz00_3327>=((long)0)); } 
if(BgL_testz00_3326)
{ /* Ast/app.scm 222 */
BgL_test3000z00_1421 = ((bool_t)1); }  else 
{ /* Ast/app.scm 222 */
BgL_test3000z00_1421 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_1420), BGl_cfunz00zzast_varz00); } }  else 
{ /* Ast/app.scm 220 */
BgL_test3000z00_1421 = ((bool_t)1); } } 
if(BgL_test3000z00_1421)
{ /* Ast/app.scm 223 */
obj_t BgL_argsz00_1422;
{ 
obj_t BgL_argsz00_1423;obj_t BgL_resz00_1424;
BgL_argsz00_1423 = BgL_argsz00_17; 
BgL_resz00_1424 = BNIL; 
BgL_loopz00_1425:
if(
NULLP(BgL_argsz00_1423))
{ /* Ast/app.scm 225 */
BgL_argsz00_1422 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_resz00_1424); }  else 
{ /* Ast/app.scm 227 */
obj_t BgL_az00_1427;obj_t BgL_locz00_1428;
BgL_az00_1427 = 
CAR(BgL_argsz00_1423); 
BgL_locz00_1428 = 
BGl_findzd2locationzf2locz20zztools_locationz00(BgL_argsz00_1423, BgL_locz00_15); 
{ /* Ast/app.scm 229 */
obj_t BgL_arg3006z00_1429;obj_t BgL_arg3007z00_1430;
BgL_arg3006z00_1429 = 
CDR(BgL_argsz00_1423); 
{ /* Ast/app.scm 230 */
BgL_nodez00_bglt BgL_arg3011z00_1431;
BgL_arg3011z00_1431 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_az00_1427, BgL_stackz00_14, BgL_locz00_1428, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 230 */
obj_t BgL_auxz00_3342;
BgL_auxz00_3342 = 
(obj_t)(BgL_arg3011z00_1431); 
BgL_arg3007z00_1430 = 
MAKE_PAIR(BgL_auxz00_3342, BgL_resz00_1424); } } 
{ 
obj_t BgL_resz00_3346;obj_t BgL_argsz00_3345;
BgL_argsz00_3345 = BgL_arg3006z00_1429; 
BgL_resz00_3346 = BgL_arg3007z00_1430; 
BgL_resz00_1424 = BgL_resz00_3346; 
BgL_argsz00_1423 = BgL_argsz00_3345; 
goto BgL_loopz00_1425;} } } } 
{ /* Ast/app.scm 232 */
obj_t BgL_auxz00_3347;
BgL_auxz00_3347 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_15, BgL_varz00_16, BgL_argsz00_1422); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_3347);} }  else 
{ /* Ast/app.scm 233 */
long BgL_auxz00_3350;
{ /* Ast/app.scm 233 */
BgL_funz00_bglt BgL_obj1311z00_2072;
BgL_obj1311z00_2072 = 
(BgL_funz00_bglt)(BgL_funz00_1420); 
BgL_auxz00_3350 = 
(((BgL_funz00_bglt)CREF(BgL_obj1311z00_2072))->BgL_arityz00); } 
return 
BGl_makezd2vazd2appzd2nodezd2zzast_appz00(BgL_auxz00_3350, BgL_stackz00_14, BgL_locz00_15, BgL_varz00_16, BgL_argsz00_17);} } } } 
}



/* _make-app-node3745 */
obj_t BGl__makezd2appzd2node3745z00zzast_appz00(obj_t BgL_envz00_3020, obj_t BgL_stackz00_3021, obj_t BgL_locz00_3022, obj_t BgL_varz00_3023, obj_t BgL_argsz00_3024)
{ AN_OBJECT;
{ /* Ast/app.scm 218 */
{ /* Ast/app.scm 219 */
BgL_nodez00_bglt BgL_auxz00_3354;
BgL_auxz00_3354 = 
BGl_makezd2appzd2nodez00zzast_appz00(BgL_stackz00_3021, BgL_locz00_3022, 
(BgL_varz00_bglt)(BgL_varz00_3023), BgL_argsz00_3024); 
return 
(obj_t)(BgL_auxz00_3354);} } 
}



/* make-fx-app-node */
obj_t BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_18, BgL_varz00_bglt BgL_varz00_19, obj_t BgL_argsz00_20)
{ AN_OBJECT;
{ /* Ast/app.scm 244 */
{ /* Ast/app.scm 245 */
BgL_variablez00_bglt BgL_vz00_1438;
BgL_vz00_1438 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 247 */
bool_t BgL_test3034z00_1439;
{ /* Ast/app.scm 247 */
bool_t BgL_test3077z00_1464;
{ /* Ast/app.scm 247 */
obj_t BgL_auxz00_3359;
{ /* Ast/app.scm 247 */
BgL_valuez00_bglt BgL_auxz00_3360;
BgL_auxz00_3360 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1438))->BgL_valuez00); 
BgL_auxz00_3359 = 
(obj_t)(BgL_auxz00_3360); } 
BgL_test3077z00_1464 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3359, BGl_cfunz00zzast_varz00); } 
if(BgL_test3077z00_1464)
{ /* Ast/app.scm 247 */
obj_t BgL_auxz00_3365;
{ /* Ast/app.scm 247 */
obj_t BgL_auxz00_3366;
{ /* Ast/app.scm 247 */
BgL_globalz00_bglt BgL_obj1149z00_2079;
BgL_obj1149z00_2079 = 
(BgL_globalz00_bglt)(BgL_vz00_1438); 
BgL_auxz00_3366 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2079))->BgL_idz00); } 
BgL_auxz00_3365 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_3366, 
CNST_TABLE_REF(((long)9))); } 
BgL_test3034z00_1439 = 
CBOOL(BgL_auxz00_3365); }  else 
{ /* Ast/app.scm 247 */
BgL_test3034z00_1439 = ((bool_t)0); } } 
if(BgL_test3034z00_1439)
{ /* Ast/app.scm 247 */
return 
BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(BgL_locz00_18, BgL_varz00_19, BgL_argsz00_20);}  else 
{ /* Ast/app.scm 251 */
bool_t BgL_test3036z00_1440;
{ /* Ast/app.scm 251 */
obj_t BgL_auxz00_3374;
{ /* Ast/app.scm 251 */
BgL_valuez00_bglt BgL_auxz00_3375;
BgL_auxz00_3375 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1438))->BgL_valuez00); 
BgL_auxz00_3374 = 
(obj_t)(BgL_auxz00_3375); } 
BgL_test3036z00_1440 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3374, BGl_funz00zzast_varz00); } 
if(BgL_test3036z00_1440)
{ /* Ast/app.scm 251 */
{ /* Ast/app.scm 254 */
obj_t BgL_arg3038z00_1441;BgL_typez00_bglt BgL_arg3039z00_1442;BgL_varz00_bglt BgL_arg3041z00_1444;obj_t BgL_arg3042z00_1445;
BgL_arg3038z00_1441 = BgL_locz00_18; 
BgL_arg3039z00_1442 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1438))->BgL_typez00); 
{ /* Ast/app.scm 256 */
bool_t BgL_test3045z00_1446;
BgL_test3045z00_1446 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_19), BGl_closurez00zzast_nodez00); 
if(BgL_test3045z00_1446)
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_new2660z00_1448;
{ /* Ast/app.scm 257 */
obj_t BgL_arg3047z00_1449;BgL_typez00_bglt BgL_arg3048z00_1450;BgL_variablez00_bglt BgL_arg3049z00_1451;
BgL_arg3047z00_1449 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_locz00); 
BgL_arg3048z00_1450 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_typez00); 
BgL_arg3049z00_1451 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3705z00_2105;
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_new1634z00_2090;
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3703z00_2096;
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_new1636z00_2091;
BgL_new1636z00_2091 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/app.scm 257 */
long BgL_arg3550z00_2092;
BgL_arg3550z00_2092 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/app.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3389;
BgL_auxz00_3389 = 
(BgL_objectz00_bglt)(BgL_new1636z00_2091); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3389, BgL_arg3550z00_2092); } } 
{ /* Ast/app.scm 257 */
BgL_objectz00_bglt BgL_auxz00_3392;
BgL_auxz00_3392 = 
(BgL_objectz00_bglt)(BgL_new1636z00_2091); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3392, BFALSE); } 
{ /* Ast/app.scm 257 */
obj_t BgL_auxz00_3395;
BgL_auxz00_3395 = 
(obj_t)(BgL_new1636z00_2091); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3395); } BUNSPEC; 
BgL_res3703z00_2096 = BgL_new1636z00_2091; } 
BgL_new1634z00_2090 = BgL_res3703z00_2096; } 
{ /* Ast/app.scm 257 */
BgL_varz00_bglt BgL_res3704z00_2104;
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2090))->BgL_locz00) = ((obj_t)BgL_arg3047z00_1449), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2090))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3048z00_1450), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2090))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg3049z00_1451), BUNSPEC); 
BgL_res3704z00_2104 = BgL_new1634z00_2090; BgL_res3704z00_2104; } 
BgL_res3705z00_2105 = BgL_new1634z00_2090; } 
BgL_new2660z00_1448 = BgL_res3705z00_2105; } } 
{ /* Ast/app.scm 257 */

BgL_arg3041z00_1444 = BgL_new2660z00_1448; } }  else 
{ /* Ast/app.scm 256 */
BgL_arg3041z00_1444 = BgL_varz00_19; } } 
BgL_arg3042z00_1445 = BgL_argsz00_20; 
{ /* Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3708z00_2133;
{ /* Ast/app.scm 253 */
obj_t BgL_key1746z00_2109;
BgL_key1746z00_2109 = 
BINT(((long)-1)); 
{ /* Ast/app.scm 253 */
BgL_appz00_bglt BgL_new1749z00_2112;
{ /* Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3706z00_2118;
{ /* Ast/app.scm 253 */
BgL_appz00_bglt BgL_new1751z00_2113;
BgL_new1751z00_2113 = 
((BgL_appz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_appz00_bgl) ))); 
{ /* Ast/app.scm 253 */
long BgL_arg3514z00_2114;
BgL_arg3514z00_2114 = 
BGl_classzd2numzd2zz__objectz00(BGl_appz00zzast_nodez00); 
{ /* Ast/app.scm 253 */
BgL_objectz00_bglt BgL_auxz00_3404;
BgL_auxz00_3404 = 
(BgL_objectz00_bglt)(BgL_new1751z00_2113); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3404, BgL_arg3514z00_2114); } } 
{ /* Ast/app.scm 253 */
BgL_objectz00_bglt BgL_auxz00_3407;
BgL_auxz00_3407 = 
(BgL_objectz00_bglt)(BgL_new1751z00_2113); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3407, BFALSE); } 
{ /* Ast/app.scm 253 */
obj_t BgL_auxz00_3410;
BgL_auxz00_3410 = 
(obj_t)(BgL_new1751z00_2113); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3410); } BUNSPEC; 
BgL_res3706z00_2118 = BgL_new1751z00_2113; } 
BgL_new1749z00_2112 = BgL_res3706z00_2118; } 
{ /* Ast/app.scm 253 */
BgL_appz00_bglt BgL_res3707z00_2132;
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_locz00) = ((obj_t)BgL_arg3038z00_1441), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3039z00_1442), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_keyz00) = ((obj_t)BgL_key1746z00_2109), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_funz00) = ((BgL_varz00_bglt)BgL_arg3041z00_1444), BUNSPEC); 
((((BgL_appz00_bglt)CREF(BgL_new1749z00_2112))->BgL_argsz00) = ((obj_t)BgL_arg3042z00_1445), BUNSPEC); 
BgL_res3707z00_2132 = BgL_new1749z00_2112; BgL_res3707z00_2132; } 
BgL_res3708z00_2133 = BgL_new1749z00_2112; } } 
return 
(obj_t)(BgL_res3708z00_2133);} } }  else 
{ /* Ast/app.scm 251 */
{ /* Ast/app.scm 263 */
obj_t BgL_arg3056z00_1452;obj_t BgL_arg3057z00_1453;BgL_varz00_bglt BgL_arg3058z00_1454;obj_t BgL_arg3059z00_1455;obj_t BgL_arg3060z00_1456;
BgL_arg3056z00_1452 = BgL_locz00_18; 
BgL_arg3057z00_1453 = BGl_za2_za2z00zztype_cachez00; 
BgL_arg3058z00_1454 = BgL_varz00_19; 
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_arg3063z00_1457;
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_new2663z00_1459;
{ /* Ast/app.scm 266 */
obj_t BgL_arg3066z00_1460;BgL_typez00_bglt BgL_arg3067z00_1461;BgL_variablez00_bglt BgL_arg3068z00_1462;
BgL_arg3066z00_1460 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_locz00); 
BgL_arg3067z00_1461 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_typez00); 
BgL_arg3068z00_1462 = 
(((BgL_varz00_bglt)CREF(BgL_varz00_19))->BgL_variablez00); 
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3711z00_2155;
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_new1634z00_2140;
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3709z00_2146;
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_new1636z00_2141;
BgL_new1636z00_2141 = 
((BgL_varz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_varz00_bgl) ))); 
{ /* Ast/app.scm 266 */
long BgL_arg3550z00_2142;
BgL_arg3550z00_2142 = 
BGl_classzd2numzd2zz__objectz00(BGl_varz00zzast_nodez00); 
{ /* Ast/app.scm 266 */
BgL_objectz00_bglt BgL_auxz00_3425;
BgL_auxz00_3425 = 
(BgL_objectz00_bglt)(BgL_new1636z00_2141); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3425, BgL_arg3550z00_2142); } } 
{ /* Ast/app.scm 266 */
BgL_objectz00_bglt BgL_auxz00_3428;
BgL_auxz00_3428 = 
(BgL_objectz00_bglt)(BgL_new1636z00_2141); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3428, BFALSE); } 
{ /* Ast/app.scm 266 */
obj_t BgL_auxz00_3431;
BgL_auxz00_3431 = 
(obj_t)(BgL_new1636z00_2141); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3431); } BUNSPEC; 
BgL_res3709z00_2146 = BgL_new1636z00_2141; } 
BgL_new1634z00_2140 = BgL_res3709z00_2146; } 
{ /* Ast/app.scm 266 */
BgL_varz00_bglt BgL_res3710z00_2154;
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2140))->BgL_locz00) = ((obj_t)BgL_arg3066z00_1460), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2140))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3067z00_1461), BUNSPEC); 
((((BgL_varz00_bglt)CREF(BgL_new1634z00_2140))->BgL_variablez00) = ((BgL_variablez00_bglt)BgL_arg3068z00_1462), BUNSPEC); 
BgL_res3710z00_2154 = BgL_new1634z00_2140; BgL_res3710z00_2154; } 
BgL_res3711z00_2155 = BgL_new1634z00_2140; } 
BgL_new2663z00_1459 = BgL_res3711z00_2155; } } 
{ /* Ast/app.scm 266 */

BgL_arg3063z00_1457 = BgL_new2663z00_1459; } } 
{ /* Ast/app.scm 266 */
obj_t BgL_auxz00_3437;
BgL_auxz00_3437 = 
(obj_t)(BgL_arg3063z00_1457); 
BgL_arg3059z00_1455 = 
MAKE_PAIR(BgL_auxz00_3437, BgL_argsz00_20); } } 
BgL_arg3060z00_1456 = 
CNST_TABLE_REF(((long)10)); 
{ /* Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3714z00_2180;
{ /* Ast/app.scm 262 */
BgL_typez00_bglt BgL_type1808z00_2157;BgL_nodez00_bglt BgL_fun1809z00_2158;
BgL_type1808z00_2157 = 
(BgL_typez00_bglt)(BgL_arg3057z00_1453); 
BgL_fun1809z00_2158 = 
(BgL_nodez00_bglt)(BgL_arg3058z00_1454); 
{ /* Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_new1812z00_2161;
{ /* Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3712z00_2167;
{ /* Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_new1814z00_2162;
BgL_new1814z00_2162 = 
((BgL_funcallz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_funcallz00_bgl) ))); 
{ /* Ast/app.scm 262 */
long BgL_arg3496z00_2163;
BgL_arg3496z00_2163 = 
BGl_classzd2numzd2zz__objectz00(BGl_funcallz00zzast_nodez00); 
{ /* Ast/app.scm 262 */
BgL_objectz00_bglt BgL_auxz00_3445;
BgL_auxz00_3445 = 
(BgL_objectz00_bglt)(BgL_new1814z00_2162); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3445, BgL_arg3496z00_2163); } } 
{ /* Ast/app.scm 262 */
BgL_objectz00_bglt BgL_auxz00_3448;
BgL_auxz00_3448 = 
(BgL_objectz00_bglt)(BgL_new1814z00_2162); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3448, BFALSE); } 
{ /* Ast/app.scm 262 */
obj_t BgL_auxz00_3451;
BgL_auxz00_3451 = 
(obj_t)(BgL_new1814z00_2162); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3451); } BUNSPEC; 
BgL_res3712z00_2167 = BgL_new1814z00_2162; } 
BgL_new1812z00_2161 = BgL_res3712z00_2167; } 
{ /* Ast/app.scm 262 */
BgL_funcallz00_bglt BgL_res3713z00_2179;
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_2161))->BgL_locz00) = ((obj_t)BgL_arg3056z00_1452), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_2161))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1808z00_2157), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_2161))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_fun1809z00_2158), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_2161))->BgL_argsz00) = ((obj_t)BgL_arg3059z00_1455), BUNSPEC); 
((((BgL_funcallz00_bglt)CREF(BgL_new1812z00_2161))->BgL_strengthz00) = ((obj_t)BgL_arg3060z00_1456), BUNSPEC); 
BgL_res3713z00_2179 = BgL_new1812z00_2161; BgL_res3713z00_2179; } 
BgL_res3714z00_2180 = BgL_new1812z00_2161; } } 
return 
(obj_t)(BgL_res3714z00_2180);} } } } } } } 
}



/* make-va-app-node */
BgL_nodez00_bglt BGl_makezd2vazd2appzd2nodezd2zzast_appz00(long BgL_arityz00_21, obj_t BgL_stackz00_22, obj_t BgL_locz00_23, BgL_varz00_bglt BgL_varz00_24, obj_t BgL_argsz00_25)
{ AN_OBJECT;
{ /* Ast/app.scm 271 */
{ 
obj_t BgL_oldzd2argszd2_1467;long BgL_arityz00_1468;obj_t BgL_fzd2argszd2_1469;
BgL_oldzd2argszd2_1467 = BgL_argsz00_25; 
BgL_arityz00_1468 = BgL_arityz00_21; 
BgL_fzd2argszd2_1469 = BNIL; 
BgL_loopz00_1470:
if(
(BgL_arityz00_1468==((long)-1)))
{ /* Ast/app.scm 280 */
obj_t BgL_lzd2argzd2_1472;
{ /* Ast/app.scm 280 */
obj_t BgL_arg3119z00_1488;
BgL_arg3119z00_1488 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)11)), BEOA); 
BgL_lzd2argzd2_1472 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg3119z00_1488); } 
{ /* Ast/app.scm 280 */
obj_t BgL_lzd2expzd2_1473;
{ /* Ast/app.scm 281 */
obj_t BgL_arg3098z00_1479;obj_t BgL_arg3099z00_1480;
BgL_arg3098z00_1479 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/app.scm 281 */
obj_t BgL_arg3102z00_1481;obj_t BgL_arg3103z00_1482;
{ /* Ast/app.scm 281 */
obj_t BgL_arg3106z00_1483;
{ /* Ast/app.scm 281 */
obj_t BgL_arg3110z00_1485;
{ /* Ast/app.scm 281 */
obj_t BgL_arg3113z00_1486;
BgL_arg3113z00_1486 = 
BGl_makezd2argszd2listz00zzast_appz00(BgL_oldzd2argszd2_1467); 
BgL_arg3110z00_1485 = 
MAKE_PAIR(BgL_arg3113z00_1486, BNIL); } 
BgL_arg3106z00_1483 = 
MAKE_PAIR(BgL_lzd2argzd2_1472, BgL_arg3110z00_1485); } 
BgL_arg3102z00_1481 = 
MAKE_PAIR(BgL_arg3106z00_1483, BNIL); } 
BgL_arg3103z00_1482 = 
MAKE_PAIR(BgL_lzd2argzd2_1472, BNIL); 
BgL_arg3099z00_1480 = 
MAKE_PAIR(BgL_arg3102z00_1481, BgL_arg3103z00_1482); } 
BgL_lzd2expzd2_1473 = 
MAKE_PAIR(BgL_arg3098z00_1479, BgL_arg3099z00_1480); } 
{ /* Ast/app.scm 281 */
BgL_nodez00_bglt BgL_lzd2nodezd2_1474;
BgL_lzd2nodezd2_1474 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_lzd2expzd2_1473, BgL_stackz00_22, BgL_locz00_23, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 284 */
obj_t BgL_appz00_1476;
{ /* Ast/app.scm 287 */
obj_t BgL_arg3089z00_1477;
{ /* Ast/app.scm 287 */
obj_t BgL_arg3092z00_1478;
{ /* Ast/app.scm 287 */
obj_t BgL_auxz00_3476;
{ /* Ast/app.scm 287 */
BgL_nodez00_bglt BgL_auxz00_3477;
{ /* Ast/app.scm 284 */
BgL_letzd2varzd2_bglt BgL_obj2470z00_2183;
BgL_obj2470z00_2183 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1474); 
BgL_auxz00_3477 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_obj2470z00_2183))->BgL_bodyz00); } 
BgL_auxz00_3476 = 
(obj_t)(BgL_auxz00_3477); } 
BgL_arg3092z00_1478 = 
MAKE_PAIR(BgL_auxz00_3476, BgL_fzd2argszd2_1469); } 
BgL_arg3089z00_1477 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_arg3092z00_1478); } 
BgL_appz00_1476 = 
BGl_makezd2fxzd2appzd2nodezd2zzast_appz00(BgL_locz00_23, BgL_varz00_24, BgL_arg3089z00_1477); } 
{ /* Ast/app.scm 285 */

{ /* Ast/app.scm 288 */
BgL_letzd2varzd2_bglt BgL_obj2472z00_2184;BgL_nodez00_bglt BgL_val2471z00_2185;
BgL_obj2472z00_2184 = 
(BgL_letzd2varzd2_bglt)(BgL_lzd2nodezd2_1474); 
BgL_val2471z00_2185 = 
(BgL_nodez00_bglt)(BgL_appz00_1476); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_obj2472z00_2184))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2471z00_2185), BUNSPEC); } 
return 
BGl_cleanzd2userzd2nodez12z12zzast_appz00(BgL_lzd2nodezd2_1474);} } } } }  else 
{ /* Ast/app.scm 290 */
obj_t BgL_arg3123z00_1489;long BgL_arg3124z00_1490;obj_t BgL_arg3125z00_1491;
BgL_arg3123z00_1489 = 
CDR(BgL_oldzd2argszd2_1467); 
BgL_arg3124z00_1490 = 
(BgL_arityz00_1468+((long)1)); 
{ /* Ast/app.scm 292 */
BgL_nodez00_bglt BgL_arg3130z00_1492;
BgL_arg3130z00_1492 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(
CAR(BgL_oldzd2argszd2_1467), BgL_stackz00_22, BgL_locz00_23, 
CNST_TABLE_REF(((long)4))); 
{ /* Ast/app.scm 292 */
obj_t BgL_auxz00_3493;
BgL_auxz00_3493 = 
(obj_t)(BgL_arg3130z00_1492); 
BgL_arg3125z00_1491 = 
MAKE_PAIR(BgL_auxz00_3493, BgL_fzd2argszd2_1469); } } 
{ 
obj_t BgL_fzd2argszd2_3498;long BgL_arityz00_3497;obj_t BgL_oldzd2argszd2_3496;
BgL_oldzd2argszd2_3496 = BgL_arg3123z00_1489; 
BgL_arityz00_3497 = BgL_arg3124z00_1490; 
BgL_fzd2argszd2_3498 = BgL_arg3125z00_1491; 
BgL_fzd2argszd2_1469 = BgL_fzd2argszd2_3498; 
BgL_arityz00_1468 = BgL_arityz00_3497; 
BgL_oldzd2argszd2_1467 = BgL_oldzd2argszd2_3496; 
goto BgL_loopz00_1470;} } } } 
}



/* make-args-list */
obj_t BGl_makezd2argszd2listz00zzast_appz00(obj_t BgL_argsz00_1495)
{ AN_OBJECT;
{ /* Ast/app.scm 275 */
if(
NULLP(BgL_argsz00_1495))
{ /* Ast/app.scm 273 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Ast/app.scm 275 */
obj_t BgL_arg3141z00_1498;obj_t BgL_arg3142z00_1499;
{ /* Ast/app.scm 275 */
obj_t BgL_arg3145z00_1500;obj_t BgL_arg3146z00_1501;
BgL_arg3145z00_1500 = 
CNST_TABLE_REF(((long)1)); 
{ /* Ast/app.scm 275 */
obj_t BgL_arg3149z00_1502;obj_t BgL_arg3150z00_1503;
BgL_arg3149z00_1502 = 
CNST_TABLE_REF(((long)12)); 
{ /* Ast/app.scm 275 */
obj_t BgL_auxz00_3504;
BgL_auxz00_3504 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3150z00_1503 = 
MAKE_PAIR(BgL_auxz00_3504, BNIL); } 
BgL_arg3146z00_1501 = 
MAKE_PAIR(BgL_arg3149z00_1502, BgL_arg3150z00_1503); } 
BgL_arg3141z00_1498 = 
MAKE_PAIR(BgL_arg3145z00_1500, BgL_arg3146z00_1501); } 
{ /* Ast/app.scm 275 */
obj_t BgL_arg3154z00_1504;obj_t BgL_arg3155z00_1505;
BgL_arg3154z00_1504 = 
CAR(BgL_argsz00_1495); 
{ /* Ast/app.scm 275 */
obj_t BgL_arg3159z00_1506;
BgL_arg3159z00_1506 = 
BGl_makezd2argszd2listz00zzast_appz00(
CDR(BgL_argsz00_1495)); 
BgL_arg3155z00_1505 = 
MAKE_PAIR(BgL_arg3159z00_1506, BNIL); } 
BgL_arg3142z00_1499 = 
MAKE_PAIR(BgL_arg3154z00_1504, BgL_arg3155z00_1505); } 
return 
MAKE_PAIR(BgL_arg3141z00_1498, BgL_arg3142z00_1499);} } 
}



/* make-special-app-node */
obj_t BGl_makezd2specialzd2appzd2nodezd2zzast_appz00(obj_t BgL_locz00_27, BgL_varz00_bglt BgL_variablez00_28, obj_t BgL_argsz00_29)
{ AN_OBJECT;
{ /* Ast/app.scm 310 */
{ /* Ast/app.scm 311 */
BgL_variablez00_bglt BgL_varz00_1512;
BgL_varz00_1512 = 
(((BgL_varz00_bglt)CREF(BgL_variablez00_28))->BgL_variablez00); 
{ /* Ast/app.scm 311 */
obj_t BgL_gnamez00_1513;
{ /* Ast/app.scm 312 */
BgL_globalz00_bglt BgL_obj1150z00_2197;
BgL_obj1150z00_2197 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_gnamez00_1513 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1150z00_2197))->BgL_namez00); } 
{ /* Ast/app.scm 312 */

{ /* Ast/app.scm 313 */
obj_t BgL_casezd2valuezd2_1514;
{ /* Ast/app.scm 313 */
BgL_globalz00_bglt BgL_obj1149z00_2198;
BgL_obj1149z00_2198 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_casezd2valuezd2_1514 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_2198))->BgL_idz00); } 
{ /* Ast/app.scm 313 */
bool_t BgL_testz00_3520;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3521;
BgL_auxz00_3521 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1514, 
CNST_TABLE_REF(((long)14))); 
BgL_testz00_3520 = 
CBOOL(BgL_auxz00_3521); } 
if(BgL_testz00_3520)
{ /* Ast/app.scm 316 */
obj_t BgL_arg3174z00_1516;BgL_typez00_bglt BgL_arg3175z00_1517;obj_t BgL_arg3177z00_1519;obj_t BgL_arg3178z00_1520;obj_t BgL_arg3179z00_1521;
BgL_arg3174z00_1516 = BgL_locz00_27; 
{ /* Ast/app.scm 317 */
BgL_globalz00_bglt BgL_obj1153z00_2199;
BgL_obj1153z00_2199 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_arg3175z00_1517 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2199))->BgL_typez00); } 
BgL_arg3177z00_1519 = BgL_argsz00_29; 
BgL_arg3178z00_1520 = 
string_append(BgL_gnamez00_1513, BGl_string3891z00zzast_appz00); 
{ /* Ast/app.scm 320 */
obj_t BgL_auxz00_3528;
{ /* Ast/app.scm 320 */
BgL_cfunz00_bglt BgL_obj1444z00_2201;
{ /* Ast/app.scm 320 */
BgL_valuez00_bglt BgL_auxz00_3529;
{ /* Ast/app.scm 320 */
BgL_globalz00_bglt BgL_obj1156z00_2200;
BgL_obj1156z00_2200 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3529 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2200))->BgL_valuez00); } 
BgL_obj1444z00_2201 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3529); } 
BgL_auxz00_3528 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2201))->BgL_argszd2typezd2); } 
BgL_arg3179z00_1521 = 
CAR(BgL_auxz00_3528); } 
{ /* Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3717z00_2233;
{ /* Ast/app.scm 315 */
obj_t BgL_key2199z00_2206;BgL_typez00_bglt BgL_vtype2202z00_2209;
BgL_key2199z00_2206 = 
BINT(((long)-1)); 
BgL_vtype2202z00_2209 = 
(BgL_typez00_bglt)(BgL_arg3179z00_1521); 
{ /* Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_new2203z00_2210;
{ /* Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3715z00_2216;
{ /* Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_new2205z00_2211;
BgL_new2205z00_2211 = 
((BgL_vlengthz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vlengthz00_bgl) ))); 
{ /* Ast/app.scm 315 */
long BgL_arg3415z00_2212;
BgL_arg3415z00_2212 = 
BGl_classzd2numzd2zz__objectz00(BGl_vlengthz00zzast_nodez00); 
{ /* Ast/app.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3539;
BgL_auxz00_3539 = 
(BgL_objectz00_bglt)(BgL_new2205z00_2211); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3539, BgL_arg3415z00_2212); } } 
{ /* Ast/app.scm 315 */
BgL_objectz00_bglt BgL_auxz00_3542;
BgL_auxz00_3542 = 
(BgL_objectz00_bglt)(BgL_new2205z00_2211); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3542, BFALSE); } 
{ /* Ast/app.scm 315 */
obj_t BgL_auxz00_3545;
BgL_auxz00_3545 = 
(obj_t)(BgL_new2205z00_2211); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3545); } BUNSPEC; 
BgL_res3715z00_2216 = BgL_new2205z00_2211; } 
BgL_new2203z00_2210 = BgL_res3715z00_2216; } 
{ /* Ast/app.scm 315 */
BgL_vlengthz00_bglt BgL_res3716z00_2232;
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_locz00) = ((obj_t)BgL_arg3174z00_1516), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3175z00_1517), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_keyz00) = ((obj_t)BgL_key2199z00_2206), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_exprza2za2) = ((obj_t)BgL_arg3177z00_1519), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3178z00_1520), BUNSPEC); 
((((BgL_vlengthz00_bglt)CREF(BgL_new2203z00_2210))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2202z00_2209), BUNSPEC); 
BgL_res3716z00_2232 = BgL_new2203z00_2210; BgL_res3716z00_2232; } 
BgL_res3717z00_2233 = BgL_new2203z00_2210; } } 
return 
(obj_t)(BgL_res3717z00_2233);} }  else 
{ /* Ast/app.scm 313 */
bool_t BgL_testz00_3556;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3557;
BgL_auxz00_3557 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1514, 
CNST_TABLE_REF(((long)15))); 
BgL_testz00_3556 = 
CBOOL(BgL_auxz00_3557); } 
if(BgL_testz00_3556)
{ /* Ast/app.scm 323 */
obj_t BgL_arg3192z00_1525;BgL_typez00_bglt BgL_arg3193z00_1526;obj_t BgL_arg3195z00_1528;obj_t BgL_arg3196z00_1529;BgL_typez00_bglt BgL_arg3197z00_1530;obj_t BgL_arg3198z00_1531;obj_t BgL_arg3199z00_1532;
BgL_arg3192z00_1525 = BgL_locz00_27; 
{ /* Ast/app.scm 324 */
BgL_globalz00_bglt BgL_obj1153z00_2234;
BgL_obj1153z00_2234 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_arg3193z00_1526 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2234))->BgL_typez00); } 
BgL_arg3195z00_1528 = BgL_argsz00_29; 
BgL_arg3196z00_1529 = 
string_append(BgL_gnamez00_1513, BGl_string3892z00zzast_appz00); 
{ /* Ast/app.scm 328 */
BgL_globalz00_bglt BgL_obj1153z00_2235;
BgL_obj1153z00_2235 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_arg3197z00_1530 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2235))->BgL_typez00); } 
{ /* Ast/app.scm 329 */
obj_t BgL_auxz00_3566;
{ /* Ast/app.scm 329 */
obj_t BgL_auxz00_3567;
{ /* Ast/app.scm 329 */
BgL_cfunz00_bglt BgL_obj1444z00_2237;
{ /* Ast/app.scm 329 */
BgL_valuez00_bglt BgL_auxz00_3568;
{ /* Ast/app.scm 329 */
BgL_globalz00_bglt BgL_obj1156z00_2236;
BgL_obj1156z00_2236 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3568 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2236))->BgL_valuez00); } 
BgL_obj1444z00_2237 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3568); } 
BgL_auxz00_3567 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2237))->BgL_argszd2typezd2); } 
BgL_auxz00_3566 = 
CDR(BgL_auxz00_3567); } 
BgL_arg3198z00_1531 = 
CAR(BgL_auxz00_3566); } 
{ /* Ast/app.scm 327 */
obj_t BgL_auxz00_3575;
{ /* Ast/app.scm 327 */
BgL_cfunz00_bglt BgL_obj1444z00_2243;
{ /* Ast/app.scm 327 */
BgL_valuez00_bglt BgL_auxz00_3576;
{ /* Ast/app.scm 327 */
BgL_globalz00_bglt BgL_obj1156z00_2242;
BgL_obj1156z00_2242 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3576 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2242))->BgL_valuez00); } 
BgL_obj1444z00_2243 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3576); } 
BgL_auxz00_3575 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2243))->BgL_argszd2typezd2); } 
BgL_arg3199z00_1532 = 
CAR(BgL_auxz00_3575); } 
{ /* Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3720z00_2281;
{ /* Ast/app.scm 322 */
obj_t BgL_key2103z00_2248;BgL_typez00_bglt BgL_otype2107z00_2252;BgL_typez00_bglt BgL_vtype2108z00_2253;
BgL_key2103z00_2248 = 
BINT(((long)-1)); 
BgL_otype2107z00_2252 = 
(BgL_typez00_bglt)(BgL_arg3198z00_1531); 
BgL_vtype2108z00_2253 = 
(BgL_typez00_bglt)(BgL_arg3199z00_1532); 
{ /* Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_new2109z00_2254;
{ /* Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3718z00_2260;
{ /* Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_new2111z00_2255;
BgL_new2111z00_2255 = 
((BgL_vrefz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vrefz00_bgl) ))); 
{ /* Ast/app.scm 322 */
long BgL_arg3433z00_2256;
BgL_arg3433z00_2256 = 
BGl_classzd2numzd2zz__objectz00(BGl_vrefz00zzast_nodez00); 
{ /* Ast/app.scm 322 */
BgL_objectz00_bglt BgL_auxz00_3587;
BgL_auxz00_3587 = 
(BgL_objectz00_bglt)(BgL_new2111z00_2255); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3587, BgL_arg3433z00_2256); } } 
{ /* Ast/app.scm 322 */
BgL_objectz00_bglt BgL_auxz00_3590;
BgL_auxz00_3590 = 
(BgL_objectz00_bglt)(BgL_new2111z00_2255); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3590, BFALSE); } 
{ /* Ast/app.scm 322 */
obj_t BgL_auxz00_3593;
BgL_auxz00_3593 = 
(obj_t)(BgL_new2111z00_2255); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3593); } BUNSPEC; 
BgL_res3718z00_2260 = BgL_new2111z00_2255; } 
BgL_new2109z00_2254 = BgL_res3718z00_2260; } 
{ /* Ast/app.scm 322 */
BgL_vrefz00_bglt BgL_res3719z00_2280;
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_locz00) = ((obj_t)BgL_arg3192z00_1525), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3193z00_1526), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_keyz00) = ((obj_t)BgL_key2103z00_2248), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_exprza2za2) = ((obj_t)BgL_arg3195z00_1528), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3196z00_1529), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_arg3197z00_1530), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2107z00_2252), BUNSPEC); 
((((BgL_vrefz00_bglt)CREF(BgL_new2109z00_2254))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2108z00_2253), BUNSPEC); 
BgL_res3719z00_2280 = BgL_new2109z00_2254; BgL_res3719z00_2280; } 
BgL_res3720z00_2281 = BgL_new2109z00_2254; } } 
return 
(obj_t)(BgL_res3720z00_2281);} }  else 
{ /* Ast/app.scm 313 */
bool_t BgL_testz00_3606;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3607;
BgL_auxz00_3607 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1514, 
CNST_TABLE_REF(((long)16))); 
BgL_testz00_3606 = 
CBOOL(BgL_auxz00_3607); } 
if(BgL_testz00_3606)
{ /* Ast/app.scm 332 */
obj_t BgL_arg3220z00_1538;BgL_typez00_bglt BgL_arg3221z00_1539;obj_t BgL_arg3223z00_1541;obj_t BgL_arg3224z00_1542;obj_t BgL_arg3225z00_1543;obj_t BgL_arg3226z00_1544;obj_t BgL_arg3227z00_1545;
BgL_arg3220z00_1538 = BgL_locz00_27; 
{ /* Ast/app.scm 333 */
BgL_globalz00_bglt BgL_obj1153z00_2282;
BgL_obj1153z00_2282 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_arg3221z00_1539 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2282))->BgL_typez00); } 
BgL_arg3223z00_1541 = BgL_argsz00_29; 
BgL_arg3224z00_1542 = 
string_append(BgL_gnamez00_1513, BGl_string3893z00zzast_appz00); 
{ /* Ast/app.scm 338 */
obj_t BgL_auxz00_3614;
{ /* Ast/app.scm 338 */
obj_t BgL_auxz00_3615;
{ /* Ast/app.scm 338 */
obj_t BgL_auxz00_3616;
{ /* Ast/app.scm 338 */
BgL_cfunz00_bglt BgL_obj1444z00_2284;
{ /* Ast/app.scm 338 */
BgL_valuez00_bglt BgL_auxz00_3617;
{ /* Ast/app.scm 338 */
BgL_globalz00_bglt BgL_obj1156z00_2283;
BgL_obj1156z00_2283 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3617 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2283))->BgL_valuez00); } 
BgL_obj1444z00_2284 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3617); } 
BgL_auxz00_3616 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2284))->BgL_argszd2typezd2); } 
BgL_auxz00_3615 = 
CDR(BgL_auxz00_3616); } 
BgL_auxz00_3614 = 
CDR(BgL_auxz00_3615); } 
BgL_arg3225z00_1543 = 
CAR(BgL_auxz00_3614); } 
{ /* Ast/app.scm 337 */
obj_t BgL_auxz00_3625;
{ /* Ast/app.scm 337 */
obj_t BgL_auxz00_3626;
{ /* Ast/app.scm 337 */
BgL_cfunz00_bglt BgL_obj1444z00_2292;
{ /* Ast/app.scm 337 */
BgL_valuez00_bglt BgL_auxz00_3627;
{ /* Ast/app.scm 337 */
BgL_globalz00_bglt BgL_obj1156z00_2291;
BgL_obj1156z00_2291 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3627 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2291))->BgL_valuez00); } 
BgL_obj1444z00_2292 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3627); } 
BgL_auxz00_3626 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2292))->BgL_argszd2typezd2); } 
BgL_auxz00_3625 = 
CDR(BgL_auxz00_3626); } 
BgL_arg3226z00_1544 = 
CAR(BgL_auxz00_3625); } 
{ /* Ast/app.scm 336 */
obj_t BgL_auxz00_3634;
{ /* Ast/app.scm 336 */
BgL_cfunz00_bglt BgL_obj1444z00_2298;
{ /* Ast/app.scm 336 */
BgL_valuez00_bglt BgL_auxz00_3635;
{ /* Ast/app.scm 336 */
BgL_globalz00_bglt BgL_obj1156z00_2297;
BgL_obj1156z00_2297 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3635 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2297))->BgL_valuez00); } 
BgL_obj1444z00_2298 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3635); } 
BgL_auxz00_3634 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2298))->BgL_argszd2typezd2); } 
BgL_arg3227z00_1545 = 
CAR(BgL_auxz00_3634); } 
{ /* Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3723z00_2336;
{ /* Ast/app.scm 331 */
obj_t BgL_key2155z00_2303;BgL_typez00_bglt BgL_ftype2158z00_2306;BgL_typez00_bglt BgL_otype2159z00_2307;BgL_typez00_bglt BgL_vtype2160z00_2308;
BgL_key2155z00_2303 = 
BINT(((long)-1)); 
BgL_ftype2158z00_2306 = 
(BgL_typez00_bglt)(BgL_arg3225z00_1543); 
BgL_otype2159z00_2307 = 
(BgL_typez00_bglt)(BgL_arg3226z00_1544); 
BgL_vtype2160z00_2308 = 
(BgL_typez00_bglt)(BgL_arg3227z00_1545); 
{ /* Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_new2161z00_2309;
{ /* Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3721z00_2315;
{ /* Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_new2163z00_2310;
BgL_new2163z00_2310 = 
((BgL_vsetz12z12_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vsetz12z12_bgl) ))); 
{ /* Ast/app.scm 331 */
long BgL_arg3424z00_2311;
BgL_arg3424z00_2311 = 
BGl_classzd2numzd2zz__objectz00(BGl_vsetz12z12zzast_nodez00); 
{ /* Ast/app.scm 331 */
BgL_objectz00_bglt BgL_auxz00_3647;
BgL_auxz00_3647 = 
(BgL_objectz00_bglt)(BgL_new2163z00_2310); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3647, BgL_arg3424z00_2311); } } 
{ /* Ast/app.scm 331 */
BgL_objectz00_bglt BgL_auxz00_3650;
BgL_auxz00_3650 = 
(BgL_objectz00_bglt)(BgL_new2163z00_2310); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3650, BFALSE); } 
{ /* Ast/app.scm 331 */
obj_t BgL_auxz00_3653;
BgL_auxz00_3653 = 
(obj_t)(BgL_new2163z00_2310); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3653); } BUNSPEC; 
BgL_res3721z00_2315 = BgL_new2163z00_2310; } 
BgL_new2161z00_2309 = BgL_res3721z00_2315; } 
{ /* Ast/app.scm 331 */
BgL_vsetz12z12_bglt BgL_res3722z00_2335;
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_locz00) = ((obj_t)BgL_arg3220z00_1538), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3221z00_1539), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_keyz00) = ((obj_t)BgL_key2155z00_2303), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_exprza2za2) = ((obj_t)BgL_arg3223z00_1541), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_czd2formatzd2) = ((obj_t)BgL_arg3224z00_1542), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2158z00_2306), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2159z00_2307), BUNSPEC); 
((((BgL_vsetz12z12_bglt)CREF(BgL_new2161z00_2309))->BgL_vtypez00) = ((BgL_typez00_bglt)BgL_vtype2160z00_2308), BUNSPEC); 
BgL_res3722z00_2335 = BgL_new2161z00_2309; BgL_res3722z00_2335; } 
BgL_res3723z00_2336 = BgL_new2161z00_2309; } } 
return 
(obj_t)(BgL_res3723z00_2336);} }  else 
{ /* Ast/app.scm 313 */
bool_t BgL_testz00_3666;
{ /* Ast/app.scm 313 */
obj_t BgL_auxz00_3667;
BgL_auxz00_3667 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_1514, 
CNST_TABLE_REF(((long)17))); 
BgL_testz00_3666 = 
CBOOL(BgL_auxz00_3667); } 
if(BgL_testz00_3666)
{ /* Ast/app.scm 340 */
obj_t BgL_stackzd2alloczd2_1553;
{ /* Ast/app.scm 340 */
BgL_funz00_bglt BgL_obj1318z00_2338;
{ /* Ast/app.scm 340 */
BgL_valuez00_bglt BgL_auxz00_3671;
BgL_auxz00_3671 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_1512))->BgL_valuez00); 
BgL_obj1318z00_2338 = 
(BgL_funz00_bglt)(BgL_auxz00_3671); } 
BgL_stackzd2alloczd2_1553 = 
(((BgL_funz00_bglt)CREF(BgL_obj1318z00_2338))->BgL_stackzd2allocatorzd2); } 
{ /* Ast/app.scm 340 */
obj_t BgL_heapzd2formatzd2_1554;
BgL_heapzd2formatzd2_1554 = 
string_append(BgL_gnamez00_1513, BGl_string3891z00zzast_appz00); 
{ /* Ast/app.scm 341 */
obj_t BgL_stackzd2formatzd2_1555;
{ /* Ast/app.scm 342 */
bool_t BgL_test3269z00_1564;
BgL_test3269z00_1564 = 
BGl_iszd2azf3z21zz__objectz00(BgL_stackzd2alloczd2_1553, BGl_globalz00zzast_varz00); 
if(BgL_test3269z00_1564)
{ /* Ast/app.scm 343 */
obj_t BgL_auxz00_3678;
{ /* Ast/app.scm 343 */
BgL_globalz00_bglt BgL_obj1150z00_2340;
BgL_obj1150z00_2340 = 
(BgL_globalz00_bglt)(BgL_stackzd2alloczd2_1553); 
BgL_auxz00_3678 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1150z00_2340))->BgL_namez00); } 
BgL_stackzd2formatzd2_1555 = 
string_append(BgL_auxz00_3678, BGl_string3891z00zzast_appz00); }  else 
{ /* Ast/app.scm 342 */
BgL_stackzd2formatzd2_1555 = BgL_heapzd2formatzd2_1554; } } 
{ /* Ast/app.scm 342 */

{ /* Ast/app.scm 347 */
obj_t BgL_arg3254z00_1556;BgL_typez00_bglt BgL_arg3255z00_1557;obj_t BgL_arg3257z00_1559;obj_t BgL_arg3258z00_1560;
BgL_arg3254z00_1556 = BgL_locz00_27; 
{ /* Ast/app.scm 348 */
BgL_globalz00_bglt BgL_obj1153z00_2341;
BgL_obj1153z00_2341 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_arg3255z00_1557 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_2341))->BgL_typez00); } 
BgL_arg3257z00_1559 = BgL_argsz00_29; 
BgL_arg3258z00_1560 = BgL_heapzd2formatzd2_1554; 
{ /* Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3726z00_2378;
{ /* Ast/app.scm 346 */
obj_t BgL_key2052z00_2348;BgL_typez00_bglt BgL_ftype2055z00_2351;BgL_typez00_bglt BgL_otype2056z00_2352;
BgL_key2052z00_2348 = 
BINT(((long)-1)); 
BgL_ftype2055z00_2351 = 
(BgL_typez00_bglt)(BGl_za2objza2z00zztype_cachez00); 
{ /* Ast/app.scm 350 */
obj_t BgL_auxz00_3686;
{ /* Ast/app.scm 350 */
obj_t BgL_auxz00_3687;
{ /* Ast/app.scm 350 */
BgL_cfunz00_bglt BgL_obj1444z00_2343;
{ /* Ast/app.scm 350 */
BgL_valuez00_bglt BgL_auxz00_3688;
{ /* Ast/app.scm 350 */
BgL_globalz00_bglt BgL_obj1156z00_2342;
BgL_obj1156z00_2342 = 
(BgL_globalz00_bglt)(BgL_varz00_1512); 
BgL_auxz00_3688 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2342))->BgL_valuez00); } 
BgL_obj1444z00_2343 = 
(BgL_cfunz00_bglt)(BgL_auxz00_3688); } 
BgL_auxz00_3687 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_2343))->BgL_argszd2typezd2); } 
BgL_auxz00_3686 = 
CAR(BgL_auxz00_3687); } 
BgL_otype2056z00_2352 = 
(BgL_typez00_bglt)(BgL_auxz00_3686); } 
{ /* Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_new2057z00_2353;
{ /* Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3724z00_2359;
{ /* Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_new2059z00_2354;
BgL_new2059z00_2354 = 
((BgL_vallocz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_vallocz00_bgl) ))); 
{ /* Ast/app.scm 346 */
long BgL_arg3442z00_2355;
BgL_arg3442z00_2355 = 
BGl_classzd2numzd2zz__objectz00(BGl_vallocz00zzast_nodez00); 
{ /* Ast/app.scm 346 */
BgL_objectz00_bglt BgL_auxz00_3697;
BgL_auxz00_3697 = 
(BgL_objectz00_bglt)(BgL_new2059z00_2354); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_3697, BgL_arg3442z00_2355); } } 
{ /* Ast/app.scm 346 */
BgL_objectz00_bglt BgL_auxz00_3700;
BgL_auxz00_3700 = 
(BgL_objectz00_bglt)(BgL_new2059z00_2354); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_3700, BFALSE); } 
{ /* Ast/app.scm 346 */
obj_t BgL_auxz00_3703;
BgL_auxz00_3703 = 
(obj_t)(BgL_new2059z00_2354); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_3703); } BUNSPEC; 
BgL_res3724z00_2359 = BgL_new2059z00_2354; } 
BgL_new2057z00_2353 = BgL_res3724z00_2359; } 
{ /* Ast/app.scm 346 */
BgL_vallocz00_bglt BgL_res3725z00_2377;
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_locz00) = ((obj_t)BgL_arg3254z00_1556), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3255z00_1557), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_sidezd2effectzf3z21) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_keyz00) = ((obj_t)BgL_key2052z00_2348), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_exprza2za2) = ((obj_t)BgL_arg3257z00_1559), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_czd2heapzd2formatz00) = ((obj_t)BgL_arg3258z00_1560), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_ftypez00) = ((BgL_typez00_bglt)BgL_ftype2055z00_2351), BUNSPEC); 
((((BgL_vallocz00_bglt)CREF(BgL_new2057z00_2353))->BgL_otypez00) = ((BgL_typez00_bglt)BgL_otype2056z00_2352), BUNSPEC); 
BgL_res3725z00_2377 = BgL_new2057z00_2353; BgL_res3725z00_2377; } 
BgL_res3726z00_2378 = BgL_new2057z00_2353; } } 
return 
(obj_t)(BgL_res3726z00_2378);} } } } } }  else 
{ /* Ast/app.scm 353 */
obj_t BgL_arg3284z00_1570;
BgL_arg3284z00_1570 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_varz00_1512)); 
FAILURE(BGl_string3894z00zzast_appz00,BGl_string3895z00zzast_appz00,BgL_arg3284z00_1570);} } } } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_appz00()
{ AN_OBJECT;
{ /* Ast/app.scm 14 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "ast_app"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_app"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_app"); 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "ast_app"); 
return 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "ast_app");} 
}

