/*===========================================================================*/
/*   (Ast/venv.scm)                                                          */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzast_envz00();
extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00();
extern obj_t open_input_string(obj_t);
extern long BGl_classzd2numzd2zz__objectz00(obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
extern obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t);
extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
static obj_t BGl__getzd2genvzd2zzast_envz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
static obj_t BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
static obj_t BGl_zc3anonymousza32960ze3z83zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2_za2z00zztype_cachez00;
extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
extern obj_t BGl_hrtypezd2nodez12zc0zzast_hrtypez00(BgL_nodez00_bglt);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_typez00zztype_typez00;
extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
extern obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__unbindzd2globalz123537zc0zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_envz00();
static obj_t BGl_zc3anonymousza32697ze3z83zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzast_envz00();
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
static obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t, obj_t);
static obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t, obj_t);
static obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2forzd2eachz00zz__hashz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzast_envz00();
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_hrtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BUNSPEC;
static obj_t BGl__findzd2globalzf2module3533z20zzast_envz00(obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2Genvza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
extern obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t);
extern obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
static obj_t BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(obj_t, obj_t);
extern BgL_typez00_bglt BGl_findzd2typezd2zztype_envz00(obj_t);
static obj_t BGl__globalzd2bucketzd2position3542z00zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl__restorezd2valuezd2typesz123526z12zzast_envz00(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_za2restoredza2z00zzast_envz00 = BUNSPEC;
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t, obj_t);
extern obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
static obj_t BGl__bindzd2globalz123535zc0zzast_envz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t, obj_t, BgL_valuez00_bglt, obj_t, obj_t);
static obj_t BGl__findzd2global3531zd2zzast_envz00(obj_t, obj_t, obj_t);
static obj_t BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(BgL_valuez00_bglt);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t);
extern obj_t BGl_getzd2genvzd2zzast_envz00();
extern obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t);
static obj_t BGl__forzd2eachzd2globalz123539z12zzast_envz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzast_envz00 = BUNSPEC;
static obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt);
extern obj_t BGl_za2warningza2z00zz__errorz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00();
static obj_t __cnst[ 7 ] ;

DEFINE_STRING( BGl_string3660z00zzast_envz00, BgL_bgl_string3660za700za7za7ast_envza7003689z00, "@ now read eval foreign jvm the-global-environment ", 51 );
DEFINE_STRING( BGl_string3659z00zzast_envz00, BgL_bgl_string3659za700za7za7ast_envza7003690z00, "Illegal non pair argument", 25 );
DEFINE_STRING( BGl_string3658z00zzast_envz00, BgL_bgl_string3658za700za7za7ast_envza7003691z00, "restore-value-types", 19 );
DEFINE_STRING( BGl_string3657z00zzast_envz00, BgL_bgl_string3657za700za7za7ast_envza7003692z00, "Illegal argument", 16 );
DEFINE_STRING( BGl_string3656z00zzast_envz00, BgL_bgl_string3656za700za7za7ast_envza7003693z00, "restore-value-types(sfun)", 25 );
DEFINE_EXPORT_PROCEDURE( BGl_bindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__bindza7d2globalza7123535za7c0za7za7ast_envza7003694z00, BGl__bindzd2globalz123535zc0zzast_envz00, 0L, 5 );
DEFINE_STRING( BGl_string3653z00zzast_envz00, BgL_bgl_string3653za700za7za7ast_envza7003695z00, "Can't find global", 17 );
DEFINE_STRING( BGl_string3652z00zzast_envz00, BgL_bgl_string3652za700za7za7ast_envza7003696z00, "unbind-global!", 14 );
DEFINE_STRING( BGl_string3651z00zzast_envz00, BgL_bgl_string3651za700za7za7ast_envza7003697z00, "eval", 4 );
DEFINE_STRING( BGl_string3650z00zzast_envz00, BgL_bgl_string3650za700za7za7ast_envza7003698z00, ")", 1 );
DEFINE_STRING( BGl_string3649z00zzast_envz00, BgL_bgl_string3649za700za7za7ast_envza7003699z00, "Illegal global redefinition (module ", 36 );
DEFINE_STRING( BGl_string3648z00zzast_envz00, BgL_bgl_string3648za700za7za7ast_envza7003700z00, "Scheme declaration overrides foreign declaration", 48 );
DEFINE_STATIC_GENERIC( BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza7123526za712za7za7ast_envza7003701za7, BGl__restorezd2valuezd2typesz123526z12zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzd2envz00zzast_envz00, BgL_bgl__findza7d2global3531za7d2za7za7ast_envza7003702za7, va_generic_entry, BGl__findzd2global3531zd2zzast_envz00, -2 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2genvzd2envz00zzast_envz00, BgL_bgl__getza7d2genvza7d2za7za7ast_envza7003703za7, BGl__getzd2genvzd2zzast_envz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_restorezd2valuezd2typesz12zd2default2688zd2envz12zzast_envz00, BgL_bgl__restoreza7d2valueza7d2typesza712za7d2default2688za7c0za7za7ast_envza7003704z00, BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_initializa7ezd2Genvz12zd2envzb5zzast_envz00, BgL_bgl__initializa7a7eza7d2genvza712za767za7za7ast_envza7003705za7, BGl__initializa7ezd2Genvz12z67zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_findzd2globalzf2modulezd2envzf2zzast_envz00, BgL_bgl__findza7d2globalza7f2module3533za720za7za7ast_envza7003706z00, BGl__findzd2globalzf2module3533z20zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2bucketzd2positionzd2envzd2zzast_envz00, BgL_bgl__globalza7d2bucketza7d2position3542za700za7za7ast_envza7003707z00, BGl__globalzd2bucketzd2position3542z00zzast_envz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_setzd2genvz12zd2envz12zzast_envz00, BgL_bgl__setza7d2genvza712za7c0za7za7ast_envza7003708z00, BGl__setzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_alreadyzd2restoredzf3zd2envzf3zzast_envz00, BgL_bgl__alreadyza7d2restoredza7f3za721za7za7ast_envza7003709z00, BGl__alreadyzd2restoredzf3z21zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_additionalzd2heapzd2restorezd2globalsz12zd2envz12zzast_envz00, BgL_bgl__additionalza7d2heapza7d2restoreza7d2globalsza712za7c0za7za7ast_envza7003710z00, BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_restorezd2globalz12zd2envz12zzast_envz00, BgL_bgl__restoreza7d2globalza712za7c0za7za7ast_envza7003711z00, BGl__restorezd2globalz12zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_addzd2genvz12zd2envz12zzast_envz00, BgL_bgl__addza7d2genvza712za7c0za7za7ast_envza7003712z00, BGl__addzd2genvz12zc0zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3647z00zzast_envz00, BgL_bgl_za7c3anonymousza7a32697za7e3za783za7za7ast_envza7003713za7, BGl_zc3anonymousza32697ze3z83zzast_envz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3654z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2sfun2691za7c0za7za7ast_envza7003714z00, BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc3655z00zzast_envz00, BgL_bgl_restoreza7d2valueza7d2typesza712za7d2cfun2693za7c0za7za7ast_envza7003715z00, BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_forzd2eachzd2globalz12zd2envzc0zzast_envz00, BgL_bgl__forza7d2eachza7d2globalza7123539za712za7za7ast_envza7003716za7, BGl__forzd2eachzd2globalz123539z12zzast_envz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_unbindzd2globalz12zd2envz12zzast_envz00, BgL_bgl__unbindza7d2globalza7123537za7c0za7za7ast_envza7003717z00, BGl__unbindzd2globalz123537zc0zzast_envz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long BgL_checksumz00_2681, char * BgL_fromz00_2682)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_envz00))
{ 
BGl_requirezd2initializa7ationz75zzast_envz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_envz00(); 
BGl_cnstzd2initzd2zzast_envz00(); 
BGl_importedzd2moduleszd2initz00zzast_envz00(); 
BGl_methodzd2initzd2zzast_envz00(); 
BGl_toplevelzd2initzd2zzast_envz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_env"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_env"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
{ /* Ast/venv.scm 14 */
obj_t BgL_cportz00_2674;
BgL_cportz00_2674 = 
open_input_string(BGl_string3660z00zzast_envz00); 
{ 
long BgL_iz00_2675;
BgL_iz00_2675 = ((long)6); 
BgL_loopz00_2676:
if(
(BgL_iz00_2675==((long)-1)))
{ /* Ast/venv.scm 14 */
return BUNSPEC;}  else 
{ /* Ast/venv.scm 14 */
{ /* Ast/venv.scm 14 */
obj_t BgL_arg3664z00_2678;
{ /* Ast/venv.scm 14 */
obj_t BgL_list3667z00_2679;
BgL_list3667z00_2679 = 
MAKE_PAIR(BgL_cportz00_2674, BNIL); 
BgL_arg3664z00_2678 = 
BGl_readz00zz__readerz00(BgL_list3667z00_2679); } 
{ /* Ast/venv.scm 14 */
int BgL_auxz00_2701;
BgL_auxz00_2701 = 
(int)(BgL_iz00_2675); 
CNST_TABLE_SET(BgL_auxz00_2701, BgL_arg3664z00_2678); } } 
{ 
long BgL_iz00_2704;
{ /* Ast/venv.scm 14 */
int BgL_auxz00_2705;
{ /* Ast/venv.scm 14 */
long BgL_auxz00_2706;
BgL_auxz00_2706 = 
(BgL_iz00_2675-((long)1)); 
BgL_auxz00_2705 = 
(int)(BgL_auxz00_2706); } 
BgL_iz00_2704 = 
(long)(BgL_auxz00_2705); } 
BgL_iz00_2675 = BgL_iz00_2704; 
goto BgL_loopz00_2676;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_za2Genvza2z00zzast_envz00 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = BNIL; 
BGl_za2restoredza2z00zzast_envz00 = BNIL; 
return BUNSPEC;} 
}



/* set-genv! */
obj_t BGl_setzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_1)
{ AN_OBJECT;
{ /* Ast/venv.scm 50 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = BgL_genvz00_1, BUNSPEC) ;} 
}



/* _set-genv! */
obj_t BGl__setzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2624, obj_t BgL_genvz00_2625)
{ AN_OBJECT;
{ /* Ast/venv.scm 50 */
return 
BGl_setzd2genvz12zc0zzast_envz00(BgL_genvz00_2625);} 
}



/* add-genv! */
obj_t BGl_addzd2genvz12zc0zzast_envz00(obj_t BgL_genvz00_2)
{ AN_OBJECT;
{ /* Ast/venv.scm 59 */
BGl_hashtablezd2forzd2eachz00zz__hashz00(BgL_genvz00_2, BGl_proc3647z00zzast_envz00); 
return ( 
BGl_za2restoredza2z00zzast_envz00 = BNIL, BUNSPEC) ;} 
}



/* _add-genv! */
obj_t BGl__addzd2genvz12zc0zzast_envz00(obj_t BgL_envz00_2627, obj_t BgL_genvz00_2628)
{ AN_OBJECT;
{ /* Ast/venv.scm 59 */
return 
BGl_addzd2genvz12zc0zzast_envz00(BgL_genvz00_2628);} 
}



/* <anonymous:2697> */
obj_t BGl_zc3anonymousza32697ze3z83zzast_envz00(obj_t BgL_envz00_2629, obj_t BgL_kz00_2630, obj_t BgL_bucketz00_2631)
{ AN_OBJECT;
{ /* Ast/venv.scm 62 */
{ 
obj_t BgL_kz00_1259;obj_t BgL_bucketz00_1260;
{ /* Ast/venv.scm 63 */
bool_t BgL_auxz00_2714;
BgL_kz00_1259 = BgL_kz00_2630; 
BgL_bucketz00_1260 = BgL_bucketz00_2631; 
{ 
obj_t BgL_l2677z00_1262;
BgL_l2677z00_1262 = 
CDR(BgL_bucketz00_1260); 
BgL_lname2678z00_1263:
if(
PAIRP(BgL_l2677z00_1262))
{ /* Ast/venv.scm 63 */
{ /* Ast/venv.scm 64 */
obj_t BgL_newz00_1266;
BgL_newz00_1266 = 
CAR(BgL_l2677z00_1262); 
BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_1266, BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00); 
{ /* Ast/venv.scm 65 */
obj_t BgL_modulez00_1267;
{ /* Ast/venv.scm 65 */
BgL_globalz00_bglt BgL_obj1171z00_1854;
BgL_obj1171z00_1854 = 
(BgL_globalz00_bglt)(BgL_newz00_1266); 
BgL_modulez00_1267 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1854))->BgL_modulez00); } 
{ /* Ast/venv.scm 65 */
obj_t BgL_idz00_1268;
{ /* Ast/venv.scm 66 */
BgL_globalz00_bglt BgL_obj1149z00_1855;
BgL_obj1149z00_1855 = 
(BgL_globalz00_bglt)(BgL_newz00_1266); 
BgL_idz00_1268 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_1855))->BgL_idz00); } 
{ /* Ast/venv.scm 66 */
obj_t BgL_bucketz00_1269;
BgL_bucketz00_1269 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1268); 
{ /* Ast/venv.scm 67 */

if(
PAIRP(BgL_bucketz00_1269))
{ /* Ast/venv.scm 71 */
bool_t BgL_test2705z00_1271;
BgL_test2705z00_1271 = 
(BgL_modulez00_1267==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2705z00_1271)
{ /* Ast/venv.scm 71 */
{ /* Ast/venv.scm 72 */
obj_t BgL_newzd2bucketzd2_1272;
{ /* Ast/venv.scm 72 */
obj_t BgL_auxz00_2728;
BgL_auxz00_2728 = 
CDR(BgL_bucketz00_1269); 
BgL_newzd2bucketzd2_1272 = 
MAKE_PAIR(BgL_newz00_1266, BgL_auxz00_2728); } 
SET_CDR(BgL_bucketz00_1269, BgL_newzd2bucketzd2_1272); } }  else 
{ /* Ast/venv.scm 71 */
{ /* Ast/venv.scm 75 */
obj_t BgL_arg2712z00_1274;obj_t BgL_arg2713z00_1275;
BgL_arg2712z00_1274 = 
CDR(BgL_bucketz00_1269); 
{ /* Ast/venv.scm 75 */
obj_t BgL_auxz00_2733;
{ /* Ast/venv.scm 75 */
obj_t BgL_auxz00_2734;
BgL_auxz00_2734 = 
CDR(BgL_bucketz00_1269); 
BgL_auxz00_2733 = 
CDR(BgL_auxz00_2734); } 
BgL_arg2713z00_1275 = 
MAKE_PAIR(BgL_newz00_1266, BgL_auxz00_2733); } 
SET_CDR(BgL_arg2712z00_1274, BgL_arg2713z00_1275); } } }  else 
{ /* Ast/venv.scm 69 */
{ /* Ast/venv.scm 70 */
obj_t BgL_arg2722z00_1277;
{ /* Ast/venv.scm 70 */
obj_t BgL_list2725z00_1278;
{ /* Ast/venv.scm 70 */
obj_t BgL_arg2727z00_1279;
BgL_arg2727z00_1279 = 
MAKE_PAIR(BgL_newz00_1266, BNIL); 
BgL_list2725z00_1278 = 
MAKE_PAIR(BgL_idz00_1268, BgL_arg2727z00_1279); } 
BgL_arg2722z00_1277 = BgL_list2725z00_1278; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_1268, BgL_arg2722z00_1277); } } } } } } } 
{ 
obj_t BgL_l2677z00_2742;
BgL_l2677z00_2742 = 
CDR(BgL_l2677z00_1262); 
BgL_l2677z00_1262 = BgL_l2677z00_2742; 
goto BgL_lname2678z00_1263;} }  else 
{ /* Ast/venv.scm 63 */
BgL_auxz00_2714 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2714);} } } 
}



/* additional-heap-restore-globals! */
obj_t BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 93 */
{ 
obj_t BgL_l2679z00_1282;
BgL_l2679z00_1282 = BGl_za2delayedzd2restoredzd2globalza2z00zzast_envz00; 
BgL_lname2680z00_1283:
if(
PAIRP(BgL_l2679z00_1282))
{ /* Ast/venv.scm 94 */
BGl_restorezd2globalz12zc0zzast_envz00(
CAR(BgL_l2679z00_1282)); 
{ 
obj_t BgL_l2679z00_2750;
BgL_l2679z00_2750 = 
CDR(BgL_l2679z00_1282); 
BgL_l2679z00_1282 = BgL_l2679z00_2750; 
goto BgL_lname2680z00_1283;} }  else 
{ /* Ast/venv.scm 94 */((bool_t)1); } } 
return BTRUE;} 
}



/* _additional-heap-restore-globals! */
obj_t BGl__additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(obj_t BgL_envz00_2632)
{ AN_OBJECT;
{ /* Ast/venv.scm 93 */
return 
BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();} 
}



/* restore-global! */
obj_t BGl_restorezd2globalz12zc0zzast_envz00(obj_t BgL_newz00_4)
{ AN_OBJECT;
{ /* Ast/venv.scm 100 */
BGl_za2restoredza2z00zzast_envz00 = 
MAKE_PAIR(BgL_newz00_4, BGl_za2restoredza2z00zzast_envz00); 
{ /* Ast/venv.scm 103 */
BgL_typez00_bglt BgL_typez00_1288;
{ /* Ast/venv.scm 104 */
BgL_globalz00_bglt BgL_obj1153z00_1875;
BgL_obj1153z00_1875 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_typez00_1288 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_1875))->BgL_typez00); } 
{ /* Ast/venv.scm 104 */
BgL_valuez00_bglt BgL_valuez00_1289;
{ /* Ast/venv.scm 105 */
BgL_globalz00_bglt BgL_obj1156z00_1876;
BgL_obj1156z00_1876 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_valuez00_1289 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_1876))->BgL_valuez00); } 
{ /* Ast/venv.scm 105 */
obj_t BgL_typezd2idzd2_1290;
BgL_typezd2idzd2_1290 = 
(((BgL_typez00_bglt)CREF(BgL_typez00_1288))->BgL_idz00); 
{ /* Ast/venv.scm 106 */

{ /* Ast/venv.scm 108 */
BgL_globalz00_bglt BgL_obj1182z00_1878;
BgL_obj1182z00_1878 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
((((BgL_globalz00_bglt)CREF(BgL_obj1182z00_1878))->BgL_libraryzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); } 
{ /* Ast/venv.scm 110 */
BgL_typez00_bglt BgL_arg2755z00_1291;
BgL_arg2755z00_1291 = 
BGl_findzd2typezd2zztype_envz00(BgL_typezd2idzd2_1290); 
{ /* Ast/venv.scm 110 */
BgL_globalz00_bglt BgL_obj1155z00_1880;
BgL_obj1155z00_1880 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
((((BgL_globalz00_bglt)CREF(BgL_obj1155z00_1880))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg2755z00_1291), BUNSPEC); } } 
{ /* Ast/venv.scm 112 */
obj_t BgL_method2689z00_1883;
{ /* Ast/venv.scm 112 */
long BgL_objzd2classzd2numz00_1885;
{ /* Ast/venv.scm 112 */
BgL_objectz00_bglt BgL_auxz00_2764;
BgL_auxz00_2764 = 
(BgL_objectz00_bglt)(BgL_valuez00_1289); 
BgL_objzd2classzd2numz00_1885 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_2764); } 
{ /* Ast/venv.scm 112 */
obj_t BgL_arg1904z00_1886;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2767;
BgL_auxz00_2767 = 
(int)(((long)1)); 
BgL_arg1904z00_1886 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_2767); } 
{ /* Ast/venv.scm 112 */
long BgL_offsetz00_1890;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2770;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2771;
BgL_auxz00_2771 = 
(int)(BgL_objzd2classzd2numz00_1885); 
BgL_auxz00_2770 = 
(long)(BgL_auxz00_2771); } 
BgL_offsetz00_1890 = 
(BgL_auxz00_2770-OBJECT_TYPE); } 
{ /* Ast/venv.scm 112 */
long BgL_modz00_1891;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2775;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2776;
BgL_auxz00_2776 = 
(int)(((long)8)); 
BgL_auxz00_2775 = 
(long)(BgL_auxz00_2776); } 
BgL_modz00_1891 = 
(BgL_offsetz00_1890/BgL_auxz00_2775); } 
{ /* Ast/venv.scm 112 */
long BgL_restz00_1893;
{ /* Ast/venv.scm 112 */
long BgL_auxz00_2780;
{ /* Ast/venv.scm 112 */
int BgL_auxz00_2781;
BgL_auxz00_2781 = 
(int)(((long)8)); 
BgL_auxz00_2780 = 
(long)(BgL_auxz00_2781); } 
BgL_restz00_1893 = 
(BgL_offsetz00_1890%BgL_auxz00_2780); } 
{ /* Ast/venv.scm 112 */

{ /* Ast/venv.scm 112 */
obj_t BgL_bucketz00_1895;
{ /* Ast/venv.scm 112 */
int BgL_kz00_1905;
BgL_kz00_1905 = 
(int)(BgL_modz00_1891); 
BgL_bucketz00_1895 = 
VECTOR_REF(BgL_arg1904z00_1886,BgL_kz00_1905); } 
{ /* Ast/venv.scm 112 */
int BgL_kz00_1907;
BgL_kz00_1907 = 
(int)(BgL_restz00_1893); 
BgL_method2689z00_1883 = 
VECTOR_REF(BgL_bucketz00_1895,BgL_kz00_1907); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2689z00_1883)(BgL_method2689z00_1883, 
(obj_t)(BgL_valuez00_1289), BEOA); } 
{ /* Ast/venv.scm 114 */
bool_t BgL_test2759z00_1292;
{ /* Ast/venv.scm 114 */
bool_t BgL_test2770z00_1297;
{ /* Ast/venv.scm 114 */
obj_t BgL_auxz00_2792;
BgL_auxz00_2792 = 
CNST_TABLE_REF(((long)1)); 
BgL_test2770z00_1297 = 
(BGl_za2targetzd2languageza2zd2zzengine_paramz00==BgL_auxz00_2792); } 
if(BgL_test2770z00_1297)
{ /* Ast/venv.scm 115 */
bool_t BgL_testz00_2796;
{ /* Ast/venv.scm 115 */
obj_t BgL_auxz00_2800;obj_t BgL_auxz00_2797;
BgL_auxz00_2800 = 
CNST_TABLE_REF(((long)2)); 
{ /* Ast/venv.scm 115 */
BgL_globalz00_bglt BgL_obj1171z00_1908;
BgL_obj1171z00_1908 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_auxz00_2797 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1908))->BgL_modulez00); } 
BgL_testz00_2796 = 
(BgL_auxz00_2797==BgL_auxz00_2800); } 
if(BgL_testz00_2796)
{ /* Ast/venv.scm 115 */
BgL_test2759z00_1292 = ((bool_t)0); }  else 
{ /* Ast/venv.scm 115 */
BgL_test2759z00_1292 = ((bool_t)1); } }  else 
{ /* Ast/venv.scm 114 */
BgL_test2759z00_1292 = ((bool_t)0); } } 
if(BgL_test2759z00_1292)
{ /* Ast/venv.scm 116 */
obj_t BgL_arg2761z00_1293;obj_t BgL_arg2762z00_1294;obj_t BgL_arg2763z00_1295;
{ /* Ast/venv.scm 116 */
BgL_globalz00_bglt BgL_obj1171z00_1909;
BgL_obj1171z00_1909 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_arg2761z00_1293 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1909))->BgL_modulez00); } 
{ /* Ast/venv.scm 117 */
BgL_globalz00_bglt BgL_obj1192z00_1910;
BgL_obj1192z00_1910 = 
(BgL_globalz00_bglt)(BgL_newz00_4); 
BgL_arg2762z00_1294 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1192z00_1910))->BgL_jvmzd2typezd2namez00); } 
BgL_arg2763z00_1295 = 
BGl_shapez00zztools_shapez00(BgL_newz00_4); 
{ /* Ast/venv.scm 116 */
obj_t BgL_list2765z00_1296;
BgL_list2765z00_1296 = 
MAKE_PAIR(BgL_arg2763z00_1295, BNIL); 
return 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg2761z00_1293, BgL_arg2762z00_1294, BgL_list2765z00_1296);} }  else 
{ /* Ast/venv.scm 114 */
return BFALSE;} } } } } } } 
}



/* _restore-global! */
obj_t BGl__restorezd2globalz12zc0zzast_envz00(obj_t BgL_envz00_2633, obj_t BgL_newz00_2634)
{ AN_OBJECT;
{ /* Ast/venv.scm 100 */
return 
BGl_restorezd2globalz12zc0zzast_envz00(BgL_newz00_2634);} 
}



/* already-restored? */
obj_t BGl_alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_funz00_6)
{ AN_OBJECT;
{ /* Ast/venv.scm 137 */
return 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_funz00_6, BGl_za2restoredza2z00zzast_envz00);} 
}



/* _already-restored? */
obj_t BGl__alreadyzd2restoredzf3z21zzast_envz00(obj_t BgL_envz00_2637, obj_t BgL_funz00_2638)
{ AN_OBJECT;
{ /* Ast/venv.scm 137 */
return 
BGl_alreadyzd2restoredzf3z21zzast_envz00(BgL_funz00_2638);} 
}



/* get-genv */
obj_t BGl_getzd2genvzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 195 */
return BGl_za2Genvza2z00zzast_envz00;} 
}



/* _get-genv */
obj_t BGl__getzd2genvzd2zzast_envz00(obj_t BgL_envz00_2639)
{ AN_OBJECT;
{ /* Ast/venv.scm 195 */
return 
BGl_getzd2genvzd2zzast_envz00();} 
}



/* initialize-Genv! */
obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 201 */
return ( 
BGl_za2Genvza2z00zzast_envz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 
}



/* _initialize-Genv! */
obj_t BGl__initializa7ezd2Genvz12z67zzast_envz00(obj_t BgL_envz00_2640)
{ AN_OBJECT;
{ /* Ast/venv.scm 201 */
return 
BGl_initializa7ezd2Genvz12z67zzast_envz00();} 
}



/* find-global */
obj_t BGl_findzd2globalzd2zzast_envz00(obj_t BgL_idz00_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* Ast/venv.scm 207 */
{ /* Ast/venv.scm 209 */
obj_t BgL_bucketz00_1302;obj_t BgL_modulez00_1303;
BgL_bucketz00_1302 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_11); 
if(
NULLP(BgL_modulez00_12))
{ /* Ast/venv.scm 210 */
BgL_modulez00_1303 = BNIL; }  else 
{ /* Ast/venv.scm 210 */
BgL_modulez00_1303 = 
CAR(BgL_modulez00_12); } 
if(
PAIRP(BgL_bucketz00_1302))
{ /* Ast/venv.scm 214 */
bool_t BgL_testz00_2823;
{ /* Ast/venv.scm 214 */
obj_t BgL_auxz00_2824;
BgL_auxz00_2824 = 
CDR(BgL_bucketz00_1302); 
BgL_testz00_2823 = 
NULLP(BgL_auxz00_2824); } 
if(BgL_testz00_2823)
{ /* Ast/venv.scm 214 */
return BFALSE;}  else 
{ /* Ast/venv.scm 214 */
if(
NULLP(BgL_modulez00_1303))
{ /* Ast/venv.scm 216 */
{ /* Ast/venv.scm 217 */
obj_t BgL_auxz00_2829;
BgL_auxz00_2829 = 
CDR(BgL_bucketz00_1302); 
return 
CAR(BgL_auxz00_2829);} }  else 
{ /* Ast/venv.scm 216 */
{ 
obj_t BgL_globalsz00_1307;
BgL_globalsz00_1307 = 
CDR(BgL_bucketz00_1302); 
BgL_loopz00_1308:
if(
NULLP(BgL_globalsz00_1307))
{ /* Ast/venv.scm 221 */
return BFALSE;}  else 
{ /* Ast/venv.scm 223 */
bool_t BgL_testz00_2834;
{ /* Ast/venv.scm 223 */
obj_t BgL_auxz00_2835;
{ /* Ast/venv.scm 223 */
BgL_globalz00_bglt BgL_obj1171z00_1924;
{ /* Ast/venv.scm 223 */
obj_t BgL_auxz00_2836;
BgL_auxz00_2836 = 
CAR(BgL_globalsz00_1307); 
BgL_obj1171z00_1924 = 
(BgL_globalz00_bglt)(BgL_auxz00_2836); } 
BgL_auxz00_2835 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1924))->BgL_modulez00); } 
BgL_testz00_2834 = 
(BgL_auxz00_2835==BgL_modulez00_1303); } 
if(BgL_testz00_2834)
{ /* Ast/venv.scm 223 */
return 
CAR(BgL_globalsz00_1307);}  else 
{ /* Ast/venv.scm 223 */
{ 
obj_t BgL_globalsz00_2842;
BgL_globalsz00_2842 = 
CDR(BgL_globalsz00_1307); 
BgL_globalsz00_1307 = BgL_globalsz00_2842; 
goto BgL_loopz00_1308;} } } } } } }  else 
{ /* Ast/venv.scm 212 */
return BFALSE;} } } 
}



/* _find-global3531 */
obj_t BGl__findzd2global3531zd2zzast_envz00(obj_t BgL_envz00_2641, obj_t BgL_idz00_2642, obj_t BgL_modulez00_2643)
{ AN_OBJECT;
{ /* Ast/venv.scm 207 */
return 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_2642, BgL_modulez00_2643);} 
}



/* find-global/module */
obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t BgL_idz00_13, obj_t BgL_modulez00_14)
{ AN_OBJECT;
{ /* Ast/venv.scm 231 */
{ /* Ast/venv.scm 232 */
obj_t BgL_bucketz00_1317;
BgL_bucketz00_1317 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_13); 
if(
PAIRP(BgL_bucketz00_1317))
{ /* Ast/venv.scm 236 */
bool_t BgL_testz00_2849;
{ /* Ast/venv.scm 236 */
obj_t BgL_auxz00_2850;
BgL_auxz00_2850 = 
CDR(BgL_bucketz00_1317); 
BgL_testz00_2849 = 
NULLP(BgL_auxz00_2850); } 
if(BgL_testz00_2849)
{ /* Ast/venv.scm 236 */
return BFALSE;}  else 
{ /* Ast/venv.scm 236 */
{ 
obj_t BgL_globalsz00_1321;
BgL_globalsz00_1321 = 
CDR(BgL_bucketz00_1317); 
BgL_loopz00_1322:
if(
NULLP(BgL_globalsz00_1321))
{ /* Ast/venv.scm 243 */
return BFALSE;}  else 
{ /* Ast/venv.scm 245 */
bool_t BgL_testz00_2855;
{ /* Ast/venv.scm 245 */
obj_t BgL_auxz00_2856;
{ /* Ast/venv.scm 245 */
BgL_globalz00_bglt BgL_obj1171z00_1938;
{ /* Ast/venv.scm 245 */
obj_t BgL_auxz00_2857;
BgL_auxz00_2857 = 
CAR(BgL_globalsz00_1321); 
BgL_obj1171z00_1938 = 
(BgL_globalz00_bglt)(BgL_auxz00_2857); } 
BgL_auxz00_2856 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_1938))->BgL_modulez00); } 
BgL_testz00_2855 = 
(BgL_auxz00_2856==BgL_modulez00_14); } 
if(BgL_testz00_2855)
{ /* Ast/venv.scm 245 */
return 
CAR(BgL_globalsz00_1321);}  else 
{ /* Ast/venv.scm 245 */
{ 
obj_t BgL_globalsz00_2863;
BgL_globalsz00_2863 = 
CDR(BgL_globalsz00_1321); 
BgL_globalsz00_1321 = BgL_globalsz00_2863; 
goto BgL_loopz00_1322;} } } } } }  else 
{ /* Ast/venv.scm 234 */
return BFALSE;} } } 
}



/* _find-global/module3533 */
obj_t BGl__findzd2globalzf2module3533z20zzast_envz00(obj_t BgL_envz00_2644, obj_t BgL_idz00_2645, obj_t BgL_modulez00_2646)
{ AN_OBJECT;
{ /* Ast/venv.scm 231 */
return 
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_2645, BgL_modulez00_2646);} 
}



/* bind-global! */
BgL_globalz00_bglt BGl_bindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_15, obj_t BgL_modulez00_16, BgL_valuez00_bglt BgL_valuez00_17, obj_t BgL_importz00_18, obj_t BgL_srcz00_19)
{ AN_OBJECT;
{ /* Ast/venv.scm 264 */
{ /* Ast/venv.scm 269 */
obj_t BgL_globalz00_1330;
{ /* Ast/venv.scm 269 */
obj_t BgL_list2916z00_1366;
BgL_list2916z00_1366 = 
MAKE_PAIR(BgL_modulez00_16, BNIL); 
BgL_globalz00_1330 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_15, BgL_list2916z00_1366); } 
{ /* Ast/venv.scm 272 */
bool_t BgL_testz00_2869;
{ /* Ast/venv.scm 272 */
obj_t BgL_auxz00_2870;
BgL_auxz00_2870 = 
CNST_TABLE_REF(((long)2)); 
BgL_testz00_2869 = 
(BgL_modulez00_16==BgL_auxz00_2870); } 
if(BgL_testz00_2869)
{ /* Ast/venv.scm 272 */BFALSE; }  else 
{ /* Ast/venv.scm 274 */
bool_t BgL_test2851z00_1333;
BgL_test2851z00_1333 = 
BGl_iszd2azf3z21zz__objectz00(
BGl_findzd2globalzf2modulez20zzast_envz00(BgL_idz00_15, 
CNST_TABLE_REF(((long)2))), BGl_globalz00zzast_varz00); 
if(BgL_test2851z00_1333)
{ /* Ast/venv.scm 275 */
bool_t BgL_test2852z00_1334;
{ /* Ast/venv.scm 275 */
bool_t BgL_test2854z00_1335;
{ /* Ast/venv.scm 275 */
bool_t BgL_res3513z00_1946;
{ /* Ast/venv.scm 275 */
obj_t BgL_objz00_1942;
BgL_objz00_1942 = BGl_za2warningza2z00zz__errorz00; 
if(
INTEGERP(BgL_objz00_1942))
{ /* Ast/venv.scm 275 */
BgL_res3513z00_1946 = ((bool_t)1); }  else 
{ /* Ast/venv.scm 275 */
BgL_res3513z00_1946 = 
REALP(BgL_objz00_1942); } } 
BgL_test2854z00_1335 = BgL_res3513z00_1946; } 
if(BgL_test2854z00_1335)
{ /* Ast/venv.scm 275 */
long BgL_n1z00_1947;
BgL_n1z00_1947 = 
(long)CINT(BGl_za2warningza2z00zz__errorz00); 
BgL_test2852z00_1334 = 
(BgL_n1z00_1947>=((long)2)); }  else 
{ /* Ast/venv.scm 275 */
BgL_test2852z00_1334 = ((bool_t)0); } } 
if(BgL_test2852z00_1334)
{ /* Ast/venv.scm 275 */
BGl_userzd2warningzd2zztools_errorz00(BgL_idz00_15, BGl_string3648z00zzast_envz00, BgL_srcz00_19); }  else 
{ /* Ast/venv.scm 275 */BFALSE; } }  else 
{ /* Ast/venv.scm 274 */BFALSE; } } } 
{ /* Ast/venv.scm 280 */
bool_t BgL_test2860z00_1336;
BgL_test2860z00_1336 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1330, BGl_globalz00zzast_varz00); 
if(BgL_test2860z00_1336)
{ /* Ast/venv.scm 280 */
if(
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
{ /* Ast/venv.scm 281 */
return 
(BgL_globalz00_bglt)(BgL_globalz00_1330);}  else 
{ /* Ast/venv.scm 283 */
obj_t BgL_arg2862z00_1337;
{ /* Ast/venv.scm 283 */
obj_t BgL_arg2867z00_1340;
BgL_arg2867z00_1340 = 
SYMBOL_TO_STRING(BgL_modulez00_16); 
BgL_arg2862z00_1337 = 
string_append_3(BGl_string3649z00zzast_envz00, BgL_arg2867z00_1340, BGl_string3650z00zzast_envz00); } 
{ /* Ast/venv.scm 282 */
obj_t BgL_auxz00_2892;
BgL_auxz00_2892 = 
BGl_userzd2errorzd2zztools_errorz00(BgL_idz00_15, BgL_arg2862z00_1337, BgL_srcz00_19, BNIL); 
return 
(BgL_globalz00_bglt)(BgL_auxz00_2892);} } }  else 
{ /* Ast/venv.scm 288 */
obj_t BgL_jvmzd2qtypezd2_1342;
{ /* Ast/venv.scm 288 */
bool_t BgL_testz00_2895;
{ /* Ast/venv.scm 288 */
obj_t BgL_auxz00_2896;
BgL_auxz00_2896 = 
CNST_TABLE_REF(((long)3)); 
BgL_testz00_2895 = 
(BgL_importz00_18==BgL_auxz00_2896); } 
if(BgL_testz00_2895)
{ /* Ast/venv.scm 288 */
BgL_jvmzd2qtypezd2_1342 = BGl_string3651z00zzast_envz00; }  else 
{ /* Ast/venv.scm 288 */
BgL_jvmzd2qtypezd2_1342 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_16); } } 
{ /* Ast/venv.scm 288 */
BgL_globalz00_bglt BgL_newz00_1343;
{ /* Ast/venv.scm 294 */
obj_t BgL_arg2900z00_1355;BgL_valuez00_bglt BgL_arg2901z00_1356;obj_t BgL_arg2902z00_1357;obj_t BgL_arg2903z00_1358;obj_t BgL_arg2905z00_1360;obj_t BgL_arg2906z00_1361;obj_t BgL_arg2908z00_1363;obj_t BgL_arg2909z00_1364;
BgL_arg2900z00_1355 = BgL_idz00_15; 
BgL_arg2901z00_1356 = BgL_valuez00_17; 
BgL_arg2902z00_1357 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg2903z00_1358 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg2905z00_1360 = BgL_modulez00_16; 
BgL_arg2906z00_1361 = BgL_importz00_18; 
BgL_arg2908z00_1363 = BgL_srcz00_19; 
BgL_arg2909z00_1364 = BgL_jvmzd2qtypezd2_1342; 
{ /* Ast/venv.scm 291 */
BgL_globalz00_bglt BgL_res3516z00_2008;
{ /* Ast/venv.scm 291 */
BgL_typez00_bglt BgL_type1231z00_1953;bool_t BgL_libraryzf31240zf3_1962;
BgL_type1231z00_1953 = 
(BgL_typez00_bglt)(BGl_za2_za2z00zztype_cachez00); 
BgL_libraryzf31240zf3_1962 = 
CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00); 
{ /* Ast/venv.scm 291 */
BgL_globalz00_bglt BgL_new1245z00_1967;
{ /* Ast/venv.scm 291 */
BgL_globalz00_bglt BgL_res3514z00_1973;
{ /* Ast/venv.scm 291 */
BgL_globalz00_bglt BgL_new1247z00_1968;
BgL_new1247z00_1968 = 
((BgL_globalz00_bglt)BREF( GC_MALLOC ( sizeof(struct BgL_globalz00_bgl) ))); 
{ /* Ast/venv.scm 291 */
long BgL_arg3374z00_1969;
BgL_arg3374z00_1969 = 
BGl_classzd2numzd2zz__objectz00(BGl_globalz00zzast_varz00); 
{ /* Ast/venv.scm 291 */
BgL_objectz00_bglt BgL_auxz00_2906;
BgL_auxz00_2906 = 
(BgL_objectz00_bglt)(BgL_new1247z00_1968); 
BGL_OBJECT_CLASS_NUM_SET(BgL_auxz00_2906, BgL_arg3374z00_1969); } } 
{ /* Ast/venv.scm 291 */
BgL_objectz00_bglt BgL_auxz00_2909;
BgL_auxz00_2909 = 
(BgL_objectz00_bglt)(BgL_new1247z00_1968); 
BGL_OBJECT_WIDENING_SET(BgL_auxz00_2909, BFALSE); } 
{ /* Ast/venv.scm 291 */
obj_t BgL_auxz00_2912;
BgL_auxz00_2912 = 
(obj_t)(BgL_new1247z00_1968); 
BGL_HEAP_DEBUG_MARK_OBJ(BgL_auxz00_2912); } BUNSPEC; 
BgL_res3514z00_1973 = BgL_new1247z00_1968; } 
BgL_new1245z00_1967 = BgL_res3514z00_1973; } 
{ /* Ast/venv.scm 291 */
BgL_globalz00_bglt BgL_res3515z00_2007;
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_idz00) = ((obj_t)BgL_arg2900z00_1355), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_namez00) = ((obj_t)BFALSE), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_typez00) = ((BgL_typez00_bglt)BgL_type1231z00_1953), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_valuez00) = ((BgL_valuez00_bglt)BgL_arg2901z00_1356), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_accessz00) = ((obj_t)BgL_arg2902z00_1357), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_fastzd2alphazd2) = ((obj_t)BUNSPEC), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_removablez00) = ((obj_t)BgL_arg2903z00_1358), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_occurrencez00) = ((long)((long)0)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_modulez00) = ((obj_t)BgL_arg2905z00_1360), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_importz00) = ((obj_t)BgL_arg2906z00_1361), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_evaluablezf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_libraryzf3zf3) = ((bool_t)BgL_libraryzf31240zf3_1962), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_userzf3zf3) = ((bool_t)((bool_t)1)), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_pragmaz00) = ((obj_t)BNIL), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_srcz00) = ((obj_t)BgL_arg2908z00_1363), BUNSPEC); 
((((BgL_globalz00_bglt)CREF(BgL_new1245z00_1967))->BgL_jvmzd2typezd2namez00) = ((obj_t)BgL_arg2909z00_1364), BUNSPEC); 
BgL_res3515z00_2007 = BgL_new1245z00_1967; BgL_res3515z00_2007; } 
BgL_res3516z00_2008 = BgL_new1245z00_1967; } } 
BgL_newz00_1343 = BgL_res3516z00_2008; } } 
{ /* Ast/venv.scm 291 */
obj_t BgL_bucketz00_1344;
BgL_bucketz00_1344 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_15); 
{ /* Ast/venv.scm 298 */

if(
PAIRP(BgL_bucketz00_1344))
{ /* Ast/venv.scm 302 */
bool_t BgL_test2872z00_1346;
BgL_test2872z00_1346 = 
(BgL_modulez00_16==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2872z00_1346)
{ /* Ast/venv.scm 302 */
{ /* Ast/venv.scm 303 */
obj_t BgL_newzd2bucketzd2_1347;
{ /* Ast/venv.scm 303 */
obj_t BgL_auxz00_2938;obj_t BgL_auxz00_2936;
BgL_auxz00_2938 = 
CDR(BgL_bucketz00_1344); 
BgL_auxz00_2936 = 
(obj_t)(BgL_newz00_1343); 
BgL_newzd2bucketzd2_1347 = 
MAKE_PAIR(BgL_auxz00_2936, BgL_auxz00_2938); } 
SET_CDR(BgL_bucketz00_1344, BgL_newzd2bucketzd2_1347); } }  else 
{ /* Ast/venv.scm 302 */
{ /* Ast/venv.scm 306 */
obj_t BgL_arg2879z00_1349;obj_t BgL_arg2880z00_1350;
BgL_arg2879z00_1349 = 
CDR(BgL_bucketz00_1344); 
{ /* Ast/venv.scm 306 */
obj_t BgL_auxz00_2945;obj_t BgL_auxz00_2943;
{ /* Ast/venv.scm 306 */
obj_t BgL_auxz00_2946;
BgL_auxz00_2946 = 
CDR(BgL_bucketz00_1344); 
BgL_auxz00_2945 = 
CDR(BgL_auxz00_2946); } 
BgL_auxz00_2943 = 
(obj_t)(BgL_newz00_1343); 
BgL_arg2880z00_1350 = 
MAKE_PAIR(BgL_auxz00_2943, BgL_auxz00_2945); } 
SET_CDR(BgL_arg2879z00_1349, BgL_arg2880z00_1350); } } }  else 
{ /* Ast/venv.scm 300 */
{ /* Ast/venv.scm 301 */
obj_t BgL_arg2889z00_1352;
{ /* Ast/venv.scm 301 */
obj_t BgL_list2892z00_1353;
{ /* Ast/venv.scm 301 */
obj_t BgL_arg2894z00_1354;
{ /* Ast/venv.scm 301 */
obj_t BgL_auxz00_2951;
BgL_auxz00_2951 = 
(obj_t)(BgL_newz00_1343); 
BgL_arg2894z00_1354 = 
MAKE_PAIR(BgL_auxz00_2951, BNIL); } 
BgL_list2892z00_1353 = 
MAKE_PAIR(BgL_idz00_15, BgL_arg2894z00_1354); } 
BgL_arg2889z00_1352 = BgL_list2892z00_1353; } 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_15, BgL_arg2889z00_1352); } } 
return BgL_newz00_1343;} } } } } } } 
}



/* _bind-global!3535 */
obj_t BGl__bindzd2globalz123535zc0zzast_envz00(obj_t BgL_envz00_2647, obj_t BgL_idz00_2648, obj_t BgL_modulez00_2649, obj_t BgL_valuez00_2650, obj_t BgL_importz00_2651, obj_t BgL_srcz00_2652)
{ AN_OBJECT;
{ /* Ast/venv.scm 264 */
{ /* Ast/venv.scm 269 */
BgL_globalz00_bglt BgL_auxz00_2956;
BgL_auxz00_2956 = 
BGl_bindzd2globalz12zc0zzast_envz00(BgL_idz00_2648, BgL_modulez00_2649, 
(BgL_valuez00_bglt)(BgL_valuez00_2650), BgL_importz00_2651, BgL_srcz00_2652); 
return 
(obj_t)(BgL_auxz00_2956);} } 
}



/* unbind-global! */
obj_t BGl_unbindzd2globalz12zc0zzast_envz00(obj_t BgL_idz00_20, obj_t BgL_modulez00_21)
{ AN_OBJECT;
{ /* Ast/venv.scm 312 */
{ /* Ast/venv.scm 313 */
obj_t BgL_globalz00_1367;
{ /* Ast/venv.scm 313 */
obj_t BgL_list2955z00_1386;
BgL_list2955z00_1386 = 
MAKE_PAIR(BgL_modulez00_21, BNIL); 
BgL_globalz00_1367 = 
BGl_findzd2globalzd2zzast_envz00(BgL_idz00_20, BgL_list2955z00_1386); } 
{ /* Ast/venv.scm 314 */
bool_t BgL_test2918z00_1368;
BgL_test2918z00_1368 = 
BGl_iszd2azf3z21zz__objectz00(BgL_globalz00_1367, BGl_globalz00zzast_varz00); 
if(BgL_test2918z00_1368)
{ /* Ast/venv.scm 316 */
obj_t BgL_bucketz00_1369;
BgL_bucketz00_1369 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_20); 
{ 
obj_t BgL_curz00_1370;obj_t BgL_prevz00_1371;
BgL_curz00_1370 = 
CDR(BgL_bucketz00_1369); 
BgL_prevz00_1371 = BgL_bucketz00_1369; 
BgL_loopz00_1372:
{ /* Ast/venv.scm 319 */
bool_t BgL_testz00_2965;
{ /* Ast/venv.scm 319 */
obj_t BgL_auxz00_2966;
BgL_auxz00_2966 = 
CAR(BgL_curz00_1370); 
BgL_testz00_2965 = 
(BgL_auxz00_2966==BgL_globalz00_1367); } 
if(BgL_testz00_2965)
{ /* Ast/venv.scm 320 */
obj_t BgL_auxz00_2969;
BgL_auxz00_2969 = 
CDR(BgL_curz00_1370); 
return 
SET_CDR(BgL_prevz00_1371, BgL_auxz00_2969);}  else 
{ 
obj_t BgL_prevz00_2974;obj_t BgL_curz00_2972;
BgL_curz00_2972 = 
CDR(BgL_curz00_1370); 
BgL_prevz00_2974 = 
CDR(BgL_prevz00_1371); 
BgL_prevz00_1371 = BgL_prevz00_2974; 
BgL_curz00_1370 = BgL_curz00_2972; 
goto BgL_loopz00_1372;} } } }  else 
{ /* Ast/venv.scm 315 */
obj_t BgL_arg2942z00_1381;
{ /* Ast/venv.scm 315 */
obj_t BgL_arg2946z00_1383;obj_t BgL_arg2947z00_1384;
BgL_arg2946z00_1383 = 
CNST_TABLE_REF(((long)6)); 
{ /* Ast/venv.scm 315 */
obj_t BgL_arg2950z00_1385;
BgL_arg2950z00_1385 = 
MAKE_PAIR(BgL_modulez00_21, BNIL); 
BgL_arg2947z00_1384 = 
MAKE_PAIR(BgL_idz00_20, BgL_arg2950z00_1385); } 
BgL_arg2942z00_1381 = 
MAKE_PAIR(BgL_arg2946z00_1383, BgL_arg2947z00_1384); } 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string3652z00zzast_envz00, BGl_string3653z00zzast_envz00, BgL_arg2942z00_1381, BNIL);} } } } 
}



/* _unbind-global!3537 */
obj_t BGl__unbindzd2globalz123537zc0zzast_envz00(obj_t BgL_envz00_2653, obj_t BgL_idz00_2654, obj_t BgL_modulez00_2655)
{ AN_OBJECT;
{ /* Ast/venv.scm 312 */
return 
BGl_unbindzd2globalz12zc0zzast_envz00(BgL_idz00_2654, BgL_modulez00_2655);} 
}



/* for-each-global! */
obj_t BGl_forzd2eachzd2globalz12z12zzast_envz00(obj_t BgL_procz00_22)
{ AN_OBJECT;
{ /* Ast/venv.scm 326 */
{ /* Ast/venv.scm 328 */
obj_t BgL_zc3anonymousza32960ze3z83_2656;
{ 
int BgL_auxz00_2985;int BgL_auxz00_2983;
BgL_auxz00_2985 = 
(int)(((long)1)); 
BgL_auxz00_2983 = 
(int)(((long)2)); 
BgL_zc3anonymousza32960ze3z83_2656 = 
make_fx_procedure(BGl_zc3anonymousza32960ze3z83zzast_envz00, BgL_auxz00_2983, BgL_auxz00_2985); } 
{ /* Ast/venv.scm 328 */
int BgL_auxz00_2988;
BgL_auxz00_2988 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32960ze3z83_2656, BgL_auxz00_2988, BgL_procz00_22); } 
return 
BGl_hashtablezd2forzd2eachz00zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_zc3anonymousza32960ze3z83_2656);} } 
}



/* _for-each-global!3539 */
obj_t BGl__forzd2eachzd2globalz123539z12zzast_envz00(obj_t BgL_envz00_2657, obj_t BgL_procz00_2658)
{ AN_OBJECT;
{ /* Ast/venv.scm 326 */
return 
BGl_forzd2eachzd2globalz12z12zzast_envz00(BgL_procz00_2658);} 
}



/* <anonymous:2960> */
obj_t BGl_zc3anonymousza32960ze3z83zzast_envz00(obj_t BgL_envz00_2659, obj_t BgL_kz00_2661, obj_t BgL_bucketz00_2662)
{ AN_OBJECT;
{ /* Ast/venv.scm 328 */
{ /* Ast/venv.scm 328 */
obj_t BgL_procz00_2660;
{ /* Ast/venv.scm 328 */
int BgL_auxz00_2993;
BgL_auxz00_2993 = 
(int)(((long)0)); 
BgL_procz00_2660 = 
PROCEDURE_REF(BgL_envz00_2659, BgL_auxz00_2993); } 
{ 
obj_t BgL_kz00_1388;obj_t BgL_bucketz00_1389;
{ /* Ast/venv.scm 328 */
bool_t BgL_auxz00_2996;
BgL_kz00_1388 = BgL_kz00_2661; 
BgL_bucketz00_1389 = BgL_bucketz00_2662; 
{ 
obj_t BgL_l2686z00_1391;
BgL_l2686z00_1391 = 
CDR(BgL_bucketz00_1389); 
BgL_lname2687z00_1392:
if(
PAIRP(BgL_l2686z00_1391))
{ /* Ast/venv.scm 328 */
PROCEDURE_ENTRY(BgL_procz00_2660)(BgL_procz00_2660, 
CAR(BgL_l2686z00_1391), BEOA); 
{ 
obj_t BgL_l2686z00_3002;
BgL_l2686z00_3002 = 
CDR(BgL_l2686z00_1391); 
BgL_l2686z00_1391 = BgL_l2686z00_3002; 
goto BgL_lname2687z00_1392;} }  else 
{ /* Ast/venv.scm 328 */
BgL_auxz00_2996 = ((bool_t)1); } } 
return 
BBOOL(BgL_auxz00_2996);} } } } 
}



/* global-bucket-position */
obj_t BGl_globalzd2bucketzd2positionz00zzast_envz00(obj_t BgL_idz00_23, obj_t BgL_modulez00_24)
{ AN_OBJECT;
{ /* Ast/venv.scm 333 */
{ /* Ast/venv.scm 334 */
obj_t BgL_bucketz00_1398;
BgL_bucketz00_1398 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2Genvza2z00zzast_envz00, BgL_idz00_23); 
if(
PAIRP(BgL_bucketz00_1398))
{ 
obj_t BgL_globalsz00_1400;long BgL_posz00_1401;
{ /* Ast/venv.scm 337 */
long BgL_auxz00_3009;
BgL_globalsz00_1400 = 
CDR(BgL_bucketz00_1398); 
BgL_posz00_1401 = ((long)0); 
BgL_loopz00_1402:
if(
NULLP(BgL_globalsz00_1400))
{ /* Ast/venv.scm 340 */
BgL_auxz00_3009 = ((long)-1); }  else 
{ /* Ast/venv.scm 342 */
bool_t BgL_testz00_3012;
{ /* Ast/venv.scm 342 */
obj_t BgL_auxz00_3013;
{ /* Ast/venv.scm 342 */
BgL_globalz00_bglt BgL_obj1171z00_2038;
{ /* Ast/venv.scm 342 */
obj_t BgL_auxz00_3014;
BgL_auxz00_3014 = 
CAR(BgL_globalsz00_1400); 
BgL_obj1171z00_2038 = 
(BgL_globalz00_bglt)(BgL_auxz00_3014); } 
BgL_auxz00_3013 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1171z00_2038))->BgL_modulez00); } 
BgL_testz00_3012 = 
(BgL_auxz00_3013==BgL_modulez00_24); } 
if(BgL_testz00_3012)
{ /* Ast/venv.scm 342 */
BgL_auxz00_3009 = BgL_posz00_1401; }  else 
{ /* Ast/venv.scm 342 */
{ 
long BgL_posz00_3021;obj_t BgL_globalsz00_3019;
BgL_globalsz00_3019 = 
CDR(BgL_globalsz00_1400); 
BgL_posz00_3021 = 
(BgL_posz00_1401+((long)1)); 
BgL_posz00_1401 = BgL_posz00_3021; 
BgL_globalsz00_1400 = BgL_globalsz00_3019; 
goto BgL_loopz00_1402;} } } 
return 
BINT(BgL_auxz00_3009);} }  else 
{ /* Ast/venv.scm 335 */
return 
BINT(((long)-1));} } } 
}



/* _global-bucket-position3542 */
obj_t BGl__globalzd2bucketzd2position3542z00zzast_envz00(obj_t BgL_envz00_2663, obj_t BgL_idz00_2664, obj_t BgL_modulez00_2665)
{ AN_OBJECT;
{ /* Ast/venv.scm 333 */
return 
BGl_globalzd2bucketzd2positionz00zzast_envz00(BgL_idz00_2664, BgL_modulez00_2665);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_restorezd2valuezd2typesz12zd2default2688zd2envz12zzast_envz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_sfunz00zzast_varz00, BGl_proc3654z00zzast_envz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BGl_cfunz00zzast_varz00, BGl_proc3655z00zzast_envz00);} 
}



/* restore-value-types!-cfun2693 */
obj_t BGl_restorezd2valuezd2typesz12zd2cfun2693zc0zzast_envz00(obj_t BgL_envz00_2668, obj_t BgL_valuez00_2669)
{ AN_OBJECT;
{ /* Ast/venv.scm 184 */
{ 
BgL_cfunz00_bglt BgL_valuez00_1835;
{ /* Ast/venv.scm 185 */
bool_t BgL_auxz00_3030;
BgL_valuez00_1835 = 
(BgL_cfunz00_bglt)(BgL_valuez00_2669); 
{ 
obj_t BgL_argsz00_1839;
BgL_argsz00_1839 = 
(((BgL_cfunz00_bglt)CREF(BgL_valuez00_1835))->BgL_argszd2typezd2); 
BgL_loopz00_1840:
if(
PAIRP(BgL_argsz00_1839))
{ /* Ast/venv.scm 187 */
{ /* Ast/venv.scm 189 */
BgL_typez00_bglt BgL_arg3478z00_1843;
{ /* Ast/venv.scm 189 */
obj_t BgL_auxz00_3033;
{ /* Ast/venv.scm 189 */
BgL_typez00_bglt BgL_obj1003z00_2595;
{ /* Ast/venv.scm 189 */
obj_t BgL_auxz00_3034;
BgL_auxz00_3034 = 
CAR(BgL_argsz00_1839); 
BgL_obj1003z00_2595 = 
(BgL_typez00_bglt)(BgL_auxz00_3034); } 
BgL_auxz00_3033 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_2595))->BgL_idz00); } 
BgL_arg3478z00_1843 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3033); } 
{ /* Ast/venv.scm 189 */
obj_t BgL_auxz00_3039;
BgL_auxz00_3039 = 
(obj_t)(BgL_arg3478z00_1843); 
SET_CAR(BgL_argsz00_1839, BgL_auxz00_3039); } } 
{ 
obj_t BgL_argsz00_3042;
BgL_argsz00_3042 = 
CDR(BgL_argsz00_1839); 
BgL_argsz00_1839 = BgL_argsz00_3042; 
goto BgL_loopz00_1840;} }  else 
{ /* Ast/venv.scm 187 */
BgL_auxz00_3030 = ((bool_t)0)
; } } 
return 
BBOOL(BgL_auxz00_3030);} } } 
}



/* restore-value-types!-sfun2691 */
obj_t BGl_restorezd2valuezd2typesz12zd2sfun2691zc0zzast_envz00(obj_t BgL_envz00_2670, obj_t BgL_valuez00_2671)
{ AN_OBJECT;
{ /* Ast/venv.scm 149 */
{ 
BgL_sfunz00_bglt BgL_valuez00_1803;
BgL_valuez00_1803 = 
(BgL_sfunz00_bglt)(BgL_valuez00_2671); 
{ 
obj_t BgL_argsz00_1807;
BgL_argsz00_1807 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1803))->BgL_argsz00); 
BgL_loopz00_1808:
if(
PAIRP(BgL_argsz00_1807))
{ /* Ast/venv.scm 153 */
{ /* Ast/venv.scm 154 */
obj_t BgL_argz00_1811;
BgL_argz00_1811 = 
CAR(BgL_argsz00_1807); 
{ /* Ast/venv.scm 156 */
bool_t BgL_test3413z00_1812;
BgL_test3413z00_1812 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1811, BGl_typez00zztype_typez00); 
if(BgL_test3413z00_1812)
{ /* Ast/venv.scm 156 */
{ /* Ast/venv.scm 157 */
BgL_typez00_bglt BgL_arg3415z00_1813;
{ /* Ast/venv.scm 157 */
obj_t BgL_auxz00_3052;
{ /* Ast/venv.scm 157 */
BgL_typez00_bglt BgL_obj1003z00_2569;
BgL_obj1003z00_2569 = 
(BgL_typez00_bglt)(BgL_argz00_1811); 
BgL_auxz00_3052 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_2569))->BgL_idz00); } 
BgL_arg3415z00_1813 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3052); } 
{ /* Ast/venv.scm 157 */
obj_t BgL_auxz00_3056;
BgL_auxz00_3056 = 
(obj_t)(BgL_arg3415z00_1813); 
SET_CAR(BgL_argsz00_1807, BgL_auxz00_3056); } } }  else 
{ /* Ast/venv.scm 158 */
bool_t BgL_test3421z00_1815;
BgL_test3421z00_1815 = 
BGl_iszd2azf3z21zz__objectz00(BgL_argz00_1811, BGl_localz00zzast_varz00); 
if(BgL_test3421z00_1815)
{ /* Ast/venv.scm 158 */
{ /* Ast/venv.scm 159 */
BgL_typez00_bglt BgL_newzd2typezd2_1816;
{ /* Ast/venv.scm 159 */
obj_t BgL_auxz00_3061;
{ /* Ast/venv.scm 159 */
BgL_typez00_bglt BgL_arg3427z00_1818;
{ /* Ast/venv.scm 159 */
BgL_localz00_bglt BgL_obj1253z00_2573;
BgL_obj1253z00_2573 = 
(BgL_localz00_bglt)(BgL_argz00_1811); 
BgL_arg3427z00_1818 = 
(((BgL_localz00_bglt)CREF(BgL_obj1253z00_2573))->BgL_typez00); } 
BgL_auxz00_3061 = 
(((BgL_typez00_bglt)CREF(BgL_arg3427z00_1818))->BgL_idz00); } 
BgL_newzd2typezd2_1816 = 
BGl_findzd2typezd2zztype_envz00(BgL_auxz00_3061); } 
{ /* Ast/venv.scm 160 */
BgL_localz00_bglt BgL_obj1255z00_2575;
BgL_obj1255z00_2575 = 
(BgL_localz00_bglt)(BgL_argz00_1811); 
((((BgL_localz00_bglt)CREF(BgL_obj1255z00_2575))->BgL_typez00) = ((BgL_typez00_bglt)BgL_newzd2typezd2_1816), BUNSPEC); } } }  else 
{ /* Ast/venv.scm 158 */
{ /* Ast/venv.scm 162 */
obj_t BgL_arg3433z00_1821;
BgL_arg3433z00_1821 = 
BGl_shapez00zztools_shapez00(BgL_argz00_1811); 
FAILURE(BGl_string3656z00zzast_envz00,BGl_string3657z00zzast_envz00,BgL_arg3433z00_1821);} } } } 
{ 
obj_t BgL_argsz00_3070;
BgL_argsz00_3070 = 
CDR(BgL_argsz00_1807); 
BgL_argsz00_1807 = BgL_argsz00_3070; 
goto BgL_loopz00_1808;} } }  else 
{ /* Ast/venv.scm 153 */
if(
NULLP(BgL_argsz00_1807))
{ /* Ast/venv.scm 166 */
{ /* Ast/venv.scm 167 */
obj_t BgL_bodyz00_1824;
BgL_bodyz00_1824 = 
(((BgL_sfunz00_bglt)CREF(BgL_valuez00_1803))->BgL_bodyz00); 
{ /* Ast/venv.scm 169 */
bool_t BgL_test3444z00_1825;
BgL_test3444z00_1825 = 
BGl_iszd2azf3z21zz__objectz00(BgL_bodyz00_1824, BGl_nodez00zzast_nodez00); 
if(BgL_test3444z00_1825)
{ /* Ast/venv.scm 170 */
BgL_typez00_bglt BgL_tresz00_1826;
{ /* Ast/venv.scm 170 */
BgL_nodez00_bglt BgL_obj1551z00_2584;
BgL_obj1551z00_2584 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1824); 
BgL_tresz00_1826 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_2584))->BgL_typez00); } 
{ /* Ast/venv.scm 171 */
bool_t BgL_test3445z00_1827;
BgL_test3445z00_1827 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_tresz00_1826), BGl_typez00zztype_typez00); 
if(BgL_test3445z00_1827)
{ /* Ast/venv.scm 171 */
BGl_hrtypezd2nodez12zc0zzast_hrtypez00(
(BgL_nodez00_bglt)(BgL_bodyz00_1824)); 
{ /* Ast/venv.scm 175 */
BgL_typez00_bglt BgL_arg3448z00_1828;
BgL_arg3448z00_1828 = 
BGl_findzd2typezd2zztype_envz00(
(((BgL_typez00_bglt)CREF(BgL_tresz00_1826))->BgL_idz00)); 
{ /* Ast/venv.scm 174 */
BgL_nodez00_bglt BgL_obj1553z00_2587;
BgL_obj1553z00_2587 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1824); 
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1553z00_2587))->BgL_typez00) = ((BgL_typez00_bglt)BgL_arg3448z00_1828), BUNSPEC);} } }  else 
{ /* Ast/venv.scm 171 */
return BFALSE;} } }  else 
{ /* Ast/venv.scm 169 */
return BFALSE;} } } }  else 
{ /* Ast/venv.scm 166 */
{ /* Ast/venv.scm 177 */
obj_t BgL_arg3461z00_1832;
BgL_arg3461z00_1832 = 
BGl_shapez00zztools_shapez00(BgL_argsz00_1807); 
FAILURE(BGl_string3658z00zzast_envz00,BGl_string3659z00zzast_envz00,BgL_arg3461z00_1832);} } } } } } 
}



/* restore-value-types! */
obj_t BGl_restorezd2valuezd2typesz12z12zzast_envz00(BgL_valuez00_bglt BgL_valuez00_7)
{ AN_OBJECT;
{ /* Ast/venv.scm 143 */
{ /* Ast/venv.scm 143 */
obj_t BgL_method2689z00_2599;
{ /* Ast/venv.scm 143 */
long BgL_objzd2classzd2numz00_2601;
{ /* Ast/venv.scm 143 */
BgL_objectz00_bglt BgL_auxz00_3092;
BgL_auxz00_3092 = 
(BgL_objectz00_bglt)(BgL_valuez00_7); 
BgL_objzd2classzd2numz00_2601 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3092); } 
{ /* Ast/venv.scm 143 */
obj_t BgL_arg1904z00_2602;
{ /* Ast/venv.scm 143 */
int BgL_auxz00_3095;
BgL_auxz00_3095 = 
(int)(((long)1)); 
BgL_arg1904z00_2602 = 
PROCEDURE_REF(BGl_restorezd2valuezd2typesz12zd2envzc0zzast_envz00, BgL_auxz00_3095); } 
{ /* Ast/venv.scm 143 */
long BgL_offsetz00_2606;
{ /* Ast/venv.scm 143 */
long BgL_auxz00_3098;
{ /* Ast/venv.scm 143 */
int BgL_auxz00_3099;
BgL_auxz00_3099 = 
(int)(BgL_objzd2classzd2numz00_2601); 
BgL_auxz00_3098 = 
(long)(BgL_auxz00_3099); } 
BgL_offsetz00_2606 = 
(BgL_auxz00_3098-OBJECT_TYPE); } 
{ /* Ast/venv.scm 143 */
long BgL_modz00_2607;
{ /* Ast/venv.scm 143 */
long BgL_auxz00_3103;
{ /* Ast/venv.scm 143 */
int BgL_auxz00_3104;
BgL_auxz00_3104 = 
(int)(((long)8)); 
BgL_auxz00_3103 = 
(long)(BgL_auxz00_3104); } 
BgL_modz00_2607 = 
(BgL_offsetz00_2606/BgL_auxz00_3103); } 
{ /* Ast/venv.scm 143 */
long BgL_restz00_2609;
{ /* Ast/venv.scm 143 */
long BgL_auxz00_3108;
{ /* Ast/venv.scm 143 */
int BgL_auxz00_3109;
BgL_auxz00_3109 = 
(int)(((long)8)); 
BgL_auxz00_3108 = 
(long)(BgL_auxz00_3109); } 
BgL_restz00_2609 = 
(BgL_offsetz00_2606%BgL_auxz00_3108); } 
{ /* Ast/venv.scm 143 */

{ /* Ast/venv.scm 143 */
obj_t BgL_bucketz00_2611;
{ /* Ast/venv.scm 143 */
int BgL_kz00_2621;
BgL_kz00_2621 = 
(int)(BgL_modz00_2607); 
BgL_bucketz00_2611 = 
VECTOR_REF(BgL_arg1904z00_2602,BgL_kz00_2621); } 
{ /* Ast/venv.scm 143 */
int BgL_kz00_2623;
BgL_kz00_2623 = 
(int)(BgL_restz00_2609); 
BgL_method2689z00_2599 = 
VECTOR_REF(BgL_bucketz00_2611,BgL_kz00_2623); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2689z00_2599)(BgL_method2689z00_2599, 
(obj_t)(BgL_valuez00_7), BEOA);} } 
}



/* _restore-value-types!3526 */
obj_t BGl__restorezd2valuezd2typesz123526z12zzast_envz00(obj_t BgL_envz00_2635, obj_t BgL_valuez00_2636)
{ AN_OBJECT;
{ /* Ast/venv.scm 143 */
return 
BGl_restorezd2valuezd2typesz12z12zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2636));} 
}



/* restore-value-types!-default2688 */
obj_t BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(BgL_valuez00_bglt BgL_valuez00_8)
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
return BUNSPEC;} 
}



/* _restore-value-types!-default2688 */
obj_t BGl__restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(obj_t BgL_envz00_2672, obj_t BgL_valuez00_2673)
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
return 
BGl_restorezd2valuezd2typesz12zd2default2688zc0zzast_envz00(
(BgL_valuez00_bglt)(BgL_valuez00_2673));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_envz00()
{ AN_OBJECT;
{ /* Ast/venv.scm 14 */
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_env"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "ast_env"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "ast_env"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_env"); 
BGl_modulezd2initializa7ationz75zzast_hrtypez00(((long)54222), "ast_env"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)34896), "ast_env"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_env");} 
}

