/*===========================================================================*/
/*   (Jvm/closure.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_closurez00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_push_carsz00zzjvm_closurez00(obj_t, bool_t, obj_t);
static obj_t BGl_makezd2listzd2zzjvm_closurez00(long, obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
static obj_t BGl_cnstzd2initzd2zzjvm_closurez00();
static obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2funizd2zzjvm_closurez00(long, BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
static obj_t BGl_make_consz00zzjvm_closurez00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
static obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl__jvmzd2funcallers4301zd2zzjvm_closurez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
extern obj_t BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_bglt);
extern obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt, long, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_closurez00 = BUNSPEC;
extern obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00();
static obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt, obj_t, obj_t, long, obj_t);
static obj_t __cnst[ 28 ] ;

DEFINE_STRING( BGl_string4338z00zzjvm_closurez00, BgL_bgl_string4338za700za7za7jvm_closureza7004366z00, "cdr swap car ((checkcast j_pair)) dup (getfield car) ((checkcast j_pair) (getfield car)) (pop) ((pop) (areturn)) a t cons nil invokestatic putstatic getstatic def tableswitch areturn invokevirtual pop procindex getfield aload this public method jobject ", 253 );
DEFINE_STRING( BGl_string4337z00zzjvm_closurez00, BgL_bgl_string4337za700za7za7jvm_closureza7004367z00, "apply_error", 11 );
DEFINE_STRING( BGl_string4336z00zzjvm_closurez00, BgL_bgl_string4336za700za7za7jvm_closureza7004368z00, "APPLY-ERROR", 11 );
DEFINE_STRING( BGl_string4335z00zzjvm_closurez00, BgL_bgl_string4335za700za7za7jvm_closureza7004369z00, "apply", 5 );
DEFINE_STRING( BGl_string4334z00zzjvm_closurez00, BgL_bgl_string4334za700za7za7jvm_closureza7004370z00, "A", 1 );
DEFINE_STRING( BGl_string4333z00zzjvm_closurez00, BgL_bgl_string4333za700za7za7jvm_closureza7004371z00, "funcall_error", 13 );
DEFINE_STRING( BGl_string4332z00zzjvm_closurez00, BgL_bgl_string4332za700za7za7jvm_closureza7004372z00, "funcall", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2funcallerszd2envz00zzjvm_closurez00, BgL_bgl__jvmza7d2funcallers4301za7d2za7za7jvm_closureza7004373za7, BGl__jvmzd2funcallers4301zd2zzjvm_closurez00, 0L, 3 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_closurez00(long BgL_checksumz00_3089, char * BgL_fromz00_3090)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_closurez00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_closurez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_closurez00(); 
BGl_cnstzd2initzd2zzjvm_closurez00(); 
BGl_importedzd2moduleszd2initz00zzjvm_closurez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_closure"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
{ /* Jvm/closure.scm 2 */
obj_t BgL_cportz00_3082;
BgL_cportz00_3082 = 
open_input_string(BGl_string4338z00zzjvm_closurez00); 
{ 
long BgL_iz00_3083;
BgL_iz00_3083 = ((long)27); 
BgL_loopz00_3084:
if(
(BgL_iz00_3083==((long)-1)))
{ /* Jvm/closure.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/closure.scm 2 */
{ /* Jvm/closure.scm 2 */
obj_t BgL_arg4342z00_3086;
{ /* Jvm/closure.scm 2 */
obj_t BgL_list4345z00_3087;
BgL_list4345z00_3087 = 
MAKE_PAIR(BgL_cportz00_3082, BNIL); 
BgL_arg4342z00_3086 = 
BGl_readz00zz__readerz00(BgL_list4345z00_3087); } 
{ /* Jvm/closure.scm 2 */
int BgL_auxz00_3107;
BgL_auxz00_3107 = 
(int)(BgL_iz00_3083); 
CNST_TABLE_SET(BgL_auxz00_3107, BgL_arg4342z00_3086); } } 
{ 
long BgL_iz00_3110;
{ /* Jvm/closure.scm 2 */
int BgL_auxz00_3111;
{ /* Jvm/closure.scm 2 */
long BgL_auxz00_3112;
BgL_auxz00_3112 = 
(BgL_iz00_3083-((long)1)); 
BgL_auxz00_3111 = 
(int)(BgL_auxz00_3112); } 
BgL_iz00_3110 = 
(long)(BgL_auxz00_3111); } 
BgL_iz00_3083 = BgL_iz00_3110; 
goto BgL_loopz00_3084;} } } } } 
}



/* jvm-funcallers */
obj_t BGl_jvmzd2funcallerszd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* Jvm/closure.scm 11 */
{ /* Jvm/closure.scm 12 */
obj_t BgL_pz00_1511;
BgL_pz00_1511 = 
BGl_envzd2getzd2proceduresz00zzjvm_envz00(BgL_envz00_1); 
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3005z00_1512;obj_t BgL_arg3006z00_1513;obj_t BgL_arg3007z00_1514;obj_t BgL_arg3008z00_1515;obj_t BgL_arg3009z00_1516;obj_t BgL_arg3010z00_1517;
BgL_arg3005z00_1512 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)0), BgL_pz00_1511); 
BgL_arg3006z00_1513 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)1), BgL_pz00_1511); 
BgL_arg3007z00_1514 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)2), BgL_pz00_1511); 
BgL_arg3008z00_1515 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)3), BgL_pz00_1511); 
BgL_arg3009z00_1516 = 
BGl_funcalliz00zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, ((long)4), BgL_pz00_1511); 
BgL_arg3010z00_1517 = 
BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BgL_pz00_1511); 
{ /* Jvm/closure.scm 13 */
obj_t BgL_list3012z00_1518;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3014z00_1519;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3017z00_1520;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3020z00_1521;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3023z00_1522;
{ /* Jvm/closure.scm 13 */
obj_t BgL_arg3026z00_1523;
BgL_arg3026z00_1523 = 
MAKE_PAIR(BgL_arg3010z00_1517, BNIL); 
BgL_arg3023z00_1522 = 
MAKE_PAIR(BgL_arg3009z00_1516, BgL_arg3026z00_1523); } 
BgL_arg3020z00_1521 = 
MAKE_PAIR(BgL_arg3008z00_1515, BgL_arg3023z00_1522); } 
BgL_arg3017z00_1520 = 
MAKE_PAIR(BgL_arg3007z00_1514, BgL_arg3020z00_1521); } 
BgL_arg3014z00_1519 = 
MAKE_PAIR(BgL_arg3006z00_1513, BgL_arg3017z00_1520); } 
BgL_list3012z00_1518 = 
MAKE_PAIR(BgL_arg3005z00_1512, BgL_arg3014z00_1519); } 
return BgL_list3012z00_1518;} } } } 
}



/* _jvm-funcallers4301 */
obj_t BGl__jvmzd2funcallers4301zd2zzjvm_closurez00(obj_t BgL_envz00_3077, obj_t BgL_envz00_3078, obj_t BgL_mez00_3079, obj_t BgL_superz00_3080)
{ AN_OBJECT;
{ /* Jvm/closure.scm 11 */
return 
BGl_jvmzd2funcallerszd2zzjvm_closurez00(
(BgL_envz00_bglt)(BgL_envz00_3078), BgL_mez00_3079, BgL_superz00_3080);} 
}



/* funcalli */
obj_t BGl_funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, long BgL_iz00_7, obj_t BgL_procsz00_8)
{ AN_OBJECT;
{ /* Jvm/closure.scm 23 */
{ /* Jvm/closure.scm 24 */
obj_t BgL_argsz00_1524;
BgL_argsz00_1524 = 
BGl_makezd2listzd2zzjvm_closurez00(BgL_iz00_7, 
CNST_TABLE_REF(((long)0))); 
{ /* Jvm/closure.scm 24 */
obj_t BgL_fnamez00_1525;
{ /* Jvm/closure.scm 25 */
obj_t BgL_auxz00_3133;
BgL_auxz00_3133 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_fnamez00_1525 = 
string_append(BGl_string4332z00zzjvm_closurez00, BgL_auxz00_3133); } 
{ /* Jvm/closure.scm 25 */
obj_t BgL_fz00_1526;
BgL_fz00_1526 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_fnamez00_1525, BEOA); 
{ /* Jvm/closure.scm 26 */
obj_t BgL_enamez00_1527;
{ /* Jvm/closure.scm 27 */
obj_t BgL_auxz00_3138;
BgL_auxz00_3138 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(BgL_iz00_7, BNIL); 
BgL_enamez00_1527 = 
string_append(BGl_string4333z00zzjvm_closurez00, BgL_auxz00_3138); } 
{ /* Jvm/closure.scm 27 */
obj_t BgL_ez00_1528;
BgL_ez00_1528 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BgL_enamez00_1527, BEOA); 
{ /* Jvm/closure.scm 28 */
obj_t BgL_paramsz00_1529;
if(
NULLP(BgL_argsz00_1524))
{ /* Jvm/closure.scm 29 */
BgL_paramsz00_1529 = BNIL; }  else 
{ /* Jvm/closure.scm 29 */
obj_t BgL_head2967z00_1591;
BgL_head2967z00_1591 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2965z00_1592;obj_t BgL_tail2968z00_1593;
BgL_l2965z00_1592 = BgL_argsz00_1524; 
BgL_tail2968z00_1593 = BgL_head2967z00_1591; 
BgL_lname2966z00_1594:
if(
NULLP(BgL_l2965z00_1592))
{ /* Jvm/closure.scm 29 */
BgL_paramsz00_1529 = 
CDR(BgL_head2967z00_1591); }  else 
{ /* Jvm/closure.scm 29 */
obj_t BgL_newtail2969z00_1596;
{ /* Jvm/closure.scm 29 */
obj_t BgL_arg3175z00_1598;
BgL_arg3175z00_1598 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4334z00zzjvm_closurez00, BEOA); 
BgL_newtail2969z00_1596 = 
MAKE_PAIR(BgL_arg3175z00_1598, BNIL); } 
SET_CDR(BgL_tail2968z00_1593, BgL_newtail2969z00_1596); 
{ 
obj_t BgL_tail2968z00_3155;obj_t BgL_l2965z00_3153;
BgL_l2965z00_3153 = 
CDR(BgL_l2965z00_1592); 
BgL_tail2968z00_3155 = BgL_newtail2969z00_1596; 
BgL_tail2968z00_1593 = BgL_tail2968z00_3155; 
BgL_l2965z00_1592 = BgL_l2965z00_3153; 
goto BgL_lname2966z00_1594;} } } } 
{ /* Jvm/closure.scm 29 */

{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3037z00_1530;
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3040z00_1531;obj_t BgL_arg3041z00_1532;
BgL_arg3040z00_1531 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3044z00_1533;
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3047z00_1534;obj_t BgL_arg3048z00_1535;
{ /* Jvm/closure.scm 30 */
obj_t BgL_auxz00_3157;
BgL_auxz00_3157 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3047z00_1534 = 
MAKE_PAIR(BgL_auxz00_3157, BNIL); } 
{ /* Jvm/closure.scm 30 */
obj_t BgL_arg3052z00_1536;obj_t BgL_arg3053z00_1537;
BgL_arg3052z00_1536 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 30 */
obj_t BgL_auxz00_3161;
BgL_auxz00_3161 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1524, BNIL); 
BgL_arg3053z00_1537 = 
MAKE_PAIR(BgL_fnamez00_1525, BgL_auxz00_3161); } 
BgL_arg3048z00_1535 = 
MAKE_PAIR(BgL_arg3052z00_1536, BgL_arg3053z00_1537); } 
BgL_arg3044z00_1533 = 
MAKE_PAIR(BgL_arg3047z00_1534, BgL_arg3048z00_1535); } 
BgL_arg3041z00_1532 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg3044z00_1533); } 
BgL_arg3037z00_1530 = 
MAKE_PAIR(BgL_arg3040z00_1531, BgL_arg3041z00_1532); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_fz00_1526, BgL_arg3037z00_1530); } 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3060z00_1539;
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3063z00_1540;obj_t BgL_arg3064z00_1541;
BgL_arg3063z00_1540 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3067z00_1542;
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3070z00_1543;obj_t BgL_arg3071z00_1544;
{ /* Jvm/closure.scm 31 */
obj_t BgL_auxz00_3170;
BgL_auxz00_3170 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3070z00_1543 = 
MAKE_PAIR(BgL_auxz00_3170, BNIL); } 
{ /* Jvm/closure.scm 31 */
obj_t BgL_arg3075z00_1545;obj_t BgL_arg3076z00_1546;
BgL_arg3075z00_1545 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 31 */
obj_t BgL_auxz00_3174;
BgL_auxz00_3174 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_1524, BNIL); 
BgL_arg3076z00_1546 = 
MAKE_PAIR(BgL_enamez00_1527, BgL_auxz00_3174); } 
BgL_arg3071z00_1544 = 
MAKE_PAIR(BgL_arg3075z00_1545, BgL_arg3076z00_1546); } 
BgL_arg3067z00_1542 = 
MAKE_PAIR(BgL_arg3070z00_1543, BgL_arg3071z00_1544); } 
BgL_arg3064z00_1541 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg3067z00_1542); } 
BgL_arg3060z00_1539 = 
MAKE_PAIR(BgL_arg3063z00_1540, BgL_arg3064z00_1541); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_ez00_1528, BgL_arg3060z00_1539); } 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3083z00_1548;obj_t BgL_arg3084z00_1549;
BgL_arg3083z00_1548 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3087z00_1550;
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3090z00_1551;obj_t BgL_arg3091z00_1552;
{ /* Jvm/closure.scm 32 */
obj_t BgL_auxz00_3185;obj_t BgL_auxz00_3183;
BgL_auxz00_3185 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_1529, BNIL); 
BgL_auxz00_3183 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3090z00_1551 = 
MAKE_PAIR(BgL_auxz00_3183, BgL_auxz00_3185); } 
{ /* Jvm/closure.scm 32 */
obj_t BgL_arg3100z00_1556;
{ /* Jvm/closure.scm 33 */
obj_t BgL_arg3103z00_1557;obj_t BgL_arg3104z00_1558;
{ /* Jvm/closure.scm 33 */
obj_t BgL_arg3107z00_1559;obj_t BgL_arg3108z00_1560;
BgL_arg3107z00_1559 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 33 */
obj_t BgL_auxz00_3189;
BgL_auxz00_3189 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3108z00_1560 = 
MAKE_PAIR(BgL_auxz00_3189, BNIL); } 
BgL_arg3103z00_1557 = 
MAKE_PAIR(BgL_arg3107z00_1559, BgL_arg3108z00_1560); } 
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3112z00_1561;obj_t BgL_arg3113z00_1562;
if(
NULLP(BgL_paramsz00_1529))
{ /* Jvm/closure.scm 34 */
BgL_arg3112z00_1561 = BNIL; }  else 
{ /* Jvm/closure.scm 34 */
obj_t BgL_head2972z00_1565;
BgL_head2972z00_1565 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2970z00_1566;obj_t BgL_tail2973z00_1567;
BgL_l2970z00_1566 = BgL_paramsz00_1529; 
BgL_tail2973z00_1567 = BgL_head2972z00_1565; 
BgL_lname2971z00_1568:
if(
NULLP(BgL_l2970z00_1566))
{ /* Jvm/closure.scm 34 */
BgL_arg3112z00_1561 = 
CDR(BgL_head2972z00_1565); }  else 
{ /* Jvm/closure.scm 34 */
obj_t BgL_newtail2974z00_1570;
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3125z00_1572;
{ /* Jvm/closure.scm 34 */
obj_t BgL_arg3129z00_1575;obj_t BgL_arg3130z00_1576;
BgL_arg3129z00_1575 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 34 */
obj_t BgL_auxz00_3200;
BgL_auxz00_3200 = 
CAR(BgL_l2970z00_1566); 
BgL_arg3130z00_1576 = 
MAKE_PAIR(BgL_auxz00_3200, BNIL); } 
BgL_arg3125z00_1572 = 
MAKE_PAIR(BgL_arg3129z00_1575, BgL_arg3130z00_1576); } 
BgL_newtail2974z00_1570 = 
MAKE_PAIR(BgL_arg3125z00_1572, BNIL); } 
SET_CDR(BgL_tail2973z00_1567, BgL_newtail2974z00_1570); 
{ 
obj_t BgL_tail2973z00_3208;obj_t BgL_l2970z00_3206;
BgL_l2970z00_3206 = 
CDR(BgL_l2970z00_1566); 
BgL_tail2973z00_3208 = BgL_newtail2974z00_1570; 
BgL_tail2973z00_1567 = BgL_tail2973z00_3208; 
BgL_l2970z00_1566 = BgL_l2970z00_3206; 
goto BgL_lname2971z00_1568;} } } } 
{ /* Jvm/closure.scm 35 */
obj_t BgL_arg3138z00_1577;obj_t BgL_arg3139z00_1578;
{ /* Jvm/closure.scm 35 */
obj_t BgL_arg3142z00_1579;obj_t BgL_arg3143z00_1580;
BgL_arg3142z00_1579 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 35 */
obj_t BgL_auxz00_3210;
BgL_auxz00_3210 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3143z00_1580 = 
MAKE_PAIR(BgL_auxz00_3210, BNIL); } 
BgL_arg3138z00_1577 = 
MAKE_PAIR(BgL_arg3142z00_1579, BgL_arg3143z00_1580); } 
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3147z00_1581;obj_t BgL_arg3148z00_1582;
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3151z00_1583;obj_t BgL_arg3152z00_1584;
BgL_arg3151z00_1583 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 36 */
obj_t BgL_arg3155z00_1585;
BgL_arg3155z00_1585 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_4, 
CNST_TABLE_REF(((long)6))); 
BgL_arg3152z00_1584 = 
MAKE_PAIR(BgL_arg3155z00_1585, BNIL); } 
BgL_arg3147z00_1581 = 
MAKE_PAIR(BgL_arg3151z00_1583, BgL_arg3152z00_1584); } 
{ /* Jvm/closure.scm 37 */
obj_t BgL_arg3160z00_1587;
BgL_arg3160z00_1587 = 
BGl_compilezd2funizd2zzjvm_closurez00(BgL_iz00_7, BgL_envz00_4, BgL_procsz00_8, BgL_ez00_1528); 
BgL_arg3148z00_1582 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3160z00_1587, BNIL); } 
BgL_arg3139z00_1578 = 
MAKE_PAIR(BgL_arg3147z00_1581, BgL_arg3148z00_1582); } 
BgL_arg3113z00_1562 = 
MAKE_PAIR(BgL_arg3138z00_1577, BgL_arg3139z00_1578); } 
BgL_arg3104z00_1558 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3112z00_1561, BgL_arg3113z00_1562); } 
BgL_arg3100z00_1556 = 
MAKE_PAIR(BgL_arg3103z00_1557, BgL_arg3104z00_1558); } 
BgL_arg3091z00_1552 = 
MAKE_PAIR(BNIL, BgL_arg3100z00_1556); } 
BgL_arg3087z00_1550 = 
MAKE_PAIR(BgL_arg3090z00_1551, BgL_arg3091z00_1552); } 
BgL_arg3084z00_1549 = 
MAKE_PAIR(BgL_fz00_1526, BgL_arg3087z00_1550); } 
return 
MAKE_PAIR(BgL_arg3083z00_1548, BgL_arg3084z00_1549);} } } } } } } } } 
}



/* make-list */
obj_t BGl_makezd2listzd2zzjvm_closurez00(long BgL_iz00_9, obj_t BgL_oz00_10)
{ AN_OBJECT;
{ /* Jvm/closure.scm 39 */
{ 
long BgL_iz00_1608;obj_t BgL_rz00_1609;
BgL_iz00_1608 = BgL_iz00_9; 
BgL_rz00_1609 = BNIL; 
BgL_zc3anonymousza33199ze3z83_1610:
if(
(BgL_iz00_1608<=((long)0)))
{ /* Jvm/closure.scm 41 */
return BgL_rz00_1609;}  else 
{ /* Jvm/closure.scm 43 */
long BgL_arg3202z00_1612;obj_t BgL_arg3203z00_1613;
BgL_arg3202z00_1612 = 
(BgL_iz00_1608-((long)1)); 
BgL_arg3203z00_1613 = 
MAKE_PAIR(BgL_oz00_10, BgL_rz00_1609); 
{ 
obj_t BgL_rz00_3234;long BgL_iz00_3233;
BgL_iz00_3233 = BgL_arg3202z00_1612; 
BgL_rz00_3234 = BgL_arg3203z00_1613; 
BgL_rz00_1609 = BgL_rz00_3234; 
BgL_iz00_1608 = BgL_iz00_3233; 
goto BgL_zc3anonymousza33199ze3z83_1610;} } } } 
}



/* compile-funi */
obj_t BGl_compilezd2funizd2zzjvm_closurez00(long BgL_iz00_11, BgL_envz00_bglt BgL_envz00_12, obj_t BgL_funsz00_13, obj_t BgL_errorz00_14)
{ AN_OBJECT;
{ /* Jvm/closure.scm 46 */
{ /* Jvm/closure.scm 47 */
bool_t BgL_test3208z00_1615;
BgL_test3208z00_1615 = 
NULLP(BgL_funsz00_13); 
if(BgL_test3208z00_1615)
{ /* Jvm/closure.scm 48 */
obj_t BgL_arg3210z00_1616;obj_t BgL_arg3211z00_1617;
{ /* Jvm/closure.scm 48 */
obj_t BgL_auxz00_3237;
BgL_auxz00_3237 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3210z00_1616 = 
MAKE_PAIR(BgL_auxz00_3237, BNIL); } 
{ /* Jvm/closure.scm 49 */
obj_t BgL_arg3215z00_1618;obj_t BgL_arg3216z00_1619;
{ /* Jvm/closure.scm 49 */
obj_t BgL_arg3219z00_1620;obj_t BgL_arg3220z00_1621;
BgL_arg3219z00_1620 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3220z00_1621 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3215z00_1618 = 
MAKE_PAIR(BgL_arg3219z00_1620, BgL_arg3220z00_1621); } 
{ /* Jvm/closure.scm 50 */
obj_t BgL_arg3224z00_1622;
{ /* Jvm/closure.scm 50 */
obj_t BgL_auxz00_3243;
BgL_auxz00_3243 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3224z00_1622 = 
MAKE_PAIR(BgL_auxz00_3243, BNIL); } 
BgL_arg3216z00_1619 = 
MAKE_PAIR(BgL_arg3224z00_1622, BNIL); } 
BgL_arg3211z00_1617 = 
MAKE_PAIR(BgL_arg3215z00_1618, BgL_arg3216z00_1619); } 
return 
MAKE_PAIR(BgL_arg3210z00_1616, BgL_arg3211z00_1617);}  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_labsz00_1624;
if(BgL_test3208z00_1615)
{ /* Jvm/closure.scm 51 */
BgL_labsz00_1624 = BNIL; }  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_head2977z00_1702;
BgL_head2977z00_1702 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2975z00_1703;obj_t BgL_tail2978z00_1704;
BgL_l2975z00_1703 = BgL_funsz00_13; 
BgL_tail2978z00_1704 = BgL_head2977z00_1702; 
BgL_lname2976z00_1705:
if(
NULLP(BgL_l2975z00_1703))
{ /* Jvm/closure.scm 51 */
BgL_labsz00_1624 = 
CDR(BgL_head2977z00_1702); }  else 
{ /* Jvm/closure.scm 51 */
obj_t BgL_newtail2979z00_1707;
{ /* Jvm/closure.scm 51 */
obj_t BgL_arg3359z00_1709;
BgL_arg3359z00_1709 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2979z00_1707 = 
MAKE_PAIR(BgL_arg3359z00_1709, BNIL); } 
SET_CDR(BgL_tail2978z00_1704, BgL_newtail2979z00_1707); 
{ 
obj_t BgL_tail2978z00_3260;obj_t BgL_l2975z00_3258;
BgL_l2975z00_3258 = 
CDR(BgL_l2975z00_1703); 
BgL_tail2978z00_3260 = BgL_newtail2979z00_1707; 
BgL_tail2978z00_1704 = BgL_tail2978z00_3260; 
BgL_l2975z00_1703 = BgL_l2975z00_3258; 
goto BgL_lname2976z00_1705;} } } } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3229z00_1627;obj_t BgL_arg3230z00_1628;
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3233z00_1629;obj_t BgL_arg3234z00_1630;
BgL_arg3233z00_1629 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3237z00_1631;obj_t BgL_arg3238z00_1632;
BgL_arg3237z00_1631 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3242z00_1634;
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3245z00_1635;
if(
NULLP(BgL_funsz00_13))
{ /* Jvm/closure.scm 54 */
BgL_arg3245z00_1635 = BNIL; }  else 
{ /* Jvm/closure.scm 54 */
obj_t BgL_head2982z00_1640;
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3265;
BgL_auxz00_3265 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_labsz00_1624), 
CAR(BgL_funsz00_13)); 
BgL_head2982z00_1640 = 
MAKE_PAIR(BgL_auxz00_3265, BNIL); } 
{ 
obj_t BgL_ll2980z00_1641;obj_t BgL_ll2981z00_1642;obj_t BgL_tail2983z00_1643;
BgL_ll2980z00_1641 = 
CDR(BgL_funsz00_13); 
BgL_ll2981z00_1642 = 
CDR(BgL_labsz00_1624); 
BgL_tail2983z00_1643 = BgL_head2982z00_1640; 
BgL_lname2985z00_1644:
if(
NULLP(BgL_ll2980z00_1641))
{ /* Jvm/closure.scm 54 */
BgL_arg3245z00_1635 = BgL_head2982z00_1640; }  else 
{ /* Jvm/closure.scm 54 */
obj_t BgL_newtail2984z00_1648;
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3273;
BgL_auxz00_3273 = 
BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CNST_TABLE_REF(((long)11)), 
CAR(BgL_ll2981z00_1642), 
CAR(BgL_ll2980z00_1641)); 
BgL_newtail2984z00_1648 = 
MAKE_PAIR(BgL_auxz00_3273, BNIL); } 
SET_CDR(BgL_tail2983z00_1643, BgL_newtail2984z00_1648); 
{ 
obj_t BgL_tail2983z00_3284;obj_t BgL_ll2981z00_3282;obj_t BgL_ll2980z00_3280;
BgL_ll2980z00_3280 = 
CDR(BgL_ll2980z00_1641); 
BgL_ll2981z00_3282 = 
CDR(BgL_ll2981z00_1642); 
BgL_tail2983z00_3284 = BgL_newtail2984z00_1648; 
BgL_tail2983z00_1643 = BgL_tail2983z00_3284; 
BgL_ll2981z00_1642 = BgL_ll2981z00_3282; 
BgL_ll2980z00_1641 = BgL_ll2980z00_3280; 
goto BgL_lname2985z00_1644;} } } } 
BgL_arg3242z00_1634 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3245z00_1635, BNIL); } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_auxz00_3288;
BgL_auxz00_3288 = 
BINT(((long)0)); 
BgL_arg3238z00_1632 = 
MAKE_PAIR(BgL_auxz00_3288, BgL_arg3242z00_1634); } } 
BgL_arg3234z00_1630 = 
MAKE_PAIR(BgL_arg3237z00_1631, BgL_arg3238z00_1632); } 
BgL_arg3229z00_1627 = 
MAKE_PAIR(BgL_arg3233z00_1629, BgL_arg3234z00_1630); } 
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3286z00_1659;obj_t BgL_arg3287z00_1660;
{ /* Jvm/closure.scm 55 */
obj_t BgL_runner3326z00_1683;
if(
NULLP(BgL_funsz00_13))
{ /* Jvm/closure.scm 55 */
BgL_runner3326z00_1683 = BNIL; }  else 
{ /* Jvm/closure.scm 55 */
obj_t BgL_head2988z00_1664;
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3316z00_1679;
BgL_arg3316z00_1679 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CAR(BgL_labsz00_1624), 
CAR(BgL_funsz00_13)); 
BgL_head2988z00_1664 = 
MAKE_PAIR(BgL_arg3316z00_1679, BNIL); } 
{ 
obj_t BgL_ll2986z00_1665;obj_t BgL_ll2987z00_1666;obj_t BgL_tail2989z00_1667;
BgL_ll2986z00_1665 = 
CDR(BgL_funsz00_13); 
BgL_ll2987z00_1666 = 
CDR(BgL_labsz00_1624); 
BgL_tail2989z00_1667 = BgL_head2988z00_1664; 
BgL_lname2991z00_1668:
if(
NULLP(BgL_ll2986z00_1665))
{ /* Jvm/closure.scm 55 */
BgL_runner3326z00_1683 = BgL_head2988z00_1664; }  else 
{ /* Jvm/closure.scm 55 */
obj_t BgL_newtail2990z00_1672;
{ /* Jvm/closure.scm 55 */
obj_t BgL_arg3305z00_1675;
BgL_arg3305z00_1675 = 
BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_12, BgL_iz00_11, 
CAR(BgL_ll2987z00_1666), 
CAR(BgL_ll2986z00_1665)); 
BgL_newtail2990z00_1672 = 
MAKE_PAIR(BgL_arg3305z00_1675, BNIL); } 
SET_CDR(BgL_tail2989z00_1667, BgL_newtail2990z00_1672); 
{ 
obj_t BgL_tail2989z00_3310;obj_t BgL_ll2987z00_3308;obj_t BgL_ll2986z00_3306;
BgL_ll2986z00_3306 = 
CDR(BgL_ll2986z00_1665); 
BgL_ll2987z00_3308 = 
CDR(BgL_ll2987z00_1666); 
BgL_tail2989z00_3310 = BgL_newtail2990z00_1672; 
BgL_tail2989z00_1667 = BgL_tail2989z00_3310; 
BgL_ll2987z00_1666 = BgL_ll2987z00_3308; 
BgL_ll2986z00_1665 = BgL_ll2986z00_3306; 
goto BgL_lname2991z00_1668;} } } } 
BgL_arg3286z00_1659 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3326z00_1683); } 
{ /* Jvm/closure.scm 54 */
obj_t BgL_arg3328z00_1684;obj_t BgL_arg3329z00_1685;
BgL_arg3328z00_1684 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 56 */
obj_t BgL_arg3332z00_1686;obj_t BgL_arg3333z00_1687;
{ /* Jvm/closure.scm 56 */
obj_t BgL_arg3336z00_1688;obj_t BgL_arg3337z00_1689;
BgL_arg3336z00_1688 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3337z00_1689 = 
MAKE_PAIR(BgL_errorz00_14, BNIL); 
BgL_arg3332z00_1686 = 
MAKE_PAIR(BgL_arg3336z00_1688, BgL_arg3337z00_1689); } 
{ /* Jvm/closure.scm 57 */
obj_t BgL_arg3341z00_1690;
{ /* Jvm/closure.scm 57 */
obj_t BgL_auxz00_3318;
BgL_auxz00_3318 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3341z00_1690 = 
MAKE_PAIR(BgL_auxz00_3318, BNIL); } 
BgL_arg3333z00_1687 = 
MAKE_PAIR(BgL_arg3341z00_1690, BNIL); } 
BgL_arg3329z00_1685 = 
MAKE_PAIR(BgL_arg3332z00_1686, BgL_arg3333z00_1687); } 
BgL_arg3287z00_1660 = 
MAKE_PAIR(BgL_arg3328z00_1684, BgL_arg3329z00_1685); } 
BgL_arg3230z00_1628 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3286z00_1659, BgL_arg3287z00_1660); } 
return 
MAKE_PAIR(BgL_arg3229z00_1627, BgL_arg3230z00_1628);} } } } 
}



/* compile-lab-for-funcalli */
obj_t BGl_compilezd2labzd2forzd2funcallizd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_15, long BgL_iz00_16, obj_t BgL_defz00_17, obj_t BgL_labz00_18, obj_t BgL_slotz00_19)
{ AN_OBJECT;
{ /* Jvm/closure.scm 59 */
{ /* Jvm/closure.scm 60 */
obj_t BgL_arityz00_1712;
{ /* Jvm/closure.scm 60 */
obj_t BgL_auxz00_3326;
BgL_auxz00_3326 = 
CDR(BgL_slotz00_19); 
BgL_arityz00_1712 = 
CDR(BgL_auxz00_3326); } 
if(
NULLP(BgL_arityz00_1712))
{ /* Jvm/closure.scm 61 */
if(
(BgL_iz00_16<=((long)1)))
{ /* Jvm/closure.scm 62 */
return BgL_labz00_18;}  else 
{ /* Jvm/closure.scm 62 */
return BgL_defz00_17;} }  else 
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3333;
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3334;
{ /* Jvm/closure.scm 63 */
bool_t BgL_testz00_3335;
{ /* Jvm/closure.scm 63 */
long BgL_auxz00_3336;
BgL_auxz00_3336 = 
(long)CINT(BgL_arityz00_1712); 
BgL_testz00_3335 = 
(BgL_auxz00_3336>=((long)0)); } 
if(BgL_testz00_3335)
{ /* Jvm/closure.scm 63 */
long BgL_auxz00_3339;
BgL_auxz00_3339 = 
(long)CINT(BgL_arityz00_1712); 
BgL_testz00_3334 = 
(BgL_auxz00_3339==BgL_iz00_16); }  else 
{ /* Jvm/closure.scm 63 */
BgL_testz00_3334 = ((bool_t)0)
; } } 
if(BgL_testz00_3334)
{ /* Jvm/closure.scm 63 */
BgL_testz00_3333 = ((bool_t)1)
; }  else 
{ /* Jvm/closure.scm 64 */
bool_t BgL_testz00_3342;
{ /* Jvm/closure.scm 64 */
long BgL_auxz00_3343;
BgL_auxz00_3343 = 
(long)CINT(BgL_arityz00_1712); 
BgL_testz00_3342 = 
(BgL_auxz00_3343<((long)0)); } 
if(BgL_testz00_3342)
{ /* Jvm/closure.scm 64 */
obj_t BgL_auxz00_3346;
{ /* Jvm/closure.scm 64 */
long BgL_auxz00_3347;
BgL_auxz00_3347 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_16); 
BgL_auxz00_3346 = 
BINT(BgL_auxz00_3347); } 
BgL_testz00_3333 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1712, BgL_auxz00_3346); }  else 
{ /* Jvm/closure.scm 64 */
BgL_testz00_3333 = ((bool_t)0)
; } } } 
if(BgL_testz00_3333)
{ /* Jvm/closure.scm 63 */
return BgL_labz00_18;}  else 
{ /* Jvm/closure.scm 63 */
return BgL_defz00_17;} } } } 
}



/* compile-for-funcalli */
obj_t BGl_compilezd2forzd2funcalliz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_20, long BgL_iz00_21, obj_t BgL_labz00_22, obj_t BgL_slotz00_23)
{ AN_OBJECT;
{ /* Jvm/closure.scm 68 */
{ /* Jvm/closure.scm 69 */
obj_t BgL_arityz00_1721;obj_t BgL_namez00_1722;
{ /* Jvm/closure.scm 69 */
obj_t BgL_auxz00_3351;
BgL_auxz00_3351 = 
CDR(BgL_slotz00_23); 
BgL_arityz00_1721 = 
CDR(BgL_auxz00_3351); } 
BgL_namez00_1722 = 
CAR(BgL_slotz00_23); 
if(
NULLP(BgL_arityz00_1721))
{ /* Jvm/closure.scm 78 */
if(
(BgL_iz00_21==((long)0)))
{ /* Jvm/closure.scm 80 */
{ /* Jvm/closure.scm 81 */
obj_t BgL_arg3387z00_1726;
{ /* Jvm/closure.scm 81 */
obj_t BgL_arg3390z00_1727;obj_t BgL_arg3391z00_1728;
{ /* Jvm/closure.scm 81 */
obj_t BgL_auxz00_3359;
BgL_auxz00_3359 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3390z00_1727 = 
MAKE_PAIR(BgL_auxz00_3359, BNIL); } 
{ /* Jvm/closure.scm 82 */
obj_t BgL_arg3395z00_1729;obj_t BgL_arg3396z00_1730;
{ /* Jvm/closure.scm 82 */
obj_t BgL_arg3399z00_1731;obj_t BgL_arg3400z00_1732;
BgL_arg3399z00_1731 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg3400z00_1732 = 
MAKE_PAIR(BgL_namez00_1722, BNIL); 
BgL_arg3395z00_1729 = 
MAKE_PAIR(BgL_arg3399z00_1731, BgL_arg3400z00_1732); } 
{ /* Jvm/closure.scm 83 */
obj_t BgL_arg3404z00_1733;
{ /* Jvm/closure.scm 83 */
obj_t BgL_auxz00_3365;
BgL_auxz00_3365 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3404z00_1733 = 
MAKE_PAIR(BgL_auxz00_3365, BNIL); } 
BgL_arg3396z00_1730 = 
MAKE_PAIR(BgL_arg3404z00_1733, BNIL); } 
BgL_arg3391z00_1728 = 
MAKE_PAIR(BgL_arg3395z00_1729, BgL_arg3396z00_1730); } 
BgL_arg3387z00_1726 = 
MAKE_PAIR(BgL_arg3390z00_1727, BgL_arg3391z00_1728); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3387z00_1726);} }  else 
{ /* Jvm/closure.scm 80 */
if(
(BgL_iz00_21==((long)1)))
{ /* Jvm/closure.scm 84 */
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3410z00_1736;
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3413z00_1737;obj_t BgL_arg3414z00_1738;
{ /* Jvm/closure.scm 85 */
obj_t BgL_arg3417z00_1739;obj_t BgL_arg3418z00_1740;
BgL_arg3417z00_1739 = 
CNST_TABLE_REF(((long)13)); 
BgL_arg3418z00_1740 = 
MAKE_PAIR(BgL_namez00_1722, BNIL); 
BgL_arg3413z00_1737 = 
MAKE_PAIR(BgL_arg3417z00_1739, BgL_arg3418z00_1740); } 
{ /* Jvm/closure.scm 86 */
obj_t BgL_arg3422z00_1741;
{ /* Jvm/closure.scm 86 */
obj_t BgL_auxz00_3377;
BgL_auxz00_3377 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3422z00_1741 = 
MAKE_PAIR(BgL_auxz00_3377, BNIL); } 
BgL_arg3414z00_1738 = 
MAKE_PAIR(BgL_arg3422z00_1741, BNIL); } 
BgL_arg3410z00_1736 = 
MAKE_PAIR(BgL_arg3413z00_1737, BgL_arg3414z00_1738); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3410z00_1736);} }  else 
{ /* Jvm/closure.scm 84 */
return BNIL;} } }  else 
{ /* Jvm/closure.scm 88 */
bool_t BgL_testz00_3383;
{ /* Jvm/closure.scm 88 */
long BgL_auxz00_3384;
BgL_auxz00_3384 = 
(long)CINT(BgL_arityz00_1721); 
BgL_testz00_3383 = 
(BgL_auxz00_3384>=((long)0)); } 
if(BgL_testz00_3383)
{ /* Jvm/closure.scm 88 */
{ /* Jvm/closure.scm 89 */
bool_t BgL_testz00_3387;
{ /* Jvm/closure.scm 89 */
long BgL_auxz00_3388;
BgL_auxz00_3388 = 
(long)CINT(BgL_arityz00_1721); 
BgL_testz00_3387 = 
(BgL_auxz00_3388==BgL_iz00_21); } 
if(BgL_testz00_3387)
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3431z00_1745;
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3434z00_1746;obj_t BgL_arg3435z00_1747;
{ /* Jvm/closure.scm 90 */
obj_t BgL_arg3438z00_1748;obj_t BgL_arg3439z00_1749;
BgL_arg3438z00_1748 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3439z00_1749 = 
MAKE_PAIR(BgL_namez00_1722, BNIL); 
BgL_arg3434z00_1746 = 
MAKE_PAIR(BgL_arg3438z00_1748, BgL_arg3439z00_1749); } 
{ /* Jvm/closure.scm 91 */
obj_t BgL_arg3443z00_1750;
{ /* Jvm/closure.scm 91 */
obj_t BgL_auxz00_3394;
BgL_auxz00_3394 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3443z00_1750 = 
MAKE_PAIR(BgL_auxz00_3394, BNIL); } 
BgL_arg3435z00_1747 = 
MAKE_PAIR(BgL_arg3443z00_1750, BNIL); } 
BgL_arg3431z00_1745 = 
MAKE_PAIR(BgL_arg3434z00_1746, BgL_arg3435z00_1747); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3431z00_1745);}  else 
{ /* Jvm/closure.scm 89 */
return BNIL;} } }  else 
{ /* Jvm/closure.scm 88 */
{ /* Jvm/closure.scm 94 */
bool_t BgL_testz00_3400;
{ /* Jvm/closure.scm 94 */
obj_t BgL_auxz00_3401;
{ /* Jvm/closure.scm 94 */
long BgL_auxz00_3402;
BgL_auxz00_3402 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(((long)-1), BgL_iz00_21); 
BgL_auxz00_3401 = 
BINT(BgL_auxz00_3402); } 
BgL_testz00_3400 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_arityz00_1721, BgL_auxz00_3401); } 
if(BgL_testz00_3400)
{ /* Jvm/closure.scm 94 */
return BNIL;}  else 
{ /* Jvm/closure.scm 94 */
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3450z00_1753;
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3453z00_1754;obj_t BgL_arg3454z00_1755;
{ /* Jvm/closure.scm 97 */
obj_t BgL_arg3457z00_1756;obj_t BgL_arg3458z00_1757;
BgL_arg3457z00_1756 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/closure.scm 97 */
obj_t BgL_auxz00_3407;
BgL_auxz00_3407 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg3458z00_1757 = 
MAKE_PAIR(BgL_auxz00_3407, BNIL); } 
BgL_arg3453z00_1754 = 
MAKE_PAIR(BgL_arg3457z00_1756, BgL_arg3458z00_1757); } 
{ /* Jvm/closure.scm 98 */
obj_t BgL_arg3462z00_1758;
BgL_arg3462z00_1758 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_1722, 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_iz00_21), 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(((long)1)), BgL_arityz00_1721))); 
BgL_arg3454z00_1755 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3462z00_1758, BNIL); } 
BgL_arg3450z00_1753 = 
MAKE_PAIR(BgL_arg3453z00_1754, BgL_arg3454z00_1755); } 
return 
MAKE_PAIR(BgL_labz00_22, BgL_arg3450z00_1753);} } } } } } } 
}



/* make_cons */
obj_t BGl_make_consz00zzjvm_closurez00(obj_t BgL_namez00_3081, obj_t BgL_nz00_1763)
{ AN_OBJECT;
{ /* Jvm/closure.scm 76 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1763, 
BINT(((long)0))))
{ /* Jvm/closure.scm 72 */
obj_t BgL_arg3481z00_1766;obj_t BgL_arg3482z00_1767;
{ /* Jvm/closure.scm 72 */
obj_t BgL_arg3485z00_1768;obj_t BgL_arg3486z00_1769;
BgL_arg3485z00_1768 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3486z00_1769 = 
MAKE_PAIR(BgL_namez00_3081, BNIL); 
BgL_arg3481z00_1766 = 
MAKE_PAIR(BgL_arg3485z00_1768, BgL_arg3486z00_1769); } 
{ /* Jvm/closure.scm 73 */
obj_t BgL_arg3491z00_1770;
{ /* Jvm/closure.scm 73 */
obj_t BgL_auxz00_3425;
BgL_auxz00_3425 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3491z00_1770 = 
MAKE_PAIR(BgL_auxz00_3425, BNIL); } 
BgL_arg3482z00_1767 = 
MAKE_PAIR(BgL_arg3491z00_1770, BNIL); } 
return 
MAKE_PAIR(BgL_arg3481z00_1766, BgL_arg3482z00_1767);}  else 
{ /* Jvm/closure.scm 71 */
{ /* Jvm/closure.scm 75 */
obj_t BgL_arg3496z00_1772;obj_t BgL_arg3497z00_1773;
{ /* Jvm/closure.scm 75 */
obj_t BgL_arg3500z00_1774;obj_t BgL_arg3501z00_1775;
BgL_arg3500z00_1774 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/closure.scm 75 */
obj_t BgL_auxz00_3431;
BgL_auxz00_3431 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg3501z00_1775 = 
MAKE_PAIR(BgL_auxz00_3431, BNIL); } 
BgL_arg3496z00_1772 = 
MAKE_PAIR(BgL_arg3500z00_1774, BgL_arg3501z00_1775); } 
{ /* Jvm/closure.scm 76 */
obj_t BgL_arg3505z00_1776;
BgL_arg3505z00_1776 = 
BGl_make_consz00zzjvm_closurez00(BgL_namez00_3081, 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1763, 
BINT(((long)1)))); 
BgL_arg3497z00_1773 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3505z00_1776, BNIL); } 
return 
MAKE_PAIR(BgL_arg3496z00_1772, BgL_arg3497z00_1773);} } } 
}



/* compile-apply */
obj_t BGl_compilezd2applyzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_24, obj_t BgL_mez00_25, obj_t BgL_superz00_26, obj_t BgL_procsz00_27)
{ AN_OBJECT;
{ /* Jvm/closure.scm 103 */
{ /* Jvm/closure.scm 104 */
obj_t BgL_fz00_1780;obj_t BgL_ez00_1781;
BgL_fz00_1780 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4335z00zzjvm_closurez00, BEOA); 
BgL_ez00_1781 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4336z00zzjvm_closurez00, BEOA); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3517z00_1782;
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3520z00_1783;obj_t BgL_arg3521z00_1784;
BgL_arg3520z00_1783 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3524z00_1785;
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3527z00_1786;obj_t BgL_arg3528z00_1787;
{ /* Jvm/closure.scm 105 */
obj_t BgL_auxz00_3445;
BgL_auxz00_3445 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3527z00_1786 = 
MAKE_PAIR(BgL_auxz00_3445, BNIL); } 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3532z00_1788;obj_t BgL_arg3533z00_1789;
BgL_arg3532z00_1788 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 105 */
obj_t BgL_arg3537z00_1791;
{ /* Jvm/closure.scm 105 */
obj_t BgL_auxz00_3449;
BgL_auxz00_3449 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3537z00_1791 = 
MAKE_PAIR(BgL_auxz00_3449, BNIL); } 
BgL_arg3533z00_1789 = 
MAKE_PAIR(BGl_string4335z00zzjvm_closurez00, BgL_arg3537z00_1791); } 
BgL_arg3528z00_1787 = 
MAKE_PAIR(BgL_arg3532z00_1788, BgL_arg3533z00_1789); } 
BgL_arg3524z00_1785 = 
MAKE_PAIR(BgL_arg3527z00_1786, BgL_arg3528z00_1787); } 
BgL_arg3521z00_1784 = 
MAKE_PAIR(BgL_mez00_25, BgL_arg3524z00_1785); } 
BgL_arg3517z00_1782 = 
MAKE_PAIR(BgL_arg3520z00_1783, BgL_arg3521z00_1784); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_fz00_1780, BgL_arg3517z00_1782); } 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3541z00_1792;
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3544z00_1793;obj_t BgL_arg3545z00_1794;
BgL_arg3544z00_1793 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3548z00_1795;
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3551z00_1796;obj_t BgL_arg3552z00_1797;
{ /* Jvm/closure.scm 106 */
obj_t BgL_auxz00_3459;
BgL_auxz00_3459 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg3551z00_1796 = 
MAKE_PAIR(BgL_auxz00_3459, BNIL); } 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3556z00_1798;obj_t BgL_arg3557z00_1799;
BgL_arg3556z00_1798 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/closure.scm 106 */
obj_t BgL_arg3561z00_1801;
{ /* Jvm/closure.scm 106 */
obj_t BgL_auxz00_3463;
BgL_auxz00_3463 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg3561z00_1801 = 
MAKE_PAIR(BgL_auxz00_3463, BNIL); } 
BgL_arg3557z00_1799 = 
MAKE_PAIR(BGl_string4337z00zzjvm_closurez00, BgL_arg3561z00_1801); } 
BgL_arg3552z00_1797 = 
MAKE_PAIR(BgL_arg3556z00_1798, BgL_arg3557z00_1799); } 
BgL_arg3548z00_1795 = 
MAKE_PAIR(BgL_arg3551z00_1796, BgL_arg3552z00_1797); } 
BgL_arg3545z00_1794 = 
MAKE_PAIR(BgL_superz00_26, BgL_arg3548z00_1795); } 
BgL_arg3541z00_1792 = 
MAKE_PAIR(BgL_arg3544z00_1793, BgL_arg3545z00_1794); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_24, BgL_ez00_1781, BgL_arg3541z00_1792); } 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3565z00_1802;obj_t BgL_arg3566z00_1803;
BgL_arg3565z00_1802 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3569z00_1804;
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3572z00_1805;obj_t BgL_arg3573z00_1806;
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3576z00_1807;obj_t BgL_arg3577z00_1808;
BgL_arg3576z00_1807 = 
CNST_TABLE_REF(((long)17)); 
{ /* Jvm/closure.scm 107 */
obj_t BgL_auxz00_3474;
BgL_auxz00_3474 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3577z00_1808 = 
MAKE_PAIR(BgL_auxz00_3474, BNIL); } 
BgL_arg3572z00_1805 = 
MAKE_PAIR(BgL_arg3576z00_1807, BgL_arg3577z00_1808); } 
{ /* Jvm/closure.scm 107 */
obj_t BgL_arg3582z00_1810;
{ /* Jvm/closure.scm 108 */
obj_t BgL_arg3586z00_1811;obj_t BgL_arg3588z00_1812;
{ /* Jvm/closure.scm 108 */
obj_t BgL_arg3591z00_1813;obj_t BgL_arg3592z00_1814;
BgL_arg3591z00_1813 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 108 */
obj_t BgL_auxz00_3479;
BgL_auxz00_3479 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3592z00_1814 = 
MAKE_PAIR(BgL_auxz00_3479, BNIL); } 
BgL_arg3586z00_1811 = 
MAKE_PAIR(BgL_arg3591z00_1813, BgL_arg3592z00_1814); } 
{ /* Jvm/closure.scm 109 */
obj_t BgL_arg3596z00_1815;obj_t BgL_arg3597z00_1816;
{ /* Jvm/closure.scm 109 */
obj_t BgL_arg3600z00_1817;obj_t BgL_arg3601z00_1818;
BgL_arg3600z00_1817 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 109 */
obj_t BgL_auxz00_3484;
BgL_auxz00_3484 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg3601z00_1818 = 
MAKE_PAIR(BgL_auxz00_3484, BNIL); } 
BgL_arg3596z00_1815 = 
MAKE_PAIR(BgL_arg3600z00_1817, BgL_arg3601z00_1818); } 
{ /* Jvm/closure.scm 110 */
obj_t BgL_arg3605z00_1819;obj_t BgL_arg3606z00_1820;
{ /* Jvm/closure.scm 110 */
obj_t BgL_arg3609z00_1821;obj_t BgL_arg3610z00_1822;
BgL_arg3609z00_1821 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/closure.scm 110 */
obj_t BgL_auxz00_3489;
BgL_auxz00_3489 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg3610z00_1822 = 
MAKE_PAIR(BgL_auxz00_3489, BNIL); } 
BgL_arg3605z00_1819 = 
MAKE_PAIR(BgL_arg3609z00_1821, BgL_arg3610z00_1822); } 
{ /* Jvm/closure.scm 111 */
obj_t BgL_arg3614z00_1823;obj_t BgL_arg3615z00_1824;
{ /* Jvm/closure.scm 111 */
obj_t BgL_arg3618z00_1825;obj_t BgL_arg3619z00_1826;
BgL_arg3618z00_1825 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 111 */
obj_t BgL_auxz00_3494;
BgL_auxz00_3494 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg3619z00_1826 = 
MAKE_PAIR(BgL_auxz00_3494, BNIL); } 
BgL_arg3614z00_1823 = 
MAKE_PAIR(BgL_arg3618z00_1825, BgL_arg3619z00_1826); } 
{ /* Jvm/closure.scm 112 */
obj_t BgL_arg3623z00_1827;
BgL_arg3623z00_1827 = 
BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_24, BgL_procsz00_27, BgL_ez00_1781); 
BgL_arg3615z00_1824 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3623z00_1827, BNIL); } 
BgL_arg3606z00_1820 = 
MAKE_PAIR(BgL_arg3614z00_1823, BgL_arg3615z00_1824); } 
BgL_arg3597z00_1816 = 
MAKE_PAIR(BgL_arg3605z00_1819, BgL_arg3606z00_1820); } 
BgL_arg3588z00_1812 = 
MAKE_PAIR(BgL_arg3596z00_1815, BgL_arg3597z00_1816); } 
BgL_arg3582z00_1810 = 
MAKE_PAIR(BgL_arg3586z00_1811, BgL_arg3588z00_1812); } 
BgL_arg3573z00_1806 = 
MAKE_PAIR(BNIL, BgL_arg3582z00_1810); } 
BgL_arg3569z00_1804 = 
MAKE_PAIR(BgL_arg3572z00_1805, BgL_arg3573z00_1806); } 
BgL_arg3566z00_1803 = 
MAKE_PAIR(BgL_fz00_1780, BgL_arg3569z00_1804); } 
return 
MAKE_PAIR(BgL_arg3565z00_1802, BgL_arg3566z00_1803);} } } 
}



/* compile-dispatch */
obj_t BGl_compilezd2dispatchzd2zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_28, obj_t BgL_funsz00_29, obj_t BgL_errorz00_30)
{ AN_OBJECT;
{ /* Jvm/closure.scm 114 */
{ /* Jvm/closure.scm 115 */
bool_t BgL_test3629z00_1829;
BgL_test3629z00_1829 = 
NULLP(BgL_funsz00_29); 
if(BgL_test3629z00_1829)
{ /* Jvm/closure.scm 116 */
obj_t BgL_arg3631z00_1830;obj_t BgL_arg3632z00_1831;
{ /* Jvm/closure.scm 116 */
obj_t BgL_auxz00_3510;
BgL_auxz00_3510 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg3631z00_1830 = 
MAKE_PAIR(BgL_auxz00_3510, BNIL); } 
{ /* Jvm/closure.scm 117 */
obj_t BgL_arg3636z00_1832;obj_t BgL_arg3637z00_1833;
{ /* Jvm/closure.scm 117 */
obj_t BgL_arg3640z00_1834;obj_t BgL_arg3641z00_1835;
BgL_arg3640z00_1834 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3641z00_1835 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3636z00_1832 = 
MAKE_PAIR(BgL_arg3640z00_1834, BgL_arg3641z00_1835); } 
{ /* Jvm/closure.scm 118 */
obj_t BgL_arg3645z00_1836;
{ /* Jvm/closure.scm 118 */
obj_t BgL_auxz00_3516;
BgL_auxz00_3516 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3645z00_1836 = 
MAKE_PAIR(BgL_auxz00_3516, BNIL); } 
BgL_arg3637z00_1833 = 
MAKE_PAIR(BgL_arg3645z00_1836, BNIL); } 
BgL_arg3632z00_1831 = 
MAKE_PAIR(BgL_arg3636z00_1832, BgL_arg3637z00_1833); } 
return 
MAKE_PAIR(BgL_arg3631z00_1830, BgL_arg3632z00_1831);}  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_labsz00_1838;
if(BgL_test3629z00_1829)
{ /* Jvm/closure.scm 119 */
BgL_labsz00_1838 = BNIL; }  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_head2995z00_1879;
BgL_head2995z00_1879 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2993z00_1880;obj_t BgL_tail2996z00_1881;
BgL_l2993z00_1880 = BgL_funsz00_29; 
BgL_tail2996z00_1881 = BgL_head2995z00_1879; 
BgL_lname2994z00_1882:
if(
NULLP(BgL_l2993z00_1880))
{ /* Jvm/closure.scm 119 */
BgL_labsz00_1838 = 
CDR(BgL_head2995z00_1879); }  else 
{ /* Jvm/closure.scm 119 */
obj_t BgL_newtail2997z00_1884;
{ /* Jvm/closure.scm 119 */
obj_t BgL_arg3728z00_1886;
BgL_arg3728z00_1886 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BEOA); 
BgL_newtail2997z00_1884 = 
MAKE_PAIR(BgL_arg3728z00_1886, BNIL); } 
SET_CDR(BgL_tail2996z00_1881, BgL_newtail2997z00_1884); 
{ 
obj_t BgL_tail2996z00_3533;obj_t BgL_l2993z00_3531;
BgL_l2993z00_3531 = 
CDR(BgL_l2993z00_1880); 
BgL_tail2996z00_3533 = BgL_newtail2997z00_1884; 
BgL_tail2996z00_1881 = BgL_tail2996z00_3533; 
BgL_l2993z00_1880 = BgL_l2993z00_3531; 
goto BgL_lname2994z00_1882;} } } } 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3650z00_1839;obj_t BgL_arg3651z00_1840;
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3654z00_1841;obj_t BgL_arg3655z00_1842;
BgL_arg3654z00_1841 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3658z00_1843;obj_t BgL_arg3660z00_1844;
BgL_arg3658z00_1843 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 120 */
obj_t BgL_auxz00_3538;obj_t BgL_auxz00_3536;
BgL_auxz00_3538 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_labsz00_1838, BNIL); 
BgL_auxz00_3536 = 
BINT(((long)0)); 
BgL_arg3660z00_1844 = 
MAKE_PAIR(BgL_auxz00_3536, BgL_auxz00_3538); } 
BgL_arg3655z00_1842 = 
MAKE_PAIR(BgL_arg3658z00_1843, BgL_arg3660z00_1844); } 
BgL_arg3650z00_1839 = 
MAKE_PAIR(BgL_arg3654z00_1841, BgL_arg3655z00_1842); } 
{ /* Jvm/closure.scm 121 */
obj_t BgL_arg3668z00_1847;obj_t BgL_arg3669z00_1848;
{ /* Jvm/closure.scm 121 */
obj_t BgL_runner3699z00_1868;
if(
NULLP(BgL_funsz00_29))
{ /* Jvm/closure.scm 122 */
BgL_runner3699z00_1868 = BNIL; }  else 
{ /* Jvm/closure.scm 122 */
obj_t BgL_head3000z00_1852;
BgL_head3000z00_1852 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_ll2998z00_1853;obj_t BgL_ll2999z00_1854;obj_t BgL_tail3001z00_1855;
BgL_ll2998z00_1853 = BgL_funsz00_29; 
BgL_ll2999z00_1854 = BgL_labsz00_1838; 
BgL_tail3001z00_1855 = BgL_head3000z00_1852; 
BgL_lname3003z00_1856:
if(
NULLP(BgL_ll2998z00_1853))
{ /* Jvm/closure.scm 122 */
BgL_runner3699z00_1868 = 
CDR(BgL_head3000z00_1852); }  else 
{ /* Jvm/closure.scm 123 */
obj_t BgL_newtail3002z00_1858;
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3683z00_1861;
{ /* Jvm/closure.scm 123 */
obj_t BgL_labelz00_1864;
BgL_labelz00_1864 = 
CAR(BgL_ll2999z00_1854); 
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3687z00_1865;
{ /* Jvm/closure.scm 123 */
obj_t BgL_arg3690z00_1866;
BgL_arg3690z00_1866 = 
BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_28, 
CAR(BgL_ll2998z00_1853)); 
BgL_arg3687z00_1865 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3690z00_1866, BNIL); } 
BgL_arg3683z00_1861 = 
MAKE_PAIR(BgL_labelz00_1864, BgL_arg3687z00_1865); } } 
BgL_newtail3002z00_1858 = 
MAKE_PAIR(BgL_arg3683z00_1861, BNIL); } 
SET_CDR(BgL_tail3001z00_1855, BgL_newtail3002z00_1858); 
{ 
obj_t BgL_tail3001z00_3560;obj_t BgL_ll2999z00_3558;obj_t BgL_ll2998z00_3556;
BgL_ll2998z00_3556 = 
CDR(BgL_ll2998z00_1853); 
BgL_ll2999z00_3558 = 
CDR(BgL_ll2999z00_1854); 
BgL_tail3001z00_3560 = BgL_newtail3002z00_1858; 
BgL_tail3001z00_1855 = BgL_tail3001z00_3560; 
BgL_ll2999z00_1854 = BgL_ll2999z00_3558; 
BgL_ll2998z00_1853 = BgL_ll2998z00_3556; 
goto BgL_lname3003z00_1856;} } } } 
BgL_arg3668z00_1847 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_runner3699z00_1868); } 
{ /* Jvm/closure.scm 120 */
obj_t BgL_arg3701z00_1869;obj_t BgL_arg3702z00_1870;
BgL_arg3701z00_1869 = 
CNST_TABLE_REF(((long)11)); 
{ /* Jvm/closure.scm 127 */
obj_t BgL_arg3705z00_1871;obj_t BgL_arg3706z00_1872;
{ /* Jvm/closure.scm 127 */
obj_t BgL_arg3709z00_1873;obj_t BgL_arg3710z00_1874;
BgL_arg3709z00_1873 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3710z00_1874 = 
MAKE_PAIR(BgL_errorz00_30, BNIL); 
BgL_arg3705z00_1871 = 
MAKE_PAIR(BgL_arg3709z00_1873, BgL_arg3710z00_1874); } 
{ /* Jvm/closure.scm 128 */
obj_t BgL_arg3714z00_1875;
{ /* Jvm/closure.scm 128 */
obj_t BgL_auxz00_3566;
BgL_auxz00_3566 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3714z00_1875 = 
MAKE_PAIR(BgL_auxz00_3566, BNIL); } 
BgL_arg3706z00_1872 = 
MAKE_PAIR(BgL_arg3714z00_1875, BNIL); } 
BgL_arg3702z00_1870 = 
MAKE_PAIR(BgL_arg3705z00_1871, BgL_arg3706z00_1872); } 
BgL_arg3669z00_1848 = 
MAKE_PAIR(BgL_arg3701z00_1869, BgL_arg3702z00_1870); } 
BgL_arg3651z00_1840 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3668z00_1847, BgL_arg3669z00_1848); } 
return 
MAKE_PAIR(BgL_arg3650z00_1839, BgL_arg3651z00_1840);} } } } 
}



/* compile-for-apply */
obj_t BGl_compilezd2forzd2applyz00zzjvm_closurez00(BgL_envz00_bglt BgL_envz00_31, obj_t BgL_slotz00_32)
{ AN_OBJECT;
{ /* Jvm/closure.scm 130 */
{ /* Jvm/closure.scm 146 */
obj_t BgL_arityz00_1890;
{ /* Jvm/closure.scm 146 */
obj_t BgL_auxz00_3574;
BgL_auxz00_3574 = 
CDR(BgL_slotz00_32); 
BgL_arityz00_1890 = 
CDR(BgL_auxz00_3574); } 
if(
NULLP(BgL_arityz00_1890))
{ /* Jvm/closure.scm 147 */
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Jvm/closure.scm 150 */
obj_t BgL_callz00_1893;
{ /* Jvm/closure.scm 150 */
obj_t BgL_arg3767z00_1904;obj_t BgL_arg3768z00_1905;
BgL_arg3767z00_1904 = 
CNST_TABLE_REF(((long)14)); 
{ /* Jvm/closure.scm 150 */
obj_t BgL_auxz00_3581;
BgL_auxz00_3581 = 
CAR(BgL_slotz00_32); 
BgL_arg3768z00_1905 = 
MAKE_PAIR(BgL_auxz00_3581, BNIL); } 
BgL_callz00_1893 = 
MAKE_PAIR(BgL_arg3767z00_1904, BgL_arg3768z00_1905); } 
if(
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_arityz00_1890, 
BINT(((long)0))))
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3741z00_1895;
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3744z00_1896;
{ /* Jvm/closure.scm 152 */
obj_t BgL_arg3747z00_1897;
{ /* Jvm/closure.scm 152 */
obj_t BgL_auxz00_3588;
BgL_auxz00_3588 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3747z00_1897 = 
MAKE_PAIR(BgL_auxz00_3588, BNIL); } 
BgL_arg3744z00_1896 = 
MAKE_PAIR(BgL_arg3747z00_1897, BNIL); } 
BgL_arg3741z00_1895 = 
MAKE_PAIR(BgL_callz00_1893, BgL_arg3744z00_1896); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arityz00_1890, ((bool_t)1), BgL_arg3741z00_1895);}  else 
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3753z00_1899;obj_t BgL_arg3754z00_1900;
BgL_arg3753z00_1899 = 
BGl_2zd2zd2zz__r4_numbers_6_5z00(
BINT(((long)-1)), BgL_arityz00_1890); 
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3758z00_1901;
{ /* Jvm/closure.scm 153 */
obj_t BgL_arg3761z00_1902;
{ /* Jvm/closure.scm 153 */
obj_t BgL_auxz00_3596;
BgL_auxz00_3596 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3761z00_1902 = 
MAKE_PAIR(BgL_auxz00_3596, BNIL); } 
BgL_arg3758z00_1901 = 
MAKE_PAIR(BgL_arg3761z00_1902, BNIL); } 
BgL_arg3754z00_1900 = 
MAKE_PAIR(BgL_callz00_1893, BgL_arg3758z00_1901); } 
return 
BGl_push_carsz00zzjvm_closurez00(BgL_arg3753z00_1899, ((bool_t)0), BgL_arg3754z00_1900);} } } } 
}



/* push_cars */
obj_t BGl_push_carsz00zzjvm_closurez00(obj_t BgL_nz00_1906, bool_t BgL_fixedarityzf3zf3_1907, obj_t BgL_rz00_1908)
{ AN_OBJECT;
{ /* Jvm/closure.scm 145 */
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1906, 
BINT(((long)0))))
{ /* Jvm/closure.scm 132 */
if(BgL_fixedarityzf3zf3_1907)
{ /* Jvm/closure.scm 133 */
obj_t BgL_auxz00_3606;
BgL_auxz00_3606 = 
CNST_TABLE_REF(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_3606, BgL_rz00_1908);}  else 
{ /* Jvm/closure.scm 133 */
return BgL_rz00_1908;} }  else 
{ /* Jvm/closure.scm 134 */
bool_t BgL_testz00_3609;
if(
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_nz00_1906, 
BINT(((long)1))))
{ /* Jvm/closure.scm 134 */
BgL_testz00_3609 = BgL_fixedarityzf3zf3_1907
; }  else 
{ /* Jvm/closure.scm 134 */
BgL_testz00_3609 = ((bool_t)0)
; } 
if(BgL_testz00_3609)
{ /* Jvm/closure.scm 134 */
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 135 */
return 
bgl_append2(
CNST_TABLE_REF(((long)21)), BgL_rz00_1908);}  else 
{ /* Jvm/closure.scm 137 */
obj_t BgL_auxz00_3617;
BgL_auxz00_3617 = 
CNST_TABLE_REF(((long)22)); 
return 
MAKE_PAIR(BgL_auxz00_3617, BgL_rz00_1908);} }  else 
{ /* Jvm/closure.scm 139 */
obj_t BgL_arg3781z00_1912;obj_t BgL_arg3782z00_1913;
{ /* Jvm/closure.scm 139 */
obj_t BgL_arg3785z00_1914;obj_t BgL_arg3786z00_1915;
{ /* Jvm/closure.scm 139 */
obj_t BgL_auxz00_3620;
BgL_auxz00_3620 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3785z00_1914 = 
MAKE_PAIR(BgL_auxz00_3620, BNIL); } 
{ /* Jvm/closure.scm 140 */
obj_t BgL_arg3790z00_1916;obj_t BgL_arg3791z00_1917;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 140 */
BgL_arg3790z00_1916 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* Jvm/closure.scm 140 */
BgL_arg3790z00_1916 = BNIL; } 
{ /* Jvm/closure.scm 141 */
obj_t BgL_arg3794z00_1918;obj_t BgL_arg3795z00_1919;
{ /* Jvm/closure.scm 141 */
obj_t BgL_arg3798z00_1920;obj_t BgL_arg3799z00_1921;
BgL_arg3798z00_1920 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 141 */
obj_t BgL_auxz00_3627;
BgL_auxz00_3627 = 
CNST_TABLE_REF(((long)25)); 
BgL_arg3799z00_1921 = 
MAKE_PAIR(BgL_auxz00_3627, BNIL); } 
BgL_arg3794z00_1918 = 
MAKE_PAIR(BgL_arg3798z00_1920, BgL_arg3799z00_1921); } 
{ /* Jvm/closure.scm 142 */
obj_t BgL_arg3803z00_1922;obj_t BgL_arg3804z00_1923;
{ /* Jvm/closure.scm 142 */
obj_t BgL_auxz00_3631;
BgL_auxz00_3631 = 
CNST_TABLE_REF(((long)26)); 
BgL_arg3803z00_1922 = 
MAKE_PAIR(BgL_auxz00_3631, BNIL); } 
{ /* Jvm/closure.scm 143 */
obj_t BgL_arg3808z00_1924;obj_t BgL_arg3809z00_1925;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/closure.scm 143 */
BgL_arg3808z00_1924 = 
CNST_TABLE_REF(((long)24)); }  else 
{ /* Jvm/closure.scm 143 */
BgL_arg3808z00_1924 = BNIL; } 
{ /* Jvm/closure.scm 144 */
obj_t BgL_arg3812z00_1926;
{ /* Jvm/closure.scm 144 */
obj_t BgL_arg3817z00_1928;obj_t BgL_arg3818z00_1929;
BgL_arg3817z00_1928 = 
CNST_TABLE_REF(((long)5)); 
{ /* Jvm/closure.scm 144 */
obj_t BgL_auxz00_3638;
BgL_auxz00_3638 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3818z00_1929 = 
MAKE_PAIR(BgL_auxz00_3638, BNIL); } 
BgL_arg3812z00_1926 = 
MAKE_PAIR(BgL_arg3817z00_1928, BgL_arg3818z00_1929); } 
BgL_arg3809z00_1925 = 
MAKE_PAIR(BgL_arg3812z00_1926, BNIL); } 
BgL_arg3804z00_1923 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3808z00_1924, BgL_arg3809z00_1925); } 
BgL_arg3795z00_1919 = 
MAKE_PAIR(BgL_arg3803z00_1922, BgL_arg3804z00_1923); } 
BgL_arg3791z00_1917 = 
MAKE_PAIR(BgL_arg3794z00_1918, BgL_arg3795z00_1919); } 
BgL_arg3786z00_1915 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3790z00_1916, BgL_arg3791z00_1917); } 
BgL_arg3781z00_1912 = 
MAKE_PAIR(BgL_arg3785z00_1914, BgL_arg3786z00_1915); } 
BgL_arg3782z00_1913 = 
BGl_push_carsz00zzjvm_closurez00(
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_nz00_1906, 
BINT(((long)1))), BgL_fixedarityzf3zf3_1907, BgL_rz00_1908); 
return 
bgl_append2(BgL_arg3781z00_1912, BgL_arg3782z00_1913);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_closurez00()
{ AN_OBJECT;
{ /* Jvm/closure.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)54304), "jvm_closure"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_closure"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_closure");} 
}

