/*===========================================================================*/
/*   (Jvm/constr.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_constrz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_constrz00();
static obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00();
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern long bgl_list_length(obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, obj_t);
static obj_t BGl__jvmzd2constructorszd2zzjvm_constrz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_constrz00 = BUNSPEC;
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00();
static obj_t __cnst[ 15 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2constructorszd2envz00zzjvm_constrz00, BgL_bgl__jvmza7d2constructorsza7d2za7za7jvm_constrza7003772za7, BGl__jvmzd2constructorszd2zzjvm_constrz00, 0L, 3 );
DEFINE_STRING( BGl_string3745z00zzjvm_constrz00, BgL_bgl_string3745za700za7za7jvm_constrza7003773z00, "__the_module_name__ putstatic ldc static clinit return invokespecial iload aload this void public method (int int int) (int int) ", 129 );
DEFINE_STRING( BGl_string3744z00zzjvm_constrz00, BgL_bgl_string3744za700za7za7jvm_constrza7003774z00, "<clinit>", 8 );
DEFINE_STRING( BGl_string3743z00zzjvm_constrz00, BgL_bgl_string3743za700za7za7jvm_constrza7003775z00, "A", 1 );
DEFINE_STRING( BGl_string3742z00zzjvm_constrz00, BgL_bgl_string3742za700za7za7jvm_constrza7003776z00, "<init>", 6 );
DEFINE_STRING( BGl_string3741z00zzjvm_constrz00, BgL_bgl_string3741za700za7za7jvm_constrza7003777z00, "sinit", 5 );
DEFINE_STRING( BGl_string3740z00zzjvm_constrz00, BgL_bgl_string3740za700za7za7jvm_constrza7003778z00, "init", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_constrz00(long BgL_checksumz00_2700, char * BgL_fromz00_2701)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_constrz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_constrz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_constrz00(); 
BGl_cnstzd2initzd2zzjvm_constrz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_constrz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_constr"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
{ /* Jvm/constr.scm 1 */
obj_t BgL_cportz00_2693;
BgL_cportz00_2693 = 
open_input_string(BGl_string3745z00zzjvm_constrz00); 
{ 
long BgL_iz00_2694;
BgL_iz00_2694 = ((long)14); 
BgL_loopz00_2695:
if(
(BgL_iz00_2694==((long)-1)))
{ /* Jvm/constr.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/constr.scm 1 */
{ /* Jvm/constr.scm 1 */
obj_t BgL_arg3749z00_2697;
{ /* Jvm/constr.scm 1 */
obj_t BgL_list3752z00_2698;
BgL_list3752z00_2698 = 
MAKE_PAIR(BgL_cportz00_2693, BNIL); 
BgL_arg3749z00_2697 = 
BGl_readz00zz__readerz00(BgL_list3752z00_2698); } 
{ /* Jvm/constr.scm 1 */
int BgL_auxz00_2717;
BgL_auxz00_2717 = 
(int)(BgL_iz00_2694); 
CNST_TABLE_SET(BgL_auxz00_2717, BgL_arg3749z00_2697); } } 
{ 
long BgL_iz00_2720;
{ /* Jvm/constr.scm 1 */
int BgL_auxz00_2721;
{ /* Jvm/constr.scm 1 */
long BgL_auxz00_2722;
BgL_auxz00_2722 = 
(BgL_iz00_2694-((long)1)); 
BgL_auxz00_2721 = 
(int)(BgL_auxz00_2722); } 
BgL_iz00_2720 = 
(long)(BgL_auxz00_2721); } 
BgL_iz00_2694 = BgL_iz00_2720; 
goto BgL_loopz00_2695;} } } } } 
}



/* jvm-constructors */
obj_t BGl_jvmzd2constructorszd2zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_1, obj_t BgL_mez00_2, obj_t BgL_superz00_3)
{ AN_OBJECT;
{ /* Jvm/constr.scm 11 */
{ /* Jvm/constr.scm 12 */
obj_t BgL_arg3000z00_1502;obj_t BgL_arg3001z00_1503;obj_t BgL_arg3002z00_1504;obj_t BgL_arg3005z00_1505;
BgL_arg3000z00_1502 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, BNIL); 
BgL_arg3001z00_1503 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)0))); 
BgL_arg3002z00_1504 = 
BGl_constrz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2, BgL_superz00_3, 
CNST_TABLE_REF(((long)1))); 
BgL_arg3005z00_1505 = 
BGl_clinitz00zzjvm_constrz00(BgL_envz00_1, BgL_mez00_2); 
{ /* Jvm/constr.scm 12 */
obj_t BgL_list3007z00_1506;
{ /* Jvm/constr.scm 12 */
obj_t BgL_arg3009z00_1507;
{ /* Jvm/constr.scm 12 */
obj_t BgL_arg3012z00_1508;
{ /* Jvm/constr.scm 12 */
obj_t BgL_arg3015z00_1509;
BgL_arg3015z00_1509 = 
MAKE_PAIR(BgL_arg3005z00_1505, BNIL); 
BgL_arg3012z00_1508 = 
MAKE_PAIR(BgL_arg3002z00_1504, BgL_arg3015z00_1509); } 
BgL_arg3009z00_1507 = 
MAKE_PAIR(BgL_arg3001z00_1503, BgL_arg3012z00_1508); } 
BgL_list3007z00_1506 = 
MAKE_PAIR(BgL_arg3000z00_1502, BgL_arg3009z00_1507); } 
return BgL_list3007z00_1506;} } } 
}



/* _jvm-constructors */
obj_t BGl__jvmzd2constructorszd2zzjvm_constrz00(obj_t BgL_envz00_2689, obj_t BgL_envz00_2690, obj_t BgL_mez00_2691, obj_t BgL_superz00_2692)
{ AN_OBJECT;
{ /* Jvm/constr.scm 11 */
return 
BGl_jvmzd2constructorszd2zzjvm_constrz00(
(BgL_envz00_bglt)(BgL_envz00_2690), BgL_mez00_2691, BgL_superz00_2692);} 
}



/* constr */
obj_t BGl_constrz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_4, obj_t BgL_mez00_5, obj_t BgL_superz00_6, obj_t BgL_argsz00_7)
{ AN_OBJECT;
{ /* Jvm/constr.scm 20 */
{ /* Jvm/constr.scm 23 */
obj_t BgL_initz00_1511;obj_t BgL_sinitz00_1512;
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg3161z00_2065;
{ /* Jvm/constr.scm 23 */
obj_t BgL_auxz00_2738;
BgL_auxz00_2738 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3161z00_2065 = 
string_append(BGl_string3740z00zzjvm_constrz00, BgL_auxz00_2738); } 
{ /* Jvm/constr.scm 23 */
char * BgL_auxz00_2742;
BgL_auxz00_2742 = 
BSTRING_TO_STRING(BgL_arg3161z00_2065); 
BgL_initz00_1511 = 
string_to_symbol(BgL_auxz00_2742); } } 
{ /* Jvm/constr.scm 23 */
obj_t BgL_arg3161z00_2072;
{ /* Jvm/constr.scm 23 */
obj_t BgL_auxz00_2745;
BgL_auxz00_2745 = 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
bgl_list_length(BgL_argsz00_7), BNIL); 
BgL_arg3161z00_2072 = 
string_append(BGl_string3741z00zzjvm_constrz00, BgL_auxz00_2745); } 
{ /* Jvm/constr.scm 23 */
char * BgL_auxz00_2749;
BgL_auxz00_2749 = 
BSTRING_TO_STRING(BgL_arg3161z00_2072); 
BgL_sinitz00_1512 = 
string_to_symbol(BgL_auxz00_2749); } } 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg3023z00_1513;
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg3026z00_1514;obj_t BgL_arg3027z00_1515;
BgL_arg3026z00_1514 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg3030z00_1516;
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg3033z00_1517;obj_t BgL_arg3034z00_1518;
{ /* Jvm/constr.scm 24 */
obj_t BgL_auxz00_2753;
BgL_auxz00_2753 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3033z00_1517 = 
MAKE_PAIR(BgL_auxz00_2753, BNIL); } 
{ /* Jvm/constr.scm 24 */
obj_t BgL_arg3038z00_1519;obj_t BgL_arg3039z00_1520;
BgL_arg3038z00_1519 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/constr.scm 24 */
obj_t BgL_auxz00_2757;
BgL_auxz00_2757 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg3039z00_1520 = 
MAKE_PAIR(BGl_string3742z00zzjvm_constrz00, BgL_auxz00_2757); } 
BgL_arg3034z00_1518 = 
MAKE_PAIR(BgL_arg3038z00_1519, BgL_arg3039z00_1520); } 
BgL_arg3030z00_1516 = 
MAKE_PAIR(BgL_arg3033z00_1517, BgL_arg3034z00_1518); } 
BgL_arg3027z00_1515 = 
MAKE_PAIR(BgL_mez00_5, BgL_arg3030z00_1516); } 
BgL_arg3023z00_1513 = 
MAKE_PAIR(BgL_arg3026z00_1514, BgL_arg3027z00_1515); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_initz00_1511, BgL_arg3023z00_1513); } 
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3047z00_1523;
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3050z00_1524;obj_t BgL_arg3051z00_1525;
BgL_arg3050z00_1524 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3054z00_1526;
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3057z00_1527;obj_t BgL_arg3058z00_1528;
{ /* Jvm/constr.scm 25 */
obj_t BgL_auxz00_2766;
BgL_auxz00_2766 = 
CNST_TABLE_REF(((long)3)); 
BgL_arg3057z00_1527 = 
MAKE_PAIR(BgL_auxz00_2766, BNIL); } 
{ /* Jvm/constr.scm 25 */
obj_t BgL_arg3062z00_1529;obj_t BgL_arg3063z00_1530;
BgL_arg3062z00_1529 = 
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/constr.scm 25 */
obj_t BgL_auxz00_2770;
BgL_auxz00_2770 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_argsz00_7, BNIL); 
BgL_arg3063z00_1530 = 
MAKE_PAIR(BGl_string3742z00zzjvm_constrz00, BgL_auxz00_2770); } 
BgL_arg3058z00_1528 = 
MAKE_PAIR(BgL_arg3062z00_1529, BgL_arg3063z00_1530); } 
BgL_arg3054z00_1526 = 
MAKE_PAIR(BgL_arg3057z00_1527, BgL_arg3058z00_1528); } 
BgL_arg3051z00_1525 = 
MAKE_PAIR(BgL_superz00_6, BgL_arg3054z00_1526); } 
BgL_arg3047z00_1523 = 
MAKE_PAIR(BgL_arg3050z00_1524, BgL_arg3051z00_1525); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_4, BgL_sinitz00_1512, BgL_arg3047z00_1523); } 
{ /* Jvm/constr.scm 26 */
obj_t BgL_paramsz00_1533;
if(
NULLP(BgL_argsz00_7))
{ /* Jvm/constr.scm 26 */
BgL_paramsz00_1533 = BNIL; }  else 
{ /* Jvm/constr.scm 26 */
obj_t BgL_head2991z00_1571;
BgL_head2991z00_1571 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2989z00_1572;obj_t BgL_tail2992z00_1573;
BgL_l2989z00_1572 = BgL_argsz00_7; 
BgL_tail2992z00_1573 = BgL_head2991z00_1571; 
BgL_lname2990z00_1574:
if(
NULLP(BgL_l2989z00_1572))
{ /* Jvm/constr.scm 26 */
BgL_paramsz00_1533 = 
CDR(BgL_head2991z00_1571); }  else 
{ /* Jvm/constr.scm 26 */
obj_t BgL_newtail2993z00_1576;
{ /* Jvm/constr.scm 26 */
obj_t BgL_arg3149z00_1578;
BgL_arg3149z00_1578 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string3743z00zzjvm_constrz00, BEOA); 
BgL_newtail2993z00_1576 = 
MAKE_PAIR(BgL_arg3149z00_1578, BNIL); } 
SET_CDR(BgL_tail2992z00_1573, BgL_newtail2993z00_1576); 
{ 
obj_t BgL_tail2992z00_2790;obj_t BgL_l2989z00_2788;
BgL_l2989z00_2788 = 
CDR(BgL_l2989z00_1572); 
BgL_tail2992z00_2790 = BgL_newtail2993z00_1576; 
BgL_tail2992z00_1573 = BgL_tail2992z00_2790; 
BgL_l2989z00_1572 = BgL_l2989z00_2788; 
goto BgL_lname2990z00_1574;} } } } 
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3071z00_1534;obj_t BgL_arg3072z00_1535;
BgL_arg3071z00_1534 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3075z00_1536;
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3078z00_1537;obj_t BgL_arg3079z00_1538;
{ /* Jvm/constr.scm 27 */
obj_t BgL_auxz00_2794;obj_t BgL_auxz00_2792;
BgL_auxz00_2794 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_paramsz00_1533, BNIL); 
BgL_auxz00_2792 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3078z00_1537 = 
MAKE_PAIR(BgL_auxz00_2792, BgL_auxz00_2794); } 
{ /* Jvm/constr.scm 27 */
obj_t BgL_arg3088z00_1542;
{ /* Jvm/constr.scm 28 */
obj_t BgL_arg3091z00_1543;obj_t BgL_arg3092z00_1544;
{ /* Jvm/constr.scm 28 */
obj_t BgL_arg3095z00_1545;obj_t BgL_arg3096z00_1546;
BgL_arg3095z00_1545 = 
CNST_TABLE_REF(((long)6)); 
{ /* Jvm/constr.scm 28 */
obj_t BgL_auxz00_2798;
BgL_auxz00_2798 = 
CNST_TABLE_REF(((long)5)); 
BgL_arg3096z00_1546 = 
MAKE_PAIR(BgL_auxz00_2798, BNIL); } 
BgL_arg3091z00_1543 = 
MAKE_PAIR(BgL_arg3095z00_1545, BgL_arg3096z00_1546); } 
{ /* Jvm/constr.scm 29 */
obj_t BgL_arg3100z00_1547;obj_t BgL_arg3101z00_1548;
if(
NULLP(BgL_paramsz00_1533))
{ /* Jvm/constr.scm 29 */
BgL_arg3100z00_1547 = BNIL; }  else 
{ /* Jvm/constr.scm 29 */
obj_t BgL_head2996z00_1551;
BgL_head2996z00_1551 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2994z00_1552;obj_t BgL_tail2997z00_1553;
BgL_l2994z00_1552 = BgL_paramsz00_1533; 
BgL_tail2997z00_1553 = BgL_head2996z00_1551; 
BgL_lname2995z00_1554:
if(
NULLP(BgL_l2994z00_1552))
{ /* Jvm/constr.scm 29 */
BgL_arg3100z00_1547 = 
CDR(BgL_head2996z00_1551); }  else 
{ /* Jvm/constr.scm 29 */
obj_t BgL_newtail2998z00_1556;
{ /* Jvm/constr.scm 29 */
obj_t BgL_arg3113z00_1558;
{ /* Jvm/constr.scm 29 */
obj_t BgL_arg3117z00_1561;obj_t BgL_arg3118z00_1562;
BgL_arg3117z00_1561 = 
CNST_TABLE_REF(((long)7)); 
{ /* Jvm/constr.scm 29 */
obj_t BgL_auxz00_2809;
BgL_auxz00_2809 = 
CAR(BgL_l2994z00_1552); 
BgL_arg3118z00_1562 = 
MAKE_PAIR(BgL_auxz00_2809, BNIL); } 
BgL_arg3113z00_1558 = 
MAKE_PAIR(BgL_arg3117z00_1561, BgL_arg3118z00_1562); } 
BgL_newtail2998z00_1556 = 
MAKE_PAIR(BgL_arg3113z00_1558, BNIL); } 
SET_CDR(BgL_tail2997z00_1553, BgL_newtail2998z00_1556); 
{ 
obj_t BgL_tail2997z00_2817;obj_t BgL_l2994z00_2815;
BgL_l2994z00_2815 = 
CDR(BgL_l2994z00_1552); 
BgL_tail2997z00_2817 = BgL_newtail2998z00_1556; 
BgL_tail2997z00_1553 = BgL_tail2997z00_2817; 
BgL_l2994z00_1552 = BgL_l2994z00_2815; 
goto BgL_lname2995z00_1554;} } } } 
{ /* Jvm/constr.scm 30 */
obj_t BgL_arg3126z00_1563;obj_t BgL_arg3127z00_1564;
{ /* Jvm/constr.scm 30 */
obj_t BgL_arg3130z00_1565;obj_t BgL_arg3131z00_1566;
BgL_arg3130z00_1565 = 
CNST_TABLE_REF(((long)8)); 
BgL_arg3131z00_1566 = 
MAKE_PAIR(BgL_sinitz00_1512, BNIL); 
BgL_arg3126z00_1563 = 
MAKE_PAIR(BgL_arg3130z00_1565, BgL_arg3131z00_1566); } 
{ /* Jvm/constr.scm 31 */
obj_t BgL_arg3135z00_1567;
{ /* Jvm/constr.scm 31 */
obj_t BgL_auxz00_2821;
BgL_auxz00_2821 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3135z00_1567 = 
MAKE_PAIR(BgL_auxz00_2821, BNIL); } 
BgL_arg3127z00_1564 = 
MAKE_PAIR(BgL_arg3135z00_1567, BNIL); } 
BgL_arg3101z00_1548 = 
MAKE_PAIR(BgL_arg3126z00_1563, BgL_arg3127z00_1564); } 
BgL_arg3092z00_1544 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3100z00_1547, BgL_arg3101z00_1548); } 
BgL_arg3088z00_1542 = 
MAKE_PAIR(BgL_arg3091z00_1543, BgL_arg3092z00_1544); } 
BgL_arg3079z00_1538 = 
MAKE_PAIR(BNIL, BgL_arg3088z00_1542); } 
BgL_arg3075z00_1536 = 
MAKE_PAIR(BgL_arg3078z00_1537, BgL_arg3079z00_1538); } 
BgL_arg3072z00_1535 = 
MAKE_PAIR(BgL_initz00_1511, BgL_arg3075z00_1536); } 
return 
MAKE_PAIR(BgL_arg3071z00_1534, BgL_arg3072z00_1535);} } } } 
}



/* clinit */
obj_t BGl_clinitz00zzjvm_constrz00(BgL_envz00_bglt BgL_envz00_8, obj_t BgL_mez00_9)
{ AN_OBJECT;
{ /* Jvm/constr.scm 36 */
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3172z00_1589;obj_t BgL_arg3174z00_1590;
BgL_arg3172z00_1589 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3177z00_1591;obj_t BgL_arg3178z00_1592;
BgL_arg3177z00_1591 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3181z00_1593;
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3184z00_1594;obj_t BgL_arg3185z00_1595;
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3188z00_1596;obj_t BgL_arg3189z00_1597;
BgL_arg3188z00_1596 = 
CNST_TABLE_REF(((long)3)); 
{ /* Jvm/constr.scm 37 */
obj_t BgL_auxz00_2835;
BgL_auxz00_2835 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg3189z00_1597 = 
MAKE_PAIR(BgL_auxz00_2835, BNIL); } 
BgL_arg3184z00_1594 = 
MAKE_PAIR(BgL_arg3188z00_1596, BgL_arg3189z00_1597); } 
{ /* Jvm/constr.scm 37 */
obj_t BgL_arg3193z00_1598;obj_t BgL_arg3194z00_1599;
BgL_arg3193z00_1598 = 
CNST_TABLE_REF(((long)4)); 
BgL_arg3194z00_1599 = 
MAKE_PAIR(BGl_string3744z00zzjvm_constrz00, BNIL); 
BgL_arg3185z00_1595 = 
MAKE_PAIR(BgL_arg3193z00_1598, BgL_arg3194z00_1599); } 
BgL_arg3181z00_1593 = 
MAKE_PAIR(BgL_arg3184z00_1594, BgL_arg3185z00_1595); } 
BgL_arg3178z00_1592 = 
MAKE_PAIR(BgL_mez00_9, BgL_arg3181z00_1593); } 
BgL_arg3174z00_1590 = 
MAKE_PAIR(BgL_arg3177z00_1591, BgL_arg3178z00_1592); } 
BGl_envzd2declarezd2zzjvm_envz00(BgL_envz00_8, BgL_arg3172z00_1589, BgL_arg3174z00_1590); } 
{ /* Jvm/constr.scm 46 */
obj_t BgL_arg3198z00_1600;obj_t BgL_arg3199z00_1601;
BgL_arg3198z00_1600 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/constr.scm 46 */
obj_t BgL_arg3202z00_1602;obj_t BgL_arg3203z00_1603;
BgL_arg3202z00_1602 = 
CNST_TABLE_REF(((long)10)); 
{ /* Jvm/constr.scm 46 */
obj_t BgL_arg3207z00_1605;
{ /* Jvm/constr.scm 46 */
obj_t BgL_arg3211z00_1607;
{ /* Jvm/constr.scm 49 */
obj_t BgL_arg3214z00_1608;obj_t BgL_arg3215z00_1609;
{ /* Jvm/constr.scm 49 */
obj_t BgL_arg3218z00_1610;obj_t BgL_arg3219z00_1611;
BgL_arg3218z00_1610 = 
CNST_TABLE_REF(((long)12)); 
{ /* Jvm/constr.scm 49 */
obj_t BgL_arg3222z00_1612;
{ /* Jvm/constr.scm 49 */
obj_t BgL_symbolz00_2104;
BgL_symbolz00_2104 = BGl_za2moduleza2z00zzmodule_modulez00; 
BgL_arg3222z00_1612 = 
SYMBOL_TO_STRING(BgL_symbolz00_2104); } 
BgL_arg3219z00_1611 = 
MAKE_PAIR(BgL_arg3222z00_1612, BNIL); } 
BgL_arg3214z00_1608 = 
MAKE_PAIR(BgL_arg3218z00_1610, BgL_arg3219z00_1611); } 
{ /* Jvm/constr.scm 50 */
obj_t BgL_arg3227z00_1614;obj_t BgL_arg3228z00_1615;
{ /* Jvm/constr.scm 50 */
obj_t BgL_arg3231z00_1616;obj_t BgL_arg3232z00_1617;
BgL_arg3231z00_1616 = 
CNST_TABLE_REF(((long)13)); 
{ /* Jvm/constr.scm 50 */
obj_t BgL_auxz00_2853;
BgL_auxz00_2853 = 
CNST_TABLE_REF(((long)14)); 
BgL_arg3232z00_1617 = 
MAKE_PAIR(BgL_auxz00_2853, BNIL); } 
BgL_arg3227z00_1614 = 
MAKE_PAIR(BgL_arg3231z00_1616, BgL_arg3232z00_1617); } 
{ /* Jvm/constr.scm 51 */
obj_t BgL_arg3236z00_1618;obj_t BgL_arg3237z00_1619;
BgL_arg3236z00_1618 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(
(((BgL_envz00_bglt)CREF(BgL_envz00_8))->BgL_clinitzd2codezd2)); 
{ /* Jvm/constr.scm 58 */
obj_t BgL_arg3244z00_1621;
{ /* Jvm/constr.scm 58 */
obj_t BgL_auxz00_2859;
BgL_auxz00_2859 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg3244z00_1621 = 
MAKE_PAIR(BgL_auxz00_2859, BNIL); } 
BgL_arg3237z00_1619 = 
MAKE_PAIR(BgL_arg3244z00_1621, BNIL); } 
BgL_arg3228z00_1615 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_arg3236z00_1618, BgL_arg3237z00_1619); } 
BgL_arg3215z00_1609 = 
MAKE_PAIR(BgL_arg3227z00_1614, BgL_arg3228z00_1615); } 
BgL_arg3211z00_1607 = 
MAKE_PAIR(BgL_arg3214z00_1608, BgL_arg3215z00_1609); } 
BgL_arg3207z00_1605 = 
MAKE_PAIR(BNIL, BgL_arg3211z00_1607); } 
BgL_arg3203z00_1603 = 
MAKE_PAIR(BNIL, BgL_arg3207z00_1605); } 
BgL_arg3199z00_1601 = 
MAKE_PAIR(BgL_arg3202z00_1602, BgL_arg3203z00_1603); } 
return 
MAKE_PAIR(BgL_arg3198z00_1600, BgL_arg3199z00_1601);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_constrz00()
{ AN_OBJECT;
{ /* Jvm/constr.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)54304), "jvm_constr"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_constr"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_constr");} 
}

