/*===========================================================================*/
/*   (Jvm/effect.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_methodzd2initzd2zzjvm_effectz00();
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2setq2976z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_compilezd2effectzd2conditional2980z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2isa3008z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2getfield2994z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2setfield2996z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t BGl_pragmaz00zzast_nodez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2sequence2978z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2valloc3000z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2vsetz123004z12zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2atom2970z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2letzd2fun2984zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_effectz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2funcall2990z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2letzd2var2974zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_isaz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2app2986z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2setzd2exzd2it3012z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2fail3016z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
extern obj_t BGl_vallocz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzjvm_effectz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vlength3006z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__popz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2appzd2ly2988zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2boxzd2ref3020zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_newz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2effectzd2cast3010z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2makezd2box3018zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2boxzd2setz123022zc0zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2new2998z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilezd2effectzd2default2967z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_vlengthz00zzast_nodez00;
extern obj_t BGl_setfieldz00zzast_nodez00;
static obj_t BGl_compilezd2effectzd2select2982z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilezd2effect3744zd2zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2pragma2992z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_effectz00 = BUNSPEC;
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
static obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3014z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_compilezd2effectzd2var2972z00zzjvm_effectz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00();
extern obj_t BGl_vsetz12z12zzast_nodez00;
static obj_t BGl_compilezd2effectzd2vref3002z00zzjvm_effectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc3977z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2atom2970za700za7za7jvm_effectza7004031z00, BGl_compilezd2effectzd2atom2970z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3978z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2var2972za700za7za7jvm_effectza7004032z00, BGl_compilezd2effectzd2var2972z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3980z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setq2976za700za7za7jvm_effectza7004033z00, BGl_compilezd2effectzd2setq2976z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3979z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2var2974za7d2za7za7jvm_effectza7004034za7, BGl_compilezd2effectzd2letzd2var2974zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3981z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2sequence2978za700za7za7jvm_effectza7004035z00, BGl_compilezd2effectzd2sequence2978z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3982z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2conditional2980za700za7za7jvm_effectza7004036z00, BGl_compilezd2effectzd2conditional2980z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3983z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2select2982za700za7za7jvm_effectza7004037z00, BGl_compilezd2effectzd2select2982z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3984z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2letza7d2fun2984za7d2za7za7jvm_effectza7004038za7, BGl_compilezd2effectzd2letzd2fun2984zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3985z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2app2986za700za7za7jvm_effectza7004039z00, BGl_compilezd2effectzd2app2986z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3986z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2appza7d2ly2988za7d2za7za7jvm_effectza7004040za7, BGl_compilezd2effectzd2appzd2ly2988zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3987z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2funcall2990za700za7za7jvm_effectza7004041z00, BGl_compilezd2effectzd2funcall2990z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3988z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2pragma2992za700za7za7jvm_effectza7004042z00, BGl_compilezd2effectzd2pragma2992z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3990z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setfield2996za700za7za7jvm_effectza7004043z00, BGl_compilezd2effectzd2setfield2996z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3989z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2getfield2994za700za7za7jvm_effectza7004044z00, BGl_compilezd2effectzd2getfield2994z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3991z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2new2998za700za7za7jvm_effectza7004045z00, BGl_compilezd2effectzd2new2998z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3992z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2valloc3000za700za7za7jvm_effectza7004046z00, BGl_compilezd2effectzd2valloc3000z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3993z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vref3002za700za7za7jvm_effectza7004047z00, BGl_compilezd2effectzd2vref3002z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3994z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vsetza7123004za712za7za7jvm_effectza7004048za7, BGl_compilezd2effectzd2vsetz123004z12zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3995z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2vlength3006za700za7za7jvm_effectza7004049z00, BGl_compilezd2effectzd2vlength3006z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3996z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2isa3008za700za7za7jvm_effectza7004050z00, BGl_compilezd2effectzd2isa3008z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3997z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2cast3010za700za7za7jvm_effectza7004051z00, BGl_compilezd2effectzd2cast3010z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3998z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2setza7d2exza7d2it3012za700za7za7jvm_effectza7004052z00, BGl_compilezd2effectzd2setzd2exzd2it3012z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc3999z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2jumpza7d2exza7d2it3014za700za7za7jvm_effectza7004053z00, BGl_compilezd2effectzd2jumpzd2exzd2it3014z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2effectzd2default2967zd2envzd2zzjvm_effectz00, BgL_bgl__compileza7d2effectza7d2default2967za700za7za7jvm_effectza7004054z00, BGl__compilezd2effectzd2default2967z00zzjvm_effectz00, 0L, 2 );
DEFINE_STRING( BGl_string4005z00zzjvm_effectz00, BgL_bgl_string4005za700za7za7jvm_effectza7004055z00, "compile-effect-default2967 ok ", 30 );
DEFINE_STRING( BGl_string4004z00zzjvm_effectz00, BgL_bgl_string4004za700za7za7jvm_effectza7004056z00, "No method for this object", 25 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_bgl__compileza7d2effect3744za7d2za7za7jvm_effectza7004057za7, BGl__compilezd2effect3744zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4000z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2fail3016za700za7za7jvm_effectza7004058z00, BGl_compilezd2effectzd2fail3016z00zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4001z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2makeza7d2box3018za7d2za7za7jvm_effectza7004059za7, BGl_compilezd2effectzd2makezd2box3018zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4002z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2ref3020za7d2za7za7jvm_effectza7004060za7, BGl_compilezd2effectzd2boxzd2ref3020zd2zzjvm_effectz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4003z00zzjvm_effectz00, BgL_bgl_compileza7d2effectza7d2boxza7d2setza7123022za7c0za7za7jvm_effectza7004061z00, BGl_compilezd2effectzd2boxzd2setz123022zc0zzjvm_effectz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long BgL_checksumz00_3107, char * BgL_fromz00_3108)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_effectz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_effectz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_cnstzd2initzd2zzjvm_effectz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_effectz00(); 
BGl_methodzd2initzd2zzjvm_effectz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_effect"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
{ /* Jvm/effect.scm 2 */
obj_t BgL_cportz00_3100;
BgL_cportz00_3100 = 
open_input_string(BGl_string4005z00zzjvm_effectz00); 
{ 
long BgL_iz00_3101;
BgL_iz00_3101 = ((long)1); 
BgL_loopz00_3102:
if(
(BgL_iz00_3101==((long)-1)))
{ /* Jvm/effect.scm 2 */
return BUNSPEC;}  else 
{ /* Jvm/effect.scm 2 */
{ /* Jvm/effect.scm 2 */
obj_t BgL_arg4009z00_3104;
{ /* Jvm/effect.scm 2 */
obj_t BgL_list4012z00_3105;
BgL_list4012z00_3105 = 
MAKE_PAIR(BgL_cportz00_3100, BNIL); 
BgL_arg4009z00_3104 = 
BGl_readz00zz__readerz00(BgL_list4012z00_3105); } 
{ /* Jvm/effect.scm 2 */
int BgL_auxz00_3123;
BgL_auxz00_3123 = 
(int)(BgL_iz00_3101); 
CNST_TABLE_SET(BgL_auxz00_3123, BgL_arg4009z00_3104); } } 
{ 
long BgL_iz00_3126;
{ /* Jvm/effect.scm 2 */
int BgL_auxz00_3127;
{ /* Jvm/effect.scm 2 */
long BgL_auxz00_3128;
BgL_auxz00_3128 = 
(BgL_iz00_3101-((long)1)); 
BgL_auxz00_3127 = 
(int)(BgL_auxz00_3128); } 
BgL_iz00_3126 = 
(long)(BgL_auxz00_3127); } 
BgL_iz00_3101 = BgL_iz00_3126; 
goto BgL_loopz00_3102;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
return BUNSPEC;} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_effectz00()
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_compilezd2effectzd2default2967zd2envzd2zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_atomz00zzast_nodez00, BGl_proc3977z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_varz00zzast_nodez00, BGl_proc3978z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc3979z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setqz00zzast_nodez00, BGl_proc3980z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_sequencez00zzast_nodez00, BGl_proc3981z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_conditionalz00zzast_nodez00, BGl_proc3982z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_selectz00zzast_nodez00, BGl_proc3983z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc3984z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appz00zzast_nodez00, BGl_proc3985z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc3986z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_funcallz00zzast_nodez00, BGl_proc3987z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_pragmaz00zzast_nodez00, BGl_proc3988z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_getfieldz00zzast_nodez00, BGl_proc3989z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setfieldz00zzast_nodez00, BGl_proc3990z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_newz00zzast_nodez00, BGl_proc3991z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vallocz00zzast_nodez00, BGl_proc3992z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vrefz00zzast_nodez00, BGl_proc3993z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vsetz12z12zzast_nodez00, BGl_proc3994z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_vlengthz00zzast_nodez00, BGl_proc3995z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_isaz00zzast_nodez00, BGl_proc3996z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_castz00zzast_nodez00, BGl_proc3997z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc3998z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc3999z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_failz00zzast_nodez00, BGl_proc4000z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4001z00zzjvm_effectz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4002z00zzjvm_effectz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4003z00zzjvm_effectz00);} 
}



/* compile-effect-box-set!3022 */
obj_t BGl_compilezd2effectzd2boxzd2setz123022zc0zzjvm_effectz00(obj_t BgL_envz00_3016, obj_t BgL_ez00_3017, obj_t BgL_envz00_3018)
{ AN_OBJECT;
{ /* Jvm/effect.scm 96 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2141;BgL_envz00_bglt BgL_envz00_2142;
BgL_ez00_2141 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3017); 
BgL_envz00_2142 = 
(BgL_envz00_bglt)(BgL_envz00_3018); 
return 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_ez00_2141, BgL_envz00_2142);} } 
}



/* compile-effect-box-ref3020 */
obj_t BGl_compilezd2effectzd2boxzd2ref3020zd2zzjvm_effectz00(obj_t BgL_envz00_3019, obj_t BgL_ez00_3020, obj_t BgL_envz00_3021)
{ AN_OBJECT;
{ /* Jvm/effect.scm 93 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2135;BgL_envz00_bglt BgL_envz00_2136;
BgL_ez00_2135 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3020); 
BgL_envz00_2136 = 
(BgL_envz00_bglt)(BgL_envz00_3021); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-make-box3018 */
obj_t BGl_compilezd2effectzd2makezd2box3018zd2zzjvm_effectz00(obj_t BgL_envz00_3022, obj_t BgL_ez00_3023, obj_t BgL_envz00_3024)
{ AN_OBJECT;
{ /* Jvm/effect.scm 90 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2128;BgL_envz00_bglt BgL_envz00_2129;
BgL_ez00_2128 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3023); 
BgL_envz00_2129 = 
(BgL_envz00_bglt)(BgL_envz00_3024); 
{ /* Jvm/effect.scm 91 */
BgL_nodez00_bglt BgL_arg3692z00_2929;
BgL_arg3692z00_2929 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2128))->BgL_valuez00); 
{ /* Jvm/effect.scm 91 */
obj_t BgL_method2968z00_2933;
{ /* Jvm/effect.scm 91 */
long BgL_objzd2classzd2numz00_2935;
{ /* Jvm/effect.scm 91 */
BgL_objectz00_bglt BgL_auxz00_3167;
BgL_auxz00_3167 = 
(BgL_objectz00_bglt)(BgL_arg3692z00_2929); 
BgL_objzd2classzd2numz00_2935 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3167); } 
{ /* Jvm/effect.scm 91 */
obj_t BgL_arg1904z00_2936;
{ /* Jvm/effect.scm 91 */
int BgL_auxz00_3170;
BgL_auxz00_3170 = 
(int)(((long)1)); 
BgL_arg1904z00_2936 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3170); } 
{ /* Jvm/effect.scm 91 */
long BgL_offsetz00_2940;
{ /* Jvm/effect.scm 91 */
long BgL_auxz00_3173;
{ /* Jvm/effect.scm 91 */
int BgL_auxz00_3174;
BgL_auxz00_3174 = 
(int)(BgL_objzd2classzd2numz00_2935); 
BgL_auxz00_3173 = 
(long)(BgL_auxz00_3174); } 
BgL_offsetz00_2940 = 
(BgL_auxz00_3173-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 91 */
long BgL_modz00_2941;
{ /* Jvm/effect.scm 91 */
long BgL_auxz00_3178;
{ /* Jvm/effect.scm 91 */
int BgL_auxz00_3179;
BgL_auxz00_3179 = 
(int)(((long)8)); 
BgL_auxz00_3178 = 
(long)(BgL_auxz00_3179); } 
BgL_modz00_2941 = 
(BgL_offsetz00_2940/BgL_auxz00_3178); } 
{ /* Jvm/effect.scm 91 */
long BgL_restz00_2943;
{ /* Jvm/effect.scm 91 */
long BgL_auxz00_3183;
{ /* Jvm/effect.scm 91 */
int BgL_auxz00_3184;
BgL_auxz00_3184 = 
(int)(((long)8)); 
BgL_auxz00_3183 = 
(long)(BgL_auxz00_3184); } 
BgL_restz00_2943 = 
(BgL_offsetz00_2940%BgL_auxz00_3183); } 
{ /* Jvm/effect.scm 91 */

{ /* Jvm/effect.scm 91 */
obj_t BgL_bucketz00_2945;
{ /* Jvm/effect.scm 91 */
int BgL_kz00_2955;
BgL_kz00_2955 = 
(int)(BgL_modz00_2941); 
BgL_bucketz00_2945 = 
VECTOR_REF(BgL_arg1904z00_2936,BgL_kz00_2955); } 
{ /* Jvm/effect.scm 91 */
int BgL_kz00_2957;
BgL_kz00_2957 = 
(int)(BgL_restz00_2943); 
BgL_method2968z00_2933 = 
VECTOR_REF(BgL_bucketz00_2945,BgL_kz00_2957); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2933)(BgL_method2968z00_2933, 
(obj_t)(BgL_arg3692z00_2929), 
(obj_t)(BgL_envz00_2129), BEOA);} } } } 
}



/* compile-effect-fail3016 */
obj_t BGl_compilezd2effectzd2fail3016z00zzjvm_effectz00(obj_t BgL_envz00_3025, obj_t BgL_ez00_3026, obj_t BgL_envz00_3027)
{ AN_OBJECT;
{ /* Jvm/effect.scm 87 */
{ 
BgL_failz00_bglt BgL_ez00_2122;BgL_envz00_bglt BgL_envz00_2123;
BgL_ez00_2122 = 
(BgL_failz00_bglt)(BgL_ez00_3026); 
BgL_envz00_2123 = 
(BgL_envz00_bglt)(BgL_envz00_3027); 
{ /* Jvm/effect.scm 88 */
BgL_nodez00_bglt BgL_ez00_2926;
BgL_ez00_2926 = 
(BgL_nodez00_bglt)(BgL_ez00_2122); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2926, BgL_envz00_2123); 
{ /* Jvm/effect.scm 88 */
obj_t BgL_arg3025z00_2928;
BgL_arg3025z00_2928 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2926), BgL_envz00_2123); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2123, BgL_arg3025z00_2928);} } } } 
}



/* compile-effect-jump-ex-it3014 */
obj_t BGl_compilezd2effectzd2jumpzd2exzd2it3014z00zzjvm_effectz00(obj_t BgL_envz00_3028, obj_t BgL_ez00_3029, obj_t BgL_envz00_3030)
{ AN_OBJECT;
{ /* Jvm/effect.scm 84 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2116;BgL_envz00_bglt BgL_envz00_2117;
BgL_ez00_2116 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3029); 
BgL_envz00_2117 = 
(BgL_envz00_bglt)(BgL_envz00_3030); 
{ /* Jvm/effect.scm 85 */
BgL_nodez00_bglt BgL_ez00_2923;
BgL_ez00_2923 = 
(BgL_nodez00_bglt)(BgL_ez00_2116); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2923, BgL_envz00_2117); 
{ /* Jvm/effect.scm 85 */
obj_t BgL_arg3025z00_2925;
BgL_arg3025z00_2925 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2923), BgL_envz00_2117); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2117, BgL_arg3025z00_2925);} } } } 
}



/* compile-effect-set-ex-it3012 */
obj_t BGl_compilezd2effectzd2setzd2exzd2it3012z00zzjvm_effectz00(obj_t BgL_envz00_3031, obj_t BgL_ez00_3032, obj_t BgL_envz00_3033)
{ AN_OBJECT;
{ /* Jvm/effect.scm 81 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2110;BgL_envz00_bglt BgL_envz00_2111;
BgL_ez00_2110 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3032); 
BgL_envz00_2111 = 
(BgL_envz00_bglt)(BgL_envz00_3033); 
{ /* Jvm/effect.scm 82 */
BgL_nodez00_bglt BgL_ez00_2920;
BgL_ez00_2920 = 
(BgL_nodez00_bglt)(BgL_ez00_2110); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2920, BgL_envz00_2111); 
{ /* Jvm/effect.scm 82 */
obj_t BgL_arg3025z00_2922;
BgL_arg3025z00_2922 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2920), BgL_envz00_2111); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2111, BgL_arg3025z00_2922);} } } } 
}



/* compile-effect-cast3010 */
obj_t BGl_compilezd2effectzd2cast3010z00zzjvm_effectz00(obj_t BgL_envz00_3034, obj_t BgL_ez00_3035, obj_t BgL_envz00_3036)
{ AN_OBJECT;
{ /* Jvm/effect.scm 78 */
{ 
BgL_castz00_bglt BgL_ez00_2104;BgL_envz00_bglt BgL_envz00_2105;
BgL_ez00_2104 = 
(BgL_castz00_bglt)(BgL_ez00_3035); 
BgL_envz00_2105 = 
(BgL_envz00_bglt)(BgL_envz00_3036); 
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_ez00_2104, BgL_envz00_2105, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-isa3008 */
obj_t BGl_compilezd2effectzd2isa3008z00zzjvm_effectz00(obj_t BgL_envz00_3037, obj_t BgL_ez00_3038, obj_t BgL_envz00_3039)
{ AN_OBJECT;
{ /* Jvm/effect.scm 75 */
{ 
BgL_isaz00_bglt BgL_ez00_2096;BgL_envz00_bglt BgL_envz00_2097;
BgL_ez00_2096 = 
(BgL_isaz00_bglt)(BgL_ez00_3038); 
BgL_envz00_2097 = 
(BgL_envz00_bglt)(BgL_envz00_3039); 
{ /* Jvm/effect.scm 76 */
BgL_nodez00_bglt BgL_ez00_2893;
{ /* Jvm/effect.scm 76 */
obj_t BgL_auxz00_3222;
{ /* Jvm/effect.scm 76 */
obj_t BgL_auxz00_3223;
BgL_auxz00_3223 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_2096))->BgL_exprza2za2); 
BgL_auxz00_3222 = 
CAR(BgL_auxz00_3223); } 
BgL_ez00_2893 = 
(BgL_nodez00_bglt)(BgL_auxz00_3222); } 
{ /* Jvm/effect.scm 76 */
obj_t BgL_method2968z00_2895;
{ /* Jvm/effect.scm 76 */
long BgL_objzd2classzd2numz00_2897;
{ /* Jvm/effect.scm 76 */
BgL_objectz00_bglt BgL_auxz00_3227;
BgL_auxz00_3227 = 
(BgL_objectz00_bglt)(BgL_ez00_2893); 
BgL_objzd2classzd2numz00_2897 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3227); } 
{ /* Jvm/effect.scm 76 */
obj_t BgL_arg1904z00_2898;
{ /* Jvm/effect.scm 76 */
int BgL_auxz00_3230;
BgL_auxz00_3230 = 
(int)(((long)1)); 
BgL_arg1904z00_2898 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3230); } 
{ /* Jvm/effect.scm 76 */
long BgL_offsetz00_2902;
{ /* Jvm/effect.scm 76 */
long BgL_auxz00_3233;
{ /* Jvm/effect.scm 76 */
int BgL_auxz00_3234;
BgL_auxz00_3234 = 
(int)(BgL_objzd2classzd2numz00_2897); 
BgL_auxz00_3233 = 
(long)(BgL_auxz00_3234); } 
BgL_offsetz00_2902 = 
(BgL_auxz00_3233-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 76 */
long BgL_modz00_2903;
{ /* Jvm/effect.scm 76 */
long BgL_auxz00_3238;
{ /* Jvm/effect.scm 76 */
int BgL_auxz00_3239;
BgL_auxz00_3239 = 
(int)(((long)8)); 
BgL_auxz00_3238 = 
(long)(BgL_auxz00_3239); } 
BgL_modz00_2903 = 
(BgL_offsetz00_2902/BgL_auxz00_3238); } 
{ /* Jvm/effect.scm 76 */
long BgL_restz00_2905;
{ /* Jvm/effect.scm 76 */
long BgL_auxz00_3243;
{ /* Jvm/effect.scm 76 */
int BgL_auxz00_3244;
BgL_auxz00_3244 = 
(int)(((long)8)); 
BgL_auxz00_3243 = 
(long)(BgL_auxz00_3244); } 
BgL_restz00_2905 = 
(BgL_offsetz00_2902%BgL_auxz00_3243); } 
{ /* Jvm/effect.scm 76 */

{ /* Jvm/effect.scm 76 */
obj_t BgL_bucketz00_2907;
{ /* Jvm/effect.scm 76 */
int BgL_kz00_2917;
BgL_kz00_2917 = 
(int)(BgL_modz00_2903); 
BgL_bucketz00_2907 = 
VECTOR_REF(BgL_arg1904z00_2898,BgL_kz00_2917); } 
{ /* Jvm/effect.scm 76 */
int BgL_kz00_2919;
BgL_kz00_2919 = 
(int)(BgL_restz00_2905); 
BgL_method2968z00_2895 = 
VECTOR_REF(BgL_bucketz00_2907,BgL_kz00_2919); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2895)(BgL_method2968z00_2895, 
(obj_t)(BgL_ez00_2893), 
(obj_t)(BgL_envz00_2097), BEOA);} } } } 
}



/* compile-effect-vlength3006 */
obj_t BGl_compilezd2effectzd2vlength3006z00zzjvm_effectz00(obj_t BgL_envz00_3040, obj_t BgL_ez00_3041, obj_t BgL_envz00_3042)
{ AN_OBJECT;
{ /* Jvm/effect.scm 72 */
{ 
BgL_vlengthz00_bglt BgL_ez00_2088;BgL_envz00_bglt BgL_envz00_2089;
BgL_ez00_2088 = 
(BgL_vlengthz00_bglt)(BgL_ez00_3041); 
BgL_envz00_2089 = 
(BgL_envz00_bglt)(BgL_envz00_3042); 
{ /* Jvm/effect.scm 73 */
BgL_nodez00_bglt BgL_ez00_2862;
{ /* Jvm/effect.scm 73 */
obj_t BgL_auxz00_3258;
{ /* Jvm/effect.scm 73 */
obj_t BgL_auxz00_3259;
BgL_auxz00_3259 = 
(((BgL_vlengthz00_bglt)CREF(BgL_ez00_2088))->BgL_exprza2za2); 
BgL_auxz00_3258 = 
CAR(BgL_auxz00_3259); } 
BgL_ez00_2862 = 
(BgL_nodez00_bglt)(BgL_auxz00_3258); } 
{ /* Jvm/effect.scm 73 */
obj_t BgL_method2968z00_2864;
{ /* Jvm/effect.scm 73 */
long BgL_objzd2classzd2numz00_2866;
{ /* Jvm/effect.scm 73 */
BgL_objectz00_bglt BgL_auxz00_3263;
BgL_auxz00_3263 = 
(BgL_objectz00_bglt)(BgL_ez00_2862); 
BgL_objzd2classzd2numz00_2866 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3263); } 
{ /* Jvm/effect.scm 73 */
obj_t BgL_arg1904z00_2867;
{ /* Jvm/effect.scm 73 */
int BgL_auxz00_3266;
BgL_auxz00_3266 = 
(int)(((long)1)); 
BgL_arg1904z00_2867 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3266); } 
{ /* Jvm/effect.scm 73 */
long BgL_offsetz00_2871;
{ /* Jvm/effect.scm 73 */
long BgL_auxz00_3269;
{ /* Jvm/effect.scm 73 */
int BgL_auxz00_3270;
BgL_auxz00_3270 = 
(int)(BgL_objzd2classzd2numz00_2866); 
BgL_auxz00_3269 = 
(long)(BgL_auxz00_3270); } 
BgL_offsetz00_2871 = 
(BgL_auxz00_3269-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 73 */
long BgL_modz00_2872;
{ /* Jvm/effect.scm 73 */
long BgL_auxz00_3274;
{ /* Jvm/effect.scm 73 */
int BgL_auxz00_3275;
BgL_auxz00_3275 = 
(int)(((long)8)); 
BgL_auxz00_3274 = 
(long)(BgL_auxz00_3275); } 
BgL_modz00_2872 = 
(BgL_offsetz00_2871/BgL_auxz00_3274); } 
{ /* Jvm/effect.scm 73 */
long BgL_restz00_2874;
{ /* Jvm/effect.scm 73 */
long BgL_auxz00_3279;
{ /* Jvm/effect.scm 73 */
int BgL_auxz00_3280;
BgL_auxz00_3280 = 
(int)(((long)8)); 
BgL_auxz00_3279 = 
(long)(BgL_auxz00_3280); } 
BgL_restz00_2874 = 
(BgL_offsetz00_2871%BgL_auxz00_3279); } 
{ /* Jvm/effect.scm 73 */

{ /* Jvm/effect.scm 73 */
obj_t BgL_bucketz00_2876;
{ /* Jvm/effect.scm 73 */
int BgL_kz00_2886;
BgL_kz00_2886 = 
(int)(BgL_modz00_2872); 
BgL_bucketz00_2876 = 
VECTOR_REF(BgL_arg1904z00_2867,BgL_kz00_2886); } 
{ /* Jvm/effect.scm 73 */
int BgL_kz00_2888;
BgL_kz00_2888 = 
(int)(BgL_restz00_2874); 
BgL_method2968z00_2864 = 
VECTOR_REF(BgL_bucketz00_2876,BgL_kz00_2888); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2864)(BgL_method2968z00_2864, 
(obj_t)(BgL_ez00_2862), 
(obj_t)(BgL_envz00_2089), BEOA);} } } } 
}



/* compile-effect-vset!3004 */
obj_t BGl_compilezd2effectzd2vsetz123004z12zzjvm_effectz00(obj_t BgL_envz00_3043, obj_t BgL_ez00_3044, obj_t BgL_envz00_3045)
{ AN_OBJECT;
{ /* Jvm/effect.scm 69 */
{ 
BgL_vsetz12z12_bglt BgL_ez00_2082;BgL_envz00_bglt BgL_envz00_2083;
BgL_ez00_2082 = 
(BgL_vsetz12z12_bglt)(BgL_ez00_3044); 
BgL_envz00_2083 = 
(BgL_envz00_bglt)(BgL_envz00_3045); 
return 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_ez00_2082, BgL_envz00_2083);} } 
}



/* compile-effect-vref3002 */
obj_t BGl_compilezd2effectzd2vref3002z00zzjvm_effectz00(obj_t BgL_envz00_3046, obj_t BgL_ez00_3047, obj_t BgL_envz00_3048)
{ AN_OBJECT;
{ /* Jvm/effect.scm 64 */
{ 
BgL_vrefz00_bglt BgL_ez00_2071;BgL_envz00_bglt BgL_envz00_2072;
BgL_ez00_2071 = 
(BgL_vrefz00_bglt)(BgL_ez00_3047); 
BgL_envz00_2072 = 
(BgL_envz00_bglt)(BgL_envz00_3048); 
{ /* Jvm/effect.scm 66 */
BgL_nodez00_bglt BgL_ez00_2799;
{ /* Jvm/effect.scm 66 */
obj_t BgL_auxz00_3297;
{ /* Jvm/effect.scm 66 */
obj_t BgL_auxz00_3298;
BgL_auxz00_3298 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_2071))->BgL_exprza2za2); 
BgL_auxz00_3297 = 
CAR(BgL_auxz00_3298); } 
BgL_ez00_2799 = 
(BgL_nodez00_bglt)(BgL_auxz00_3297); } 
{ /* Jvm/effect.scm 66 */
obj_t BgL_method2968z00_2801;
{ /* Jvm/effect.scm 66 */
long BgL_objzd2classzd2numz00_2803;
{ /* Jvm/effect.scm 66 */
BgL_objectz00_bglt BgL_auxz00_3302;
BgL_auxz00_3302 = 
(BgL_objectz00_bglt)(BgL_ez00_2799); 
BgL_objzd2classzd2numz00_2803 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3302); } 
{ /* Jvm/effect.scm 66 */
obj_t BgL_arg1904z00_2804;
{ /* Jvm/effect.scm 66 */
int BgL_auxz00_3305;
BgL_auxz00_3305 = 
(int)(((long)1)); 
BgL_arg1904z00_2804 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3305); } 
{ /* Jvm/effect.scm 66 */
long BgL_offsetz00_2808;
{ /* Jvm/effect.scm 66 */
long BgL_auxz00_3308;
{ /* Jvm/effect.scm 66 */
int BgL_auxz00_3309;
BgL_auxz00_3309 = 
(int)(BgL_objzd2classzd2numz00_2803); 
BgL_auxz00_3308 = 
(long)(BgL_auxz00_3309); } 
BgL_offsetz00_2808 = 
(BgL_auxz00_3308-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 66 */
long BgL_modz00_2809;
{ /* Jvm/effect.scm 66 */
long BgL_auxz00_3313;
{ /* Jvm/effect.scm 66 */
int BgL_auxz00_3314;
BgL_auxz00_3314 = 
(int)(((long)8)); 
BgL_auxz00_3313 = 
(long)(BgL_auxz00_3314); } 
BgL_modz00_2809 = 
(BgL_offsetz00_2808/BgL_auxz00_3313); } 
{ /* Jvm/effect.scm 66 */
long BgL_restz00_2811;
{ /* Jvm/effect.scm 66 */
long BgL_auxz00_3318;
{ /* Jvm/effect.scm 66 */
int BgL_auxz00_3319;
BgL_auxz00_3319 = 
(int)(((long)8)); 
BgL_auxz00_3318 = 
(long)(BgL_auxz00_3319); } 
BgL_restz00_2811 = 
(BgL_offsetz00_2808%BgL_auxz00_3318); } 
{ /* Jvm/effect.scm 66 */

{ /* Jvm/effect.scm 66 */
obj_t BgL_bucketz00_2813;
{ /* Jvm/effect.scm 66 */
int BgL_kz00_2823;
BgL_kz00_2823 = 
(int)(BgL_modz00_2809); 
BgL_bucketz00_2813 = 
VECTOR_REF(BgL_arg1904z00_2804,BgL_kz00_2823); } 
{ /* Jvm/effect.scm 66 */
int BgL_kz00_2825;
BgL_kz00_2825 = 
(int)(BgL_restz00_2811); 
BgL_method2968z00_2801 = 
VECTOR_REF(BgL_bucketz00_2813,BgL_kz00_2825); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2968z00_2801)(BgL_method2968z00_2801, 
(obj_t)(BgL_ez00_2799), 
(obj_t)(BgL_envz00_2072), BEOA); } } 
{ /* Jvm/effect.scm 67 */
BgL_nodez00_bglt BgL_ez00_2831;
{ /* Jvm/effect.scm 67 */
obj_t BgL_auxz00_3331;
{ /* Jvm/effect.scm 67 */
obj_t BgL_auxz00_3332;
{ /* Jvm/effect.scm 67 */
obj_t BgL_auxz00_3333;
BgL_auxz00_3333 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_2071))->BgL_exprza2za2); 
BgL_auxz00_3332 = 
CDR(BgL_auxz00_3333); } 
BgL_auxz00_3331 = 
CAR(BgL_auxz00_3332); } 
BgL_ez00_2831 = 
(BgL_nodez00_bglt)(BgL_auxz00_3331); } 
{ /* Jvm/effect.scm 67 */
obj_t BgL_method2968z00_2833;
{ /* Jvm/effect.scm 67 */
long BgL_objzd2classzd2numz00_2835;
{ /* Jvm/effect.scm 67 */
BgL_objectz00_bglt BgL_auxz00_3338;
BgL_auxz00_3338 = 
(BgL_objectz00_bglt)(BgL_ez00_2831); 
BgL_objzd2classzd2numz00_2835 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3338); } 
{ /* Jvm/effect.scm 67 */
obj_t BgL_arg1904z00_2836;
{ /* Jvm/effect.scm 67 */
int BgL_auxz00_3341;
BgL_auxz00_3341 = 
(int)(((long)1)); 
BgL_arg1904z00_2836 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3341); } 
{ /* Jvm/effect.scm 67 */
long BgL_offsetz00_2840;
{ /* Jvm/effect.scm 67 */
long BgL_auxz00_3344;
{ /* Jvm/effect.scm 67 */
int BgL_auxz00_3345;
BgL_auxz00_3345 = 
(int)(BgL_objzd2classzd2numz00_2835); 
BgL_auxz00_3344 = 
(long)(BgL_auxz00_3345); } 
BgL_offsetz00_2840 = 
(BgL_auxz00_3344-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 67 */
long BgL_modz00_2841;
{ /* Jvm/effect.scm 67 */
long BgL_auxz00_3349;
{ /* Jvm/effect.scm 67 */
int BgL_auxz00_3350;
BgL_auxz00_3350 = 
(int)(((long)8)); 
BgL_auxz00_3349 = 
(long)(BgL_auxz00_3350); } 
BgL_modz00_2841 = 
(BgL_offsetz00_2840/BgL_auxz00_3349); } 
{ /* Jvm/effect.scm 67 */
long BgL_restz00_2843;
{ /* Jvm/effect.scm 67 */
long BgL_auxz00_3354;
{ /* Jvm/effect.scm 67 */
int BgL_auxz00_3355;
BgL_auxz00_3355 = 
(int)(((long)8)); 
BgL_auxz00_3354 = 
(long)(BgL_auxz00_3355); } 
BgL_restz00_2843 = 
(BgL_offsetz00_2840%BgL_auxz00_3354); } 
{ /* Jvm/effect.scm 67 */

{ /* Jvm/effect.scm 67 */
obj_t BgL_bucketz00_2845;
{ /* Jvm/effect.scm 67 */
int BgL_kz00_2855;
BgL_kz00_2855 = 
(int)(BgL_modz00_2841); 
BgL_bucketz00_2845 = 
VECTOR_REF(BgL_arg1904z00_2836,BgL_kz00_2855); } 
{ /* Jvm/effect.scm 67 */
int BgL_kz00_2857;
BgL_kz00_2857 = 
(int)(BgL_restz00_2843); 
BgL_method2968z00_2833 = 
VECTOR_REF(BgL_bucketz00_2845,BgL_kz00_2857); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2833)(BgL_method2968z00_2833, 
(obj_t)(BgL_ez00_2831), 
(obj_t)(BgL_envz00_2072), BEOA);} } } } 
}



/* compile-effect-valloc3000 */
obj_t BGl_compilezd2effectzd2valloc3000z00zzjvm_effectz00(obj_t BgL_envz00_3049, obj_t BgL_ez00_3050, obj_t BgL_envz00_3051)
{ AN_OBJECT;
{ /* Jvm/effect.scm 61 */
{ 
BgL_vallocz00_bglt BgL_ez00_2063;BgL_envz00_bglt BgL_envz00_2064;
BgL_ez00_2063 = 
(BgL_vallocz00_bglt)(BgL_ez00_3050); 
BgL_envz00_2064 = 
(BgL_envz00_bglt)(BgL_envz00_3051); 
{ /* Jvm/effect.scm 62 */
BgL_nodez00_bglt BgL_ez00_2770;
{ /* Jvm/effect.scm 62 */
obj_t BgL_auxz00_3369;
{ /* Jvm/effect.scm 62 */
obj_t BgL_auxz00_3370;
BgL_auxz00_3370 = 
(((BgL_vallocz00_bglt)CREF(BgL_ez00_2063))->BgL_exprza2za2); 
BgL_auxz00_3369 = 
CAR(BgL_auxz00_3370); } 
BgL_ez00_2770 = 
(BgL_nodez00_bglt)(BgL_auxz00_3369); } 
{ /* Jvm/effect.scm 62 */
obj_t BgL_method2968z00_2772;
{ /* Jvm/effect.scm 62 */
long BgL_objzd2classzd2numz00_2774;
{ /* Jvm/effect.scm 62 */
BgL_objectz00_bglt BgL_auxz00_3374;
BgL_auxz00_3374 = 
(BgL_objectz00_bglt)(BgL_ez00_2770); 
BgL_objzd2classzd2numz00_2774 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3374); } 
{ /* Jvm/effect.scm 62 */
obj_t BgL_arg1904z00_2775;
{ /* Jvm/effect.scm 62 */
int BgL_auxz00_3377;
BgL_auxz00_3377 = 
(int)(((long)1)); 
BgL_arg1904z00_2775 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3377); } 
{ /* Jvm/effect.scm 62 */
long BgL_offsetz00_2779;
{ /* Jvm/effect.scm 62 */
long BgL_auxz00_3380;
{ /* Jvm/effect.scm 62 */
int BgL_auxz00_3381;
BgL_auxz00_3381 = 
(int)(BgL_objzd2classzd2numz00_2774); 
BgL_auxz00_3380 = 
(long)(BgL_auxz00_3381); } 
BgL_offsetz00_2779 = 
(BgL_auxz00_3380-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 62 */
long BgL_modz00_2780;
{ /* Jvm/effect.scm 62 */
long BgL_auxz00_3385;
{ /* Jvm/effect.scm 62 */
int BgL_auxz00_3386;
BgL_auxz00_3386 = 
(int)(((long)8)); 
BgL_auxz00_3385 = 
(long)(BgL_auxz00_3386); } 
BgL_modz00_2780 = 
(BgL_offsetz00_2779/BgL_auxz00_3385); } 
{ /* Jvm/effect.scm 62 */
long BgL_restz00_2782;
{ /* Jvm/effect.scm 62 */
long BgL_auxz00_3390;
{ /* Jvm/effect.scm 62 */
int BgL_auxz00_3391;
BgL_auxz00_3391 = 
(int)(((long)8)); 
BgL_auxz00_3390 = 
(long)(BgL_auxz00_3391); } 
BgL_restz00_2782 = 
(BgL_offsetz00_2779%BgL_auxz00_3390); } 
{ /* Jvm/effect.scm 62 */

{ /* Jvm/effect.scm 62 */
obj_t BgL_bucketz00_2784;
{ /* Jvm/effect.scm 62 */
int BgL_kz00_2794;
BgL_kz00_2794 = 
(int)(BgL_modz00_2780); 
BgL_bucketz00_2784 = 
VECTOR_REF(BgL_arg1904z00_2775,BgL_kz00_2794); } 
{ /* Jvm/effect.scm 62 */
int BgL_kz00_2796;
BgL_kz00_2796 = 
(int)(BgL_restz00_2782); 
BgL_method2968z00_2772 = 
VECTOR_REF(BgL_bucketz00_2784,BgL_kz00_2796); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2772)(BgL_method2968z00_2772, 
(obj_t)(BgL_ez00_2770), 
(obj_t)(BgL_envz00_2064), BEOA);} } } } 
}



/* compile-effect-new2998 */
obj_t BGl_compilezd2effectzd2new2998z00zzjvm_effectz00(obj_t BgL_envz00_3052, obj_t BgL_ez00_3053, obj_t BgL_envz00_3054)
{ AN_OBJECT;
{ /* Jvm/effect.scm 58 */
{ 
BgL_newz00_bglt BgL_ez00_2057;BgL_envz00_bglt BgL_envz00_2058;
BgL_ez00_2057 = 
(BgL_newz00_bglt)(BgL_ez00_3053); 
BgL_envz00_2058 = 
(BgL_envz00_bglt)(BgL_envz00_3054); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-setfield2996 */
obj_t BGl_compilezd2effectzd2setfield2996z00zzjvm_effectz00(obj_t BgL_envz00_3055, obj_t BgL_ez00_3056, obj_t BgL_envz00_3057)
{ AN_OBJECT;
{ /* Jvm/effect.scm 55 */
{ 
BgL_setfieldz00_bglt BgL_ez00_2051;BgL_envz00_bglt BgL_envz00_2052;
BgL_ez00_2051 = 
(BgL_setfieldz00_bglt)(BgL_ez00_3056); 
BgL_envz00_2052 = 
(BgL_envz00_bglt)(BgL_envz00_3057); 
return 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_ez00_2051, BgL_envz00_2052);} } 
}



/* compile-effect-getfield2994 */
obj_t BGl_compilezd2effectzd2getfield2994z00zzjvm_effectz00(obj_t BgL_envz00_3058, obj_t BgL_ez00_3059, obj_t BgL_envz00_3060)
{ AN_OBJECT;
{ /* Jvm/effect.scm 52 */
{ 
BgL_getfieldz00_bglt BgL_ez00_2043;BgL_envz00_bglt BgL_envz00_2044;
BgL_ez00_2043 = 
(BgL_getfieldz00_bglt)(BgL_ez00_3059); 
BgL_envz00_2044 = 
(BgL_envz00_bglt)(BgL_envz00_3060); 
{ /* Jvm/effect.scm 53 */
BgL_nodez00_bglt BgL_ez00_2739;
{ /* Jvm/effect.scm 53 */
obj_t BgL_auxz00_3411;
{ /* Jvm/effect.scm 53 */
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_2043))->BgL_exprza2za2); 
BgL_auxz00_3411 = 
CAR(BgL_auxz00_3412); } 
BgL_ez00_2739 = 
(BgL_nodez00_bglt)(BgL_auxz00_3411); } 
{ /* Jvm/effect.scm 53 */
obj_t BgL_method2968z00_2741;
{ /* Jvm/effect.scm 53 */
long BgL_objzd2classzd2numz00_2743;
{ /* Jvm/effect.scm 53 */
BgL_objectz00_bglt BgL_auxz00_3416;
BgL_auxz00_3416 = 
(BgL_objectz00_bglt)(BgL_ez00_2739); 
BgL_objzd2classzd2numz00_2743 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3416); } 
{ /* Jvm/effect.scm 53 */
obj_t BgL_arg1904z00_2744;
{ /* Jvm/effect.scm 53 */
int BgL_auxz00_3419;
BgL_auxz00_3419 = 
(int)(((long)1)); 
BgL_arg1904z00_2744 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3419); } 
{ /* Jvm/effect.scm 53 */
long BgL_offsetz00_2748;
{ /* Jvm/effect.scm 53 */
long BgL_auxz00_3422;
{ /* Jvm/effect.scm 53 */
int BgL_auxz00_3423;
BgL_auxz00_3423 = 
(int)(BgL_objzd2classzd2numz00_2743); 
BgL_auxz00_3422 = 
(long)(BgL_auxz00_3423); } 
BgL_offsetz00_2748 = 
(BgL_auxz00_3422-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 53 */
long BgL_modz00_2749;
{ /* Jvm/effect.scm 53 */
long BgL_auxz00_3427;
{ /* Jvm/effect.scm 53 */
int BgL_auxz00_3428;
BgL_auxz00_3428 = 
(int)(((long)8)); 
BgL_auxz00_3427 = 
(long)(BgL_auxz00_3428); } 
BgL_modz00_2749 = 
(BgL_offsetz00_2748/BgL_auxz00_3427); } 
{ /* Jvm/effect.scm 53 */
long BgL_restz00_2751;
{ /* Jvm/effect.scm 53 */
long BgL_auxz00_3432;
{ /* Jvm/effect.scm 53 */
int BgL_auxz00_3433;
BgL_auxz00_3433 = 
(int)(((long)8)); 
BgL_auxz00_3432 = 
(long)(BgL_auxz00_3433); } 
BgL_restz00_2751 = 
(BgL_offsetz00_2748%BgL_auxz00_3432); } 
{ /* Jvm/effect.scm 53 */

{ /* Jvm/effect.scm 53 */
obj_t BgL_bucketz00_2753;
{ /* Jvm/effect.scm 53 */
int BgL_kz00_2763;
BgL_kz00_2763 = 
(int)(BgL_modz00_2749); 
BgL_bucketz00_2753 = 
VECTOR_REF(BgL_arg1904z00_2744,BgL_kz00_2763); } 
{ /* Jvm/effect.scm 53 */
int BgL_kz00_2765;
BgL_kz00_2765 = 
(int)(BgL_restz00_2751); 
BgL_method2968z00_2741 = 
VECTOR_REF(BgL_bucketz00_2753,BgL_kz00_2765); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2741)(BgL_method2968z00_2741, 
(obj_t)(BgL_ez00_2739), 
(obj_t)(BgL_envz00_2044), BEOA);} } } } 
}



/* compile-effect-pragma2992 */
obj_t BGl_compilezd2effectzd2pragma2992z00zzjvm_effectz00(obj_t BgL_envz00_3061, obj_t BgL_ez00_3062, obj_t BgL_envz00_3063)
{ AN_OBJECT;
{ /* Jvm/effect.scm 49 */
{ 
BgL_pragmaz00_bglt BgL_ez00_2037;BgL_envz00_bglt BgL_envz00_2038;
BgL_ez00_2037 = 
(BgL_pragmaz00_bglt)(BgL_ez00_3062); 
BgL_envz00_2038 = 
(BgL_envz00_bglt)(BgL_envz00_3063); 
{ /* Jvm/effect.scm 50 */
BgL_nodez00_bglt BgL_ez00_2732;
BgL_ez00_2732 = 
(BgL_nodez00_bglt)(BgL_ez00_2037); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2732, BgL_envz00_2038); 
{ /* Jvm/effect.scm 50 */
obj_t BgL_arg3025z00_2734;
BgL_arg3025z00_2734 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2732), BgL_envz00_2038); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2038, BgL_arg3025z00_2734);} } } } 
}



/* compile-effect-funcall2990 */
obj_t BGl_compilezd2effectzd2funcall2990z00zzjvm_effectz00(obj_t BgL_envz00_3064, obj_t BgL_ez00_3065, obj_t BgL_envz00_3066)
{ AN_OBJECT;
{ /* Jvm/effect.scm 46 */
{ 
BgL_funcallz00_bglt BgL_ez00_2031;BgL_envz00_bglt BgL_envz00_2032;
BgL_ez00_2031 = 
(BgL_funcallz00_bglt)(BgL_ez00_3065); 
BgL_envz00_2032 = 
(BgL_envz00_bglt)(BgL_envz00_3066); 
{ /* Jvm/effect.scm 47 */
BgL_nodez00_bglt BgL_ez00_2729;
BgL_ez00_2729 = 
(BgL_nodez00_bglt)(BgL_ez00_2031); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2729, BgL_envz00_2032); 
{ /* Jvm/effect.scm 47 */
obj_t BgL_arg3025z00_2731;
BgL_arg3025z00_2731 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2729), BgL_envz00_2032); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2032, BgL_arg3025z00_2731);} } } } 
}



/* compile-effect-app-ly2988 */
obj_t BGl_compilezd2effectzd2appzd2ly2988zd2zzjvm_effectz00(obj_t BgL_envz00_3067, obj_t BgL_ez00_3068, obj_t BgL_envz00_3069)
{ AN_OBJECT;
{ /* Jvm/effect.scm 43 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2025;BgL_envz00_bglt BgL_envz00_2026;
BgL_ez00_2025 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3068); 
BgL_envz00_2026 = 
(BgL_envz00_bglt)(BgL_envz00_3069); 
{ /* Jvm/effect.scm 44 */
BgL_nodez00_bglt BgL_ez00_2726;
BgL_ez00_2726 = 
(BgL_nodez00_bglt)(BgL_ez00_2025); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2726, BgL_envz00_2026); 
{ /* Jvm/effect.scm 44 */
obj_t BgL_arg3025z00_2728;
BgL_arg3025z00_2728 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2726), BgL_envz00_2026); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2026, BgL_arg3025z00_2728);} } } } 
}



/* compile-effect-app2986 */
obj_t BGl_compilezd2effectzd2app2986z00zzjvm_effectz00(obj_t BgL_envz00_3070, obj_t BgL_ez00_3071, obj_t BgL_envz00_3072)
{ AN_OBJECT;
{ /* Jvm/effect.scm 39 */
{ 
BgL_appz00_bglt BgL_ez00_2019;BgL_envz00_bglt BgL_envz00_2020;
BgL_ez00_2019 = 
(BgL_appz00_bglt)(BgL_ez00_3071); 
BgL_envz00_2020 = 
(BgL_envz00_bglt)(BgL_envz00_3072); 
{ /* Jvm/effect.scm 41 */
BgL_nodez00_bglt BgL_ez00_2723;
BgL_ez00_2723 = 
(BgL_nodez00_bglt)(BgL_ez00_2019); 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_ez00_2723, BgL_envz00_2020); 
{ /* Jvm/effect.scm 41 */
obj_t BgL_arg3025z00_2725;
BgL_arg3025z00_2725 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_ez00_2723), BgL_envz00_2020); 
return 
BGl__popz00zzjvm_instrz00(BgL_envz00_2020, BgL_arg3025z00_2725);} } } } 
}



/* compile-effect-let-fun2984 */
obj_t BGl_compilezd2effectzd2letzd2fun2984zd2zzjvm_effectz00(obj_t BgL_envz00_3073, obj_t BgL_ez00_3074, obj_t BgL_envz00_3075)
{ AN_OBJECT;
{ /* Jvm/effect.scm 36 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2013;BgL_envz00_bglt BgL_envz00_2014;
BgL_ez00_2013 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_3074); 
BgL_envz00_2014 = 
(BgL_envz00_bglt)(BgL_envz00_3075); 
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_ez00_2013, BgL_envz00_2014, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-select2982 */
obj_t BGl_compilezd2effectzd2select2982z00zzjvm_effectz00(obj_t BgL_envz00_3076, obj_t BgL_ez00_3077, obj_t BgL_envz00_3078)
{ AN_OBJECT;
{ /* Jvm/effect.scm 33 */
{ 
BgL_selectz00_bglt BgL_ez00_2007;BgL_envz00_bglt BgL_envz00_2008;
BgL_ez00_2007 = 
(BgL_selectz00_bglt)(BgL_ez00_3077); 
BgL_envz00_2008 = 
(BgL_envz00_bglt)(BgL_envz00_3078); 
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_ez00_2007, BgL_envz00_2008, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-conditional2980 */
obj_t BGl_compilezd2effectzd2conditional2980z00zzjvm_effectz00(obj_t BgL_envz00_3079, obj_t BgL_ez00_3080, obj_t BgL_envz00_3081)
{ AN_OBJECT;
{ /* Jvm/effect.scm 30 */
{ 
BgL_conditionalz00_bglt BgL_ez00_2001;BgL_envz00_bglt BgL_envz00_2002;
BgL_ez00_2001 = 
(BgL_conditionalz00_bglt)(BgL_ez00_3080); 
BgL_envz00_2002 = 
(BgL_envz00_bglt)(BgL_envz00_3081); 
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_ez00_2001, BgL_envz00_2002, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-sequence2978 */
obj_t BGl_compilezd2effectzd2sequence2978z00zzjvm_effectz00(obj_t BgL_envz00_3082, obj_t BgL_ez00_3083, obj_t BgL_envz00_3084)
{ AN_OBJECT;
{ /* Jvm/effect.scm 27 */
{ 
BgL_sequencez00_bglt BgL_ez00_1995;BgL_envz00_bglt BgL_envz00_1996;
BgL_ez00_1995 = 
(BgL_sequencez00_bglt)(BgL_ez00_3083); 
BgL_envz00_1996 = 
(BgL_envz00_bglt)(BgL_envz00_3084); 
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_ez00_1995, BgL_envz00_1996, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-setq2976 */
obj_t BGl_compilezd2effectzd2setq2976z00zzjvm_effectz00(obj_t BgL_envz00_3085, obj_t BgL_ez00_3086, obj_t BgL_envz00_3087)
{ AN_OBJECT;
{ /* Jvm/effect.scm 24 */
{ 
BgL_setqz00_bglt BgL_ez00_1989;BgL_envz00_bglt BgL_envz00_1990;
BgL_ez00_1989 = 
(BgL_setqz00_bglt)(BgL_ez00_3086); 
BgL_envz00_1990 = 
(BgL_envz00_bglt)(BgL_envz00_3087); 
return 
BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_ez00_1989, BgL_envz00_1990);} } 
}



/* compile-effect-let-var2974 */
obj_t BGl_compilezd2effectzd2letzd2var2974zd2zzjvm_effectz00(obj_t BgL_envz00_3088, obj_t BgL_ez00_3089, obj_t BgL_envz00_3090)
{ AN_OBJECT;
{ /* Jvm/effect.scm 21 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1983;BgL_envz00_bglt BgL_envz00_1984;
BgL_ez00_1983 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_3089); 
BgL_envz00_1984 = 
(BgL_envz00_bglt)(BgL_envz00_3090); 
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_ez00_1983, BgL_envz00_1984, BGl_compilezd2effectzd2envz00zzjvm_effectz00);} } 
}



/* compile-effect-var2972 */
obj_t BGl_compilezd2effectzd2var2972z00zzjvm_effectz00(obj_t BgL_envz00_3091, obj_t BgL_ez00_3092, obj_t BgL_envz00_3093)
{ AN_OBJECT;
{ /* Jvm/effect.scm 18 */
{ 
BgL_varz00_bglt BgL_ez00_1977;BgL_envz00_bglt BgL_envz00_1978;
BgL_ez00_1977 = 
(BgL_varz00_bglt)(BgL_ez00_3092); 
BgL_envz00_1978 = 
(BgL_envz00_bglt)(BgL_envz00_3093); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect-atom2970 */
obj_t BGl_compilezd2effectzd2atom2970z00zzjvm_effectz00(obj_t BgL_envz00_3094, obj_t BgL_ez00_3095, obj_t BgL_envz00_3096)
{ AN_OBJECT;
{ /* Jvm/effect.scm 15 */
{ 
BgL_atomz00_bglt BgL_ez00_1971;BgL_envz00_bglt BgL_envz00_1972;
BgL_ez00_1971 = 
(BgL_atomz00_bglt)(BgL_ez00_3095); 
BgL_envz00_1972 = 
(BgL_envz00_bglt)(BgL_envz00_3096); 
return 
CNST_TABLE_REF(((long)0));} } 
}



/* compile-effect */
obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_3, BgL_envz00_bglt BgL_envz00_4)
{ AN_OBJECT;
{ /* Jvm/effect.scm 13 */
{ /* Jvm/effect.scm 13 */
obj_t BgL_method2968z00_2958;
{ /* Jvm/effect.scm 13 */
long BgL_objzd2classzd2numz00_2960;
{ /* Jvm/effect.scm 13 */
BgL_objectz00_bglt BgL_auxz00_3499;
BgL_auxz00_3499 = 
(BgL_objectz00_bglt)(BgL_ez00_3); 
BgL_objzd2classzd2numz00_2960 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3499); } 
{ /* Jvm/effect.scm 13 */
obj_t BgL_arg1904z00_2961;
{ /* Jvm/effect.scm 13 */
int BgL_auxz00_3502;
BgL_auxz00_3502 = 
(int)(((long)1)); 
BgL_arg1904z00_2961 = 
PROCEDURE_REF(BGl_compilezd2effectzd2envz00zzjvm_effectz00, BgL_auxz00_3502); } 
{ /* Jvm/effect.scm 13 */
long BgL_offsetz00_2965;
{ /* Jvm/effect.scm 13 */
long BgL_auxz00_3505;
{ /* Jvm/effect.scm 13 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(BgL_objzd2classzd2numz00_2960); 
BgL_auxz00_3505 = 
(long)(BgL_auxz00_3506); } 
BgL_offsetz00_2965 = 
(BgL_auxz00_3505-OBJECT_TYPE); } 
{ /* Jvm/effect.scm 13 */
long BgL_modz00_2966;
{ /* Jvm/effect.scm 13 */
long BgL_auxz00_3510;
{ /* Jvm/effect.scm 13 */
int BgL_auxz00_3511;
BgL_auxz00_3511 = 
(int)(((long)8)); 
BgL_auxz00_3510 = 
(long)(BgL_auxz00_3511); } 
BgL_modz00_2966 = 
(BgL_offsetz00_2965/BgL_auxz00_3510); } 
{ /* Jvm/effect.scm 13 */
long BgL_restz00_2968;
{ /* Jvm/effect.scm 13 */
long BgL_auxz00_3515;
{ /* Jvm/effect.scm 13 */
int BgL_auxz00_3516;
BgL_auxz00_3516 = 
(int)(((long)8)); 
BgL_auxz00_3515 = 
(long)(BgL_auxz00_3516); } 
BgL_restz00_2968 = 
(BgL_offsetz00_2965%BgL_auxz00_3515); } 
{ /* Jvm/effect.scm 13 */

{ /* Jvm/effect.scm 13 */
obj_t BgL_bucketz00_2970;
{ /* Jvm/effect.scm 13 */
int BgL_kz00_2980;
BgL_kz00_2980 = 
(int)(BgL_modz00_2966); 
BgL_bucketz00_2970 = 
VECTOR_REF(BgL_arg1904z00_2961,BgL_kz00_2980); } 
{ /* Jvm/effect.scm 13 */
int BgL_kz00_2982;
BgL_kz00_2982 = 
(int)(BgL_restz00_2968); 
BgL_method2968z00_2958 = 
VECTOR_REF(BgL_bucketz00_2970,BgL_kz00_2982); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2968z00_2958)(BgL_method2968z00_2958, 
(obj_t)(BgL_ez00_3), 
(obj_t)(BgL_envz00_4), BEOA);} } 
}



/* _compile-effect3744 */
obj_t BGl__compilezd2effect3744zd2zzjvm_effectz00(obj_t BgL_envz00_2989, obj_t BgL_ez00_2990, obj_t BgL_envz00_2991)
{ AN_OBJECT;
{ /* Jvm/effect.scm 13 */
return 
BGl_compilezd2effectzd2zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_2990), 
(BgL_envz00_bglt)(BgL_envz00_2991));} 
}



/* compile-effect-default2967 */
obj_t BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(BgL_nodez00_bglt BgL_ez00_5, BgL_envz00_bglt BgL_envz00_6)
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
{ 
obj_t BgL_auxz00_3533;obj_t BgL_auxz00_3531;
BgL_auxz00_3533 = 
(obj_t)(BgL_ez00_5); 
BgL_auxz00_3531 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_3531,BGl_string4004z00zzjvm_effectz00,BgL_auxz00_3533);} } 
}



/* _compile-effect-default2967 */
obj_t BGl__compilezd2effectzd2default2967z00zzjvm_effectz00(obj_t BgL_envz00_3097, obj_t BgL_ez00_3098, obj_t BgL_envz00_3099)
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
return 
BGl_compilezd2effectzd2default2967z00zzjvm_effectz00(
(BgL_nodez00_bglt)(BgL_ez00_3098), 
(BgL_envz00_bglt)(BgL_envz00_3099));} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_effectz00()
{ AN_OBJECT;
{ /* Jvm/effect.scm 2 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_effect"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_effect"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_compilerz00(((long)63858), "jvm_effect");} 
}

