/*===========================================================================*/
/*   (Jvm/extern.scm)                                                        */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_tvecz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_tvecz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


extern obj_t BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_externz00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_za2srczd2filesza2zd2zzengine_paramz00;
extern obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();
static obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
extern obj_t bigloo_mangle(obj_t);
extern obj_t BGl_scnstz00zzast_varz00;
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(obj_t);
extern obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt);
static obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t bigloo_module_mangle(obj_t, obj_t);
static obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt);
static obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzjvm_externz00();
extern obj_t BGl_basenamez00zz__osz00(obj_t);
extern obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt);
extern obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
static obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt);
extern obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00();
static obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_externz00();
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
static obj_t BGl_manglez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_javaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztvector_cnstz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcnst_allocz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t);
static obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t string_to_symbol(char *);
static obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t, obj_t);
extern obj_t string_append(obj_t, obj_t);
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl__jvmzd2classzd2mangle4018z00zzjvm_externz00(obj_t, obj_t, obj_t);
extern obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern obj_t BGl_findzd2javazd2classz00zzmodule_javaz00(obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt);
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_jvmzd2classzd2manglez00zzjvm_externz00(obj_t, obj_t);
static obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t);
extern obj_t BGl_getzd2classzd2listz00zzobject_classz00();
static obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_externz00 = BUNSPEC;
static obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t, obj_t);
extern obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt);
extern bool_t BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(long, long);
extern bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
extern obj_t BGl_prefixz00zz__osz00(obj_t);
extern obj_t BGl_getzd2sourcefilezd2zzjvm_externz00();
extern obj_t BGl_za2jvmzd2debugza2zd2zzengine_paramz00;
extern obj_t BGl__localvarz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t, obj_t);
static obj_t __cnst[ 13 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_realzd2sfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2sfunza7d2nameza700za7za7jvm_externza7004142z00, BGl__realzd2sfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2typezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2typeza7d2nameza700za7za7jvm_externza7004143z00, BGl__qualifiedzd2typezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_jvmzd2classzd2manglezd2envzd2zzjvm_externz00, BgL_bgl__jvmza7d2classza7d2mangle4018za700za7za7jvm_externza7004144z00, BGl__jvmzd2classzd2mangle4018z00zzjvm_externz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2forzd2declarezd2varzf3zd2envzf3zzjvm_externz00, BgL_bgl__debugza7d2forza7d2declareza7d2varza7f3za721za7za7jvm_externza7004145z00, BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2sourcefilezd2envz00zzjvm_externz00, BgL_bgl__getza7d2sourcefileza7d2za7za7jvm_externza7004146za7, BGl__getzd2sourcefilezd2zzjvm_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2envzd2zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza700za7za7jvm_externza7004147z00, BGl__debugzd2declarezd2varz00zzjvm_externz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_globalzd2tozd2bezd2declaredzd2envz00zzjvm_externz00, BgL_bgl__globalza7d2toza7d2beza7d2declaredza7d2za7za7jvm_externza7004148za7, BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2fieldzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2fieldza7d2nameza700za7za7jvm_externza7004149z00, BGl__realzd2fieldzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_realzd2cfunzd2namezd2envzd2zzjvm_externz00, BgL_bgl__realza7d2cfunza7d2nameza700za7za7jvm_externza7004150z00, BGl__realzd2cfunzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2classzd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2classza7d2nameza700za7za7jvm_externza7004151z00, BGl__qualifiedzd2classzd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_tclasszd2idzd2manglingzd2envzd2zzjvm_externz00, BgL_bgl__tclassza7d2idza7d2manglingza700za7za7jvm_externza7004152z00, BGl__tclasszd2idzd2manglingz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_qualifiedzd2modulezd2namezd2envzd2zzjvm_externz00, BgL_bgl__qualifiedza7d2moduleza7d2nameza700za7za7jvm_externza7004153z00, BGl__qualifiedzd2modulezd2namez00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_manuzd2tuzd2fixeszd2globalzd2tvectorzd2envzd2zzjvm_externz00, BgL_bgl__manuza7d2tuza7d2fixesza7d2globalza7d2tvectorza700za7za7jvm_externza7004154z00, BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2linezd2numberzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2lineza7d2numberza700za7za7jvm_externza7004155z00, BGl__getzd2linezd2numberz00zzjvm_externz00, 0L, 1 );
DEFINE_STRING( BGl_string4110z00zzjvm_externz00, BgL_bgl_string4110za700za7za7jvm_externza7004156z00, "__cnsts_table %exit bigloo-exit never eval %exit-env bigloo-exit-env foreign (jclass-package super) object import location stvector ", 132 );
DEFINE_STRING( BGl_string4109z00zzjvm_externz00, BgL_bgl_string4109za700za7za7jvm_externza7004157z00, "OCCURRENCE0 ", 12 );
DEFINE_STRING( BGl_string4099z00zzjvm_externz00, BgL_bgl_string4099za700za7za7jvm_externza7004158z00, "", 0 );
DEFINE_STRING( BGl_string4108z00zzjvm_externz00, BgL_bgl_string4108za700za7za7jvm_externza7004159z00, "BIGLOO_EXIT_ENV", 15 );
DEFINE_STRING( BGl_string4098z00zzjvm_externz00, BgL_bgl_string4098za700za7za7jvm_externza7004160z00, "qualified-class-name:not a tclass", 33 );
DEFINE_STRING( BGl_string4107z00zzjvm_externz00, BgL_bgl_string4107za700za7za7jvm_externza7004161z00, "bigloo.", 7 );
DEFINE_STRING( BGl_string4097z00zzjvm_externz00, BgL_bgl_string4097za700za7za7jvm_externza7004162z00, "F", 1 );
DEFINE_STRING( BGl_string4106z00zzjvm_externz00, BgL_bgl_string4106za700za7za7jvm_externza7004163z00, "Illegal super class", 19 );
DEFINE_STRING( BGl_string4105z00zzjvm_externz00, BgL_bgl_string4105za700za7za7jvm_externza7004164z00, "super-package", 13 );
DEFINE_STRING( BGl_string4104z00zzjvm_externz00, BgL_bgl_string4104za700za7za7jvm_externza7004165z00, "jclass", 6 );
DEFINE_STRING( BGl_string4103z00zzjvm_externz00, BgL_bgl_string4103za700za7za7jvm_externza7004166z00, "where do you got a jclass?", 26 );
DEFINE_STRING( BGl_string4102z00zzjvm_externz00, BgL_bgl_string4102za700za7za7jvm_externza7004167z00, "bigloo", 6 );
DEFINE_STRING( BGl_string4101z00zzjvm_externz00, BgL_bgl_string4101za700za7za7jvm_externza7004168z00, "_K", 2 );
DEFINE_STRING( BGl_string4100z00zzjvm_externz00, BgL_bgl_string4100za700za7za7jvm_externza7004169z00, ".", 1 );
DEFINE_EXPORT_PROCEDURE( BGl_getzd2classeszd2tozd2bezd2compiledzd2envzd2zzjvm_externz00, BgL_bgl__getza7d2classesza7d2toza7d2beza7d2compiledza700za7za7jvm_externza7004170z00, BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_debugzd2declarezd2varzd2fromzd2envz00zzjvm_externz00, BgL_bgl__debugza7d2declareza7d2varza7d2fromza7d2za7za7jvm_externza7004171za7, BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long BgL_checksumz00_3012, char * BgL_fromz00_3013)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_externz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_externz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_externz00(); 
BGl_cnstzd2initzd2zzjvm_externz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_externz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_extern"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
{ /* Jvm/extern.scm 3 */
obj_t BgL_cportz00_3005;
BgL_cportz00_3005 = 
open_input_string(BGl_string4110z00zzjvm_externz00); 
{ 
long BgL_iz00_3006;
BgL_iz00_3006 = ((long)12); 
BgL_loopz00_3007:
if(
(BgL_iz00_3006==((long)-1)))
{ /* Jvm/extern.scm 3 */
return BUNSPEC;}  else 
{ /* Jvm/extern.scm 3 */
{ /* Jvm/extern.scm 3 */
obj_t BgL_arg4114z00_3009;
{ /* Jvm/extern.scm 3 */
obj_t BgL_list4117z00_3010;
BgL_list4117z00_3010 = 
MAKE_PAIR(BgL_cportz00_3005, BNIL); 
BgL_arg4114z00_3009 = 
BGl_readz00zz__readerz00(BgL_list4117z00_3010); } 
{ /* Jvm/extern.scm 3 */
int BgL_auxz00_3033;
BgL_auxz00_3033 = 
(int)(BgL_iz00_3006); 
CNST_TABLE_SET(BgL_auxz00_3033, BgL_arg4114z00_3009); } } 
{ 
long BgL_iz00_3036;
{ /* Jvm/extern.scm 3 */
int BgL_auxz00_3037;
{ /* Jvm/extern.scm 3 */
long BgL_auxz00_3038;
BgL_auxz00_3038 = 
(BgL_iz00_3006-((long)1)); 
BgL_auxz00_3037 = 
(int)(BgL_auxz00_3038); } 
BgL_iz00_3036 = 
(long)(BgL_auxz00_3037); } 
BgL_iz00_3006 = BgL_iz00_3036; 
goto BgL_loopz00_3007;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* manu-tu-fixes-global-tvector */
obj_t BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_vz00_43)
{ AN_OBJECT;
{ /* Jvm/extern.scm 41 */
{ /* Jvm/extern.scm 42 */
bool_t BgL_test3182z00_1652;
BgL_test3182z00_1652 = 
BGl_iszd2azf3z21zz__objectz00(BgL_vz00_43, BGl_globalz00zzast_varz00); 
if(BgL_test3182z00_1652)
{ /* Jvm/extern.scm 43 */
BgL_valuez00_bglt BgL_valuez00_1653;
{ /* Jvm/extern.scm 43 */
BgL_globalz00_bglt BgL_obj1156z00_2284;
BgL_obj1156z00_2284 = 
(BgL_globalz00_bglt)(BgL_vz00_43); 
BgL_valuez00_1653 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2284))->BgL_valuez00); } 
{ /* Jvm/extern.scm 44 */
bool_t BgL_test3183z00_1654;
BgL_test3183z00_1654 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1653), BGl_scnstz00zzast_varz00); 
if(BgL_test3183z00_1654)
{ /* Jvm/extern.scm 45 */
bool_t BgL_testz00_3049;
{ /* Jvm/extern.scm 45 */
obj_t BgL_auxz00_3053;obj_t BgL_auxz00_3050;
BgL_auxz00_3053 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/extern.scm 45 */
BgL_scnstz00_bglt BgL_obj1501z00_2286;
BgL_obj1501z00_2286 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1653); 
BgL_auxz00_3050 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1501z00_2286))->BgL_classz00); } 
BgL_testz00_3049 = 
(BgL_auxz00_3050==BgL_auxz00_3053); } 
if(BgL_testz00_3049)
{ /* Jvm/extern.scm 46 */
BgL_tvecz00_bglt BgL_obj2905z00_2291;
{ /* Jvm/extern.scm 48 */
obj_t BgL_auxz00_3056;
{ /* Jvm/extern.scm 47 */
int BgL_auxz00_3060;obj_t BgL_auxz00_3057;
BgL_auxz00_3060 = 
(int)(((long)0)); 
{ /* Jvm/extern.scm 48 */
BgL_scnstz00_bglt BgL_obj1500z00_2287;
BgL_obj1500z00_2287 = 
(BgL_scnstz00_bglt)(BgL_valuez00_1653); 
BgL_auxz00_3057 = 
(((BgL_scnstz00_bglt)CREF(BgL_obj1500z00_2287))->BgL_nodez00); } 
BgL_auxz00_3056 = 
STRUCT_REF(BgL_auxz00_3057, BgL_auxz00_3060); } 
BgL_obj2905z00_2291 = 
(BgL_tvecz00_bglt)(BgL_auxz00_3056); } 
{ /* Jvm/extern.scm 46 */
BgL_typez00_bglt BgL_auxz00_3064;
{ 
obj_t BgL_auxz00_3065;
{ /* Jvm/extern.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3066;
BgL_auxz00_3066 = 
(BgL_objectz00_bglt)(BgL_obj2905z00_2291); 
BgL_auxz00_3065 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3066); } 
BgL_auxz00_3064 = 
(((BgL_tvecz00_bglt)CREF(BgL_auxz00_3065))->BgL_itemzd2typezd2); } 
return 
(obj_t)(BgL_auxz00_3064);} }  else 
{ /* Jvm/extern.scm 45 */
return BFALSE;} }  else 
{ /* Jvm/extern.scm 44 */
return BFALSE;} } }  else 
{ /* Jvm/extern.scm 42 */
return BFALSE;} } } 
}



/* _manu-tu-fixes-global-tvector */
obj_t BGl__manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(obj_t BgL_envz00_2966, obj_t BgL_vz00_2967)
{ AN_OBJECT;
{ /* Jvm/extern.scm 41 */
return 
BGl_manuzd2tuzd2fixeszd2globalzd2tvectorz00zzjvm_externz00(BgL_vz00_2967);} 
}



/* get-sourcefile */
obj_t BGl_getzd2sourcefilezd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 56 */
{ /* Jvm/extern.scm 57 */
obj_t BgL_arg3201z00_1660;
{ /* Jvm/extern.scm 57 */
obj_t BgL_pairz00_2292;
BgL_pairz00_2292 = BGl_za2srczd2filesza2zd2zzengine_paramz00; 
BgL_arg3201z00_1660 = 
CAR(BgL_pairz00_2292); } 
return 
BGl_basenamez00zz__osz00(BgL_arg3201z00_1660);} } 
}



/* _get-sourcefile */
obj_t BGl__getzd2sourcefilezd2zzjvm_externz00(obj_t BgL_envz00_2968)
{ AN_OBJECT;
{ /* Jvm/extern.scm 56 */
return 
BGl_getzd2sourcefilezd2zzjvm_externz00();} 
}



/* get-line-number */
obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt BgL_nodez00_44)
{ AN_OBJECT;
{ /* Jvm/extern.scm 59 */
{ /* Jvm/extern.scm 60 */
obj_t BgL_locz00_1661;
BgL_locz00_1661 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_44))->BgL_locz00); 
{ /* Jvm/extern.scm 61 */
bool_t BgL_test3204z00_1662;
if(
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00))
{ /* Jvm/extern.scm 61 */
if(
STRUCTP(BgL_locz00_1661))
{ /* Jvm/extern.scm 61 */
obj_t BgL_auxz00_3082;obj_t BgL_auxz00_3080;
BgL_auxz00_3082 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_3080 = 
STRUCT_KEY(BgL_locz00_1661); 
BgL_test3204z00_1662 = 
(BgL_auxz00_3080==BgL_auxz00_3082); }  else 
{ /* Jvm/extern.scm 61 */
BgL_test3204z00_1662 = ((bool_t)0); } }  else 
{ /* Jvm/extern.scm 61 */
BgL_test3204z00_1662 = ((bool_t)0); } 
if(BgL_test3204z00_1662)
{ /* Jvm/extern.scm 62 */
int BgL_auxz00_3086;
BgL_auxz00_3086 = 
(int)(((long)2)); 
return 
STRUCT_REF(BgL_locz00_1661, BgL_auxz00_3086);}  else 
{ /* Jvm/extern.scm 61 */
return BFALSE;} } } } 
}



/* _get-line-number */
obj_t BGl__getzd2linezd2numberz00zzjvm_externz00(obj_t BgL_envz00_2969, obj_t BgL_nodez00_2970)
{ AN_OBJECT;
{ /* Jvm/extern.scm 59 */
return 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_nodez00_2970));} 
}



/* debug-for-declare-var? */
obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt BgL_envz00_45)
{ AN_OBJECT;
{ /* Jvm/extern.scm 65 */
return BGl_za2jvmzd2debugza2zd2zzengine_paramz00;} 
}



/* _debug-for-declare-var? */
obj_t BGl__debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(obj_t BgL_envz00_2971, obj_t BgL_envz00_2972)
{ AN_OBJECT;
{ /* Jvm/extern.scm 65 */
return 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2972));} 
}



/* debug-declare-var */
obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt BgL_envz00_46, BgL_localz00_bglt BgL_varz00_47, obj_t BgL_toz00_48)
{ AN_OBJECT;
{ /* Jvm/extern.scm 68 */
{ /* Jvm/extern.scm 69 */
bool_t BgL_test3208z00_1663;
{ /* Jvm/extern.scm 69 */
bool_t BgL_test3212z00_1665;
BgL_test3212z00_1665 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3212z00_1665)
{ /* Jvm/extern.scm 69 */
BgL_test3208z00_1663 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_47))->BgL_userzf3zf3); }  else 
{ /* Jvm/extern.scm 69 */
BgL_test3208z00_1663 = ((bool_t)0); } } 
if(BgL_test3208z00_1663)
{ /* Jvm/extern.scm 70 */
obj_t BgL_fromz00_1664;
BgL_fromz00_1664 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string4097z00zzjvm_externz00, BEOA); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_46, BgL_fromz00_1664); 
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_46, BgL_varz00_47, BgL_fromz00_1664, BgL_toz00_48);}  else 
{ /* Jvm/extern.scm 69 */
return BFALSE;} } } 
}



/* _debug-declare-var */
obj_t BGl__debugzd2declarezd2varz00zzjvm_externz00(obj_t BgL_envz00_2973, obj_t BgL_envz00_2974, obj_t BgL_varz00_2975, obj_t BgL_toz00_2976)
{ AN_OBJECT;
{ /* Jvm/extern.scm 68 */
return 
BGl_debugzd2declarezd2varz00zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2974), 
(BgL_localz00_bglt)(BgL_varz00_2975), BgL_toz00_2976);} 
}



/* debug-declare-var-from */
obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt BgL_envz00_49, BgL_localz00_bglt BgL_varz00_50, obj_t BgL_fromz00_51, obj_t BgL_toz00_52)
{ AN_OBJECT;
{ /* Jvm/extern.scm 74 */
{ /* Jvm/extern.scm 75 */
bool_t BgL_test3215z00_1666;
{ /* Jvm/extern.scm 75 */
bool_t BgL_test3227z00_1673;
BgL_test3227z00_1673 = 
CBOOL(BGl_za2jvmzd2debugza2zd2zzengine_paramz00); 
if(BgL_test3227z00_1673)
{ /* Jvm/extern.scm 75 */
BgL_test3215z00_1666 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_userzf3zf3); }  else 
{ /* Jvm/extern.scm 75 */
BgL_test3215z00_1666 = ((bool_t)0); } } 
if(BgL_test3215z00_1666)
{ /* Jvm/extern.scm 76 */
obj_t BgL_typez00_1667;obj_t BgL_userzd2namezd2_1668;obj_t BgL_namez00_1669;
BgL_typez00_1667 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_varz00_50), BgL_envz00_49); 
{ /* Jvm/extern.scm 77 */
obj_t BgL_arg3219z00_1670;
{ /* Jvm/extern.scm 77 */
obj_t BgL_auxz00_3110;
BgL_auxz00_3110 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_idz00); 
BgL_arg3219z00_1670 = 
SYMBOL_TO_STRING(BgL_auxz00_3110); } 
BgL_userzd2namezd2_1668 = 
BGl_manglez00zzjvm_externz00(BgL_arg3219z00_1670, BNIL); } 
BgL_namez00_1669 = 
(((BgL_localz00_bglt)CREF(BgL_varz00_50))->BgL_namez00); 
return 
BGl__localvarz00zzjvm_instrz00(BgL_envz00_49, BgL_fromz00_51, BgL_toz00_52, BgL_userzd2namezd2_1668, BgL_typez00_1667, BgL_namez00_1669);}  else 
{ /* Jvm/extern.scm 75 */
return BFALSE;} } } 
}



/* _debug-declare-var-from */
obj_t BGl__debugzd2declarezd2varzd2fromzd2zzjvm_externz00(obj_t BgL_envz00_2977, obj_t BgL_envz00_2978, obj_t BgL_varz00_2979, obj_t BgL_fromz00_2980, obj_t BgL_toz00_2981)
{ AN_OBJECT;
{ /* Jvm/extern.scm 74 */
return 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(
(BgL_envz00_bglt)(BgL_envz00_2978), 
(BgL_localz00_bglt)(BgL_varz00_2979), BgL_fromz00_2980, BgL_toz00_2981);} 
}



/* qualified-module-name */
obj_t BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_modulez00_53)
{ AN_OBJECT;
{ /* Jvm/extern.scm 84 */
return 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_modulez00_53);} 
}



/* _qualified-module-name */
obj_t BGl__qualifiedzd2modulezd2namez00zzjvm_externz00(obj_t BgL_envz00_2982, obj_t BgL_modulez00_2983)
{ AN_OBJECT;
{ /* Jvm/extern.scm 84 */
return 
BGl_qualifiedzd2modulezd2namez00zzjvm_externz00(BgL_modulez00_2983);} 
}



/* get-classes-to-be-compiled */
obj_t BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 90 */
{ /* Jvm/extern.scm 92 */
obj_t BgL_rz00_1674;
BgL_rz00_1674 = BNIL; 
{ 
obj_t BgL_l3058z00_1675;
{ /* Jvm/extern.scm 99 */
obj_t BgL_arg3232z00_1677;
BgL_arg3232z00_1677 = 
BGl_getzd2classzd2listz00zzobject_classz00(); 
BgL_l3058z00_1675 = BgL_arg3232z00_1677; 
BgL_lname3059z00_1676:
if(
PAIRP(BgL_l3058z00_1675))
{ /* Jvm/extern.scm 93 */
{ /* Jvm/extern.scm 95 */
obj_t BgL_classz00_1679;
BgL_classz00_1679 = 
CAR(BgL_l3058z00_1675); 
{ /* Jvm/extern.scm 95 */
bool_t BgL_test3236z00_1680;
{ /* Jvm/extern.scm 95 */
obj_t BgL_arg3248z00_1686;
BgL_arg3248z00_1686 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
BgL_test3236z00_1680 = 
(BgL_classz00_1679==BgL_arg3248z00_1686); } 
if(BgL_test3236z00_1680)
{ /* Jvm/extern.scm 95 */BFALSE; }  else 
{ /* Jvm/extern.scm 97 */
bool_t BgL_testz00_3128;
{ /* Jvm/extern.scm 97 */
obj_t BgL_auxz00_3137;obj_t BgL_auxz00_3129;
BgL_auxz00_3137 = 
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/extern.scm 97 */
BgL_globalz00_bglt BgL_arg3244z00_1685;
{ /* Jvm/extern.scm 97 */
BgL_tclassz00_bglt BgL_obj2719z00_2313;
BgL_obj2719z00_2313 = 
(BgL_tclassz00_bglt)(BgL_classz00_1679); 
{ 
obj_t BgL_auxz00_3131;
{ /* Jvm/extern.scm 97 */
BgL_objectz00_bglt BgL_auxz00_3132;
BgL_auxz00_3132 = 
(BgL_objectz00_bglt)(BgL_obj2719z00_2313); 
BgL_auxz00_3131 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3132); } 
BgL_arg3244z00_1685 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3131))->BgL_holderz00); } } 
BgL_auxz00_3129 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3244z00_1685))->BgL_importz00); } 
BgL_testz00_3128 = 
(BgL_auxz00_3129==BgL_auxz00_3137); } 
if(BgL_testz00_3128)
{ /* Jvm/extern.scm 97 */BFALSE; }  else 
{ /* Jvm/extern.scm 97 */
BgL_rz00_1674 = 
MAKE_PAIR(BgL_classz00_1679, BgL_rz00_1674); } } } } 
{ 
obj_t BgL_l3058z00_3141;
BgL_l3058z00_3141 = 
CDR(BgL_l3058z00_1675); 
BgL_l3058z00_1675 = BgL_l3058z00_3141; 
goto BgL_lname3059z00_1676;} }  else 
{ /* Jvm/extern.scm 93 */((bool_t)1); } } } 
return BgL_rz00_1674;} } 
}



/* _get-classes-to-be-compiled */
obj_t BGl__getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00(obj_t BgL_envz00_2984)
{ AN_OBJECT;
{ /* Jvm/extern.scm 90 */
return 
BGl_getzd2classeszd2tozd2bezd2compiledz00zzjvm_externz00();} 
}



/* qualified-class-name */
obj_t BGl_qualifiedzd2classzd2namez00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_54)
{ AN_OBJECT;
{ /* Jvm/extern.scm 102 */
{ /* Jvm/extern.scm 103 */
bool_t BgL_test3257z00_1688;
BgL_test3257z00_1688 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_classz00_54), BGl_tclassz00zzobject_classz00); 
if(BgL_test3257z00_1688)
{ /* Jvm/extern.scm 103 */BFALSE; }  else 
{ /* Jvm/extern.scm 104 */
obj_t BgL_arg3260z00_1690;obj_t BgL_arg3261z00_1691;
BgL_arg3260z00_1690 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_classz00_54)); 
BgL_arg3261z00_1691 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_classz00_54)); 
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4098z00zzjvm_externz00, BgL_arg3260z00_1690, BgL_arg3261z00_1691); } } 
{ /* Jvm/extern.scm 108 */
obj_t BgL_arg3267z00_1692;obj_t BgL_arg3268z00_1693;
BgL_arg3267z00_1692 = 
BGl_superzd2packagezd2zzjvm_externz00(BgL_classz00_54); 
BgL_arg3268z00_1693 = 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_classz00_54); 
return 
BGl_onzd2packagezd2zzjvm_externz00(BgL_arg3267z00_1692, BgL_arg3268z00_1693);} } 
}



/* _qualified-class-name */
obj_t BGl__qualifiedzd2classzd2namez00zzjvm_externz00(obj_t BgL_envz00_2985, obj_t BgL_classz00_2986)
{ AN_OBJECT;
{ /* Jvm/extern.scm 102 */
return 
BGl_qualifiedzd2classzd2namez00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2986));} 
}



/* on-package */
obj_t BGl_onzd2packagezd2zzjvm_externz00(obj_t BgL_pkgcz00_55, obj_t BgL_namez00_56)
{ AN_OBJECT;
{ /* Jvm/extern.scm 110 */
{ /* Jvm/extern.scm 111 */
obj_t BgL_snamez00_1694;
BgL_snamez00_1694 = 
SYMBOL_TO_STRING(BgL_namez00_56); 
{ /* Jvm/extern.scm 111 */
obj_t BgL_bsnamez00_1695;
BgL_bsnamez00_1695 = 
BGl_manglez00zzjvm_externz00(BgL_snamez00_1694, BNIL); 
{ /* Jvm/extern.scm 112 */

{ /* Jvm/extern.scm 113 */
bool_t BgL_test3272z00_1696;
BgL_test3272z00_1696 = 
bigloo_strcmp(BgL_pkgcz00_55, BGl_string4099z00zzjvm_externz00); 
if(BgL_test3272z00_1696)
{ /* Jvm/extern.scm 113 */
return BgL_bsnamez00_1695;}  else 
{ /* Jvm/extern.scm 113 */
return 
string_append_3(BgL_pkgcz00_55, BGl_string4100z00zzjvm_externz00, BgL_bsnamez00_1695);} } } } } } 
}



/* mangle */
obj_t BGl_manglez00zzjvm_externz00(obj_t BgL_snamez00_57, obj_t BgL_modz00_58)
{ AN_OBJECT;
{ /* Jvm/extern.scm 117 */
{ /* Jvm/extern.scm 118 */
bool_t BgL_test3278z00_1698;
BgL_test3278z00_1698 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_snamez00_57); 
if(BgL_test3278z00_1698)
{ /* Jvm/extern.scm 118 */
if(
PAIRP(BgL_modz00_58))
{ /* Jvm/extern.scm 119 */
return 
bigloo_module_mangle(BgL_snamez00_57, 
CAR(BgL_modz00_58));}  else 
{ /* Jvm/extern.scm 119 */
return 
bigloo_mangle(BgL_snamez00_57);} }  else 
{ /* Jvm/extern.scm 118 */
return BgL_snamez00_57;} } } 
}



/* tclass-id-mangling */
obj_t BGl_tclasszd2idzd2manglingz00zzjvm_externz00(BgL_tclassz00_bglt BgL_classz00_59)
{ AN_OBJECT;
{ /* Jvm/extern.scm 124 */
{ /* Jvm/extern.scm 126 */
bool_t BgL_test3287z00_1701;
{ /* Jvm/extern.scm 126 */
obj_t BgL_arg3297z00_1706;
BgL_arg3297z00_1706 = 
BGl_getzd2objectzd2typez00zztype_cachez00(); 
{ /* Jvm/extern.scm 126 */
obj_t BgL_auxz00_3170;
BgL_auxz00_3170 = 
(obj_t)(BgL_classz00_59); 
BgL_test3287z00_1701 = 
(BgL_auxz00_3170==BgL_arg3297z00_1706); } } 
if(BgL_test3287z00_1701)
{ /* Jvm/extern.scm 126 */
return 
CNST_TABLE_REF(((long)3));}  else 
{ /* Jvm/extern.scm 130 */
obj_t BgL_auxz00_3178;obj_t BgL_auxz00_3175;
{ /* Jvm/extern.scm 129 */
BgL_globalz00_bglt BgL_arg3293z00_1705;
{ 
obj_t BgL_auxz00_3179;
{ /* Jvm/extern.scm 129 */
BgL_objectz00_bglt BgL_auxz00_3180;
BgL_auxz00_3180 = 
(BgL_objectz00_bglt)(BgL_classz00_59); 
BgL_auxz00_3179 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3180); } 
BgL_arg3293z00_1705 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3179))->BgL_holderz00); } 
BgL_auxz00_3178 = 
(((BgL_globalz00_bglt)CREF(BgL_arg3293z00_1705))->BgL_modulez00); } 
{ /* Jvm/extern.scm 130 */
BgL_typez00_bglt BgL_obj2730z00_2324;
BgL_obj2730z00_2324 = 
(BgL_typez00_bglt)(BgL_classz00_59); 
BgL_auxz00_3175 = 
(((BgL_typez00_bglt)CREF(BgL_obj2730z00_2324))->BgL_idz00); } 
return 
BGl_jvmzd2classzd2manglez00zzjvm_externz00(BgL_auxz00_3175, BgL_auxz00_3178);} } } 
}



/* _tclass-id-mangling */
obj_t BGl__tclasszd2idzd2manglingz00zzjvm_externz00(obj_t BgL_envz00_2987, obj_t BgL_classz00_2988)
{ AN_OBJECT;
{ /* Jvm/extern.scm 124 */
return 
BGl_tclasszd2idzd2manglingz00zzjvm_externz00(
(BgL_tclassz00_bglt)(BgL_classz00_2988));} 
}



/* jvm-class-mangle */
obj_t BGl_jvmzd2classzd2manglez00zzjvm_externz00(obj_t BgL_idz00_60, obj_t BgL_modz00_61)
{ AN_OBJECT;
{ /* Jvm/extern.scm 132 */
{ /* Jvm/extern.scm 133 */
obj_t BgL_sidz00_1707;
{ /* Jvm/extern.scm 133 */
obj_t BgL_arg3311z00_1712;
BgL_arg3311z00_1712 = 
SYMBOL_TO_STRING(BgL_idz00_60); 
BgL_sidz00_1707 = 
string_append(BGl_string4101z00zzjvm_externz00, BgL_arg3311z00_1712); } 
{ /* Jvm/extern.scm 134 */
obj_t BgL_arg3301z00_1708;
{ /* Jvm/extern.scm 134 */
obj_t BgL_arg3304z00_1709;
BgL_arg3304z00_1709 = 
SYMBOL_TO_STRING(BgL_modz00_61); 
{ /* Jvm/extern.scm 134 */
obj_t BgL_list3306z00_1710;
BgL_list3306z00_1710 = 
MAKE_PAIR(BgL_arg3304z00_1709, BNIL); 
BgL_arg3301z00_1708 = 
BGl_manglez00zzjvm_externz00(BgL_sidz00_1707, BgL_list3306z00_1710); } } 
{ /* Jvm/extern.scm 134 */
char * BgL_auxz00_3193;
BgL_auxz00_3193 = 
BSTRING_TO_STRING(BgL_arg3301z00_1708); 
return 
string_to_symbol(BgL_auxz00_3193);} } } } 
}



/* _jvm-class-mangle4018 */
obj_t BGl__jvmzd2classzd2mangle4018z00zzjvm_externz00(obj_t BgL_envz00_2989, obj_t BgL_idz00_2990, obj_t BgL_modz00_2991)
{ AN_OBJECT;
{ /* Jvm/extern.scm 132 */
return 
BGl_jvmzd2classzd2manglez00zzjvm_externz00(BgL_idz00_2990, BgL_modz00_2991);} 
}



/* super-package */
obj_t BGl_superzd2packagezd2zzjvm_externz00(BgL_tclassz00_bglt BgL_superz00_62)
{ AN_OBJECT;
{ /* Jvm/extern.scm 136 */
{ /* Jvm/extern.scm 139 */
bool_t BgL_test3314z00_1713;
BgL_test3314z00_1713 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_superz00_62), BGl_tclassz00zzobject_classz00); 
if(BgL_test3314z00_1713)
{ /* Jvm/extern.scm 139 */
{ /* Jvm/extern.scm 141 */
bool_t BgL_test3315z00_1715;
{ /* Jvm/extern.scm 141 */
bool_t BgL_testz00_3200;
{ /* Jvm/extern.scm 141 */
obj_t BgL_auxz00_3203;obj_t BgL_auxz00_3201;
{ 
obj_t BgL_auxz00_3204;
{ /* Jvm/extern.scm 141 */
BgL_objectz00_bglt BgL_auxz00_3205;
BgL_auxz00_3205 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_3204 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3205); } 
BgL_auxz00_3203 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3204))->BgL_itszd2superzd2); } 
BgL_auxz00_3201 = 
(obj_t)(BgL_superz00_62); 
BgL_testz00_3200 = 
(BgL_auxz00_3201==BgL_auxz00_3203); } 
if(BgL_testz00_3200)
{ /* Jvm/extern.scm 141 */
BgL_test3315z00_1715 = ((bool_t)1); }  else 
{ /* Jvm/extern.scm 141 */
bool_t BgL_test3332z00_1723;
{ /* Jvm/extern.scm 141 */
obj_t BgL_auxz00_3210;
{ 
obj_t BgL_auxz00_3211;
{ /* Jvm/extern.scm 141 */
BgL_objectz00_bglt BgL_auxz00_3212;
BgL_auxz00_3212 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_3211 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3212); } 
BgL_auxz00_3210 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3211))->BgL_itszd2superzd2); } 
BgL_test3332z00_1723 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3210, BGl_tclassz00zzobject_classz00); } 
if(BgL_test3332z00_1723)
{ /* Jvm/extern.scm 141 */
BgL_test3315z00_1715 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 141 */
BgL_test3315z00_1715 = ((bool_t)1); } } } 
if(BgL_test3315z00_1715)
{ /* Jvm/extern.scm 141 */
return BGl_string4102z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 144 */
BgL_globalz00_bglt BgL_holderz00_1716;
{ 
obj_t BgL_auxz00_3219;
{ /* Jvm/extern.scm 144 */
BgL_objectz00_bglt BgL_auxz00_3220;
BgL_auxz00_3220 = 
(BgL_objectz00_bglt)(BgL_superz00_62); 
BgL_auxz00_3219 = 
BGL_OBJECT_WIDENING(BgL_auxz00_3220); } 
BgL_holderz00_1716 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_3219))->BgL_holderz00); } 
{ /* Jvm/extern.scm 145 */
obj_t BgL_arg3317z00_1717;obj_t BgL_arg3318z00_1718;
BgL_arg3317z00_1717 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1716))->BgL_modulez00); 
BgL_arg3318z00_1718 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1716))->BgL_jvmzd2typezd2namez00); 
{ /* Jvm/extern.scm 145 */
obj_t BgL_list3321z00_1720;
{ /* Jvm/extern.scm 145 */
obj_t BgL_auxz00_3226;
{ /* Jvm/extern.scm 145 */
BgL_typez00_bglt BgL_obj2730z00_2335;
BgL_obj2730z00_2335 = 
(BgL_typez00_bglt)(BgL_superz00_62); 
BgL_auxz00_3226 = 
(((BgL_typez00_bglt)CREF(BgL_obj2730z00_2335))->BgL_idz00); } 
BgL_list3321z00_1720 = 
MAKE_PAIR(BgL_auxz00_3226, BNIL); } 
BGl_addzd2qualifiedzd2typez12z12zzread_jvmz00(BgL_arg3317z00_1717, BgL_arg3318z00_1718, BgL_list3321z00_1720); } } 
return 
BGl_classzd2packagezd2zzjvm_externz00(
(((BgL_globalz00_bglt)CREF(BgL_holderz00_1716))->BgL_modulez00));} } }  else 
{ /* Jvm/extern.scm 149 */
bool_t BgL_test3341z00_1726;
BgL_test3341z00_1726 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_superz00_62), BGl_jclassz00zzobject_classz00); 
if(BgL_test3341z00_1726)
{ /* Jvm/extern.scm 149 */
CNST_TABLE_REF(((long)4)); 
{ /* Jvm/extern.scm 151 */
obj_t BgL_arg3344z00_1728;
BgL_arg3344z00_1728 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string4103z00zzjvm_externz00, BgL_arg3344z00_1728); } 
{ /* Jvm/extern.scm 151 */
obj_t BgL_arg3348z00_1729;
BgL_arg3348z00_1729 = 
GET_CURRENT_OUTPUT_PORT(); 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3348z00_1729); } 
return BGl_string4104z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 149 */
{ 
obj_t BgL_auxz00_3241;
BgL_auxz00_3241 = 
(obj_t)(BgL_superz00_62); 
FAILURE(BGl_string4105z00zzjvm_externz00,BGl_string4106z00zzjvm_externz00,BgL_auxz00_3241);} } } } } 
}



/* class-package */
obj_t BGl_classzd2packagezd2zzjvm_externz00(obj_t BgL_namez00_63)
{ AN_OBJECT;
{ /* Jvm/extern.scm 156 */
{ /* Jvm/extern.scm 157 */
obj_t BgL_sz00_1730;
BgL_sz00_1730 = 
BGl_modulezd2ze3qualifiedzd2typeze3zzread_jvmz00(BgL_namez00_63); 
{ /* Jvm/extern.scm 157 */
obj_t BgL_prefz00_1731;
BgL_prefz00_1731 = 
BGl_prefixz00zz__osz00(BgL_sz00_1730); 
{ /* Jvm/extern.scm 158 */

{ /* Jvm/extern.scm 159 */
bool_t BgL_test3354z00_1732;
BgL_test3354z00_1732 = 
bigloo_strcmp(BgL_prefz00_1731, BgL_sz00_1730); 
if(BgL_test3354z00_1732)
{ /* Jvm/extern.scm 159 */
return BGl_string4099z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 159 */
return BgL_prefz00_1731;} } } } } } 
}



/* qualified-type-name */
obj_t BGl_qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_typez00_64)
{ AN_OBJECT;
{ /* Jvm/extern.scm 166 */
{ /* Jvm/extern.scm 167 */
bool_t BgL_testz00_3248;
{ /* Jvm/extern.scm 167 */
obj_t BgL_auxz00_3249;
BgL_auxz00_3249 = 
CNST_TABLE_REF(((long)5)); 
BgL_testz00_3248 = 
(BgL_typez00_64==BgL_auxz00_3249); } 
if(BgL_testz00_3248)
{ /* Jvm/extern.scm 167 */
return BGl_za2jvmzd2foreignzd2classzd2nameza2zd2zzengine_paramz00;}  else 
{ /* Jvm/extern.scm 169 */
obj_t BgL_javazd2classzd2_1734;
BgL_javazd2classzd2_1734 = 
BGl_findzd2javazd2classz00zzmodule_javaz00(BgL_typez00_64); 
if(
STRINGP(BgL_javazd2classzd2_1734))
{ /* Jvm/extern.scm 170 */
return BgL_javazd2classzd2_1734;}  else 
{ /* Jvm/extern.scm 172 */
obj_t BgL_arg3362z00_1737;
BgL_arg3362z00_1737 = 
SYMBOL_TO_STRING(BgL_typez00_64); 
return 
string_append(BGl_string4107z00zzjvm_externz00, BgL_arg3362z00_1737);} } } } 
}



/* _qualified-type-name */
obj_t BGl__qualifiedzd2typezd2namez00zzjvm_externz00(obj_t BgL_envz00_2992, obj_t BgL_typez00_2993)
{ AN_OBJECT;
{ /* Jvm/extern.scm 166 */
return 
BGl_qualifiedzd2typezd2namez00zzjvm_externz00(BgL_typez00_2993);} 
}



/* real-field-name */
obj_t BGl_realzd2fieldzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_65)
{ AN_OBJECT;
{ /* Jvm/extern.scm 178 */
{ /* Jvm/extern.scm 183 */
bool_t BgL_testz00_3258;
{ /* Jvm/extern.scm 183 */
obj_t BgL_auxz00_3261;obj_t BgL_auxz00_3259;
BgL_auxz00_3261 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3259 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_modulez00); 
BgL_testz00_3258 = 
(BgL_auxz00_3259==BgL_auxz00_3261); } 
if(BgL_testz00_3258)
{ /* Jvm/extern.scm 183 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_65);}  else 
{ /* Jvm/extern.scm 185 */
bool_t BgL_testz00_3265;
{ /* Jvm/extern.scm 185 */
obj_t BgL_auxz00_3266;
BgL_auxz00_3266 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_namez00); 
BgL_testz00_3265 = 
STRINGP(BgL_auxz00_3266); } 
if(BgL_testz00_3265)
{ /* Jvm/extern.scm 185 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_namez00);}  else 
{ /* Jvm/extern.scm 187 */
obj_t BgL_arg3373z00_1741;
{ /* Jvm/extern.scm 187 */
obj_t BgL_auxz00_3270;
BgL_auxz00_3270 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_65))->BgL_idz00); 
BgL_arg3373z00_1741 = 
SYMBOL_TO_STRING(BgL_auxz00_3270); } 
return 
BGl_manglez00zzjvm_externz00(BgL_arg3373z00_1741, BNIL);} } } } 
}



/* _real-field-name */
obj_t BGl__realzd2fieldzd2namez00zzjvm_externz00(obj_t BgL_envz00_2994, obj_t BgL_globalz00_2995)
{ AN_OBJECT;
{ /* Jvm/extern.scm 178 */
return 
BGl_realzd2fieldzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2995));} 
}



/* real-sfun-name */
obj_t BGl_realzd2sfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_66)
{ AN_OBJECT;
{ /* Jvm/extern.scm 189 */
{ /* Jvm/extern.scm 191 */
bool_t BgL_testz00_3276;
{ /* Jvm/extern.scm 191 */
obj_t BgL_auxz00_3279;obj_t BgL_auxz00_3277;
BgL_auxz00_3279 = 
CNST_TABLE_REF(((long)5)); 
BgL_auxz00_3277 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_modulez00); 
BgL_testz00_3276 = 
(BgL_auxz00_3277==BgL_auxz00_3279); } 
if(BgL_testz00_3276)
{ /* Jvm/extern.scm 191 */
return 
BGl_patchz00zzjvm_externz00(BgL_globalz00_66);}  else 
{ /* Jvm/extern.scm 193 */
bool_t BgL_testz00_3283;
{ /* Jvm/extern.scm 193 */
obj_t BgL_auxz00_3284;
BgL_auxz00_3284 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_namez00); 
BgL_testz00_3283 = 
STRINGP(BgL_auxz00_3284); } 
if(BgL_testz00_3283)
{ /* Jvm/extern.scm 193 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_namez00);}  else 
{ /* Jvm/extern.scm 196 */
obj_t BgL_arg3394z00_1750;
{ /* Jvm/extern.scm 196 */
obj_t BgL_auxz00_3288;
BgL_auxz00_3288 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_66))->BgL_idz00); 
BgL_arg3394z00_1750 = 
SYMBOL_TO_STRING(BgL_auxz00_3288); } 
return 
BGl_manglez00zzjvm_externz00(BgL_arg3394z00_1750, BNIL);} } } } 
}



/* _real-sfun-name */
obj_t BGl__realzd2sfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2996, obj_t BgL_globalz00_2997)
{ AN_OBJECT;
{ /* Jvm/extern.scm 189 */
return 
BGl_realzd2sfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2997));} 
}



/* real-cfun-name */
obj_t BGl_realzd2cfunzd2namez00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_67)
{ AN_OBJECT;
{ /* Jvm/extern.scm 198 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_67))->BgL_namez00);} 
}



/* _real-cfun-name */
obj_t BGl__realzd2cfunzd2namez00zzjvm_externz00(obj_t BgL_envz00_2998, obj_t BgL_globalz00_2999)
{ AN_OBJECT;
{ /* Jvm/extern.scm 198 */
return 
BGl_realzd2cfunzd2namez00zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_2999));} 
}



/* patch */
obj_t BGl_patchz00zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_68)
{ AN_OBJECT;
{ /* Jvm/extern.scm 203 */
{ /* Jvm/extern.scm 206 */
bool_t BgL_testz00_3297;
{ /* Jvm/extern.scm 206 */
obj_t BgL_auxz00_3300;obj_t BgL_auxz00_3298;
BgL_auxz00_3300 = 
CNST_TABLE_REF(((long)6)); 
BgL_auxz00_3298 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_68))->BgL_idz00); 
BgL_testz00_3297 = 
(BgL_auxz00_3298==BgL_auxz00_3300); } 
if(BgL_testz00_3297)
{ /* Jvm/extern.scm 206 */
return BGl_string4108z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 207 */
bool_t BgL_testz00_3303;
{ /* Jvm/extern.scm 207 */
obj_t BgL_auxz00_3306;obj_t BgL_auxz00_3304;
BgL_auxz00_3306 = 
CNST_TABLE_REF(((long)7)); 
BgL_auxz00_3304 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_68))->BgL_idz00); 
BgL_testz00_3303 = 
(BgL_auxz00_3304==BgL_auxz00_3306); } 
if(BgL_testz00_3303)
{ /* Jvm/extern.scm 207 */
return BGl_string4108z00zzjvm_externz00;}  else 
{ /* Jvm/extern.scm 207 */
return 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_68))->BgL_namez00);} } } } 
}



/* global-to-be-declared */
obj_t BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(BgL_globalz00_bglt BgL_globalz00_69)
{ AN_OBJECT;
{ /* Jvm/extern.scm 210 */
{ /* Jvm/extern.scm 212 */
bool_t BgL_test3424z00_1765;
{ /* Jvm/extern.scm 212 */
bool_t BgL_testz00_3310;
{ /* Jvm/extern.scm 212 */
obj_t BgL_auxz00_3313;obj_t BgL_auxz00_3311;
BgL_auxz00_3313 = 
CNST_TABLE_REF(((long)8)); 
BgL_auxz00_3311 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_importz00); 
BgL_testz00_3310 = 
(BgL_auxz00_3311==BgL_auxz00_3313); } 
if(BgL_testz00_3310)
{ /* Jvm/extern.scm 212 */
BgL_test3424z00_1765 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 213 */
bool_t BgL__ortest_3076z00_1778;
BgL__ortest_3076z00_1778 = 
BGl_ze3fxze3zz__r4_numbers_6_5_fixnumz00(
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_occurrencez00), ((long)0)); 
if(BgL__ortest_3076z00_1778)
{ /* Jvm/extern.scm 214 */
BgL_test3424z00_1765 = BgL__ortest_3076z00_1778; }  else 
{ /* Jvm/extern.scm 214 */
bool_t BgL__ortest_3077z00_1779;
{ /* Jvm/extern.scm 214 */
obj_t BgL_auxz00_3319;
{ /* Jvm/extern.scm 214 */
BgL_valuez00_bglt BgL_auxz00_3320;
BgL_auxz00_3320 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_valuez00); 
BgL_auxz00_3319 = 
(obj_t)(BgL_auxz00_3320); } 
BgL__ortest_3077z00_1779 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3319, BGl_scnstz00zzast_varz00); } 
if(BgL__ortest_3077z00_1779)
{ /* Jvm/extern.scm 214 */
BgL_test3424z00_1765 = BgL__ortest_3077z00_1779; }  else 
{ /* Jvm/extern.scm 215 */
bool_t BgL__ortest_3078z00_1780;
{ /* Jvm/extern.scm 215 */
obj_t BgL_auxz00_3327;obj_t BgL_auxz00_3325;
BgL_auxz00_3327 = 
CNST_TABLE_REF(((long)9)); 
BgL_auxz00_3325 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_removablez00); 
BgL__ortest_3078z00_1780 = 
(BgL_auxz00_3325==BgL_auxz00_3327); } 
if(BgL__ortest_3078z00_1780)
{ /* Jvm/extern.scm 215 */
BgL_test3424z00_1765 = BgL__ortest_3078z00_1780; }  else 
{ /* Jvm/extern.scm 216 */
bool_t BgL__ortest_3079z00_1781;
{ /* Jvm/extern.scm 216 */
obj_t BgL_auxz00_3331;
BgL_auxz00_3331 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_modulez00); 
BgL__ortest_3079z00_1781 = 
(BgL_auxz00_3331==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL__ortest_3079z00_1781)
{ /* Jvm/extern.scm 216 */
BgL_test3424z00_1765 = BgL__ortest_3079z00_1781; }  else 
{ /* Jvm/extern.scm 217 */
bool_t BgL_testz00_3335;
{ /* Jvm/extern.scm 217 */
bool_t BgL__ortest_3081z00_1784;
{ /* Jvm/extern.scm 217 */
obj_t BgL_auxz00_3338;obj_t BgL_auxz00_3336;
BgL_auxz00_3338 = 
CNST_TABLE_REF(((long)10)); 
BgL_auxz00_3336 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_idz00); 
BgL__ortest_3081z00_1784 = 
(BgL_auxz00_3336==BgL_auxz00_3338); } 
if(BgL__ortest_3081z00_1784)
{ /* Jvm/extern.scm 217 */
BgL_testz00_3335 = BgL__ortest_3081z00_1784
; }  else 
{ /* Jvm/extern.scm 218 */
obj_t BgL_auxz00_3344;obj_t BgL_auxz00_3342;
BgL_auxz00_3344 = 
CNST_TABLE_REF(((long)11)); 
BgL_auxz00_3342 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_idz00); 
BgL_testz00_3335 = 
(BgL_auxz00_3342==BgL_auxz00_3344); } } 
if(BgL_testz00_3335)
{ /* Jvm/extern.scm 219 */
obj_t BgL_auxz00_3347;
{ /* Jvm/extern.scm 219 */
BgL_valuez00_bglt BgL_auxz00_3348;
BgL_auxz00_3348 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_valuez00); 
BgL_auxz00_3347 = 
(obj_t)(BgL_auxz00_3348); } 
BgL_test3424z00_1765 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_3347, BGl_cfunz00zzast_varz00); }  else 
{ /* Jvm/extern.scm 217 */
BgL_test3424z00_1765 = ((bool_t)0); } } } } } } } 
if(BgL_test3424z00_1765)
{ /* Jvm/extern.scm 212 */
return BTRUE;}  else 
{ /* Jvm/extern.scm 212 */
{ /* Jvm/extern.scm 222 */
bool_t BgL_test3425z00_1766;
{ /* Jvm/extern.scm 222 */
bool_t BgL_test3441z00_1772;
{ /* Jvm/extern.scm 222 */
obj_t BgL_auxz00_3353;
BgL_auxz00_3353 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_modulez00); 
BgL_test3441z00_1772 = 
(BgL_auxz00_3353==BGl_za2moduleza2z00zzmodule_modulez00); } 
if(BgL_test3441z00_1772)
{ /* Jvm/extern.scm 222 */
bool_t BgL_testz00_3357;
{ /* Jvm/extern.scm 222 */
obj_t BgL_auxz00_3360;obj_t BgL_auxz00_3358;
BgL_auxz00_3360 = 
CNST_TABLE_REF(((long)12)); 
BgL_auxz00_3358 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_idz00); 
BgL_testz00_3357 = 
(BgL_auxz00_3358==BgL_auxz00_3360); } 
if(BgL_testz00_3357)
{ /* Jvm/extern.scm 222 */
BgL_test3425z00_1766 = ((bool_t)0); }  else 
{ /* Jvm/extern.scm 222 */
BgL_test3425z00_1766 = ((bool_t)1); } }  else 
{ /* Jvm/extern.scm 222 */
BgL_test3425z00_1766 = ((bool_t)0); } } 
if(BgL_test3425z00_1766)
{ /* Jvm/extern.scm 222 */
{ /* Jvm/extern.scm 223 */
obj_t BgL_arg3428z00_1768;
BgL_arg3428z00_1768 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string4109z00zzjvm_externz00, BgL_arg3428z00_1768); } 
{ /* Jvm/extern.scm 223 */
obj_t BgL_arg3432z00_1769;obj_t BgL_arg3433z00_1770;
BgL_arg3432z00_1769 = 
(((BgL_globalz00_bglt)CREF(BgL_globalz00_69))->BgL_idz00); 
BgL_arg3433z00_1770 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3432z00_1769, BgL_arg3433z00_1770); } 
{ /* Jvm/extern.scm 223 */
obj_t BgL_arg3438z00_1771;
BgL_arg3438z00_1771 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Jvm/extern.scm 223 */
unsigned char BgL_auxz00_3370;
BgL_auxz00_3370 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3438z00_1771); 
BCHAR(BgL_auxz00_3370); } } }  else 
{ /* Jvm/extern.scm 222 */BFALSE; } } 
return BFALSE;} } } 
}



/* _global-to-be-declared */
obj_t BGl__globalzd2tozd2bezd2declaredzd2zzjvm_externz00(obj_t BgL_envz00_3000, obj_t BgL_globalz00_3001)
{ AN_OBJECT;
{ /* Jvm/extern.scm 210 */
return 
BGl_globalzd2tozd2bezd2declaredzd2zzjvm_externz00(
(BgL_globalz00_bglt)(BgL_globalz00_3001));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_externz00()
{ AN_OBJECT;
{ /* Jvm/extern.scm 3 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzmodule_javaz00(((long)4332), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long)16653), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztvector_cnstz00(((long)22355), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzcnst_allocz00(((long)31254), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzread_jvmz00(((long)34896), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "jvm_extern"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_extern"); 
return 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_extern");} 
}

