/*===========================================================================*/
/*   (Object/plain-access.scm)                                               */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


extern obj_t BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(BgL_typez00_bglt, obj_t);
static obj_t BGl_setzd2plainzd2classzd2slotsz12zc0zzobject_plainzd2accesszd2(obj_t, obj_t, BgL_tclassz00_bglt);
extern obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzobject_plainzd2accesszd2();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_importzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
static obj_t BGl__importzd2plainzd2classzd2accessorsz122157zc0zzobject_plainzd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_typez00zztype_typez00;
extern bool_t BGl_widezd2classzf3z21zzobject_classz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_plainzd2accesszd2();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_plainzd2accesszd2();
static obj_t BGl__heapzd2plainzd2classzd2accessorsz122159zc0zzobject_plainzd2accesszd2(obj_t, obj_t);
extern obj_t BGl_genzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(obj_t, BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t, obj_t, int, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern bool_t BGl_finalzd2classzf3z21zzobject_classz00(obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_getterz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_creatorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_coercionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__genzd2plainzd2classzd2accessorsz122155zc0zzobject_plainzd2accesszd2(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_tclassz00_bglt, obj_t);
extern obj_t BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(BgL_tclassz00_bglt);
extern obj_t BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(obj_t);
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_tclassz00_bglt, obj_t, obj_t, obj_t);
static bool_t BGl_correctzd2plainzd2classzf3zf3zzobject_plainzd2accesszd2(BgL_tclassz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_plainzd2accesszd2 = BUNSPEC;
extern obj_t BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_tclassz00_bglt, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_plainzd2accesszd2();
static obj_t __cnst[ 1 ] ;

DEFINE_STRING( BGl_string2209z00zzobject_plainzd2accesszd2, BgL_bgl_string2209za700za7za7object_plainza7d2accessza7d22235za7, "(no def found) ", 15 );
DEFINE_STRING( BGl_string2208z00zzobject_plainzd2accesszd2, BgL_bgl_string2208za700za7za7object_plainza7d2accessza7d22236za7, "Only wide classes can inherit of final classes", 46 );
DEFINE_STRING( BGl_string2207z00zzobject_plainzd2accesszd2, BgL_bgl_string2207za700za7za7object_plainza7d2accessza7d22237za7, "' is a wide class", 17 );
DEFINE_STRING( BGl_string2206z00zzobject_plainzd2accesszd2, BgL_bgl_string2206za700za7za7object_plainza7d2accessza7d22238za7, "Should not be able to see a wide class here", 43 );
DEFINE_STRING( BGl_string2205z00zzobject_plainzd2accesszd2, BgL_bgl_string2205za700za7za7object_plainza7d2accessza7d22239za7, "make-class-accesses!", 20 );
DEFINE_STRING( BGl_string2204z00zzobject_plainzd2accesszd2, BgL_bgl_string2204za700za7za7object_plainza7d2accessza7d22240za7, "' is not a class", 16 );
DEFINE_STRING( BGl_string2203z00zzobject_plainzd2accesszd2, BgL_bgl_string2203za700za7za7object_plainza7d2accessza7d22241za7, "super of `", 10 );
DEFINE_EXPORT_PROCEDURE( BGl_heapzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2, BgL_bgl__heapza7d2plainza7d2classza7d2accessorsza7122159za7c0za7za7object_plainza7d2accessza7d22242za7, BGl__heapzd2plainzd2classzd2accessorsz122159zc0zzobject_plainzd2accesszd2, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2, BgL_bgl__importza7d2plainza7d2classza7d2accessorsza7122157za7c0za7za7object_plainza7d2accessza7d22243za7, BGl__importzd2plainzd2classzd2accessorsz122157zc0zzobject_plainzd2accesszd2, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_genzd2plainzd2classzd2accessorsz12zd2envz12zzobject_plainzd2accesszd2, BgL_bgl__genza7d2plainza7d2classza7d2accessorsza7122155za7c0za7za7object_plainza7d2accessza7d22244za7, BGl__genzd2plainzd2classzd2accessorsz122155zc0zzobject_plainzd2accesszd2, 0L, 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_plainzd2accesszd2(long BgL_checksumz00_1183, char * BgL_fromz00_1184)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_plainzd2accesszd2))
{ 
BGl_requirezd2initializa7ationz75zzobject_plainzd2accesszd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_plainzd2accesszd2(); 
BGl_cnstzd2initzd2zzobject_plainzd2accesszd2(); 
BGl_importedzd2moduleszd2initz00zzobject_plainzd2accesszd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_plainzd2accesszd2()
{ AN_OBJECT;
{ /* Object/plain-access.scm 21 */
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_plain-access"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_plainzd2accesszd2()
{ AN_OBJECT;
{ /* Object/plain-access.scm 21 */
{ /* Object/plain-access.scm 21 */
obj_t BgL_cportz00_1176;
BgL_cportz00_1176 = 
open_input_string(BGl_string2209z00zzobject_plainzd2accesszd2); 
{ 
long BgL_iz00_1177;
BgL_iz00_1177 = ((long)0); 
BgL_loopz00_1178:
if(
(BgL_iz00_1177==((long)-1)))
{ /* Object/plain-access.scm 21 */
return BUNSPEC;}  else 
{ /* Object/plain-access.scm 21 */
{ /* Object/plain-access.scm 21 */
obj_t BgL_arg2213z00_1180;
{ /* Object/plain-access.scm 21 */
obj_t BgL_list2216z00_1181;
BgL_list2216z00_1181 = 
MAKE_PAIR(BgL_cportz00_1176, BNIL); 
BgL_arg2213z00_1180 = 
BGl_readz00zz__readerz00(BgL_list2216z00_1181); } 
{ /* Object/plain-access.scm 21 */
int BgL_auxz00_1199;
BgL_auxz00_1199 = 
(int)(BgL_iz00_1177); 
CNST_TABLE_SET(BgL_auxz00_1199, BgL_arg2213z00_1180); } } 
{ 
long BgL_iz00_1202;
{ /* Object/plain-access.scm 21 */
int BgL_auxz00_1203;
{ /* Object/plain-access.scm 21 */
long BgL_auxz00_1204;
BgL_auxz00_1204 = 
(BgL_iz00_1177-((long)1)); 
BgL_auxz00_1203 = 
(int)(BgL_auxz00_1204); } 
BgL_iz00_1202 = 
(long)(BgL_auxz00_1203); } 
BgL_iz00_1177 = BgL_iz00_1202; 
goto BgL_loopz00_1178;} } } } } 
}



/* gen-plain-class-accessors! */
obj_t BGl_genzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(obj_t BgL_classzd2defzd2_1, BgL_tclassz00_bglt BgL_classz00_2, obj_t BgL_srczd2defzd2_3, obj_t BgL_importz00_4)
{ AN_OBJECT;
{ /* Object/plain-access.scm 49 */
{ /* Object/plain-access.scm 51 */
bool_t BgL_test1842z00_660;
BgL_test1842z00_660 = 
BGl_correctzd2plainzd2classzf3zf3zzobject_plainzd2accesszd2(BgL_classz00_2, BgL_srczd2defzd2_3); 
if(BgL_test1842z00_660)
{ /* Object/plain-access.scm 51 */
BGl_setzd2plainzd2classzd2slotsz12zc0zzobject_plainzd2accesszd2(BgL_classzd2defzd2_1, BgL_srczd2defzd2_3, BgL_classz00_2); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_2)); 
{ /* Object/plain-access.scm 60 */
obj_t BgL_fieldsz00_662;
BgL_fieldsz00_662 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_2, 
(obj_t)(BgL_classz00_2), BFALSE, BgL_srczd2defzd2_3); 
{ /* Object/plain-access.scm 62 */
obj_t BgL_virtualsz00_663;
{ /* Object/plain-access.scm 62 */
int BgL_auxz00_1215;
BgL_auxz00_1215 = 
(int)(((long)1)); 
BgL_virtualsz00_663 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_1215); } 
{ /* Object/plain-access.scm 62 */
obj_t BgL_creatsz00_664;obj_t BgL_structsz00_665;obj_t BgL_predicatez00_666;
BgL_creatsz00_664 = 
BGl_genzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
BgL_structsz00_665 = 
BGl_genzd2plainzd2classzc3zd2ze3structzf2zzobject_structz00(
(BgL_typez00_bglt)(BgL_classz00_2), BgL_srczd2defzd2_3); 
BgL_predicatez00_666 = 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_2, BgL_srczd2defzd2_3, BgL_importz00_4); 
{ /* Object/plain-access.scm 65 */
obj_t BgL_val0_1832z00_667;
BgL_val0_1832z00_667 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_666, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_structsz00_665, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_664, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_662, BNIL)))); 
{ /* Object/plain-access.scm 65 */
int BgL_auxz00_1226;
BgL_auxz00_1226 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_1226); } 
{ /* Object/plain-access.scm 65 */
int BgL_auxz00_1229;
BgL_auxz00_1229 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_1229, BgL_virtualsz00_663); } 
return BgL_val0_1832z00_667;} } } } }  else 
{ /* Object/plain-access.scm 51 */
{ /* Object/plain-access.scm 67 */
int BgL_auxz00_1232;
BgL_auxz00_1232 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_1232); } 
{ /* Object/plain-access.scm 67 */
int BgL_auxz00_1235;
BgL_auxz00_1235 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_1235, BNIL); } 
return BNIL;} } } 
}



/* _gen-plain-class-accessors!2155 */
obj_t BGl__genzd2plainzd2classzd2accessorsz122155zc0zzobject_plainzd2accesszd2(obj_t BgL_envz00_1164, obj_t BgL_classzd2defzd2_1165, obj_t BgL_classz00_1166, obj_t BgL_srczd2defzd2_1167, obj_t BgL_importz00_1168)
{ AN_OBJECT;
{ /* Object/plain-access.scm 49 */
return 
BGl_genzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(BgL_classzd2defzd2_1165, 
(BgL_tclassz00_bglt)(BgL_classz00_1166), BgL_srczd2defzd2_1167, BgL_importz00_1168);} 
}



/* import-plain-class-accessors! */
obj_t BGl_importzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(obj_t BgL_classzd2defzd2_5, BgL_tclassz00_bglt BgL_classz00_6, obj_t BgL_srczd2defzd2_7, obj_t BgL_modulez00_8)
{ AN_OBJECT;
{ /* Object/plain-access.scm 72 */
{ /* Object/plain-access.scm 74 */
bool_t BgL_test1865z00_674;
BgL_test1865z00_674 = 
BGl_correctzd2plainzd2classzf3zf3zzobject_plainzd2accesszd2(BgL_classz00_6, BgL_srczd2defzd2_7); 
if(BgL_test1865z00_674)
{ /* Object/plain-access.scm 74 */
BGl_setzd2plainzd2classzd2slotsz12zc0zzobject_plainzd2accesszd2(BgL_classzd2defzd2_5, BgL_srczd2defzd2_7, BgL_classz00_6); 
BGl_genzd2classzd2coercionsz12z12zzobject_coercionz00(
(obj_t)(BgL_classz00_6)); 
{ /* Object/plain-access.scm 83 */
obj_t BgL_fieldsz00_676;
BgL_fieldsz00_676 = 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_6, 
(obj_t)(BgL_classz00_6), BFALSE, BgL_srczd2defzd2_7); 
{ /* Object/plain-access.scm 85 */
obj_t BgL_virtualsz00_677;
{ /* Object/plain-access.scm 85 */
int BgL_auxz00_1247;
BgL_auxz00_1247 = 
(int)(((long)1)); 
BgL_virtualsz00_677 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_1247); } 
{ /* Object/plain-access.scm 85 */
obj_t BgL_creatsz00_678;obj_t BgL_predicatez00_679;
BgL_creatsz00_678 = 
BGl_importzd2plainzd2classzd2creatorszd2zzobject_creatorz00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
BgL_predicatez00_679 = 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_6, BgL_srczd2defzd2_7, BgL_modulez00_8); 
{ /* Object/plain-access.scm 87 */
obj_t BgL_val0_1838z00_680;
BgL_val0_1838z00_680 = 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_predicatez00_679, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_creatsz00_678, 
BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(BgL_fieldsz00_676, BNIL))); 
{ /* Object/plain-access.scm 87 */
int BgL_auxz00_1255;
BgL_auxz00_1255 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_1255); } 
{ /* Object/plain-access.scm 87 */
int BgL_auxz00_1258;
BgL_auxz00_1258 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_1258, BgL_virtualsz00_677); } 
return BgL_val0_1838z00_680;} } } } }  else 
{ /* Object/plain-access.scm 74 */
return BNIL;} } } 
}



/* _import-plain-class-accessors!2157 */
obj_t BGl__importzd2plainzd2classzd2accessorsz122157zc0zzobject_plainzd2accesszd2(obj_t BgL_envz00_1169, obj_t BgL_classzd2defzd2_1170, obj_t BgL_classz00_1171, obj_t BgL_srczd2defzd2_1172, obj_t BgL_modulez00_1173)
{ AN_OBJECT;
{ /* Object/plain-access.scm 72 */
return 
BGl_importzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(BgL_classzd2defzd2_1170, 
(BgL_tclassz00_bglt)(BgL_classz00_1171), BgL_srczd2defzd2_1172, BgL_modulez00_1173);} 
}



/* heap-plain-class-accessors! */
obj_t BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(BgL_tclassz00_bglt BgL_classz00_9)
{ AN_OBJECT;
{ /* Object/plain-access.scm 94 */
return 
BGl_genzd2classzd2slotszd2accessz12zc0zzobject_getterz00(BgL_classz00_9, 
(obj_t)(BgL_classz00_9), BFALSE, 
CNST_TABLE_REF(((long)0)));} 
}



/* _heap-plain-class-accessors!2159 */
obj_t BGl__heapzd2plainzd2classzd2accessorsz122159zc0zzobject_plainzd2accesszd2(obj_t BgL_envz00_1174, obj_t BgL_classz00_1175)
{ AN_OBJECT;
{ /* Object/plain-access.scm 94 */
return 
BGl_heapzd2plainzd2classzd2accessorsz12zc0zzobject_plainzd2accesszd2(
(BgL_tclassz00_bglt)(BgL_classz00_1175));} 
}



/* set-plain-class-slots! */
obj_t BGl_setzd2plainzd2classzd2slotsz12zc0zzobject_plainzd2accesszd2(obj_t BgL_classzd2defzd2_10, obj_t BgL_srczd2defzd2_11, BgL_tclassz00_bglt BgL_classz00_12)
{ AN_OBJECT;
{ /* Object/plain-access.scm 110 */
{ /* Object/plain-access.scm 111 */
obj_t BgL_superz00_686;
{ /* Object/plain-access.scm 111 */
obj_t BgL_superz00_692;
{ 
obj_t BgL_auxz00_1268;
{ /* Object/plain-access.scm 111 */
BgL_objectz00_bglt BgL_auxz00_1269;
BgL_auxz00_1269 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1268 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1269); } 
BgL_superz00_692 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1268))->BgL_itszd2superzd2); } 
{ /* Object/plain-access.scm 112 */
bool_t BgL_testz00_1273;
{ /* Object/plain-access.scm 112 */
obj_t BgL_auxz00_1274;
BgL_auxz00_1274 = 
(obj_t)(BgL_classz00_12); 
BgL_testz00_1273 = 
(BgL_superz00_692==BgL_auxz00_1274); } 
if(BgL_testz00_1273)
{ /* Object/plain-access.scm 112 */
BgL_superz00_686 = BFALSE; }  else 
{ /* Object/plain-access.scm 112 */
BgL_superz00_686 = BgL_superz00_692; } } } 
{ /* Object/plain-access.scm 111 */
obj_t BgL_superzd2vnumzd2_687;
{ /* Object/plain-access.scm 115 */
bool_t BgL_test1890z00_691;
BgL_test1890z00_691 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_686, BGl_tclassz00zzobject_classz00); 
if(BgL_test1890z00_691)
{ /* Object/plain-access.scm 116 */
BgL_tclassz00_bglt BgL_obj1621z00_898;
BgL_obj1621z00_898 = 
(BgL_tclassz00_bglt)(BgL_superz00_686); 
{ 
obj_t BgL_auxz00_1280;
{ /* Object/plain-access.scm 116 */
BgL_objectz00_bglt BgL_auxz00_1281;
BgL_auxz00_1281 = 
(BgL_objectz00_bglt)(BgL_obj1621z00_898); 
BgL_auxz00_1280 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1281); } 
BgL_superzd2vnumzd2_687 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1280))->BgL_virtualzd2slotszd2numberz00); } }  else 
{ /* Object/plain-access.scm 115 */
BgL_superzd2vnumzd2_687 = 
BINT(((long)0)); } } 
{ /* Object/plain-access.scm 118 */

{ /* Object/plain-access.scm 122 */
obj_t BgL_cslotsz00_689;
{ /* Object/plain-access.scm 122 */
obj_t BgL_auxz00_1286;
{ /* Object/plain-access.scm 118 */
obj_t BgL_auxz00_1287;
BgL_auxz00_1287 = 
CDR(BgL_classzd2defzd2_10); 
BgL_auxz00_1286 = 
CDR(BgL_auxz00_1287); } 
BgL_cslotsz00_689 = 
BGl_makezd2classzd2slotsz00zzobject_slotsz00(BgL_classz00_12, BgL_auxz00_1286, BgL_superz00_686, 
CINT(BgL_superzd2vnumzd2_687), BgL_srczd2defzd2_11); } 
{ /* Object/plain-access.scm 122 */
obj_t BgL_localzd2vnumzd2_690;
BgL_localzd2vnumzd2_690 = 
BGl_getzd2localzd2virtualzd2slotszd2numberz00zzobject_slotsz00(BgL_classz00_12, BgL_cslotsz00_689); 
{ /* Object/plain-access.scm 123 */

{ 
obj_t BgL_auxz00_1293;
{ /* Object/plain-access.scm 125 */
BgL_objectz00_bglt BgL_auxz00_1294;
BgL_auxz00_1294 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1293 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1294); } 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1293))->BgL_virtualzd2slotszd2numberz00) = ((obj_t)BgL_localzd2vnumzd2_690), BUNSPEC); } 
{ 
obj_t BgL_auxz00_1298;
{ /* Object/plain-access.scm 127 */
BgL_objectz00_bglt BgL_auxz00_1299;
BgL_auxz00_1299 = 
(BgL_objectz00_bglt)(BgL_classz00_12); 
BgL_auxz00_1298 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1299); } 
return 
((((BgL_tclassz00_bglt)CREF(BgL_auxz00_1298))->BgL_slotsz00) = ((obj_t)BgL_cslotsz00_689), BUNSPEC);} } } } } } } } 
}



/* correct-plain-class? */
bool_t BGl_correctzd2plainzd2classzf3zf3zzobject_plainzd2accesszd2(BgL_tclassz00_bglt BgL_classz00_13, obj_t BgL_srczd2defzd2_14)
{ AN_OBJECT;
{ /* Object/plain-access.scm 136 */
{ /* Object/plain-access.scm 137 */
obj_t BgL_superz00_694;obj_t BgL_classzd2idzd2_695;
{ 
obj_t BgL_auxz00_1303;
{ /* Object/plain-access.scm 137 */
BgL_objectz00_bglt BgL_auxz00_1304;
BgL_auxz00_1304 = 
(BgL_objectz00_bglt)(BgL_classz00_13); 
BgL_auxz00_1303 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1304); } 
BgL_superz00_694 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1303))->BgL_itszd2superzd2); } 
{ /* Object/plain-access.scm 138 */
BgL_typez00_bglt BgL_obj1626z00_908;
BgL_obj1626z00_908 = 
(BgL_typez00_bglt)(BgL_classz00_13); 
BgL_classzd2idzd2_695 = 
(((BgL_typez00_bglt)CREF(BgL_obj1626z00_908))->BgL_idz00); } 
{ /* Object/plain-access.scm 142 */
bool_t BgL_test1896z00_696;
{ /* Object/plain-access.scm 142 */
bool_t BgL_test1945z00_715;
BgL_test1945z00_715 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_694, BGl_typez00zztype_typez00); 
if(BgL_test1945z00_715)
{ /* Object/plain-access.scm 142 */
bool_t BgL_test1946z00_716;
BgL_test1946z00_716 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_694, BGl_tclassz00zzobject_classz00); 
if(BgL_test1946z00_716)
{ /* Object/plain-access.scm 142 */
BgL_test1896z00_696 = ((bool_t)0); }  else 
{ /* Object/plain-access.scm 142 */
BgL_test1896z00_696 = ((bool_t)1); } }  else 
{ /* Object/plain-access.scm 142 */
BgL_test1896z00_696 = ((bool_t)0); } } 
if(BgL_test1896z00_696)
{ /* Object/plain-access.scm 142 */
{ /* Object/plain-access.scm 143 */
obj_t BgL_arg1898z00_697;obj_t BgL_arg1899z00_698;
{ /* Object/plain-access.scm 143 */
BgL_typez00_bglt BgL_obj1003z00_911;
BgL_obj1003z00_911 = 
(BgL_typez00_bglt)(BgL_superz00_694); 
BgL_arg1898z00_697 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_911))->BgL_idz00); } 
{ /* Object/plain-access.scm 144 */
obj_t BgL_arg1907z00_701;
BgL_arg1907z00_701 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_695); 
BgL_arg1899z00_698 = 
string_append_3(BGl_string2203z00zzobject_plainzd2accesszd2, BgL_arg1907z00_701, BGl_string2204z00zzobject_plainzd2accesszd2); } 
{ /* Object/plain-access.scm 143 */
obj_t BgL_list1901z00_699;
BgL_list1901z00_699 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1898z00_697, BgL_arg1899z00_698, BgL_srczd2defzd2_14, BgL_list1901z00_699); } } 
return ((bool_t)0);}  else 
{ /* Object/plain-access.scm 150 */
bool_t BgL_test1911z00_703;
BgL_test1911z00_703 = 
BGl_widezd2classzf3z21zzobject_classz00(
(obj_t)(BgL_classz00_13)); 
if(BgL_test1911z00_703)
{ /* Object/plain-access.scm 150 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string2205z00zzobject_plainzd2accesszd2, BGl_string2206z00zzobject_plainzd2accesszd2, BgL_srczd2defzd2_14); 
return ((bool_t)0);}  else 
{ /* Object/plain-access.scm 157 */
bool_t BgL_test1913z00_704;
BgL_test1913z00_704 = 
BGl_widezd2classzf3z21zzobject_classz00(BgL_superz00_694); 
if(BgL_test1913z00_704)
{ /* Object/plain-access.scm 157 */
{ /* Object/plain-access.scm 159 */
obj_t BgL_arg1917z00_705;obj_t BgL_arg1918z00_706;
{ /* Object/plain-access.scm 159 */
BgL_typez00_bglt BgL_obj1003z00_913;
BgL_obj1003z00_913 = 
(BgL_typez00_bglt)(BgL_superz00_694); 
BgL_arg1917z00_705 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_913))->BgL_idz00); } 
{ /* Object/plain-access.scm 160 */
obj_t BgL_arg1926z00_709;
BgL_arg1926z00_709 = 
SYMBOL_TO_STRING(BgL_classzd2idzd2_695); 
BgL_arg1918z00_706 = 
string_append_3(BGl_string2203z00zzobject_plainzd2accesszd2, BgL_arg1926z00_709, BGl_string2207z00zzobject_plainzd2accesszd2); } 
{ /* Object/plain-access.scm 159 */
obj_t BgL_list1920z00_707;
BgL_list1920z00_707 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1917z00_705, BgL_arg1918z00_706, BgL_srczd2defzd2_14, BgL_list1920z00_707); } } 
return ((bool_t)0);}  else 
{ /* Object/plain-access.scm 166 */
bool_t BgL_test1932z00_711;
BgL_test1932z00_711 = 
BGl_finalzd2classzf3z21zzobject_classz00(BgL_superz00_694); 
if(BgL_test1932z00_711)
{ /* Object/plain-access.scm 166 */
{ /* Object/plain-access.scm 168 */
obj_t BgL_arg1935z00_712;
{ /* Object/plain-access.scm 168 */
BgL_typez00_bglt BgL_obj1003z00_915;
BgL_obj1003z00_915 = 
(BgL_typez00_bglt)(BgL_superz00_694); 
BgL_arg1935z00_712 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_915))->BgL_idz00); } 
{ /* Object/plain-access.scm 168 */
obj_t BgL_list1938z00_714;
BgL_list1938z00_714 = 
MAKE_PAIR(BGl_typez00zztype_typez00, BNIL); 
BGl_userzd2errorzd2zztools_errorz00(BgL_arg1935z00_712, BGl_string2208z00zzobject_plainzd2accesszd2, BgL_srczd2defzd2_14, BgL_list1938z00_714); } } 
return ((bool_t)0);}  else 
{ /* Object/plain-access.scm 166 */
return ((bool_t)1);} } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_plainzd2accesszd2()
{ AN_OBJECT;
{ /* Object/plain-access.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_plainzd2accesszd2()
{ AN_OBJECT;
{ /* Object/plain-access.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)63966), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_getterz00(((long)25716), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_creatorz00(((long)595), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_predicatez00(((long)48825), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzobject_coercionz00(((long)60556), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_plain-access"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_plain-access"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "object_plain-access");} 
}

