/*===========================================================================*/
/*   (Object/predicate.scm)                                                  */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_slotz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_srcz00;
   obj_t BgL_classzd2ownerzd2;
   obj_t BgL_typez00;
   bool_t BgL_readzd2onlyzf3z21;
   obj_t BgL_defaultzd2valuezd2;
   obj_t BgL_virtualzd2numzd2;
   obj_t BgL_getterz00;
   obj_t BgL_setterz00;
   obj_t BgL_indexedz00;
   obj_t BgL_userzd2infozd2;
} *BgL_slotz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzobject_predicatez00();
extern obj_t open_input_string(obj_t);
extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl_tclassz00zzobject_classz00;
extern obj_t BGl_epairifyza2za2zztools_miscz00(obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_importzd2parserzd2zzmodule_impusez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzobject_predicatez00();
static obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00();
static bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00();
static obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
extern obj_t BGl_jclassz00zzobject_classz00;
extern obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_structz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_impusez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
static obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_za2passza2z00zzengine_paramz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t, obj_t);
static obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzobject_predicatez00 = BUNSPEC;
extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
static obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00();
static obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(obj_t);
static obj_t __cnst[ 18 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_genzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__genza7d2classza7d2predza712za712za7za7object_predicateza7002411za7, BGl__genzd2classzd2predz12z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2classzd2predz12zd2envzc0zzobject_predicatez00, BgL_bgl__importza7d2classza7d2predza712za712za7za7object_predicateza7002412za7, BGl__importzd2classzd2predz12z12zzobject_predicatez00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_importzd2javazd2classzd2predz12zd2envz12zzobject_predicatez00, BgL_bgl__importza7d2javaza7d2classza7d2predza712za7c0za7za7object_predicateza7002413z00, BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00, 0L, 3 );
DEFINE_STRING( BGl_string2384z00zzobject_predicatez00, BgL_bgl_string2384za700za7za7object_predicateza7002414z00, "export isa static define define-inline no-cfa-top predicate-of pragma ::obj inline super super- @ is-a? obj ?::bool ? (make-heap make-add-heap) ", 144 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzobject_predicatez00(long BgL_checksumz00_1268, char * BgL_fromz00_1269)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzobject_predicatez00))
{ 
BGl_requirezd2initializa7ationz75zzobject_predicatez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzobject_predicatez00(); 
BGl_cnstzd2initzd2zzobject_predicatez00(); 
BGl_importedzd2moduleszd2initz00zzobject_predicatez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "object_predicate"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "object_predicate"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
{ /* Object/predicate.scm 21 */
obj_t BgL_cportz00_1261;
BgL_cportz00_1261 = 
open_input_string(BGl_string2384z00zzobject_predicatez00); 
{ 
long BgL_iz00_1262;
BgL_iz00_1262 = ((long)17); 
BgL_loopz00_1263:
if(
(BgL_iz00_1262==((long)-1)))
{ /* Object/predicate.scm 21 */
return BUNSPEC;}  else 
{ /* Object/predicate.scm 21 */
{ /* Object/predicate.scm 21 */
obj_t BgL_arg2388z00_1265;
{ /* Object/predicate.scm 21 */
obj_t BgL_list2391z00_1266;
BgL_list2391z00_1266 = 
MAKE_PAIR(BgL_cportz00_1261, BNIL); 
BgL_arg2388z00_1265 = 
BGl_readz00zz__readerz00(BgL_list2391z00_1266); } 
{ /* Object/predicate.scm 21 */
int BgL_auxz00_1285;
BgL_auxz00_1285 = 
(int)(BgL_iz00_1262); 
CNST_TABLE_SET(BgL_auxz00_1285, BgL_arg2388z00_1265); } } 
{ 
long BgL_iz00_1288;
{ /* Object/predicate.scm 21 */
int BgL_auxz00_1289;
{ /* Object/predicate.scm 21 */
long BgL_auxz00_1290;
BgL_auxz00_1290 = 
(BgL_iz00_1262-((long)1)); 
BgL_auxz00_1289 = 
(int)(BgL_auxz00_1290); } 
BgL_iz00_1288 = 
(long)(BgL_auxz00_1289); } 
BgL_iz00_1262 = BgL_iz00_1288; 
goto BgL_loopz00_1263;} } } } } 
}



/* inline-pred? */
bool_t BGl_inlinezd2predzf3z21zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 49 */
{ /* Object/predicate.scm 50 */
bool_t BgL__andtest_1830z00_658;
{ /* Object/predicate.scm 50 */
bool_t BgL__ortest_1831z00_660;
{ /* Object/predicate.scm 50 */
bool_t BgL_test1835z00_661;
{ /* Object/predicate.scm 50 */
bool_t BgL_res2356z00_976;
{ /* Object/predicate.scm 50 */
obj_t BgL_objz00_972;
BgL_objz00_972 = BGl_za2profilezd2modeza2zd2zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_972))
{ /* Object/predicate.scm 50 */
BgL_res2356z00_976 = ((bool_t)1); }  else 
{ /* Object/predicate.scm 50 */
BgL_res2356z00_976 = 
REALP(BgL_objz00_972); } } 
BgL_test1835z00_661 = BgL_res2356z00_976; } 
if(BgL_test1835z00_661)
{ /* Object/predicate.scm 50 */
BgL__ortest_1831z00_660 = ((bool_t)0); }  else 
{ /* Object/predicate.scm 50 */
BgL__ortest_1831z00_660 = ((bool_t)1); } } 
if(BgL__ortest_1831z00_660)
{ /* Object/predicate.scm 50 */
BgL__andtest_1830z00_658 = BgL__ortest_1831z00_660; }  else 
{ /* Object/predicate.scm 51 */
long BgL_n1z00_977;
BgL_n1z00_977 = 
(long)CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00); 
BgL__andtest_1830z00_658 = 
(BgL_n1z00_977<((long)1)); } } 
if(BgL__andtest_1830z00_658)
{ /* Object/predicate.scm 52 */
bool_t BgL_test1832z00_659;
{ /* Object/predicate.scm 52 */
obj_t BgL_auxz00_1302;
BgL_auxz00_1302 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BGl_za2passza2z00zzengine_paramz00, 
CNST_TABLE_REF(((long)0))); 
BgL_test1832z00_659 = 
CBOOL(BgL_auxz00_1302); } 
if(BgL_test1832z00_659)
{ /* Object/predicate.scm 52 */
return ((bool_t)0);}  else 
{ /* Object/predicate.scm 52 */
return ((bool_t)1);} }  else 
{ /* Object/predicate.scm 50 */
return ((bool_t)0);} } } 
}



/* gen-class-pred! */
obj_t BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_1, obj_t BgL_srczd2defzd2_2, obj_t BgL_importz00_3)
{ AN_OBJECT;
{ /* Object/predicate.scm 60 */
{ /* Object/predicate.scm 61 */
obj_t BgL_idz00_662;
{ /* Object/predicate.scm 61 */
BgL_typez00_bglt BgL_obj1626z00_979;
BgL_obj1626z00_979 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_idz00_662 = 
(((BgL_typez00_bglt)CREF(BgL_obj1626z00_979))->BgL_idz00); } 
{ /* Object/predicate.scm 61 */
obj_t BgL_idzf3zf3_663;
{ /* Object/predicate.scm 62 */
obj_t BgL_list1994z00_729;
{ /* Object/predicate.scm 62 */
obj_t BgL_arg1996z00_730;
{ /* Object/predicate.scm 62 */
obj_t BgL_auxz00_1309;
BgL_auxz00_1309 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg1996z00_730 = 
MAKE_PAIR(BgL_auxz00_1309, BNIL); } 
BgL_list1994z00_729 = 
MAKE_PAIR(BgL_idz00_662, BgL_arg1996z00_730); } 
BgL_idzf3zf3_663 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1994z00_729); } 
{ /* Object/predicate.scm 62 */
obj_t BgL_predzd2idzd2_664;
{ /* Object/predicate.scm 63 */
obj_t BgL_list1988z00_727;
{ /* Object/predicate.scm 63 */
obj_t BgL_arg1990z00_728;
{ /* Object/predicate.scm 63 */
obj_t BgL_auxz00_1314;
BgL_auxz00_1314 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1990z00_728 = 
MAKE_PAIR(BgL_auxz00_1314, BNIL); } 
BgL_list1988z00_727 = 
MAKE_PAIR(BgL_idz00_662, BgL_arg1990z00_728); } 
BgL_predzd2idzd2_664 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1988z00_727); } 
{ /* Object/predicate.scm 63 */
BgL_globalz00_bglt BgL_holderz00_665;
{ 
obj_t BgL_auxz00_1319;
{ /* Object/predicate.scm 64 */
BgL_objectz00_bglt BgL_auxz00_1320;
BgL_auxz00_1320 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1319 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1320); } 
BgL_holderz00_665 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1319))->BgL_holderz00); } 
{ /* Object/predicate.scm 64 */
obj_t BgL_objz00_666;
{ /* Object/predicate.scm 65 */
obj_t BgL_arg1983z00_726;
BgL_arg1983z00_726 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_666 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg1983z00_726); } 
{ /* Object/predicate.scm 65 */
obj_t BgL_superz00_667;
{ 
obj_t BgL_auxz00_1328;
{ /* Object/predicate.scm 66 */
BgL_objectz00_bglt BgL_auxz00_1329;
BgL_auxz00_1329 = 
(BgL_objectz00_bglt)(BgL_classz00_1); 
BgL_auxz00_1328 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1329); } 
BgL_superz00_667 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1328))->BgL_itszd2superzd2); } 
{ /* Object/predicate.scm 66 */

{ 

{ /* Object/predicate.scm 69 */
bool_t BgL_test1837z00_669;
BgL_test1837z00_669 = 
BGl_iszd2azf3z21zz__objectz00(BgL_superz00_667, BGl_tclassz00zzobject_classz00); 
if(BgL_test1837z00_669)
{ /* Object/predicate.scm 73 */
obj_t BgL_superzd2predzd2idz00_670;obj_t BgL_superzd2typedzd2_671;
{ /* Object/predicate.scm 73 */
obj_t BgL_list1943z00_708;
{ /* Object/predicate.scm 73 */
obj_t BgL_arg1945z00_709;obj_t BgL_arg1946z00_710;
BgL_arg1945z00_709 = 
CNST_TABLE_REF(((long)6)); 
BgL_arg1946z00_710 = 
MAKE_PAIR(BgL_predzd2idzd2_664, BNIL); 
BgL_list1943z00_708 = 
MAKE_PAIR(BgL_arg1945z00_709, BgL_arg1946z00_710); } 
BgL_superzd2predzd2idz00_670 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list1943z00_708); } 
{ /* Object/predicate.scm 74 */
obj_t BgL_auxz00_1339;
{ /* Object/predicate.scm 74 */
BgL_typez00_bglt BgL_obj1003z00_983;
BgL_obj1003z00_983 = 
(BgL_typez00_bglt)(BgL_superz00_667); 
BgL_auxz00_1339 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_983))->BgL_idz00); } 
BgL_superzd2typedzd2_671 = 
BGl_makezd2typedzd2identz00zzast_identz00(
CNST_TABLE_REF(((long)7)), BgL_auxz00_1339); } 
{ /* Object/predicate.scm 77 */
obj_t BgL_arg1839z00_672;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1844z00_674;
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1848z00_675;
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1852z00_677;obj_t BgL_arg1854z00_678;
BgL_arg1852z00_677 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/predicate.scm 78 */
obj_t BgL_arg1857z00_679;
{ /* Object/predicate.scm 78 */
obj_t BgL_auxz00_1347;
BgL_auxz00_1347 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1857z00_679 = 
MAKE_PAIR(BgL_auxz00_1347, BNIL); } 
BgL_arg1854z00_678 = 
MAKE_PAIR(BgL_predzd2idzd2_664, BgL_arg1857z00_679); } 
BgL_arg1848z00_675 = 
MAKE_PAIR(BgL_arg1852z00_677, BgL_arg1854z00_678); } 
BgL_arg1844z00_674 = 
MAKE_PAIR(BgL_arg1848z00_675, BNIL); } 
BgL_arg1839z00_672 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1844z00_674); }  else 
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1861z00_680;
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1864z00_681;
{ /* Object/predicate.scm 79 */
obj_t BgL_arg1870z00_683;
{ /* Object/predicate.scm 79 */
obj_t BgL_auxz00_1354;
BgL_auxz00_1354 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg1870z00_683 = 
MAKE_PAIR(BgL_auxz00_1354, BNIL); } 
BgL_arg1864z00_681 = 
MAKE_PAIR(BgL_predzd2idzd2_664, BgL_arg1870z00_683); } 
BgL_arg1861z00_680 = 
MAKE_PAIR(BgL_arg1864z00_681, BNIL); } 
BgL_arg1839z00_672 = 
MAKE_PAIR(BgL_importz00_3, BgL_arg1861z00_680); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1839z00_672); } 
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1875z00_684;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1878z00_685;obj_t BgL_arg1880z00_686;
BgL_arg1878z00_685 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1886z00_687;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1892z00_689;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1896z00_690;obj_t BgL_arg1897z00_691;
{ /* Object/predicate.scm 81 */
obj_t BgL_arg1900z00_692;obj_t BgL_arg1901z00_693;
BgL_arg1900z00_692 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/predicate.scm 81 */
obj_t BgL_auxz00_1363;
{ /* Object/predicate.scm 81 */
BgL_typez00_bglt BgL_obj1626z00_984;
BgL_obj1626z00_984 = 
(BgL_typez00_bglt)(BgL_classz00_1); 
BgL_auxz00_1363 = 
(((BgL_typez00_bglt)CREF(BgL_obj1626z00_984))->BgL_idz00); } 
BgL_arg1901z00_693 = 
MAKE_PAIR(BgL_auxz00_1363, BNIL); } 
BgL_arg1896z00_690 = 
MAKE_PAIR(BgL_arg1900z00_692, BgL_arg1901z00_693); } 
{ /* Object/predicate.scm 81 */
obj_t BgL_auxz00_1368;
BgL_auxz00_1368 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1897z00_691 = 
MAKE_PAIR(BgL_auxz00_1368, BNIL); } 
BgL_arg1892z00_689 = 
MAKE_PAIR(BgL_arg1896z00_690, BgL_arg1897z00_691); } 
BgL_arg1886z00_687 = 
MAKE_PAIR(BgL_idzf3zf3_663, BgL_arg1892z00_689); } 
BgL_arg1880z00_686 = 
MAKE_PAIR(BgL_arg1886z00_687, BNIL); } 
BgL_arg1875z00_684 = 
MAKE_PAIR(BgL_arg1878z00_685, BgL_arg1880z00_686); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg1875z00_684); } 
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1912z00_696;
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1917z00_698;
{ /* Object/predicate.scm 84 */
obj_t BgL_arg1923z00_700;obj_t BgL_arg1924z00_701;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 84 */
BgL_arg1923z00_700 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* Object/predicate.scm 84 */
BgL_arg1923z00_700 = 
CNST_TABLE_REF(((long)14)); } 
{ /* Object/predicate.scm 85 */
obj_t BgL_arg1929z00_703;obj_t BgL_arg1930z00_704;
{ /* Object/predicate.scm 85 */
obj_t BgL_arg1933z00_705;
BgL_arg1933z00_705 = 
MAKE_PAIR(BgL_objz00_666, BNIL); 
BgL_arg1929z00_703 = 
MAKE_PAIR(BgL_predzd2idzd2_664, BgL_arg1933z00_705); } 
{ /* Object/predicate.scm 86 */
obj_t BgL_arg1937z00_706;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1957z00_714;obj_t BgL_arg1958z00_715;
BgL_arg1957z00_714 = 
CNST_TABLE_REF(((long)4)); 
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1961z00_716;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1964z00_717;
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1968z00_719;obj_t BgL_arg1969z00_720;
BgL_arg1968z00_719 = 
CNST_TABLE_REF(((long)5)); 
{ /* Object/predicate.scm 68 */
obj_t BgL_arg1972z00_721;obj_t BgL_arg1973z00_722;
BgL_arg1972z00_721 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_665))->BgL_idz00); 
{ /* Object/predicate.scm 68 */
obj_t BgL_auxz00_1385;
BgL_auxz00_1385 = 
(((BgL_globalz00_bglt)CREF(BgL_holderz00_665))->BgL_modulez00); 
BgL_arg1973z00_722 = 
MAKE_PAIR(BgL_auxz00_1385, BNIL); } 
BgL_arg1969z00_720 = 
MAKE_PAIR(BgL_arg1972z00_721, BgL_arg1973z00_722); } 
BgL_arg1964z00_717 = 
MAKE_PAIR(BgL_arg1968z00_719, BgL_arg1969z00_720); } 
BgL_arg1961z00_716 = 
MAKE_PAIR(BgL_arg1964z00_717, BNIL); } 
BgL_arg1958z00_715 = 
MAKE_PAIR(BgL_objz00_666, BgL_arg1961z00_716); } 
BgL_arg1937z00_706 = 
MAKE_PAIR(BgL_arg1957z00_714, BgL_arg1958z00_715); } 
BgL_arg1930z00_704 = 
MAKE_PAIR(BgL_arg1937z00_706, BNIL); } 
BgL_arg1924z00_701 = 
MAKE_PAIR(BgL_arg1929z00_703, BgL_arg1930z00_704); } 
BgL_arg1917z00_698 = 
MAKE_PAIR(BgL_arg1923z00_700, BgL_arg1924z00_701); } 
{ /* Object/predicate.scm 84 */
obj_t BgL_list1919z00_699;
BgL_list1919z00_699 = 
MAKE_PAIR(BgL_srczd2defzd2_2, BNIL); 
BgL_arg1912z00_696 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg1917z00_698, BgL_list1919z00_699); } } 
{ /* Object/predicate.scm 83 */
obj_t BgL_list1914z00_697;
BgL_list1914z00_697 = 
MAKE_PAIR(BgL_arg1912z00_696, BNIL); 
return BgL_list1914z00_697;} } }  else 
{ /* Object/predicate.scm 69 */
return BNIL;} } } } } } } } } } } 
}



/* _gen-class-pred! */
obj_t BGl__genzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_1249, obj_t BgL_classz00_1250, obj_t BgL_srczd2defzd2_1251, obj_t BgL_importz00_1252)
{ AN_OBJECT;
{ /* Object/predicate.scm 60 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1250), BgL_srczd2defzd2_1251, BgL_importz00_1252);} 
}



/* import-class-pred! */
obj_t BGl_importzd2classzd2predz12z12zzobject_predicatez00(BgL_tclassz00_bglt BgL_classz00_4, obj_t BgL_srczd2defzd2_5, obj_t BgL_modulez00_6)
{ AN_OBJECT;
{ /* Object/predicate.scm 92 */
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 93 */
return 
BGl_genzd2classzd2predz12z12zzobject_predicatez00(BgL_classz00_4, BgL_srczd2defzd2_5, 
CNST_TABLE_REF(((long)15)));}  else 
{ /* Object/predicate.scm 97 */
obj_t BgL_idz00_732;
{ /* Object/predicate.scm 97 */
BgL_typez00_bglt BgL_obj1626z00_989;
BgL_obj1626z00_989 = 
(BgL_typez00_bglt)(BgL_classz00_4); 
BgL_idz00_732 = 
(((BgL_typez00_bglt)CREF(BgL_obj1626z00_989))->BgL_idz00); } 
{ /* Object/predicate.scm 97 */
obj_t BgL_idzf3zf3_733;
{ /* Object/predicate.scm 98 */
obj_t BgL_list2021z00_743;
{ /* Object/predicate.scm 98 */
obj_t BgL_arg2024z00_744;
{ /* Object/predicate.scm 98 */
obj_t BgL_auxz00_1407;
BgL_auxz00_1407 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2024z00_744 = 
MAKE_PAIR(BgL_auxz00_1407, BNIL); } 
BgL_list2021z00_743 = 
MAKE_PAIR(BgL_idz00_732, BgL_arg2024z00_744); } 
BgL_idzf3zf3_733 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2021z00_743); } 
{ /* Object/predicate.scm 98 */
obj_t BgL_predzd2idzd2_734;
{ /* Object/predicate.scm 99 */
obj_t BgL_list2015z00_741;
{ /* Object/predicate.scm 99 */
obj_t BgL_arg2017z00_742;
{ /* Object/predicate.scm 99 */
obj_t BgL_auxz00_1412;
BgL_auxz00_1412 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2017z00_742 = 
MAKE_PAIR(BgL_auxz00_1412, BNIL); } 
BgL_list2015z00_741 = 
MAKE_PAIR(BgL_idz00_732, BgL_arg2017z00_742); } 
BgL_predzd2idzd2_734 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2015z00_741); } 
{ /* Object/predicate.scm 101 */

{ /* Object/predicate.scm 102 */
bool_t BgL_test2002z00_737;
{ /* Object/predicate.scm 102 */
obj_t BgL_auxz00_1417;
{ 
obj_t BgL_auxz00_1418;
{ /* Object/predicate.scm 101 */
BgL_objectz00_bglt BgL_auxz00_1419;
BgL_auxz00_1419 = 
(BgL_objectz00_bglt)(BgL_classz00_4); 
BgL_auxz00_1418 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1419); } 
BgL_auxz00_1417 = 
(((BgL_tclassz00_bglt)CREF(BgL_auxz00_1418))->BgL_itszd2superzd2); } 
BgL_test2002z00_737 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1417, BGl_tclassz00zzobject_classz00); } 
if(BgL_test2002z00_737)
{ /* Object/predicate.scm 104 */
obj_t BgL_arg2004z00_738;
{ /* Object/predicate.scm 104 */
obj_t BgL_arg2008z00_740;
{ /* Object/predicate.scm 104 */
obj_t BgL_auxz00_1425;
BgL_auxz00_1425 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2008z00_740 = 
MAKE_PAIR(BgL_auxz00_1425, BNIL); } 
BgL_arg2004z00_738 = 
MAKE_PAIR(BgL_predzd2idzd2_734, BgL_arg2008z00_740); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_6, BgL_arg2004z00_738, BNIL); }  else 
{ /* Object/predicate.scm 102 */BFALSE; } } 
return BNIL;} } } } } 
}



/* _import-class-pred! */
obj_t BGl__importzd2classzd2predz12z12zzobject_predicatez00(obj_t BgL_envz00_1253, obj_t BgL_classz00_1254, obj_t BgL_srczd2defzd2_1255, obj_t BgL_modulez00_1256)
{ AN_OBJECT;
{ /* Object/predicate.scm 92 */
return 
BGl_importzd2classzd2predz12z12zzobject_predicatez00(
(BgL_tclassz00_bglt)(BgL_classz00_1254), BgL_srczd2defzd2_1255, BgL_modulez00_1256);} 
}



/* gen-java-class-pred! */
obj_t BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_7, obj_t BgL_srczd2defzd2_8, obj_t BgL_mclausez00_9)
{ AN_OBJECT;
{ /* Object/predicate.scm 114 */
{ /* Object/predicate.scm 115 */
obj_t BgL_idz00_745;
{ /* Object/predicate.scm 115 */
BgL_typez00_bglt BgL_obj1707z00_993;
BgL_obj1707z00_993 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_idz00_745 = 
(((BgL_typez00_bglt)CREF(BgL_obj1707z00_993))->BgL_idz00); } 
{ /* Object/predicate.scm 115 */
obj_t BgL_idzf3zf3_746;
{ /* Object/predicate.scm 116 */
obj_t BgL_list2122z00_788;
{ /* Object/predicate.scm 116 */
obj_t BgL_arg2124z00_789;
{ /* Object/predicate.scm 116 */
obj_t BgL_auxz00_1434;
BgL_auxz00_1434 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2124z00_789 = 
MAKE_PAIR(BgL_auxz00_1434, BNIL); } 
BgL_list2122z00_788 = 
MAKE_PAIR(BgL_idz00_745, BgL_arg2124z00_789); } 
BgL_idzf3zf3_746 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2122z00_788); } 
{ /* Object/predicate.scm 116 */
obj_t BgL_predzd2idzd2_747;
{ /* Object/predicate.scm 117 */
obj_t BgL_list2116z00_786;
{ /* Object/predicate.scm 117 */
obj_t BgL_arg2118z00_787;
{ /* Object/predicate.scm 117 */
obj_t BgL_auxz00_1439;
BgL_auxz00_1439 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2118z00_787 = 
MAKE_PAIR(BgL_auxz00_1439, BNIL); } 
BgL_list2116z00_786 = 
MAKE_PAIR(BgL_idz00_745, BgL_arg2118z00_787); } 
BgL_predzd2idzd2_747 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2116z00_786); } 
{ /* Object/predicate.scm 117 */
obj_t BgL_objz00_748;
{ /* Object/predicate.scm 118 */
obj_t BgL_arg2112z00_785;
BgL_arg2112z00_785 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, 
CNST_TABLE_REF(((long)3)), BEOA); 
BgL_objz00_748 = 
BGl_markzd2symbolzd2nonzd2userz12zc0zzast_identz00(BgL_arg2112z00_785); } 
{ /* Object/predicate.scm 119 */

{ 

{ /* Object/predicate.scm 124 */
obj_t BgL_arg2030z00_751;
{ /* Object/predicate.scm 124 */
obj_t BgL_arg2033z00_752;
{ /* Object/predicate.scm 124 */
obj_t BgL_arg2036z00_753;
{ /* Object/predicate.scm 124 */
obj_t BgL_arg2040z00_755;obj_t BgL_arg2041z00_756;
BgL_arg2040z00_755 = 
CNST_TABLE_REF(((long)8)); 
{ /* Object/predicate.scm 124 */
obj_t BgL_arg2044z00_757;
{ /* Object/predicate.scm 124 */
obj_t BgL_auxz00_1449;
BgL_auxz00_1449 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2044z00_757 = 
MAKE_PAIR(BgL_auxz00_1449, BNIL); } 
BgL_arg2041z00_756 = 
MAKE_PAIR(BgL_predzd2idzd2_747, BgL_arg2044z00_757); } 
BgL_arg2036z00_753 = 
MAKE_PAIR(BgL_arg2040z00_755, BgL_arg2041z00_756); } 
BgL_arg2033z00_752 = 
MAKE_PAIR(BgL_arg2036z00_753, BNIL); } 
BgL_arg2030z00_751 = 
MAKE_PAIR(BgL_mclausez00_9, BgL_arg2033z00_752); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2030z00_751); } 
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2048z00_758;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2051z00_759;obj_t BgL_arg2052z00_760;
BgL_arg2051z00_759 = 
CNST_TABLE_REF(((long)10)); 
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2055z00_761;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2059z00_763;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2063z00_764;obj_t BgL_arg2064z00_765;
{ /* Object/predicate.scm 126 */
obj_t BgL_arg2067z00_766;obj_t BgL_arg2068z00_767;
BgL_arg2067z00_766 = 
CNST_TABLE_REF(((long)11)); 
{ /* Object/predicate.scm 126 */
obj_t BgL_auxz00_1459;
{ /* Object/predicate.scm 126 */
BgL_typez00_bglt BgL_obj1707z00_995;
BgL_obj1707z00_995 = 
(BgL_typez00_bglt)(BgL_classz00_7); 
BgL_auxz00_1459 = 
(((BgL_typez00_bglt)CREF(BgL_obj1707z00_995))->BgL_idz00); } 
BgL_arg2068z00_767 = 
MAKE_PAIR(BgL_auxz00_1459, BNIL); } 
BgL_arg2063z00_764 = 
MAKE_PAIR(BgL_arg2067z00_766, BgL_arg2068z00_767); } 
{ /* Object/predicate.scm 126 */
obj_t BgL_auxz00_1464;
BgL_auxz00_1464 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg2064z00_765 = 
MAKE_PAIR(BgL_auxz00_1464, BNIL); } 
BgL_arg2059z00_763 = 
MAKE_PAIR(BgL_arg2063z00_764, BgL_arg2064z00_765); } 
BgL_arg2055z00_761 = 
MAKE_PAIR(BgL_idzf3zf3_746, BgL_arg2059z00_763); } 
BgL_arg2052z00_760 = 
MAKE_PAIR(BgL_arg2055z00_761, BNIL); } 
BgL_arg2048z00_758 = 
MAKE_PAIR(BgL_arg2051z00_759, BgL_arg2052z00_760); } 
BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(BgL_arg2048z00_758); } 
{ /* Object/predicate.scm 129 */
obj_t BgL_arg2078z00_770;
{ /* Object/predicate.scm 129 */
obj_t BgL_arg2083z00_772;
{ /* Object/predicate.scm 129 */
obj_t BgL_arg2088z00_774;obj_t BgL_arg2089z00_775;
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 129 */
BgL_arg2088z00_774 = 
CNST_TABLE_REF(((long)13)); }  else 
{ /* Object/predicate.scm 129 */
BgL_arg2088z00_774 = 
CNST_TABLE_REF(((long)14)); } 
{ /* Object/predicate.scm 130 */
obj_t BgL_arg2094z00_777;obj_t BgL_arg2095z00_778;
{ /* Object/predicate.scm 130 */
obj_t BgL_arg2098z00_779;
BgL_arg2098z00_779 = 
MAKE_PAIR(BgL_objz00_748, BNIL); 
BgL_arg2094z00_777 = 
MAKE_PAIR(BgL_predzd2idzd2_747, BgL_arg2098z00_779); } 
{ /* Object/predicate.scm 131 */
obj_t BgL_arg2102z00_780;
{ /* Object/predicate.scm 121 */
obj_t BgL_list2108z00_783;
BgL_list2108z00_783 = 
MAKE_PAIR(BgL_objz00_748, BNIL); 
BgL_arg2102z00_780 = 
BGl_makezd2privatezd2sexpz00zzast_privatez00(
CNST_TABLE_REF(((long)16)), BgL_idz00_745, BgL_list2108z00_783); } 
BgL_arg2095z00_778 = 
MAKE_PAIR(BgL_arg2102z00_780, BNIL); } 
BgL_arg2089z00_775 = 
MAKE_PAIR(BgL_arg2094z00_777, BgL_arg2095z00_778); } 
BgL_arg2083z00_772 = 
MAKE_PAIR(BgL_arg2088z00_774, BgL_arg2089z00_775); } 
{ /* Object/predicate.scm 129 */
obj_t BgL_list2085z00_773;
BgL_list2085z00_773 = 
MAKE_PAIR(BgL_srczd2defzd2_8, BNIL); 
BgL_arg2078z00_770 = 
BGl_epairifyza2za2zztools_miscz00(BgL_arg2083z00_772, BgL_list2085z00_773); } } 
{ /* Object/predicate.scm 128 */
obj_t BgL_list2080z00_771;
BgL_list2080z00_771 = 
MAKE_PAIR(BgL_arg2078z00_770, BNIL); 
return BgL_list2080z00_771;} } } } } } } } } 
}



/* import-java-class-pred! */
obj_t BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_jclassz00_bglt BgL_classz00_10, obj_t BgL_srczd2defzd2_11, obj_t BgL_modulez00_12)
{ AN_OBJECT;
{ /* Object/predicate.scm 137 */
if(
BGl_inlinezd2predzf3z21zzobject_predicatez00())
{ /* Object/predicate.scm 142 */
obj_t BgL_arg2130z00_791;
{ /* Object/predicate.scm 142 */
bool_t BgL_test2132z00_792;
BgL_test2132z00_792 = 
(BgL_modulez00_12==BGl_za2moduleza2z00zzmodule_modulez00); 
if(BgL_test2132z00_792)
{ /* Object/predicate.scm 142 */
BgL_arg2130z00_791 = 
CNST_TABLE_REF(((long)17)); }  else 
{ /* Object/predicate.scm 142 */
BgL_arg2130z00_791 = 
CNST_TABLE_REF(((long)15)); } } 
return 
BGl_genzd2javazd2classzd2predz12zc0zzobject_predicatez00(BgL_classz00_10, BgL_srczd2defzd2_11, BgL_arg2130z00_791);}  else 
{ /* Object/predicate.scm 144 */
obj_t BgL_idz00_793;
{ /* Object/predicate.scm 144 */
BgL_typez00_bglt BgL_obj1707z00_998;
BgL_obj1707z00_998 = 
(BgL_typez00_bglt)(BgL_classz00_10); 
BgL_idz00_793 = 
(((BgL_typez00_bglt)CREF(BgL_obj1707z00_998))->BgL_idz00); } 
{ /* Object/predicate.scm 144 */
obj_t BgL_idzf3zf3_794;
{ /* Object/predicate.scm 145 */
obj_t BgL_list2152z00_803;
{ /* Object/predicate.scm 145 */
obj_t BgL_arg2154z00_804;
{ /* Object/predicate.scm 145 */
obj_t BgL_auxz00_1496;
BgL_auxz00_1496 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg2154z00_804 = 
MAKE_PAIR(BgL_auxz00_1496, BNIL); } 
BgL_list2152z00_803 = 
MAKE_PAIR(BgL_idz00_793, BgL_arg2154z00_804); } 
BgL_idzf3zf3_794 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2152z00_803); } 
{ /* Object/predicate.scm 145 */
obj_t BgL_predzd2idzd2_795;
{ /* Object/predicate.scm 146 */
obj_t BgL_list2146z00_801;
{ /* Object/predicate.scm 146 */
obj_t BgL_arg2148z00_802;
{ /* Object/predicate.scm 146 */
obj_t BgL_auxz00_1501;
BgL_auxz00_1501 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg2148z00_802 = 
MAKE_PAIR(BgL_auxz00_1501, BNIL); } 
BgL_list2146z00_801 = 
MAKE_PAIR(BgL_idz00_793, BgL_arg2148z00_802); } 
BgL_predzd2idzd2_795 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list2146z00_801); } 
{ /* Object/predicate.scm 147 */

{ /* Object/predicate.scm 148 */
bool_t BgL_test2134z00_797;
{ /* Object/predicate.scm 148 */
obj_t BgL_auxz00_1506;
{ 
obj_t BgL_auxz00_1507;
{ /* Object/predicate.scm 147 */
BgL_objectz00_bglt BgL_auxz00_1508;
BgL_auxz00_1508 = 
(BgL_objectz00_bglt)(BgL_classz00_10); 
BgL_auxz00_1507 = 
BGL_OBJECT_WIDENING(BgL_auxz00_1508); } 
BgL_auxz00_1506 = 
(((BgL_jclassz00_bglt)CREF(BgL_auxz00_1507))->BgL_itszd2superzd2); } 
BgL_test2134z00_797 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_1506, BGl_jclassz00zzobject_classz00); } 
if(BgL_test2134z00_797)
{ /* Object/predicate.scm 150 */
obj_t BgL_arg2136z00_798;
{ /* Object/predicate.scm 150 */
obj_t BgL_arg2140z00_800;
{ /* Object/predicate.scm 150 */
obj_t BgL_auxz00_1514;
BgL_auxz00_1514 = 
CNST_TABLE_REF(((long)9)); 
BgL_arg2140z00_800 = 
MAKE_PAIR(BgL_auxz00_1514, BNIL); } 
BgL_arg2136z00_798 = 
MAKE_PAIR(BgL_predzd2idzd2_795, BgL_arg2140z00_800); } 
BGl_importzd2parserzd2zzmodule_impusez00(BgL_modulez00_12, BgL_arg2136z00_798, BNIL); }  else 
{ /* Object/predicate.scm 148 */BFALSE; } } 
return BNIL;} } } } } 
}



/* _import-java-class-pred! */
obj_t BGl__importzd2javazd2classzd2predz12zc0zzobject_predicatez00(obj_t BgL_envz00_1257, obj_t BgL_classz00_1258, obj_t BgL_srczd2defzd2_1259, obj_t BgL_modulez00_1260)
{ AN_OBJECT;
{ /* Object/predicate.scm 137 */
return 
BGl_importzd2javazd2classzd2predz12zc0zzobject_predicatez00(
(BgL_jclassz00_bglt)(BgL_classz00_1258), BgL_srczd2defzd2_1259, BgL_modulez00_1260);} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzobject_predicatez00()
{ AN_OBJECT;
{ /* Object/predicate.scm 21 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztools_miscz00(((long)63966), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_envz00(((long)25262), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_toolsz00(((long)14899), "object_predicate"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)52188), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzast_privatez00(((long)10040), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_structz00(((long)41722), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long)83931), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzobject_toolsz00(((long)59737), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "object_predicate"); 
BGl_modulezd2initializa7ationz75zzmodule_impusez00(((long)21670), "object_predicate"); 
return 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "object_predicate");} 
}

