/*===========================================================================*/
/*   (Tools/error.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zztools_errorz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_za2sfunzd2stackza2zd2zztools_errorz00 = BUNSPEC;
extern obj_t BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2tracezd2portza2zd2zztools_tracez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
extern obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_handling_function2869z00zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_escapez00zztools_errorz00(obj_t, obj_t);
static obj_t BGl_handling_function2837z00zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__nozd2warningzd2zztools_errorz00(obj_t, obj_t);
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_cnstzd2initzd2zztools_errorz00();
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t c_substring(obj_t, int, int);
obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BUNSPEC;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_zc3anonymousza32845ze3z83zztools_errorz00(obj_t);
extern obj_t open_output_string();
static obj_t BGl_importedzd2moduleszd2initz00zztools_errorz00();
static obj_t BGl_zc3anonymousza32847ze3z83zztools_errorz00(obj_t);
extern obj_t BGl_za2bigloozd2emailza2zd2zzengine_paramz00;
static obj_t BGl_zc3anonymousza32851ze3z83zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
static obj_t BGl_zc3anonymousza32854ze3z83zztools_errorz00(obj_t);
extern obj_t BGl_notifyzd2errorzd2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl__internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2errorzd2handlerz12z12zz__errorz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zztools_errorz00();
extern obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl__userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__pp_circlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_handlerz00zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t close_output_port(obj_t);
static obj_t BGl__leavezd2functionzd2zztools_errorz00(obj_t);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t string_to_symbol(char *);
extern obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl__userzd2warningzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32877ze3z83zztools_errorz00(obj_t);
static obj_t BGl_zc3anonymousza32879ze3z83zztools_errorz00(obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32883ze3z83zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32886ze3z83zztools_errorz00(obj_t);
extern obj_t BGl_za2bigloozd2authorza2zd2zzengine_paramz00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_removezd2errorzd2handlerz12z12zz__errorz00();
static obj_t BGl_sharpzd2symbolzd2zztools_errorz00 = BUNSPEC;
extern bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl__userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_escape_3367z00zztools_errorz00(obj_t, obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
static obj_t BGl__currentzd2functionzd2zztools_errorz00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zztools_errorz00 = BUNSPEC;
static obj_t BGl__enterzd2functionzd2zztools_errorz00(obj_t, obj_t);
extern obj_t BGl_warningzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2warningza2z00zz__errorz00;
static obj_t BGl_libraryzd2moduleszd2initz00zztools_errorz00();
extern obj_t BGl_exitzd2bigloozd2zzinit_mainz00(obj_t);
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_userzd2errorzd2envz00zztools_errorz00, BgL_bgl__userza7d2errorza7d2za7za7tools_errorza7003536za7, va_generic_entry, BGl__userzd2errorzd2zztools_errorz00, -4 );
DEFINE_EXPORT_PROCEDURE( BGl_userzd2warningzd2envz00zztools_errorz00, BgL_bgl__userza7d2warningza7d2za7za7tools_errorza7003537za7, BGl__userzd2warningzd2zztools_errorz00, 0L, 3 );
DEFINE_STRING( BGl_string3499z00zztools_errorz00, BgL_bgl_string3499za700za7za7tools_errorza7003538z00, "(Would you, please, send this error report and the source file to", 65 );
DEFINE_STRING( BGl_string3498z00zztools_errorz00, BgL_bgl_string3498za700za7za7tools_errorza7003539z00, "*** INTERNAL-ERROR in pass: ", 28 );
DEFINE_STRING( BGl_string3497z00zztools_errorz00, BgL_bgl_string3497za700za7za7tools_errorza7003540z00, ":", 1 );
DEFINE_STRING( BGl_string3496z00zztools_errorz00, BgL_bgl_string3496za700za7za7tools_errorza7003541z00, "*** ERROR: ", 11 );
DEFINE_STRING( BGl_string3505z00zztools_errorz00, BgL_bgl_string3505za700za7za7tools_errorza7003542z00, "location (top-level) ", 21 );
DEFINE_STRING( BGl_string3495z00zztools_errorz00, BgL_bgl_string3495za700za7za7tools_errorza7003543z00, "#", 1 );
DEFINE_STRING( BGl_string3504z00zztools_errorz00, BgL_bgl_string3504za700za7za7tools_errorza7003544z00, " ...", 4 );
DEFINE_STRING( BGl_string3503z00zztools_errorz00, BgL_bgl_string3503za700za7za7tools_errorza7003545z00, "*** ERROR:", 10 );
DEFINE_STRING( BGl_string3502z00zztools_errorz00, BgL_bgl_string3502za700za7za7tools_errorza7003546z00, " -- ", 4 );
DEFINE_STRING( BGl_string3501z00zztools_errorz00, BgL_bgl_string3501za700za7za7tools_errorza7003547z00, "], thank you.)", 14 );
DEFINE_EXPORT_PROCEDURE( BGl_nozd2warningzd2envz00zztools_errorz00, BgL_bgl__noza7d2warningza7d2za7za7tools_errorza7003548za7, BGl__nozd2warningzd2zztools_errorz00, 0L, 1 );
DEFINE_STRING( BGl_string3500z00zztools_errorz00, BgL_bgl_string3500za700za7za7tools_errorza7003549z00, " [", 2 );
DEFINE_EXPORT_PROCEDURE( BGl_enterzd2functionzd2envz00zztools_errorz00, BgL_bgl__enterza7d2functionza7d2za7za7tools_errorza7003550za7, BGl__enterzd2functionzd2zztools_errorz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_userzd2warningzf2locationzd2envzf2zztools_errorz00, BgL_bgl__userza7d2warningza7f2locationza720za7za7tools_errorza7003551z00, BGl__userzd2warningzf2locationz20zztools_errorz00, 0L, 4 );
DEFINE_EXPORT_PROCEDURE( BGl_userzd2errorzf2locationzd2envzf2zztools_errorz00, BgL_bgl__userza7d2errorza7f2locationza720za7za7tools_errorza7003552z00, va_generic_entry, BGl__userzd2errorzf2locationz20zztools_errorz00, -5 );
DEFINE_EXPORT_PROCEDURE( BGl_leavezd2functionzd2envz00zztools_errorz00, BgL_bgl__leaveza7d2functionza7d2za7za7tools_errorza7003553za7, BGl__leavezd2functionzd2zztools_errorz00, 0L, 0 );
DEFINE_EXPORT_PROCEDURE( BGl_internalzd2errorzd2envz00zztools_errorz00, BgL_bgl__internalza7d2errorza7d2za7za7tools_errorza7003554za7, BGl__internalzd2errorzd2zztools_errorz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_currentzd2functionzd2envz00zztools_errorz00, BgL_bgl__currentza7d2functionza7d2za7za7tools_errorza7003555za7, BGl__currentzd2functionzd2zztools_errorz00, 0L, 0 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long BgL_checksumz00_2462, char * BgL_fromz00_2463)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zztools_errorz00))
{ 
BGl_requirezd2initializa7ationz75zztools_errorz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zztools_errorz00(); 
BGl_cnstzd2initzd2zztools_errorz00(); 
BGl_importedzd2moduleszd2initz00zztools_errorz00(); 
BGl_toplevelzd2initzd2zztools_errorz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "tools_error"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "tools_error"); 
BGl_modulezd2initializa7ationz75zz__pp_circlez00(((long)0), "tools_error"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "tools_error"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "tools_error"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "tools_error"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 15 */
{ /* Tools/error.scm 15 */
obj_t BgL_cportz00_2455;
BgL_cportz00_2455 = 
open_input_string(BGl_string3505z00zztools_errorz00); 
{ 
long BgL_iz00_2456;
BgL_iz00_2456 = ((long)1); 
BgL_loopz00_2457:
if(
(BgL_iz00_2456==((long)-1)))
{ /* Tools/error.scm 15 */
return BUNSPEC;}  else 
{ /* Tools/error.scm 15 */
{ /* Tools/error.scm 15 */
obj_t BgL_arg3510z00_2459;
{ /* Tools/error.scm 15 */
obj_t BgL_list3513z00_2460;
BgL_list3513z00_2460 = 
MAKE_PAIR(BgL_cportz00_2455, BNIL); 
BgL_arg3510z00_2459 = 
BGl_readz00zz__readerz00(BgL_list3513z00_2460); } 
{ /* Tools/error.scm 15 */
int BgL_auxz00_2482;
BgL_auxz00_2482 = 
(int)(BgL_iz00_2456); 
CNST_TABLE_SET(BgL_auxz00_2482, BgL_arg3510z00_2459); } } 
{ 
long BgL_iz00_2485;
{ /* Tools/error.scm 15 */
int BgL_auxz00_2486;
{ /* Tools/error.scm 15 */
long BgL_auxz00_2487;
BgL_auxz00_2487 = 
(BgL_iz00_2456-((long)1)); 
BgL_auxz00_2486 = 
(int)(BgL_auxz00_2487); } 
BgL_iz00_2485 = 
(long)(BgL_auxz00_2486); } 
BgL_iz00_2456 = BgL_iz00_2485; 
goto BgL_loopz00_2457;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 15 */
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2sfunzd2stackza2zd2zztools_errorz00 = 
CNST_TABLE_REF(((long)0)); 
{ /* Tools/error.scm 165 */
char * BgL_auxz00_2493;
BgL_auxz00_2493 = 
BSTRING_TO_STRING(BGl_string3495z00zztools_errorz00); 
return ( 
BGl_sharpzd2symbolzd2zztools_errorz00 = 
string_to_symbol(BgL_auxz00_2493), BUNSPEC) ;} } 
}



/* internal-error */
obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t BgL_procz00_15, obj_t BgL_mesz00_16, obj_t BgL_objz00_17)
{ AN_OBJECT;
{ /* Tools/error.scm 43 */
{ /* Tools/error.scm 44 */
bool_t BgL_test2709z00_1265;
{ /* Tools/error.scm 44 */
obj_t BgL_objz00_1800;
BgL_objz00_1800 = BGl_za2tracezd2portza2zd2zztools_tracez00; 
BgL_test2709z00_1265 = 
OUTPUT_PORTP(BgL_objz00_1800); } 
if(BgL_test2709z00_1265)
{ /* Tools/error.scm 45 */
obj_t BgL_port2655z00_1266;
BgL_port2655z00_1266 = BGl_za2tracezd2portza2zd2zztools_tracez00; 
{ /* Tools/error.scm 45 */
obj_t BgL_list2711z00_1267;
BgL_list2711z00_1267 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3496z00zztools_errorz00, BgL_list2711z00_1267); } 
{ /* Tools/error.scm 45 */
obj_t BgL_list2714z00_1268;
BgL_list2714z00_1268 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_procz00_15, BgL_list2714z00_1268); } 
{ /* Tools/error.scm 45 */
obj_t BgL_list2717z00_1269;
BgL_list2717z00_1269 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3497z00zztools_errorz00, BgL_list2717z00_1269); } 
{ /* Tools/error.scm 45 */
obj_t BgL_list2720z00_1270;
BgL_list2720z00_1270 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_mesz00_16, BgL_list2720z00_1270); } 
{ /* Tools/error.scm 45 */
obj_t BgL_list2723z00_1271;
BgL_list2723z00_1271 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3497z00zztools_errorz00, BgL_list2723z00_1271); } 
{ /* Tools/error.scm 45 */
obj_t BgL_list2726z00_1272;
BgL_list2726z00_1272 = 
MAKE_PAIR(BgL_port2655z00_1266, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_objz00_17, BgL_list2726z00_1272); } 
{ /* Tools/error.scm 45 */
unsigned char BgL_auxz00_2510;
BgL_auxz00_2510 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2655z00_1266); 
BCHAR(BgL_auxz00_2510); } }  else 
{ /* Tools/error.scm 44 */BFALSE; } } 
{ /* Tools/error.scm 46 */
obj_t BgL_port2656z00_1273;
BgL_port2656z00_1273 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Tools/error.scm 46 */
obj_t BgL_list2731z00_1274;
BgL_list2731z00_1274 = 
MAKE_PAIR(BgL_port2656z00_1273, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3498z00zztools_errorz00, BgL_list2731z00_1274); } 
{ /* Tools/error.scm 46 */
obj_t BgL_list2734z00_1275;
BgL_list2734z00_1275 = 
MAKE_PAIR(BgL_port2656z00_1273, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2currentzd2passza2zd2zzengine_passz00, BgL_list2734z00_1275); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2656z00_1273); } 
{ /* Tools/error.scm 48 */
obj_t BgL_port2657z00_1276;
BgL_port2657z00_1276 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Tools/error.scm 48 */
obj_t BgL_list2739z00_1277;
BgL_list2739z00_1277 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3499z00zztools_errorz00, BgL_list2739z00_1277); } 
{ /* Tools/error.scm 48 */
obj_t BgL_list2742z00_1278;
BgL_list2742z00_1278 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
BCHAR(((unsigned char)'\n')), BgL_list2742z00_1278); } 
{ /* Tools/error.scm 48 */
obj_t BgL_list2745z00_1279;
BgL_list2745z00_1279 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2bigloozd2authorza2zd2zzengine_paramz00, BgL_list2745z00_1279); } 
{ /* Tools/error.scm 48 */
obj_t BgL_list2748z00_1280;
BgL_list2748z00_1280 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3500z00zztools_errorz00, BgL_list2748z00_1280); } 
{ /* Tools/error.scm 48 */
obj_t BgL_list2751z00_1281;
BgL_list2751z00_1281 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2bigloozd2emailza2zd2zzengine_paramz00, BgL_list2751z00_1281); } 
{ /* Tools/error.scm 48 */
obj_t BgL_list2754z00_1282;
BgL_list2754z00_1282 = 
MAKE_PAIR(BgL_port2657z00_1276, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3501z00zztools_errorz00, BgL_list2754z00_1282); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2657z00_1276); } 
FAILURE(BgL_procz00_15,BgL_mesz00_16,BgL_objz00_17);} 
}



/* _internal-error */
obj_t BGl__internalzd2errorzd2zztools_errorz00(obj_t BgL_envz00_2346, obj_t BgL_procz00_2347, obj_t BgL_mesz00_2348, obj_t BgL_objz00_2349)
{ AN_OBJECT;
{ /* Tools/error.scm 43 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BgL_procz00_2347, BgL_mesz00_2348, BgL_objz00_2349);} 
}



/* user-warning/location */
obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t BgL_locz00_18, obj_t BgL_procz00_19, obj_t BgL_mesz00_20, obj_t BgL_objz00_21)
{ AN_OBJECT;
{ /* Tools/error.scm 58 */
{ /* Tools/error.scm 59 */
bool_t BgL_testz00_2538;
if(
STRUCTP(BgL_locz00_18))
{ /* Tools/error.scm 59 */
obj_t BgL_auxz00_2543;obj_t BgL_auxz00_2541;
BgL_auxz00_2543 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2541 = 
STRUCT_KEY(BgL_locz00_18); 
BgL_testz00_2538 = 
(BgL_auxz00_2541==BgL_auxz00_2543); }  else 
{ /* Tools/error.scm 59 */
BgL_testz00_2538 = ((bool_t)0)
; } 
if(BgL_testz00_2538)
{ /* Tools/error.scm 61 */
obj_t BgL_arg2762z00_1284;obj_t BgL_arg2763z00_1285;
{ /* Tools/error.scm 61 */
int BgL_auxz00_2546;
BgL_auxz00_2546 = 
(int)(((long)0)); 
BgL_arg2762z00_1284 = 
STRUCT_REF(BgL_locz00_18, BgL_auxz00_2546); } 
{ /* Tools/error.scm 62 */
int BgL_auxz00_2549;
BgL_auxz00_2549 = 
(int)(((long)1)); 
BgL_arg2763z00_1285 = 
STRUCT_REF(BgL_locz00_18, BgL_auxz00_2549); } 
{ /* Tools/error.scm 61 */
obj_t BgL_list2766z00_1287;
{ /* Tools/error.scm 61 */
obj_t BgL_arg2768z00_1288;
{ /* Tools/error.scm 61 */
obj_t BgL_arg2771z00_1289;
{ /* Tools/error.scm 61 */
obj_t BgL_arg2774z00_1290;
BgL_arg2774z00_1290 = 
MAKE_PAIR(BgL_objz00_21, BNIL); 
BgL_arg2771z00_1289 = 
MAKE_PAIR(BGl_string3502z00zztools_errorz00, BgL_arg2774z00_1290); } 
BgL_arg2768z00_1288 = 
MAKE_PAIR(BgL_mesz00_20, BgL_arg2771z00_1289); } 
BgL_list2766z00_1287 = 
MAKE_PAIR(BgL_procz00_19, BgL_arg2768z00_1288); } 
return 
BGl_warningzf2locationzf2zz__errorz00(BgL_arg2762z00_1284, BgL_arg2763z00_1285, BgL_list2766z00_1287);} }  else 
{ /* Tools/error.scm 60 */
obj_t BgL_list2780z00_1291;
{ /* Tools/error.scm 60 */
obj_t BgL_arg2782z00_1292;
{ /* Tools/error.scm 60 */
obj_t BgL_arg2785z00_1293;
{ /* Tools/error.scm 60 */
obj_t BgL_arg2789z00_1295;
BgL_arg2789z00_1295 = 
MAKE_PAIR(BgL_objz00_21, BNIL); 
BgL_arg2785z00_1293 = 
MAKE_PAIR(BGl_string3502z00zztools_errorz00, BgL_arg2789z00_1295); } 
BgL_arg2782z00_1292 = 
MAKE_PAIR(BgL_mesz00_20, BgL_arg2785z00_1293); } 
BgL_list2780z00_1291 = 
MAKE_PAIR(BgL_procz00_19, BgL_arg2782z00_1292); } 
return 
BGl_warningz00zz__errorz00(BgL_list2780z00_1291);} } } 
}



/* _user-warning/location */
obj_t BGl__userzd2warningzf2locationz20zztools_errorz00(obj_t BgL_envz00_2350, obj_t BgL_locz00_2351, obj_t BgL_procz00_2352, obj_t BgL_mesz00_2353, obj_t BgL_objz00_2354)
{ AN_OBJECT;
{ /* Tools/error.scm 58 */
return 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_locz00_2351, BgL_procz00_2352, BgL_mesz00_2353, BgL_objz00_2354);} 
}



/* user-warning */
obj_t BGl_userzd2warningzd2zztools_errorz00(obj_t BgL_procz00_22, obj_t BgL_mesz00_23, obj_t BgL_objz00_24)
{ AN_OBJECT;
{ /* Tools/error.scm 71 */
{ /* Tools/error.scm 72 */
obj_t BgL_arg2794z00_1820;
BgL_arg2794z00_1820 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_24); 
return 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg2794z00_1820, BgL_procz00_22, BgL_mesz00_23, BgL_objz00_24);} } 
}



/* _user-warning */
obj_t BGl__userzd2warningzd2zztools_errorz00(obj_t BgL_envz00_2355, obj_t BgL_procz00_2356, obj_t BgL_mesz00_2357, obj_t BgL_objz00_2358)
{ AN_OBJECT;
{ /* Tools/error.scm 71 */
return 
BGl_userzd2warningzd2zztools_errorz00(BgL_procz00_2356, BgL_mesz00_2357, BgL_objz00_2358);} 
}



/* no-warning */
obj_t BGl_nozd2warningzd2zztools_errorz00(obj_t BgL_thunkz00_25)
{ AN_OBJECT;
{ /* Tools/error.scm 77 */
{ /* Tools/error.scm 78 */
obj_t BgL_warningz00_1297;
BgL_warningz00_1297 = BGl_za2warningza2z00zz__errorz00; 
BGl_za2warningza2z00zz__errorz00 = BFALSE; 
{ /* Tools/error.scm 80 */
obj_t BgL_valz00_1298;
BgL_valz00_1298 = 
PROCEDURE_ENTRY(BgL_thunkz00_25)(BgL_thunkz00_25, BEOA); 
BGl_za2warningza2z00zz__errorz00 = BgL_warningz00_1297; 
return BgL_valz00_1298;} } } 
}



/* _no-warning */
obj_t BGl__nozd2warningzd2zztools_errorz00(obj_t BgL_envz00_2359, obj_t BgL_thunkz00_2360)
{ AN_OBJECT;
{ /* Tools/error.scm 77 */
return 
BGl_nozd2warningzd2zztools_errorz00(BgL_thunkz00_2360);} 
}



/* user-error */
obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t BgL_procz00_26, obj_t BgL_mesz00_27, obj_t BgL_objz00_28, obj_t BgL_continuez00_29)
{ AN_OBJECT;
{ /* Tools/error.scm 87 */
if(
PAIRP(BgL_continuez00_29))
{ /* Tools/error.scm 89 */
obj_t BgL_arg2800z00_1300;obj_t BgL_arg2801z00_1301;
BgL_arg2800z00_1300 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_28); 
BgL_arg2801z00_1301 = 
CAR(BgL_continuez00_29); 
{ /* Tools/error.scm 89 */
obj_t BgL_list2803z00_1302;
BgL_list2803z00_1302 = 
MAKE_PAIR(BgL_arg2801z00_1301, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2800z00_1300, BgL_procz00_26, BgL_mesz00_27, BgL_objz00_28, BgL_list2803z00_1302);} }  else 
{ /* Tools/error.scm 91 */
obj_t BgL_arg2808z00_1303;
BgL_arg2808z00_1303 = 
BGl_findzd2locationzd2zztools_locationz00(BgL_objz00_28); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2808z00_1303, BgL_procz00_26, BgL_mesz00_27, BgL_objz00_28, BNIL);} } 
}



/* _user-error */
obj_t BGl__userzd2errorzd2zztools_errorz00(obj_t BgL_envz00_2361, obj_t BgL_procz00_2362, obj_t BgL_mesz00_2363, obj_t BgL_objz00_2364, obj_t BgL_continuez00_2365)
{ AN_OBJECT;
{ /* Tools/error.scm 87 */
return 
BGl_userzd2errorzd2zztools_errorz00(BgL_procz00_2362, BgL_mesz00_2363, BgL_objz00_2364, BgL_continuez00_2365);} 
}



/* user-error/location */
obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t BgL_locz00_30, obj_t BgL_procz00_31, obj_t BgL_mesz00_32, obj_t BgL_objz00_33, obj_t BgL_continuez00_34)
{ AN_OBJECT;
{ /* Tools/error.scm 96 */
{ /* Tools/error.scm 97 */
bool_t BgL_test2813z00_1305;
{ /* Tools/error.scm 97 */
obj_t BgL_objz00_1823;
BgL_objz00_1823 = BGl_za2tracezd2portza2zd2zztools_tracez00; 
BgL_test2813z00_1305 = 
OUTPUT_PORTP(BgL_objz00_1823); } 
if(BgL_test2813z00_1305)
{ /* Tools/error.scm 98 */
obj_t BgL_port2658z00_1306;
BgL_port2658z00_1306 = BGl_za2tracezd2portza2zd2zztools_tracez00; 
{ /* Tools/error.scm 98 */
obj_t BgL_list2815z00_1307;
BgL_list2815z00_1307 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3503z00zztools_errorz00, BgL_list2815z00_1307); } 
{ /* Tools/error.scm 98 */
obj_t BgL_list2818z00_1308;
BgL_list2818z00_1308 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_procz00_31, BgL_list2818z00_1308); } 
{ /* Tools/error.scm 98 */
obj_t BgL_list2821z00_1309;
BgL_list2821z00_1309 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3497z00zztools_errorz00, BgL_list2821z00_1309); } 
{ /* Tools/error.scm 98 */
obj_t BgL_list2824z00_1310;
BgL_list2824z00_1310 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_mesz00_32, BgL_list2824z00_1310); } 
{ /* Tools/error.scm 98 */
obj_t BgL_list2827z00_1311;
BgL_list2827z00_1311 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string3497z00zztools_errorz00, BgL_list2827z00_1311); } 
{ /* Tools/error.scm 98 */
obj_t BgL_list2830z00_1312;
BgL_list2830z00_1312 = 
MAKE_PAIR(BgL_port2658z00_1306, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_objz00_33, BgL_list2830z00_1312); } 
{ /* Tools/error.scm 98 */
unsigned char BgL_auxz00_2592;
BgL_auxz00_2592 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2658z00_1306); 
BCHAR(BgL_auxz00_2592); } }  else 
{ /* Tools/error.scm 97 */BFALSE; } } 
{ /* Tools/error.scm 99 */
long BgL_za71za7_1825;
BgL_za71za7_1825 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
{ /* Tools/error.scm 99 */
long BgL_auxz00_2596;
BgL_auxz00_2596 = 
(BgL_za71za7_1825+((long)1)); 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(BgL_auxz00_2596); } } 
{ /* Tools/error.scm 100 */
obj_t BgL_proczd2stringzd2_1313;
if(
STRINGP(BgL_procz00_31))
{ /* Tools/error.scm 101 */
BgL_proczd2stringzd2_1313 = BgL_procz00_31; }  else 
{ /* Tools/error.scm 101 */
if(
SYMBOLP(BgL_procz00_31))
{ /* Tools/error.scm 103 */
BgL_proczd2stringzd2_1313 = 
SYMBOL_TO_STRING(BgL_procz00_31); }  else 
{ /* Tools/error.scm 103 */
BgL_proczd2stringzd2_1313 = BFALSE; } } 
{ /* Tools/error.scm 100 */
obj_t BgL_funzd2stringzd2_1314;
{ /* Tools/error.scm 107 */
obj_t BgL_arg2920z00_1391;
{ /* Tools/error.scm 107 */
obj_t BgL_pairz00_1830;
BgL_pairz00_1830 = BGl_za2sfunzd2stackza2zd2zztools_errorz00; 
BgL_arg2920z00_1391 = 
CAR(BgL_pairz00_1830); } 
BgL_funzd2stringzd2_1314 = 
SYMBOL_TO_STRING(BgL_arg2920z00_1391); } 
{ /* Tools/error.scm 107 */
obj_t BgL_procz00_1315;
{ /* Tools/error.scm 108 */
bool_t BgL_test2913z00_1388;
if(
STRINGP(BgL_proczd2stringzd2_1313))
{ /* Tools/error.scm 109 */
bool_t BgL_test2916z00_1390;
BgL_test2916z00_1390 = 
bigloo_strcmp(BgL_proczd2stringzd2_1313, BgL_funzd2stringzd2_1314); 
if(BgL_test2916z00_1390)
{ /* Tools/error.scm 109 */
BgL_test2913z00_1388 = ((bool_t)0); }  else 
{ /* Tools/error.scm 109 */
BgL_test2913z00_1388 = ((bool_t)1); } }  else 
{ /* Tools/error.scm 108 */
BgL_test2913z00_1388 = ((bool_t)0); } 
if(BgL_test2913z00_1388)
{ /* Tools/error.scm 108 */
BgL_procz00_1315 = 
string_append_3(BgL_funzd2stringzd2_1314, BGl_string3497z00zztools_errorz00, BgL_proczd2stringzd2_1313); }  else 
{ /* Tools/error.scm 108 */
BgL_procz00_1315 = BgL_funzd2stringzd2_1314; } } 
{ /* Tools/error.scm 108 */

{ /* Tools/error.scm 112 */
obj_t BgL_objzd2prnzd2_1316;
{ /* Tools/error.scm 112 */
obj_t BgL_portz00_1373;
BgL_portz00_1373 = 
open_output_string(); 
{ /* Tools/error.scm 113 */
obj_t BgL_list2892z00_1374;
BgL_list2892z00_1374 = 
MAKE_PAIR(BgL_portz00_1373, BNIL); 
BGl_displayzd2circlezd2zz__pp_circlez00(BgL_objz00_33, BgL_list2892z00_1374); } 
{ /* Tools/error.scm 114 */
obj_t BgL_stringz00_1375;
BgL_stringz00_1375 = 
close_output_port(BgL_portz00_1373); 
{ /* Tools/error.scm 115 */
bool_t BgL_testz00_2616;
{ /* Tools/error.scm 115 */
long BgL_auxz00_2617;
{ /* Tools/error.scm 115 */
int BgL_auxz00_2618;
BgL_auxz00_2618 = 
STRING_LENGTH(BgL_stringz00_1375); 
BgL_auxz00_2617 = 
(long)(BgL_auxz00_2618); } 
BgL_testz00_2616 = 
(BgL_auxz00_2617>((long)45)); } 
if(BgL_testz00_2616)
{ /* Tools/error.scm 116 */
obj_t BgL_arg2896z00_1377;
{ /* Tools/error.scm 116 */
int BgL_auxz00_2624;int BgL_auxz00_2622;
BgL_auxz00_2624 = 
(int)(((long)44)); 
BgL_auxz00_2622 = 
(int)(((long)0)); 
BgL_arg2896z00_1377 = 
c_substring(BgL_stringz00_1375, BgL_auxz00_2622, BgL_auxz00_2624); } 
BgL_objzd2prnzd2_1316 = 
string_append(BgL_arg2896z00_1377, BGl_string3504z00zztools_errorz00); }  else 
{ /* Tools/error.scm 115 */
BgL_objzd2prnzd2_1316 = BgL_stringz00_1375; } } } } 
{ /* Tools/error.scm 119 */
obj_t BgL_handlerz00_2376;
{ 
int BgL_auxz00_2630;int BgL_auxz00_2628;
BgL_auxz00_2630 = 
(int)(((long)1)); 
BgL_auxz00_2628 = 
(int)(((long)4)); 
BgL_handlerz00_2376 = 
make_fx_procedure(BGl_handlerz00zztools_errorz00, BgL_auxz00_2628, BgL_auxz00_2630); } 
{ /* Tools/error.scm 119 */
int BgL_auxz00_2633;
BgL_auxz00_2633 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_handlerz00_2376, BgL_auxz00_2633, BgL_continuez00_34); } 
{ /* Tools/error.scm 121 */
bool_t BgL_testz00_2636;
if(
STRUCTP(BgL_locz00_30))
{ /* Tools/error.scm 121 */
obj_t BgL_auxz00_2641;obj_t BgL_auxz00_2639;
BgL_auxz00_2641 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_2639 = 
STRUCT_KEY(BgL_locz00_30); 
BgL_testz00_2636 = 
(BgL_auxz00_2639==BgL_auxz00_2641); }  else 
{ /* Tools/error.scm 121 */
BgL_testz00_2636 = ((bool_t)0)
; } 
if(BgL_testz00_2636)
{ /* Tools/error.scm 121 */
if(
PAIRP(BgL_continuez00_34))
{ /* Tools/error.scm 123 */
obj_t BgL_armed2662z00_1320;obj_t BgL_handler2659z00_1321;
BgL_armed2662z00_1320 = 
MAKE_CELL(BUNSPEC); 
BgL_handler2659z00_1321 = 
MAKE_CELL(BUNSPEC); 
{ /* Tools/error.scm 123 */
obj_t BgL_zc3anonymousza32854ze3z83_2367;obj_t BgL_zc3anonymousza32851ze3z83_2369;
{ 
int BgL_auxz00_2648;int BgL_auxz00_2646;
BgL_auxz00_2648 = 
(int)(((long)4)); 
BgL_auxz00_2646 = 
(int)(((long)0)); 
BgL_zc3anonymousza32854ze3z83_2367 = 
make_fx_procedure(BGl_zc3anonymousza32854ze3z83zztools_errorz00, BgL_auxz00_2646, BgL_auxz00_2648); } 
{ 
int BgL_auxz00_2653;int BgL_auxz00_2651;
BgL_auxz00_2653 = 
(int)(((long)2)); 
BgL_auxz00_2651 = 
(int)(((long)4)); 
BgL_zc3anonymousza32851ze3z83_2369 = 
make_fx_procedure(BGl_zc3anonymousza32851ze3z83zztools_errorz00, BgL_auxz00_2651, BgL_auxz00_2653); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2656;
BgL_auxz00_2656 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_2367, BgL_auxz00_2656, BgL_locz00_30); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2659;
BgL_auxz00_2659 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_2367, BgL_auxz00_2659, BgL_procz00_1315); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2662;
BgL_auxz00_2662 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_2367, BgL_auxz00_2662, BgL_mesz00_32); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2665;
BgL_auxz00_2665 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32854ze3z83_2367, BgL_auxz00_2665, BgL_objzd2prnzd2_1316); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2668;
BgL_auxz00_2668 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_2369, BgL_auxz00_2668, BgL_armed2662z00_1320); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2671;
BgL_auxz00_2671 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32851ze3z83_2369, BgL_auxz00_2671, BgL_handler2659z00_1321); } 
CELL_SET(BgL_handler2659z00_1321, BgL_handlerz00_2376); 
CELL_SET(BgL_armed2662z00_1320, BTRUE); 
return 
BGl_handling_function2837z00zztools_errorz00(BgL_zc3anonymousza32854ze3z83_2367, BgL_zc3anonymousza32851ze3z83_2369, BgL_handler2659z00_1321, BgL_armed2662z00_1320);} }  else 
{ /* Tools/error.scm 129 */
obj_t BgL_auxz00_2679;obj_t BgL_auxz00_2675;
{ /* Tools/error.scm 133 */
int BgL_auxz00_2680;
BgL_auxz00_2680 = 
(int)(((long)1)); 
BgL_auxz00_2679 = 
STRUCT_REF(BgL_locz00_30, BgL_auxz00_2680); } 
{ /* Tools/error.scm 132 */
int BgL_auxz00_2676;
BgL_auxz00_2676 = 
(int)(((long)0)); 
BgL_auxz00_2675 = 
STRUCT_REF(BgL_locz00_30, BgL_auxz00_2676); } 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_1315, BgL_mesz00_32, BgL_objzd2prnzd2_1316, BgL_auxz00_2675, BgL_auxz00_2679);} }  else 
{ /* Tools/error.scm 121 */
if(
PAIRP(BgL_continuez00_34))
{ /* Tools/error.scm 135 */
obj_t BgL_armed2670z00_1349;obj_t BgL_handler2667z00_1350;
BgL_armed2670z00_1349 = 
MAKE_CELL(BUNSPEC); 
BgL_handler2667z00_1350 = 
MAKE_CELL(BUNSPEC); 
{ /* Tools/error.scm 135 */
obj_t BgL_zc3anonymousza32886ze3z83_2372;obj_t BgL_zc3anonymousza32883ze3z83_2374;
{ 
int BgL_auxz00_2688;int BgL_auxz00_2686;
BgL_auxz00_2688 = 
(int)(((long)3)); 
BgL_auxz00_2686 = 
(int)(((long)0)); 
BgL_zc3anonymousza32886ze3z83_2372 = 
make_fx_procedure(BGl_zc3anonymousza32886ze3z83zztools_errorz00, BgL_auxz00_2686, BgL_auxz00_2688); } 
{ 
int BgL_auxz00_2693;int BgL_auxz00_2691;
BgL_auxz00_2693 = 
(int)(((long)2)); 
BgL_auxz00_2691 = 
(int)(((long)4)); 
BgL_zc3anonymousza32883ze3z83_2374 = 
make_fx_procedure(BGl_zc3anonymousza32883ze3z83zztools_errorz00, BgL_auxz00_2691, BgL_auxz00_2693); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2696;
BgL_auxz00_2696 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32886ze3z83_2372, BgL_auxz00_2696, BgL_procz00_1315); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2699;
BgL_auxz00_2699 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32886ze3z83_2372, BgL_auxz00_2699, BgL_mesz00_32); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2702;
BgL_auxz00_2702 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32886ze3z83_2372, BgL_auxz00_2702, BgL_objz00_33); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2705;
BgL_auxz00_2705 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_2374, BgL_auxz00_2705, BgL_armed2670z00_1349); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2708;
BgL_auxz00_2708 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32883ze3z83_2374, BgL_auxz00_2708, BgL_handler2667z00_1350); } 
CELL_SET(BgL_handler2667z00_1350, BgL_handlerz00_2376); 
CELL_SET(BgL_armed2670z00_1349, BTRUE); 
return 
BGl_handling_function2869z00zztools_errorz00(BgL_zc3anonymousza32886ze3z83_2372, BgL_zc3anonymousza32883ze3z83_2374, BgL_handler2667z00_1350, BgL_armed2670z00_1349);} }  else 
{ /* Tools/error.scm 134 */
FAILURE(BgL_procz00_1315,BgL_mesz00_32,BgL_objz00_33);} } } } } } } } } } 
}



/* handling_function2869 */
obj_t BGl_handling_function2869z00zztools_errorz00(obj_t BgL_zc3anonymousza32886ze3z83_2449, obj_t BgL_zc3anonymousza32883ze3z83_2448, obj_t BgL_handler2667z00_2447, obj_t BgL_armed2670z00_2446)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit2671z00_1354;
if( SET_EXIT(BgL_an_exit2671z00_1354) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit2671z00_1354 = 
(obj_t)jmpbuf; 
{ /* Tools/error.scm 135 */

PUSH_EXIT(BgL_an_exit2671z00_1354, ((bool_t)1)); 
{ /* Tools/error.scm 135 */
obj_t BgL_an_exitd2672z00_1355;
BgL_an_exitd2672z00_1355 = 
BGL_GET_EXITD_TOP(); 
{ /* Tools/error.scm 135 */
obj_t BgL_escapez00_2373;
{ 
int BgL_auxz00_2719;int BgL_auxz00_2717;
BgL_auxz00_2719 = 
(int)(((long)1)); 
BgL_auxz00_2717 = 
(int)(((long)1)); 
BgL_escapez00_2373 = 
make_fx_procedure(BGl_escape_3367z00zztools_errorz00, BgL_auxz00_2717, BgL_auxz00_2719); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2722;
BgL_auxz00_2722 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2373, BgL_auxz00_2722, BgL_an_exitd2672z00_1355); } 
{ /* Tools/error.scm 135 */
obj_t BgL_res2674z00_1358;
{ /* Tools/error.scm 135 */
obj_t BgL_zc3anonymousza32879ze3z83_2371;obj_t BgL_zc3anonymousza32877ze3z83_2375;
{ 
int BgL_auxz00_2727;int BgL_auxz00_2725;
BgL_auxz00_2727 = 
(int)(((long)1)); 
BgL_auxz00_2725 = 
(int)(((long)0)); 
BgL_zc3anonymousza32879ze3z83_2371 = 
make_fx_procedure(BGl_zc3anonymousza32879ze3z83zztools_errorz00, BgL_auxz00_2725, BgL_auxz00_2727); } 
{ 
int BgL_auxz00_2732;int BgL_auxz00_2730;
BgL_auxz00_2732 = 
(int)(((long)5)); 
BgL_auxz00_2730 = 
(int)(((long)0)); 
BgL_zc3anonymousza32877ze3z83_2375 = 
make_fx_procedure(BGl_zc3anonymousza32877ze3z83zztools_errorz00, BgL_auxz00_2730, BgL_auxz00_2732); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2735;
BgL_auxz00_2735 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32879ze3z83_2371, BgL_auxz00_2735, BgL_armed2670z00_2446); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2738;
BgL_auxz00_2738 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_2375, BgL_auxz00_2738, BgL_an_exitd2672z00_1355); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2741;
BgL_auxz00_2741 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_2375, BgL_auxz00_2741, BgL_armed2670z00_2446); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2744;
BgL_auxz00_2744 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_2375, BgL_auxz00_2744, BgL_handler2667z00_2447); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2747;
BgL_auxz00_2747 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_2375, BgL_auxz00_2747, BgL_zc3anonymousza32883ze3z83_2448); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2750;
BgL_auxz00_2750 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32877ze3z83_2375, BgL_auxz00_2750, BgL_escapez00_2373); } 
BgL_res2674z00_1358 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32877ze3z83_2375, BgL_zc3anonymousza32886ze3z83_2449, BgL_zc3anonymousza32879ze3z83_2371); } 
POP_EXIT(); 
return BgL_res2674z00_1358;} } } } 
} } 
}



/* handling_function2837 */
obj_t BGl_handling_function2837z00zztools_errorz00(obj_t BgL_zc3anonymousza32854ze3z83_2453, obj_t BgL_zc3anonymousza32851ze3z83_2452, obj_t BgL_handler2659z00_2451, obj_t BgL_armed2662z00_2450)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
jmp_buf jmpbuf; 
obj_t BgL_an_exit2663z00_1325;
if( SET_EXIT(BgL_an_exit2663z00_1325) ) { RESTORE_TRACE(); 
return 
_exit_value_;
} else {
BgL_an_exit2663z00_1325 = 
(obj_t)jmpbuf; 
{ /* Tools/error.scm 123 */

PUSH_EXIT(BgL_an_exit2663z00_1325, ((bool_t)1)); 
{ /* Tools/error.scm 123 */
obj_t BgL_an_exitd2664z00_1326;
BgL_an_exitd2664z00_1326 = 
BGL_GET_EXITD_TOP(); 
{ /* Tools/error.scm 123 */
obj_t BgL_escapez00_2368;
{ 
int BgL_auxz00_2761;int BgL_auxz00_2759;
BgL_auxz00_2761 = 
(int)(((long)1)); 
BgL_auxz00_2759 = 
(int)(((long)1)); 
BgL_escapez00_2368 = 
make_fx_procedure(BGl_escapez00zztools_errorz00, BgL_auxz00_2759, BgL_auxz00_2761); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2764;
BgL_auxz00_2764 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_escapez00_2368, BgL_auxz00_2764, BgL_an_exitd2664z00_1326); } 
{ /* Tools/error.scm 123 */
obj_t BgL_res2666z00_1329;
{ /* Tools/error.scm 123 */
obj_t BgL_zc3anonymousza32847ze3z83_2366;obj_t BgL_zc3anonymousza32845ze3z83_2370;
{ 
int BgL_auxz00_2769;int BgL_auxz00_2767;
BgL_auxz00_2769 = 
(int)(((long)1)); 
BgL_auxz00_2767 = 
(int)(((long)0)); 
BgL_zc3anonymousza32847ze3z83_2366 = 
make_fx_procedure(BGl_zc3anonymousza32847ze3z83zztools_errorz00, BgL_auxz00_2767, BgL_auxz00_2769); } 
{ 
int BgL_auxz00_2774;int BgL_auxz00_2772;
BgL_auxz00_2774 = 
(int)(((long)5)); 
BgL_auxz00_2772 = 
(int)(((long)0)); 
BgL_zc3anonymousza32845ze3z83_2370 = 
make_fx_procedure(BGl_zc3anonymousza32845ze3z83zztools_errorz00, BgL_auxz00_2772, BgL_auxz00_2774); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2777;
BgL_auxz00_2777 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32847ze3z83_2366, BgL_auxz00_2777, BgL_armed2662z00_2450); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2780;
BgL_auxz00_2780 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2370, BgL_auxz00_2780, BgL_an_exitd2664z00_1326); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2783;
BgL_auxz00_2783 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2370, BgL_auxz00_2783, BgL_armed2662z00_2450); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2786;
BgL_auxz00_2786 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2370, BgL_auxz00_2786, BgL_handler2659z00_2451); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2789;
BgL_auxz00_2789 = 
(int)(((long)3)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2370, BgL_auxz00_2789, BgL_zc3anonymousza32851ze3z83_2452); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2792;
BgL_auxz00_2792 = 
(int)(((long)4)); 
PROCEDURE_SET(BgL_zc3anonymousza32845ze3z83_2370, BgL_auxz00_2792, BgL_escapez00_2368); } 
BgL_res2666z00_1329 = 
BGl_dynamiczd2windzd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32845ze3z83_2370, BgL_zc3anonymousza32854ze3z83_2453, BgL_zc3anonymousza32847ze3z83_2366); } 
POP_EXIT(); 
return BgL_res2666z00_1329;} } } } 
} } 
}



/* _user-error/location */
obj_t BGl__userzd2errorzf2locationz20zztools_errorz00(obj_t BgL_envz00_2377, obj_t BgL_locz00_2378, obj_t BgL_procz00_2379, obj_t BgL_mesz00_2380, obj_t BgL_objz00_2381, obj_t BgL_continuez00_2382)
{ AN_OBJECT;
{ /* Tools/error.scm 96 */
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_locz00_2378, BgL_procz00_2379, BgL_mesz00_2380, BgL_objz00_2381, BgL_continuez00_2382);} 
}



/* <anonymous:2847> */
obj_t BGl_zc3anonymousza32847ze3z83zztools_errorz00(obj_t BgL_envz00_2383)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
{ /* Tools/error.scm 123 */
obj_t BgL_armed2662z00_2384;
{ /* Tools/error.scm 123 */
int BgL_auxz00_2798;
BgL_auxz00_2798 = 
(int)(((long)0)); 
BgL_armed2662z00_2384 = 
PROCEDURE_REF(BgL_envz00_2383, BgL_auxz00_2798); } 
{ 

{ /* Tools/error.scm 123 */
bool_t BgL_testz00_2801;
{ /* Tools/error.scm 123 */
obj_t BgL_auxz00_2802;
BgL_auxz00_2802 = 
CELL_REF(BgL_armed2662z00_2384); 
BgL_testz00_2801 = 
CBOOL(BgL_auxz00_2802); } 
if(BgL_testz00_2801)
{ /* Tools/error.scm 123 */
CELL_SET(BgL_armed2662z00_2384, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Tools/error.scm 123 */
return BFALSE;} } } } } 
}



/* <anonymous:2854> */
obj_t BGl_zc3anonymousza32854ze3z83zztools_errorz00(obj_t BgL_envz00_2386)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
{ /* Tools/error.scm 126 */
obj_t BgL_locz00_2387;obj_t BgL_procz00_2388;obj_t BgL_mesz00_2389;obj_t BgL_objzd2prnzd2_2390;
{ /* Tools/error.scm 126 */
int BgL_auxz00_2805;
BgL_auxz00_2805 = 
(int)(((long)0)); 
BgL_locz00_2387 = 
PROCEDURE_REF(BgL_envz00_2386, BgL_auxz00_2805); } 
{ /* Tools/error.scm 126 */
int BgL_auxz00_2808;
BgL_auxz00_2808 = 
(int)(((long)1)); 
BgL_procz00_2388 = 
PROCEDURE_REF(BgL_envz00_2386, BgL_auxz00_2808); } 
{ /* Tools/error.scm 126 */
int BgL_auxz00_2811;
BgL_auxz00_2811 = 
(int)(((long)2)); 
BgL_mesz00_2389 = 
PROCEDURE_REF(BgL_envz00_2386, BgL_auxz00_2811); } 
{ /* Tools/error.scm 126 */
int BgL_auxz00_2814;
BgL_auxz00_2814 = 
(int)(((long)3)); 
BgL_objzd2prnzd2_2390 = 
PROCEDURE_REF(BgL_envz00_2386, BgL_auxz00_2814); } 
{ 

{ /* Tools/error.scm 123 */
obj_t BgL_auxz00_2821;obj_t BgL_auxz00_2817;
{ /* Tools/error.scm 127 */
int BgL_auxz00_2822;
BgL_auxz00_2822 = 
(int)(((long)1)); 
BgL_auxz00_2821 = 
STRUCT_REF(BgL_locz00_2387, BgL_auxz00_2822); } 
{ /* Tools/error.scm 126 */
int BgL_auxz00_2818;
BgL_auxz00_2818 = 
(int)(((long)0)); 
BgL_auxz00_2817 = 
STRUCT_REF(BgL_locz00_2387, BgL_auxz00_2818); } 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_procz00_2388, BgL_mesz00_2389, BgL_objzd2prnzd2_2390, BgL_auxz00_2817, BgL_auxz00_2821);} } } } 
}



/* <anonymous:2845> */
obj_t BGl_zc3anonymousza32845ze3z83zztools_errorz00(obj_t BgL_envz00_2391)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
{ /* Tools/error.scm 123 */
obj_t BgL_zc3anonymousza32851ze3z83_2395;obj_t BgL_escapez00_2396;
{ /* Tools/error.scm 123 */
int BgL_auxz00_2826;
BgL_auxz00_2826 = 
(int)(((long)3)); 
BgL_zc3anonymousza32851ze3z83_2395 = 
PROCEDURE_REF(BgL_envz00_2391, BgL_auxz00_2826); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2829;
BgL_auxz00_2829 = 
(int)(((long)4)); 
BgL_escapez00_2396 = 
PROCEDURE_REF(BgL_envz00_2391, BgL_auxz00_2829); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza32851ze3z83_2395, BgL_escapez00_2396);} } } 
}



/* escape */
obj_t BGl_escapez00zztools_errorz00(obj_t BgL_envz00_2397, obj_t BgL_val2665z00_2399)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
{ /* Tools/error.scm 123 */
obj_t BgL_an_exitd2664z00_2398;
{ /* Tools/error.scm 123 */
int BgL_auxz00_2833;
BgL_auxz00_2833 = 
(int)(((long)0)); 
BgL_an_exitd2664z00_2398 = 
PROCEDURE_REF(BgL_envz00_2397, BgL_auxz00_2833); } 
{ 
obj_t BgL_val2665z00_1327;
BgL_val2665z00_1327 = BgL_val2665z00_2399; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2664z00_2398, BgL_val2665z00_1327);} } } 
}



/* <anonymous:2851> */
obj_t BGl_zc3anonymousza32851ze3z83zztools_errorz00(obj_t BgL_envz00_2400, obj_t BgL_escz00_2403, obj_t BgL_objz00_2404, obj_t BgL_procz00_2405, obj_t BgL_msgz00_2406)
{ AN_OBJECT;
{ /* Tools/error.scm 123 */
{ /* Tools/error.scm 123 */
obj_t BgL_armed2662z00_2401;obj_t BgL_handler2659z00_2402;
{ /* Tools/error.scm 123 */
int BgL_auxz00_2837;
BgL_auxz00_2837 = 
(int)(((long)0)); 
BgL_armed2662z00_2401 = 
PROCEDURE_REF(BgL_envz00_2400, BgL_auxz00_2837); } 
{ /* Tools/error.scm 123 */
int BgL_auxz00_2840;
BgL_auxz00_2840 = 
(int)(((long)1)); 
BgL_handler2659z00_2402 = 
PROCEDURE_REF(BgL_envz00_2400, BgL_auxz00_2840); } 
{ 
obj_t BgL_escz00_1336;obj_t BgL_objz00_1337;obj_t BgL_procz00_1338;obj_t BgL_msgz00_1339;
BgL_escz00_1336 = BgL_escz00_2403; 
BgL_objz00_1337 = BgL_objz00_2404; 
BgL_procz00_1338 = BgL_procz00_2405; 
BgL_msgz00_1339 = BgL_msgz00_2406; 
CELL_SET(BgL_armed2662z00_2401, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Tools/error.scm 123 */
obj_t BgL_auxz00_2845;
BgL_auxz00_2845 = 
CELL_REF(BgL_handler2659z00_2402); 
return 
PROCEDURE_ENTRY(BgL_auxz00_2845)(
CELL_REF(BgL_handler2659z00_2402), BgL_escz00_1336, BgL_objz00_1337, BgL_procz00_1338, BgL_msgz00_1339, BEOA);} } } } 
}



/* <anonymous:2879> */
obj_t BGl_zc3anonymousza32879ze3z83zztools_errorz00(obj_t BgL_envz00_2408)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
{ /* Tools/error.scm 135 */
obj_t BgL_armed2670z00_2409;
{ /* Tools/error.scm 135 */
int BgL_auxz00_2846;
BgL_auxz00_2846 = 
(int)(((long)0)); 
BgL_armed2670z00_2409 = 
PROCEDURE_REF(BgL_envz00_2408, BgL_auxz00_2846); } 
{ 

{ /* Tools/error.scm 135 */
bool_t BgL_testz00_2849;
{ /* Tools/error.scm 135 */
obj_t BgL_auxz00_2850;
BgL_auxz00_2850 = 
CELL_REF(BgL_armed2670z00_2409); 
BgL_testz00_2849 = 
CBOOL(BgL_auxz00_2850); } 
if(BgL_testz00_2849)
{ /* Tools/error.scm 135 */
CELL_SET(BgL_armed2670z00_2409, BFALSE); 
return 
BGl_removezd2errorzd2handlerz12z12zz__errorz00();}  else 
{ /* Tools/error.scm 135 */
return BFALSE;} } } } } 
}



/* <anonymous:2886> */
obj_t BGl_zc3anonymousza32886ze3z83zztools_errorz00(obj_t BgL_envz00_2411)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
{ /* Tools/error.scm 135 */
obj_t BgL_procz00_2412;obj_t BgL_mesz00_2413;obj_t BgL_objz00_2414;
{ /* Tools/error.scm 135 */
int BgL_auxz00_2853;
BgL_auxz00_2853 = 
(int)(((long)0)); 
BgL_procz00_2412 = 
PROCEDURE_REF(BgL_envz00_2411, BgL_auxz00_2853); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2856;
BgL_auxz00_2856 = 
(int)(((long)1)); 
BgL_mesz00_2413 = 
PROCEDURE_REF(BgL_envz00_2411, BgL_auxz00_2856); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2859;
BgL_auxz00_2859 = 
(int)(((long)2)); 
BgL_objz00_2414 = 
PROCEDURE_REF(BgL_envz00_2411, BgL_auxz00_2859); } 
{ 

FAILURE(BgL_procz00_2412,BgL_mesz00_2413,BgL_objz00_2414);} } } 
}



/* <anonymous:2877> */
obj_t BGl_zc3anonymousza32877ze3z83zztools_errorz00(obj_t BgL_envz00_2415)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
{ /* Tools/error.scm 135 */
obj_t BgL_zc3anonymousza32883ze3z83_2419;obj_t BgL_escapez00_2420;
{ /* Tools/error.scm 135 */
int BgL_auxz00_2863;
BgL_auxz00_2863 = 
(int)(((long)3)); 
BgL_zc3anonymousza32883ze3z83_2419 = 
PROCEDURE_REF(BgL_envz00_2415, BgL_auxz00_2863); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2866;
BgL_auxz00_2866 = 
(int)(((long)4)); 
BgL_escapez00_2420 = 
PROCEDURE_REF(BgL_envz00_2415, BgL_auxz00_2866); } 
{ 

return 
BGl_addzd2errorzd2handlerz12z12zz__errorz00(BgL_zc3anonymousza32883ze3z83_2419, BgL_escapez00_2420);} } } 
}



/* escape_3367 */
obj_t BGl_escape_3367z00zztools_errorz00(obj_t BgL_envz00_2421, obj_t BgL_val2673z00_2423)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
{ /* Tools/error.scm 135 */
obj_t BgL_an_exitd2672z00_2422;
{ /* Tools/error.scm 135 */
int BgL_auxz00_2870;
BgL_auxz00_2870 = 
(int)(((long)0)); 
BgL_an_exitd2672z00_2422 = 
PROCEDURE_REF(BgL_envz00_2421, BgL_auxz00_2870); } 
{ 
obj_t BgL_val2673z00_1356;
BgL_val2673z00_1356 = BgL_val2673z00_2423; 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd2672z00_2422, BgL_val2673z00_1356);} } } 
}



/* <anonymous:2883> */
obj_t BGl_zc3anonymousza32883ze3z83zztools_errorz00(obj_t BgL_envz00_2424, obj_t BgL_escz00_2427, obj_t BgL_objz00_2428, obj_t BgL_procz00_2429, obj_t BgL_msgz00_2430)
{ AN_OBJECT;
{ /* Tools/error.scm 135 */
{ /* Tools/error.scm 135 */
obj_t BgL_armed2670z00_2425;obj_t BgL_handler2667z00_2426;
{ /* Tools/error.scm 135 */
int BgL_auxz00_2874;
BgL_auxz00_2874 = 
(int)(((long)0)); 
BgL_armed2670z00_2425 = 
PROCEDURE_REF(BgL_envz00_2424, BgL_auxz00_2874); } 
{ /* Tools/error.scm 135 */
int BgL_auxz00_2877;
BgL_auxz00_2877 = 
(int)(((long)1)); 
BgL_handler2667z00_2426 = 
PROCEDURE_REF(BgL_envz00_2424, BgL_auxz00_2877); } 
{ 
obj_t BgL_escz00_1365;obj_t BgL_objz00_1366;obj_t BgL_procz00_1367;obj_t BgL_msgz00_1368;
BgL_escz00_1365 = BgL_escz00_2427; 
BgL_objz00_1366 = BgL_objz00_2428; 
BgL_procz00_1367 = BgL_procz00_2429; 
BgL_msgz00_1368 = BgL_msgz00_2430; 
CELL_SET(BgL_armed2670z00_2425, BFALSE); 
BGl_removezd2errorzd2handlerz12z12zz__errorz00(); 
{ /* Tools/error.scm 135 */
obj_t BgL_auxz00_2882;
BgL_auxz00_2882 = 
CELL_REF(BgL_handler2667z00_2426); 
return 
PROCEDURE_ENTRY(BgL_auxz00_2882)(
CELL_REF(BgL_handler2667z00_2426), BgL_escz00_1365, BgL_objz00_1366, BgL_procz00_1367, BgL_msgz00_1368, BEOA);} } } } 
}



/* handler */
obj_t BGl_handlerz00zztools_errorz00(obj_t BgL_envz00_2432, obj_t BgL_escapez00_2434, obj_t BgL_procz00_2435, obj_t BgL_mesz00_2436, obj_t BgL_objz00_2437)
{ AN_OBJECT;
{ /* Tools/error.scm 118 */
{ /* Tools/error.scm 119 */
obj_t BgL_continuez00_2433;
{ /* Tools/error.scm 119 */
int BgL_auxz00_2883;
BgL_auxz00_2883 = 
(int)(((long)0)); 
BgL_continuez00_2433 = 
PROCEDURE_REF(BgL_envz00_2432, BgL_auxz00_2883); } 
{ 
obj_t BgL_escapez00_1381;obj_t BgL_procz00_1382;obj_t BgL_mesz00_1383;obj_t BgL_objz00_1384;
BgL_escapez00_1381 = BgL_escapez00_2434; 
BgL_procz00_1382 = BgL_procz00_2435; 
BgL_mesz00_1383 = BgL_mesz00_2436; 
BgL_objz00_1384 = BgL_objz00_2437; 
BGl_notifyzd2errorzd2zz__errorz00(BgL_procz00_1382, BgL_mesz00_1383, BgL_objz00_1384); 
return 
PROCEDURE_ENTRY(BgL_escapez00_1381)(BgL_escapez00_1381, 
CAR(BgL_continuez00_2433), BEOA);} } } 
}



/* enter-function */
obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t BgL_varz00_35)
{ AN_OBJECT;
{ /* Tools/error.scm 147 */
return ( 
BGl_za2sfunzd2stackza2zd2zztools_errorz00 = 
MAKE_PAIR(BgL_varz00_35, BGl_za2sfunzd2stackza2zd2zztools_errorz00), BUNSPEC) ;} 
}



/* _enter-function */
obj_t BGl__enterzd2functionzd2zztools_errorz00(obj_t BgL_envz00_2442, obj_t BgL_varz00_2443)
{ AN_OBJECT;
{ /* Tools/error.scm 147 */
return 
BGl_enterzd2functionzd2zztools_errorz00(BgL_varz00_2443);} 
}



/* leave-function */
obj_t BGl_leavezd2functionzd2zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 153 */
{ /* Tools/error.scm 154 */
obj_t BgL_pairz00_1871;
BgL_pairz00_1871 = BGl_za2sfunzd2stackza2zd2zztools_errorz00; 
return ( 
BGl_za2sfunzd2stackza2zd2zztools_errorz00 = 
CDR(BgL_pairz00_1871), BUNSPEC) ;} } 
}



/* _leave-function */
obj_t BGl__leavezd2functionzd2zztools_errorz00(obj_t BgL_envz00_2444)
{ AN_OBJECT;
{ /* Tools/error.scm 153 */
return 
BGl_leavezd2functionzd2zztools_errorz00();} 
}



/* current-function */
obj_t BGl_currentzd2functionzd2zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 159 */
{ /* Tools/error.scm 160 */
obj_t BgL_pairz00_1872;
BgL_pairz00_1872 = BGl_za2sfunzd2stackza2zd2zztools_errorz00; 
return 
CAR(BgL_pairz00_1872);} } 
}



/* _current-function */
obj_t BGl__currentzd2functionzd2zztools_errorz00(obj_t BgL_envz00_2445)
{ AN_OBJECT;
{ /* Tools/error.scm 159 */
return 
BGl_currentzd2functionzd2zztools_errorz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zztools_errorz00()
{ AN_OBJECT;
{ /* Tools/error.scm 15 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "tools_error"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "tools_error"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "tools_error"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "tools_error"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "tools_error"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "tools_error"); 
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "tools_error"); 
return 
BGl_modulezd2initializa7ationz75zzinit_mainz00(((long)7934), "tools_error");} 
}

