/*===========================================================================*/
/*   (Ast/check-sharing.scm)                                                 */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;


static obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2();
static obj_t BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2appzd2ly2920z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2942zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t string_to_bstring(char *);
static obj_t BGl_checkzd2nodezd2sharingzd2funcall2922zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2(obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2conditional2930zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2();
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_findzd2runtimezd2typez00zz__errorz00(obj_t);
extern obj_t BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
static obj_t BGl_checkzd2nodezd2sharingzd2setq2928zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2select2934zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2(BgL_nodez00_bglt, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_checkzd2nodezd2sharingzd2makezd2box2944z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2app2918zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2cast2926zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BUNSPEC;
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2letzd2fun2936z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2940zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
static obj_t BGl__checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_valuez00zzast_varz00;
static obj_t BGl_checkzd2nodezd2sharingzd2extern2924zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2sequence2916zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2letzd2var2938z00zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
extern obj_t BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 = BUNSPEC;
extern obj_t BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2fail2932zd2zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_checkzd2nodezd2sharingzd2boxzd2setz122946z12zzast_checkzd2sharingzd2(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2();
extern obj_t BGl_userzd2warningzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
extern obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t __cnst[ 2 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_checkzd2nodezd2sharingzd2resetz12zd2envz12zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2nodeza7d2sharingza7d2resetza712za7c0za7za7ast_checkza7d2sharingza7d24604za7, BGl__checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_checkzd2nodezd2sharingzd2default2913zd2envz00zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2nodeza7d2sharingza7d2default2913za7d2za7za7ast_checkza7d2sharingza7d24605z00, BGl__checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_EXPORT_GENERIC( BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2nodeza7d2sharingza700za7za7ast_checkza7d2sharingza7d24606za7, BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4574z00zzast_checkzd2sharingzd2, BgL_bgl_string4574za700za7za7ast_checkza7d2sharingza7d24607za7, "done pass-started ", 18 );
DEFINE_STRING( BGl_string4573z00zzast_checkzd2sharingzd2, BgL_bgl_string4573za700za7za7ast_checkza7d2sharingza7d24608za7, "================================", 32 );
DEFINE_STRING( BGl_string4572z00zzast_checkzd2sharingzd2, BgL_bgl_string4572za700za7za7ast_checkza7d2sharingza7d24609za7, "context : ", 10 );
DEFINE_STRING( BGl_string4571z00zzast_checkzd2sharingzd2, BgL_bgl_string4571za700za7za7ast_checkza7d2sharingza7d24610za7, "node    : ", 10 );
DEFINE_STRING( BGl_string4570z00zzast_checkzd2sharingzd2, BgL_bgl_string4570za700za7za7ast_checkza7d2sharingza7d24611za7, "shared node", 11 );
DEFINE_STRING( BGl_string4569z00zzast_checkzd2sharingzd2, BgL_bgl_string4569za700za7za7ast_checkza7d2sharingza7d24612za7, "check-node-sharing", 18 );
DEFINE_STATIC_PROCEDURE( BGl_proc4553z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2sequence2916za7d2za7za7ast_checkza7d2sharingza7d24613z00, BGl_checkzd2nodezd2sharingzd2sequence2916zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4554z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2app2918za7d2za7za7ast_checkza7d2sharingza7d24614z00, BGl_checkzd2nodezd2sharingzd2app2918zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4555z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2appza7d2ly2920za700za7za7ast_checkza7d2sharingza7d24615za7, BGl_checkzd2nodezd2sharingzd2appzd2ly2920z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4552z00zzast_checkzd2sharingzd2, BgL_bgl_string4552za700za7za7ast_checkza7d2sharingza7d24616za7, "failure during postlude hook", 28 );
DEFINE_STATIC_PROCEDURE( BGl_proc4556z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2funcall2922za7d2za7za7ast_checkza7d2sharingza7d24617z00, BGl_checkzd2nodezd2sharingzd2funcall2922zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4551z00zzast_checkzd2sharingzd2, BgL_bgl_string4551za700za7za7ast_checkza7d2sharingza7d24618za7, " occured, ending ...", 20 );
DEFINE_STATIC_PROCEDURE( BGl_proc4557z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2extern2924za7d2za7za7ast_checkza7d2sharingza7d24619z00, BGl_checkzd2nodezd2sharingzd2extern2924zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4550z00zzast_checkzd2sharingzd2, BgL_bgl_string4550za700za7za7ast_checkza7d2sharingza7d24620za7, " error", 6 );
DEFINE_STRING( BGl_string4549z00zzast_checkzd2sharingzd2, BgL_bgl_string4549za700za7za7ast_checkza7d2sharingza7d24621za7, "failure during prelude hook", 27 );
DEFINE_STATIC_PROCEDURE( BGl_proc4558z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2cast2926za7d2za7za7ast_checkza7d2sharingza7d24622z00, BGl_checkzd2nodezd2sharingzd2cast2926zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4548z00zzast_checkzd2sharingzd2, BgL_bgl_string4548za700za7za7ast_checkza7d2sharingza7d24623za7, "   . ", 5 );
DEFINE_STATIC_PROCEDURE( BGl_proc4560z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2conditional2930za7d2za7za7ast_checkza7d2sharingza7d24624z00, BGl_checkzd2nodezd2sharingzd2conditional2930zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4559z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2setq2928za7d2za7za7ast_checkza7d2sharingza7d24625z00, BGl_checkzd2nodezd2sharingzd2setq2928zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4547z00zzast_checkzd2sharingzd2, BgL_bgl_string4547za700za7za7ast_checkza7d2sharingza7d24626za7, ")", 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4561z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2fail2932za7d2za7za7ast_checkza7d2sharingza7d24627z00, BGl_checkzd2nodezd2sharingzd2fail2932zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STRING( BGl_string4546z00zzast_checkzd2sharingzd2, BgL_bgl_string4546za700za7za7ast_checkza7d2sharingza7d24628za7, "Check sharing (", 15 );
DEFINE_STATIC_PROCEDURE( BGl_proc4562z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2select2934za7d2za7za7ast_checkza7d2sharingza7d24629z00, BGl_checkzd2nodezd2sharingzd2select2934zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4563z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2letza7d2fun2936za700za7za7ast_checkza7d2sharingza7d24630za7, BGl_checkzd2nodezd2sharingzd2letzd2fun2936z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4564z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2letza7d2var2938za700za7za7ast_checkza7d2sharingza7d24631za7, BGl_checkzd2nodezd2sharingzd2letzd2var2938z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4565z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2setza7d2exza7d2it2940za7d2za7za7ast_checkza7d2sharingza7d24632z00, BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2940zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4566z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2jumpza7d2exza7d2it2942za7d2za7za7ast_checkza7d2sharingza7d24633z00, BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2942zd2zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4567z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2makeza7d2box2944za700za7za7ast_checkza7d2sharingza7d24634za7, BGl_checkzd2nodezd2sharingzd2makezd2box2944z00zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4568z00zzast_checkzd2sharingzd2, BgL_bgl_checkza7d2nodeza7d2sharingza7d2boxza7d2setza7122946za712za7za7ast_checkza7d2sharingza7d24635z00, BGl_checkzd2nodezd2sharingzd2boxzd2setz122946z12zzast_checkzd2sharingzd2, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_checkzd2sharingzd2envz00zzast_checkzd2sharingzd2, BgL_bgl__checkza7d2sharingza7d2za7za7ast_checkza7d2sharingza7d24636z00, BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long BgL_checksumz00_3944, char * BgL_fromz00_3945)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2))
{ 
BGl_requirezd2initializa7ationz75zzast_checkzd2sharingzd2 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2(); 
BGl_cnstzd2initzd2zzast_checkzd2sharingzd2(); 
BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2(); 
BGl_methodzd2initzd2zzast_checkzd2sharingzd2(); 
BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "ast_check-sharing"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_cportz00_3937;
BgL_cportz00_3937 = 
open_input_string(BGl_string4574z00zzast_checkzd2sharingzd2); 
{ 
long BgL_iz00_3938;
BgL_iz00_3938 = ((long)1); 
BgL_loopz00_3939:
if(
(BgL_iz00_3938==((long)-1)))
{ /* Ast/check-sharing.scm 17 */
return BUNSPEC;}  else 
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_arg4578z00_3941;
{ /* Ast/check-sharing.scm 17 */
obj_t BgL_list4581z00_3942;
BgL_list4581z00_3942 = 
MAKE_PAIR(BgL_cportz00_3937, BNIL); 
BgL_arg4578z00_3941 = 
BGl_readz00zz__readerz00(BgL_list4581z00_3942); } 
{ /* Ast/check-sharing.scm 17 */
int BgL_auxz00_3965;
BgL_auxz00_3965 = 
(int)(BgL_iz00_3938); 
CNST_TABLE_SET(BgL_auxz00_3965, BgL_arg4578z00_3941); } } 
{ 
long BgL_iz00_3968;
{ /* Ast/check-sharing.scm 17 */
int BgL_auxz00_3969;
{ /* Ast/check-sharing.scm 17 */
long BgL_auxz00_3970;
BgL_auxz00_3970 = 
(BgL_iz00_3938-((long)1)); 
BgL_auxz00_3969 = 
(int)(BgL_auxz00_3970); } 
BgL_iz00_3968 = 
(long)(BgL_auxz00_3969); } 
BgL_iz00_3938 = BgL_iz00_3968; 
goto BgL_loopz00_3939;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL; 
return BUNSPEC;} 
}



/* check-sharing */
obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t BgL_whenz00_19, obj_t BgL_globalsz00_20)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 38 */
if(
CBOOL(BGl_za2compilerzd2sharingzd2debugzf3za2zf3zzengine_paramz00))
{ /* Ast/check-sharing.scm 39 */
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_arg2986z00_1478;
BgL_arg2986z00_1478 = 
string_append_3(BGl_string4546z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string4547z00zzast_checkzd2sharingzd2); 
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_list2988z00_1479;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_arg2990z00_1480;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_arg2993z00_1481;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_auxz00_3977;
BgL_auxz00_3977 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2993z00_1481 = 
MAKE_PAIR(BgL_auxz00_3977, BNIL); } 
BgL_arg2990z00_1480 = 
MAKE_PAIR(BgL_arg2986z00_1478, BgL_arg2993z00_1481); } 
BgL_list2988z00_1479 = 
MAKE_PAIR(BGl_string4548z00zzast_checkzd2sharingzd2, BgL_arg2990z00_1480); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2988z00_1479); } } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = 
string_append_3(BGl_string4546z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string4547z00zzast_checkzd2sharingzd2); 
{ 
obj_t BgL_hooksz00_1482;obj_t BgL_hnamesz00_1483;
BgL_hooksz00_1482 = BNIL; 
BgL_hnamesz00_1483 = BNIL; 
BgL_loopz00_1484:
if(
NULLP(BgL_hooksz00_1482))
{ /* Ast/check-sharing.scm 41 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Ast/check-sharing.scm 41 */
bool_t BgL_test3005z00_1489;
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_fun3021z00_1495;
BgL_fun3021z00_1495 = 
CAR(BgL_hooksz00_1482); 
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_auxz00_3990;
BgL_auxz00_3990 = 
PROCEDURE_ENTRY(BgL_fun3021z00_1495)(BgL_fun3021z00_1495, BEOA); 
BgL_test3005z00_1489 = 
CBOOL(BgL_auxz00_3990); } } 
if(BgL_test3005z00_1489)
{ /* Ast/check-sharing.scm 41 */
{ 
obj_t BgL_hnamesz00_3997;obj_t BgL_hooksz00_3995;
BgL_hooksz00_3995 = 
CDR(BgL_hooksz00_1482); 
BgL_hnamesz00_3997 = 
CDR(BgL_hnamesz00_1483); 
BgL_hnamesz00_1483 = BgL_hnamesz00_3997; 
BgL_hooksz00_1482 = BgL_hooksz00_3995; 
goto BgL_loopz00_1484;} }  else 
{ /* Ast/check-sharing.scm 41 */
{ /* Ast/check-sharing.scm 41 */
obj_t BgL_arg3013z00_1492;obj_t BgL_arg3015z00_1494;
BgL_arg3013z00_1492 = 
string_append_3(BGl_string4546z00zzast_checkzd2sharingzd2, BgL_whenz00_19, BGl_string4547z00zzast_checkzd2sharingzd2); 
BgL_arg3015z00_1494 = 
CAR(BgL_hnamesz00_1483); 
BGl_internalzd2errorzd2zztools_errorz00(BgL_arg3013z00_1492, BGl_string4549z00zzast_checkzd2sharingzd2, BgL_arg3015z00_1494); } } } } 
{ 
obj_t BgL_l2879z00_1496;
BgL_l2879z00_1496 = BgL_globalsz00_20; 
BgL_lname2880z00_1497:
if(
PAIRP(BgL_l2879z00_1496))
{ /* Ast/check-sharing.scm 42 */
{ /* Ast/check-sharing.scm 43 */

{ /* Ast/check-sharing.scm 43 */
BgL_nodez00_bglt BgL_auxz00_4004;
{ /* Ast/check-sharing.scm 43 */
obj_t BgL_auxz00_4005;
{ /* Ast/check-sharing.scm 43 */
BgL_sfunz00_bglt BgL_obj1285z00_2141;
{ /* Ast/check-sharing.scm 43 */
BgL_valuez00_bglt BgL_auxz00_4006;
{ /* Ast/check-sharing.scm 43 */
BgL_variablez00_bglt BgL_obj1016z00_2140;
{ /* Ast/check-sharing.scm 43 */
obj_t BgL_auxz00_4007;
BgL_auxz00_4007 = 
CAR(BgL_l2879z00_1496); 
BgL_obj1016z00_2140 = 
(BgL_variablez00_bglt)(BgL_auxz00_4007); } 
BgL_auxz00_4006 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1016z00_2140))->BgL_valuez00); } 
BgL_obj1285z00_2141 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4006); } 
BgL_auxz00_4005 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1285z00_2141))->BgL_bodyz00); } 
BgL_auxz00_4004 = 
(BgL_nodez00_bglt)(BgL_auxz00_4005); } 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_auxz00_4004, BUNSPEC); } } 
{ 
obj_t BgL_l2879z00_4015;
BgL_l2879z00_4015 = 
CDR(BgL_l2879z00_1496); 
BgL_l2879z00_1496 = BgL_l2879z00_4015; 
goto BgL_lname2880z00_1497;} }  else 
{ /* Ast/check-sharing.scm 42 */((bool_t)1); } } 
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL; 
{ /* Ast/check-sharing.scm 46 */
bool_t BgL_test3034z00_1502;
{ /* Ast/check-sharing.scm 46 */
long BgL_n1z00_2143;
BgL_n1z00_2143 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test3034z00_1502 = 
(BgL_n1z00_2143>((long)0)); } 
if(BgL_test3034z00_1502)
{ /* Ast/check-sharing.scm 46 */
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_port2881z00_1503;
BgL_port2881z00_1503 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_list3036z00_1504;
BgL_list3036z00_1504 = 
MAKE_PAIR(BgL_port2881z00_1503, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list3036z00_1504); } 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_list3039z00_1505;
BgL_list3039z00_1505 = 
MAKE_PAIR(BgL_port2881z00_1503, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4550z00zzast_checkzd2sharingzd2, BgL_list3039z00_1505); } 
{ /* Ast/check-sharing.scm 46 */
char * BgL_arg3042z00_1506;
{ /* Ast/check-sharing.scm 46 */
bool_t BgL_test3046z00_1508;
{ /* Ast/check-sharing.scm 46 */
bool_t BgL_test3047z00_1509;
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_objz00_2145;
BgL_objz00_2145 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test3047z00_1509 = 
INTEGERP(BgL_objz00_2145); } 
if(BgL_test3047z00_1509)
{ /* Ast/check-sharing.scm 46 */
BgL_test3046z00_1508 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Ast/check-sharing.scm 46 */
BgL_test3046z00_1508 = ((bool_t)0); } } 
if(BgL_test3046z00_1508)
{ /* Ast/check-sharing.scm 46 */
BgL_arg3042z00_1506 = "s"; }  else 
{ /* Ast/check-sharing.scm 46 */
BgL_arg3042z00_1506 = ""; } } 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_list3044z00_1507;
BgL_list3044z00_1507 = 
MAKE_PAIR(BgL_port2881z00_1503, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg3042z00_1506), BgL_list3044z00_1507); } } 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_list3051z00_1510;
BgL_list3051z00_1510 = 
MAKE_PAIR(BgL_port2881z00_1503, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4551z00zzast_checkzd2sharingzd2, BgL_list3051z00_1510); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2881z00_1503); } 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_list3056z00_1511;
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_auxz00_4036;
BgL_auxz00_4036 = 
BINT(((long)-1)); 
BgL_list3056z00_1511 = 
MAKE_PAIR(BgL_auxz00_4036, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list3056z00_1511);} }  else 
{ 
obj_t BgL_hooksz00_1512;obj_t BgL_hnamesz00_1513;
BgL_hooksz00_1512 = BNIL; 
BgL_hnamesz00_1513 = BNIL; 
BgL_loopz00_1514:
if(
NULLP(BgL_hooksz00_1512))
{ /* Ast/check-sharing.scm 46 */
return BgL_globalsz00_20;}  else 
{ /* Ast/check-sharing.scm 46 */
bool_t BgL_test3065z00_1519;
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_fun3080z00_1524;
BgL_fun3080z00_1524 = 
CAR(BgL_hooksz00_1512); 
{ /* Ast/check-sharing.scm 46 */
obj_t BgL_auxz00_4043;
BgL_auxz00_4043 = 
PROCEDURE_ENTRY(BgL_fun3080z00_1524)(BgL_fun3080z00_1524, BEOA); 
BgL_test3065z00_1519 = 
CBOOL(BgL_auxz00_4043); } } 
if(BgL_test3065z00_1519)
{ /* Ast/check-sharing.scm 46 */
{ 
obj_t BgL_hnamesz00_4050;obj_t BgL_hooksz00_4048;
BgL_hooksz00_4048 = 
CDR(BgL_hooksz00_1512); 
BgL_hnamesz00_4050 = 
CDR(BgL_hnamesz00_1513); 
BgL_hnamesz00_1513 = BgL_hnamesz00_4050; 
BgL_hooksz00_1512 = BgL_hooksz00_4048; 
goto BgL_loopz00_1514;} }  else 
{ /* Ast/check-sharing.scm 46 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string4552z00zzast_checkzd2sharingzd2, 
CAR(BgL_hnamesz00_1513));} } } } }  else 
{ /* Ast/check-sharing.scm 39 */
return BFALSE;} } 
}



/* _check-sharing */
obj_t BGl__checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3862, obj_t BgL_whenz00_3863, obj_t BgL_globalsz00_3864)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 38 */
return 
BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(BgL_whenz00_3863, BgL_globalsz00_3864);} 
}



/* check-node-sharing-reset! */
obj_t BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 64 */
return ( 
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = BNIL, BUNSPEC) ;} 
}



/* _check-node-sharing-reset! */
obj_t BGl__checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2(obj_t BgL_envz00_3865)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 64 */
return 
BGl_checkzd2nodezd2sharingzd2resetz12zc0zzast_checkzd2sharingzd2();} 
}



/* check-node-sharing* */
bool_t BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(obj_t BgL_nodeza2za2_59, obj_t BgL_contextz00_60)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 225 */
{ 
obj_t BgL_l2911z00_1527;
BgL_l2911z00_1527 = BgL_nodeza2za2_59; 
BgL_lname2912z00_1528:
if(
PAIRP(BgL_l2911z00_1527))
{ /* Ast/check-sharing.scm 226 */
{ /* Ast/check-sharing.scm 226 */
BgL_nodez00_bglt BgL_nodez00_2187;
{ /* Ast/check-sharing.scm 226 */
obj_t BgL_auxz00_4058;
BgL_auxz00_4058 = 
CAR(BgL_l2911z00_1527); 
BgL_nodez00_2187 = 
(BgL_nodez00_bglt)(BgL_auxz00_4058); } 
{ /* Ast/check-sharing.scm 226 */
obj_t BgL_method2914z00_2189;
{ /* Ast/check-sharing.scm 226 */
long BgL_objzd2classzd2numz00_2191;
{ /* Ast/check-sharing.scm 226 */
BgL_objectz00_bglt BgL_auxz00_4061;
BgL_auxz00_4061 = 
(BgL_objectz00_bglt)(BgL_nodez00_2187); 
BgL_objzd2classzd2numz00_2191 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4061); } 
{ /* Ast/check-sharing.scm 226 */
obj_t BgL_arg1904z00_2192;
{ /* Ast/check-sharing.scm 226 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)1)); 
BgL_arg1904z00_2192 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4064); } 
{ /* Ast/check-sharing.scm 226 */
long BgL_offsetz00_2196;
{ /* Ast/check-sharing.scm 226 */
long BgL_auxz00_4067;
{ /* Ast/check-sharing.scm 226 */
int BgL_auxz00_4068;
BgL_auxz00_4068 = 
(int)(BgL_objzd2classzd2numz00_2191); 
BgL_auxz00_4067 = 
(long)(BgL_auxz00_4068); } 
BgL_offsetz00_2196 = 
(BgL_auxz00_4067-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 226 */
long BgL_modz00_2197;
{ /* Ast/check-sharing.scm 226 */
long BgL_auxz00_4072;
{ /* Ast/check-sharing.scm 226 */
int BgL_auxz00_4073;
BgL_auxz00_4073 = 
(int)(((long)8)); 
BgL_auxz00_4072 = 
(long)(BgL_auxz00_4073); } 
BgL_modz00_2197 = 
(BgL_offsetz00_2196/BgL_auxz00_4072); } 
{ /* Ast/check-sharing.scm 226 */
long BgL_restz00_2199;
{ /* Ast/check-sharing.scm 226 */
long BgL_auxz00_4077;
{ /* Ast/check-sharing.scm 226 */
int BgL_auxz00_4078;
BgL_auxz00_4078 = 
(int)(((long)8)); 
BgL_auxz00_4077 = 
(long)(BgL_auxz00_4078); } 
BgL_restz00_2199 = 
(BgL_offsetz00_2196%BgL_auxz00_4077); } 
{ /* Ast/check-sharing.scm 226 */

{ /* Ast/check-sharing.scm 226 */
obj_t BgL_bucketz00_2201;
{ /* Ast/check-sharing.scm 226 */
int BgL_kz00_2211;
BgL_kz00_2211 = 
(int)(BgL_modz00_2197); 
BgL_bucketz00_2201 = 
VECTOR_REF(BgL_arg1904z00_2192,BgL_kz00_2211); } 
{ /* Ast/check-sharing.scm 226 */
int BgL_kz00_2213;
BgL_kz00_2213 = 
(int)(BgL_restz00_2199); 
BgL_method2914z00_2189 = 
VECTOR_REF(BgL_bucketz00_2201,BgL_kz00_2213); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2189)(BgL_method2914z00_2189, 
(obj_t)(BgL_nodez00_2187), BgL_contextz00_60, BEOA); } } 
{ 
obj_t BgL_l2911z00_4089;
BgL_l2911z00_4089 = 
CDR(BgL_l2911z00_1527); 
BgL_l2911z00_1527 = BgL_l2911z00_4089; 
goto BgL_lname2912z00_1528;} }  else 
{ /* Ast/check-sharing.scm 226 */
return ((bool_t)1);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_checkzd2nodezd2sharingzd2default2913zd2envz00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_sequencez00zzast_nodez00, BGl_proc4553z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appz00zzast_nodez00, BGl_proc4554z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4555z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_funcallz00zzast_nodez00, BGl_proc4556z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_externz00zzast_nodez00, BGl_proc4557z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_castz00zzast_nodez00, BGl_proc4558z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setqz00zzast_nodez00, BGl_proc4559z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_conditionalz00zzast_nodez00, BGl_proc4560z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_failz00zzast_nodez00, BGl_proc4561z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_selectz00zzast_nodez00, BGl_proc4562z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2funzd2zzast_nodez00, BGl_proc4563z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2varzd2zzast_nodez00, BGl_proc4564z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4565z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4566z00zzast_checkzd2sharingzd2); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4567z00zzast_checkzd2sharingzd2); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4568z00zzast_checkzd2sharingzd2);} 
}



/* check-node-sharing-box-set!2946 */
obj_t BGl_checkzd2nodezd2sharingzd2boxzd2setz122946z12zzast_checkzd2sharingzd2(obj_t BgL_envz00_3885, obj_t BgL_nodez00_3886, obj_t BgL_contextz00_3887)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 217 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2090;obj_t BgL_contextz00_2091;
BgL_nodez00_2090 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3886); 
BgL_contextz00_2091 = BgL_contextz00_3887; 
{ 

{ /* Ast/check-sharing.scm 217 */
obj_t BgL_nextzd2method2945zd2_2096;
BgL_nextzd2method2945zd2_2096 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2090), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_boxzd2setz12zc0zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2945zd2_2096))
{ /* Ast/check-sharing.scm 217 */
PROCEDURE_ENTRY(BgL_nextzd2method2945zd2_2096)(BgL_nextzd2method2945zd2_2096, 
(obj_t)(BgL_nodez00_2090), BgL_contextz00_2091, BEOA); }  else 
{ /* Ast/check-sharing.scm 217 */
{ /* Ast/check-sharing.scm 217 */
BgL_nodez00_bglt BgL_nodez00_3806;
BgL_nodez00_3806 = 
(BgL_nodez00_bglt)(BgL_nodez00_2090); 
{ /* Ast/check-sharing.scm 217 */
obj_t BgL_method2914z00_3808;
{ /* Ast/check-sharing.scm 217 */
long BgL_objzd2classzd2numz00_3810;
{ /* Ast/check-sharing.scm 217 */
BgL_objectz00_bglt BgL_auxz00_4116;
BgL_auxz00_4116 = 
(BgL_objectz00_bglt)(BgL_nodez00_3806); 
BgL_objzd2classzd2numz00_3810 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4116); } 
{ /* Ast/check-sharing.scm 217 */
obj_t BgL_arg1904z00_3811;
{ /* Ast/check-sharing.scm 217 */
int BgL_auxz00_4119;
BgL_auxz00_4119 = 
(int)(((long)1)); 
BgL_arg1904z00_3811 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4119); } 
{ /* Ast/check-sharing.scm 217 */
long BgL_offsetz00_3815;
{ /* Ast/check-sharing.scm 217 */
long BgL_auxz00_4122;
{ /* Ast/check-sharing.scm 217 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(BgL_objzd2classzd2numz00_3810); 
BgL_auxz00_4122 = 
(long)(BgL_auxz00_4123); } 
BgL_offsetz00_3815 = 
(BgL_auxz00_4122-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 217 */
long BgL_modz00_3816;
{ /* Ast/check-sharing.scm 217 */
long BgL_auxz00_4127;
{ /* Ast/check-sharing.scm 217 */
int BgL_auxz00_4128;
BgL_auxz00_4128 = 
(int)(((long)8)); 
BgL_auxz00_4127 = 
(long)(BgL_auxz00_4128); } 
BgL_modz00_3816 = 
(BgL_offsetz00_3815/BgL_auxz00_4127); } 
{ /* Ast/check-sharing.scm 217 */
long BgL_restz00_3818;
{ /* Ast/check-sharing.scm 217 */
long BgL_auxz00_4132;
{ /* Ast/check-sharing.scm 217 */
int BgL_auxz00_4133;
BgL_auxz00_4133 = 
(int)(((long)8)); 
BgL_auxz00_4132 = 
(long)(BgL_auxz00_4133); } 
BgL_restz00_3818 = 
(BgL_offsetz00_3815%BgL_auxz00_4132); } 
{ /* Ast/check-sharing.scm 217 */

{ /* Ast/check-sharing.scm 217 */
obj_t BgL_bucketz00_3820;
{ /* Ast/check-sharing.scm 217 */
int BgL_kz00_3830;
BgL_kz00_3830 = 
(int)(BgL_modz00_3816); 
BgL_bucketz00_3820 = 
VECTOR_REF(BgL_arg1904z00_3811,BgL_kz00_3830); } 
{ /* Ast/check-sharing.scm 217 */
int BgL_kz00_3832;
BgL_kz00_3832 = 
(int)(BgL_restz00_3818); 
BgL_method2914z00_3808 = 
VECTOR_REF(BgL_bucketz00_3820,BgL_kz00_3832); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3808)(BgL_method2914z00_3808, 
(obj_t)(BgL_nodez00_3806), BgL_contextz00_2091, BEOA); } } } } 
{ /* Ast/check-sharing.scm 220 */
BgL_nodez00_bglt BgL_arg3792z00_2095;
BgL_arg3792z00_2095 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2090))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 220 */
obj_t BgL_contextz00_3779;
BgL_contextz00_3779 = 
(obj_t)(BgL_nodez00_2090); 
{ /* Ast/check-sharing.scm 220 */
obj_t BgL_method2914z00_3780;
{ /* Ast/check-sharing.scm 220 */
long BgL_objzd2classzd2numz00_3782;
{ /* Ast/check-sharing.scm 220 */
BgL_objectz00_bglt BgL_auxz00_4146;
BgL_auxz00_4146 = 
(BgL_objectz00_bglt)(BgL_arg3792z00_2095); 
BgL_objzd2classzd2numz00_3782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4146); } 
{ /* Ast/check-sharing.scm 220 */
obj_t BgL_arg1904z00_3783;
{ /* Ast/check-sharing.scm 220 */
int BgL_auxz00_4149;
BgL_auxz00_4149 = 
(int)(((long)1)); 
BgL_arg1904z00_3783 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4149); } 
{ /* Ast/check-sharing.scm 220 */
long BgL_offsetz00_3787;
{ /* Ast/check-sharing.scm 220 */
long BgL_auxz00_4152;
{ /* Ast/check-sharing.scm 220 */
int BgL_auxz00_4153;
BgL_auxz00_4153 = 
(int)(BgL_objzd2classzd2numz00_3782); 
BgL_auxz00_4152 = 
(long)(BgL_auxz00_4153); } 
BgL_offsetz00_3787 = 
(BgL_auxz00_4152-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 220 */
long BgL_modz00_3788;
{ /* Ast/check-sharing.scm 220 */
long BgL_auxz00_4157;
{ /* Ast/check-sharing.scm 220 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)8)); 
BgL_auxz00_4157 = 
(long)(BgL_auxz00_4158); } 
BgL_modz00_3788 = 
(BgL_offsetz00_3787/BgL_auxz00_4157); } 
{ /* Ast/check-sharing.scm 220 */
long BgL_restz00_3790;
{ /* Ast/check-sharing.scm 220 */
long BgL_auxz00_4162;
{ /* Ast/check-sharing.scm 220 */
int BgL_auxz00_4163;
BgL_auxz00_4163 = 
(int)(((long)8)); 
BgL_auxz00_4162 = 
(long)(BgL_auxz00_4163); } 
BgL_restz00_3790 = 
(BgL_offsetz00_3787%BgL_auxz00_4162); } 
{ /* Ast/check-sharing.scm 220 */

{ /* Ast/check-sharing.scm 220 */
obj_t BgL_bucketz00_3792;
{ /* Ast/check-sharing.scm 220 */
int BgL_kz00_3802;
BgL_kz00_3802 = 
(int)(BgL_modz00_3788); 
BgL_bucketz00_3792 = 
VECTOR_REF(BgL_arg1904z00_3783,BgL_kz00_3802); } 
{ /* Ast/check-sharing.scm 220 */
int BgL_kz00_3804;
BgL_kz00_3804 = 
(int)(BgL_restz00_3790); 
BgL_method2914z00_3780 = 
VECTOR_REF(BgL_bucketz00_3792,BgL_kz00_3804); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3780)(BgL_method2914z00_3780, 
(obj_t)(BgL_arg3792z00_2095), BgL_contextz00_3779, BEOA);} } } } } } 
}



/* check-node-sharing-make-box2944 */
obj_t BGl_checkzd2nodezd2sharingzd2makezd2box2944z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3888, obj_t BgL_nodez00_3889, obj_t BgL_contextz00_3890)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 210 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2083;obj_t BgL_contextz00_2084;
BgL_nodez00_2083 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3889); 
BgL_contextz00_2084 = BgL_contextz00_3890; 
{ 

{ /* Ast/check-sharing.scm 210 */
obj_t BgL_nextzd2method2943zd2_2088;
BgL_nextzd2method2943zd2_2088 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2083), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_makezd2boxzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2943zd2_2088))
{ /* Ast/check-sharing.scm 210 */
PROCEDURE_ENTRY(BgL_nextzd2method2943zd2_2088)(BgL_nextzd2method2943zd2_2088, 
(obj_t)(BgL_nodez00_2083), BgL_contextz00_2084, BEOA); }  else 
{ /* Ast/check-sharing.scm 210 */
{ /* Ast/check-sharing.scm 210 */
BgL_nodez00_bglt BgL_nodez00_3750;
BgL_nodez00_3750 = 
(BgL_nodez00_bglt)(BgL_nodez00_2083); 
{ /* Ast/check-sharing.scm 210 */
obj_t BgL_method2914z00_3752;
{ /* Ast/check-sharing.scm 210 */
long BgL_objzd2classzd2numz00_3754;
{ /* Ast/check-sharing.scm 210 */
BgL_objectz00_bglt BgL_auxz00_4183;
BgL_auxz00_4183 = 
(BgL_objectz00_bglt)(BgL_nodez00_3750); 
BgL_objzd2classzd2numz00_3754 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4183); } 
{ /* Ast/check-sharing.scm 210 */
obj_t BgL_arg1904z00_3755;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4186;
BgL_auxz00_4186 = 
(int)(((long)1)); 
BgL_arg1904z00_3755 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4186); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_offsetz00_3759;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4189;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(BgL_objzd2classzd2numz00_3754); 
BgL_auxz00_4189 = 
(long)(BgL_auxz00_4190); } 
BgL_offsetz00_3759 = 
(BgL_auxz00_4189-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_modz00_3760;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4194;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4195;
BgL_auxz00_4195 = 
(int)(((long)8)); 
BgL_auxz00_4194 = 
(long)(BgL_auxz00_4195); } 
BgL_modz00_3760 = 
(BgL_offsetz00_3759/BgL_auxz00_4194); } 
{ /* Ast/check-sharing.scm 210 */
long BgL_restz00_3762;
{ /* Ast/check-sharing.scm 210 */
long BgL_auxz00_4199;
{ /* Ast/check-sharing.scm 210 */
int BgL_auxz00_4200;
BgL_auxz00_4200 = 
(int)(((long)8)); 
BgL_auxz00_4199 = 
(long)(BgL_auxz00_4200); } 
BgL_restz00_3762 = 
(BgL_offsetz00_3759%BgL_auxz00_4199); } 
{ /* Ast/check-sharing.scm 210 */

{ /* Ast/check-sharing.scm 210 */
obj_t BgL_bucketz00_3764;
{ /* Ast/check-sharing.scm 210 */
int BgL_kz00_3774;
BgL_kz00_3774 = 
(int)(BgL_modz00_3760); 
BgL_bucketz00_3764 = 
VECTOR_REF(BgL_arg1904z00_3755,BgL_kz00_3774); } 
{ /* Ast/check-sharing.scm 210 */
int BgL_kz00_3776;
BgL_kz00_3776 = 
(int)(BgL_restz00_3762); 
BgL_method2914z00_3752 = 
VECTOR_REF(BgL_bucketz00_3764,BgL_kz00_3776); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3752)(BgL_method2914z00_3752, 
(obj_t)(BgL_nodez00_3750), BgL_contextz00_2084, BEOA); } } } } 
{ /* Ast/check-sharing.scm 212 */
BgL_nodez00_bglt BgL_arg3781z00_2087;
BgL_arg3781z00_2087 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2083))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 212 */
obj_t BgL_contextz00_3723;
BgL_contextz00_3723 = 
(obj_t)(BgL_nodez00_2083); 
{ /* Ast/check-sharing.scm 212 */
obj_t BgL_method2914z00_3724;
{ /* Ast/check-sharing.scm 212 */
long BgL_objzd2classzd2numz00_3726;
{ /* Ast/check-sharing.scm 212 */
BgL_objectz00_bglt BgL_auxz00_4213;
BgL_auxz00_4213 = 
(BgL_objectz00_bglt)(BgL_arg3781z00_2087); 
BgL_objzd2classzd2numz00_3726 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4213); } 
{ /* Ast/check-sharing.scm 212 */
obj_t BgL_arg1904z00_3727;
{ /* Ast/check-sharing.scm 212 */
int BgL_auxz00_4216;
BgL_auxz00_4216 = 
(int)(((long)1)); 
BgL_arg1904z00_3727 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4216); } 
{ /* Ast/check-sharing.scm 212 */
long BgL_offsetz00_3731;
{ /* Ast/check-sharing.scm 212 */
long BgL_auxz00_4219;
{ /* Ast/check-sharing.scm 212 */
int BgL_auxz00_4220;
BgL_auxz00_4220 = 
(int)(BgL_objzd2classzd2numz00_3726); 
BgL_auxz00_4219 = 
(long)(BgL_auxz00_4220); } 
BgL_offsetz00_3731 = 
(BgL_auxz00_4219-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 212 */
long BgL_modz00_3732;
{ /* Ast/check-sharing.scm 212 */
long BgL_auxz00_4224;
{ /* Ast/check-sharing.scm 212 */
int BgL_auxz00_4225;
BgL_auxz00_4225 = 
(int)(((long)8)); 
BgL_auxz00_4224 = 
(long)(BgL_auxz00_4225); } 
BgL_modz00_3732 = 
(BgL_offsetz00_3731/BgL_auxz00_4224); } 
{ /* Ast/check-sharing.scm 212 */
long BgL_restz00_3734;
{ /* Ast/check-sharing.scm 212 */
long BgL_auxz00_4229;
{ /* Ast/check-sharing.scm 212 */
int BgL_auxz00_4230;
BgL_auxz00_4230 = 
(int)(((long)8)); 
BgL_auxz00_4229 = 
(long)(BgL_auxz00_4230); } 
BgL_restz00_3734 = 
(BgL_offsetz00_3731%BgL_auxz00_4229); } 
{ /* Ast/check-sharing.scm 212 */

{ /* Ast/check-sharing.scm 212 */
obj_t BgL_bucketz00_3736;
{ /* Ast/check-sharing.scm 212 */
int BgL_kz00_3746;
BgL_kz00_3746 = 
(int)(BgL_modz00_3732); 
BgL_bucketz00_3736 = 
VECTOR_REF(BgL_arg1904z00_3727,BgL_kz00_3746); } 
{ /* Ast/check-sharing.scm 212 */
int BgL_kz00_3748;
BgL_kz00_3748 = 
(int)(BgL_restz00_3734); 
BgL_method2914z00_3724 = 
VECTOR_REF(BgL_bucketz00_3736,BgL_kz00_3748); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3724)(BgL_method2914z00_3724, 
(obj_t)(BgL_arg3781z00_2087), BgL_contextz00_3723, BEOA);} } } } } } 
}



/* check-node-sharing-jump-ex-it2942 */
obj_t BGl_checkzd2nodezd2sharingzd2jumpzd2exzd2it2942zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3891, obj_t BgL_nodez00_3892, obj_t BgL_contextz00_3893)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 201 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_2075;obj_t BgL_contextz00_2076;
BgL_nodez00_2075 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3892); 
BgL_contextz00_2076 = BgL_contextz00_3893; 
{ 

{ /* Ast/check-sharing.scm 201 */
obj_t BgL_nextzd2method2941zd2_2081;
BgL_nextzd2method2941zd2_2081 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2075), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_jumpzd2exzd2itz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2941zd2_2081))
{ /* Ast/check-sharing.scm 201 */
PROCEDURE_ENTRY(BgL_nextzd2method2941zd2_2081)(BgL_nextzd2method2941zd2_2081, 
(obj_t)(BgL_nodez00_2075), BgL_contextz00_2076, BEOA); }  else 
{ /* Ast/check-sharing.scm 201 */
{ /* Ast/check-sharing.scm 201 */
BgL_nodez00_bglt BgL_nodez00_3694;
BgL_nodez00_3694 = 
(BgL_nodez00_bglt)(BgL_nodez00_2075); 
{ /* Ast/check-sharing.scm 201 */
obj_t BgL_method2914z00_3696;
{ /* Ast/check-sharing.scm 201 */
long BgL_objzd2classzd2numz00_3698;
{ /* Ast/check-sharing.scm 201 */
BgL_objectz00_bglt BgL_auxz00_4250;
BgL_auxz00_4250 = 
(BgL_objectz00_bglt)(BgL_nodez00_3694); 
BgL_objzd2classzd2numz00_3698 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4250); } 
{ /* Ast/check-sharing.scm 201 */
obj_t BgL_arg1904z00_3699;
{ /* Ast/check-sharing.scm 201 */
int BgL_auxz00_4253;
BgL_auxz00_4253 = 
(int)(((long)1)); 
BgL_arg1904z00_3699 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4253); } 
{ /* Ast/check-sharing.scm 201 */
long BgL_offsetz00_3703;
{ /* Ast/check-sharing.scm 201 */
long BgL_auxz00_4256;
{ /* Ast/check-sharing.scm 201 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(BgL_objzd2classzd2numz00_3698); 
BgL_auxz00_4256 = 
(long)(BgL_auxz00_4257); } 
BgL_offsetz00_3703 = 
(BgL_auxz00_4256-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 201 */
long BgL_modz00_3704;
{ /* Ast/check-sharing.scm 201 */
long BgL_auxz00_4261;
{ /* Ast/check-sharing.scm 201 */
int BgL_auxz00_4262;
BgL_auxz00_4262 = 
(int)(((long)8)); 
BgL_auxz00_4261 = 
(long)(BgL_auxz00_4262); } 
BgL_modz00_3704 = 
(BgL_offsetz00_3703/BgL_auxz00_4261); } 
{ /* Ast/check-sharing.scm 201 */
long BgL_restz00_3706;
{ /* Ast/check-sharing.scm 201 */
long BgL_auxz00_4266;
{ /* Ast/check-sharing.scm 201 */
int BgL_auxz00_4267;
BgL_auxz00_4267 = 
(int)(((long)8)); 
BgL_auxz00_4266 = 
(long)(BgL_auxz00_4267); } 
BgL_restz00_3706 = 
(BgL_offsetz00_3703%BgL_auxz00_4266); } 
{ /* Ast/check-sharing.scm 201 */

{ /* Ast/check-sharing.scm 201 */
obj_t BgL_bucketz00_3708;
{ /* Ast/check-sharing.scm 201 */
int BgL_kz00_3718;
BgL_kz00_3718 = 
(int)(BgL_modz00_3704); 
BgL_bucketz00_3708 = 
VECTOR_REF(BgL_arg1904z00_3699,BgL_kz00_3718); } 
{ /* Ast/check-sharing.scm 201 */
int BgL_kz00_3720;
BgL_kz00_3720 = 
(int)(BgL_restz00_3706); 
BgL_method2914z00_3696 = 
VECTOR_REF(BgL_bucketz00_3708,BgL_kz00_3720); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3696)(BgL_method2914z00_3696, 
(obj_t)(BgL_nodez00_3694), BgL_contextz00_2076, BEOA); } } } } 
{ /* Ast/check-sharing.scm 204 */
BgL_nodez00_bglt BgL_arg3769z00_2080;
BgL_arg3769z00_2080 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_2075))->BgL_exitz00); 
{ /* Ast/check-sharing.scm 204 */
obj_t BgL_contextz00_3640;
BgL_contextz00_3640 = 
(obj_t)(BgL_nodez00_2075); 
{ /* Ast/check-sharing.scm 204 */
obj_t BgL_method2914z00_3641;
{ /* Ast/check-sharing.scm 204 */
long BgL_objzd2classzd2numz00_3643;
{ /* Ast/check-sharing.scm 204 */
BgL_objectz00_bglt BgL_auxz00_4280;
BgL_auxz00_4280 = 
(BgL_objectz00_bglt)(BgL_arg3769z00_2080); 
BgL_objzd2classzd2numz00_3643 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4280); } 
{ /* Ast/check-sharing.scm 204 */
obj_t BgL_arg1904z00_3644;
{ /* Ast/check-sharing.scm 204 */
int BgL_auxz00_4283;
BgL_auxz00_4283 = 
(int)(((long)1)); 
BgL_arg1904z00_3644 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4283); } 
{ /* Ast/check-sharing.scm 204 */
long BgL_offsetz00_3648;
{ /* Ast/check-sharing.scm 204 */
long BgL_auxz00_4286;
{ /* Ast/check-sharing.scm 204 */
int BgL_auxz00_4287;
BgL_auxz00_4287 = 
(int)(BgL_objzd2classzd2numz00_3643); 
BgL_auxz00_4286 = 
(long)(BgL_auxz00_4287); } 
BgL_offsetz00_3648 = 
(BgL_auxz00_4286-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 204 */
long BgL_modz00_3649;
{ /* Ast/check-sharing.scm 204 */
long BgL_auxz00_4291;
{ /* Ast/check-sharing.scm 204 */
int BgL_auxz00_4292;
BgL_auxz00_4292 = 
(int)(((long)8)); 
BgL_auxz00_4291 = 
(long)(BgL_auxz00_4292); } 
BgL_modz00_3649 = 
(BgL_offsetz00_3648/BgL_auxz00_4291); } 
{ /* Ast/check-sharing.scm 204 */
long BgL_restz00_3651;
{ /* Ast/check-sharing.scm 204 */
long BgL_auxz00_4296;
{ /* Ast/check-sharing.scm 204 */
int BgL_auxz00_4297;
BgL_auxz00_4297 = 
(int)(((long)8)); 
BgL_auxz00_4296 = 
(long)(BgL_auxz00_4297); } 
BgL_restz00_3651 = 
(BgL_offsetz00_3648%BgL_auxz00_4296); } 
{ /* Ast/check-sharing.scm 204 */

{ /* Ast/check-sharing.scm 204 */
obj_t BgL_bucketz00_3653;
{ /* Ast/check-sharing.scm 204 */
int BgL_kz00_3663;
BgL_kz00_3663 = 
(int)(BgL_modz00_3649); 
BgL_bucketz00_3653 = 
VECTOR_REF(BgL_arg1904z00_3644,BgL_kz00_3663); } 
{ /* Ast/check-sharing.scm 204 */
int BgL_kz00_3665;
BgL_kz00_3665 = 
(int)(BgL_restz00_3651); 
BgL_method2914z00_3641 = 
VECTOR_REF(BgL_bucketz00_3653,BgL_kz00_3665); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3641)(BgL_method2914z00_3641, 
(obj_t)(BgL_arg3769z00_2080), BgL_contextz00_3640, BEOA); } } } 
{ /* Ast/check-sharing.scm 205 */
BgL_nodez00_bglt BgL_nodez00_3666;obj_t BgL_contextz00_3667;
BgL_nodez00_3666 = 
(BgL_nodez00_bglt)(BGl_valuez00zzast_varz00); 
BgL_contextz00_3667 = 
(obj_t)(BgL_nodez00_2075); 
{ /* Ast/check-sharing.scm 205 */
obj_t BgL_method2914z00_3668;
{ /* Ast/check-sharing.scm 205 */
long BgL_objzd2classzd2numz00_3670;
{ /* Ast/check-sharing.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4310;
BgL_auxz00_4310 = 
(BgL_objectz00_bglt)(BgL_nodez00_3666); 
BgL_objzd2classzd2numz00_3670 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4310); } 
{ /* Ast/check-sharing.scm 205 */
obj_t BgL_arg1904z00_3671;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4313;
BgL_auxz00_4313 = 
(int)(((long)1)); 
BgL_arg1904z00_3671 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4313); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_offsetz00_3675;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4316;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4317;
BgL_auxz00_4317 = 
(int)(BgL_objzd2classzd2numz00_3670); 
BgL_auxz00_4316 = 
(long)(BgL_auxz00_4317); } 
BgL_offsetz00_3675 = 
(BgL_auxz00_4316-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_modz00_3676;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4321;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4322;
BgL_auxz00_4322 = 
(int)(((long)8)); 
BgL_auxz00_4321 = 
(long)(BgL_auxz00_4322); } 
BgL_modz00_3676 = 
(BgL_offsetz00_3675/BgL_auxz00_4321); } 
{ /* Ast/check-sharing.scm 205 */
long BgL_restz00_3678;
{ /* Ast/check-sharing.scm 205 */
long BgL_auxz00_4326;
{ /* Ast/check-sharing.scm 205 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(((long)8)); 
BgL_auxz00_4326 = 
(long)(BgL_auxz00_4327); } 
BgL_restz00_3678 = 
(BgL_offsetz00_3675%BgL_auxz00_4326); } 
{ /* Ast/check-sharing.scm 205 */

{ /* Ast/check-sharing.scm 205 */
obj_t BgL_bucketz00_3680;
{ /* Ast/check-sharing.scm 205 */
int BgL_kz00_3690;
BgL_kz00_3690 = 
(int)(BgL_modz00_3676); 
BgL_bucketz00_3680 = 
VECTOR_REF(BgL_arg1904z00_3671,BgL_kz00_3690); } 
{ /* Ast/check-sharing.scm 205 */
int BgL_kz00_3692;
BgL_kz00_3692 = 
(int)(BgL_restz00_3678); 
BgL_method2914z00_3668 = 
VECTOR_REF(BgL_bucketz00_3680,BgL_kz00_3692); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3668)(BgL_method2914z00_3668, 
(obj_t)(BgL_nodez00_3666), BgL_contextz00_3667, BEOA);} } } } } 
}



/* check-node-sharing-set-ex-it2940 */
obj_t BGl_checkzd2nodezd2sharingzd2setzd2exzd2it2940zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3894, obj_t BgL_nodez00_3895, obj_t BgL_contextz00_3896)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 194 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_2068;obj_t BgL_contextz00_2069;
BgL_nodez00_2068 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3895); 
BgL_contextz00_2069 = BgL_contextz00_3896; 
{ 

{ /* Ast/check-sharing.scm 194 */
obj_t BgL_nextzd2method2939zd2_2073;
BgL_nextzd2method2939zd2_2073 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2068), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setzd2exzd2itz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2939zd2_2073))
{ /* Ast/check-sharing.scm 194 */
PROCEDURE_ENTRY(BgL_nextzd2method2939zd2_2073)(BgL_nextzd2method2939zd2_2073, 
(obj_t)(BgL_nodez00_2068), BgL_contextz00_2069, BEOA); }  else 
{ /* Ast/check-sharing.scm 194 */
{ /* Ast/check-sharing.scm 194 */
BgL_nodez00_bglt BgL_nodez00_3611;
BgL_nodez00_3611 = 
(BgL_nodez00_bglt)(BgL_nodez00_2068); 
{ /* Ast/check-sharing.scm 194 */
obj_t BgL_method2914z00_3613;
{ /* Ast/check-sharing.scm 194 */
long BgL_objzd2classzd2numz00_3615;
{ /* Ast/check-sharing.scm 194 */
BgL_objectz00_bglt BgL_auxz00_4347;
BgL_auxz00_4347 = 
(BgL_objectz00_bglt)(BgL_nodez00_3611); 
BgL_objzd2classzd2numz00_3615 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4347); } 
{ /* Ast/check-sharing.scm 194 */
obj_t BgL_arg1904z00_3616;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4350;
BgL_auxz00_4350 = 
(int)(((long)1)); 
BgL_arg1904z00_3616 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4350); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_offsetz00_3620;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4353;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4354;
BgL_auxz00_4354 = 
(int)(BgL_objzd2classzd2numz00_3615); 
BgL_auxz00_4353 = 
(long)(BgL_auxz00_4354); } 
BgL_offsetz00_3620 = 
(BgL_auxz00_4353-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_modz00_3621;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4358;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)8)); 
BgL_auxz00_4358 = 
(long)(BgL_auxz00_4359); } 
BgL_modz00_3621 = 
(BgL_offsetz00_3620/BgL_auxz00_4358); } 
{ /* Ast/check-sharing.scm 194 */
long BgL_restz00_3623;
{ /* Ast/check-sharing.scm 194 */
long BgL_auxz00_4363;
{ /* Ast/check-sharing.scm 194 */
int BgL_auxz00_4364;
BgL_auxz00_4364 = 
(int)(((long)8)); 
BgL_auxz00_4363 = 
(long)(BgL_auxz00_4364); } 
BgL_restz00_3623 = 
(BgL_offsetz00_3620%BgL_auxz00_4363); } 
{ /* Ast/check-sharing.scm 194 */

{ /* Ast/check-sharing.scm 194 */
obj_t BgL_bucketz00_3625;
{ /* Ast/check-sharing.scm 194 */
int BgL_kz00_3635;
BgL_kz00_3635 = 
(int)(BgL_modz00_3621); 
BgL_bucketz00_3625 = 
VECTOR_REF(BgL_arg1904z00_3616,BgL_kz00_3635); } 
{ /* Ast/check-sharing.scm 194 */
int BgL_kz00_3637;
BgL_kz00_3637 = 
(int)(BgL_restz00_3623); 
BgL_method2914z00_3613 = 
VECTOR_REF(BgL_bucketz00_3625,BgL_kz00_3637); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3613)(BgL_method2914z00_3613, 
(obj_t)(BgL_nodez00_3611), BgL_contextz00_2069, BEOA); } } } } 
{ /* Ast/check-sharing.scm 196 */
BgL_nodez00_bglt BgL_arg3758z00_2072;
BgL_arg3758z00_2072 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_2068))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 196 */
obj_t BgL_contextz00_3584;
BgL_contextz00_3584 = 
(obj_t)(BgL_nodez00_2068); 
{ /* Ast/check-sharing.scm 196 */
obj_t BgL_method2914z00_3585;
{ /* Ast/check-sharing.scm 196 */
long BgL_objzd2classzd2numz00_3587;
{ /* Ast/check-sharing.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4377;
BgL_auxz00_4377 = 
(BgL_objectz00_bglt)(BgL_arg3758z00_2072); 
BgL_objzd2classzd2numz00_3587 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4377); } 
{ /* Ast/check-sharing.scm 196 */
obj_t BgL_arg1904z00_3588;
{ /* Ast/check-sharing.scm 196 */
int BgL_auxz00_4380;
BgL_auxz00_4380 = 
(int)(((long)1)); 
BgL_arg1904z00_3588 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4380); } 
{ /* Ast/check-sharing.scm 196 */
long BgL_offsetz00_3592;
{ /* Ast/check-sharing.scm 196 */
long BgL_auxz00_4383;
{ /* Ast/check-sharing.scm 196 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(BgL_objzd2classzd2numz00_3587); 
BgL_auxz00_4383 = 
(long)(BgL_auxz00_4384); } 
BgL_offsetz00_3592 = 
(BgL_auxz00_4383-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 196 */
long BgL_modz00_3593;
{ /* Ast/check-sharing.scm 196 */
long BgL_auxz00_4388;
{ /* Ast/check-sharing.scm 196 */
int BgL_auxz00_4389;
BgL_auxz00_4389 = 
(int)(((long)8)); 
BgL_auxz00_4388 = 
(long)(BgL_auxz00_4389); } 
BgL_modz00_3593 = 
(BgL_offsetz00_3592/BgL_auxz00_4388); } 
{ /* Ast/check-sharing.scm 196 */
long BgL_restz00_3595;
{ /* Ast/check-sharing.scm 196 */
long BgL_auxz00_4393;
{ /* Ast/check-sharing.scm 196 */
int BgL_auxz00_4394;
BgL_auxz00_4394 = 
(int)(((long)8)); 
BgL_auxz00_4393 = 
(long)(BgL_auxz00_4394); } 
BgL_restz00_3595 = 
(BgL_offsetz00_3592%BgL_auxz00_4393); } 
{ /* Ast/check-sharing.scm 196 */

{ /* Ast/check-sharing.scm 196 */
obj_t BgL_bucketz00_3597;
{ /* Ast/check-sharing.scm 196 */
int BgL_kz00_3607;
BgL_kz00_3607 = 
(int)(BgL_modz00_3593); 
BgL_bucketz00_3597 = 
VECTOR_REF(BgL_arg1904z00_3588,BgL_kz00_3607); } 
{ /* Ast/check-sharing.scm 196 */
int BgL_kz00_3609;
BgL_kz00_3609 = 
(int)(BgL_restz00_3595); 
BgL_method2914z00_3585 = 
VECTOR_REF(BgL_bucketz00_3597,BgL_kz00_3609); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3585)(BgL_method2914z00_3585, 
(obj_t)(BgL_arg3758z00_2072), BgL_contextz00_3584, BEOA);} } } } } } 
}



/* check-node-sharing-let-var2938 */
obj_t BGl_checkzd2nodezd2sharingzd2letzd2var2938z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3897, obj_t BgL_nodez00_3898, obj_t BgL_contextz00_3899)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 183 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_2053;obj_t BgL_contextz00_2054;
{ /* Ast/check-sharing.scm 183 */
bool_t BgL_auxz00_4406;
BgL_nodez00_2053 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3898); 
BgL_contextz00_2054 = BgL_contextz00_3899; 
{ 

{ /* Ast/check-sharing.scm 183 */
obj_t BgL_nextzd2method2937zd2_2066;
BgL_nextzd2method2937zd2_2066 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2053), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2varzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2937zd2_2066))
{ /* Ast/check-sharing.scm 183 */
PROCEDURE_ENTRY(BgL_nextzd2method2937zd2_2066)(BgL_nextzd2method2937zd2_2066, 
(obj_t)(BgL_nodez00_2053), BgL_contextz00_2054, BEOA); }  else 
{ /* Ast/check-sharing.scm 183 */
{ /* Ast/check-sharing.scm 183 */
BgL_nodez00_bglt BgL_nodez00_3555;
BgL_nodez00_3555 = 
(BgL_nodez00_bglt)(BgL_nodez00_2053); 
{ /* Ast/check-sharing.scm 183 */
obj_t BgL_method2914z00_3557;
{ /* Ast/check-sharing.scm 183 */
long BgL_objzd2classzd2numz00_3559;
{ /* Ast/check-sharing.scm 183 */
BgL_objectz00_bglt BgL_auxz00_4415;
BgL_auxz00_4415 = 
(BgL_objectz00_bglt)(BgL_nodez00_3555); 
BgL_objzd2classzd2numz00_3559 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4415); } 
{ /* Ast/check-sharing.scm 183 */
obj_t BgL_arg1904z00_3560;
{ /* Ast/check-sharing.scm 183 */
int BgL_auxz00_4418;
BgL_auxz00_4418 = 
(int)(((long)1)); 
BgL_arg1904z00_3560 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4418); } 
{ /* Ast/check-sharing.scm 183 */
long BgL_offsetz00_3564;
{ /* Ast/check-sharing.scm 183 */
long BgL_auxz00_4421;
{ /* Ast/check-sharing.scm 183 */
int BgL_auxz00_4422;
BgL_auxz00_4422 = 
(int)(BgL_objzd2classzd2numz00_3559); 
BgL_auxz00_4421 = 
(long)(BgL_auxz00_4422); } 
BgL_offsetz00_3564 = 
(BgL_auxz00_4421-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 183 */
long BgL_modz00_3565;
{ /* Ast/check-sharing.scm 183 */
long BgL_auxz00_4426;
{ /* Ast/check-sharing.scm 183 */
int BgL_auxz00_4427;
BgL_auxz00_4427 = 
(int)(((long)8)); 
BgL_auxz00_4426 = 
(long)(BgL_auxz00_4427); } 
BgL_modz00_3565 = 
(BgL_offsetz00_3564/BgL_auxz00_4426); } 
{ /* Ast/check-sharing.scm 183 */
long BgL_restz00_3567;
{ /* Ast/check-sharing.scm 183 */
long BgL_auxz00_4431;
{ /* Ast/check-sharing.scm 183 */
int BgL_auxz00_4432;
BgL_auxz00_4432 = 
(int)(((long)8)); 
BgL_auxz00_4431 = 
(long)(BgL_auxz00_4432); } 
BgL_restz00_3567 = 
(BgL_offsetz00_3564%BgL_auxz00_4431); } 
{ /* Ast/check-sharing.scm 183 */

{ /* Ast/check-sharing.scm 183 */
obj_t BgL_bucketz00_3569;
{ /* Ast/check-sharing.scm 183 */
int BgL_kz00_3579;
BgL_kz00_3579 = 
(int)(BgL_modz00_3565); 
BgL_bucketz00_3569 = 
VECTOR_REF(BgL_arg1904z00_3560,BgL_kz00_3579); } 
{ /* Ast/check-sharing.scm 183 */
int BgL_kz00_3581;
BgL_kz00_3581 = 
(int)(BgL_restz00_3567); 
BgL_method2914z00_3557 = 
VECTOR_REF(BgL_bucketz00_3569,BgL_kz00_3581); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3557)(BgL_method2914z00_3557, 
(obj_t)(BgL_nodez00_3555), BgL_contextz00_2054, BEOA); } } } } 
{ /* Ast/check-sharing.scm 186 */
BgL_nodez00_bglt BgL_arg3732z00_2058;
BgL_arg3732z00_2058 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2053))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 186 */
obj_t BgL_contextz00_3496;
BgL_contextz00_3496 = 
(obj_t)(BgL_nodez00_2053); 
{ /* Ast/check-sharing.scm 186 */
obj_t BgL_method2914z00_3497;
{ /* Ast/check-sharing.scm 186 */
long BgL_objzd2classzd2numz00_3499;
{ /* Ast/check-sharing.scm 186 */
BgL_objectz00_bglt BgL_auxz00_4445;
BgL_auxz00_4445 = 
(BgL_objectz00_bglt)(BgL_arg3732z00_2058); 
BgL_objzd2classzd2numz00_3499 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4445); } 
{ /* Ast/check-sharing.scm 186 */
obj_t BgL_arg1904z00_3500;
{ /* Ast/check-sharing.scm 186 */
int BgL_auxz00_4448;
BgL_auxz00_4448 = 
(int)(((long)1)); 
BgL_arg1904z00_3500 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4448); } 
{ /* Ast/check-sharing.scm 186 */
long BgL_offsetz00_3504;
{ /* Ast/check-sharing.scm 186 */
long BgL_auxz00_4451;
{ /* Ast/check-sharing.scm 186 */
int BgL_auxz00_4452;
BgL_auxz00_4452 = 
(int)(BgL_objzd2classzd2numz00_3499); 
BgL_auxz00_4451 = 
(long)(BgL_auxz00_4452); } 
BgL_offsetz00_3504 = 
(BgL_auxz00_4451-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 186 */
long BgL_modz00_3505;
{ /* Ast/check-sharing.scm 186 */
long BgL_auxz00_4456;
{ /* Ast/check-sharing.scm 186 */
int BgL_auxz00_4457;
BgL_auxz00_4457 = 
(int)(((long)8)); 
BgL_auxz00_4456 = 
(long)(BgL_auxz00_4457); } 
BgL_modz00_3505 = 
(BgL_offsetz00_3504/BgL_auxz00_4456); } 
{ /* Ast/check-sharing.scm 186 */
long BgL_restz00_3507;
{ /* Ast/check-sharing.scm 186 */
long BgL_auxz00_4461;
{ /* Ast/check-sharing.scm 186 */
int BgL_auxz00_4462;
BgL_auxz00_4462 = 
(int)(((long)8)); 
BgL_auxz00_4461 = 
(long)(BgL_auxz00_4462); } 
BgL_restz00_3507 = 
(BgL_offsetz00_3504%BgL_auxz00_4461); } 
{ /* Ast/check-sharing.scm 186 */

{ /* Ast/check-sharing.scm 186 */
obj_t BgL_bucketz00_3509;
{ /* Ast/check-sharing.scm 186 */
int BgL_kz00_3519;
BgL_kz00_3519 = 
(int)(BgL_modz00_3505); 
BgL_bucketz00_3509 = 
VECTOR_REF(BgL_arg1904z00_3500,BgL_kz00_3519); } 
{ /* Ast/check-sharing.scm 186 */
int BgL_kz00_3521;
BgL_kz00_3521 = 
(int)(BgL_restz00_3507); 
BgL_method2914z00_3497 = 
VECTOR_REF(BgL_bucketz00_3509,BgL_kz00_3521); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3497)(BgL_method2914z00_3497, 
(obj_t)(BgL_arg3732z00_2058), BgL_contextz00_3496, BEOA); } } } 
{ 
obj_t BgL_l2905z00_2059;
BgL_l2905z00_2059 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_2053))->BgL_bindingsz00); 
BgL_lname2906z00_2060:
if(
PAIRP(BgL_l2905z00_2059))
{ /* Ast/check-sharing.scm 187 */
{ /* Ast/check-sharing.scm 188 */
BgL_nodez00_bglt BgL_nodez00_3526;obj_t BgL_contextz00_3527;
{ /* Ast/check-sharing.scm 188 */
obj_t BgL_auxz00_4475;
{ /* Ast/check-sharing.scm 188 */
obj_t BgL_auxz00_4476;
BgL_auxz00_4476 = 
CAR(BgL_l2905z00_2059); 
BgL_auxz00_4475 = 
CDR(BgL_auxz00_4476); } 
BgL_nodez00_3526 = 
(BgL_nodez00_bglt)(BgL_auxz00_4475); } 
BgL_contextz00_3527 = 
(obj_t)(BgL_nodez00_2053); 
{ /* Ast/check-sharing.scm 188 */
obj_t BgL_method2914z00_3528;
{ /* Ast/check-sharing.scm 188 */
long BgL_objzd2classzd2numz00_3530;
{ /* Ast/check-sharing.scm 188 */
BgL_objectz00_bglt BgL_auxz00_4481;
BgL_auxz00_4481 = 
(BgL_objectz00_bglt)(BgL_nodez00_3526); 
BgL_objzd2classzd2numz00_3530 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4481); } 
{ /* Ast/check-sharing.scm 188 */
obj_t BgL_arg1904z00_3531;
{ /* Ast/check-sharing.scm 188 */
int BgL_auxz00_4484;
BgL_auxz00_4484 = 
(int)(((long)1)); 
BgL_arg1904z00_3531 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4484); } 
{ /* Ast/check-sharing.scm 188 */
long BgL_offsetz00_3535;
{ /* Ast/check-sharing.scm 188 */
long BgL_auxz00_4487;
{ /* Ast/check-sharing.scm 188 */
int BgL_auxz00_4488;
BgL_auxz00_4488 = 
(int)(BgL_objzd2classzd2numz00_3530); 
BgL_auxz00_4487 = 
(long)(BgL_auxz00_4488); } 
BgL_offsetz00_3535 = 
(BgL_auxz00_4487-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 188 */
long BgL_modz00_3536;
{ /* Ast/check-sharing.scm 188 */
long BgL_auxz00_4492;
{ /* Ast/check-sharing.scm 188 */
int BgL_auxz00_4493;
BgL_auxz00_4493 = 
(int)(((long)8)); 
BgL_auxz00_4492 = 
(long)(BgL_auxz00_4493); } 
BgL_modz00_3536 = 
(BgL_offsetz00_3535/BgL_auxz00_4492); } 
{ /* Ast/check-sharing.scm 188 */
long BgL_restz00_3538;
{ /* Ast/check-sharing.scm 188 */
long BgL_auxz00_4497;
{ /* Ast/check-sharing.scm 188 */
int BgL_auxz00_4498;
BgL_auxz00_4498 = 
(int)(((long)8)); 
BgL_auxz00_4497 = 
(long)(BgL_auxz00_4498); } 
BgL_restz00_3538 = 
(BgL_offsetz00_3535%BgL_auxz00_4497); } 
{ /* Ast/check-sharing.scm 188 */

{ /* Ast/check-sharing.scm 188 */
obj_t BgL_bucketz00_3540;
{ /* Ast/check-sharing.scm 188 */
int BgL_kz00_3550;
BgL_kz00_3550 = 
(int)(BgL_modz00_3536); 
BgL_bucketz00_3540 = 
VECTOR_REF(BgL_arg1904z00_3531,BgL_kz00_3550); } 
{ /* Ast/check-sharing.scm 188 */
int BgL_kz00_3552;
BgL_kz00_3552 = 
(int)(BgL_restz00_3538); 
BgL_method2914z00_3528 = 
VECTOR_REF(BgL_bucketz00_3540,BgL_kz00_3552); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3528)(BgL_method2914z00_3528, 
(obj_t)(BgL_nodez00_3526), BgL_contextz00_3527, BEOA); } } 
{ 
obj_t BgL_l2905z00_4509;
BgL_l2905z00_4509 = 
CDR(BgL_l2905z00_2059); 
BgL_l2905z00_2059 = BgL_l2905z00_4509; 
goto BgL_lname2906z00_2060;} }  else 
{ /* Ast/check-sharing.scm 187 */
BgL_auxz00_4406 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_4406);} } } 
}



/* check-node-sharing-let-fun2936 */
obj_t BGl_checkzd2nodezd2sharingzd2letzd2fun2936z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3900, obj_t BgL_nodez00_3901, obj_t BgL_contextz00_3902)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 174 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_2039;obj_t BgL_contextz00_2040;
BgL_nodez00_2039 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3901); 
BgL_contextz00_2040 = BgL_contextz00_3902; 
{ 

{ /* Ast/check-sharing.scm 174 */
obj_t BgL_nextzd2method2935zd2_2051;
BgL_nextzd2method2935zd2_2051 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2039), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_letzd2funzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2935zd2_2051))
{ /* Ast/check-sharing.scm 174 */
PROCEDURE_ENTRY(BgL_nextzd2method2935zd2_2051)(BgL_nextzd2method2935zd2_2051, 
(obj_t)(BgL_nodez00_2039), BgL_contextz00_2040, BEOA); }  else 
{ /* Ast/check-sharing.scm 174 */
{ /* Ast/check-sharing.scm 174 */
BgL_nodez00_bglt BgL_nodez00_3467;
BgL_nodez00_3467 = 
(BgL_nodez00_bglt)(BgL_nodez00_2039); 
{ /* Ast/check-sharing.scm 174 */
obj_t BgL_method2914z00_3469;
{ /* Ast/check-sharing.scm 174 */
long BgL_objzd2classzd2numz00_3471;
{ /* Ast/check-sharing.scm 174 */
BgL_objectz00_bglt BgL_auxz00_4522;
BgL_auxz00_4522 = 
(BgL_objectz00_bglt)(BgL_nodez00_3467); 
BgL_objzd2classzd2numz00_3471 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4522); } 
{ /* Ast/check-sharing.scm 174 */
obj_t BgL_arg1904z00_3472;
{ /* Ast/check-sharing.scm 174 */
int BgL_auxz00_4525;
BgL_auxz00_4525 = 
(int)(((long)1)); 
BgL_arg1904z00_3472 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4525); } 
{ /* Ast/check-sharing.scm 174 */
long BgL_offsetz00_3476;
{ /* Ast/check-sharing.scm 174 */
long BgL_auxz00_4528;
{ /* Ast/check-sharing.scm 174 */
int BgL_auxz00_4529;
BgL_auxz00_4529 = 
(int)(BgL_objzd2classzd2numz00_3471); 
BgL_auxz00_4528 = 
(long)(BgL_auxz00_4529); } 
BgL_offsetz00_3476 = 
(BgL_auxz00_4528-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 174 */
long BgL_modz00_3477;
{ /* Ast/check-sharing.scm 174 */
long BgL_auxz00_4533;
{ /* Ast/check-sharing.scm 174 */
int BgL_auxz00_4534;
BgL_auxz00_4534 = 
(int)(((long)8)); 
BgL_auxz00_4533 = 
(long)(BgL_auxz00_4534); } 
BgL_modz00_3477 = 
(BgL_offsetz00_3476/BgL_auxz00_4533); } 
{ /* Ast/check-sharing.scm 174 */
long BgL_restz00_3479;
{ /* Ast/check-sharing.scm 174 */
long BgL_auxz00_4538;
{ /* Ast/check-sharing.scm 174 */
int BgL_auxz00_4539;
BgL_auxz00_4539 = 
(int)(((long)8)); 
BgL_auxz00_4538 = 
(long)(BgL_auxz00_4539); } 
BgL_restz00_3479 = 
(BgL_offsetz00_3476%BgL_auxz00_4538); } 
{ /* Ast/check-sharing.scm 174 */

{ /* Ast/check-sharing.scm 174 */
obj_t BgL_bucketz00_3481;
{ /* Ast/check-sharing.scm 174 */
int BgL_kz00_3491;
BgL_kz00_3491 = 
(int)(BgL_modz00_3477); 
BgL_bucketz00_3481 = 
VECTOR_REF(BgL_arg1904z00_3472,BgL_kz00_3491); } 
{ /* Ast/check-sharing.scm 174 */
int BgL_kz00_3493;
BgL_kz00_3493 = 
(int)(BgL_restz00_3479); 
BgL_method2914z00_3469 = 
VECTOR_REF(BgL_bucketz00_3481,BgL_kz00_3493); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3469)(BgL_method2914z00_3469, 
(obj_t)(BgL_nodez00_3467), BgL_contextz00_2040, BEOA); } } } } 
{ 
obj_t BgL_l2901z00_2044;
BgL_l2901z00_2044 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2039))->BgL_localsz00); 
BgL_lname2902z00_2045:
if(
PAIRP(BgL_l2901z00_2044))
{ /* Ast/check-sharing.scm 177 */
{ /* Ast/check-sharing.scm 177 */

{ /* Ast/check-sharing.scm 177 */
BgL_nodez00_bglt BgL_auxz00_4552;
{ /* Ast/check-sharing.scm 177 */
obj_t BgL_auxz00_4553;
{ /* Ast/check-sharing.scm 177 */
BgL_sfunz00_bglt BgL_obj1285z00_3436;
{ /* Ast/check-sharing.scm 177 */
BgL_valuez00_bglt BgL_auxz00_4554;
{ /* Ast/check-sharing.scm 177 */
BgL_variablez00_bglt BgL_obj1016z00_3435;
{ /* Ast/check-sharing.scm 177 */
obj_t BgL_auxz00_4555;
BgL_auxz00_4555 = 
CAR(BgL_l2901z00_2044); 
BgL_obj1016z00_3435 = 
(BgL_variablez00_bglt)(BgL_auxz00_4555); } 
BgL_auxz00_4554 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1016z00_3435))->BgL_valuez00); } 
BgL_obj1285z00_3436 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4554); } 
BgL_auxz00_4553 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1285z00_3436))->BgL_bodyz00); } 
BgL_auxz00_4552 = 
(BgL_nodez00_bglt)(BgL_auxz00_4553); } 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_auxz00_4552, 
(obj_t)(BgL_nodez00_2039)); } } 
{ 
obj_t BgL_l2901z00_4564;
BgL_l2901z00_4564 = 
CDR(BgL_l2901z00_2044); 
BgL_l2901z00_2044 = BgL_l2901z00_4564; 
goto BgL_lname2902z00_2045;} }  else 
{ /* Ast/check-sharing.scm 177 */((bool_t)1); } } 
{ /* Ast/check-sharing.scm 178 */
BgL_nodez00_bglt BgL_arg3721z00_2050;
BgL_arg3721z00_2050 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_2039))->BgL_bodyz00); 
{ /* Ast/check-sharing.scm 178 */
obj_t BgL_contextz00_3440;
BgL_contextz00_3440 = 
(obj_t)(BgL_nodez00_2039); 
{ /* Ast/check-sharing.scm 178 */
obj_t BgL_method2914z00_3441;
{ /* Ast/check-sharing.scm 178 */
long BgL_objzd2classzd2numz00_3443;
{ /* Ast/check-sharing.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4569;
BgL_auxz00_4569 = 
(BgL_objectz00_bglt)(BgL_arg3721z00_2050); 
BgL_objzd2classzd2numz00_3443 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4569); } 
{ /* Ast/check-sharing.scm 178 */
obj_t BgL_arg1904z00_3444;
{ /* Ast/check-sharing.scm 178 */
int BgL_auxz00_4572;
BgL_auxz00_4572 = 
(int)(((long)1)); 
BgL_arg1904z00_3444 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4572); } 
{ /* Ast/check-sharing.scm 178 */
long BgL_offsetz00_3448;
{ /* Ast/check-sharing.scm 178 */
long BgL_auxz00_4575;
{ /* Ast/check-sharing.scm 178 */
int BgL_auxz00_4576;
BgL_auxz00_4576 = 
(int)(BgL_objzd2classzd2numz00_3443); 
BgL_auxz00_4575 = 
(long)(BgL_auxz00_4576); } 
BgL_offsetz00_3448 = 
(BgL_auxz00_4575-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 178 */
long BgL_modz00_3449;
{ /* Ast/check-sharing.scm 178 */
long BgL_auxz00_4580;
{ /* Ast/check-sharing.scm 178 */
int BgL_auxz00_4581;
BgL_auxz00_4581 = 
(int)(((long)8)); 
BgL_auxz00_4580 = 
(long)(BgL_auxz00_4581); } 
BgL_modz00_3449 = 
(BgL_offsetz00_3448/BgL_auxz00_4580); } 
{ /* Ast/check-sharing.scm 178 */
long BgL_restz00_3451;
{ /* Ast/check-sharing.scm 178 */
long BgL_auxz00_4585;
{ /* Ast/check-sharing.scm 178 */
int BgL_auxz00_4586;
BgL_auxz00_4586 = 
(int)(((long)8)); 
BgL_auxz00_4585 = 
(long)(BgL_auxz00_4586); } 
BgL_restz00_3451 = 
(BgL_offsetz00_3448%BgL_auxz00_4585); } 
{ /* Ast/check-sharing.scm 178 */

{ /* Ast/check-sharing.scm 178 */
obj_t BgL_bucketz00_3453;
{ /* Ast/check-sharing.scm 178 */
int BgL_kz00_3463;
BgL_kz00_3463 = 
(int)(BgL_modz00_3449); 
BgL_bucketz00_3453 = 
VECTOR_REF(BgL_arg1904z00_3444,BgL_kz00_3463); } 
{ /* Ast/check-sharing.scm 178 */
int BgL_kz00_3465;
BgL_kz00_3465 = 
(int)(BgL_restz00_3451); 
BgL_method2914z00_3441 = 
VECTOR_REF(BgL_bucketz00_3453,BgL_kz00_3465); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3441)(BgL_method2914z00_3441, 
(obj_t)(BgL_arg3721z00_2050), BgL_contextz00_3440, BEOA);} } } } } } 
}



/* check-node-sharing-select2934 */
obj_t BGl_checkzd2nodezd2sharingzd2select2934zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3903, obj_t BgL_nodez00_3904, obj_t BgL_contextz00_3905)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 160 */
{ 
BgL_selectz00_bglt BgL_nodez00_2024;obj_t BgL_contextz00_2025;
{ /* Ast/check-sharing.scm 160 */
bool_t BgL_auxz00_4598;
BgL_nodez00_2024 = 
(BgL_selectz00_bglt)(BgL_nodez00_3904); 
BgL_contextz00_2025 = BgL_contextz00_3905; 
{ 

{ /* Ast/check-sharing.scm 160 */
obj_t BgL_nextzd2method2933zd2_2037;
BgL_nextzd2method2933zd2_2037 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2024), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_selectz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2933zd2_2037))
{ /* Ast/check-sharing.scm 160 */
PROCEDURE_ENTRY(BgL_nextzd2method2933zd2_2037)(BgL_nextzd2method2933zd2_2037, 
(obj_t)(BgL_nodez00_2024), BgL_contextz00_2025, BEOA); }  else 
{ /* Ast/check-sharing.scm 160 */
{ /* Ast/check-sharing.scm 160 */
BgL_nodez00_bglt BgL_nodez00_3401;
BgL_nodez00_3401 = 
(BgL_nodez00_bglt)(BgL_nodez00_2024); 
{ /* Ast/check-sharing.scm 160 */
obj_t BgL_method2914z00_3403;
{ /* Ast/check-sharing.scm 160 */
long BgL_objzd2classzd2numz00_3405;
{ /* Ast/check-sharing.scm 160 */
BgL_objectz00_bglt BgL_auxz00_4607;
BgL_auxz00_4607 = 
(BgL_objectz00_bglt)(BgL_nodez00_3401); 
BgL_objzd2classzd2numz00_3405 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4607); } 
{ /* Ast/check-sharing.scm 160 */
obj_t BgL_arg1904z00_3406;
{ /* Ast/check-sharing.scm 160 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)1)); 
BgL_arg1904z00_3406 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4610); } 
{ /* Ast/check-sharing.scm 160 */
long BgL_offsetz00_3410;
{ /* Ast/check-sharing.scm 160 */
long BgL_auxz00_4613;
{ /* Ast/check-sharing.scm 160 */
int BgL_auxz00_4614;
BgL_auxz00_4614 = 
(int)(BgL_objzd2classzd2numz00_3405); 
BgL_auxz00_4613 = 
(long)(BgL_auxz00_4614); } 
BgL_offsetz00_3410 = 
(BgL_auxz00_4613-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 160 */
long BgL_modz00_3411;
{ /* Ast/check-sharing.scm 160 */
long BgL_auxz00_4618;
{ /* Ast/check-sharing.scm 160 */
int BgL_auxz00_4619;
BgL_auxz00_4619 = 
(int)(((long)8)); 
BgL_auxz00_4618 = 
(long)(BgL_auxz00_4619); } 
BgL_modz00_3411 = 
(BgL_offsetz00_3410/BgL_auxz00_4618); } 
{ /* Ast/check-sharing.scm 160 */
long BgL_restz00_3413;
{ /* Ast/check-sharing.scm 160 */
long BgL_auxz00_4623;
{ /* Ast/check-sharing.scm 160 */
int BgL_auxz00_4624;
BgL_auxz00_4624 = 
(int)(((long)8)); 
BgL_auxz00_4623 = 
(long)(BgL_auxz00_4624); } 
BgL_restz00_3413 = 
(BgL_offsetz00_3410%BgL_auxz00_4623); } 
{ /* Ast/check-sharing.scm 160 */

{ /* Ast/check-sharing.scm 160 */
obj_t BgL_bucketz00_3415;
{ /* Ast/check-sharing.scm 160 */
int BgL_kz00_3425;
BgL_kz00_3425 = 
(int)(BgL_modz00_3411); 
BgL_bucketz00_3415 = 
VECTOR_REF(BgL_arg1904z00_3406,BgL_kz00_3425); } 
{ /* Ast/check-sharing.scm 160 */
int BgL_kz00_3427;
BgL_kz00_3427 = 
(int)(BgL_restz00_3413); 
BgL_method2914z00_3403 = 
VECTOR_REF(BgL_bucketz00_3415,BgL_kz00_3427); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3403)(BgL_method2914z00_3403, 
(obj_t)(BgL_nodez00_3401), BgL_contextz00_2025, BEOA); } } } } 
{ /* Ast/check-sharing.scm 163 */
BgL_nodez00_bglt BgL_arg3683z00_2029;
BgL_arg3683z00_2029 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2024))->BgL_testz00); 
{ /* Ast/check-sharing.scm 163 */
obj_t BgL_contextz00_3342;
BgL_contextz00_3342 = 
(obj_t)(BgL_nodez00_2024); 
{ /* Ast/check-sharing.scm 163 */
obj_t BgL_method2914z00_3343;
{ /* Ast/check-sharing.scm 163 */
long BgL_objzd2classzd2numz00_3345;
{ /* Ast/check-sharing.scm 163 */
BgL_objectz00_bglt BgL_auxz00_4637;
BgL_auxz00_4637 = 
(BgL_objectz00_bglt)(BgL_arg3683z00_2029); 
BgL_objzd2classzd2numz00_3345 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4637); } 
{ /* Ast/check-sharing.scm 163 */
obj_t BgL_arg1904z00_3346;
{ /* Ast/check-sharing.scm 163 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(((long)1)); 
BgL_arg1904z00_3346 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4640); } 
{ /* Ast/check-sharing.scm 163 */
long BgL_offsetz00_3350;
{ /* Ast/check-sharing.scm 163 */
long BgL_auxz00_4643;
{ /* Ast/check-sharing.scm 163 */
int BgL_auxz00_4644;
BgL_auxz00_4644 = 
(int)(BgL_objzd2classzd2numz00_3345); 
BgL_auxz00_4643 = 
(long)(BgL_auxz00_4644); } 
BgL_offsetz00_3350 = 
(BgL_auxz00_4643-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 163 */
long BgL_modz00_3351;
{ /* Ast/check-sharing.scm 163 */
long BgL_auxz00_4648;
{ /* Ast/check-sharing.scm 163 */
int BgL_auxz00_4649;
BgL_auxz00_4649 = 
(int)(((long)8)); 
BgL_auxz00_4648 = 
(long)(BgL_auxz00_4649); } 
BgL_modz00_3351 = 
(BgL_offsetz00_3350/BgL_auxz00_4648); } 
{ /* Ast/check-sharing.scm 163 */
long BgL_restz00_3353;
{ /* Ast/check-sharing.scm 163 */
long BgL_auxz00_4653;
{ /* Ast/check-sharing.scm 163 */
int BgL_auxz00_4654;
BgL_auxz00_4654 = 
(int)(((long)8)); 
BgL_auxz00_4653 = 
(long)(BgL_auxz00_4654); } 
BgL_restz00_3353 = 
(BgL_offsetz00_3350%BgL_auxz00_4653); } 
{ /* Ast/check-sharing.scm 163 */

{ /* Ast/check-sharing.scm 163 */
obj_t BgL_bucketz00_3355;
{ /* Ast/check-sharing.scm 163 */
int BgL_kz00_3365;
BgL_kz00_3365 = 
(int)(BgL_modz00_3351); 
BgL_bucketz00_3355 = 
VECTOR_REF(BgL_arg1904z00_3346,BgL_kz00_3365); } 
{ /* Ast/check-sharing.scm 163 */
int BgL_kz00_3367;
BgL_kz00_3367 = 
(int)(BgL_restz00_3353); 
BgL_method2914z00_3343 = 
VECTOR_REF(BgL_bucketz00_3355,BgL_kz00_3367); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3343)(BgL_method2914z00_3343, 
(obj_t)(BgL_arg3683z00_2029), BgL_contextz00_3342, BEOA); } } } 
{ 
obj_t BgL_l2897z00_2030;
BgL_l2897z00_2030 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_2024))->BgL_clausesz00); 
BgL_lname2898z00_2031:
if(
PAIRP(BgL_l2897z00_2030))
{ /* Ast/check-sharing.scm 164 */
{ /* Ast/check-sharing.scm 165 */
BgL_nodez00_bglt BgL_nodez00_3372;obj_t BgL_contextz00_3373;
{ /* Ast/check-sharing.scm 165 */
obj_t BgL_auxz00_4667;
{ /* Ast/check-sharing.scm 165 */
obj_t BgL_auxz00_4668;
BgL_auxz00_4668 = 
CAR(BgL_l2897z00_2030); 
BgL_auxz00_4667 = 
CDR(BgL_auxz00_4668); } 
BgL_nodez00_3372 = 
(BgL_nodez00_bglt)(BgL_auxz00_4667); } 
BgL_contextz00_3373 = 
(obj_t)(BgL_nodez00_2024); 
{ /* Ast/check-sharing.scm 165 */
obj_t BgL_method2914z00_3374;
{ /* Ast/check-sharing.scm 165 */
long BgL_objzd2classzd2numz00_3376;
{ /* Ast/check-sharing.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4673;
BgL_auxz00_4673 = 
(BgL_objectz00_bglt)(BgL_nodez00_3372); 
BgL_objzd2classzd2numz00_3376 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4673); } 
{ /* Ast/check-sharing.scm 165 */
obj_t BgL_arg1904z00_3377;
{ /* Ast/check-sharing.scm 165 */
int BgL_auxz00_4676;
BgL_auxz00_4676 = 
(int)(((long)1)); 
BgL_arg1904z00_3377 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4676); } 
{ /* Ast/check-sharing.scm 165 */
long BgL_offsetz00_3381;
{ /* Ast/check-sharing.scm 165 */
long BgL_auxz00_4679;
{ /* Ast/check-sharing.scm 165 */
int BgL_auxz00_4680;
BgL_auxz00_4680 = 
(int)(BgL_objzd2classzd2numz00_3376); 
BgL_auxz00_4679 = 
(long)(BgL_auxz00_4680); } 
BgL_offsetz00_3381 = 
(BgL_auxz00_4679-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 165 */
long BgL_modz00_3382;
{ /* Ast/check-sharing.scm 165 */
long BgL_auxz00_4684;
{ /* Ast/check-sharing.scm 165 */
int BgL_auxz00_4685;
BgL_auxz00_4685 = 
(int)(((long)8)); 
BgL_auxz00_4684 = 
(long)(BgL_auxz00_4685); } 
BgL_modz00_3382 = 
(BgL_offsetz00_3381/BgL_auxz00_4684); } 
{ /* Ast/check-sharing.scm 165 */
long BgL_restz00_3384;
{ /* Ast/check-sharing.scm 165 */
long BgL_auxz00_4689;
{ /* Ast/check-sharing.scm 165 */
int BgL_auxz00_4690;
BgL_auxz00_4690 = 
(int)(((long)8)); 
BgL_auxz00_4689 = 
(long)(BgL_auxz00_4690); } 
BgL_restz00_3384 = 
(BgL_offsetz00_3381%BgL_auxz00_4689); } 
{ /* Ast/check-sharing.scm 165 */

{ /* Ast/check-sharing.scm 165 */
obj_t BgL_bucketz00_3386;
{ /* Ast/check-sharing.scm 165 */
int BgL_kz00_3396;
BgL_kz00_3396 = 
(int)(BgL_modz00_3382); 
BgL_bucketz00_3386 = 
VECTOR_REF(BgL_arg1904z00_3377,BgL_kz00_3396); } 
{ /* Ast/check-sharing.scm 165 */
int BgL_kz00_3398;
BgL_kz00_3398 = 
(int)(BgL_restz00_3384); 
BgL_method2914z00_3374 = 
VECTOR_REF(BgL_bucketz00_3386,BgL_kz00_3398); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3374)(BgL_method2914z00_3374, 
(obj_t)(BgL_nodez00_3372), BgL_contextz00_3373, BEOA); } } 
{ 
obj_t BgL_l2897z00_4701;
BgL_l2897z00_4701 = 
CDR(BgL_l2897z00_2030); 
BgL_l2897z00_2030 = BgL_l2897z00_4701; 
goto BgL_lname2898z00_2031;} }  else 
{ /* Ast/check-sharing.scm 164 */
BgL_auxz00_4598 = ((bool_t)1); } } } 
return 
BBOOL(BgL_auxz00_4598);} } } 
}



/* check-node-sharing-fail2932 */
obj_t BGl_checkzd2nodezd2sharingzd2fail2932zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3906, obj_t BgL_nodez00_3907, obj_t BgL_contextz00_3908)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 150 */
{ 
BgL_failz00_bglt BgL_nodez00_2014;obj_t BgL_contextz00_2015;
BgL_nodez00_2014 = 
(BgL_failz00_bglt)(BgL_nodez00_3907); 
BgL_contextz00_2015 = BgL_contextz00_3908; 
{ 

{ /* Ast/check-sharing.scm 150 */
obj_t BgL_nextzd2method2931zd2_2022;
BgL_nextzd2method2931zd2_2022 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2014), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_failz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2931zd2_2022))
{ /* Ast/check-sharing.scm 150 */
PROCEDURE_ENTRY(BgL_nextzd2method2931zd2_2022)(BgL_nextzd2method2931zd2_2022, 
(obj_t)(BgL_nodez00_2014), BgL_contextz00_2015, BEOA); }  else 
{ /* Ast/check-sharing.scm 150 */
{ /* Ast/check-sharing.scm 150 */
BgL_nodez00_bglt BgL_nodez00_3313;
BgL_nodez00_3313 = 
(BgL_nodez00_bglt)(BgL_nodez00_2014); 
{ /* Ast/check-sharing.scm 150 */
obj_t BgL_method2914z00_3315;
{ /* Ast/check-sharing.scm 150 */
long BgL_objzd2classzd2numz00_3317;
{ /* Ast/check-sharing.scm 150 */
BgL_objectz00_bglt BgL_auxz00_4714;
BgL_auxz00_4714 = 
(BgL_objectz00_bglt)(BgL_nodez00_3313); 
BgL_objzd2classzd2numz00_3317 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4714); } 
{ /* Ast/check-sharing.scm 150 */
obj_t BgL_arg1904z00_3318;
{ /* Ast/check-sharing.scm 150 */
int BgL_auxz00_4717;
BgL_auxz00_4717 = 
(int)(((long)1)); 
BgL_arg1904z00_3318 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4717); } 
{ /* Ast/check-sharing.scm 150 */
long BgL_offsetz00_3322;
{ /* Ast/check-sharing.scm 150 */
long BgL_auxz00_4720;
{ /* Ast/check-sharing.scm 150 */
int BgL_auxz00_4721;
BgL_auxz00_4721 = 
(int)(BgL_objzd2classzd2numz00_3317); 
BgL_auxz00_4720 = 
(long)(BgL_auxz00_4721); } 
BgL_offsetz00_3322 = 
(BgL_auxz00_4720-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 150 */
long BgL_modz00_3323;
{ /* Ast/check-sharing.scm 150 */
long BgL_auxz00_4725;
{ /* Ast/check-sharing.scm 150 */
int BgL_auxz00_4726;
BgL_auxz00_4726 = 
(int)(((long)8)); 
BgL_auxz00_4725 = 
(long)(BgL_auxz00_4726); } 
BgL_modz00_3323 = 
(BgL_offsetz00_3322/BgL_auxz00_4725); } 
{ /* Ast/check-sharing.scm 150 */
long BgL_restz00_3325;
{ /* Ast/check-sharing.scm 150 */
long BgL_auxz00_4730;
{ /* Ast/check-sharing.scm 150 */
int BgL_auxz00_4731;
BgL_auxz00_4731 = 
(int)(((long)8)); 
BgL_auxz00_4730 = 
(long)(BgL_auxz00_4731); } 
BgL_restz00_3325 = 
(BgL_offsetz00_3322%BgL_auxz00_4730); } 
{ /* Ast/check-sharing.scm 150 */

{ /* Ast/check-sharing.scm 150 */
obj_t BgL_bucketz00_3327;
{ /* Ast/check-sharing.scm 150 */
int BgL_kz00_3337;
BgL_kz00_3337 = 
(int)(BgL_modz00_3323); 
BgL_bucketz00_3327 = 
VECTOR_REF(BgL_arg1904z00_3318,BgL_kz00_3337); } 
{ /* Ast/check-sharing.scm 150 */
int BgL_kz00_3339;
BgL_kz00_3339 = 
(int)(BgL_restz00_3325); 
BgL_method2914z00_3315 = 
VECTOR_REF(BgL_bucketz00_3327,BgL_kz00_3339); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3315)(BgL_method2914z00_3315, 
(obj_t)(BgL_nodez00_3313), BgL_contextz00_2015, BEOA); } } } } 
{ /* Ast/check-sharing.scm 153 */
BgL_nodez00_bglt BgL_arg3664z00_2019;
BgL_arg3664z00_2019 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_procz00); 
{ /* Ast/check-sharing.scm 153 */
obj_t BgL_contextz00_3230;
BgL_contextz00_3230 = 
(obj_t)(BgL_nodez00_2014); 
{ /* Ast/check-sharing.scm 153 */
obj_t BgL_method2914z00_3231;
{ /* Ast/check-sharing.scm 153 */
long BgL_objzd2classzd2numz00_3233;
{ /* Ast/check-sharing.scm 153 */
BgL_objectz00_bglt BgL_auxz00_4744;
BgL_auxz00_4744 = 
(BgL_objectz00_bglt)(BgL_arg3664z00_2019); 
BgL_objzd2classzd2numz00_3233 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4744); } 
{ /* Ast/check-sharing.scm 153 */
obj_t BgL_arg1904z00_3234;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4747;
BgL_auxz00_4747 = 
(int)(((long)1)); 
BgL_arg1904z00_3234 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4747); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_offsetz00_3238;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4750;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4751;
BgL_auxz00_4751 = 
(int)(BgL_objzd2classzd2numz00_3233); 
BgL_auxz00_4750 = 
(long)(BgL_auxz00_4751); } 
BgL_offsetz00_3238 = 
(BgL_auxz00_4750-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_modz00_3239;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4755;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4756;
BgL_auxz00_4756 = 
(int)(((long)8)); 
BgL_auxz00_4755 = 
(long)(BgL_auxz00_4756); } 
BgL_modz00_3239 = 
(BgL_offsetz00_3238/BgL_auxz00_4755); } 
{ /* Ast/check-sharing.scm 153 */
long BgL_restz00_3241;
{ /* Ast/check-sharing.scm 153 */
long BgL_auxz00_4760;
{ /* Ast/check-sharing.scm 153 */
int BgL_auxz00_4761;
BgL_auxz00_4761 = 
(int)(((long)8)); 
BgL_auxz00_4760 = 
(long)(BgL_auxz00_4761); } 
BgL_restz00_3241 = 
(BgL_offsetz00_3238%BgL_auxz00_4760); } 
{ /* Ast/check-sharing.scm 153 */

{ /* Ast/check-sharing.scm 153 */
obj_t BgL_bucketz00_3243;
{ /* Ast/check-sharing.scm 153 */
int BgL_kz00_3253;
BgL_kz00_3253 = 
(int)(BgL_modz00_3239); 
BgL_bucketz00_3243 = 
VECTOR_REF(BgL_arg1904z00_3234,BgL_kz00_3253); } 
{ /* Ast/check-sharing.scm 153 */
int BgL_kz00_3255;
BgL_kz00_3255 = 
(int)(BgL_restz00_3241); 
BgL_method2914z00_3231 = 
VECTOR_REF(BgL_bucketz00_3243,BgL_kz00_3255); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3231)(BgL_method2914z00_3231, 
(obj_t)(BgL_arg3664z00_2019), BgL_contextz00_3230, BEOA); } } } 
{ /* Ast/check-sharing.scm 154 */
BgL_nodez00_bglt BgL_arg3668z00_2020;
BgL_arg3668z00_2020 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_msgz00); 
{ /* Ast/check-sharing.scm 154 */
obj_t BgL_contextz00_3258;
BgL_contextz00_3258 = 
(obj_t)(BgL_nodez00_2014); 
{ /* Ast/check-sharing.scm 154 */
obj_t BgL_method2914z00_3259;
{ /* Ast/check-sharing.scm 154 */
long BgL_objzd2classzd2numz00_3261;
{ /* Ast/check-sharing.scm 154 */
BgL_objectz00_bglt BgL_auxz00_4774;
BgL_auxz00_4774 = 
(BgL_objectz00_bglt)(BgL_arg3668z00_2020); 
BgL_objzd2classzd2numz00_3261 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4774); } 
{ /* Ast/check-sharing.scm 154 */
obj_t BgL_arg1904z00_3262;
{ /* Ast/check-sharing.scm 154 */
int BgL_auxz00_4777;
BgL_auxz00_4777 = 
(int)(((long)1)); 
BgL_arg1904z00_3262 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4777); } 
{ /* Ast/check-sharing.scm 154 */
long BgL_offsetz00_3266;
{ /* Ast/check-sharing.scm 154 */
long BgL_auxz00_4780;
{ /* Ast/check-sharing.scm 154 */
int BgL_auxz00_4781;
BgL_auxz00_4781 = 
(int)(BgL_objzd2classzd2numz00_3261); 
BgL_auxz00_4780 = 
(long)(BgL_auxz00_4781); } 
BgL_offsetz00_3266 = 
(BgL_auxz00_4780-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 154 */
long BgL_modz00_3267;
{ /* Ast/check-sharing.scm 154 */
long BgL_auxz00_4785;
{ /* Ast/check-sharing.scm 154 */
int BgL_auxz00_4786;
BgL_auxz00_4786 = 
(int)(((long)8)); 
BgL_auxz00_4785 = 
(long)(BgL_auxz00_4786); } 
BgL_modz00_3267 = 
(BgL_offsetz00_3266/BgL_auxz00_4785); } 
{ /* Ast/check-sharing.scm 154 */
long BgL_restz00_3269;
{ /* Ast/check-sharing.scm 154 */
long BgL_auxz00_4790;
{ /* Ast/check-sharing.scm 154 */
int BgL_auxz00_4791;
BgL_auxz00_4791 = 
(int)(((long)8)); 
BgL_auxz00_4790 = 
(long)(BgL_auxz00_4791); } 
BgL_restz00_3269 = 
(BgL_offsetz00_3266%BgL_auxz00_4790); } 
{ /* Ast/check-sharing.scm 154 */

{ /* Ast/check-sharing.scm 154 */
obj_t BgL_bucketz00_3271;
{ /* Ast/check-sharing.scm 154 */
int BgL_kz00_3281;
BgL_kz00_3281 = 
(int)(BgL_modz00_3267); 
BgL_bucketz00_3271 = 
VECTOR_REF(BgL_arg1904z00_3262,BgL_kz00_3281); } 
{ /* Ast/check-sharing.scm 154 */
int BgL_kz00_3283;
BgL_kz00_3283 = 
(int)(BgL_restz00_3269); 
BgL_method2914z00_3259 = 
VECTOR_REF(BgL_bucketz00_3271,BgL_kz00_3283); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3259)(BgL_method2914z00_3259, 
(obj_t)(BgL_arg3668z00_2020), BgL_contextz00_3258, BEOA); } } } 
{ /* Ast/check-sharing.scm 155 */
BgL_nodez00_bglt BgL_arg3672z00_2021;
BgL_arg3672z00_2021 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_2014))->BgL_objz00); 
{ /* Ast/check-sharing.scm 155 */
obj_t BgL_contextz00_3286;
BgL_contextz00_3286 = 
(obj_t)(BgL_nodez00_2014); 
{ /* Ast/check-sharing.scm 155 */
obj_t BgL_method2914z00_3287;
{ /* Ast/check-sharing.scm 155 */
long BgL_objzd2classzd2numz00_3289;
{ /* Ast/check-sharing.scm 155 */
BgL_objectz00_bglt BgL_auxz00_4804;
BgL_auxz00_4804 = 
(BgL_objectz00_bglt)(BgL_arg3672z00_2021); 
BgL_objzd2classzd2numz00_3289 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4804); } 
{ /* Ast/check-sharing.scm 155 */
obj_t BgL_arg1904z00_3290;
{ /* Ast/check-sharing.scm 155 */
int BgL_auxz00_4807;
BgL_auxz00_4807 = 
(int)(((long)1)); 
BgL_arg1904z00_3290 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4807); } 
{ /* Ast/check-sharing.scm 155 */
long BgL_offsetz00_3294;
{ /* Ast/check-sharing.scm 155 */
long BgL_auxz00_4810;
{ /* Ast/check-sharing.scm 155 */
int BgL_auxz00_4811;
BgL_auxz00_4811 = 
(int)(BgL_objzd2classzd2numz00_3289); 
BgL_auxz00_4810 = 
(long)(BgL_auxz00_4811); } 
BgL_offsetz00_3294 = 
(BgL_auxz00_4810-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 155 */
long BgL_modz00_3295;
{ /* Ast/check-sharing.scm 155 */
long BgL_auxz00_4815;
{ /* Ast/check-sharing.scm 155 */
int BgL_auxz00_4816;
BgL_auxz00_4816 = 
(int)(((long)8)); 
BgL_auxz00_4815 = 
(long)(BgL_auxz00_4816); } 
BgL_modz00_3295 = 
(BgL_offsetz00_3294/BgL_auxz00_4815); } 
{ /* Ast/check-sharing.scm 155 */
long BgL_restz00_3297;
{ /* Ast/check-sharing.scm 155 */
long BgL_auxz00_4820;
{ /* Ast/check-sharing.scm 155 */
int BgL_auxz00_4821;
BgL_auxz00_4821 = 
(int)(((long)8)); 
BgL_auxz00_4820 = 
(long)(BgL_auxz00_4821); } 
BgL_restz00_3297 = 
(BgL_offsetz00_3294%BgL_auxz00_4820); } 
{ /* Ast/check-sharing.scm 155 */

{ /* Ast/check-sharing.scm 155 */
obj_t BgL_bucketz00_3299;
{ /* Ast/check-sharing.scm 155 */
int BgL_kz00_3309;
BgL_kz00_3309 = 
(int)(BgL_modz00_3295); 
BgL_bucketz00_3299 = 
VECTOR_REF(BgL_arg1904z00_3290,BgL_kz00_3309); } 
{ /* Ast/check-sharing.scm 155 */
int BgL_kz00_3311;
BgL_kz00_3311 = 
(int)(BgL_restz00_3297); 
BgL_method2914z00_3287 = 
VECTOR_REF(BgL_bucketz00_3299,BgL_kz00_3311); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3287)(BgL_method2914z00_3287, 
(obj_t)(BgL_arg3672z00_2021), BgL_contextz00_3286, BEOA);} } } } } } 
}



/* check-node-sharing-conditional2930 */
obj_t BGl_checkzd2nodezd2sharingzd2conditional2930zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3909, obj_t BgL_nodez00_3910, obj_t BgL_contextz00_3911)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 140 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_2004;obj_t BgL_contextz00_2005;
BgL_nodez00_2004 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3910); 
BgL_contextz00_2005 = BgL_contextz00_3911; 
{ 

{ /* Ast/check-sharing.scm 140 */
obj_t BgL_nextzd2method2929zd2_2012;
BgL_nextzd2method2929zd2_2012 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_2004), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_conditionalz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2929zd2_2012))
{ /* Ast/check-sharing.scm 140 */
PROCEDURE_ENTRY(BgL_nextzd2method2929zd2_2012)(BgL_nextzd2method2929zd2_2012, 
(obj_t)(BgL_nodez00_2004), BgL_contextz00_2005, BEOA); }  else 
{ /* Ast/check-sharing.scm 140 */
{ /* Ast/check-sharing.scm 140 */
BgL_nodez00_bglt BgL_nodez00_3201;
BgL_nodez00_3201 = 
(BgL_nodez00_bglt)(BgL_nodez00_2004); 
{ /* Ast/check-sharing.scm 140 */
obj_t BgL_method2914z00_3203;
{ /* Ast/check-sharing.scm 140 */
long BgL_objzd2classzd2numz00_3205;
{ /* Ast/check-sharing.scm 140 */
BgL_objectz00_bglt BgL_auxz00_4841;
BgL_auxz00_4841 = 
(BgL_objectz00_bglt)(BgL_nodez00_3201); 
BgL_objzd2classzd2numz00_3205 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4841); } 
{ /* Ast/check-sharing.scm 140 */
obj_t BgL_arg1904z00_3206;
{ /* Ast/check-sharing.scm 140 */
int BgL_auxz00_4844;
BgL_auxz00_4844 = 
(int)(((long)1)); 
BgL_arg1904z00_3206 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4844); } 
{ /* Ast/check-sharing.scm 140 */
long BgL_offsetz00_3210;
{ /* Ast/check-sharing.scm 140 */
long BgL_auxz00_4847;
{ /* Ast/check-sharing.scm 140 */
int BgL_auxz00_4848;
BgL_auxz00_4848 = 
(int)(BgL_objzd2classzd2numz00_3205); 
BgL_auxz00_4847 = 
(long)(BgL_auxz00_4848); } 
BgL_offsetz00_3210 = 
(BgL_auxz00_4847-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 140 */
long BgL_modz00_3211;
{ /* Ast/check-sharing.scm 140 */
long BgL_auxz00_4852;
{ /* Ast/check-sharing.scm 140 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(((long)8)); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_modz00_3211 = 
(BgL_offsetz00_3210/BgL_auxz00_4852); } 
{ /* Ast/check-sharing.scm 140 */
long BgL_restz00_3213;
{ /* Ast/check-sharing.scm 140 */
long BgL_auxz00_4857;
{ /* Ast/check-sharing.scm 140 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(((long)8)); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_restz00_3213 = 
(BgL_offsetz00_3210%BgL_auxz00_4857); } 
{ /* Ast/check-sharing.scm 140 */

{ /* Ast/check-sharing.scm 140 */
obj_t BgL_bucketz00_3215;
{ /* Ast/check-sharing.scm 140 */
int BgL_kz00_3225;
BgL_kz00_3225 = 
(int)(BgL_modz00_3211); 
BgL_bucketz00_3215 = 
VECTOR_REF(BgL_arg1904z00_3206,BgL_kz00_3225); } 
{ /* Ast/check-sharing.scm 140 */
int BgL_kz00_3227;
BgL_kz00_3227 = 
(int)(BgL_restz00_3213); 
BgL_method2914z00_3203 = 
VECTOR_REF(BgL_bucketz00_3215,BgL_kz00_3227); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3203)(BgL_method2914z00_3203, 
(obj_t)(BgL_nodez00_3201), BgL_contextz00_2005, BEOA); } } } } 
{ /* Ast/check-sharing.scm 143 */
BgL_nodez00_bglt BgL_arg3645z00_2009;
BgL_arg3645z00_2009 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_testz00); 
{ /* Ast/check-sharing.scm 143 */
obj_t BgL_contextz00_3118;
BgL_contextz00_3118 = 
(obj_t)(BgL_nodez00_2004); 
{ /* Ast/check-sharing.scm 143 */
obj_t BgL_method2914z00_3119;
{ /* Ast/check-sharing.scm 143 */
long BgL_objzd2classzd2numz00_3121;
{ /* Ast/check-sharing.scm 143 */
BgL_objectz00_bglt BgL_auxz00_4871;
BgL_auxz00_4871 = 
(BgL_objectz00_bglt)(BgL_arg3645z00_2009); 
BgL_objzd2classzd2numz00_3121 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4871); } 
{ /* Ast/check-sharing.scm 143 */
obj_t BgL_arg1904z00_3122;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4874;
BgL_auxz00_4874 = 
(int)(((long)1)); 
BgL_arg1904z00_3122 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4874); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_offsetz00_3126;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4877;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4878;
BgL_auxz00_4878 = 
(int)(BgL_objzd2classzd2numz00_3121); 
BgL_auxz00_4877 = 
(long)(BgL_auxz00_4878); } 
BgL_offsetz00_3126 = 
(BgL_auxz00_4877-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_modz00_3127;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4882;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4883;
BgL_auxz00_4883 = 
(int)(((long)8)); 
BgL_auxz00_4882 = 
(long)(BgL_auxz00_4883); } 
BgL_modz00_3127 = 
(BgL_offsetz00_3126/BgL_auxz00_4882); } 
{ /* Ast/check-sharing.scm 143 */
long BgL_restz00_3129;
{ /* Ast/check-sharing.scm 143 */
long BgL_auxz00_4887;
{ /* Ast/check-sharing.scm 143 */
int BgL_auxz00_4888;
BgL_auxz00_4888 = 
(int)(((long)8)); 
BgL_auxz00_4887 = 
(long)(BgL_auxz00_4888); } 
BgL_restz00_3129 = 
(BgL_offsetz00_3126%BgL_auxz00_4887); } 
{ /* Ast/check-sharing.scm 143 */

{ /* Ast/check-sharing.scm 143 */
obj_t BgL_bucketz00_3131;
{ /* Ast/check-sharing.scm 143 */
int BgL_kz00_3141;
BgL_kz00_3141 = 
(int)(BgL_modz00_3127); 
BgL_bucketz00_3131 = 
VECTOR_REF(BgL_arg1904z00_3122,BgL_kz00_3141); } 
{ /* Ast/check-sharing.scm 143 */
int BgL_kz00_3143;
BgL_kz00_3143 = 
(int)(BgL_restz00_3129); 
BgL_method2914z00_3119 = 
VECTOR_REF(BgL_bucketz00_3131,BgL_kz00_3143); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3119)(BgL_method2914z00_3119, 
(obj_t)(BgL_arg3645z00_2009), BgL_contextz00_3118, BEOA); } } } 
{ /* Ast/check-sharing.scm 144 */
BgL_nodez00_bglt BgL_arg3649z00_2010;
BgL_arg3649z00_2010 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_truez00); 
{ /* Ast/check-sharing.scm 144 */
obj_t BgL_contextz00_3146;
BgL_contextz00_3146 = 
(obj_t)(BgL_nodez00_2004); 
{ /* Ast/check-sharing.scm 144 */
obj_t BgL_method2914z00_3147;
{ /* Ast/check-sharing.scm 144 */
long BgL_objzd2classzd2numz00_3149;
{ /* Ast/check-sharing.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4901;
BgL_auxz00_4901 = 
(BgL_objectz00_bglt)(BgL_arg3649z00_2010); 
BgL_objzd2classzd2numz00_3149 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4901); } 
{ /* Ast/check-sharing.scm 144 */
obj_t BgL_arg1904z00_3150;
{ /* Ast/check-sharing.scm 144 */
int BgL_auxz00_4904;
BgL_auxz00_4904 = 
(int)(((long)1)); 
BgL_arg1904z00_3150 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4904); } 
{ /* Ast/check-sharing.scm 144 */
long BgL_offsetz00_3154;
{ /* Ast/check-sharing.scm 144 */
long BgL_auxz00_4907;
{ /* Ast/check-sharing.scm 144 */
int BgL_auxz00_4908;
BgL_auxz00_4908 = 
(int)(BgL_objzd2classzd2numz00_3149); 
BgL_auxz00_4907 = 
(long)(BgL_auxz00_4908); } 
BgL_offsetz00_3154 = 
(BgL_auxz00_4907-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 144 */
long BgL_modz00_3155;
{ /* Ast/check-sharing.scm 144 */
long BgL_auxz00_4912;
{ /* Ast/check-sharing.scm 144 */
int BgL_auxz00_4913;
BgL_auxz00_4913 = 
(int)(((long)8)); 
BgL_auxz00_4912 = 
(long)(BgL_auxz00_4913); } 
BgL_modz00_3155 = 
(BgL_offsetz00_3154/BgL_auxz00_4912); } 
{ /* Ast/check-sharing.scm 144 */
long BgL_restz00_3157;
{ /* Ast/check-sharing.scm 144 */
long BgL_auxz00_4917;
{ /* Ast/check-sharing.scm 144 */
int BgL_auxz00_4918;
BgL_auxz00_4918 = 
(int)(((long)8)); 
BgL_auxz00_4917 = 
(long)(BgL_auxz00_4918); } 
BgL_restz00_3157 = 
(BgL_offsetz00_3154%BgL_auxz00_4917); } 
{ /* Ast/check-sharing.scm 144 */

{ /* Ast/check-sharing.scm 144 */
obj_t BgL_bucketz00_3159;
{ /* Ast/check-sharing.scm 144 */
int BgL_kz00_3169;
BgL_kz00_3169 = 
(int)(BgL_modz00_3155); 
BgL_bucketz00_3159 = 
VECTOR_REF(BgL_arg1904z00_3150,BgL_kz00_3169); } 
{ /* Ast/check-sharing.scm 144 */
int BgL_kz00_3171;
BgL_kz00_3171 = 
(int)(BgL_restz00_3157); 
BgL_method2914z00_3147 = 
VECTOR_REF(BgL_bucketz00_3159,BgL_kz00_3171); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3147)(BgL_method2914z00_3147, 
(obj_t)(BgL_arg3649z00_2010), BgL_contextz00_3146, BEOA); } } } 
{ /* Ast/check-sharing.scm 145 */
BgL_nodez00_bglt BgL_arg3653z00_2011;
BgL_arg3653z00_2011 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_2004))->BgL_falsez00); 
{ /* Ast/check-sharing.scm 145 */
obj_t BgL_contextz00_3174;
BgL_contextz00_3174 = 
(obj_t)(BgL_nodez00_2004); 
{ /* Ast/check-sharing.scm 145 */
obj_t BgL_method2914z00_3175;
{ /* Ast/check-sharing.scm 145 */
long BgL_objzd2classzd2numz00_3177;
{ /* Ast/check-sharing.scm 145 */
BgL_objectz00_bglt BgL_auxz00_4931;
BgL_auxz00_4931 = 
(BgL_objectz00_bglt)(BgL_arg3653z00_2011); 
BgL_objzd2classzd2numz00_3177 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4931); } 
{ /* Ast/check-sharing.scm 145 */
obj_t BgL_arg1904z00_3178;
{ /* Ast/check-sharing.scm 145 */
int BgL_auxz00_4934;
BgL_auxz00_4934 = 
(int)(((long)1)); 
BgL_arg1904z00_3178 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4934); } 
{ /* Ast/check-sharing.scm 145 */
long BgL_offsetz00_3182;
{ /* Ast/check-sharing.scm 145 */
long BgL_auxz00_4937;
{ /* Ast/check-sharing.scm 145 */
int BgL_auxz00_4938;
BgL_auxz00_4938 = 
(int)(BgL_objzd2classzd2numz00_3177); 
BgL_auxz00_4937 = 
(long)(BgL_auxz00_4938); } 
BgL_offsetz00_3182 = 
(BgL_auxz00_4937-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 145 */
long BgL_modz00_3183;
{ /* Ast/check-sharing.scm 145 */
long BgL_auxz00_4942;
{ /* Ast/check-sharing.scm 145 */
int BgL_auxz00_4943;
BgL_auxz00_4943 = 
(int)(((long)8)); 
BgL_auxz00_4942 = 
(long)(BgL_auxz00_4943); } 
BgL_modz00_3183 = 
(BgL_offsetz00_3182/BgL_auxz00_4942); } 
{ /* Ast/check-sharing.scm 145 */
long BgL_restz00_3185;
{ /* Ast/check-sharing.scm 145 */
long BgL_auxz00_4947;
{ /* Ast/check-sharing.scm 145 */
int BgL_auxz00_4948;
BgL_auxz00_4948 = 
(int)(((long)8)); 
BgL_auxz00_4947 = 
(long)(BgL_auxz00_4948); } 
BgL_restz00_3185 = 
(BgL_offsetz00_3182%BgL_auxz00_4947); } 
{ /* Ast/check-sharing.scm 145 */

{ /* Ast/check-sharing.scm 145 */
obj_t BgL_bucketz00_3187;
{ /* Ast/check-sharing.scm 145 */
int BgL_kz00_3197;
BgL_kz00_3197 = 
(int)(BgL_modz00_3183); 
BgL_bucketz00_3187 = 
VECTOR_REF(BgL_arg1904z00_3178,BgL_kz00_3197); } 
{ /* Ast/check-sharing.scm 145 */
int BgL_kz00_3199;
BgL_kz00_3199 = 
(int)(BgL_restz00_3185); 
BgL_method2914z00_3175 = 
VECTOR_REF(BgL_bucketz00_3187,BgL_kz00_3199); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3175)(BgL_method2914z00_3175, 
(obj_t)(BgL_arg3653z00_2011), BgL_contextz00_3174, BEOA);} } } } } } 
}



/* check-node-sharing-setq2928 */
obj_t BGl_checkzd2nodezd2sharingzd2setq2928zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3912, obj_t BgL_nodez00_3913, obj_t BgL_contextz00_3914)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 133 */
{ 
BgL_setqz00_bglt BgL_nodez00_1997;obj_t BgL_contextz00_1998;
BgL_nodez00_1997 = 
(BgL_setqz00_bglt)(BgL_nodez00_3913); 
BgL_contextz00_1998 = BgL_contextz00_3914; 
{ 

{ /* Ast/check-sharing.scm 133 */
obj_t BgL_nextzd2method2927zd2_2002;
BgL_nextzd2method2927zd2_2002 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1997), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_setqz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2927zd2_2002))
{ /* Ast/check-sharing.scm 133 */
PROCEDURE_ENTRY(BgL_nextzd2method2927zd2_2002)(BgL_nextzd2method2927zd2_2002, 
(obj_t)(BgL_nodez00_1997), BgL_contextz00_1998, BEOA); }  else 
{ /* Ast/check-sharing.scm 133 */
{ /* Ast/check-sharing.scm 133 */
BgL_nodez00_bglt BgL_nodez00_3089;
BgL_nodez00_3089 = 
(BgL_nodez00_bglt)(BgL_nodez00_1997); 
{ /* Ast/check-sharing.scm 133 */
obj_t BgL_method2914z00_3091;
{ /* Ast/check-sharing.scm 133 */
long BgL_objzd2classzd2numz00_3093;
{ /* Ast/check-sharing.scm 133 */
BgL_objectz00_bglt BgL_auxz00_4968;
BgL_auxz00_4968 = 
(BgL_objectz00_bglt)(BgL_nodez00_3089); 
BgL_objzd2classzd2numz00_3093 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4968); } 
{ /* Ast/check-sharing.scm 133 */
obj_t BgL_arg1904z00_3094;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4971;
BgL_auxz00_4971 = 
(int)(((long)1)); 
BgL_arg1904z00_3094 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_4971); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_offsetz00_3098;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4974;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4975;
BgL_auxz00_4975 = 
(int)(BgL_objzd2classzd2numz00_3093); 
BgL_auxz00_4974 = 
(long)(BgL_auxz00_4975); } 
BgL_offsetz00_3098 = 
(BgL_auxz00_4974-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_modz00_3099;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4979;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4980;
BgL_auxz00_4980 = 
(int)(((long)8)); 
BgL_auxz00_4979 = 
(long)(BgL_auxz00_4980); } 
BgL_modz00_3099 = 
(BgL_offsetz00_3098/BgL_auxz00_4979); } 
{ /* Ast/check-sharing.scm 133 */
long BgL_restz00_3101;
{ /* Ast/check-sharing.scm 133 */
long BgL_auxz00_4984;
{ /* Ast/check-sharing.scm 133 */
int BgL_auxz00_4985;
BgL_auxz00_4985 = 
(int)(((long)8)); 
BgL_auxz00_4984 = 
(long)(BgL_auxz00_4985); } 
BgL_restz00_3101 = 
(BgL_offsetz00_3098%BgL_auxz00_4984); } 
{ /* Ast/check-sharing.scm 133 */

{ /* Ast/check-sharing.scm 133 */
obj_t BgL_bucketz00_3103;
{ /* Ast/check-sharing.scm 133 */
int BgL_kz00_3113;
BgL_kz00_3113 = 
(int)(BgL_modz00_3099); 
BgL_bucketz00_3103 = 
VECTOR_REF(BgL_arg1904z00_3094,BgL_kz00_3113); } 
{ /* Ast/check-sharing.scm 133 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_restz00_3101); 
BgL_method2914z00_3091 = 
VECTOR_REF(BgL_bucketz00_3103,BgL_kz00_3115); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3091)(BgL_method2914z00_3091, 
(obj_t)(BgL_nodez00_3089), BgL_contextz00_1998, BEOA); } } } } 
{ /* Ast/check-sharing.scm 135 */
BgL_nodez00_bglt BgL_arg3634z00_2001;
BgL_arg3634z00_2001 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1997))->BgL_valuez00); 
{ /* Ast/check-sharing.scm 135 */
obj_t BgL_contextz00_3062;
BgL_contextz00_3062 = 
(obj_t)(BgL_nodez00_1997); 
{ /* Ast/check-sharing.scm 135 */
obj_t BgL_method2914z00_3063;
{ /* Ast/check-sharing.scm 135 */
long BgL_objzd2classzd2numz00_3065;
{ /* Ast/check-sharing.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4998;
BgL_auxz00_4998 = 
(BgL_objectz00_bglt)(BgL_arg3634z00_2001); 
BgL_objzd2classzd2numz00_3065 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4998); } 
{ /* Ast/check-sharing.scm 135 */
obj_t BgL_arg1904z00_3066;
{ /* Ast/check-sharing.scm 135 */
int BgL_auxz00_5001;
BgL_auxz00_5001 = 
(int)(((long)1)); 
BgL_arg1904z00_3066 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5001); } 
{ /* Ast/check-sharing.scm 135 */
long BgL_offsetz00_3070;
{ /* Ast/check-sharing.scm 135 */
long BgL_auxz00_5004;
{ /* Ast/check-sharing.scm 135 */
int BgL_auxz00_5005;
BgL_auxz00_5005 = 
(int)(BgL_objzd2classzd2numz00_3065); 
BgL_auxz00_5004 = 
(long)(BgL_auxz00_5005); } 
BgL_offsetz00_3070 = 
(BgL_auxz00_5004-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 135 */
long BgL_modz00_3071;
{ /* Ast/check-sharing.scm 135 */
long BgL_auxz00_5009;
{ /* Ast/check-sharing.scm 135 */
int BgL_auxz00_5010;
BgL_auxz00_5010 = 
(int)(((long)8)); 
BgL_auxz00_5009 = 
(long)(BgL_auxz00_5010); } 
BgL_modz00_3071 = 
(BgL_offsetz00_3070/BgL_auxz00_5009); } 
{ /* Ast/check-sharing.scm 135 */
long BgL_restz00_3073;
{ /* Ast/check-sharing.scm 135 */
long BgL_auxz00_5014;
{ /* Ast/check-sharing.scm 135 */
int BgL_auxz00_5015;
BgL_auxz00_5015 = 
(int)(((long)8)); 
BgL_auxz00_5014 = 
(long)(BgL_auxz00_5015); } 
BgL_restz00_3073 = 
(BgL_offsetz00_3070%BgL_auxz00_5014); } 
{ /* Ast/check-sharing.scm 135 */

{ /* Ast/check-sharing.scm 135 */
obj_t BgL_bucketz00_3075;
{ /* Ast/check-sharing.scm 135 */
int BgL_kz00_3085;
BgL_kz00_3085 = 
(int)(BgL_modz00_3071); 
BgL_bucketz00_3075 = 
VECTOR_REF(BgL_arg1904z00_3066,BgL_kz00_3085); } 
{ /* Ast/check-sharing.scm 135 */
int BgL_kz00_3087;
BgL_kz00_3087 = 
(int)(BgL_restz00_3073); 
BgL_method2914z00_3063 = 
VECTOR_REF(BgL_bucketz00_3075,BgL_kz00_3087); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3063)(BgL_method2914z00_3063, 
(obj_t)(BgL_arg3634z00_2001), BgL_contextz00_3062, BEOA);} } } } } } 
}



/* check-node-sharing-cast2926 */
obj_t BGl_checkzd2nodezd2sharingzd2cast2926zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3915, obj_t BgL_nodez00_3916, obj_t BgL_contextz00_3917)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 126 */
{ 
BgL_castz00_bglt BgL_nodez00_1990;obj_t BgL_contextz00_1991;
BgL_nodez00_1990 = 
(BgL_castz00_bglt)(BgL_nodez00_3916); 
BgL_contextz00_1991 = BgL_contextz00_3917; 
{ 

{ /* Ast/check-sharing.scm 126 */
obj_t BgL_nextzd2method2925zd2_1995;
BgL_nextzd2method2925zd2_1995 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1990), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_castz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2925zd2_1995))
{ /* Ast/check-sharing.scm 126 */
PROCEDURE_ENTRY(BgL_nextzd2method2925zd2_1995)(BgL_nextzd2method2925zd2_1995, 
(obj_t)(BgL_nodez00_1990), BgL_contextz00_1991, BEOA); }  else 
{ /* Ast/check-sharing.scm 126 */
{ /* Ast/check-sharing.scm 126 */
BgL_nodez00_bglt BgL_nodez00_3033;
BgL_nodez00_3033 = 
(BgL_nodez00_bglt)(BgL_nodez00_1990); 
{ /* Ast/check-sharing.scm 126 */
obj_t BgL_method2914z00_3035;
{ /* Ast/check-sharing.scm 126 */
long BgL_objzd2classzd2numz00_3037;
{ /* Ast/check-sharing.scm 126 */
BgL_objectz00_bglt BgL_auxz00_5035;
BgL_auxz00_5035 = 
(BgL_objectz00_bglt)(BgL_nodez00_3033); 
BgL_objzd2classzd2numz00_3037 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5035); } 
{ /* Ast/check-sharing.scm 126 */
obj_t BgL_arg1904z00_3038;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_5038;
BgL_auxz00_5038 = 
(int)(((long)1)); 
BgL_arg1904z00_3038 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5038); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_offsetz00_3042;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_5041;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_5042;
BgL_auxz00_5042 = 
(int)(BgL_objzd2classzd2numz00_3037); 
BgL_auxz00_5041 = 
(long)(BgL_auxz00_5042); } 
BgL_offsetz00_3042 = 
(BgL_auxz00_5041-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_modz00_3043;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_5046;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_5047;
BgL_auxz00_5047 = 
(int)(((long)8)); 
BgL_auxz00_5046 = 
(long)(BgL_auxz00_5047); } 
BgL_modz00_3043 = 
(BgL_offsetz00_3042/BgL_auxz00_5046); } 
{ /* Ast/check-sharing.scm 126 */
long BgL_restz00_3045;
{ /* Ast/check-sharing.scm 126 */
long BgL_auxz00_5051;
{ /* Ast/check-sharing.scm 126 */
int BgL_auxz00_5052;
BgL_auxz00_5052 = 
(int)(((long)8)); 
BgL_auxz00_5051 = 
(long)(BgL_auxz00_5052); } 
BgL_restz00_3045 = 
(BgL_offsetz00_3042%BgL_auxz00_5051); } 
{ /* Ast/check-sharing.scm 126 */

{ /* Ast/check-sharing.scm 126 */
obj_t BgL_bucketz00_3047;
{ /* Ast/check-sharing.scm 126 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_modz00_3043); 
BgL_bucketz00_3047 = 
VECTOR_REF(BgL_arg1904z00_3038,BgL_kz00_3057); } 
{ /* Ast/check-sharing.scm 126 */
int BgL_kz00_3059;
BgL_kz00_3059 = 
(int)(BgL_restz00_3045); 
BgL_method2914z00_3035 = 
VECTOR_REF(BgL_bucketz00_3047,BgL_kz00_3059); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_3035)(BgL_method2914z00_3035, 
(obj_t)(BgL_nodez00_3033), BgL_contextz00_1991, BEOA); } } } } 
{ /* Ast/check-sharing.scm 128 */
BgL_nodez00_bglt BgL_arg3623z00_1994;
BgL_arg3623z00_1994 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1990))->BgL_argz00); 
{ /* Ast/check-sharing.scm 128 */
obj_t BgL_contextz00_3006;
BgL_contextz00_3006 = 
(obj_t)(BgL_nodez00_1990); 
{ /* Ast/check-sharing.scm 128 */
obj_t BgL_method2914z00_3007;
{ /* Ast/check-sharing.scm 128 */
long BgL_objzd2classzd2numz00_3009;
{ /* Ast/check-sharing.scm 128 */
BgL_objectz00_bglt BgL_auxz00_5065;
BgL_auxz00_5065 = 
(BgL_objectz00_bglt)(BgL_arg3623z00_1994); 
BgL_objzd2classzd2numz00_3009 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5065); } 
{ /* Ast/check-sharing.scm 128 */
obj_t BgL_arg1904z00_3010;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5068;
BgL_auxz00_5068 = 
(int)(((long)1)); 
BgL_arg1904z00_3010 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5068); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_offsetz00_3014;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5071;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5072;
BgL_auxz00_5072 = 
(int)(BgL_objzd2classzd2numz00_3009); 
BgL_auxz00_5071 = 
(long)(BgL_auxz00_5072); } 
BgL_offsetz00_3014 = 
(BgL_auxz00_5071-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_modz00_3015;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5076;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5077;
BgL_auxz00_5077 = 
(int)(((long)8)); 
BgL_auxz00_5076 = 
(long)(BgL_auxz00_5077); } 
BgL_modz00_3015 = 
(BgL_offsetz00_3014/BgL_auxz00_5076); } 
{ /* Ast/check-sharing.scm 128 */
long BgL_restz00_3017;
{ /* Ast/check-sharing.scm 128 */
long BgL_auxz00_5081;
{ /* Ast/check-sharing.scm 128 */
int BgL_auxz00_5082;
BgL_auxz00_5082 = 
(int)(((long)8)); 
BgL_auxz00_5081 = 
(long)(BgL_auxz00_5082); } 
BgL_restz00_3017 = 
(BgL_offsetz00_3014%BgL_auxz00_5081); } 
{ /* Ast/check-sharing.scm 128 */

{ /* Ast/check-sharing.scm 128 */
obj_t BgL_bucketz00_3019;
{ /* Ast/check-sharing.scm 128 */
int BgL_kz00_3029;
BgL_kz00_3029 = 
(int)(BgL_modz00_3015); 
BgL_bucketz00_3019 = 
VECTOR_REF(BgL_arg1904z00_3010,BgL_kz00_3029); } 
{ /* Ast/check-sharing.scm 128 */
int BgL_kz00_3031;
BgL_kz00_3031 = 
(int)(BgL_restz00_3017); 
BgL_method2914z00_3007 = 
VECTOR_REF(BgL_bucketz00_3019,BgL_kz00_3031); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3007)(BgL_method2914z00_3007, 
(obj_t)(BgL_arg3623z00_1994), BgL_contextz00_3006, BEOA);} } } } } } 
}



/* check-node-sharing-extern2924 */
obj_t BGl_checkzd2nodezd2sharingzd2extern2924zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3918, obj_t BgL_nodez00_3919, obj_t BgL_contextz00_3920)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 119 */
{ 
BgL_externz00_bglt BgL_nodez00_1983;obj_t BgL_contextz00_1984;
{ /* Ast/check-sharing.scm 119 */
bool_t BgL_auxz00_5094;
BgL_nodez00_1983 = 
(BgL_externz00_bglt)(BgL_nodez00_3919); 
BgL_contextz00_1984 = BgL_contextz00_3920; 
{ 

{ /* Ast/check-sharing.scm 119 */
obj_t BgL_nextzd2method2923zd2_1988;
BgL_nextzd2method2923zd2_1988 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1983), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_externz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2923zd2_1988))
{ /* Ast/check-sharing.scm 119 */
PROCEDURE_ENTRY(BgL_nextzd2method2923zd2_1988)(BgL_nextzd2method2923zd2_1988, 
(obj_t)(BgL_nodez00_1983), BgL_contextz00_1984, BEOA); }  else 
{ /* Ast/check-sharing.scm 119 */
{ /* Ast/check-sharing.scm 119 */
BgL_nodez00_bglt BgL_nodez00_2977;
BgL_nodez00_2977 = 
(BgL_nodez00_bglt)(BgL_nodez00_1983); 
{ /* Ast/check-sharing.scm 119 */
obj_t BgL_method2914z00_2979;
{ /* Ast/check-sharing.scm 119 */
long BgL_objzd2classzd2numz00_2981;
{ /* Ast/check-sharing.scm 119 */
BgL_objectz00_bglt BgL_auxz00_5103;
BgL_auxz00_5103 = 
(BgL_objectz00_bglt)(BgL_nodez00_2977); 
BgL_objzd2classzd2numz00_2981 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5103); } 
{ /* Ast/check-sharing.scm 119 */
obj_t BgL_arg1904z00_2982;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5106;
BgL_auxz00_5106 = 
(int)(((long)1)); 
BgL_arg1904z00_2982 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5106); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_offsetz00_2986;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5109;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5110;
BgL_auxz00_5110 = 
(int)(BgL_objzd2classzd2numz00_2981); 
BgL_auxz00_5109 = 
(long)(BgL_auxz00_5110); } 
BgL_offsetz00_2986 = 
(BgL_auxz00_5109-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_modz00_2987;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5114;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5115;
BgL_auxz00_5115 = 
(int)(((long)8)); 
BgL_auxz00_5114 = 
(long)(BgL_auxz00_5115); } 
BgL_modz00_2987 = 
(BgL_offsetz00_2986/BgL_auxz00_5114); } 
{ /* Ast/check-sharing.scm 119 */
long BgL_restz00_2989;
{ /* Ast/check-sharing.scm 119 */
long BgL_auxz00_5119;
{ /* Ast/check-sharing.scm 119 */
int BgL_auxz00_5120;
BgL_auxz00_5120 = 
(int)(((long)8)); 
BgL_auxz00_5119 = 
(long)(BgL_auxz00_5120); } 
BgL_restz00_2989 = 
(BgL_offsetz00_2986%BgL_auxz00_5119); } 
{ /* Ast/check-sharing.scm 119 */

{ /* Ast/check-sharing.scm 119 */
obj_t BgL_bucketz00_2991;
{ /* Ast/check-sharing.scm 119 */
int BgL_kz00_3001;
BgL_kz00_3001 = 
(int)(BgL_modz00_2987); 
BgL_bucketz00_2991 = 
VECTOR_REF(BgL_arg1904z00_2982,BgL_kz00_3001); } 
{ /* Ast/check-sharing.scm 119 */
int BgL_kz00_3003;
BgL_kz00_3003 = 
(int)(BgL_restz00_2989); 
BgL_method2914z00_2979 = 
VECTOR_REF(BgL_bucketz00_2991,BgL_kz00_3003); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2979)(BgL_method2914z00_2979, 
(obj_t)(BgL_nodez00_2977), BgL_contextz00_1984, BEOA); } } } } 
BgL_auxz00_5094 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1983))->BgL_exprza2za2), 
(obj_t)(BgL_nodez00_1983)); } 
return 
BBOOL(BgL_auxz00_5094);} } } 
}



/* check-node-sharing-funcall2922 */
obj_t BGl_checkzd2nodezd2sharingzd2funcall2922zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3921, obj_t BgL_nodez00_3922, obj_t BgL_contextz00_3923)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 110 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1974;obj_t BgL_contextz00_1975;
{ /* Ast/check-sharing.scm 110 */
bool_t BgL_auxz00_5136;
BgL_nodez00_1974 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3922); 
BgL_contextz00_1975 = BgL_contextz00_3923; 
{ 

{ /* Ast/check-sharing.scm 110 */
obj_t BgL_nextzd2method2921zd2_1981;
BgL_nextzd2method2921zd2_1981 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1974), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_funcallz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2921zd2_1981))
{ /* Ast/check-sharing.scm 110 */
PROCEDURE_ENTRY(BgL_nextzd2method2921zd2_1981)(BgL_nextzd2method2921zd2_1981, 
(obj_t)(BgL_nodez00_1974), BgL_contextz00_1975, BEOA); }  else 
{ /* Ast/check-sharing.scm 110 */
{ /* Ast/check-sharing.scm 110 */
BgL_nodez00_bglt BgL_nodez00_2948;
BgL_nodez00_2948 = 
(BgL_nodez00_bglt)(BgL_nodez00_1974); 
{ /* Ast/check-sharing.scm 110 */
obj_t BgL_method2914z00_2950;
{ /* Ast/check-sharing.scm 110 */
long BgL_objzd2classzd2numz00_2952;
{ /* Ast/check-sharing.scm 110 */
BgL_objectz00_bglt BgL_auxz00_5145;
BgL_auxz00_5145 = 
(BgL_objectz00_bglt)(BgL_nodez00_2948); 
BgL_objzd2classzd2numz00_2952 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5145); } 
{ /* Ast/check-sharing.scm 110 */
obj_t BgL_arg1904z00_2953;
{ /* Ast/check-sharing.scm 110 */
int BgL_auxz00_5148;
BgL_auxz00_5148 = 
(int)(((long)1)); 
BgL_arg1904z00_2953 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5148); } 
{ /* Ast/check-sharing.scm 110 */
long BgL_offsetz00_2957;
{ /* Ast/check-sharing.scm 110 */
long BgL_auxz00_5151;
{ /* Ast/check-sharing.scm 110 */
int BgL_auxz00_5152;
BgL_auxz00_5152 = 
(int)(BgL_objzd2classzd2numz00_2952); 
BgL_auxz00_5151 = 
(long)(BgL_auxz00_5152); } 
BgL_offsetz00_2957 = 
(BgL_auxz00_5151-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 110 */
long BgL_modz00_2958;
{ /* Ast/check-sharing.scm 110 */
long BgL_auxz00_5156;
{ /* Ast/check-sharing.scm 110 */
int BgL_auxz00_5157;
BgL_auxz00_5157 = 
(int)(((long)8)); 
BgL_auxz00_5156 = 
(long)(BgL_auxz00_5157); } 
BgL_modz00_2958 = 
(BgL_offsetz00_2957/BgL_auxz00_5156); } 
{ /* Ast/check-sharing.scm 110 */
long BgL_restz00_2960;
{ /* Ast/check-sharing.scm 110 */
long BgL_auxz00_5161;
{ /* Ast/check-sharing.scm 110 */
int BgL_auxz00_5162;
BgL_auxz00_5162 = 
(int)(((long)8)); 
BgL_auxz00_5161 = 
(long)(BgL_auxz00_5162); } 
BgL_restz00_2960 = 
(BgL_offsetz00_2957%BgL_auxz00_5161); } 
{ /* Ast/check-sharing.scm 110 */

{ /* Ast/check-sharing.scm 110 */
obj_t BgL_bucketz00_2962;
{ /* Ast/check-sharing.scm 110 */
int BgL_kz00_2972;
BgL_kz00_2972 = 
(int)(BgL_modz00_2958); 
BgL_bucketz00_2962 = 
VECTOR_REF(BgL_arg1904z00_2953,BgL_kz00_2972); } 
{ /* Ast/check-sharing.scm 110 */
int BgL_kz00_2974;
BgL_kz00_2974 = 
(int)(BgL_restz00_2960); 
BgL_method2914z00_2950 = 
VECTOR_REF(BgL_bucketz00_2962,BgL_kz00_2974); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2950)(BgL_method2914z00_2950, 
(obj_t)(BgL_nodez00_2948), BgL_contextz00_1975, BEOA); } } } } 
{ /* Ast/check-sharing.scm 113 */
BgL_nodez00_bglt BgL_arg3597z00_1979;
BgL_arg3597z00_1979 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_funz00); 
{ /* Ast/check-sharing.scm 113 */
obj_t BgL_contextz00_2920;
BgL_contextz00_2920 = 
(obj_t)(BgL_nodez00_1974); 
{ /* Ast/check-sharing.scm 113 */
obj_t BgL_method2914z00_2921;
{ /* Ast/check-sharing.scm 113 */
long BgL_objzd2classzd2numz00_2923;
{ /* Ast/check-sharing.scm 113 */
BgL_objectz00_bglt BgL_auxz00_5175;
BgL_auxz00_5175 = 
(BgL_objectz00_bglt)(BgL_arg3597z00_1979); 
BgL_objzd2classzd2numz00_2923 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5175); } 
{ /* Ast/check-sharing.scm 113 */
obj_t BgL_arg1904z00_2924;
{ /* Ast/check-sharing.scm 113 */
int BgL_auxz00_5178;
BgL_auxz00_5178 = 
(int)(((long)1)); 
BgL_arg1904z00_2924 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5178); } 
{ /* Ast/check-sharing.scm 113 */
long BgL_offsetz00_2928;
{ /* Ast/check-sharing.scm 113 */
long BgL_auxz00_5181;
{ /* Ast/check-sharing.scm 113 */
int BgL_auxz00_5182;
BgL_auxz00_5182 = 
(int)(BgL_objzd2classzd2numz00_2923); 
BgL_auxz00_5181 = 
(long)(BgL_auxz00_5182); } 
BgL_offsetz00_2928 = 
(BgL_auxz00_5181-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 113 */
long BgL_modz00_2929;
{ /* Ast/check-sharing.scm 113 */
long BgL_auxz00_5186;
{ /* Ast/check-sharing.scm 113 */
int BgL_auxz00_5187;
BgL_auxz00_5187 = 
(int)(((long)8)); 
BgL_auxz00_5186 = 
(long)(BgL_auxz00_5187); } 
BgL_modz00_2929 = 
(BgL_offsetz00_2928/BgL_auxz00_5186); } 
{ /* Ast/check-sharing.scm 113 */
long BgL_restz00_2931;
{ /* Ast/check-sharing.scm 113 */
long BgL_auxz00_5191;
{ /* Ast/check-sharing.scm 113 */
int BgL_auxz00_5192;
BgL_auxz00_5192 = 
(int)(((long)8)); 
BgL_auxz00_5191 = 
(long)(BgL_auxz00_5192); } 
BgL_restz00_2931 = 
(BgL_offsetz00_2928%BgL_auxz00_5191); } 
{ /* Ast/check-sharing.scm 113 */

{ /* Ast/check-sharing.scm 113 */
obj_t BgL_bucketz00_2933;
{ /* Ast/check-sharing.scm 113 */
int BgL_kz00_2943;
BgL_kz00_2943 = 
(int)(BgL_modz00_2929); 
BgL_bucketz00_2933 = 
VECTOR_REF(BgL_arg1904z00_2924,BgL_kz00_2943); } 
{ /* Ast/check-sharing.scm 113 */
int BgL_kz00_2945;
BgL_kz00_2945 = 
(int)(BgL_restz00_2931); 
BgL_method2914z00_2921 = 
VECTOR_REF(BgL_bucketz00_2933,BgL_kz00_2945); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2921)(BgL_method2914z00_2921, 
(obj_t)(BgL_arg3597z00_1979), BgL_contextz00_2920, BEOA); } } } 
BgL_auxz00_5136 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1974))->BgL_argsz00), 
(obj_t)(BgL_nodez00_1974)); } 
return 
BBOOL(BgL_auxz00_5136);} } } 
}



/* check-node-sharing-app-ly2920 */
obj_t BGl_checkzd2nodezd2sharingzd2appzd2ly2920z00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3924, obj_t BgL_nodez00_3925, obj_t BgL_contextz00_3926)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 101 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1965;obj_t BgL_contextz00_1966;
BgL_nodez00_1965 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3925); 
BgL_contextz00_1966 = BgL_contextz00_3926; 
{ 

{ /* Ast/check-sharing.scm 101 */
obj_t BgL_nextzd2method2919zd2_1972;
BgL_nextzd2method2919zd2_1972 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1965), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appzd2lyzd2zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2919zd2_1972))
{ /* Ast/check-sharing.scm 101 */
PROCEDURE_ENTRY(BgL_nextzd2method2919zd2_1972)(BgL_nextzd2method2919zd2_1972, 
(obj_t)(BgL_nodez00_1965), BgL_contextz00_1966, BEOA); }  else 
{ /* Ast/check-sharing.scm 101 */
{ /* Ast/check-sharing.scm 101 */
BgL_nodez00_bglt BgL_nodez00_2891;
BgL_nodez00_2891 = 
(BgL_nodez00_bglt)(BgL_nodez00_1965); 
{ /* Ast/check-sharing.scm 101 */
obj_t BgL_method2914z00_2893;
{ /* Ast/check-sharing.scm 101 */
long BgL_objzd2classzd2numz00_2895;
{ /* Ast/check-sharing.scm 101 */
BgL_objectz00_bglt BgL_auxz00_5216;
BgL_auxz00_5216 = 
(BgL_objectz00_bglt)(BgL_nodez00_2891); 
BgL_objzd2classzd2numz00_2895 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5216); } 
{ /* Ast/check-sharing.scm 101 */
obj_t BgL_arg1904z00_2896;
{ /* Ast/check-sharing.scm 101 */
int BgL_auxz00_5219;
BgL_auxz00_5219 = 
(int)(((long)1)); 
BgL_arg1904z00_2896 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5219); } 
{ /* Ast/check-sharing.scm 101 */
long BgL_offsetz00_2900;
{ /* Ast/check-sharing.scm 101 */
long BgL_auxz00_5222;
{ /* Ast/check-sharing.scm 101 */
int BgL_auxz00_5223;
BgL_auxz00_5223 = 
(int)(BgL_objzd2classzd2numz00_2895); 
BgL_auxz00_5222 = 
(long)(BgL_auxz00_5223); } 
BgL_offsetz00_2900 = 
(BgL_auxz00_5222-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 101 */
long BgL_modz00_2901;
{ /* Ast/check-sharing.scm 101 */
long BgL_auxz00_5227;
{ /* Ast/check-sharing.scm 101 */
int BgL_auxz00_5228;
BgL_auxz00_5228 = 
(int)(((long)8)); 
BgL_auxz00_5227 = 
(long)(BgL_auxz00_5228); } 
BgL_modz00_2901 = 
(BgL_offsetz00_2900/BgL_auxz00_5227); } 
{ /* Ast/check-sharing.scm 101 */
long BgL_restz00_2903;
{ /* Ast/check-sharing.scm 101 */
long BgL_auxz00_5232;
{ /* Ast/check-sharing.scm 101 */
int BgL_auxz00_5233;
BgL_auxz00_5233 = 
(int)(((long)8)); 
BgL_auxz00_5232 = 
(long)(BgL_auxz00_5233); } 
BgL_restz00_2903 = 
(BgL_offsetz00_2900%BgL_auxz00_5232); } 
{ /* Ast/check-sharing.scm 101 */

{ /* Ast/check-sharing.scm 101 */
obj_t BgL_bucketz00_2905;
{ /* Ast/check-sharing.scm 101 */
int BgL_kz00_2915;
BgL_kz00_2915 = 
(int)(BgL_modz00_2901); 
BgL_bucketz00_2905 = 
VECTOR_REF(BgL_arg1904z00_2896,BgL_kz00_2915); } 
{ /* Ast/check-sharing.scm 101 */
int BgL_kz00_2917;
BgL_kz00_2917 = 
(int)(BgL_restz00_2903); 
BgL_method2914z00_2893 = 
VECTOR_REF(BgL_bucketz00_2905,BgL_kz00_2917); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2893)(BgL_method2914z00_2893, 
(obj_t)(BgL_nodez00_2891), BgL_contextz00_1966, BEOA); } } } } 
{ /* Ast/check-sharing.scm 104 */
BgL_nodez00_bglt BgL_arg3581z00_1970;
BgL_arg3581z00_1970 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1965))->BgL_funz00); 
{ /* Ast/check-sharing.scm 104 */
obj_t BgL_contextz00_2836;
BgL_contextz00_2836 = 
(obj_t)(BgL_nodez00_1965); 
{ /* Ast/check-sharing.scm 104 */
obj_t BgL_method2914z00_2837;
{ /* Ast/check-sharing.scm 104 */
long BgL_objzd2classzd2numz00_2839;
{ /* Ast/check-sharing.scm 104 */
BgL_objectz00_bglt BgL_auxz00_5246;
BgL_auxz00_5246 = 
(BgL_objectz00_bglt)(BgL_arg3581z00_1970); 
BgL_objzd2classzd2numz00_2839 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5246); } 
{ /* Ast/check-sharing.scm 104 */
obj_t BgL_arg1904z00_2840;
{ /* Ast/check-sharing.scm 104 */
int BgL_auxz00_5249;
BgL_auxz00_5249 = 
(int)(((long)1)); 
BgL_arg1904z00_2840 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5249); } 
{ /* Ast/check-sharing.scm 104 */
long BgL_offsetz00_2844;
{ /* Ast/check-sharing.scm 104 */
long BgL_auxz00_5252;
{ /* Ast/check-sharing.scm 104 */
int BgL_auxz00_5253;
BgL_auxz00_5253 = 
(int)(BgL_objzd2classzd2numz00_2839); 
BgL_auxz00_5252 = 
(long)(BgL_auxz00_5253); } 
BgL_offsetz00_2844 = 
(BgL_auxz00_5252-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 104 */
long BgL_modz00_2845;
{ /* Ast/check-sharing.scm 104 */
long BgL_auxz00_5257;
{ /* Ast/check-sharing.scm 104 */
int BgL_auxz00_5258;
BgL_auxz00_5258 = 
(int)(((long)8)); 
BgL_auxz00_5257 = 
(long)(BgL_auxz00_5258); } 
BgL_modz00_2845 = 
(BgL_offsetz00_2844/BgL_auxz00_5257); } 
{ /* Ast/check-sharing.scm 104 */
long BgL_restz00_2847;
{ /* Ast/check-sharing.scm 104 */
long BgL_auxz00_5262;
{ /* Ast/check-sharing.scm 104 */
int BgL_auxz00_5263;
BgL_auxz00_5263 = 
(int)(((long)8)); 
BgL_auxz00_5262 = 
(long)(BgL_auxz00_5263); } 
BgL_restz00_2847 = 
(BgL_offsetz00_2844%BgL_auxz00_5262); } 
{ /* Ast/check-sharing.scm 104 */

{ /* Ast/check-sharing.scm 104 */
obj_t BgL_bucketz00_2849;
{ /* Ast/check-sharing.scm 104 */
int BgL_kz00_2859;
BgL_kz00_2859 = 
(int)(BgL_modz00_2845); 
BgL_bucketz00_2849 = 
VECTOR_REF(BgL_arg1904z00_2840,BgL_kz00_2859); } 
{ /* Ast/check-sharing.scm 104 */
int BgL_kz00_2861;
BgL_kz00_2861 = 
(int)(BgL_restz00_2847); 
BgL_method2914z00_2837 = 
VECTOR_REF(BgL_bucketz00_2849,BgL_kz00_2861); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2837)(BgL_method2914z00_2837, 
(obj_t)(BgL_arg3581z00_1970), BgL_contextz00_2836, BEOA); } } } 
{ /* Ast/check-sharing.scm 105 */
BgL_nodez00_bglt BgL_arg3586z00_1971;
BgL_arg3586z00_1971 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1965))->BgL_argz00); 
{ /* Ast/check-sharing.scm 105 */
obj_t BgL_contextz00_2864;
BgL_contextz00_2864 = 
(obj_t)(BgL_nodez00_1965); 
{ /* Ast/check-sharing.scm 105 */
obj_t BgL_method2914z00_2865;
{ /* Ast/check-sharing.scm 105 */
long BgL_objzd2classzd2numz00_2867;
{ /* Ast/check-sharing.scm 105 */
BgL_objectz00_bglt BgL_auxz00_5276;
BgL_auxz00_5276 = 
(BgL_objectz00_bglt)(BgL_arg3586z00_1971); 
BgL_objzd2classzd2numz00_2867 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5276); } 
{ /* Ast/check-sharing.scm 105 */
obj_t BgL_arg1904z00_2868;
{ /* Ast/check-sharing.scm 105 */
int BgL_auxz00_5279;
BgL_auxz00_5279 = 
(int)(((long)1)); 
BgL_arg1904z00_2868 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5279); } 
{ /* Ast/check-sharing.scm 105 */
long BgL_offsetz00_2872;
{ /* Ast/check-sharing.scm 105 */
long BgL_auxz00_5282;
{ /* Ast/check-sharing.scm 105 */
int BgL_auxz00_5283;
BgL_auxz00_5283 = 
(int)(BgL_objzd2classzd2numz00_2867); 
BgL_auxz00_5282 = 
(long)(BgL_auxz00_5283); } 
BgL_offsetz00_2872 = 
(BgL_auxz00_5282-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 105 */
long BgL_modz00_2873;
{ /* Ast/check-sharing.scm 105 */
long BgL_auxz00_5287;
{ /* Ast/check-sharing.scm 105 */
int BgL_auxz00_5288;
BgL_auxz00_5288 = 
(int)(((long)8)); 
BgL_auxz00_5287 = 
(long)(BgL_auxz00_5288); } 
BgL_modz00_2873 = 
(BgL_offsetz00_2872/BgL_auxz00_5287); } 
{ /* Ast/check-sharing.scm 105 */
long BgL_restz00_2875;
{ /* Ast/check-sharing.scm 105 */
long BgL_auxz00_5292;
{ /* Ast/check-sharing.scm 105 */
int BgL_auxz00_5293;
BgL_auxz00_5293 = 
(int)(((long)8)); 
BgL_auxz00_5292 = 
(long)(BgL_auxz00_5293); } 
BgL_restz00_2875 = 
(BgL_offsetz00_2872%BgL_auxz00_5292); } 
{ /* Ast/check-sharing.scm 105 */

{ /* Ast/check-sharing.scm 105 */
obj_t BgL_bucketz00_2877;
{ /* Ast/check-sharing.scm 105 */
int BgL_kz00_2887;
BgL_kz00_2887 = 
(int)(BgL_modz00_2873); 
BgL_bucketz00_2877 = 
VECTOR_REF(BgL_arg1904z00_2868,BgL_kz00_2887); } 
{ /* Ast/check-sharing.scm 105 */
int BgL_kz00_2889;
BgL_kz00_2889 = 
(int)(BgL_restz00_2875); 
BgL_method2914z00_2865 = 
VECTOR_REF(BgL_bucketz00_2877,BgL_kz00_2889); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_2865)(BgL_method2914z00_2865, 
(obj_t)(BgL_arg3586z00_1971), BgL_contextz00_2864, BEOA);} } } } } } 
}



/* check-node-sharing-app2918 */
obj_t BGl_checkzd2nodezd2sharingzd2app2918zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3927, obj_t BgL_nodez00_3928, obj_t BgL_contextz00_3929)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 93 */
{ 
BgL_appz00_bglt BgL_nodez00_1957;obj_t BgL_contextz00_1958;
{ /* Ast/check-sharing.scm 93 */
bool_t BgL_auxz00_5305;
BgL_nodez00_1957 = 
(BgL_appz00_bglt)(BgL_nodez00_3928); 
BgL_contextz00_1958 = BgL_contextz00_3929; 
{ 

{ /* Ast/check-sharing.scm 93 */
obj_t BgL_nextzd2method2917zd2_1963;
BgL_nextzd2method2917zd2_1963 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1957), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_appz00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2917zd2_1963))
{ /* Ast/check-sharing.scm 93 */
PROCEDURE_ENTRY(BgL_nextzd2method2917zd2_1963)(BgL_nextzd2method2917zd2_1963, 
(obj_t)(BgL_nodez00_1957), BgL_contextz00_1958, BEOA); }  else 
{ /* Ast/check-sharing.scm 93 */
{ /* Ast/check-sharing.scm 93 */
BgL_nodez00_bglt BgL_nodez00_2807;
BgL_nodez00_2807 = 
(BgL_nodez00_bglt)(BgL_nodez00_1957); 
{ /* Ast/check-sharing.scm 93 */
obj_t BgL_method2914z00_2809;
{ /* Ast/check-sharing.scm 93 */
long BgL_objzd2classzd2numz00_2811;
{ /* Ast/check-sharing.scm 93 */
BgL_objectz00_bglt BgL_auxz00_5314;
BgL_auxz00_5314 = 
(BgL_objectz00_bglt)(BgL_nodez00_2807); 
BgL_objzd2classzd2numz00_2811 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5314); } 
{ /* Ast/check-sharing.scm 93 */
obj_t BgL_arg1904z00_2812;
{ /* Ast/check-sharing.scm 93 */
int BgL_auxz00_5317;
BgL_auxz00_5317 = 
(int)(((long)1)); 
BgL_arg1904z00_2812 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5317); } 
{ /* Ast/check-sharing.scm 93 */
long BgL_offsetz00_2816;
{ /* Ast/check-sharing.scm 93 */
long BgL_auxz00_5320;
{ /* Ast/check-sharing.scm 93 */
int BgL_auxz00_5321;
BgL_auxz00_5321 = 
(int)(BgL_objzd2classzd2numz00_2811); 
BgL_auxz00_5320 = 
(long)(BgL_auxz00_5321); } 
BgL_offsetz00_2816 = 
(BgL_auxz00_5320-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 93 */
long BgL_modz00_2817;
{ /* Ast/check-sharing.scm 93 */
long BgL_auxz00_5325;
{ /* Ast/check-sharing.scm 93 */
int BgL_auxz00_5326;
BgL_auxz00_5326 = 
(int)(((long)8)); 
BgL_auxz00_5325 = 
(long)(BgL_auxz00_5326); } 
BgL_modz00_2817 = 
(BgL_offsetz00_2816/BgL_auxz00_5325); } 
{ /* Ast/check-sharing.scm 93 */
long BgL_restz00_2819;
{ /* Ast/check-sharing.scm 93 */
long BgL_auxz00_5330;
{ /* Ast/check-sharing.scm 93 */
int BgL_auxz00_5331;
BgL_auxz00_5331 = 
(int)(((long)8)); 
BgL_auxz00_5330 = 
(long)(BgL_auxz00_5331); } 
BgL_restz00_2819 = 
(BgL_offsetz00_2816%BgL_auxz00_5330); } 
{ /* Ast/check-sharing.scm 93 */

{ /* Ast/check-sharing.scm 93 */
obj_t BgL_bucketz00_2821;
{ /* Ast/check-sharing.scm 93 */
int BgL_kz00_2831;
BgL_kz00_2831 = 
(int)(BgL_modz00_2817); 
BgL_bucketz00_2821 = 
VECTOR_REF(BgL_arg1904z00_2812,BgL_kz00_2831); } 
{ /* Ast/check-sharing.scm 93 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_restz00_2819); 
BgL_method2914z00_2809 = 
VECTOR_REF(BgL_bucketz00_2821,BgL_kz00_2833); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2809)(BgL_method2914z00_2809, 
(obj_t)(BgL_nodez00_2807), BgL_contextz00_1958, BEOA); } } } } 
BgL_auxz00_5305 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1957))->BgL_argsz00), 
(obj_t)(BgL_nodez00_1957)); } 
return 
BBOOL(BgL_auxz00_5305);} } } 
}



/* check-node-sharing-sequence2916 */
obj_t BGl_checkzd2nodezd2sharingzd2sequence2916zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3930, obj_t BgL_nodez00_3931, obj_t BgL_contextz00_3932)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 86 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1950;obj_t BgL_contextz00_1951;
{ /* Ast/check-sharing.scm 86 */
bool_t BgL_auxz00_5347;
BgL_nodez00_1950 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3931); 
BgL_contextz00_1951 = BgL_contextz00_3932; 
{ 

{ /* Ast/check-sharing.scm 86 */
obj_t BgL_nextzd2method2915zd2_1955;
BgL_nextzd2method2915zd2_1955 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
(BgL_objectz00_bglt)(BgL_nodez00_1950), BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BGl_sequencez00zzast_nodez00); 
if(
PROCEDUREP(BgL_nextzd2method2915zd2_1955))
{ /* Ast/check-sharing.scm 86 */
PROCEDURE_ENTRY(BgL_nextzd2method2915zd2_1955)(BgL_nextzd2method2915zd2_1955, 
(obj_t)(BgL_nodez00_1950), BgL_contextz00_1951, BEOA); }  else 
{ /* Ast/check-sharing.scm 86 */
{ /* Ast/check-sharing.scm 86 */
BgL_nodez00_bglt BgL_nodez00_2778;
BgL_nodez00_2778 = 
(BgL_nodez00_bglt)(BgL_nodez00_1950); 
{ /* Ast/check-sharing.scm 86 */
obj_t BgL_method2914z00_2780;
{ /* Ast/check-sharing.scm 86 */
long BgL_objzd2classzd2numz00_2782;
{ /* Ast/check-sharing.scm 86 */
BgL_objectz00_bglt BgL_auxz00_5356;
BgL_auxz00_5356 = 
(BgL_objectz00_bglt)(BgL_nodez00_2778); 
BgL_objzd2classzd2numz00_2782 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5356); } 
{ /* Ast/check-sharing.scm 86 */
obj_t BgL_arg1904z00_2783;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5359;
BgL_auxz00_5359 = 
(int)(((long)1)); 
BgL_arg1904z00_2783 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5359); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_offsetz00_2787;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5362;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5363;
BgL_auxz00_5363 = 
(int)(BgL_objzd2classzd2numz00_2782); 
BgL_auxz00_5362 = 
(long)(BgL_auxz00_5363); } 
BgL_offsetz00_2787 = 
(BgL_auxz00_5362-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_modz00_2788;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5367;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5368;
BgL_auxz00_5368 = 
(int)(((long)8)); 
BgL_auxz00_5367 = 
(long)(BgL_auxz00_5368); } 
BgL_modz00_2788 = 
(BgL_offsetz00_2787/BgL_auxz00_5367); } 
{ /* Ast/check-sharing.scm 86 */
long BgL_restz00_2790;
{ /* Ast/check-sharing.scm 86 */
long BgL_auxz00_5372;
{ /* Ast/check-sharing.scm 86 */
int BgL_auxz00_5373;
BgL_auxz00_5373 = 
(int)(((long)8)); 
BgL_auxz00_5372 = 
(long)(BgL_auxz00_5373); } 
BgL_restz00_2790 = 
(BgL_offsetz00_2787%BgL_auxz00_5372); } 
{ /* Ast/check-sharing.scm 86 */

{ /* Ast/check-sharing.scm 86 */
obj_t BgL_bucketz00_2792;
{ /* Ast/check-sharing.scm 86 */
int BgL_kz00_2802;
BgL_kz00_2802 = 
(int)(BgL_modz00_2788); 
BgL_bucketz00_2792 = 
VECTOR_REF(BgL_arg1904z00_2783,BgL_kz00_2802); } 
{ /* Ast/check-sharing.scm 86 */
int BgL_kz00_2804;
BgL_kz00_2804 = 
(int)(BgL_restz00_2790); 
BgL_method2914z00_2780 = 
VECTOR_REF(BgL_bucketz00_2792,BgL_kz00_2804); } } } } } } } } 
PROCEDURE_ENTRY(BgL_method2914z00_2780)(BgL_method2914z00_2780, 
(obj_t)(BgL_nodez00_2778), BgL_contextz00_1951, BEOA); } } } } 
BgL_auxz00_5347 = 
BGl_checkzd2nodezd2sharingza2za2zzast_checkzd2sharingzd2(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1950))->BgL_nodesz00), 
(obj_t)(BgL_nodez00_1950)); } 
return 
BBOOL(BgL_auxz00_5347);} } } 
}



/* check-node-sharing */
obj_t BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(BgL_nodez00_bglt BgL_nodez00_23, obj_t BgL_contextz00_24)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 70 */
{ /* Ast/check-sharing.scm 70 */
obj_t BgL_method2914z00_3833;
{ /* Ast/check-sharing.scm 70 */
long BgL_objzd2classzd2numz00_3835;
{ /* Ast/check-sharing.scm 70 */
BgL_objectz00_bglt BgL_auxz00_5389;
BgL_auxz00_5389 = 
(BgL_objectz00_bglt)(BgL_nodez00_23); 
BgL_objzd2classzd2numz00_3835 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5389); } 
{ /* Ast/check-sharing.scm 70 */
obj_t BgL_arg1904z00_3836;
{ /* Ast/check-sharing.scm 70 */
int BgL_auxz00_5392;
BgL_auxz00_5392 = 
(int)(((long)1)); 
BgL_arg1904z00_3836 = 
PROCEDURE_REF(BGl_checkzd2nodezd2sharingzd2envzd2zzast_checkzd2sharingzd2, BgL_auxz00_5392); } 
{ /* Ast/check-sharing.scm 70 */
long BgL_offsetz00_3840;
{ /* Ast/check-sharing.scm 70 */
long BgL_auxz00_5395;
{ /* Ast/check-sharing.scm 70 */
int BgL_auxz00_5396;
BgL_auxz00_5396 = 
(int)(BgL_objzd2classzd2numz00_3835); 
BgL_auxz00_5395 = 
(long)(BgL_auxz00_5396); } 
BgL_offsetz00_3840 = 
(BgL_auxz00_5395-OBJECT_TYPE); } 
{ /* Ast/check-sharing.scm 70 */
long BgL_modz00_3841;
{ /* Ast/check-sharing.scm 70 */
long BgL_auxz00_5400;
{ /* Ast/check-sharing.scm 70 */
int BgL_auxz00_5401;
BgL_auxz00_5401 = 
(int)(((long)8)); 
BgL_auxz00_5400 = 
(long)(BgL_auxz00_5401); } 
BgL_modz00_3841 = 
(BgL_offsetz00_3840/BgL_auxz00_5400); } 
{ /* Ast/check-sharing.scm 70 */
long BgL_restz00_3843;
{ /* Ast/check-sharing.scm 70 */
long BgL_auxz00_5405;
{ /* Ast/check-sharing.scm 70 */
int BgL_auxz00_5406;
BgL_auxz00_5406 = 
(int)(((long)8)); 
BgL_auxz00_5405 = 
(long)(BgL_auxz00_5406); } 
BgL_restz00_3843 = 
(BgL_offsetz00_3840%BgL_auxz00_5405); } 
{ /* Ast/check-sharing.scm 70 */

{ /* Ast/check-sharing.scm 70 */
obj_t BgL_bucketz00_3845;
{ /* Ast/check-sharing.scm 70 */
int BgL_kz00_3855;
BgL_kz00_3855 = 
(int)(BgL_modz00_3841); 
BgL_bucketz00_3845 = 
VECTOR_REF(BgL_arg1904z00_3836,BgL_kz00_3855); } 
{ /* Ast/check-sharing.scm 70 */
int BgL_kz00_3857;
BgL_kz00_3857 = 
(int)(BgL_restz00_3843); 
BgL_method2914z00_3833 = 
VECTOR_REF(BgL_bucketz00_3845,BgL_kz00_3857); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2914z00_3833)(BgL_method2914z00_3833, 
(obj_t)(BgL_nodez00_23), BgL_contextz00_24, BEOA);} } 
}



/* _check-node-sharing */
obj_t BGl__checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(obj_t BgL_envz00_3866, obj_t BgL_nodez00_3867, obj_t BgL_contextz00_3868)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 70 */
return 
BGl_checkzd2nodezd2sharingz00zzast_checkzd2sharingzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3867), BgL_contextz00_3868);} 
}



/* check-node-sharing-default2913 */
obj_t BGl_checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2(BgL_nodez00_bglt BgL_nodez00_25, obj_t BgL_contextz00_26)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
{ /* Ast/check-sharing.scm 71 */
bool_t BgL_test3802z00_2099;
{ /* Ast/check-sharing.scm 71 */
obj_t BgL_auxz00_5419;
BgL_auxz00_5419 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_nodez00_25), BGl_za2previousza2z00zzast_checkzd2sharingzd2); 
BgL_test3802z00_2099 = 
CBOOL(BgL_auxz00_5419); } 
if(BgL_test3802z00_2099)
{ /* Ast/check-sharing.scm 71 */
{ /* Ast/check-sharing.scm 73 */
obj_t BgL_arg3804z00_2100;obj_t BgL_arg3807z00_2103;
BgL_arg3804z00_2100 = 
(((BgL_nodez00_bglt)CREF(BgL_nodez00_25))->BgL_locz00); 
BgL_arg3807z00_2103 = 
BGl_findzd2runtimezd2typez00zz__errorz00(
(obj_t)(BgL_nodez00_25)); 
BGl_userzd2warningzf2locationz20zztools_errorz00(BgL_arg3804z00_2100, BGl_string4569z00zzast_checkzd2sharingzd2, BGl_string4570z00zzast_checkzd2sharingzd2, BgL_arg3807z00_2103); } 
{ /* Ast/check-sharing.scm 77 */
obj_t BgL_port2882z00_2104;
BgL_port2882z00_2104 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Ast/check-sharing.scm 77 */
obj_t BgL_list3812z00_2105;
BgL_list3812z00_2105 = 
MAKE_PAIR(BgL_port2882z00_2104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4571z00zzast_checkzd2sharingzd2, BgL_list3812z00_2105); } 
{ /* Ast/check-sharing.scm 77 */
obj_t BgL_arg3815z00_2106;
BgL_arg3815z00_2106 = 
BGl_shapez00zztools_shapez00(
(obj_t)(BgL_nodez00_25)); 
{ /* Ast/check-sharing.scm 77 */
obj_t BgL_list3817z00_2107;
BgL_list3817z00_2107 = 
MAKE_PAIR(BgL_port2882z00_2104, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg3815z00_2106, BgL_list3817z00_2107); } } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2882z00_2104); } 
{ /* Ast/check-sharing.scm 78 */
obj_t BgL_port2883z00_2108;
BgL_port2883z00_2108 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Ast/check-sharing.scm 78 */
obj_t BgL_list3823z00_2109;
BgL_list3823z00_2109 = 
MAKE_PAIR(BgL_port2883z00_2108, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4572z00zzast_checkzd2sharingzd2, BgL_list3823z00_2109); } 
{ /* Ast/check-sharing.scm 78 */
obj_t BgL_arg3826z00_2110;
BgL_arg3826z00_2110 = 
BGl_shapez00zztools_shapez00(BgL_contextz00_26); 
{ /* Ast/check-sharing.scm 78 */
obj_t BgL_list3828z00_2111;
BgL_list3828z00_2111 = 
MAKE_PAIR(BgL_port2883z00_2108, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BgL_arg3826z00_2110, BgL_list3828z00_2111); } } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2883z00_2108); } 
{ /* Ast/check-sharing.scm 79 */
obj_t BgL_port2884z00_2112;
BgL_port2884z00_2112 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Ast/check-sharing.scm 79 */
obj_t BgL_list3834z00_2113;
BgL_list3834z00_2113 = 
MAKE_PAIR(BgL_port2884z00_2112, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4573z00zzast_checkzd2sharingzd2, BgL_list3834z00_2113); } 
{ /* Ast/check-sharing.scm 79 */
unsigned char BgL_auxz00_5446;
BgL_auxz00_5446 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2884z00_2112); 
BCHAR(BgL_auxz00_5446); } } }  else 
{ /* Ast/check-sharing.scm 80 */
obj_t BgL_auxz00_5449;
BgL_auxz00_5449 = 
(obj_t)(BgL_nodez00_25); 
BGl_za2previousza2z00zzast_checkzd2sharingzd2 = 
MAKE_PAIR(BgL_auxz00_5449, BGl_za2previousza2z00zzast_checkzd2sharingzd2); } } 
return 
CNST_TABLE_REF(((long)1));} 
}



/* _check-node-sharing-default2913 */
obj_t BGl__checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2(obj_t BgL_envz00_3933, obj_t BgL_nodez00_3934, obj_t BgL_contextz00_3935)
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
return 
BGl_checkzd2nodezd2sharingzd2default2913zd2zzast_checkzd2sharingzd2(
(BgL_nodez00_bglt)(BgL_nodez00_3934), BgL_contextz00_3935);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzast_checkzd2sharingzd2()
{ AN_OBJECT;
{ /* Ast/check-sharing.scm 17 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_envz00(((long)73271), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)12859), "ast_check-sharing"); 
BGl_modulezd2initializa7ationz75zzmodule_includez00(((long)99), "ast_check-sharing"); 
return 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)33471), "ast_check-sharing");} 
}

