/*===========================================================================*/
/*   (Fail/walk.scm)                                                         */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2conditional2707z12zzfail_walkz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
extern obj_t BGl_locationzd2fullzd2fnamez00zztools_locationz00(obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
extern obj_t string_to_bstring(char *);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2funcall2701z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2appzd2ly2699zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
static obj_t BGl_failzd2nodez12zd2boxzd2setz122729zd2zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2cast2717z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2select2711z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzfail_walkz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
static obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2boxzd2ref2726zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitz00zz__errorz00(obj_t);
static obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t);
extern obj_t BGl_displayz00zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_toplevelzd2initzd2zzfail_walkz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
static obj_t BGl_failzd2nodez12zd2var2693z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2fail2709z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2jumpzd2exzd2it2721z12zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2setzd2exzd2it2719z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2sequence2695z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl__failzd2nodez123738zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2letzd2var2715zc0zzfail_walkz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2atom2689z12zzfail_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt);
static obj_t BGl_failzd2nodez12zd2extern2703z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2letzd2fun2713zc0zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzfail_walkz00 = BUNSPEC;
static obj_t BGl__failzd2walkz12zc0zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00();
static obj_t BGl_failzd2nodez12zd2kwote2691z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC;
static obj_t BGl__failzd2nodez12zd2default2686z12zzfail_walkz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_failzd2nodez12zd2default2686z12zzfail_walkz00(BgL_nodez00_bglt);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_failzd2nodez12zd2app2697z12zzfail_walkz00(obj_t, obj_t);
static obj_t BGl_failzd2nodez12zd2setq2705z12zzfail_walkz00(obj_t, obj_t);
static obj_t __cnst[ 6 ] ;

DEFINE_STATIC_PROCEDURE( BGl_proc4155z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2atom2689za712za7za7fail_walkza7004205za7, BGl_failzd2nodez12zd2atom2689z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4156z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2kwote2691za712za7za7fail_walkza7004206za7, BGl_failzd2nodez12zd2kwote2691z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4157z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2var2693za712za7za7fail_walkza7004207za7, BGl_failzd2nodez12zd2var2693z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4158z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2sequence2695za712za7za7fail_walkza7004208za7, BGl_failzd2nodez12zd2sequence2695z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4160z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2appza7d2ly2699za7c0za7za7fail_walkza7004209z00, BGl_failzd2nodez12zd2appzd2ly2699zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4159z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2app2697za712za7za7fail_walkza7004210za7, BGl_failzd2nodez12zd2app2697z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4161z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2funcall2701za712za7za7fail_walkza7004211za7, BGl_failzd2nodez12zd2funcall2701z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4162z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2extern2703za712za7za7fail_walkza7004212za7, BGl_failzd2nodez12zd2extern2703z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4163z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2setq2705za712za7za7fail_walkza7004213za7, BGl_failzd2nodez12zd2setq2705z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4164z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2conditional2707za712za7za7fail_walkza7004214za7, BGl_failzd2nodez12zd2conditional2707z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4165z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2fail2709za712za7za7fail_walkza7004215za7, BGl_failzd2nodez12zd2fail2709z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4166z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2select2711za712za7za7fail_walkza7004216za7, BGl_failzd2nodez12zd2select2711z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4167z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2letza7d2fun2713za7c0za7za7fail_walkza7004217z00, BGl_failzd2nodez12zd2letzd2fun2713zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4168z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2letza7d2var2715za7c0za7za7fail_walkza7004218z00, BGl_failzd2nodez12zd2letzd2var2715zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4170z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2setza7d2exza7d2it2719za712za7za7fail_walkza7004219za7, BGl_failzd2nodez12zd2setzd2exzd2it2719z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4169z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2cast2717za712za7za7fail_walkza7004220za7, BGl_failzd2nodez12zd2cast2717z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4171z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2jumpza7d2exza7d2it2721za712za7za7fail_walkza7004221za7, BGl_failzd2nodez12zd2jumpzd2exzd2it2721z12zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4172z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2makeza7d2box2723za7c0za7za7fail_walkza7004222z00, BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4173z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2boxza7d2ref2726za7c0za7za7fail_walkza7004223z00, BGl_failzd2nodez12zd2boxzd2ref2726zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4174z00zzfail_walkz00, BgL_bgl_failza7d2nodeza712za7d2boxza7d2setza7122729za7d2za7za7fail_walkza7004224za7, BGl_failzd2nodez12zd2boxzd2setz122729zd2zzfail_walkz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_failzd2walkz12zd2envz12zzfail_walkz00, BgL_bgl__failza7d2walkza712za7c0za7za7fail_walkza7004225z00, BGl__failzd2walkz12zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_GENERIC( BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_bgl__failza7d2nodeza7123738za7c0za7za7fail_walkza7004226z00, BGl__failzd2nodez123738zc0zzfail_walkz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_failzd2nodez12zd2default2686zd2envzc0zzfail_walkz00, BgL_bgl__failza7d2nodeza712za7d2default2686za712za7za7fail_walkza7004227za7, BGl__failzd2nodez12zd2default2686z12zzfail_walkz00, 0L, 1 );
DEFINE_STRING( BGl_string4176z00zzfail_walkz00, BgL_bgl_string4176za700za7za7fail_walkza7004228z00, "fail-node!-default2686 value debug-error/location location done pass-started ", 77 );
DEFINE_STRING( BGl_string4175z00zzfail_walkz00, BgL_bgl_string4175za700za7za7fail_walkza7004229z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string4154z00zzfail_walkz00, BgL_bgl_string4154za700za7za7fail_walkza7004230z00, "failure during postlude hook", 28 );
DEFINE_STRING( BGl_string4153z00zzfail_walkz00, BgL_bgl_string4153za700za7za7fail_walkza7004231z00, " occured, ending ...", 20 );
DEFINE_STRING( BGl_string4152z00zzfail_walkz00, BgL_bgl_string4152za700za7za7fail_walkza7004232z00, " error", 6 );
DEFINE_STRING( BGl_string4151z00zzfail_walkz00, BgL_bgl_string4151za700za7za7fail_walkza7004233z00, "failure during prelude hook", 27 );
DEFINE_STRING( BGl_string4150z00zzfail_walkz00, BgL_bgl_string4150za700za7za7fail_walkza7004234z00, "   . ", 5 );
DEFINE_STRING( BGl_string4149z00zzfail_walkz00, BgL_bgl_string4149za700za7za7fail_walkza7004235z00, "Fail", 4 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long BgL_checksumz00_3253, char * BgL_fromz00_3254)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzfail_walkz00))
{ 
BGl_requirezd2initializa7ationz75zzfail_walkz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzfail_walkz00(); 
BGl_cnstzd2initzd2zzfail_walkz00(); 
BGl_importedzd2moduleszd2initz00zzfail_walkz00(); 
BGl_methodzd2initzd2zzfail_walkz00(); 
BGl_toplevelzd2initzd2zzfail_walkz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "fail_walk"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "fail_walk"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
obj_t BgL_cportz00_3246;
BgL_cportz00_3246 = 
open_input_string(BGl_string4176z00zzfail_walkz00); 
{ 
long BgL_iz00_3247;
BgL_iz00_3247 = ((long)5); 
BgL_loopz00_3248:
if(
(BgL_iz00_3247==((long)-1)))
{ /* Fail/walk.scm 15 */
return BUNSPEC;}  else 
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
obj_t BgL_arg4180z00_3250;
{ /* Fail/walk.scm 15 */
obj_t BgL_list4183z00_3251;
BgL_list4183z00_3251 = 
MAKE_PAIR(BgL_cportz00_3246, BNIL); 
BgL_arg4180z00_3250 = 
BGl_readz00zz__readerz00(BgL_list4183z00_3251); } 
{ /* Fail/walk.scm 15 */
int BgL_auxz00_3273;
BgL_auxz00_3273 = 
(int)(BgL_iz00_3247); 
CNST_TABLE_SET(BgL_auxz00_3273, BgL_arg4180z00_3250); } } 
{ 
long BgL_iz00_3276;
{ /* Fail/walk.scm 15 */
int BgL_auxz00_3277;
{ /* Fail/walk.scm 15 */
long BgL_auxz00_3278;
BgL_auxz00_3278 = 
(BgL_iz00_3247-((long)1)); 
BgL_auxz00_3277 = 
(int)(BgL_auxz00_3278); } 
BgL_iz00_3276 = 
(long)(BgL_auxz00_3277); } 
BgL_iz00_3247 = BgL_iz00_3276; 
goto BgL_loopz00_3248;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_za2errorza2z00zzfail_walkz00 = BUNSPEC; 
return BUNSPEC;} 
}



/* fail-walk! */
obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t BgL_globalsz00_15)
{ AN_OBJECT;
{ /* Fail/walk.scm 33 */
{ /* Fail/walk.scm 34 */
obj_t BgL_list2764z00_1269;
{ /* Fail/walk.scm 34 */
obj_t BgL_arg2767z00_1271;
{ /* Fail/walk.scm 34 */
obj_t BgL_arg2771z00_1273;
{ /* Fail/walk.scm 34 */
obj_t BgL_auxz00_3282;
BgL_auxz00_3282 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2771z00_1273 = 
MAKE_PAIR(BgL_auxz00_3282, BNIL); } 
BgL_arg2767z00_1271 = 
MAKE_PAIR(BGl_string4149z00zzfail_walkz00, BgL_arg2771z00_1273); } 
BgL_list2764z00_1269 = 
MAKE_PAIR(BGl_string4150z00zzfail_walkz00, BgL_arg2767z00_1271); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)1)), BgL_list2764z00_1269); } 
BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = 
BINT(((long)0)); 
BGl_za2currentzd2passza2zd2zzengine_passz00 = BGl_string4149z00zzfail_walkz00; 
{ 
obj_t BgL_hooksz00_1274;obj_t BgL_hnamesz00_1275;
BgL_hooksz00_1274 = BNIL; 
BgL_hnamesz00_1275 = BNIL; 
BgL_loopz00_1276:
if(
NULLP(BgL_hooksz00_1274))
{ /* Fail/walk.scm 34 */
CNST_TABLE_REF(((long)0)); }  else 
{ /* Fail/walk.scm 34 */
bool_t BgL_test2781z00_1281;
{ /* Fail/walk.scm 34 */
obj_t BgL_fun2796z00_1287;
BgL_fun2796z00_1287 = 
CAR(BgL_hooksz00_1274); 
{ /* Fail/walk.scm 34 */
obj_t BgL_auxz00_3294;
BgL_auxz00_3294 = 
PROCEDURE_ENTRY(BgL_fun2796z00_1287)(BgL_fun2796z00_1287, BEOA); 
BgL_test2781z00_1281 = 
CBOOL(BgL_auxz00_3294); } } 
if(BgL_test2781z00_1281)
{ /* Fail/walk.scm 34 */
{ 
obj_t BgL_hnamesz00_3301;obj_t BgL_hooksz00_3299;
BgL_hooksz00_3299 = 
CDR(BgL_hooksz00_1274); 
BgL_hnamesz00_3301 = 
CDR(BgL_hnamesz00_1275); 
BgL_hnamesz00_1275 = BgL_hnamesz00_3301; 
BgL_hooksz00_1274 = BgL_hooksz00_3299; 
goto BgL_loopz00_1276;} }  else 
{ /* Fail/walk.scm 34 */
BGl_internalzd2errorzd2zztools_errorz00(BGl_string4149z00zzfail_walkz00, BGl_string4151z00zzfail_walkz00, 
CAR(BgL_hnamesz00_1275)); } } } 
{ 
obj_t BgL_l2655z00_1288;
BgL_l2655z00_1288 = BgL_globalsz00_15; 
BgL_lname2656z00_1289:
if(
PAIRP(BgL_l2655z00_1288))
{ /* Fail/walk.scm 35 */
BGl_failzd2funz12zc0zzfail_walkz00(
CAR(BgL_l2655z00_1288)); 
{ 
obj_t BgL_l2655z00_3309;
BgL_l2655z00_3309 = 
CDR(BgL_l2655z00_1288); 
BgL_l2655z00_1288 = BgL_l2655z00_3309; 
goto BgL_lname2656z00_1289;} }  else 
{ /* Fail/walk.scm 35 */((bool_t)1); } } 
{ /* Fail/walk.scm 36 */
bool_t BgL_test2810z00_1294;
{ /* Fail/walk.scm 36 */
long BgL_n1z00_1935;
BgL_n1z00_1935 = 
(long)CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00); 
BgL_test2810z00_1294 = 
(BgL_n1z00_1935>((long)0)); } 
if(BgL_test2810z00_1294)
{ /* Fail/walk.scm 36 */
{ /* Fail/walk.scm 36 */
obj_t BgL_port2657z00_1295;
BgL_port2657z00_1295 = 
GET_CURRENT_ERROR_PORT(); 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2812z00_1296;
BgL_list2812z00_1296 = 
MAKE_PAIR(BgL_port2657z00_1295, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, BgL_list2812z00_1296); } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2815z00_1297;
BgL_list2815z00_1297 = 
MAKE_PAIR(BgL_port2657z00_1295, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4152z00zzfail_walkz00, BgL_list2815z00_1297); } 
{ /* Fail/walk.scm 36 */
char * BgL_arg2818z00_1298;
{ /* Fail/walk.scm 36 */
bool_t BgL_test2822z00_1300;
{ /* Fail/walk.scm 36 */
bool_t BgL_test2823z00_1301;
{ /* Fail/walk.scm 36 */
obj_t BgL_objz00_1937;
BgL_objz00_1937 = BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00; 
BgL_test2823z00_1301 = 
INTEGERP(BgL_objz00_1937); } 
if(BgL_test2823z00_1301)
{ /* Fail/walk.scm 36 */
BgL_test2822z00_1300 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00, 
BINT(((long)1))); }  else 
{ /* Fail/walk.scm 36 */
BgL_test2822z00_1300 = ((bool_t)0); } } 
if(BgL_test2822z00_1300)
{ /* Fail/walk.scm 36 */
BgL_arg2818z00_1298 = "s"; }  else 
{ /* Fail/walk.scm 36 */
BgL_arg2818z00_1298 = ""; } } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2820z00_1299;
BgL_list2820z00_1299 = 
MAKE_PAIR(BgL_port2657z00_1295, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(
string_to_bstring(BgL_arg2818z00_1298), BgL_list2820z00_1299); } } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2827z00_1302;
BgL_list2827z00_1302 = 
MAKE_PAIR(BgL_port2657z00_1295, BNIL); 
BGl_displayz00zz__r4_output_6_10_3z00(BGl_string4153z00zzfail_walkz00, BgL_list2827z00_1302); } 
WRITE_CHAR(((unsigned char)'\n'), BgL_port2657z00_1295); } 
{ /* Fail/walk.scm 36 */
obj_t BgL_list2832z00_1303;
{ /* Fail/walk.scm 36 */
obj_t BgL_auxz00_3330;
BgL_auxz00_3330 = 
BINT(((long)-1)); 
BgL_list2832z00_1303 = 
MAKE_PAIR(BgL_auxz00_3330, BNIL); } 
return 
BGl_exitz00zz__errorz00(BgL_list2832z00_1303);} }  else 
{ 
obj_t BgL_hooksz00_1304;obj_t BgL_hnamesz00_1305;
BgL_hooksz00_1304 = BNIL; 
BgL_hnamesz00_1305 = BNIL; 
BgL_loopz00_1306:
if(
NULLP(BgL_hooksz00_1304))
{ /* Fail/walk.scm 36 */
return BgL_globalsz00_15;}  else 
{ /* Fail/walk.scm 36 */
bool_t BgL_test2841z00_1311;
{ /* Fail/walk.scm 36 */
obj_t BgL_fun2856z00_1316;
BgL_fun2856z00_1316 = 
CAR(BgL_hooksz00_1304); 
{ /* Fail/walk.scm 36 */
obj_t BgL_auxz00_3337;
BgL_auxz00_3337 = 
PROCEDURE_ENTRY(BgL_fun2856z00_1316)(BgL_fun2856z00_1316, BEOA); 
BgL_test2841z00_1311 = 
CBOOL(BgL_auxz00_3337); } } 
if(BgL_test2841z00_1311)
{ /* Fail/walk.scm 36 */
{ 
obj_t BgL_hnamesz00_3344;obj_t BgL_hooksz00_3342;
BgL_hooksz00_3342 = 
CDR(BgL_hooksz00_1304); 
BgL_hnamesz00_3344 = 
CDR(BgL_hnamesz00_1305); 
BgL_hnamesz00_1305 = BgL_hnamesz00_3344; 
BgL_hooksz00_1304 = BgL_hooksz00_3342; 
goto BgL_loopz00_1306;} }  else 
{ /* Fail/walk.scm 36 */
return 
BGl_internalzd2errorzd2zztools_errorz00(BGl_za2currentzd2passza2zd2zzengine_passz00, BGl_string4154z00zzfail_walkz00, 
CAR(BgL_hnamesz00_1305));} } } } } 
}



/* _fail-walk! */
obj_t BGl__failzd2walkz12zc0zzfail_walkz00(obj_t BgL_envz00_3179, obj_t BgL_globalsz00_3180)
{ AN_OBJECT;
{ /* Fail/walk.scm 33 */
return 
BGl_failzd2walkz12zc0zzfail_walkz00(BgL_globalsz00_3180);} 
}



/* fail-fun! */
obj_t BGl_failzd2funz12zc0zzfail_walkz00(obj_t BgL_varz00_16)
{ AN_OBJECT;
{ /* Fail/walk.scm 41 */
{ /* Fail/walk.scm 42 */
BgL_valuez00_bglt BgL_funz00_1317;
{ /* Fail/walk.scm 42 */
BgL_variablez00_bglt BgL_obj1104z00_1946;
BgL_obj1104z00_1946 = 
(BgL_variablez00_bglt)(BgL_varz00_16); 
BgL_funz00_1317 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1104z00_1946))->BgL_valuez00); } 
{ /* Fail/walk.scm 42 */
obj_t BgL_bodyz00_1318;
{ /* Fail/walk.scm 43 */
BgL_sfunz00_bglt BgL_obj1373z00_1947;
BgL_obj1373z00_1947 = 
(BgL_sfunz00_bglt)(BgL_funz00_1317); 
BgL_bodyz00_1318 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_1947))->BgL_bodyz00); } 
{ /* Fail/walk.scm 44 */

{ /* Fail/walk.scm 45 */
obj_t BgL_auxz00_3353;
{ /* Fail/walk.scm 45 */
BgL_variablez00_bglt BgL_obj1097z00_1949;
BgL_obj1097z00_1949 = 
(BgL_variablez00_bglt)(BgL_varz00_16); 
BgL_auxz00_3353 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1097z00_1949))->BgL_idz00); } 
BGl_enterzd2functionzd2zztools_errorz00(BgL_auxz00_3353); } 
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_arg2865z00_1321;
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_res3667z00_1976;
{ /* Fail/walk.scm 46 */
BgL_nodez00_bglt BgL_nodez00_1950;
BgL_nodez00_1950 = 
(BgL_nodez00_bglt)(BgL_bodyz00_1318); 
{ /* Fail/walk.scm 46 */
obj_t BgL_method2687z00_1951;
{ /* Fail/walk.scm 46 */
long BgL_objzd2classzd2numz00_1953;
{ /* Fail/walk.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3358;
BgL_auxz00_3358 = 
(BgL_objectz00_bglt)(BgL_nodez00_1950); 
BgL_objzd2classzd2numz00_1953 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3358); } 
{ /* Fail/walk.scm 46 */
obj_t BgL_arg1904z00_1954;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3361;
BgL_auxz00_3361 = 
(int)(((long)1)); 
BgL_arg1904z00_1954 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3361); } 
{ /* Fail/walk.scm 46 */
long BgL_offsetz00_1958;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3364;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3365;
BgL_auxz00_3365 = 
(int)(BgL_objzd2classzd2numz00_1953); 
BgL_auxz00_3364 = 
(long)(BgL_auxz00_3365); } 
BgL_offsetz00_1958 = 
(BgL_auxz00_3364-OBJECT_TYPE); } 
{ /* Fail/walk.scm 46 */
long BgL_modz00_1959;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3369;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3370;
BgL_auxz00_3370 = 
(int)(((long)8)); 
BgL_auxz00_3369 = 
(long)(BgL_auxz00_3370); } 
BgL_modz00_1959 = 
(BgL_offsetz00_1958/BgL_auxz00_3369); } 
{ /* Fail/walk.scm 46 */
long BgL_restz00_1961;
{ /* Fail/walk.scm 46 */
long BgL_auxz00_3374;
{ /* Fail/walk.scm 46 */
int BgL_auxz00_3375;
BgL_auxz00_3375 = 
(int)(((long)8)); 
BgL_auxz00_3374 = 
(long)(BgL_auxz00_3375); } 
BgL_restz00_1961 = 
(BgL_offsetz00_1958%BgL_auxz00_3374); } 
{ /* Fail/walk.scm 46 */

{ /* Fail/walk.scm 46 */
obj_t BgL_bucketz00_1963;
{ /* Fail/walk.scm 46 */
int BgL_kz00_1973;
BgL_kz00_1973 = 
(int)(BgL_modz00_1959); 
BgL_bucketz00_1963 = 
VECTOR_REF(BgL_arg1904z00_1954,BgL_kz00_1973); } 
{ /* Fail/walk.scm 46 */
int BgL_kz00_1975;
BgL_kz00_1975 = 
(int)(BgL_restz00_1961); 
BgL_method2687z00_1951 = 
VECTOR_REF(BgL_bucketz00_1963,BgL_kz00_1975); } } } } } } } } 
{ /* Fail/walk.scm 46 */
obj_t BgL_auxz00_3383;
BgL_auxz00_3383 = 
PROCEDURE_ENTRY(BgL_method2687z00_1951)(BgL_method2687z00_1951, 
(obj_t)(BgL_nodez00_1950), BEOA); 
BgL_res3667z00_1976 = 
(BgL_nodez00_bglt)(BgL_auxz00_3383); } } } 
BgL_arg2865z00_1321 = BgL_res3667z00_1976; } 
{ /* Fail/walk.scm 46 */
BgL_sfunz00_bglt BgL_obj1375z00_1977;obj_t BgL_val1374z00_1978;
BgL_obj1375z00_1977 = 
(BgL_sfunz00_bglt)(BgL_funz00_1317); 
BgL_val1374z00_1978 = 
(obj_t)(BgL_arg2865z00_1321); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_1977))->BgL_bodyz00) = ((obj_t)BgL_val1374z00_1978), BUNSPEC); } } 
return 
BGl_leavezd2functionzd2zztools_errorz00();} } } } 
}



/* fail-node*! */
obj_t BGl_failzd2nodeza2z12z62zzfail_walkz00(obj_t BgL_nodeza2za2_39)
{ AN_OBJECT;
{ /* Fail/walk.scm 227 */
BGl_failzd2nodeza2z12z62zzfail_walkz00:
if(
NULLP(BgL_nodeza2za2_39))
{ /* Fail/walk.scm 228 */
return 
CNST_TABLE_REF(((long)1));}  else 
{ /* Fail/walk.scm 228 */
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_arg2874z00_1323;
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_res3670z00_2007;
{ /* Fail/walk.scm 231 */
BgL_nodez00_bglt BgL_nodez00_1981;
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3395;
BgL_auxz00_3395 = 
CAR(BgL_nodeza2za2_39); 
BgL_nodez00_1981 = 
(BgL_nodez00_bglt)(BgL_auxz00_3395); } 
{ /* Fail/walk.scm 231 */
obj_t BgL_method2687z00_1982;
{ /* Fail/walk.scm 231 */
long BgL_objzd2classzd2numz00_1984;
{ /* Fail/walk.scm 231 */
BgL_objectz00_bglt BgL_auxz00_3398;
BgL_auxz00_3398 = 
(BgL_objectz00_bglt)(BgL_nodez00_1981); 
BgL_objzd2classzd2numz00_1984 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3398); } 
{ /* Fail/walk.scm 231 */
obj_t BgL_arg1904z00_1985;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3401;
BgL_auxz00_3401 = 
(int)(((long)1)); 
BgL_arg1904z00_1985 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3401); } 
{ /* Fail/walk.scm 231 */
long BgL_offsetz00_1989;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3404;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3405;
BgL_auxz00_3405 = 
(int)(BgL_objzd2classzd2numz00_1984); 
BgL_auxz00_3404 = 
(long)(BgL_auxz00_3405); } 
BgL_offsetz00_1989 = 
(BgL_auxz00_3404-OBJECT_TYPE); } 
{ /* Fail/walk.scm 231 */
long BgL_modz00_1990;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3409;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3410;
BgL_auxz00_3410 = 
(int)(((long)8)); 
BgL_auxz00_3409 = 
(long)(BgL_auxz00_3410); } 
BgL_modz00_1990 = 
(BgL_offsetz00_1989/BgL_auxz00_3409); } 
{ /* Fail/walk.scm 231 */
long BgL_restz00_1992;
{ /* Fail/walk.scm 231 */
long BgL_auxz00_3414;
{ /* Fail/walk.scm 231 */
int BgL_auxz00_3415;
BgL_auxz00_3415 = 
(int)(((long)8)); 
BgL_auxz00_3414 = 
(long)(BgL_auxz00_3415); } 
BgL_restz00_1992 = 
(BgL_offsetz00_1989%BgL_auxz00_3414); } 
{ /* Fail/walk.scm 231 */

{ /* Fail/walk.scm 231 */
obj_t BgL_bucketz00_1994;
{ /* Fail/walk.scm 231 */
int BgL_kz00_2004;
BgL_kz00_2004 = 
(int)(BgL_modz00_1990); 
BgL_bucketz00_1994 = 
VECTOR_REF(BgL_arg1904z00_1985,BgL_kz00_2004); } 
{ /* Fail/walk.scm 231 */
int BgL_kz00_2006;
BgL_kz00_2006 = 
(int)(BgL_restz00_1992); 
BgL_method2687z00_1982 = 
VECTOR_REF(BgL_bucketz00_1994,BgL_kz00_2006); } } } } } } } } 
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3423;
BgL_auxz00_3423 = 
PROCEDURE_ENTRY(BgL_method2687z00_1982)(BgL_method2687z00_1982, 
(obj_t)(BgL_nodez00_1981), BEOA); 
BgL_res3670z00_2007 = 
(BgL_nodez00_bglt)(BgL_auxz00_3423); } } } 
BgL_arg2874z00_1323 = BgL_res3670z00_2007; } 
{ /* Fail/walk.scm 231 */
obj_t BgL_auxz00_3428;
BgL_auxz00_3428 = 
(obj_t)(BgL_arg2874z00_1323); 
SET_CAR(BgL_nodeza2za2_39, BgL_auxz00_3428); } } 
{ 
obj_t BgL_nodeza2za2_3431;
BgL_nodeza2za2_3431 = 
CDR(BgL_nodeza2za2_39); 
BgL_nodeza2za2_39 = BgL_nodeza2za2_3431; 
goto BGl_failzd2nodeza2z12z62zzfail_walkz00;} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failzd2nodez12zd2default2686zd2envzc0zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_atomz00zzast_nodez00, BGl_proc4155z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_kwotez00zzast_nodez00, BGl_proc4156z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_varz00zzast_nodez00, BGl_proc4157z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_sequencez00zzast_nodez00, BGl_proc4158z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appz00zzast_nodez00, BGl_proc4159z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4160z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_funcallz00zzast_nodez00, BGl_proc4161z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_externz00zzast_nodez00, BGl_proc4162z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setqz00zzast_nodez00, BGl_proc4163z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_conditionalz00zzast_nodez00, BGl_proc4164z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_failz00zzast_nodez00, BGl_proc4165z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_selectz00zzast_nodez00, BGl_proc4166z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4167z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4168z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_castz00zzast_nodez00, BGl_proc4169z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4170z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4171z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4172z00zzfail_walkz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4173z00zzfail_walkz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4174z00zzfail_walkz00);} 
}



/* fail-node!-box-set!2729 */
obj_t BGl_failzd2nodez12zd2boxzd2setz122729zd2zzfail_walkz00(obj_t BgL_envz00_3203, obj_t BgL_nodez00_3204)
{ AN_OBJECT;
{ /* Fail/walk.scm 219 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_1898;
{ /* Fail/walk.scm 220 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_3454;
BgL_nodez00_1898 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3204); 
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_arg3638z00_1902;
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_arg3641z00_1903;
BgL_arg3641z00_1903 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1898))->BgL_valuez00); 
{ /* Fail/walk.scm 221 */
BgL_nodez00_bglt BgL_res3734z00_3148;
{ /* Fail/walk.scm 221 */
obj_t BgL_method2687z00_3123;
{ /* Fail/walk.scm 221 */
long BgL_objzd2classzd2numz00_3125;
{ /* Fail/walk.scm 221 */
BgL_objectz00_bglt BgL_auxz00_3456;
BgL_auxz00_3456 = 
(BgL_objectz00_bglt)(BgL_arg3641z00_1903); 
BgL_objzd2classzd2numz00_3125 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3456); } 
{ /* Fail/walk.scm 221 */
obj_t BgL_arg1904z00_3126;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3459;
BgL_auxz00_3459 = 
(int)(((long)1)); 
BgL_arg1904z00_3126 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3459); } 
{ /* Fail/walk.scm 221 */
long BgL_offsetz00_3130;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3462;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3463;
BgL_auxz00_3463 = 
(int)(BgL_objzd2classzd2numz00_3125); 
BgL_auxz00_3462 = 
(long)(BgL_auxz00_3463); } 
BgL_offsetz00_3130 = 
(BgL_auxz00_3462-OBJECT_TYPE); } 
{ /* Fail/walk.scm 221 */
long BgL_modz00_3131;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3467;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3468;
BgL_auxz00_3468 = 
(int)(((long)8)); 
BgL_auxz00_3467 = 
(long)(BgL_auxz00_3468); } 
BgL_modz00_3131 = 
(BgL_offsetz00_3130/BgL_auxz00_3467); } 
{ /* Fail/walk.scm 221 */
long BgL_restz00_3133;
{ /* Fail/walk.scm 221 */
long BgL_auxz00_3472;
{ /* Fail/walk.scm 221 */
int BgL_auxz00_3473;
BgL_auxz00_3473 = 
(int)(((long)8)); 
BgL_auxz00_3472 = 
(long)(BgL_auxz00_3473); } 
BgL_restz00_3133 = 
(BgL_offsetz00_3130%BgL_auxz00_3472); } 
{ /* Fail/walk.scm 221 */

{ /* Fail/walk.scm 221 */
obj_t BgL_bucketz00_3135;
{ /* Fail/walk.scm 221 */
int BgL_kz00_3145;
BgL_kz00_3145 = 
(int)(BgL_modz00_3131); 
BgL_bucketz00_3135 = 
VECTOR_REF(BgL_arg1904z00_3126,BgL_kz00_3145); } 
{ /* Fail/walk.scm 221 */
int BgL_kz00_3147;
BgL_kz00_3147 = 
(int)(BgL_restz00_3133); 
BgL_method2687z00_3123 = 
VECTOR_REF(BgL_bucketz00_3135,BgL_kz00_3147); } } } } } } } } 
{ /* Fail/walk.scm 221 */
obj_t BgL_auxz00_3481;
BgL_auxz00_3481 = 
PROCEDURE_ENTRY(BgL_method2687z00_3123)(BgL_method2687z00_3123, 
(obj_t)(BgL_arg3641z00_1903), BEOA); 
BgL_res3734z00_3148 = 
(BgL_nodez00_bglt)(BgL_auxz00_3481); } } 
BgL_arg3638z00_1902 = BgL_res3734z00_3148; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_1898))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3638z00_1902), BUNSPEC); } 
BgL_auxz00_3454 = BgL_nodez00_1898; 
return 
(obj_t)(BgL_auxz00_3454);} } } 
}



/* fail-node!-box-ref2726 */
obj_t BGl_failzd2nodez12zd2boxzd2ref2726zc0zzfail_walkz00(obj_t BgL_envz00_3205, obj_t BgL_nodez00_3206)
{ AN_OBJECT;
{ /* Fail/walk.scm 213 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_1893;
{ /* Fail/walk.scm 214 */
BgL_boxzd2refzd2_bglt BgL_auxz00_3489;
BgL_nodez00_1893 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3206); 
BgL_auxz00_3489 = BgL_nodez00_1893; 
return 
(obj_t)(BgL_auxz00_3489);} } } 
}



/* fail-node!-make-box2723 */
obj_t BGl_failzd2nodez12zd2makezd2box2723zc0zzfail_walkz00(obj_t BgL_envz00_3207, obj_t BgL_nodez00_3208)
{ AN_OBJECT;
{ /* Fail/walk.scm 206 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_1886;
{ /* Fail/walk.scm 207 */
BgL_makezd2boxzd2_bglt BgL_auxz00_3492;
BgL_nodez00_1886 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3208); 
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_arg3619z00_1889;
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_arg3622z00_1890;
BgL_arg3622z00_1890 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1886))->BgL_valuez00); 
{ /* Fail/walk.scm 207 */
BgL_nodez00_bglt BgL_res3731z00_3118;
{ /* Fail/walk.scm 207 */
obj_t BgL_method2687z00_3093;
{ /* Fail/walk.scm 207 */
long BgL_objzd2classzd2numz00_3095;
{ /* Fail/walk.scm 207 */
BgL_objectz00_bglt BgL_auxz00_3494;
BgL_auxz00_3494 = 
(BgL_objectz00_bglt)(BgL_arg3622z00_1890); 
BgL_objzd2classzd2numz00_3095 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3494); } 
{ /* Fail/walk.scm 207 */
obj_t BgL_arg1904z00_3096;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3497;
BgL_auxz00_3497 = 
(int)(((long)1)); 
BgL_arg1904z00_3096 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3497); } 
{ /* Fail/walk.scm 207 */
long BgL_offsetz00_3100;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3500;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3501;
BgL_auxz00_3501 = 
(int)(BgL_objzd2classzd2numz00_3095); 
BgL_auxz00_3500 = 
(long)(BgL_auxz00_3501); } 
BgL_offsetz00_3100 = 
(BgL_auxz00_3500-OBJECT_TYPE); } 
{ /* Fail/walk.scm 207 */
long BgL_modz00_3101;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3505;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3506;
BgL_auxz00_3506 = 
(int)(((long)8)); 
BgL_auxz00_3505 = 
(long)(BgL_auxz00_3506); } 
BgL_modz00_3101 = 
(BgL_offsetz00_3100/BgL_auxz00_3505); } 
{ /* Fail/walk.scm 207 */
long BgL_restz00_3103;
{ /* Fail/walk.scm 207 */
long BgL_auxz00_3510;
{ /* Fail/walk.scm 207 */
int BgL_auxz00_3511;
BgL_auxz00_3511 = 
(int)(((long)8)); 
BgL_auxz00_3510 = 
(long)(BgL_auxz00_3511); } 
BgL_restz00_3103 = 
(BgL_offsetz00_3100%BgL_auxz00_3510); } 
{ /* Fail/walk.scm 207 */

{ /* Fail/walk.scm 207 */
obj_t BgL_bucketz00_3105;
{ /* Fail/walk.scm 207 */
int BgL_kz00_3115;
BgL_kz00_3115 = 
(int)(BgL_modz00_3101); 
BgL_bucketz00_3105 = 
VECTOR_REF(BgL_arg1904z00_3096,BgL_kz00_3115); } 
{ /* Fail/walk.scm 207 */
int BgL_kz00_3117;
BgL_kz00_3117 = 
(int)(BgL_restz00_3103); 
BgL_method2687z00_3093 = 
VECTOR_REF(BgL_bucketz00_3105,BgL_kz00_3117); } } } } } } } } 
{ /* Fail/walk.scm 207 */
obj_t BgL_auxz00_3519;
BgL_auxz00_3519 = 
PROCEDURE_ENTRY(BgL_method2687z00_3093)(BgL_method2687z00_3093, 
(obj_t)(BgL_arg3622z00_1890), BEOA); 
BgL_res3731z00_3118 = 
(BgL_nodez00_bglt)(BgL_auxz00_3519); } } 
BgL_arg3619z00_1889 = BgL_res3731z00_3118; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_1886))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3619z00_1889), BUNSPEC); } 
BgL_auxz00_3492 = BgL_nodez00_1886; 
return 
(obj_t)(BgL_auxz00_3492);} } } 
}



/* fail-node!-jump-ex-it2721 */
obj_t BGl_failzd2nodez12zd2jumpzd2exzd2it2721z12zzfail_walkz00(obj_t BgL_envz00_3209, obj_t BgL_nodez00_3210)
{ AN_OBJECT;
{ /* Fail/walk.scm 197 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1876;
{ /* Fail/walk.scm 198 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_3527;
BgL_nodez00_1876 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3210); 
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_arg3599z00_1880;
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_arg3602z00_1881;
BgL_arg3602z00_1881 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_exitz00); 
{ /* Fail/walk.scm 199 */
BgL_nodez00_bglt BgL_res3725z00_3058;
{ /* Fail/walk.scm 199 */
obj_t BgL_method2687z00_3033;
{ /* Fail/walk.scm 199 */
long BgL_objzd2classzd2numz00_3035;
{ /* Fail/walk.scm 199 */
BgL_objectz00_bglt BgL_auxz00_3529;
BgL_auxz00_3529 = 
(BgL_objectz00_bglt)(BgL_arg3602z00_1881); 
BgL_objzd2classzd2numz00_3035 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3529); } 
{ /* Fail/walk.scm 199 */
obj_t BgL_arg1904z00_3036;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3532;
BgL_auxz00_3532 = 
(int)(((long)1)); 
BgL_arg1904z00_3036 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3532); } 
{ /* Fail/walk.scm 199 */
long BgL_offsetz00_3040;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3535;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3536;
BgL_auxz00_3536 = 
(int)(BgL_objzd2classzd2numz00_3035); 
BgL_auxz00_3535 = 
(long)(BgL_auxz00_3536); } 
BgL_offsetz00_3040 = 
(BgL_auxz00_3535-OBJECT_TYPE); } 
{ /* Fail/walk.scm 199 */
long BgL_modz00_3041;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3540;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3541;
BgL_auxz00_3541 = 
(int)(((long)8)); 
BgL_auxz00_3540 = 
(long)(BgL_auxz00_3541); } 
BgL_modz00_3041 = 
(BgL_offsetz00_3040/BgL_auxz00_3540); } 
{ /* Fail/walk.scm 199 */
long BgL_restz00_3043;
{ /* Fail/walk.scm 199 */
long BgL_auxz00_3545;
{ /* Fail/walk.scm 199 */
int BgL_auxz00_3546;
BgL_auxz00_3546 = 
(int)(((long)8)); 
BgL_auxz00_3545 = 
(long)(BgL_auxz00_3546); } 
BgL_restz00_3043 = 
(BgL_offsetz00_3040%BgL_auxz00_3545); } 
{ /* Fail/walk.scm 199 */

{ /* Fail/walk.scm 199 */
obj_t BgL_bucketz00_3045;
{ /* Fail/walk.scm 199 */
int BgL_kz00_3055;
BgL_kz00_3055 = 
(int)(BgL_modz00_3041); 
BgL_bucketz00_3045 = 
VECTOR_REF(BgL_arg1904z00_3036,BgL_kz00_3055); } 
{ /* Fail/walk.scm 199 */
int BgL_kz00_3057;
BgL_kz00_3057 = 
(int)(BgL_restz00_3043); 
BgL_method2687z00_3033 = 
VECTOR_REF(BgL_bucketz00_3045,BgL_kz00_3057); } } } } } } } } 
{ /* Fail/walk.scm 199 */
obj_t BgL_auxz00_3554;
BgL_auxz00_3554 = 
PROCEDURE_ENTRY(BgL_method2687z00_3033)(BgL_method2687z00_3033, 
(obj_t)(BgL_arg3602z00_1881), BEOA); 
BgL_res3725z00_3058 = 
(BgL_nodez00_bglt)(BgL_auxz00_3554); } } 
BgL_arg3599z00_1880 = BgL_res3725z00_3058; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg3599z00_1880), BUNSPEC); } 
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_arg3606z00_1882;
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_arg3609z00_1883;
BgL_arg3609z00_1883 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_valuez00); 
{ /* Fail/walk.scm 200 */
BgL_nodez00_bglt BgL_res3728z00_3088;
{ /* Fail/walk.scm 200 */
obj_t BgL_method2687z00_3063;
{ /* Fail/walk.scm 200 */
long BgL_objzd2classzd2numz00_3065;
{ /* Fail/walk.scm 200 */
BgL_objectz00_bglt BgL_auxz00_3561;
BgL_auxz00_3561 = 
(BgL_objectz00_bglt)(BgL_arg3609z00_1883); 
BgL_objzd2classzd2numz00_3065 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3561); } 
{ /* Fail/walk.scm 200 */
obj_t BgL_arg1904z00_3066;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3564;
BgL_auxz00_3564 = 
(int)(((long)1)); 
BgL_arg1904z00_3066 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3564); } 
{ /* Fail/walk.scm 200 */
long BgL_offsetz00_3070;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3567;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3568;
BgL_auxz00_3568 = 
(int)(BgL_objzd2classzd2numz00_3065); 
BgL_auxz00_3567 = 
(long)(BgL_auxz00_3568); } 
BgL_offsetz00_3070 = 
(BgL_auxz00_3567-OBJECT_TYPE); } 
{ /* Fail/walk.scm 200 */
long BgL_modz00_3071;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3572;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3573;
BgL_auxz00_3573 = 
(int)(((long)8)); 
BgL_auxz00_3572 = 
(long)(BgL_auxz00_3573); } 
BgL_modz00_3071 = 
(BgL_offsetz00_3070/BgL_auxz00_3572); } 
{ /* Fail/walk.scm 200 */
long BgL_restz00_3073;
{ /* Fail/walk.scm 200 */
long BgL_auxz00_3577;
{ /* Fail/walk.scm 200 */
int BgL_auxz00_3578;
BgL_auxz00_3578 = 
(int)(((long)8)); 
BgL_auxz00_3577 = 
(long)(BgL_auxz00_3578); } 
BgL_restz00_3073 = 
(BgL_offsetz00_3070%BgL_auxz00_3577); } 
{ /* Fail/walk.scm 200 */

{ /* Fail/walk.scm 200 */
obj_t BgL_bucketz00_3075;
{ /* Fail/walk.scm 200 */
int BgL_kz00_3085;
BgL_kz00_3085 = 
(int)(BgL_modz00_3071); 
BgL_bucketz00_3075 = 
VECTOR_REF(BgL_arg1904z00_3066,BgL_kz00_3085); } 
{ /* Fail/walk.scm 200 */
int BgL_kz00_3087;
BgL_kz00_3087 = 
(int)(BgL_restz00_3073); 
BgL_method2687z00_3063 = 
VECTOR_REF(BgL_bucketz00_3075,BgL_kz00_3087); } } } } } } } } 
{ /* Fail/walk.scm 200 */
obj_t BgL_auxz00_3586;
BgL_auxz00_3586 = 
PROCEDURE_ENTRY(BgL_method2687z00_3063)(BgL_method2687z00_3063, 
(obj_t)(BgL_arg3609z00_1883), BEOA); 
BgL_res3728z00_3088 = 
(BgL_nodez00_bglt)(BgL_auxz00_3586); } } 
BgL_arg3606z00_1882 = BgL_res3728z00_3088; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1876))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3606z00_1882), BUNSPEC); } 
BgL_auxz00_3527 = BgL_nodez00_1876; 
return 
(obj_t)(BgL_auxz00_3527);} } } 
}



/* fail-node!-set-ex-it2719 */
obj_t BGl_failzd2nodez12zd2setzd2exzd2it2719z12zzfail_walkz00(obj_t BgL_envz00_3211, obj_t BgL_nodez00_3212)
{ AN_OBJECT;
{ /* Fail/walk.scm 190 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1869;
{ /* Fail/walk.scm 191 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_3594;
BgL_nodez00_1869 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3212); 
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_arg3586z00_1872;
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_arg3589z00_1873;
BgL_arg3589z00_1873 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1869))->BgL_bodyz00); 
{ /* Fail/walk.scm 191 */
BgL_nodez00_bglt BgL_res3722z00_3028;
{ /* Fail/walk.scm 191 */
obj_t BgL_method2687z00_3003;
{ /* Fail/walk.scm 191 */
long BgL_objzd2classzd2numz00_3005;
{ /* Fail/walk.scm 191 */
BgL_objectz00_bglt BgL_auxz00_3596;
BgL_auxz00_3596 = 
(BgL_objectz00_bglt)(BgL_arg3589z00_1873); 
BgL_objzd2classzd2numz00_3005 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3596); } 
{ /* Fail/walk.scm 191 */
obj_t BgL_arg1904z00_3006;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3599;
BgL_auxz00_3599 = 
(int)(((long)1)); 
BgL_arg1904z00_3006 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3599); } 
{ /* Fail/walk.scm 191 */
long BgL_offsetz00_3010;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3602;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3603;
BgL_auxz00_3603 = 
(int)(BgL_objzd2classzd2numz00_3005); 
BgL_auxz00_3602 = 
(long)(BgL_auxz00_3603); } 
BgL_offsetz00_3010 = 
(BgL_auxz00_3602-OBJECT_TYPE); } 
{ /* Fail/walk.scm 191 */
long BgL_modz00_3011;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3607;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3608;
BgL_auxz00_3608 = 
(int)(((long)8)); 
BgL_auxz00_3607 = 
(long)(BgL_auxz00_3608); } 
BgL_modz00_3011 = 
(BgL_offsetz00_3010/BgL_auxz00_3607); } 
{ /* Fail/walk.scm 191 */
long BgL_restz00_3013;
{ /* Fail/walk.scm 191 */
long BgL_auxz00_3612;
{ /* Fail/walk.scm 191 */
int BgL_auxz00_3613;
BgL_auxz00_3613 = 
(int)(((long)8)); 
BgL_auxz00_3612 = 
(long)(BgL_auxz00_3613); } 
BgL_restz00_3013 = 
(BgL_offsetz00_3010%BgL_auxz00_3612); } 
{ /* Fail/walk.scm 191 */

{ /* Fail/walk.scm 191 */
obj_t BgL_bucketz00_3015;
{ /* Fail/walk.scm 191 */
int BgL_kz00_3025;
BgL_kz00_3025 = 
(int)(BgL_modz00_3011); 
BgL_bucketz00_3015 = 
VECTOR_REF(BgL_arg1904z00_3006,BgL_kz00_3025); } 
{ /* Fail/walk.scm 191 */
int BgL_kz00_3027;
BgL_kz00_3027 = 
(int)(BgL_restz00_3013); 
BgL_method2687z00_3003 = 
VECTOR_REF(BgL_bucketz00_3015,BgL_kz00_3027); } } } } } } } } 
{ /* Fail/walk.scm 191 */
obj_t BgL_auxz00_3621;
BgL_auxz00_3621 = 
PROCEDURE_ENTRY(BgL_method2687z00_3003)(BgL_method2687z00_3003, 
(obj_t)(BgL_arg3589z00_1873), BEOA); 
BgL_res3722z00_3028 = 
(BgL_nodez00_bglt)(BgL_auxz00_3621); } } 
BgL_arg3586z00_1872 = BgL_res3722z00_3028; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1869))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3586z00_1872), BUNSPEC); } 
BgL_auxz00_3594 = BgL_nodez00_1869; 
return 
(obj_t)(BgL_auxz00_3594);} } } 
}



/* fail-node!-cast2717 */
obj_t BGl_failzd2nodez12zd2cast2717z12zzfail_walkz00(obj_t BgL_envz00_3213, obj_t BgL_nodez00_3214)
{ AN_OBJECT;
{ /* Fail/walk.scm 182 */
{ 
BgL_castz00_bglt BgL_nodez00_1861;
{ /* Fail/walk.scm 183 */
BgL_castz00_bglt BgL_auxz00_3629;
BgL_nodez00_1861 = 
(BgL_castz00_bglt)(BgL_nodez00_3214); 
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_arg3573z00_1865;
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_arg3576z00_1866;
BgL_arg3576z00_1866 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1861))->BgL_argz00); 
{ /* Fail/walk.scm 184 */
BgL_nodez00_bglt BgL_res3719z00_2998;
{ /* Fail/walk.scm 184 */
obj_t BgL_method2687z00_2973;
{ /* Fail/walk.scm 184 */
long BgL_objzd2classzd2numz00_2975;
{ /* Fail/walk.scm 184 */
BgL_objectz00_bglt BgL_auxz00_3631;
BgL_auxz00_3631 = 
(BgL_objectz00_bglt)(BgL_arg3576z00_1866); 
BgL_objzd2classzd2numz00_2975 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3631); } 
{ /* Fail/walk.scm 184 */
obj_t BgL_arg1904z00_2976;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3634;
BgL_auxz00_3634 = 
(int)(((long)1)); 
BgL_arg1904z00_2976 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3634); } 
{ /* Fail/walk.scm 184 */
long BgL_offsetz00_2980;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3637;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3638;
BgL_auxz00_3638 = 
(int)(BgL_objzd2classzd2numz00_2975); 
BgL_auxz00_3637 = 
(long)(BgL_auxz00_3638); } 
BgL_offsetz00_2980 = 
(BgL_auxz00_3637-OBJECT_TYPE); } 
{ /* Fail/walk.scm 184 */
long BgL_modz00_2981;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3642;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3643;
BgL_auxz00_3643 = 
(int)(((long)8)); 
BgL_auxz00_3642 = 
(long)(BgL_auxz00_3643); } 
BgL_modz00_2981 = 
(BgL_offsetz00_2980/BgL_auxz00_3642); } 
{ /* Fail/walk.scm 184 */
long BgL_restz00_2983;
{ /* Fail/walk.scm 184 */
long BgL_auxz00_3647;
{ /* Fail/walk.scm 184 */
int BgL_auxz00_3648;
BgL_auxz00_3648 = 
(int)(((long)8)); 
BgL_auxz00_3647 = 
(long)(BgL_auxz00_3648); } 
BgL_restz00_2983 = 
(BgL_offsetz00_2980%BgL_auxz00_3647); } 
{ /* Fail/walk.scm 184 */

{ /* Fail/walk.scm 184 */
obj_t BgL_bucketz00_2985;
{ /* Fail/walk.scm 184 */
int BgL_kz00_2995;
BgL_kz00_2995 = 
(int)(BgL_modz00_2981); 
BgL_bucketz00_2985 = 
VECTOR_REF(BgL_arg1904z00_2976,BgL_kz00_2995); } 
{ /* Fail/walk.scm 184 */
int BgL_kz00_2997;
BgL_kz00_2997 = 
(int)(BgL_restz00_2983); 
BgL_method2687z00_2973 = 
VECTOR_REF(BgL_bucketz00_2985,BgL_kz00_2997); } } } } } } } } 
{ /* Fail/walk.scm 184 */
obj_t BgL_auxz00_3656;
BgL_auxz00_3656 = 
PROCEDURE_ENTRY(BgL_method2687z00_2973)(BgL_method2687z00_2973, 
(obj_t)(BgL_arg3576z00_1866), BEOA); 
BgL_res3719z00_2998 = 
(BgL_nodez00_bglt)(BgL_auxz00_3656); } } 
BgL_arg3573z00_1865 = BgL_res3719z00_2998; } } 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1861))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3573z00_1865), BUNSPEC); } 
BgL_auxz00_3629 = BgL_nodez00_1861; 
return 
(obj_t)(BgL_auxz00_3629);} } } 
}



/* fail-node!-let-var2715 */
obj_t BGl_failzd2nodez12zd2letzd2var2715zc0zzfail_walkz00(obj_t BgL_envz00_3215, obj_t BgL_nodez00_3216)
{ AN_OBJECT;
{ /* Fail/walk.scm 171 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1845;
{ /* Fail/walk.scm 172 */
BgL_letzd2varzd2_bglt BgL_auxz00_3664;
BgL_nodez00_1845 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3216); 
{ 
obj_t BgL_l2678z00_1849;
BgL_l2678z00_1849 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bindingsz00); 
BgL_lname2679z00_1850:
if(
PAIRP(BgL_l2678z00_1849))
{ /* Fail/walk.scm 173 */
{ /* Fail/walk.scm 174 */
obj_t BgL_bindingz00_1853;
BgL_bindingz00_1853 = 
CAR(BgL_l2678z00_1849); 
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_arg3547z00_1854;
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_res3713z00_2937;
{ /* Fail/walk.scm 174 */
BgL_nodez00_bglt BgL_nodez00_2911;
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3668;
BgL_auxz00_3668 = 
CDR(BgL_bindingz00_1853); 
BgL_nodez00_2911 = 
(BgL_nodez00_bglt)(BgL_auxz00_3668); } 
{ /* Fail/walk.scm 174 */
obj_t BgL_method2687z00_2912;
{ /* Fail/walk.scm 174 */
long BgL_objzd2classzd2numz00_2914;
{ /* Fail/walk.scm 174 */
BgL_objectz00_bglt BgL_auxz00_3671;
BgL_auxz00_3671 = 
(BgL_objectz00_bglt)(BgL_nodez00_2911); 
BgL_objzd2classzd2numz00_2914 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3671); } 
{ /* Fail/walk.scm 174 */
obj_t BgL_arg1904z00_2915;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3674;
BgL_auxz00_3674 = 
(int)(((long)1)); 
BgL_arg1904z00_2915 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3674); } 
{ /* Fail/walk.scm 174 */
long BgL_offsetz00_2919;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3677;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3678;
BgL_auxz00_3678 = 
(int)(BgL_objzd2classzd2numz00_2914); 
BgL_auxz00_3677 = 
(long)(BgL_auxz00_3678); } 
BgL_offsetz00_2919 = 
(BgL_auxz00_3677-OBJECT_TYPE); } 
{ /* Fail/walk.scm 174 */
long BgL_modz00_2920;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3682;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3683;
BgL_auxz00_3683 = 
(int)(((long)8)); 
BgL_auxz00_3682 = 
(long)(BgL_auxz00_3683); } 
BgL_modz00_2920 = 
(BgL_offsetz00_2919/BgL_auxz00_3682); } 
{ /* Fail/walk.scm 174 */
long BgL_restz00_2922;
{ /* Fail/walk.scm 174 */
long BgL_auxz00_3687;
{ /* Fail/walk.scm 174 */
int BgL_auxz00_3688;
BgL_auxz00_3688 = 
(int)(((long)8)); 
BgL_auxz00_3687 = 
(long)(BgL_auxz00_3688); } 
BgL_restz00_2922 = 
(BgL_offsetz00_2919%BgL_auxz00_3687); } 
{ /* Fail/walk.scm 174 */

{ /* Fail/walk.scm 174 */
obj_t BgL_bucketz00_2924;
{ /* Fail/walk.scm 174 */
int BgL_kz00_2934;
BgL_kz00_2934 = 
(int)(BgL_modz00_2920); 
BgL_bucketz00_2924 = 
VECTOR_REF(BgL_arg1904z00_2915,BgL_kz00_2934); } 
{ /* Fail/walk.scm 174 */
int BgL_kz00_2936;
BgL_kz00_2936 = 
(int)(BgL_restz00_2922); 
BgL_method2687z00_2912 = 
VECTOR_REF(BgL_bucketz00_2924,BgL_kz00_2936); } } } } } } } } 
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3696;
BgL_auxz00_3696 = 
PROCEDURE_ENTRY(BgL_method2687z00_2912)(BgL_method2687z00_2912, 
(obj_t)(BgL_nodez00_2911), BEOA); 
BgL_res3713z00_2937 = 
(BgL_nodez00_bglt)(BgL_auxz00_3696); } } } 
BgL_arg3547z00_1854 = BgL_res3713z00_2937; } 
{ /* Fail/walk.scm 174 */
obj_t BgL_auxz00_3701;
BgL_auxz00_3701 = 
(obj_t)(BgL_arg3547z00_1854); 
SET_CDR(BgL_bindingz00_1853, BgL_auxz00_3701); } } } 
{ 
obj_t BgL_l2678z00_3704;
BgL_l2678z00_3704 = 
CDR(BgL_l2678z00_1849); 
BgL_l2678z00_1849 = BgL_l2678z00_3704; 
goto BgL_lname2679z00_1850;} }  else 
{ /* Fail/walk.scm 173 */((bool_t)1); } } 
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_arg3560z00_1857;
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_arg3563z00_1858;
BgL_arg3563z00_1858 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bodyz00); 
{ /* Fail/walk.scm 176 */
BgL_nodez00_bglt BgL_res3716z00_2968;
{ /* Fail/walk.scm 176 */
obj_t BgL_method2687z00_2943;
{ /* Fail/walk.scm 176 */
long BgL_objzd2classzd2numz00_2945;
{ /* Fail/walk.scm 176 */
BgL_objectz00_bglt BgL_auxz00_3708;
BgL_auxz00_3708 = 
(BgL_objectz00_bglt)(BgL_arg3563z00_1858); 
BgL_objzd2classzd2numz00_2945 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3708); } 
{ /* Fail/walk.scm 176 */
obj_t BgL_arg1904z00_2946;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3711;
BgL_auxz00_3711 = 
(int)(((long)1)); 
BgL_arg1904z00_2946 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3711); } 
{ /* Fail/walk.scm 176 */
long BgL_offsetz00_2950;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3714;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3715;
BgL_auxz00_3715 = 
(int)(BgL_objzd2classzd2numz00_2945); 
BgL_auxz00_3714 = 
(long)(BgL_auxz00_3715); } 
BgL_offsetz00_2950 = 
(BgL_auxz00_3714-OBJECT_TYPE); } 
{ /* Fail/walk.scm 176 */
long BgL_modz00_2951;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3719;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3720;
BgL_auxz00_3720 = 
(int)(((long)8)); 
BgL_auxz00_3719 = 
(long)(BgL_auxz00_3720); } 
BgL_modz00_2951 = 
(BgL_offsetz00_2950/BgL_auxz00_3719); } 
{ /* Fail/walk.scm 176 */
long BgL_restz00_2953;
{ /* Fail/walk.scm 176 */
long BgL_auxz00_3724;
{ /* Fail/walk.scm 176 */
int BgL_auxz00_3725;
BgL_auxz00_3725 = 
(int)(((long)8)); 
BgL_auxz00_3724 = 
(long)(BgL_auxz00_3725); } 
BgL_restz00_2953 = 
(BgL_offsetz00_2950%BgL_auxz00_3724); } 
{ /* Fail/walk.scm 176 */

{ /* Fail/walk.scm 176 */
obj_t BgL_bucketz00_2955;
{ /* Fail/walk.scm 176 */
int BgL_kz00_2965;
BgL_kz00_2965 = 
(int)(BgL_modz00_2951); 
BgL_bucketz00_2955 = 
VECTOR_REF(BgL_arg1904z00_2946,BgL_kz00_2965); } 
{ /* Fail/walk.scm 176 */
int BgL_kz00_2967;
BgL_kz00_2967 = 
(int)(BgL_restz00_2953); 
BgL_method2687z00_2943 = 
VECTOR_REF(BgL_bucketz00_2955,BgL_kz00_2967); } } } } } } } } 
{ /* Fail/walk.scm 176 */
obj_t BgL_auxz00_3733;
BgL_auxz00_3733 = 
PROCEDURE_ENTRY(BgL_method2687z00_2943)(BgL_method2687z00_2943, 
(obj_t)(BgL_arg3563z00_1858), BEOA); 
BgL_res3716z00_2968 = 
(BgL_nodez00_bglt)(BgL_auxz00_3733); } } 
BgL_arg3560z00_1857 = BgL_res3716z00_2968; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1845))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3560z00_1857), BUNSPEC); } 
BgL_auxz00_3664 = BgL_nodez00_1845; 
return 
(obj_t)(BgL_auxz00_3664);} } } 
}



/* fail-node!-let-fun2713 */
obj_t BGl_failzd2nodez12zd2letzd2fun2713zc0zzfail_walkz00(obj_t BgL_envz00_3217, obj_t BgL_nodez00_3218)
{ AN_OBJECT;
{ /* Fail/walk.scm 162 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1831;
{ /* Fail/walk.scm 163 */
BgL_letzd2funzd2_bglt BgL_auxz00_3741;
BgL_nodez00_1831 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3218); 
{ 
obj_t BgL_l2674z00_1835;
BgL_l2674z00_1835 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_localsz00); 
BgL_lname2675z00_1836:
if(
PAIRP(BgL_l2674z00_1835))
{ /* Fail/walk.scm 164 */
BGl_failzd2funz12zc0zzfail_walkz00(
CAR(BgL_l2674z00_1835)); 
{ 
obj_t BgL_l2674z00_3746;
BgL_l2674z00_3746 = 
CDR(BgL_l2674z00_1835); 
BgL_l2674z00_1835 = BgL_l2674z00_3746; 
goto BgL_lname2675z00_1836;} }  else 
{ /* Fail/walk.scm 164 */((bool_t)1); } } 
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_arg3529z00_1841;
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_arg3532z00_1842;
BgL_arg3532z00_1842 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_bodyz00); 
{ /* Fail/walk.scm 165 */
BgL_nodez00_bglt BgL_res3710z00_2904;
{ /* Fail/walk.scm 165 */
obj_t BgL_method2687z00_2879;
{ /* Fail/walk.scm 165 */
long BgL_objzd2classzd2numz00_2881;
{ /* Fail/walk.scm 165 */
BgL_objectz00_bglt BgL_auxz00_3750;
BgL_auxz00_3750 = 
(BgL_objectz00_bglt)(BgL_arg3532z00_1842); 
BgL_objzd2classzd2numz00_2881 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3750); } 
{ /* Fail/walk.scm 165 */
obj_t BgL_arg1904z00_2882;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3753;
BgL_auxz00_3753 = 
(int)(((long)1)); 
BgL_arg1904z00_2882 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3753); } 
{ /* Fail/walk.scm 165 */
long BgL_offsetz00_2886;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3756;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3757;
BgL_auxz00_3757 = 
(int)(BgL_objzd2classzd2numz00_2881); 
BgL_auxz00_3756 = 
(long)(BgL_auxz00_3757); } 
BgL_offsetz00_2886 = 
(BgL_auxz00_3756-OBJECT_TYPE); } 
{ /* Fail/walk.scm 165 */
long BgL_modz00_2887;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3761;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3762;
BgL_auxz00_3762 = 
(int)(((long)8)); 
BgL_auxz00_3761 = 
(long)(BgL_auxz00_3762); } 
BgL_modz00_2887 = 
(BgL_offsetz00_2886/BgL_auxz00_3761); } 
{ /* Fail/walk.scm 165 */
long BgL_restz00_2889;
{ /* Fail/walk.scm 165 */
long BgL_auxz00_3766;
{ /* Fail/walk.scm 165 */
int BgL_auxz00_3767;
BgL_auxz00_3767 = 
(int)(((long)8)); 
BgL_auxz00_3766 = 
(long)(BgL_auxz00_3767); } 
BgL_restz00_2889 = 
(BgL_offsetz00_2886%BgL_auxz00_3766); } 
{ /* Fail/walk.scm 165 */

{ /* Fail/walk.scm 165 */
obj_t BgL_bucketz00_2891;
{ /* Fail/walk.scm 165 */
int BgL_kz00_2901;
BgL_kz00_2901 = 
(int)(BgL_modz00_2887); 
BgL_bucketz00_2891 = 
VECTOR_REF(BgL_arg1904z00_2882,BgL_kz00_2901); } 
{ /* Fail/walk.scm 165 */
int BgL_kz00_2903;
BgL_kz00_2903 = 
(int)(BgL_restz00_2889); 
BgL_method2687z00_2879 = 
VECTOR_REF(BgL_bucketz00_2891,BgL_kz00_2903); } } } } } } } } 
{ /* Fail/walk.scm 165 */
obj_t BgL_auxz00_3775;
BgL_auxz00_3775 = 
PROCEDURE_ENTRY(BgL_method2687z00_2879)(BgL_method2687z00_2879, 
(obj_t)(BgL_arg3532z00_1842), BEOA); 
BgL_res3710z00_2904 = 
(BgL_nodez00_bglt)(BgL_auxz00_3775); } } 
BgL_arg3529z00_1841 = BgL_res3710z00_2904; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1831))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3529z00_1841), BUNSPEC); } 
BgL_auxz00_3741 = BgL_nodez00_1831; 
return 
(obj_t)(BgL_auxz00_3741);} } } 
}



/* fail-node!-select2711 */
obj_t BGl_failzd2nodez12zd2select2711z12zzfail_walkz00(obj_t BgL_envz00_3219, obj_t BgL_nodez00_3220)
{ AN_OBJECT;
{ /* Fail/walk.scm 151 */
{ 
BgL_selectz00_bglt BgL_nodez00_1815;
{ /* Fail/walk.scm 152 */
BgL_selectz00_bglt BgL_auxz00_3783;
BgL_nodez00_1815 = 
(BgL_selectz00_bglt)(BgL_nodez00_3220); 
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_arg3483z00_1819;
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_arg3486z00_1820;
BgL_arg3486z00_1820 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_testz00); 
{ /* Fail/walk.scm 153 */
BgL_nodez00_bglt BgL_res3704z00_2836;
{ /* Fail/walk.scm 153 */
obj_t BgL_method2687z00_2811;
{ /* Fail/walk.scm 153 */
long BgL_objzd2classzd2numz00_2813;
{ /* Fail/walk.scm 153 */
BgL_objectz00_bglt BgL_auxz00_3785;
BgL_auxz00_3785 = 
(BgL_objectz00_bglt)(BgL_arg3486z00_1820); 
BgL_objzd2classzd2numz00_2813 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3785); } 
{ /* Fail/walk.scm 153 */
obj_t BgL_arg1904z00_2814;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3788;
BgL_auxz00_3788 = 
(int)(((long)1)); 
BgL_arg1904z00_2814 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3788); } 
{ /* Fail/walk.scm 153 */
long BgL_offsetz00_2818;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3791;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3792;
BgL_auxz00_3792 = 
(int)(BgL_objzd2classzd2numz00_2813); 
BgL_auxz00_3791 = 
(long)(BgL_auxz00_3792); } 
BgL_offsetz00_2818 = 
(BgL_auxz00_3791-OBJECT_TYPE); } 
{ /* Fail/walk.scm 153 */
long BgL_modz00_2819;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3796;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3797;
BgL_auxz00_3797 = 
(int)(((long)8)); 
BgL_auxz00_3796 = 
(long)(BgL_auxz00_3797); } 
BgL_modz00_2819 = 
(BgL_offsetz00_2818/BgL_auxz00_3796); } 
{ /* Fail/walk.scm 153 */
long BgL_restz00_2821;
{ /* Fail/walk.scm 153 */
long BgL_auxz00_3801;
{ /* Fail/walk.scm 153 */
int BgL_auxz00_3802;
BgL_auxz00_3802 = 
(int)(((long)8)); 
BgL_auxz00_3801 = 
(long)(BgL_auxz00_3802); } 
BgL_restz00_2821 = 
(BgL_offsetz00_2818%BgL_auxz00_3801); } 
{ /* Fail/walk.scm 153 */

{ /* Fail/walk.scm 153 */
obj_t BgL_bucketz00_2823;
{ /* Fail/walk.scm 153 */
int BgL_kz00_2833;
BgL_kz00_2833 = 
(int)(BgL_modz00_2819); 
BgL_bucketz00_2823 = 
VECTOR_REF(BgL_arg1904z00_2814,BgL_kz00_2833); } 
{ /* Fail/walk.scm 153 */
int BgL_kz00_2835;
BgL_kz00_2835 = 
(int)(BgL_restz00_2821); 
BgL_method2687z00_2811 = 
VECTOR_REF(BgL_bucketz00_2823,BgL_kz00_2835); } } } } } } } } 
{ /* Fail/walk.scm 153 */
obj_t BgL_auxz00_3810;
BgL_auxz00_3810 = 
PROCEDURE_ENTRY(BgL_method2687z00_2811)(BgL_method2687z00_2811, 
(obj_t)(BgL_arg3486z00_1820), BEOA); 
BgL_res3704z00_2836 = 
(BgL_nodez00_bglt)(BgL_auxz00_3810); } } 
BgL_arg3483z00_1819 = BgL_res3704z00_2836; } } 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3483z00_1819), BUNSPEC); } 
{ 
obj_t BgL_l2670z00_1821;
BgL_l2670z00_1821 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1815))->BgL_clausesz00); 
BgL_lname2671z00_1822:
if(
PAIRP(BgL_l2670z00_1821))
{ /* Fail/walk.scm 154 */
{ /* Fail/walk.scm 155 */
obj_t BgL_clausez00_1825;
BgL_clausez00_1825 = 
CAR(BgL_l2670z00_1821); 
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_arg3496z00_1826;
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_res3707z00_2869;
{ /* Fail/walk.scm 155 */
BgL_nodez00_bglt BgL_nodez00_2843;
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3819;
BgL_auxz00_3819 = 
CDR(BgL_clausez00_1825); 
BgL_nodez00_2843 = 
(BgL_nodez00_bglt)(BgL_auxz00_3819); } 
{ /* Fail/walk.scm 155 */
obj_t BgL_method2687z00_2844;
{ /* Fail/walk.scm 155 */
long BgL_objzd2classzd2numz00_2846;
{ /* Fail/walk.scm 155 */
BgL_objectz00_bglt BgL_auxz00_3822;
BgL_auxz00_3822 = 
(BgL_objectz00_bglt)(BgL_nodez00_2843); 
BgL_objzd2classzd2numz00_2846 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3822); } 
{ /* Fail/walk.scm 155 */
obj_t BgL_arg1904z00_2847;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3825;
BgL_auxz00_3825 = 
(int)(((long)1)); 
BgL_arg1904z00_2847 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3825); } 
{ /* Fail/walk.scm 155 */
long BgL_offsetz00_2851;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3828;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3829;
BgL_auxz00_3829 = 
(int)(BgL_objzd2classzd2numz00_2846); 
BgL_auxz00_3828 = 
(long)(BgL_auxz00_3829); } 
BgL_offsetz00_2851 = 
(BgL_auxz00_3828-OBJECT_TYPE); } 
{ /* Fail/walk.scm 155 */
long BgL_modz00_2852;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3833;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3834;
BgL_auxz00_3834 = 
(int)(((long)8)); 
BgL_auxz00_3833 = 
(long)(BgL_auxz00_3834); } 
BgL_modz00_2852 = 
(BgL_offsetz00_2851/BgL_auxz00_3833); } 
{ /* Fail/walk.scm 155 */
long BgL_restz00_2854;
{ /* Fail/walk.scm 155 */
long BgL_auxz00_3838;
{ /* Fail/walk.scm 155 */
int BgL_auxz00_3839;
BgL_auxz00_3839 = 
(int)(((long)8)); 
BgL_auxz00_3838 = 
(long)(BgL_auxz00_3839); } 
BgL_restz00_2854 = 
(BgL_offsetz00_2851%BgL_auxz00_3838); } 
{ /* Fail/walk.scm 155 */

{ /* Fail/walk.scm 155 */
obj_t BgL_bucketz00_2856;
{ /* Fail/walk.scm 155 */
int BgL_kz00_2866;
BgL_kz00_2866 = 
(int)(BgL_modz00_2852); 
BgL_bucketz00_2856 = 
VECTOR_REF(BgL_arg1904z00_2847,BgL_kz00_2866); } 
{ /* Fail/walk.scm 155 */
int BgL_kz00_2868;
BgL_kz00_2868 = 
(int)(BgL_restz00_2854); 
BgL_method2687z00_2844 = 
VECTOR_REF(BgL_bucketz00_2856,BgL_kz00_2868); } } } } } } } } 
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3847;
BgL_auxz00_3847 = 
PROCEDURE_ENTRY(BgL_method2687z00_2844)(BgL_method2687z00_2844, 
(obj_t)(BgL_nodez00_2843), BEOA); 
BgL_res3707z00_2869 = 
(BgL_nodez00_bglt)(BgL_auxz00_3847); } } } 
BgL_arg3496z00_1826 = BgL_res3707z00_2869; } 
{ /* Fail/walk.scm 155 */
obj_t BgL_auxz00_3852;
BgL_auxz00_3852 = 
(obj_t)(BgL_arg3496z00_1826); 
SET_CDR(BgL_clausez00_1825, BgL_auxz00_3852); } } } 
{ 
obj_t BgL_l2670z00_3855;
BgL_l2670z00_3855 = 
CDR(BgL_l2670z00_1821); 
BgL_l2670z00_1821 = BgL_l2670z00_3855; 
goto BgL_lname2671z00_1822;} }  else 
{ /* Fail/walk.scm 154 */((bool_t)1); } } 
BgL_auxz00_3783 = BgL_nodez00_1815; 
return 
(obj_t)(BgL_auxz00_3783);} } } 
}



/* fail-node!-fail2709 */
obj_t BGl_failzd2nodez12zd2fail2709z12zzfail_walkz00(obj_t BgL_envz00_3221, obj_t BgL_nodez00_3222)
{ AN_OBJECT;
{ /* Fail/walk.scm 132 */
{ 
BgL_failz00_bglt BgL_nodez00_1783;
BgL_nodez00_1783 = 
(BgL_failz00_bglt)(BgL_nodez00_3222); 
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_arg3409z00_1787;
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_arg3412z00_1788;
BgL_arg3412z00_1788 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00); 
{ /* Fail/walk.scm 134 */
BgL_nodez00_bglt BgL_res3694z00_2729;
{ /* Fail/walk.scm 134 */
obj_t BgL_method2687z00_2704;
{ /* Fail/walk.scm 134 */
long BgL_objzd2classzd2numz00_2706;
{ /* Fail/walk.scm 134 */
BgL_objectz00_bglt BgL_auxz00_3861;
BgL_auxz00_3861 = 
(BgL_objectz00_bglt)(BgL_arg3412z00_1788); 
BgL_objzd2classzd2numz00_2706 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3861); } 
{ /* Fail/walk.scm 134 */
obj_t BgL_arg1904z00_2707;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3864;
BgL_auxz00_3864 = 
(int)(((long)1)); 
BgL_arg1904z00_2707 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3864); } 
{ /* Fail/walk.scm 134 */
long BgL_offsetz00_2711;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3867;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3868;
BgL_auxz00_3868 = 
(int)(BgL_objzd2classzd2numz00_2706); 
BgL_auxz00_3867 = 
(long)(BgL_auxz00_3868); } 
BgL_offsetz00_2711 = 
(BgL_auxz00_3867-OBJECT_TYPE); } 
{ /* Fail/walk.scm 134 */
long BgL_modz00_2712;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3872;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3873;
BgL_auxz00_3873 = 
(int)(((long)8)); 
BgL_auxz00_3872 = 
(long)(BgL_auxz00_3873); } 
BgL_modz00_2712 = 
(BgL_offsetz00_2711/BgL_auxz00_3872); } 
{ /* Fail/walk.scm 134 */
long BgL_restz00_2714;
{ /* Fail/walk.scm 134 */
long BgL_auxz00_3877;
{ /* Fail/walk.scm 134 */
int BgL_auxz00_3878;
BgL_auxz00_3878 = 
(int)(((long)8)); 
BgL_auxz00_3877 = 
(long)(BgL_auxz00_3878); } 
BgL_restz00_2714 = 
(BgL_offsetz00_2711%BgL_auxz00_3877); } 
{ /* Fail/walk.scm 134 */

{ /* Fail/walk.scm 134 */
obj_t BgL_bucketz00_2716;
{ /* Fail/walk.scm 134 */
int BgL_kz00_2726;
BgL_kz00_2726 = 
(int)(BgL_modz00_2712); 
BgL_bucketz00_2716 = 
VECTOR_REF(BgL_arg1904z00_2707,BgL_kz00_2726); } 
{ /* Fail/walk.scm 134 */
int BgL_kz00_2728;
BgL_kz00_2728 = 
(int)(BgL_restz00_2714); 
BgL_method2687z00_2704 = 
VECTOR_REF(BgL_bucketz00_2716,BgL_kz00_2728); } } } } } } } } 
{ /* Fail/walk.scm 134 */
obj_t BgL_auxz00_3886;
BgL_auxz00_3886 = 
PROCEDURE_ENTRY(BgL_method2687z00_2704)(BgL_method2687z00_2704, 
(obj_t)(BgL_arg3412z00_1788), BEOA); 
BgL_res3694z00_2729 = 
(BgL_nodez00_bglt)(BgL_auxz00_3886); } } 
BgL_arg3409z00_1787 = BgL_res3694z00_2729; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg3409z00_1787), BUNSPEC); } 
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_arg3416z00_1789;
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_arg3419z00_1790;
BgL_arg3419z00_1790 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00); 
{ /* Fail/walk.scm 135 */
BgL_nodez00_bglt BgL_res3697z00_2759;
{ /* Fail/walk.scm 135 */
obj_t BgL_method2687z00_2734;
{ /* Fail/walk.scm 135 */
long BgL_objzd2classzd2numz00_2736;
{ /* Fail/walk.scm 135 */
BgL_objectz00_bglt BgL_auxz00_3893;
BgL_auxz00_3893 = 
(BgL_objectz00_bglt)(BgL_arg3419z00_1790); 
BgL_objzd2classzd2numz00_2736 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3893); } 
{ /* Fail/walk.scm 135 */
obj_t BgL_arg1904z00_2737;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3896;
BgL_auxz00_3896 = 
(int)(((long)1)); 
BgL_arg1904z00_2737 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3896); } 
{ /* Fail/walk.scm 135 */
long BgL_offsetz00_2741;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3899;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3900;
BgL_auxz00_3900 = 
(int)(BgL_objzd2classzd2numz00_2736); 
BgL_auxz00_3899 = 
(long)(BgL_auxz00_3900); } 
BgL_offsetz00_2741 = 
(BgL_auxz00_3899-OBJECT_TYPE); } 
{ /* Fail/walk.scm 135 */
long BgL_modz00_2742;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3904;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3905;
BgL_auxz00_3905 = 
(int)(((long)8)); 
BgL_auxz00_3904 = 
(long)(BgL_auxz00_3905); } 
BgL_modz00_2742 = 
(BgL_offsetz00_2741/BgL_auxz00_3904); } 
{ /* Fail/walk.scm 135 */
long BgL_restz00_2744;
{ /* Fail/walk.scm 135 */
long BgL_auxz00_3909;
{ /* Fail/walk.scm 135 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(((long)8)); 
BgL_auxz00_3909 = 
(long)(BgL_auxz00_3910); } 
BgL_restz00_2744 = 
(BgL_offsetz00_2741%BgL_auxz00_3909); } 
{ /* Fail/walk.scm 135 */

{ /* Fail/walk.scm 135 */
obj_t BgL_bucketz00_2746;
{ /* Fail/walk.scm 135 */
int BgL_kz00_2756;
BgL_kz00_2756 = 
(int)(BgL_modz00_2742); 
BgL_bucketz00_2746 = 
VECTOR_REF(BgL_arg1904z00_2737,BgL_kz00_2756); } 
{ /* Fail/walk.scm 135 */
int BgL_kz00_2758;
BgL_kz00_2758 = 
(int)(BgL_restz00_2744); 
BgL_method2687z00_2734 = 
VECTOR_REF(BgL_bucketz00_2746,BgL_kz00_2758); } } } } } } } } 
{ /* Fail/walk.scm 135 */
obj_t BgL_auxz00_3918;
BgL_auxz00_3918 = 
PROCEDURE_ENTRY(BgL_method2687z00_2734)(BgL_method2687z00_2734, 
(obj_t)(BgL_arg3419z00_1790), BEOA); 
BgL_res3697z00_2759 = 
(BgL_nodez00_bglt)(BgL_auxz00_3918); } } 
BgL_arg3416z00_1789 = BgL_res3697z00_2759; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg3416z00_1789), BUNSPEC); } 
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_arg3423z00_1791;
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_arg3426z00_1792;
BgL_arg3426z00_1792 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00); 
{ /* Fail/walk.scm 136 */
BgL_nodez00_bglt BgL_res3700z00_2789;
{ /* Fail/walk.scm 136 */
obj_t BgL_method2687z00_2764;
{ /* Fail/walk.scm 136 */
long BgL_objzd2classzd2numz00_2766;
{ /* Fail/walk.scm 136 */
BgL_objectz00_bglt BgL_auxz00_3925;
BgL_auxz00_3925 = 
(BgL_objectz00_bglt)(BgL_arg3426z00_1792); 
BgL_objzd2classzd2numz00_2766 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3925); } 
{ /* Fail/walk.scm 136 */
obj_t BgL_arg1904z00_2767;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3928;
BgL_auxz00_3928 = 
(int)(((long)1)); 
BgL_arg1904z00_2767 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_3928); } 
{ /* Fail/walk.scm 136 */
long BgL_offsetz00_2771;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3931;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3932;
BgL_auxz00_3932 = 
(int)(BgL_objzd2classzd2numz00_2766); 
BgL_auxz00_3931 = 
(long)(BgL_auxz00_3932); } 
BgL_offsetz00_2771 = 
(BgL_auxz00_3931-OBJECT_TYPE); } 
{ /* Fail/walk.scm 136 */
long BgL_modz00_2772;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3936;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3937;
BgL_auxz00_3937 = 
(int)(((long)8)); 
BgL_auxz00_3936 = 
(long)(BgL_auxz00_3937); } 
BgL_modz00_2772 = 
(BgL_offsetz00_2771/BgL_auxz00_3936); } 
{ /* Fail/walk.scm 136 */
long BgL_restz00_2774;
{ /* Fail/walk.scm 136 */
long BgL_auxz00_3941;
{ /* Fail/walk.scm 136 */
int BgL_auxz00_3942;
BgL_auxz00_3942 = 
(int)(((long)8)); 
BgL_auxz00_3941 = 
(long)(BgL_auxz00_3942); } 
BgL_restz00_2774 = 
(BgL_offsetz00_2771%BgL_auxz00_3941); } 
{ /* Fail/walk.scm 136 */

{ /* Fail/walk.scm 136 */
obj_t BgL_bucketz00_2776;
{ /* Fail/walk.scm 136 */
int BgL_kz00_2786;
BgL_kz00_2786 = 
(int)(BgL_modz00_2772); 
BgL_bucketz00_2776 = 
VECTOR_REF(BgL_arg1904z00_2767,BgL_kz00_2786); } 
{ /* Fail/walk.scm 136 */
int BgL_kz00_2788;
BgL_kz00_2788 = 
(int)(BgL_restz00_2774); 
BgL_method2687z00_2764 = 
VECTOR_REF(BgL_bucketz00_2776,BgL_kz00_2788); } } } } } } } } 
{ /* Fail/walk.scm 136 */
obj_t BgL_auxz00_3950;
BgL_auxz00_3950 = 
PROCEDURE_ENTRY(BgL_method2687z00_2764)(BgL_method2687z00_2764, 
(obj_t)(BgL_arg3426z00_1792), BEOA); 
BgL_res3700z00_2789 = 
(BgL_nodez00_bglt)(BgL_auxz00_3950); } } 
BgL_arg3423z00_1791 = BgL_res3700z00_2789; } } 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg3423z00_1791), BUNSPEC); } 
{ /* Fail/walk.scm 137 */
bool_t BgL_testz00_3956;
{ /* Fail/walk.scm 137 */
obj_t BgL_arg3473z00_1812;
BgL_arg3473z00_1812 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
if(
STRUCTP(BgL_arg3473z00_1812))
{ /* Fail/walk.scm 137 */
obj_t BgL_auxz00_3962;obj_t BgL_auxz00_3960;
BgL_auxz00_3962 = 
CNST_TABLE_REF(((long)2)); 
BgL_auxz00_3960 = 
STRUCT_KEY(BgL_arg3473z00_1812); 
BgL_testz00_3956 = 
(BgL_auxz00_3960==BgL_auxz00_3962); }  else 
{ /* Fail/walk.scm 137 */
BgL_testz00_3956 = ((bool_t)0)
; } } 
if(BgL_testz00_3956)
{ /* Fail/walk.scm 138 */
obj_t BgL_arg3431z00_1794;obj_t BgL_arg3433z00_1796;obj_t BgL_arg3434z00_1797;
{ /* Fail/walk.scm 138 */
obj_t BgL_arg3437z00_1798;obj_t BgL_arg3438z00_1799;
BgL_arg3437z00_1798 = 
CNST_TABLE_REF(((long)3)); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg3441z00_1800;obj_t BgL_arg3442z00_1801;
BgL_arg3441z00_1800 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_procz00); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg3446z00_1802;obj_t BgL_arg3447z00_1803;
BgL_arg3446z00_1802 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_msgz00); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_arg3451z00_1804;obj_t BgL_arg3452z00_1805;
BgL_arg3451z00_1804 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_objz00); 
{ /* Fail/walk.scm 141 */
obj_t BgL_arg3456z00_1806;obj_t BgL_arg3457z00_1807;
BgL_arg3456z00_1806 = 
BGl_locationzd2fullzd2fnamez00zztools_locationz00(
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00)); 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3971;
{ /* Fail/walk.scm 142 */
int BgL_auxz00_3974;obj_t BgL_auxz00_3972;
BgL_auxz00_3974 = 
(int)(((long)1)); 
BgL_auxz00_3972 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
BgL_auxz00_3971 = 
STRUCT_REF(BgL_auxz00_3972, BgL_auxz00_3974); } 
BgL_arg3457z00_1807 = 
MAKE_PAIR(BgL_auxz00_3971, BNIL); } 
BgL_arg3452z00_1805 = 
MAKE_PAIR(BgL_arg3456z00_1806, BgL_arg3457z00_1807); } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3979;
BgL_auxz00_3979 = 
(obj_t)(BgL_arg3451z00_1804); 
BgL_arg3447z00_1803 = 
MAKE_PAIR(BgL_auxz00_3979, BgL_arg3452z00_1805); } } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3982;
BgL_auxz00_3982 = 
(obj_t)(BgL_arg3446z00_1802); 
BgL_arg3442z00_1801 = 
MAKE_PAIR(BgL_auxz00_3982, BgL_arg3447z00_1803); } } 
{ /* Fail/walk.scm 138 */
obj_t BgL_auxz00_3985;
BgL_auxz00_3985 = 
(obj_t)(BgL_arg3441z00_1800); 
BgL_arg3438z00_1799 = 
MAKE_PAIR(BgL_auxz00_3985, BgL_arg3442z00_1801); } } 
BgL_arg3431z00_1794 = 
MAKE_PAIR(BgL_arg3437z00_1798, BgL_arg3438z00_1799); } 
BgL_arg3433z00_1796 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1783))->BgL_locz00); 
BgL_arg3434z00_1797 = 
CNST_TABLE_REF(((long)4)); 
{ /* Fail/walk.scm 138 */
BgL_nodez00_bglt BgL_auxz00_3991;
BgL_auxz00_3991 = 
BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg3431z00_1794, BNIL, BgL_arg3433z00_1796, BgL_arg3434z00_1797); 
return 
(obj_t)(BgL_auxz00_3991);} }  else 
{ /* Fail/walk.scm 137 */
return 
(obj_t)(BgL_nodez00_1783);} } } } 
}



/* fail-node!-conditional2707 */
obj_t BGl_failzd2nodez12zd2conditional2707z12zzfail_walkz00(obj_t BgL_envz00_3223, obj_t BgL_nodez00_3224)
{ AN_OBJECT;
{ /* Fail/walk.scm 122 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1771;
{ /* Fail/walk.scm 123 */
BgL_conditionalz00_bglt BgL_auxz00_3996;
BgL_nodez00_1771 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3224); 
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_arg3382z00_1775;
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_arg3385z00_1776;
BgL_arg3385z00_1776 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_testz00); 
{ /* Fail/walk.scm 124 */
BgL_nodez00_bglt BgL_res3685z00_2639;
{ /* Fail/walk.scm 124 */
obj_t BgL_method2687z00_2614;
{ /* Fail/walk.scm 124 */
long BgL_objzd2classzd2numz00_2616;
{ /* Fail/walk.scm 124 */
BgL_objectz00_bglt BgL_auxz00_3998;
BgL_auxz00_3998 = 
(BgL_objectz00_bglt)(BgL_arg3385z00_1776); 
BgL_objzd2classzd2numz00_2616 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3998); } 
{ /* Fail/walk.scm 124 */
obj_t BgL_arg1904z00_2617;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4001;
BgL_auxz00_4001 = 
(int)(((long)1)); 
BgL_arg1904z00_2617 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4001); } 
{ /* Fail/walk.scm 124 */
long BgL_offsetz00_2621;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4004;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4005;
BgL_auxz00_4005 = 
(int)(BgL_objzd2classzd2numz00_2616); 
BgL_auxz00_4004 = 
(long)(BgL_auxz00_4005); } 
BgL_offsetz00_2621 = 
(BgL_auxz00_4004-OBJECT_TYPE); } 
{ /* Fail/walk.scm 124 */
long BgL_modz00_2622;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4009;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4010;
BgL_auxz00_4010 = 
(int)(((long)8)); 
BgL_auxz00_4009 = 
(long)(BgL_auxz00_4010); } 
BgL_modz00_2622 = 
(BgL_offsetz00_2621/BgL_auxz00_4009); } 
{ /* Fail/walk.scm 124 */
long BgL_restz00_2624;
{ /* Fail/walk.scm 124 */
long BgL_auxz00_4014;
{ /* Fail/walk.scm 124 */
int BgL_auxz00_4015;
BgL_auxz00_4015 = 
(int)(((long)8)); 
BgL_auxz00_4014 = 
(long)(BgL_auxz00_4015); } 
BgL_restz00_2624 = 
(BgL_offsetz00_2621%BgL_auxz00_4014); } 
{ /* Fail/walk.scm 124 */

{ /* Fail/walk.scm 124 */
obj_t BgL_bucketz00_2626;
{ /* Fail/walk.scm 124 */
int BgL_kz00_2636;
BgL_kz00_2636 = 
(int)(BgL_modz00_2622); 
BgL_bucketz00_2626 = 
VECTOR_REF(BgL_arg1904z00_2617,BgL_kz00_2636); } 
{ /* Fail/walk.scm 124 */
int BgL_kz00_2638;
BgL_kz00_2638 = 
(int)(BgL_restz00_2624); 
BgL_method2687z00_2614 = 
VECTOR_REF(BgL_bucketz00_2626,BgL_kz00_2638); } } } } } } } } 
{ /* Fail/walk.scm 124 */
obj_t BgL_auxz00_4023;
BgL_auxz00_4023 = 
PROCEDURE_ENTRY(BgL_method2687z00_2614)(BgL_method2687z00_2614, 
(obj_t)(BgL_arg3385z00_1776), BEOA); 
BgL_res3685z00_2639 = 
(BgL_nodez00_bglt)(BgL_auxz00_4023); } } 
BgL_arg3382z00_1775 = BgL_res3685z00_2639; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg3382z00_1775), BUNSPEC); } 
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_arg3389z00_1777;
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_arg3392z00_1778;
BgL_arg3392z00_1778 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_truez00); 
{ /* Fail/walk.scm 125 */
BgL_nodez00_bglt BgL_res3688z00_2669;
{ /* Fail/walk.scm 125 */
obj_t BgL_method2687z00_2644;
{ /* Fail/walk.scm 125 */
long BgL_objzd2classzd2numz00_2646;
{ /* Fail/walk.scm 125 */
BgL_objectz00_bglt BgL_auxz00_4030;
BgL_auxz00_4030 = 
(BgL_objectz00_bglt)(BgL_arg3392z00_1778); 
BgL_objzd2classzd2numz00_2646 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4030); } 
{ /* Fail/walk.scm 125 */
obj_t BgL_arg1904z00_2647;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(((long)1)); 
BgL_arg1904z00_2647 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4033); } 
{ /* Fail/walk.scm 125 */
long BgL_offsetz00_2651;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4036;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4037;
BgL_auxz00_4037 = 
(int)(BgL_objzd2classzd2numz00_2646); 
BgL_auxz00_4036 = 
(long)(BgL_auxz00_4037); } 
BgL_offsetz00_2651 = 
(BgL_auxz00_4036-OBJECT_TYPE); } 
{ /* Fail/walk.scm 125 */
long BgL_modz00_2652;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4041;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4042;
BgL_auxz00_4042 = 
(int)(((long)8)); 
BgL_auxz00_4041 = 
(long)(BgL_auxz00_4042); } 
BgL_modz00_2652 = 
(BgL_offsetz00_2651/BgL_auxz00_4041); } 
{ /* Fail/walk.scm 125 */
long BgL_restz00_2654;
{ /* Fail/walk.scm 125 */
long BgL_auxz00_4046;
{ /* Fail/walk.scm 125 */
int BgL_auxz00_4047;
BgL_auxz00_4047 = 
(int)(((long)8)); 
BgL_auxz00_4046 = 
(long)(BgL_auxz00_4047); } 
BgL_restz00_2654 = 
(BgL_offsetz00_2651%BgL_auxz00_4046); } 
{ /* Fail/walk.scm 125 */

{ /* Fail/walk.scm 125 */
obj_t BgL_bucketz00_2656;
{ /* Fail/walk.scm 125 */
int BgL_kz00_2666;
BgL_kz00_2666 = 
(int)(BgL_modz00_2652); 
BgL_bucketz00_2656 = 
VECTOR_REF(BgL_arg1904z00_2647,BgL_kz00_2666); } 
{ /* Fail/walk.scm 125 */
int BgL_kz00_2668;
BgL_kz00_2668 = 
(int)(BgL_restz00_2654); 
BgL_method2687z00_2644 = 
VECTOR_REF(BgL_bucketz00_2656,BgL_kz00_2668); } } } } } } } } 
{ /* Fail/walk.scm 125 */
obj_t BgL_auxz00_4055;
BgL_auxz00_4055 = 
PROCEDURE_ENTRY(BgL_method2687z00_2644)(BgL_method2687z00_2644, 
(obj_t)(BgL_arg3392z00_1778), BEOA); 
BgL_res3688z00_2669 = 
(BgL_nodez00_bglt)(BgL_auxz00_4055); } } 
BgL_arg3389z00_1777 = BgL_res3688z00_2669; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg3389z00_1777), BUNSPEC); } 
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_arg3396z00_1779;
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_arg3399z00_1780;
BgL_arg3399z00_1780 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_falsez00); 
{ /* Fail/walk.scm 126 */
BgL_nodez00_bglt BgL_res3691z00_2699;
{ /* Fail/walk.scm 126 */
obj_t BgL_method2687z00_2674;
{ /* Fail/walk.scm 126 */
long BgL_objzd2classzd2numz00_2676;
{ /* Fail/walk.scm 126 */
BgL_objectz00_bglt BgL_auxz00_4062;
BgL_auxz00_4062 = 
(BgL_objectz00_bglt)(BgL_arg3399z00_1780); 
BgL_objzd2classzd2numz00_2676 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4062); } 
{ /* Fail/walk.scm 126 */
obj_t BgL_arg1904z00_2677;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4065;
BgL_auxz00_4065 = 
(int)(((long)1)); 
BgL_arg1904z00_2677 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4065); } 
{ /* Fail/walk.scm 126 */
long BgL_offsetz00_2681;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4068;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4069;
BgL_auxz00_4069 = 
(int)(BgL_objzd2classzd2numz00_2676); 
BgL_auxz00_4068 = 
(long)(BgL_auxz00_4069); } 
BgL_offsetz00_2681 = 
(BgL_auxz00_4068-OBJECT_TYPE); } 
{ /* Fail/walk.scm 126 */
long BgL_modz00_2682;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4073;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4074;
BgL_auxz00_4074 = 
(int)(((long)8)); 
BgL_auxz00_4073 = 
(long)(BgL_auxz00_4074); } 
BgL_modz00_2682 = 
(BgL_offsetz00_2681/BgL_auxz00_4073); } 
{ /* Fail/walk.scm 126 */
long BgL_restz00_2684;
{ /* Fail/walk.scm 126 */
long BgL_auxz00_4078;
{ /* Fail/walk.scm 126 */
int BgL_auxz00_4079;
BgL_auxz00_4079 = 
(int)(((long)8)); 
BgL_auxz00_4078 = 
(long)(BgL_auxz00_4079); } 
BgL_restz00_2684 = 
(BgL_offsetz00_2681%BgL_auxz00_4078); } 
{ /* Fail/walk.scm 126 */

{ /* Fail/walk.scm 126 */
obj_t BgL_bucketz00_2686;
{ /* Fail/walk.scm 126 */
int BgL_kz00_2696;
BgL_kz00_2696 = 
(int)(BgL_modz00_2682); 
BgL_bucketz00_2686 = 
VECTOR_REF(BgL_arg1904z00_2677,BgL_kz00_2696); } 
{ /* Fail/walk.scm 126 */
int BgL_kz00_2698;
BgL_kz00_2698 = 
(int)(BgL_restz00_2684); 
BgL_method2687z00_2674 = 
VECTOR_REF(BgL_bucketz00_2686,BgL_kz00_2698); } } } } } } } } 
{ /* Fail/walk.scm 126 */
obj_t BgL_auxz00_4087;
BgL_auxz00_4087 = 
PROCEDURE_ENTRY(BgL_method2687z00_2674)(BgL_method2687z00_2674, 
(obj_t)(BgL_arg3399z00_1780), BEOA); 
BgL_res3691z00_2699 = 
(BgL_nodez00_bglt)(BgL_auxz00_4087); } } 
BgL_arg3396z00_1779 = BgL_res3691z00_2699; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1771))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg3396z00_1779), BUNSPEC); } 
BgL_auxz00_3996 = BgL_nodez00_1771; 
return 
(obj_t)(BgL_auxz00_3996);} } } 
}



/* fail-node!-setq2705 */
obj_t BGl_failzd2nodez12zd2setq2705z12zzfail_walkz00(obj_t BgL_envz00_3225, obj_t BgL_nodez00_3226)
{ AN_OBJECT;
{ /* Fail/walk.scm 115 */
{ 
BgL_setqz00_bglt BgL_nodez00_1764;
{ /* Fail/walk.scm 116 */
BgL_setqz00_bglt BgL_auxz00_4095;
BgL_nodez00_1764 = 
(BgL_setqz00_bglt)(BgL_nodez00_3226); 
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_arg3369z00_1767;
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_arg3372z00_1768;
BgL_arg3372z00_1768 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1764))->BgL_valuez00); 
{ /* Fail/walk.scm 116 */
BgL_nodez00_bglt BgL_res3682z00_2609;
{ /* Fail/walk.scm 116 */
obj_t BgL_method2687z00_2584;
{ /* Fail/walk.scm 116 */
long BgL_objzd2classzd2numz00_2586;
{ /* Fail/walk.scm 116 */
BgL_objectz00_bglt BgL_auxz00_4097;
BgL_auxz00_4097 = 
(BgL_objectz00_bglt)(BgL_arg3372z00_1768); 
BgL_objzd2classzd2numz00_2586 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4097); } 
{ /* Fail/walk.scm 116 */
obj_t BgL_arg1904z00_2587;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4100;
BgL_auxz00_4100 = 
(int)(((long)1)); 
BgL_arg1904z00_2587 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4100); } 
{ /* Fail/walk.scm 116 */
long BgL_offsetz00_2591;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4103;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4104;
BgL_auxz00_4104 = 
(int)(BgL_objzd2classzd2numz00_2586); 
BgL_auxz00_4103 = 
(long)(BgL_auxz00_4104); } 
BgL_offsetz00_2591 = 
(BgL_auxz00_4103-OBJECT_TYPE); } 
{ /* Fail/walk.scm 116 */
long BgL_modz00_2592;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4108;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4109;
BgL_auxz00_4109 = 
(int)(((long)8)); 
BgL_auxz00_4108 = 
(long)(BgL_auxz00_4109); } 
BgL_modz00_2592 = 
(BgL_offsetz00_2591/BgL_auxz00_4108); } 
{ /* Fail/walk.scm 116 */
long BgL_restz00_2594;
{ /* Fail/walk.scm 116 */
long BgL_auxz00_4113;
{ /* Fail/walk.scm 116 */
int BgL_auxz00_4114;
BgL_auxz00_4114 = 
(int)(((long)8)); 
BgL_auxz00_4113 = 
(long)(BgL_auxz00_4114); } 
BgL_restz00_2594 = 
(BgL_offsetz00_2591%BgL_auxz00_4113); } 
{ /* Fail/walk.scm 116 */

{ /* Fail/walk.scm 116 */
obj_t BgL_bucketz00_2596;
{ /* Fail/walk.scm 116 */
int BgL_kz00_2606;
BgL_kz00_2606 = 
(int)(BgL_modz00_2592); 
BgL_bucketz00_2596 = 
VECTOR_REF(BgL_arg1904z00_2587,BgL_kz00_2606); } 
{ /* Fail/walk.scm 116 */
int BgL_kz00_2608;
BgL_kz00_2608 = 
(int)(BgL_restz00_2594); 
BgL_method2687z00_2584 = 
VECTOR_REF(BgL_bucketz00_2596,BgL_kz00_2608); } } } } } } } } 
{ /* Fail/walk.scm 116 */
obj_t BgL_auxz00_4122;
BgL_auxz00_4122 = 
PROCEDURE_ENTRY(BgL_method2687z00_2584)(BgL_method2687z00_2584, 
(obj_t)(BgL_arg3372z00_1768), BEOA); 
BgL_res3682z00_2609 = 
(BgL_nodez00_bglt)(BgL_auxz00_4122); } } 
BgL_arg3369z00_1767 = BgL_res3682z00_2609; } } 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1764))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg3369z00_1767), BUNSPEC); } 
BgL_auxz00_4095 = BgL_nodez00_1764; 
return 
(obj_t)(BgL_auxz00_4095);} } } 
}



/* fail-node!-extern2703 */
obj_t BGl_failzd2nodez12zd2extern2703z12zzfail_walkz00(obj_t BgL_envz00_3227, obj_t BgL_nodez00_3228)
{ AN_OBJECT;
{ /* Fail/walk.scm 108 */
{ 
BgL_externz00_bglt BgL_nodez00_1758;
{ /* Fail/walk.scm 109 */
BgL_externz00_bglt BgL_auxz00_4130;
BgL_nodez00_1758 = 
(BgL_externz00_bglt)(BgL_nodez00_3228); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_externz00_bglt)CREF(BgL_nodez00_1758))->BgL_exprza2za2)); 
BgL_auxz00_4130 = BgL_nodez00_1758; 
return 
(obj_t)(BgL_auxz00_4130);} } } 
}



/* fail-node!-funcall2701 */
obj_t BGl_failzd2nodez12zd2funcall2701z12zzfail_walkz00(obj_t BgL_envz00_3229, obj_t BgL_nodez00_3230)
{ AN_OBJECT;
{ /* Fail/walk.scm 99 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1749;
{ /* Fail/walk.scm 100 */
BgL_funcallz00_bglt BgL_auxz00_4135;
BgL_nodez00_1749 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3230); 
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_arg3342z00_1753;
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_arg3345z00_1754;
BgL_arg3345z00_1754 = 
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_funz00); 
{ /* Fail/walk.scm 101 */
BgL_nodez00_bglt BgL_res3679z00_2576;
{ /* Fail/walk.scm 101 */
obj_t BgL_method2687z00_2551;
{ /* Fail/walk.scm 101 */
long BgL_objzd2classzd2numz00_2553;
{ /* Fail/walk.scm 101 */
BgL_objectz00_bglt BgL_auxz00_4137;
BgL_auxz00_4137 = 
(BgL_objectz00_bglt)(BgL_arg3345z00_1754); 
BgL_objzd2classzd2numz00_2553 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4137); } 
{ /* Fail/walk.scm 101 */
obj_t BgL_arg1904z00_2554;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4140;
BgL_auxz00_4140 = 
(int)(((long)1)); 
BgL_arg1904z00_2554 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4140); } 
{ /* Fail/walk.scm 101 */
long BgL_offsetz00_2558;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4143;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4144;
BgL_auxz00_4144 = 
(int)(BgL_objzd2classzd2numz00_2553); 
BgL_auxz00_4143 = 
(long)(BgL_auxz00_4144); } 
BgL_offsetz00_2558 = 
(BgL_auxz00_4143-OBJECT_TYPE); } 
{ /* Fail/walk.scm 101 */
long BgL_modz00_2559;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4148;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4149;
BgL_auxz00_4149 = 
(int)(((long)8)); 
BgL_auxz00_4148 = 
(long)(BgL_auxz00_4149); } 
BgL_modz00_2559 = 
(BgL_offsetz00_2558/BgL_auxz00_4148); } 
{ /* Fail/walk.scm 101 */
long BgL_restz00_2561;
{ /* Fail/walk.scm 101 */
long BgL_auxz00_4153;
{ /* Fail/walk.scm 101 */
int BgL_auxz00_4154;
BgL_auxz00_4154 = 
(int)(((long)8)); 
BgL_auxz00_4153 = 
(long)(BgL_auxz00_4154); } 
BgL_restz00_2561 = 
(BgL_offsetz00_2558%BgL_auxz00_4153); } 
{ /* Fail/walk.scm 101 */

{ /* Fail/walk.scm 101 */
obj_t BgL_bucketz00_2563;
{ /* Fail/walk.scm 101 */
int BgL_kz00_2573;
BgL_kz00_2573 = 
(int)(BgL_modz00_2559); 
BgL_bucketz00_2563 = 
VECTOR_REF(BgL_arg1904z00_2554,BgL_kz00_2573); } 
{ /* Fail/walk.scm 101 */
int BgL_kz00_2575;
BgL_kz00_2575 = 
(int)(BgL_restz00_2561); 
BgL_method2687z00_2551 = 
VECTOR_REF(BgL_bucketz00_2563,BgL_kz00_2575); } } } } } } } } 
{ /* Fail/walk.scm 101 */
obj_t BgL_auxz00_4162;
BgL_auxz00_4162 = 
PROCEDURE_ENTRY(BgL_method2687z00_2551)(BgL_method2687z00_2551, 
(obj_t)(BgL_arg3345z00_1754), BEOA); 
BgL_res3679z00_2576 = 
(BgL_nodez00_bglt)(BgL_auxz00_4162); } } 
BgL_arg3342z00_1753 = BgL_res3679z00_2576; } } 
((((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3342z00_1753), BUNSPEC); } 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1749))->BgL_argsz00)); 
BgL_auxz00_4135 = BgL_nodez00_1749; 
return 
(obj_t)(BgL_auxz00_4135);} } } 
}



/* fail-node!-app-ly2699 */
obj_t BGl_failzd2nodez12zd2appzd2ly2699zc0zzfail_walkz00(obj_t BgL_envz00_3231, obj_t BgL_nodez00_3232)
{ AN_OBJECT;
{ /* Fail/walk.scm 90 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1739;
{ /* Fail/walk.scm 91 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4172;
BgL_nodez00_1739 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3232); 
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_arg3322z00_1743;
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_arg3325z00_1744;
BgL_arg3325z00_1744 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_funz00); 
{ /* Fail/walk.scm 92 */
BgL_nodez00_bglt BgL_res3673z00_2516;
{ /* Fail/walk.scm 92 */
obj_t BgL_method2687z00_2491;
{ /* Fail/walk.scm 92 */
long BgL_objzd2classzd2numz00_2493;
{ /* Fail/walk.scm 92 */
BgL_objectz00_bglt BgL_auxz00_4174;
BgL_auxz00_4174 = 
(BgL_objectz00_bglt)(BgL_arg3325z00_1744); 
BgL_objzd2classzd2numz00_2493 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4174); } 
{ /* Fail/walk.scm 92 */
obj_t BgL_arg1904z00_2494;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4177;
BgL_auxz00_4177 = 
(int)(((long)1)); 
BgL_arg1904z00_2494 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4177); } 
{ /* Fail/walk.scm 92 */
long BgL_offsetz00_2498;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4180;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4181;
BgL_auxz00_4181 = 
(int)(BgL_objzd2classzd2numz00_2493); 
BgL_auxz00_4180 = 
(long)(BgL_auxz00_4181); } 
BgL_offsetz00_2498 = 
(BgL_auxz00_4180-OBJECT_TYPE); } 
{ /* Fail/walk.scm 92 */
long BgL_modz00_2499;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4185;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4186;
BgL_auxz00_4186 = 
(int)(((long)8)); 
BgL_auxz00_4185 = 
(long)(BgL_auxz00_4186); } 
BgL_modz00_2499 = 
(BgL_offsetz00_2498/BgL_auxz00_4185); } 
{ /* Fail/walk.scm 92 */
long BgL_restz00_2501;
{ /* Fail/walk.scm 92 */
long BgL_auxz00_4190;
{ /* Fail/walk.scm 92 */
int BgL_auxz00_4191;
BgL_auxz00_4191 = 
(int)(((long)8)); 
BgL_auxz00_4190 = 
(long)(BgL_auxz00_4191); } 
BgL_restz00_2501 = 
(BgL_offsetz00_2498%BgL_auxz00_4190); } 
{ /* Fail/walk.scm 92 */

{ /* Fail/walk.scm 92 */
obj_t BgL_bucketz00_2503;
{ /* Fail/walk.scm 92 */
int BgL_kz00_2513;
BgL_kz00_2513 = 
(int)(BgL_modz00_2499); 
BgL_bucketz00_2503 = 
VECTOR_REF(BgL_arg1904z00_2494,BgL_kz00_2513); } 
{ /* Fail/walk.scm 92 */
int BgL_kz00_2515;
BgL_kz00_2515 = 
(int)(BgL_restz00_2501); 
BgL_method2687z00_2491 = 
VECTOR_REF(BgL_bucketz00_2503,BgL_kz00_2515); } } } } } } } } 
{ /* Fail/walk.scm 92 */
obj_t BgL_auxz00_4199;
BgL_auxz00_4199 = 
PROCEDURE_ENTRY(BgL_method2687z00_2491)(BgL_method2687z00_2491, 
(obj_t)(BgL_arg3325z00_1744), BEOA); 
BgL_res3673z00_2516 = 
(BgL_nodez00_bglt)(BgL_auxz00_4199); } } 
BgL_arg3322z00_1743 = BgL_res3673z00_2516; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg3322z00_1743), BUNSPEC); } 
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_arg3329z00_1745;
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_arg3332z00_1746;
BgL_arg3332z00_1746 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_argz00); 
{ /* Fail/walk.scm 93 */
BgL_nodez00_bglt BgL_res3676z00_2546;
{ /* Fail/walk.scm 93 */
obj_t BgL_method2687z00_2521;
{ /* Fail/walk.scm 93 */
long BgL_objzd2classzd2numz00_2523;
{ /* Fail/walk.scm 93 */
BgL_objectz00_bglt BgL_auxz00_4206;
BgL_auxz00_4206 = 
(BgL_objectz00_bglt)(BgL_arg3332z00_1746); 
BgL_objzd2classzd2numz00_2523 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4206); } 
{ /* Fail/walk.scm 93 */
obj_t BgL_arg1904z00_2524;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4209;
BgL_auxz00_4209 = 
(int)(((long)1)); 
BgL_arg1904z00_2524 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4209); } 
{ /* Fail/walk.scm 93 */
long BgL_offsetz00_2528;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4212;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4213;
BgL_auxz00_4213 = 
(int)(BgL_objzd2classzd2numz00_2523); 
BgL_auxz00_4212 = 
(long)(BgL_auxz00_4213); } 
BgL_offsetz00_2528 = 
(BgL_auxz00_4212-OBJECT_TYPE); } 
{ /* Fail/walk.scm 93 */
long BgL_modz00_2529;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4217;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4218;
BgL_auxz00_4218 = 
(int)(((long)8)); 
BgL_auxz00_4217 = 
(long)(BgL_auxz00_4218); } 
BgL_modz00_2529 = 
(BgL_offsetz00_2528/BgL_auxz00_4217); } 
{ /* Fail/walk.scm 93 */
long BgL_restz00_2531;
{ /* Fail/walk.scm 93 */
long BgL_auxz00_4222;
{ /* Fail/walk.scm 93 */
int BgL_auxz00_4223;
BgL_auxz00_4223 = 
(int)(((long)8)); 
BgL_auxz00_4222 = 
(long)(BgL_auxz00_4223); } 
BgL_restz00_2531 = 
(BgL_offsetz00_2528%BgL_auxz00_4222); } 
{ /* Fail/walk.scm 93 */

{ /* Fail/walk.scm 93 */
obj_t BgL_bucketz00_2533;
{ /* Fail/walk.scm 93 */
int BgL_kz00_2543;
BgL_kz00_2543 = 
(int)(BgL_modz00_2529); 
BgL_bucketz00_2533 = 
VECTOR_REF(BgL_arg1904z00_2524,BgL_kz00_2543); } 
{ /* Fail/walk.scm 93 */
int BgL_kz00_2545;
BgL_kz00_2545 = 
(int)(BgL_restz00_2531); 
BgL_method2687z00_2521 = 
VECTOR_REF(BgL_bucketz00_2533,BgL_kz00_2545); } } } } } } } } 
{ /* Fail/walk.scm 93 */
obj_t BgL_auxz00_4231;
BgL_auxz00_4231 = 
PROCEDURE_ENTRY(BgL_method2687z00_2521)(BgL_method2687z00_2521, 
(obj_t)(BgL_arg3332z00_1746), BEOA); 
BgL_res3676z00_2546 = 
(BgL_nodez00_bglt)(BgL_auxz00_4231); } } 
BgL_arg3329z00_1745 = BgL_res3676z00_2546; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1739))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg3329z00_1745), BUNSPEC); } 
BgL_auxz00_4172 = BgL_nodez00_1739; 
return 
(obj_t)(BgL_auxz00_4172);} } } 
}



/* fail-node!-app2697 */
obj_t BGl_failzd2nodez12zd2app2697z12zzfail_walkz00(obj_t BgL_envz00_3233, obj_t BgL_nodez00_3234)
{ AN_OBJECT;
{ /* Fail/walk.scm 82 */
{ 
BgL_appz00_bglt BgL_nodez00_1732;
{ /* Fail/walk.scm 83 */
BgL_appz00_bglt BgL_auxz00_4239;
BgL_nodez00_1732 = 
(BgL_appz00_bglt)(BgL_nodez00_3234); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_1732))->BgL_argsz00)); 
BgL_auxz00_4239 = BgL_nodez00_1732; 
return 
(obj_t)(BgL_auxz00_4239);} } } 
}



/* fail-node!-sequence2695 */
obj_t BGl_failzd2nodez12zd2sequence2695z12zzfail_walkz00(obj_t BgL_envz00_3235, obj_t BgL_nodez00_3236)
{ AN_OBJECT;
{ /* Fail/walk.scm 75 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1726;
{ /* Fail/walk.scm 76 */
BgL_sequencez00_bglt BgL_auxz00_4244;
BgL_nodez00_1726 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3236); 
BGl_failzd2nodeza2z12z62zzfail_walkz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1726))->BgL_nodesz00)); 
BgL_auxz00_4244 = BgL_nodez00_1726; 
return 
(obj_t)(BgL_auxz00_4244);} } } 
}



/* fail-node!-var2693 */
obj_t BGl_failzd2nodez12zd2var2693z12zzfail_walkz00(obj_t BgL_envz00_3237, obj_t BgL_nodez00_3238)
{ AN_OBJECT;
{ /* Fail/walk.scm 69 */
{ 
BgL_varz00_bglt BgL_nodez00_1721;
{ /* Fail/walk.scm 70 */
BgL_varz00_bglt BgL_auxz00_4249;
BgL_nodez00_1721 = 
(BgL_varz00_bglt)(BgL_nodez00_3238); 
BgL_auxz00_4249 = BgL_nodez00_1721; 
return 
(obj_t)(BgL_auxz00_4249);} } } 
}



/* fail-node!-kwote2691 */
obj_t BGl_failzd2nodez12zd2kwote2691z12zzfail_walkz00(obj_t BgL_envz00_3239, obj_t BgL_nodez00_3240)
{ AN_OBJECT;
{ /* Fail/walk.scm 63 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1716;
{ /* Fail/walk.scm 64 */
BgL_kwotez00_bglt BgL_auxz00_4252;
BgL_nodez00_1716 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3240); 
BgL_auxz00_4252 = BgL_nodez00_1716; 
return 
(obj_t)(BgL_auxz00_4252);} } } 
}



/* fail-node!-atom2689 */
obj_t BGl_failzd2nodez12zd2atom2689z12zzfail_walkz00(obj_t BgL_envz00_3241, obj_t BgL_nodez00_3242)
{ AN_OBJECT;
{ /* Fail/walk.scm 57 */
{ 
BgL_atomz00_bglt BgL_nodez00_1711;
{ /* Fail/walk.scm 58 */
BgL_atomz00_bglt BgL_auxz00_4255;
BgL_nodez00_1711 = 
(BgL_atomz00_bglt)(BgL_nodez00_3242); 
BgL_auxz00_4255 = BgL_nodez00_1711; 
return 
(obj_t)(BgL_auxz00_4255);} } } 
}



/* fail-node! */
BgL_nodez00_bglt BGl_failzd2nodez12zc0zzfail_walkz00(BgL_nodez00_bglt BgL_nodez00_17)
{ AN_OBJECT;
{ /* Fail/walk.scm 52 */
{ /* Fail/walk.scm 52 */
obj_t BgL_method2687z00_3151;
{ /* Fail/walk.scm 52 */
long BgL_objzd2classzd2numz00_3153;
{ /* Fail/walk.scm 52 */
BgL_objectz00_bglt BgL_auxz00_4258;
BgL_auxz00_4258 = 
(BgL_objectz00_bglt)(BgL_nodez00_17); 
BgL_objzd2classzd2numz00_3153 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4258); } 
{ /* Fail/walk.scm 52 */
obj_t BgL_arg1904z00_3154;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4261;
BgL_auxz00_4261 = 
(int)(((long)1)); 
BgL_arg1904z00_3154 = 
PROCEDURE_REF(BGl_failzd2nodez12zd2envz12zzfail_walkz00, BgL_auxz00_4261); } 
{ /* Fail/walk.scm 52 */
long BgL_offsetz00_3158;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4264;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4265;
BgL_auxz00_4265 = 
(int)(BgL_objzd2classzd2numz00_3153); 
BgL_auxz00_4264 = 
(long)(BgL_auxz00_4265); } 
BgL_offsetz00_3158 = 
(BgL_auxz00_4264-OBJECT_TYPE); } 
{ /* Fail/walk.scm 52 */
long BgL_modz00_3159;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4269;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4270;
BgL_auxz00_4270 = 
(int)(((long)8)); 
BgL_auxz00_4269 = 
(long)(BgL_auxz00_4270); } 
BgL_modz00_3159 = 
(BgL_offsetz00_3158/BgL_auxz00_4269); } 
{ /* Fail/walk.scm 52 */
long BgL_restz00_3161;
{ /* Fail/walk.scm 52 */
long BgL_auxz00_4274;
{ /* Fail/walk.scm 52 */
int BgL_auxz00_4275;
BgL_auxz00_4275 = 
(int)(((long)8)); 
BgL_auxz00_4274 = 
(long)(BgL_auxz00_4275); } 
BgL_restz00_3161 = 
(BgL_offsetz00_3158%BgL_auxz00_4274); } 
{ /* Fail/walk.scm 52 */

{ /* Fail/walk.scm 52 */
obj_t BgL_bucketz00_3163;
{ /* Fail/walk.scm 52 */
int BgL_kz00_3173;
BgL_kz00_3173 = 
(int)(BgL_modz00_3159); 
BgL_bucketz00_3163 = 
VECTOR_REF(BgL_arg1904z00_3154,BgL_kz00_3173); } 
{ /* Fail/walk.scm 52 */
int BgL_kz00_3175;
BgL_kz00_3175 = 
(int)(BgL_restz00_3161); 
BgL_method2687z00_3151 = 
VECTOR_REF(BgL_bucketz00_3163,BgL_kz00_3175); } } } } } } } } 
{ /* Fail/walk.scm 52 */
obj_t BgL_auxz00_4283;
BgL_auxz00_4283 = 
PROCEDURE_ENTRY(BgL_method2687z00_3151)(BgL_method2687z00_3151, 
(obj_t)(BgL_nodez00_17), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_4283);} } } 
}



/* _fail-node!3738 */
obj_t BGl__failzd2nodez123738zc0zzfail_walkz00(obj_t BgL_envz00_3181, obj_t BgL_nodez00_3182)
{ AN_OBJECT;
{ /* Fail/walk.scm 52 */
{ /* Fail/walk.scm 52 */
BgL_nodez00_bglt BgL_auxz00_4288;
BgL_auxz00_4288 = 
BGl_failzd2nodez12zc0zzfail_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3182)); 
return 
(obj_t)(BgL_auxz00_4288);} } 
}



/* fail-node!-default2686 */
BgL_nodez00_bglt BGl_failzd2nodez12zd2default2686z12zzfail_walkz00(BgL_nodez00_bglt BgL_nodez00_18)
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ 
obj_t BgL_auxz00_4294;obj_t BgL_auxz00_4292;
BgL_auxz00_4294 = 
(obj_t)(BgL_nodez00_18); 
BgL_auxz00_4292 = 
CNST_TABLE_REF(((long)5)); 
FAILURE(BgL_auxz00_4292,BGl_string4175z00zzfail_walkz00,BgL_auxz00_4294);} } 
}



/* _fail-node!-default2686 */
obj_t BGl__failzd2nodez12zd2default2686z12zzfail_walkz00(obj_t BgL_envz00_3243, obj_t BgL_nodez00_3244)
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
{ /* Fail/walk.scm 15 */
BgL_nodez00_bglt BgL_auxz00_4297;
BgL_auxz00_4297 = 
BGl_failzd2nodez12zd2default2686z12zzfail_walkz00(
(BgL_nodez00_bglt)(BgL_nodez00_3244)); 
return 
(obj_t)(BgL_auxz00_4297);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzfail_walkz00()
{ AN_OBJECT;
{ /* Fail/walk.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzengine_passz00(((long)12444), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "fail_walk"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "fail_walk"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)30714), "fail_walk"); 
return 
BGl_modulezd2initializa7ationz75zzast_sexpz00(((long)26966), "fail_walk");} 
}

