/*===========================================================================*/
/*   (Jvm/compiler.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_jarrayz00_bgl {
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_jarrayz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt, BgL_envz00_bglt);
static obj_t BGl_methodzd2initzd2zzjvm_compilerz00();
static obj_t BGl__compilerzd2apply5410zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00;
extern obj_t open_input_string(obj_t);
static obj_t BGl_setzd2typezd2zzjvm_compilerz00(obj_t, obj_t);
extern obj_t BGl_nodez00zzast_nodez00;
extern obj_t BGl_sfunz00zzast_varz00;
static obj_t BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_bglt, BgL_variablez00_bglt, obj_t);
extern obj_t BGl__newarrayz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__instanceofz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
extern obj_t BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2boxzd2ref5442z00zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, BgL_selectz00_bglt);
extern obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilezd2tailzd2zzjvm_tailz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2labels5406zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2boxzd2setz125444z12zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_compilezd2typezd2zzjvm_envz00(obj_t, BgL_envz00_bglt);
static obj_t BGl__compilerzd2app5408zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2vset5426zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_getzd2linezd2numberz00zzjvm_externz00(BgL_nodez00_bglt);
extern obj_t BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2if5401zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00;
extern obj_t BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t, obj_t);
extern obj_t BGl_globalz00zzast_varz00;
extern obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t, BgL_envz00_bglt);
static obj_t BGl__compilerzd2body5389zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2select5403zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_variablez00_bglt, obj_t, BgL_envz00_bglt);
extern obj_t BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2cast5432zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl__putfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(BgL_globalz00_bglt, long, BgL_envz00_bglt);
static obj_t BGl__compilerzd2pragma5414zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__aloadz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
extern obj_t BGl_za2jvmzd2purifyza2zd2zzengine_paramz00;
extern obj_t BGl__loadz00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl_cnstzd2initzd2zzjvm_compilerz00();
static obj_t BGl__compilerzd2vlength5428zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2let5395zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__newz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_typezd2argszd2zzjvm_compilerz00(BgL_variablez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_displayzd22zd2zz__r4_output_6_10_3z00(obj_t, obj_t);
extern obj_t BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_bglt);
extern obj_t BGl_compilezd2typezd2nowideningz00zzjvm_envz00(obj_t, BgL_envz00_bglt);
extern obj_t BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilerz00();
static obj_t BGl__compilerzd2makezd2box5440z00zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_createzd2stringzd2zzjvm_instrz00(obj_t, obj_t);
extern obj_t BGl__store_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_compilezd2effectzd2zzjvm_effectz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl__astorez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern long BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2valloc5422zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__checkcastz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__load_namez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__switchz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_variablez00zzast_varz00;
extern obj_t BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza33806ze3z83zzjvm_compilerz00(obj_t, obj_t);
extern obj_t BGl__storez00zzjvm_instrz00(BgL_envz00_bglt, BgL_localz00_bglt);
static obj_t BGl_toplevelzd2initzd2zzjvm_compilerz00();
extern obj_t BGl_jclassz00zzobject_classz00;
static obj_t BGl__compilerzd2vref5424zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_lispz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_externz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_instrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_inlinez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_tailz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_exprz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_predicatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl__athrowz00zzjvm_instrz00(BgL_envz00_bglt);
extern obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2setq5397zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2longislongza2z00zzjvm_envz00;
extern obj_t BGl__putstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2setexit5434zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2jumpzd2exit5436z00zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl_intzf3zf3zzjvm_compilerz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl__compilerzd2new5420zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2funcall5412zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern long BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt, BgL_envz00_bglt);
extern obj_t bgl_reverse(obj_t);
static obj_t BGl__compilerzd2getfield5416zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt, BgL_envz00_bglt);
extern obj_t BGl_inlinezd2callzf3z21zzjvm_inlinez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_getzd2typezd2zzjvm_compilerz00(obj_t);
extern obj_t BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_envzd2freezd2localz00zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt, BgL_envz00_bglt);
extern obj_t BGl__dupz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl__compilerzd2setfield5418zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_cfunz00zzast_varz00;
extern obj_t BGl__getfieldz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt, BgL_envz00_bglt);
static obj_t BGl__compilerzd2var5393zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl_envzd2declarezd2fieldz00zzjvm_envz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2atom5391zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern obj_t BGl__l2iz00zzjvm_instrz00(BgL_envz00_bglt);
static obj_t BGl_check_typez00zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
static obj_t BGl__compilerzd2sequence5399zd2zzjvm_compilerz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl__getstaticz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt, BgL_envz00_bglt, obj_t);
extern obj_t BGl__pushz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_localz00zzast_varz00;
extern obj_t BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(obj_t);
extern obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_variablez00_bglt, obj_t, BgL_envz00_bglt);
extern bool_t bigloo_strcmp(obj_t, obj_t);
extern obj_t BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_bglt, BgL_globalz00_bglt);
extern obj_t BGl_compilezd2predicatezd2zzjvm_predicatez00(BgL_nodez00_bglt, obj_t, obj_t, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt, BgL_envz00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_compilerz00 = BUNSPEC;
static obj_t BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_bglt, obj_t, obj_t);
extern obj_t BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_bglt, BgL_localz00_bglt, obj_t);
extern obj_t BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl__gotoz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
extern obj_t BGl_envzd2declarezd2newzd2localzd2zzjvm_envz00(BgL_envz00_bglt, BgL_localz00_bglt);
extern obj_t BGl_compilezd2exprzd2zzjvm_exprz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl_envzd2declarezd2initz00zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_za2labdoneza2z00zzjvm_compilerz00 = BUNSPEC;
extern obj_t BGl__linez00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00();
extern obj_t BGl__labelz00zzjvm_instrz00(BgL_envz00_bglt, obj_t);
static obj_t BGl__compilerzd2fail5438zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
static obj_t BGl__compilerzd2isa5430zd2zzjvm_compilerz00(obj_t, obj_t, obj_t);
extern bool_t BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t);
extern obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt, BgL_envz00_bglt);
extern obj_t BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_nodez00_bglt, BgL_envz00_bglt);
extern obj_t BGl__handlerz00zzjvm_instrz00(BgL_envz00_bglt, obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 75 ] ;

DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2varzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2var5393za7d2za7za7jvm_compilerza7005947za7, BGl__compilerzd2var5393zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2sequencezd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2sequence5399za7d2za7za7jvm_compilerza7005948za7, BGl__compilerzd2sequence5399zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setfieldzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setfield5418za7d2za7za7jvm_compilerza7005949za7, BGl__compilerzd2setfield5418zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setexitzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setexit5434za7d2za7za7jvm_compilerza7005950za7, BGl__compilerzd2setexit5434zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2funcallzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2funcall5412za7d2za7za7jvm_compilerza7005951za7, BGl__compilerzd2funcall5412zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2castzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2cast5432za7d2za7za7jvm_compilerza7005952za7, BGl__compilerzd2cast5432zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2bodyzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2body5389za7d2za7za7jvm_compilerza7005953za7, BGl__compilerzd2body5389zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2valloczd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2valloc5422za7d2za7za7jvm_compilerza7005954za7, BGl__compilerzd2valloc5422zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2jumpzd2exitzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2jumpza7d2exit5436za700za7za7jvm_compilerza7005955z00, BGl__compilerzd2jumpzd2exit5436z00zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vsetzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vset5426za7d2za7za7jvm_compilerza7005956za7, BGl__compilerzd2vset5426zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2isazd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2isa5430za7d2za7za7jvm_compilerza7005957za7, BGl__compilerzd2isa5430zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vlengthzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vlength5428za7d2za7za7jvm_compilerza7005958za7, BGl__compilerzd2vlength5428zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc5901z00zzjvm_compilerz00, BgL_bgl_intza7f3za7f3za7za7jvm_compilerza7005959za7, BGl_intzf3zf3zzjvm_compilerz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2boxzd2refzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2boxza7d2ref5442za700za7za7jvm_compilerza7005960z00, BGl__compilerzd2boxzd2ref5442z00zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2makezd2boxzd2envzd2zzjvm_compilerz00, BgL_bgl__compilerza7d2makeza7d2box5440za700za7za7jvm_compilerza7005961z00, BGl__compilerzd2makezd2box5440z00zzjvm_compilerz00, 0L, 2 );
DEFINE_STRING( BGl_string5916z00zzjvm_compilerz00, BgL_bgl_string5916za700za7za7jvm_compilerza7005962z00, "j_cell ccar init_cell cell fail jumpexit debug_handler j_exit j_bexception setexit ptr_alg (ad ad ad ad ad) funcall4 (ad ad ad ad) funcall3 (ad ad ad) funcall2 funcall1 funcall0 cons ad (ad ad) apply j_procedure __evmeaning_address cnst-table-set! constants cnst-table-ref make-l-procedure procenv jobject procarity procindex (ad) init0 make-va-procedure make-fx-procedure native final abstract static done reg1 from_body entry_labels long else unknown \077\077? bucs2_value void (ad char) init_bucs2 j_bucs2 (jobject bucs2) unspecified (jobject t_unspecified) key (jobject t_key) rest (jobject t_rest) optional (jobject t_optional) eof (jobject t_eof) byte int boolean nil (jobject t_nil) (boolean int long float double) ok (tprint up \" wrong type \" (list tdown (quote ->) tup)) vector begin ", 787 );
DEFINE_STRING( BGl_string5915z00zzjvm_compilerz00, BgL_bgl_string5915za700za7za7jvm_compilerza7005963z00, "HD", 2 );
DEFINE_STRING( BGl_string5914z00zzjvm_compilerz00, BgL_bgl_string5914za700za7za7jvm_compilerza7005964z00, "HE", 2 );
DEFINE_STRING( BGl_string5913z00zzjvm_compilerz00, BgL_bgl_string5913za700za7za7jvm_compilerza7005965z00, "HB", 2 );
DEFINE_STRING( BGl_string5912z00zzjvm_compilerz00, BgL_bgl_string5912za700za7za7jvm_compilerza7005966z00, "ya pas en jvm", 13 );
DEFINE_STRING( BGl_string5911z00zzjvm_compilerz00, BgL_bgl_string5911za700za7za7jvm_compilerza7005967z00, "pragma", 6 );
DEFINE_STRING( BGl_string5910z00zzjvm_compilerz00, BgL_bgl_string5910za700za7za7jvm_compilerza7005968z00, "PTR_ALIGNMENT", 13 );
DEFINE_STRING( BGl_string5909z00zzjvm_compilerz00, BgL_bgl_string5909za700za7za7jvm_compilerza7005969z00, "not a variable", 14 );
DEFINE_STRING( BGl_string5899z00zzjvm_compilerz00, BgL_bgl_string5899za700za7za7jvm_compilerza7005970z00, "T", 1 );
DEFINE_STRING( BGl_string5908z00zzjvm_compilerz00, BgL_bgl_string5908za700za7za7jvm_compilerza7005971z00, "not a global", 12 );
DEFINE_STRING( BGl_string5898z00zzjvm_compilerz00, BgL_bgl_string5898za700za7za7jvm_compilerza7005972z00, "bad atom value", 14 );
DEFINE_STRING( BGl_string5907z00zzjvm_compilerz00, BgL_bgl_string5907za700za7za7jvm_compilerza7005973z00, "Jvm/EVMEANING_ADDRESS", 21 );
DEFINE_STRING( BGl_string5897z00zzjvm_compilerz00, BgL_bgl_string5897za700za7za7jvm_compilerza7005974z00, "compile", 7 );
DEFINE_STRING( BGl_string5906z00zzjvm_compilerz00, BgL_bgl_string5906za700za7za7jvm_compilerza7005975z00, "<init>", 6 );
DEFINE_STRING( BGl_string5896z00zzjvm_compilerz00, BgL_bgl_string5896za700za7za7jvm_compilerza7005976z00, "set-type", 8 );
DEFINE_STRING( BGl_string5905z00zzjvm_compilerz00, BgL_bgl_string5905za700za7za7jvm_compilerza7005977z00, "F", 1 );
DEFINE_STRING( BGl_string5895z00zzjvm_compilerz00, BgL_bgl_string5895za700za7za7jvm_compilerza7005978z00, "unknown node", 12 );
DEFINE_STRING( BGl_string5904z00zzjvm_compilerz00, BgL_bgl_string5904za700za7za7jvm_compilerza7005979z00, "bad item", 8 );
DEFINE_STRING( BGl_string5894z00zzjvm_compilerz00, BgL_bgl_string5894za700za7za7jvm_compilerza7005980z00, "type", 4 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2ifzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2if5401za7d2za7za7jvm_compilerza7005981za7, BGl__compilerzd2if5401zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_STRING( BGl_string5903z00zzjvm_compilerz00, BgL_bgl_string5903za700za7za7jvm_compilerza7005982z00, "not yet", 7 );
DEFINE_STRING( BGl_string5893z00zzjvm_compilerz00, BgL_bgl_string5893za700za7za7jvm_compilerza7005983z00, " must be ", 9 );
DEFINE_STRING( BGl_string5902z00zzjvm_compilerz00, BgL_bgl_string5902za700za7za7jvm_compilerza7005984z00, "select", 6 );
DEFINE_STRING( BGl_string5892z00zzjvm_compilerz00, BgL_bgl_string5892za700za7za7jvm_compilerza7005985z00, " must in ", 9 );
DEFINE_STRING( BGl_string5891z00zzjvm_compilerz00, BgL_bgl_string5891za700za7za7jvm_compilerza7005986z00, " bad type ", 10 );
DEFINE_STRING( BGl_string5900z00zzjvm_compilerz00, BgL_bgl_string5900za700za7za7jvm_compilerza7005987z00, "L", 1 );
DEFINE_STRING( BGl_string5890z00zzjvm_compilerz00, BgL_bgl_string5890za700za7za7jvm_compilerza7005988z00, ":", 1 );
DEFINE_STRING( BGl_string5889z00zzjvm_compilerz00, BgL_bgl_string5889za700za7za7jvm_compilerza7005989z00, ",", 1 );
DEFINE_STRING( BGl_string5888z00zzjvm_compilerz00, BgL_bgl_string5888za700za7za7jvm_compilerza7005990z00, "Jvm/compiler.scm", 16 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2selectzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2select5403za7d2za7za7jvm_compilerza7005991za7, BGl__compilerzd2select5403zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2failzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2fail5438za7d2za7za7jvm_compilerza7005992za7, BGl__compilerzd2fail5438zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2appzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2app5408za7d2za7za7jvm_compilerza7005993za7, BGl__compilerzd2app5408zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2pragmazd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2pragma5414za7d2za7za7jvm_compilerza7005994za7, BGl__compilerzd2pragma5414zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2getfieldzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2getfield5416za7d2za7za7jvm_compilerza7005995za7, BGl__compilerzd2getfield5416zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2letzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2let5395za7d2za7za7jvm_compilerza7005996za7, BGl__compilerzd2let5395zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2atomzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2atom5391za7d2za7za7jvm_compilerza7005997za7, BGl__compilerzd2atom5391zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2newzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2new5420za7d2za7za7jvm_compilerza7005998za7, BGl__compilerzd2new5420zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2setqzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2setq5397za7d2za7za7jvm_compilerza7005999za7, BGl__compilerzd2setq5397zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2applyzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2apply5410za7d2za7za7jvm_compilerza7006000za7, BGl__compilerzd2apply5410zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2labelszd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2labels5406za7d2za7za7jvm_compilerza7006001za7, BGl__compilerzd2labels5406zd2zzjvm_compilerz00, 0L, 3 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2vrefzd2envz00zzjvm_compilerz00, BgL_bgl__compilerza7d2vref5424za7d2za7za7jvm_compilerza7006002za7, BGl__compilerzd2vref5424zd2zzjvm_compilerz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_compilerzd2boxzd2setz12zd2envzc0zzjvm_compilerz00, BgL_bgl__compilerza7d2boxza7d2setza7125444za712za7za7jvm_compilerza7006003za7, BGl__compilerzd2boxzd2setz125444z12zzjvm_compilerz00, 0L, 2 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_compilerz00(long BgL_checksumz00_3948, char * BgL_fromz00_3949)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_compilerz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_compilerz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00(); 
BGl_cnstzd2initzd2zzjvm_compilerz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_compilerz00(); 
BGl_toplevelzd2initzd2zzjvm_compilerz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "jvm_compiler"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
{ /* Jvm/compiler.scm 8 */
obj_t BgL_cportz00_3941;
BgL_cportz00_3941 = 
open_input_string(BGl_string5916z00zzjvm_compilerz00); 
{ 
long BgL_iz00_3942;
BgL_iz00_3942 = ((long)74); 
BgL_loopz00_3943:
if(
(BgL_iz00_3942==((long)-1)))
{ /* Jvm/compiler.scm 8 */
return BUNSPEC;}  else 
{ /* Jvm/compiler.scm 8 */
{ /* Jvm/compiler.scm 8 */
obj_t BgL_arg5920z00_3945;
{ /* Jvm/compiler.scm 8 */
obj_t BgL_list5923z00_3946;
BgL_list5923z00_3946 = 
MAKE_PAIR(BgL_cportz00_3941, BNIL); 
BgL_arg5920z00_3945 = 
BGl_readz00zz__readerz00(BgL_list5923z00_3946); } 
{ /* Jvm/compiler.scm 8 */
int BgL_auxz00_3969;
BgL_auxz00_3969 = 
(int)(BgL_iz00_3942); 
CNST_TABLE_SET(BgL_auxz00_3969, BgL_arg5920z00_3945); } } 
{ 
long BgL_iz00_3972;
{ /* Jvm/compiler.scm 8 */
int BgL_auxz00_3973;
{ /* Jvm/compiler.scm 8 */
long BgL_auxz00_3974;
BgL_auxz00_3974 = 
(BgL_iz00_3942-((long)1)); 
BgL_auxz00_3973 = 
(int)(BgL_auxz00_3974); } 
BgL_iz00_3972 = 
(long)(BgL_auxz00_3973); } 
BgL_iz00_3942 = BgL_iz00_3972; 
goto BgL_loopz00_3943;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
return ( 
BGl_za2labdoneza2z00zzjvm_compilerz00 = BNIL, BUNSPEC) ;} 
}



/* compiler-body */
obj_t BGl_compilerzd2bodyzd2zzjvm_compilerz00(BgL_nodez00_bglt BgL_ez00_1, BgL_envz00_bglt BgL_envz00_2)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 45 */
BGl_za2labdoneza2z00zzjvm_compilerz00 = BNIL; 
BGl__labelz00zzjvm_instrz00(BgL_envz00_2, 
CNST_TABLE_REF(((long)0))); 
return 
BGl_compilezd2tailzd2zzjvm_tailz00(BgL_ez00_1, BgL_envz00_2);} 
}



/* _compiler-body5389 */
obj_t BGl__compilerzd2body5389zd2zzjvm_compilerz00(obj_t BgL_envz00_3843, obj_t BgL_ez00_3844, obj_t BgL_envz00_3845)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 45 */
return 
BGl_compilerzd2bodyzd2zzjvm_compilerz00(
(BgL_nodez00_bglt)(BgL_ez00_3844), 
(BgL_envz00_bglt)(BgL_envz00_3845));} 
}



/* check_type */
obj_t BGl_check_typez00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_5, obj_t BgL_ez00_6, obj_t BgL_tyz00_7)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 59 */
{ /* Jvm/compiler.scm 60 */
obj_t BgL_rtyz00_1639;
{ /* Jvm/compiler.scm 60 */
obj_t BgL_auxz00_3984;
{ /* Jvm/compiler.scm 60 */
BgL_typez00_bglt BgL_auxz00_3985;
{ /* Jvm/compiler.scm 60 */
BgL_nodez00_bglt BgL_obj1551z00_2781;
BgL_obj1551z00_2781 = 
(BgL_nodez00_bglt)(BgL_ez00_6); 
BgL_auxz00_3985 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_2781))->BgL_typez00); } 
BgL_auxz00_3984 = 
(obj_t)(BgL_auxz00_3985); } 
BgL_rtyz00_1639 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_3984, BgL_envz00_5); } 
if(
PAIRP(BgL_tyz00_7))
{ /* Jvm/compiler.scm 62 */
bool_t BgL_testz00_3992;
{ /* Jvm/compiler.scm 62 */
obj_t BgL_auxz00_3993;
BgL_auxz00_3993 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_rtyz00_1639, BgL_tyz00_7); 
BgL_testz00_3992 = 
CBOOL(BgL_auxz00_3993); } 
if(BgL_testz00_3992)
{ /* Jvm/compiler.scm 62 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 62 */
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3154z00_1643;
BgL_arg3154z00_1643 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5888z00zzjvm_compilerz00, BgL_arg3154z00_1643); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3159z00_1645;
BgL_arg3159z00_1645 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5889z00zzjvm_compilerz00, BgL_arg3159z00_1645); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3164z00_1647;
BgL_arg3164z00_1647 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)63)), BgL_arg3164z00_1647); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3169z00_1649;
BgL_arg3169z00_1649 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5890z00zzjvm_compilerz00, BgL_arg3169z00_1649); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3174z00_1650;obj_t BgL_arg3175z00_1651;
BgL_arg3174z00_1650 = 
BGl_shapez00zztools_shapez00(BgL_ez00_6); 
BgL_arg3175z00_1651 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3174z00_1650, BgL_arg3175z00_1651); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3181z00_1653;
BgL_arg3181z00_1653 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5891z00zzjvm_compilerz00, BgL_arg3181z00_1653); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3185z00_1654;
BgL_arg3185z00_1654 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1639, BgL_arg3185z00_1654); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3190z00_1656;
BgL_arg3190z00_1656 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5892z00zzjvm_compilerz00, BgL_arg3190z00_1656); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3194z00_1657;
BgL_arg3194z00_1657 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_tyz00_7, BgL_arg3194z00_1657); } 
{ /* Jvm/compiler.scm 63 */
obj_t BgL_arg3198z00_1658;
BgL_arg3198z00_1658 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Jvm/compiler.scm 63 */
unsigned char BgL_auxz00_4017;
BgL_auxz00_4017 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3198z00_1658); 
return 
BCHAR(BgL_auxz00_4017);} } } }  else 
{ /* Jvm/compiler.scm 61 */
if(
(BgL_rtyz00_1639==BgL_tyz00_7))
{ /* Jvm/compiler.scm 64 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 64 */
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3205z00_1661;
BgL_arg3205z00_1661 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5888z00zzjvm_compilerz00, BgL_arg3205z00_1661); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3210z00_1663;
BgL_arg3210z00_1663 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5889z00zzjvm_compilerz00, BgL_arg3210z00_1663); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3215z00_1665;
BgL_arg3215z00_1665 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)65)), BgL_arg3215z00_1665); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3220z00_1667;
BgL_arg3220z00_1667 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5890z00zzjvm_compilerz00, BgL_arg3220z00_1667); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3224z00_1668;obj_t BgL_arg3225z00_1669;
BgL_arg3224z00_1668 = 
BGl_shapez00zztools_shapez00(BgL_ez00_6); 
BgL_arg3225z00_1669 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3224z00_1668, BgL_arg3225z00_1669); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3231z00_1671;
BgL_arg3231z00_1671 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5891z00zzjvm_compilerz00, BgL_arg3231z00_1671); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3235z00_1672;
BgL_arg3235z00_1672 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1639, BgL_arg3235z00_1672); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3240z00_1674;
BgL_arg3240z00_1674 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5893z00zzjvm_compilerz00, BgL_arg3240z00_1674); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3244z00_1675;
BgL_arg3244z00_1675 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_tyz00_7, BgL_arg3244z00_1675); } 
{ /* Jvm/compiler.scm 65 */
obj_t BgL_arg3248z00_1676;
BgL_arg3248z00_1676 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Jvm/compiler.scm 65 */
unsigned char BgL_auxz00_4043;
BgL_auxz00_4043 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3248z00_1676); 
return 
BCHAR(BgL_auxz00_4043);} } } } } } 
}



/* check_type_vector */
obj_t BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_8, obj_t BgL_ez00_9, obj_t BgL_tyz00_10)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 67 */
{ /* Jvm/compiler.scm 68 */
obj_t BgL_rtyz00_1678;
{ /* Jvm/compiler.scm 68 */
obj_t BgL_auxz00_4046;
{ /* Jvm/compiler.scm 68 */
BgL_typez00_bglt BgL_auxz00_4047;
{ /* Jvm/compiler.scm 68 */
BgL_nodez00_bglt BgL_obj1551z00_2785;
BgL_obj1551z00_2785 = 
(BgL_nodez00_bglt)(BgL_ez00_9); 
BgL_auxz00_4047 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_2785))->BgL_typez00); } 
BgL_auxz00_4046 = 
(obj_t)(BgL_auxz00_4047); } 
BgL_rtyz00_1678 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4046, BgL_envz00_8); } 
{ /* Jvm/compiler.scm 69 */
bool_t BgL_testz00_4052;
if(
PAIRP(BgL_rtyz00_1678))
{ /* Jvm/compiler.scm 69 */
obj_t BgL_auxz00_4057;obj_t BgL_auxz00_4055;
BgL_auxz00_4057 = 
CNST_TABLE_REF(((long)1)); 
BgL_auxz00_4055 = 
CAR(BgL_rtyz00_1678); 
BgL_testz00_4052 = 
(BgL_auxz00_4055==BgL_auxz00_4057); }  else 
{ /* Jvm/compiler.scm 69 */
BgL_testz00_4052 = ((bool_t)0)
; } 
if(BgL_testz00_4052)
{ /* Jvm/compiler.scm 69 */BFALSE; }  else 
{ /* Jvm/compiler.scm 69 */
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3260z00_1681;
BgL_arg3260z00_1681 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5888z00zzjvm_compilerz00, BgL_arg3260z00_1681); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3265z00_1683;
BgL_arg3265z00_1683 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5889z00zzjvm_compilerz00, BgL_arg3265z00_1683); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3270z00_1685;
BgL_arg3270z00_1685 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)70)), BgL_arg3270z00_1685); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3275z00_1687;
BgL_arg3275z00_1687 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5890z00zzjvm_compilerz00, BgL_arg3275z00_1687); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3279z00_1688;
BgL_arg3279z00_1688 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_ez00_9, BgL_arg3279z00_1688); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3284z00_1690;
BgL_arg3284z00_1690 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5891z00zzjvm_compilerz00, BgL_arg3284z00_1690); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3288z00_1691;
BgL_arg3288z00_1691 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1678, BgL_arg3288z00_1691); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3293z00_1693;
BgL_arg3293z00_1693 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5893z00zzjvm_compilerz00, BgL_arg3293z00_1693); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3297z00_1694;obj_t BgL_arg3298z00_1695;
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3301z00_1696;obj_t BgL_arg3302z00_1697;
BgL_arg3301z00_1696 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3302z00_1697 = 
MAKE_PAIR(BgL_tyz00_10, BNIL); 
BgL_arg3297z00_1694 = 
MAKE_PAIR(BgL_arg3301z00_1696, BgL_arg3302z00_1697); } 
BgL_arg3298z00_1695 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3297z00_1694, BgL_arg3298z00_1695); } 
{ /* Jvm/compiler.scm 70 */
obj_t BgL_arg3307z00_1698;
BgL_arg3307z00_1698 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Jvm/compiler.scm 70 */
unsigned char BgL_auxz00_4083;
BgL_auxz00_4083 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3307z00_1698); 
BCHAR(BgL_auxz00_4083); } } } } 
{ /* Jvm/compiler.scm 72 */
bool_t BgL_testz00_4086;
{ /* Jvm/compiler.scm 72 */
obj_t BgL_auxz00_4087;
{ /* Jvm/compiler.scm 71 */
obj_t BgL_auxz00_4088;
BgL_auxz00_4088 = 
CDR(BgL_rtyz00_1678); 
BgL_auxz00_4087 = 
CAR(BgL_auxz00_4088); } 
BgL_testz00_4086 = 
(BgL_auxz00_4087==BgL_tyz00_10); } 
if(BgL_testz00_4086)
{ /* Jvm/compiler.scm 72 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 72 */
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3320z00_1705;
BgL_arg3320z00_1705 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5888z00zzjvm_compilerz00, BgL_arg3320z00_1705); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3325z00_1707;
BgL_arg3325z00_1707 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5889z00zzjvm_compilerz00, BgL_arg3325z00_1707); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3330z00_1709;
BgL_arg3330z00_1709 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(
BINT(((long)73)), BgL_arg3330z00_1709); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3335z00_1711;
BgL_arg3335z00_1711 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5890z00zzjvm_compilerz00, BgL_arg3335z00_1711); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3339z00_1712;
BgL_arg3339z00_1712 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_ez00_9, BgL_arg3339z00_1712); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3344z00_1714;
BgL_arg3344z00_1714 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5891z00zzjvm_compilerz00, BgL_arg3344z00_1714); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3348z00_1715;
BgL_arg3348z00_1715 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_rtyz00_1678, BgL_arg3348z00_1715); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3353z00_1717;
BgL_arg3353z00_1717 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BGl_string5893z00zzjvm_compilerz00, BgL_arg3353z00_1717); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3357z00_1718;obj_t BgL_arg3358z00_1719;
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3361z00_1720;obj_t BgL_arg3362z00_1721;
BgL_arg3361z00_1720 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg3362z00_1721 = 
MAKE_PAIR(BgL_tyz00_10, BNIL); 
BgL_arg3357z00_1718 = 
MAKE_PAIR(BgL_arg3361z00_1720, BgL_arg3362z00_1721); } 
BgL_arg3358z00_1719 = 
GET_CURRENT_OUTPUT_PORT(); 
BGl_displayzd22zd2zz__r4_output_6_10_3z00(BgL_arg3357z00_1718, BgL_arg3358z00_1719); } 
{ /* Jvm/compiler.scm 73 */
obj_t BgL_arg3367z00_1722;
BgL_arg3367z00_1722 = 
GET_CURRENT_OUTPUT_PORT(); 
{ /* Jvm/compiler.scm 73 */
unsigned char BgL_auxz00_4115;
BgL_auxz00_4115 = 
WRITE_CHAR(((unsigned char)'\n'), BgL_arg3367z00_1722); 
return 
BCHAR(BgL_auxz00_4115);} } } } } } 
}



/* same-type */
obj_t BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_11, obj_t BgL_downz00_12, obj_t BgL_upz00_13)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 75 */
{ /* Jvm/compiler.scm 76 */
obj_t BgL_tdownz00_1724;obj_t BgL_tupz00_1725;
BgL_tdownz00_1724 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_downz00_12, BgL_envz00_11); 
BgL_tupz00_1725 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_upz00_13, BgL_envz00_11); 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_tdownz00_1724, BgL_tupz00_1725))
{ /* Jvm/compiler.scm 77 */
return BFALSE;}  else 
{ /* Jvm/compiler.scm 77 */
CNST_TABLE_REF(((long)2)); 
{ /* Jvm/compiler.scm 79 */
obj_t BgL_arg3378z00_1727;
BgL_arg3378z00_1727 = 
BGl_getzd2typezd2zzjvm_compilerz00(BgL_upz00_13); 
return 
BGl_setzd2typezd2zzjvm_compilerz00(BgL_downz00_12, BgL_arg3378z00_1727);} } } } 
}



/* get-type */
obj_t BGl_getzd2typezd2zzjvm_compilerz00(obj_t BgL_ez00_17)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 86 */
{ /* Jvm/compiler.scm 87 */
bool_t BgL_test3437z00_1749;
BgL_test3437z00_1749 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_17, BGl_nodez00zzast_nodez00); 
if(BgL_test3437z00_1749)
{ /* Jvm/compiler.scm 87 */
{ /* Jvm/compiler.scm 87 */
BgL_nodez00_bglt BgL_obj1551z00_2795;
BgL_obj1551z00_2795 = 
(BgL_nodez00_bglt)(BgL_ez00_17); 
{ /* Jvm/compiler.scm 87 */
BgL_typez00_bglt BgL_auxz00_4128;
BgL_auxz00_4128 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_2795))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_4128);} } }  else 
{ /* Jvm/compiler.scm 88 */
bool_t BgL_test3439z00_1750;
BgL_test3439z00_1750 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_17, BGl_variablez00zzast_varz00); 
if(BgL_test3439z00_1750)
{ /* Jvm/compiler.scm 88 */
{ /* Jvm/compiler.scm 88 */
BgL_variablez00_bglt BgL_obj1101z00_2797;
BgL_obj1101z00_2797 = 
(BgL_variablez00_bglt)(BgL_ez00_17); 
{ /* Jvm/compiler.scm 88 */
BgL_typez00_bglt BgL_auxz00_4134;
BgL_auxz00_4134 = 
(((BgL_variablez00_bglt)CREF(BgL_obj1101z00_2797))->BgL_typez00); 
return 
(obj_t)(BgL_auxz00_4134);} } }  else 
{ /* Jvm/compiler.scm 88 */
FAILURE(BGl_string5894z00zzjvm_compilerz00,BGl_string5895z00zzjvm_compilerz00,BgL_ez00_17);} } } } 
}



/* set-type */
obj_t BGl_setzd2typezd2zzjvm_compilerz00(obj_t BgL_ez00_18, obj_t BgL_tyz00_19)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 91 */
{ /* Jvm/compiler.scm 92 */
bool_t BgL_test3444z00_1751;
BgL_test3444z00_1751 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_18, BGl_nodez00zzast_nodez00); 
if(BgL_test3444z00_1751)
{ /* Jvm/compiler.scm 92 */
{ /* Jvm/compiler.scm 92 */
BgL_nodez00_bglt BgL_obj1553z00_2802;BgL_typez00_bglt BgL_val1552z00_2803;
BgL_obj1553z00_2802 = 
(BgL_nodez00_bglt)(BgL_ez00_18); 
BgL_val1552z00_2803 = 
(BgL_typez00_bglt)(BgL_tyz00_19); 
return 
((((BgL_nodez00_bglt)CREF(BgL_obj1553z00_2802))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1552z00_2803), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 93 */
bool_t BgL_test3446z00_1752;
BgL_test3446z00_1752 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_18, BGl_variablez00zzast_varz00); 
if(BgL_test3446z00_1752)
{ /* Jvm/compiler.scm 93 */
{ /* Jvm/compiler.scm 93 */
BgL_variablez00_bglt BgL_obj1103z00_2805;BgL_typez00_bglt BgL_val1102z00_2806;
BgL_obj1103z00_2805 = 
(BgL_variablez00_bglt)(BgL_ez00_18); 
BgL_val1102z00_2806 = 
(BgL_typez00_bglt)(BgL_tyz00_19); 
return 
((((BgL_variablez00_bglt)CREF(BgL_obj1103z00_2805))->BgL_typez00) = ((BgL_typez00_bglt)BgL_val1102z00_2806), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 93 */
FAILURE(BGl_string5896z00zzjvm_compilerz00,BGl_string5895z00zzjvm_compilerz00,BgL_ez00_18);} } } } 
}



/* compiler-atom */
obj_t BGl_compilerzd2atomzd2zzjvm_compilerz00(obj_t BgL_ez00_20, BgL_envz00_bglt BgL_envz00_21)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 97 */
{ /* Jvm/compiler.scm 98 */
obj_t BgL_nz00_2812;
BgL_nz00_2812 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_20)); 
if(
CBOOL(BgL_nz00_2812))
{ /* Jvm/compiler.scm 98 */
BGl__linez00zzjvm_instrz00(BgL_envz00_21, BgL_nz00_2812); }  else 
{ /* Jvm/compiler.scm 98 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 101 */
bool_t BgL_testz00_4155;
{ /* Jvm/compiler.scm 101 */
obj_t BgL_arg3602z00_1805;
{ /* Jvm/compiler.scm 101 */
BgL_atomz00_bglt BgL_obj1598z00_2813;
BgL_obj1598z00_2813 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_arg3602z00_1805 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2813))->BgL_valuez00); } 
if(
INTEGERP(BgL_arg3602z00_1805))
{ /* Jvm/compiler.scm 101 */
BgL_testz00_4155 = ((bool_t)1)
; }  else 
{ /* Jvm/compiler.scm 101 */
BgL_testz00_4155 = 
REALP(BgL_arg3602z00_1805)
; } } 
if(BgL_testz00_4155)
{ /* Jvm/compiler.scm 101 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)4))); 
{ /* Jvm/compiler.scm 103 */
obj_t BgL_arg3455z00_1755;obj_t BgL_arg3456z00_1756;
{ /* Jvm/compiler.scm 103 */
obj_t BgL_auxz00_4163;
{ /* Jvm/compiler.scm 103 */
BgL_typez00_bglt BgL_auxz00_4164;
{ /* Jvm/compiler.scm 103 */
BgL_atomz00_bglt BgL_obj1595z00_2819;
BgL_obj1595z00_2819 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4164 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1595z00_2819))->BgL_typez00); } 
BgL_auxz00_4163 = 
(obj_t)(BgL_auxz00_4164); } 
BgL_arg3455z00_1755 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4163, BgL_envz00_21); } 
{ /* Jvm/compiler.scm 103 */
BgL_atomz00_bglt BgL_obj1598z00_2820;
BgL_obj1598z00_2820 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_arg3456z00_1756 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2820))->BgL_valuez00); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3455z00_1755, BgL_arg3456z00_1756);} }  else 
{ /* Jvm/compiler.scm 104 */
bool_t BgL_testz00_4172;
{ /* Jvm/compiler.scm 104 */
obj_t BgL_auxz00_4173;
{ /* Jvm/compiler.scm 104 */
BgL_atomz00_bglt BgL_obj1598z00_2821;
BgL_obj1598z00_2821 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4173 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2821))->BgL_valuez00); } 
BgL_testz00_4172 = 
NULLP(BgL_auxz00_4173); } 
if(BgL_testz00_4172)
{ /* Jvm/compiler.scm 104 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)5))); 
{ /* Jvm/compiler.scm 106 */
obj_t BgL_arg3466z00_1759;
BgL_arg3466z00_1759 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)6))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3466z00_1759);} }  else 
{ /* Jvm/compiler.scm 107 */
bool_t BgL_testz00_4182;
{ /* Jvm/compiler.scm 107 */
obj_t BgL_auxz00_4183;
{ /* Jvm/compiler.scm 107 */
BgL_atomz00_bglt BgL_obj1598z00_2823;
BgL_obj1598z00_2823 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4183 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2823))->BgL_valuez00); } 
BgL_testz00_4182 = 
BOOLEANP(BgL_auxz00_4183); } 
if(BgL_testz00_4182)
{ /* Jvm/compiler.scm 107 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)7))); 
{ /* Jvm/compiler.scm 109 */
obj_t BgL_auxz00_4189;
{ /* Jvm/compiler.scm 109 */
long BgL_auxz00_4191;
{ /* Jvm/compiler.scm 109 */
bool_t BgL_testz00_4192;
{ /* Jvm/compiler.scm 109 */
BgL_atomz00_bglt BgL_obj1598z00_2825;
BgL_obj1598z00_2825 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
{ /* Jvm/compiler.scm 109 */
obj_t BgL_auxz00_4194;
BgL_auxz00_4194 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2825))->BgL_valuez00); 
BgL_testz00_4192 = 
CBOOL(BgL_auxz00_4194); } } 
if(BgL_testz00_4192)
{ /* Jvm/compiler.scm 109 */
BgL_auxz00_4191 = ((long)1)
; }  else 
{ /* Jvm/compiler.scm 109 */
BgL_auxz00_4191 = ((long)0)
; } } 
BgL_auxz00_4189 = 
BINT(BgL_auxz00_4191); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)8)), BgL_auxz00_4189);} }  else 
{ /* Jvm/compiler.scm 110 */
bool_t BgL_testz00_4199;
{ /* Jvm/compiler.scm 110 */
obj_t BgL_auxz00_4200;
{ /* Jvm/compiler.scm 110 */
BgL_atomz00_bglt BgL_obj1598z00_2826;
BgL_obj1598z00_2826 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4200 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2826))->BgL_valuez00); } 
BgL_testz00_4199 = 
CHARP(BgL_auxz00_4200); } 
if(BgL_testz00_4199)
{ /* Jvm/compiler.scm 110 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)8))); 
{ /* Jvm/compiler.scm 112 */
obj_t BgL_auxz00_4206;
{ /* Jvm/compiler.scm 112 */
long BgL_auxz00_4208;
{ /* Jvm/compiler.scm 112 */
unsigned char BgL_auxz00_4209;
{ /* Jvm/compiler.scm 112 */
obj_t BgL_auxz00_4210;
{ /* Jvm/compiler.scm 112 */
BgL_atomz00_bglt BgL_obj1598z00_2828;
BgL_obj1598z00_2828 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4210 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2828))->BgL_valuez00); } 
BgL_auxz00_4209 = 
(unsigned char)CCHAR(BgL_auxz00_4210); } 
BgL_auxz00_4208 = 
(BgL_auxz00_4209); } 
BgL_auxz00_4206 = 
BINT(BgL_auxz00_4208); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)8)), BgL_auxz00_4206);} }  else 
{ /* Jvm/compiler.scm 113 */
bool_t BgL_testz00_4217;
{ /* Jvm/compiler.scm 113 */
obj_t BgL_auxz00_4218;
{ /* Jvm/compiler.scm 113 */
BgL_atomz00_bglt BgL_obj1598z00_2830;
BgL_obj1598z00_2830 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4218 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2830))->BgL_valuez00); } 
BgL_testz00_4217 = 
STRINGP(BgL_auxz00_4218); } 
if(BgL_testz00_4217)
{ /* Jvm/compiler.scm 113 */
BGl_check_type_vectorz00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)9))); 
{ /* Jvm/compiler.scm 116 */
obj_t BgL_auxz00_4224;
{ /* Jvm/compiler.scm 116 */
BgL_atomz00_bglt BgL_obj1598z00_2832;
BgL_obj1598z00_2832 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4224 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2832))->BgL_valuez00); } 
return 
BGl_createzd2stringzd2zzjvm_instrz00(
(obj_t)(BgL_envz00_21), BgL_auxz00_4224);} }  else 
{ /* Jvm/compiler.scm 117 */
bool_t BgL_test3494z00_1770;
{ /* Jvm/compiler.scm 117 */
obj_t BgL_auxz00_4229;
{ /* Jvm/compiler.scm 117 */
BgL_atomz00_bglt BgL_obj1598z00_2833;
BgL_obj1598z00_2833 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4229 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2833))->BgL_valuez00); } 
BgL_test3494z00_1770 = 
EOF_OBJECTP(BgL_auxz00_4229); } 
if(BgL_test3494z00_1770)
{ /* Jvm/compiler.scm 117 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)10))); 
{ /* Jvm/compiler.scm 119 */
obj_t BgL_arg3497z00_1771;
BgL_arg3497z00_1771 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)11))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3497z00_1771);} }  else 
{ /* Jvm/compiler.scm 120 */
bool_t BgL_testz00_4239;
{ /* Jvm/compiler.scm 120 */
obj_t BgL_auxz00_4240;
{ /* Jvm/compiler.scm 120 */
BgL_atomz00_bglt BgL_obj1598z00_2835;
BgL_obj1598z00_2835 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4240 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2835))->BgL_valuez00); } 
BgL_testz00_4239 = 
(BgL_auxz00_4240==BCNST(258)); } 
if(BgL_testz00_4239)
{ /* Jvm/compiler.scm 120 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)12))); 
{ /* Jvm/compiler.scm 122 */
obj_t BgL_arg3503z00_1773;
BgL_arg3503z00_1773 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)13))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3503z00_1773);} }  else 
{ /* Jvm/compiler.scm 123 */
bool_t BgL_testz00_4249;
{ /* Jvm/compiler.scm 123 */
obj_t BgL_auxz00_4250;
{ /* Jvm/compiler.scm 123 */
BgL_atomz00_bglt BgL_obj1598z00_2836;
BgL_obj1598z00_2836 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4250 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2836))->BgL_valuez00); } 
BgL_testz00_4249 = 
(BgL_auxz00_4250==BCNST(259)); } 
if(BgL_testz00_4249)
{ /* Jvm/compiler.scm 123 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)14))); 
{ /* Jvm/compiler.scm 125 */
obj_t BgL_arg3510z00_1775;
BgL_arg3510z00_1775 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)15))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3510z00_1775);} }  else 
{ /* Jvm/compiler.scm 126 */
bool_t BgL_testz00_4259;
{ /* Jvm/compiler.scm 126 */
obj_t BgL_auxz00_4260;
{ /* Jvm/compiler.scm 126 */
BgL_atomz00_bglt BgL_obj1598z00_2837;
BgL_obj1598z00_2837 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4260 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2837))->BgL_valuez00); } 
BgL_testz00_4259 = 
(BgL_auxz00_4260==BCNST(262)); } 
if(BgL_testz00_4259)
{ /* Jvm/compiler.scm 126 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)16))); 
{ /* Jvm/compiler.scm 128 */
obj_t BgL_arg3516z00_1777;
BgL_arg3516z00_1777 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)17))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3516z00_1777);} }  else 
{ /* Jvm/compiler.scm 129 */
bool_t BgL_testz00_4269;
{ /* Jvm/compiler.scm 129 */
obj_t BgL_auxz00_4270;
{ /* Jvm/compiler.scm 129 */
BgL_atomz00_bglt BgL_obj1598z00_2838;
BgL_obj1598z00_2838 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4270 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2838))->BgL_valuez00); } 
BgL_testz00_4269 = 
(BgL_auxz00_4270==BUNSPEC); } 
if(BgL_testz00_4269)
{ /* Jvm/compiler.scm 129 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)18))); 
{ /* Jvm/compiler.scm 131 */
obj_t BgL_arg3522z00_1779;
BgL_arg3522z00_1779 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)19))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3522z00_1779);} }  else 
{ /* Jvm/compiler.scm 132 */
bool_t BgL_testz00_4279;
{ /* Jvm/compiler.scm 132 */
obj_t BgL_auxz00_4280;
{ /* Jvm/compiler.scm 132 */
BgL_atomz00_bglt BgL_obj1598z00_2839;
BgL_obj1598z00_2839 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4280 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2839))->BgL_valuez00); } 
BgL_testz00_4279 = 
UCS2P(BgL_auxz00_4280); } 
if(BgL_testz00_4279)
{ /* Jvm/compiler.scm 132 */
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_21, BgL_ez00_20, 
CNST_TABLE_REF(((long)20))); 
{ /* Jvm/compiler.scm 135 */
obj_t BgL_arg3528z00_1781;
BgL_arg3528z00_1781 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)21))); 
BGl__newz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3528z00_1781); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_21); 
{ /* Jvm/compiler.scm 137 */
obj_t BgL_arg3533z00_1782;int BgL_arg3534z00_1783;
BgL_arg3533z00_1782 = 
CNST_TABLE_REF(((long)8)); 
{ /* Jvm/compiler.scm 137 */
obj_t BgL_auxz00_4291;
{ /* Jvm/compiler.scm 137 */
ucs2_t BgL_auxz00_4292;
{ /* Jvm/compiler.scm 137 */
obj_t BgL_auxz00_4293;
{ /* Jvm/compiler.scm 137 */
BgL_atomz00_bglt BgL_obj1598z00_2841;
BgL_obj1598z00_2841 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4293 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2841))->BgL_valuez00); } 
BgL_auxz00_4292 = 
CUCS2(BgL_auxz00_4293); } 
BgL_auxz00_4291 = 
BUCS2(BgL_auxz00_4292); } 
BgL_arg3534z00_1783 = 
CUCS2(BgL_auxz00_4291); } 
BGl__pushz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3533z00_1782, 
BINT(BgL_arg3534z00_1783)); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 139 */
obj_t BgL_arg3541z00_1785;obj_t BgL_arg3542z00_1786;obj_t BgL_arg3544z00_1787;
BgL_arg3541z00_1785 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)22))); 
BgL_arg3542z00_1786 = 
CNST_TABLE_REF(((long)23)); 
BgL_arg3544z00_1787 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3541z00_1785, BgL_arg3542z00_1786, BgL_arg3544z00_1787);}  else 
{ /* Jvm/compiler.scm 140 */
obj_t BgL_arg3548z00_1788;
BgL_arg3548z00_1788 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_21, 
CNST_TABLE_REF(((long)25))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_21, BgL_arg3548z00_1788);} }  else 
{ /* Jvm/compiler.scm 132 */
{ 
obj_t BgL_auxz00_4311;
{ /* Jvm/compiler.scm 141 */
BgL_atomz00_bglt BgL_obj1598z00_2843;
BgL_obj1598z00_2843 = 
(BgL_atomz00_bglt)(BgL_ez00_20); 
BgL_auxz00_4311 = 
(((BgL_atomz00_bglt)CREF(BgL_obj1598z00_2843))->BgL_valuez00); } 
FAILURE(BGl_string5897z00zzjvm_compilerz00,BGl_string5898z00zzjvm_compilerz00,BgL_auxz00_4311);} } } } } } } } } } } } } } 
}



/* _compiler-atom5391 */
obj_t BGl__compilerzd2atom5391zd2zzjvm_compilerz00(obj_t BgL_envz00_3846, obj_t BgL_ez00_3847, obj_t BgL_envz00_3848)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 97 */
return 
BGl_compilerzd2atomzd2zzjvm_compilerz00(BgL_ez00_3847, 
(BgL_envz00_bglt)(BgL_envz00_3848));} 
}



/* compiler-var */
obj_t BGl_compilerzd2varzd2zzjvm_compilerz00(BgL_varz00_bglt BgL_ez00_22, BgL_envz00_bglt BgL_envz00_23)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 144 */
{ /* Jvm/compiler.scm 145 */
obj_t BgL_nz00_2849;
BgL_nz00_2849 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_22)); 
if(
CBOOL(BgL_nz00_2849))
{ /* Jvm/compiler.scm 145 */
BGl__linez00zzjvm_instrz00(BgL_envz00_23, BgL_nz00_2849); }  else 
{ /* Jvm/compiler.scm 145 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 146 */
BgL_variablez00_bglt BgL_varz00_1806;
BgL_varz00_1806 = 
(((BgL_varz00_bglt)CREF(BgL_ez00_22))->BgL_variablez00); 
{ /* Jvm/compiler.scm 148 */
bool_t BgL_test3606z00_1807;
BgL_test3606z00_1807 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_varz00_1806), BGl_globalz00zzast_varz00); 
if(BgL_test3606z00_1807)
{ /* Jvm/compiler.scm 148 */
{ /* Jvm/compiler.scm 149 */
BgL_valuez00_bglt BgL_valuez00_1808;
{ /* Jvm/compiler.scm 149 */
BgL_globalz00_bglt BgL_obj1156z00_2852;
BgL_obj1156z00_2852 = 
(BgL_globalz00_bglt)(BgL_varz00_1806); 
BgL_valuez00_1808 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2852))->BgL_valuez00); } 
{ /* Jvm/compiler.scm 150 */
bool_t BgL_test3607z00_1809;
BgL_test3607z00_1809 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_valuez00_1808), BGl_sfunz00zzast_varz00); 
if(BgL_test3607z00_1809)
{ /* Jvm/compiler.scm 151 */
long BgL_auxz00_4332;
{ /* Jvm/compiler.scm 151 */
BgL_sfunz00_bglt BgL_obj1351z00_2854;
BgL_obj1351z00_2854 = 
(BgL_sfunz00_bglt)(BgL_valuez00_1808); 
BgL_auxz00_4332 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1351z00_2854))->BgL_arityz00); } 
return 
BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(
(BgL_globalz00_bglt)(BgL_varz00_1806), BgL_auxz00_4332, BgL_envz00_23);}  else 
{ /* Jvm/compiler.scm 150 */
return 
BGl__getstatic2z00zzjvm_instrz00(BgL_envz00_23, 
(BgL_globalz00_bglt)(BgL_varz00_1806));} } } }  else 
{ /* Jvm/compiler.scm 148 */
return 
BGl__loadz00zzjvm_instrz00(BgL_envz00_23, 
(BgL_localz00_bglt)(BgL_varz00_1806));} } } } 
}



/* _compiler-var5393 */
obj_t BGl__compilerzd2var5393zd2zzjvm_compilerz00(obj_t BgL_envz00_3849, obj_t BgL_ez00_3850, obj_t BgL_envz00_3851)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 144 */
return 
BGl_compilerzd2varzd2zzjvm_compilerz00(
(BgL_varz00_bglt)(BgL_ez00_3850), 
(BgL_envz00_bglt)(BgL_envz00_3851));} 
}



/* compile-procedure-entry */
obj_t BGl_compilezd2procedurezd2entryz00zzjvm_compilerz00(BgL_globalz00_bglt BgL_varz00_24, long BgL_arityz00_25, BgL_envz00_bglt BgL_envz00_26)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 155 */
{ /* Jvm/compiler.scm 156 */
long BgL_xz00_1811;
if(
BGl_ze3zd3fxz30zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)0)))
{ /* Jvm/compiler.scm 156 */
BgL_xz00_1811 = 
BGl_zd2fxzd2zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)1)); }  else 
{ /* Jvm/compiler.scm 156 */
BgL_xz00_1811 = 
BGl_zb2fxzb2zz__r4_numbers_6_5_fixnumz00(BgL_arityz00_25, ((long)1)); } 
{ /* Jvm/compiler.scm 157 */
obj_t BgL_indexz00_1812;
{ /* Jvm/compiler.scm 157 */
obj_t BgL_arg3620z00_1813;
BgL_arg3620z00_1813 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_26, BgL_varz00_24); 
BgL_indexz00_1812 = 
BGl_envzd2newzd2procedurez00zzjvm_envz00(BgL_envz00_26, 
BINT(BgL_xz00_1811), BgL_arg3620z00_1813); } 
return 
BGl__pushz00zzjvm_instrz00(BgL_envz00_26, 
CNST_TABLE_REF(((long)8)), BgL_indexz00_1812);} } } 
}



/* compiler-let */
obj_t BGl_compilerzd2letzd2zzjvm_compilerz00(BgL_letzd2varzd2_bglt BgL_ez00_27, BgL_envz00_bglt BgL_envz00_28, obj_t BgL_compilerz00_29)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 161 */
{ /* Jvm/compiler.scm 162 */
obj_t BgL_nz00_2857;
BgL_nz00_2857 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_27)); 
if(
CBOOL(BgL_nz00_2857))
{ /* Jvm/compiler.scm 162 */
BGl__linez00zzjvm_instrz00(BgL_envz00_28, BgL_nz00_2857); }  else 
{ /* Jvm/compiler.scm 162 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 164 */
obj_t BgL_debugzf3zf3_1816;
BgL_debugzf3zf3_1816 = 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_28); 
{ /* Jvm/compiler.scm 165 */
obj_t BgL_elabz00_1817;
if(
CBOOL(BgL_debugzf3zf3_1816))
{ /* Jvm/compiler.scm 165 */
BgL_elabz00_1817 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5899z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 165 */
BgL_elabz00_1817 = 
CNST_TABLE_REF(((long)26)); } 
{ 
obj_t BgL_l3039z00_1818;
BgL_l3039z00_1818 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bindingsz00); 
BgL_lname3040z00_1819:
if(
PAIRP(BgL_l3039z00_1818))
{ /* Jvm/compiler.scm 166 */
{ /* Jvm/compiler.scm 167 */
obj_t BgL_bz00_1822;
BgL_bz00_1822 = 
CAR(BgL_l3039z00_1818); 
{ /* Jvm/compiler.scm 167 */
obj_t BgL_varz00_1823;obj_t BgL_valz00_1824;
BgL_varz00_1823 = 
CAR(BgL_bz00_1822); 
BgL_valz00_1824 = 
CDR(BgL_bz00_1822); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(BgL_nodez00_bglt)(BgL_valz00_1824), BgL_envz00_28); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_28, BgL_valz00_1824, BgL_varz00_1823); 
BGl_envzd2declarezd2localz00zzjvm_envz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1823)); 
BGl_debugzd2declarezd2varz00zzjvm_externz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1823), BgL_elabz00_1817); 
BGl__storez00zzjvm_instrz00(BgL_envz00_28, 
(BgL_localz00_bglt)(BgL_varz00_1823)); } } 
{ 
obj_t BgL_l3039z00_4379;
BgL_l3039z00_4379 = 
CDR(BgL_l3039z00_1818); 
BgL_l3039z00_1818 = BgL_l3039z00_4379; 
goto BgL_lname3040z00_1819;} }  else 
{ /* Jvm/compiler.scm 166 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 174 */
obj_t BgL_auxz00_4382;
{ /* Jvm/compiler.scm 174 */
BgL_nodez00_bglt BgL_auxz00_4383;
BgL_auxz00_4383 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bodyz00); 
BgL_auxz00_4382 = 
(obj_t)(BgL_auxz00_4383); } 
PROCEDURE_ENTRY(BgL_compilerz00_29)(BgL_compilerz00_29, BgL_auxz00_4382, 
(obj_t)(BgL_envz00_28), BEOA); } 
if(
CBOOL(BgL_debugzf3zf3_1816))
{ /* Jvm/compiler.scm 175 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_28, BgL_elabz00_1817); }  else 
{ /* Jvm/compiler.scm 175 */BFALSE; } 
{ /* Jvm/compiler.scm 176 */
obj_t BgL_auxz00_4392;
{ /* Jvm/compiler.scm 176 */
BgL_nodez00_bglt BgL_auxz00_4393;
BgL_auxz00_4393 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bodyz00); 
BgL_auxz00_4392 = 
(obj_t)(BgL_auxz00_4393); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_28, BgL_auxz00_4392, 
(obj_t)(BgL_ez00_27)); } 
{ 
obj_t BgL_l3041z00_1828;
{ /* Jvm/compiler.scm 177 */
bool_t BgL_auxz00_4398;
BgL_l3041z00_1828 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_27))->BgL_bindingsz00); 
BgL_lname3042z00_1829:
if(
PAIRP(BgL_l3041z00_1828))
{ /* Jvm/compiler.scm 177 */
{ /* Jvm/compiler.scm 178 */
obj_t BgL_arg3661z00_1833;
{ /* Jvm/compiler.scm 178 */
obj_t BgL_auxz00_4401;
{ /* Jvm/compiler.scm 178 */
obj_t BgL_auxz00_4402;
BgL_auxz00_4402 = 
CAR(BgL_l3041z00_1828); 
BgL_auxz00_4401 = 
CAR(BgL_auxz00_4402); } 
BgL_arg3661z00_1833 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4401, BgL_envz00_28); } 
BGl_envzd2freezd2localz00zzjvm_envz00(BgL_envz00_28, BgL_arg3661z00_1833); } 
{ 
obj_t BgL_l3041z00_4407;
BgL_l3041z00_4407 = 
CDR(BgL_l3041z00_1828); 
BgL_l3041z00_1828 = BgL_l3041z00_4407; 
goto BgL_lname3042z00_1829;} }  else 
{ /* Jvm/compiler.scm 177 */
BgL_auxz00_4398 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_4398);} } } } } 
}



/* _compiler-let5395 */
obj_t BGl__compilerzd2let5395zd2zzjvm_compilerz00(obj_t BgL_envz00_3852, obj_t BgL_ez00_3853, obj_t BgL_envz00_3854, obj_t BgL_compilerz00_3855)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 161 */
return 
BGl_compilerzd2letzd2zzjvm_compilerz00(
(BgL_letzd2varzd2_bglt)(BgL_ez00_3853), 
(BgL_envz00_bglt)(BgL_envz00_3854), BgL_compilerz00_3855);} 
}



/* compiler-setq */
obj_t BGl_compilerzd2setqzd2zzjvm_compilerz00(BgL_setqz00_bglt BgL_ez00_30, BgL_envz00_bglt BgL_envz00_31)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 182 */
{ /* Jvm/compiler.scm 183 */
obj_t BgL_nz00_2873;
BgL_nz00_2873 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_30)); 
if(
CBOOL(BgL_nz00_2873))
{ /* Jvm/compiler.scm 183 */
BGl__linez00zzjvm_instrz00(BgL_envz00_31, BgL_nz00_2873); }  else 
{ /* Jvm/compiler.scm 183 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_valuez00), BgL_envz00_31); 
{ /* Jvm/compiler.scm 186 */
obj_t BgL_auxz00_4426;obj_t BgL_auxz00_4422;
{ /* Jvm/compiler.scm 186 */
BgL_varz00_bglt BgL_auxz00_4427;
BgL_auxz00_4427 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_varz00); 
BgL_auxz00_4426 = 
(obj_t)(BgL_auxz00_4427); } 
{ /* Jvm/compiler.scm 186 */
BgL_nodez00_bglt BgL_auxz00_4423;
BgL_auxz00_4423 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_valuez00); 
BgL_auxz00_4422 = 
(obj_t)(BgL_auxz00_4423); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_31, BgL_auxz00_4422, BgL_auxz00_4426); } 
{ /* Jvm/compiler.scm 187 */
BgL_variablez00_bglt BgL_variablez00_1840;
{ /* Jvm/compiler.scm 187 */
BgL_varz00_bglt BgL_arg3699z00_1844;
BgL_arg3699z00_1844 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_30))->BgL_varz00); 
BgL_variablez00_1840 = 
(((BgL_varz00_bglt)CREF(BgL_arg3699z00_1844))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 188 */
bool_t BgL_test3687z00_1841;
BgL_test3687z00_1841 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_variablez00_1840), BGl_globalz00zzast_varz00); 
if(BgL_test3687z00_1841)
{ /* Jvm/compiler.scm 188 */
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 190 */
obj_t BgL_arg3689z00_1842;
BgL_arg3689z00_1842 = 
BGl_compilezd2typezd2zzjvm_envz00(
(obj_t)(BgL_variablez00_1840), BgL_envz00_31); 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_31, BgL_arg3689z00_1842); }  else 
{ /* Jvm/compiler.scm 190 */BFALSE; } 
{ /* Jvm/compiler.scm 191 */
obj_t BgL_arg3693z00_1843;
BgL_arg3693z00_1843 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_31, 
(BgL_globalz00_bglt)(BgL_variablez00_1840)); 
return 
BGl__putstaticz00zzjvm_instrz00(BgL_envz00_31, BgL_arg3693z00_1843);} }  else 
{ /* Jvm/compiler.scm 188 */
return 
BGl__storez00zzjvm_instrz00(BgL_envz00_31, 
(BgL_localz00_bglt)(BgL_variablez00_1840));} } } } 
}



/* _compiler-setq5397 */
obj_t BGl__compilerzd2setq5397zd2zzjvm_compilerz00(obj_t BgL_envz00_3856, obj_t BgL_ez00_3857, obj_t BgL_envz00_3858)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 182 */
return 
BGl_compilerzd2setqzd2zzjvm_compilerz00(
(BgL_setqz00_bglt)(BgL_ez00_3857), 
(BgL_envz00_bglt)(BgL_envz00_3858));} 
}



/* compiler-sequence */
obj_t BGl_compilerzd2sequencezd2zzjvm_compilerz00(BgL_sequencez00_bglt BgL_ez00_32, BgL_envz00_bglt BgL_envz00_33, obj_t BgL_compilerz00_34)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 195 */
{ /* Jvm/compiler.scm 196 */
obj_t BgL_nz00_2882;
BgL_nz00_2882 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_32)); 
if(
CBOOL(BgL_nz00_2882))
{ /* Jvm/compiler.scm 196 */
BGl__linez00zzjvm_instrz00(BgL_envz00_33, BgL_nz00_2882); }  else 
{ /* Jvm/compiler.scm 196 */
CNST_TABLE_REF(((long)3)); } } 
{ 
obj_t BgL_lz00_1850;obj_t BgL_nextz00_1851;
BgL_lz00_1850 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_32))->BgL_nodesz00); 
{ /* Jvm/compiler.scm 205 */
obj_t BgL_auxz00_4473;
BgL_auxz00_4473 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_32))->BgL_nodesz00); 
BgL_nextz00_1851 = 
CDR(BgL_auxz00_4473); } 
BgL_zc3anonymousza33712ze3z83_1852:
if(
NULLP(BgL_nextz00_1851))
{ /* Jvm/compiler.scm 199 */
PROCEDURE_ENTRY(BgL_compilerz00_34)(BgL_compilerz00_34, 
CAR(BgL_lz00_1850), 
(obj_t)(BgL_envz00_33), BEOA); 
return 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_33, 
CAR(BgL_lz00_1850), 
(obj_t)(BgL_ez00_32));}  else 
{ /* Jvm/compiler.scm 199 */
{ /* Jvm/compiler.scm 203 */
BgL_nodez00_bglt BgL_auxz00_4464;
{ /* Jvm/compiler.scm 203 */
obj_t BgL_auxz00_4465;
BgL_auxz00_4465 = 
CAR(BgL_lz00_1850); 
BgL_auxz00_4464 = 
(BgL_nodez00_bglt)(BgL_auxz00_4465); } 
BGl_compilezd2effectzd2zzjvm_effectz00(BgL_auxz00_4464, BgL_envz00_33); } 
{ 
obj_t BgL_nextz00_4470;obj_t BgL_lz00_4469;
BgL_lz00_4469 = BgL_nextz00_1851; 
BgL_nextz00_4470 = 
CDR(BgL_nextz00_1851); 
BgL_nextz00_1851 = BgL_nextz00_4470; 
BgL_lz00_1850 = BgL_lz00_4469; 
goto BgL_zc3anonymousza33712ze3z83_1852;} } } } 
}



/* _compiler-sequence5399 */
obj_t BGl__compilerzd2sequence5399zd2zzjvm_compilerz00(obj_t BgL_envz00_3859, obj_t BgL_ez00_3860, obj_t BgL_envz00_3861, obj_t BgL_compilerz00_3862)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 195 */
return 
BGl_compilerzd2sequencezd2zzjvm_compilerz00(
(BgL_sequencez00_bglt)(BgL_ez00_3860), 
(BgL_envz00_bglt)(BgL_envz00_3861), BgL_compilerz00_3862);} 
}



/* compiler-if */
obj_t BGl_compilerzd2ifzd2zzjvm_compilerz00(BgL_conditionalz00_bglt BgL_ez00_35, BgL_envz00_bglt BgL_envz00_36, obj_t BgL_compilerz00_37)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 208 */
{ /* Jvm/compiler.scm 209 */
obj_t BgL_nz00_2893;
BgL_nz00_2893 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_35)); 
if(
CBOOL(BgL_nz00_2893))
{ /* Jvm/compiler.scm 209 */
BGl__linez00zzjvm_instrz00(BgL_envz00_36, BgL_nz00_2893); }  else 
{ /* Jvm/compiler.scm 209 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 211 */
obj_t BgL_ltruez00_1860;obj_t BgL_lfalsez00_1861;obj_t BgL_lcontz00_1862;
BgL_ltruez00_1860 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
BgL_lfalsez00_1861 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
BgL_lcontz00_1862 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
BGl_compilezd2predicatezd2zzjvm_predicatez00(
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_testz00), BgL_ltruez00_1860, BgL_lfalsez00_1861, BgL_envz00_36); 
{ /* Jvm/compiler.scm 215 */
obj_t BgL_stackz00_1864;
BgL_stackz00_1864 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_ltruez00_1860); 
{ /* Jvm/compiler.scm 217 */
obj_t BgL_auxz00_4495;
{ /* Jvm/compiler.scm 217 */
BgL_nodez00_bglt BgL_auxz00_4496;
BgL_auxz00_4496 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_truez00); 
BgL_auxz00_4495 = 
(obj_t)(BgL_auxz00_4496); } 
PROCEDURE_ENTRY(BgL_compilerz00_37)(BgL_compilerz00_37, BgL_auxz00_4495, 
(obj_t)(BgL_envz00_36), BEOA); } 
{ /* Jvm/compiler.scm 218 */
obj_t BgL_auxz00_4502;
{ /* Jvm/compiler.scm 218 */
BgL_nodez00_bglt BgL_auxz00_4503;
BgL_auxz00_4503 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_truez00); 
BgL_auxz00_4502 = 
(obj_t)(BgL_auxz00_4503); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_36, BgL_auxz00_4502, 
(obj_t)(BgL_ez00_35)); } 
{ /* Jvm/compiler.scm 219 */
obj_t BgL_rstackz00_1867;
BgL_rstackz00_1867 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_36, BgL_lcontz00_1862); 
((((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00) = ((obj_t)BgL_stackz00_1864), BUNSPEC); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_lfalsez00_1861); 
{ /* Jvm/compiler.scm 223 */
obj_t BgL_auxz00_4512;
{ /* Jvm/compiler.scm 223 */
BgL_nodez00_bglt BgL_auxz00_4513;
BgL_auxz00_4513 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_falsez00); 
BgL_auxz00_4512 = 
(obj_t)(BgL_auxz00_4513); } 
PROCEDURE_ENTRY(BgL_compilerz00_37)(BgL_compilerz00_37, BgL_auxz00_4512, 
(obj_t)(BgL_envz00_36), BEOA); } 
{ /* Jvm/compiler.scm 224 */
obj_t BgL_auxz00_4519;
{ /* Jvm/compiler.scm 224 */
BgL_nodez00_bglt BgL_auxz00_4520;
BgL_auxz00_4520 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_35))->BgL_falsez00); 
BgL_auxz00_4519 = 
(obj_t)(BgL_auxz00_4520); } 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_36, BgL_auxz00_4519, 
(obj_t)(BgL_ez00_35)); } 
{ /* Jvm/compiler.scm 225 */
obj_t BgL_rrstackz00_1870;
BgL_rrstackz00_1870 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00); 
{ /* Jvm/compiler.scm 226 */
bool_t BgL_testz00_4526;
if(
NULLP(BgL_rrstackz00_1870))
{ /* Jvm/compiler.scm 226 */
BgL_testz00_4526 = ((bool_t)0)
; }  else 
{ /* Jvm/compiler.scm 226 */
obj_t BgL_auxz00_4531;obj_t BgL_auxz00_4529;
BgL_auxz00_4531 = 
CNST_TABLE_REF(((long)27)); 
BgL_auxz00_4529 = 
CAR(BgL_rrstackz00_1870); 
BgL_testz00_4526 = 
(BgL_auxz00_4529==BgL_auxz00_4531); } 
if(BgL_testz00_4526)
{ /* Jvm/compiler.scm 226 */
((((BgL_envz00_bglt)CREF(BgL_envz00_36))->BgL_stackz00) = ((obj_t)BgL_rstackz00_1867), BUNSPEC); }  else 
{ /* Jvm/compiler.scm 226 */BFALSE; } } 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_36, BgL_lcontz00_1862);} } } } } 
}



/* _compiler-if5401 */
obj_t BGl__compilerzd2if5401zd2zzjvm_compilerz00(obj_t BgL_envz00_3863, obj_t BgL_ez00_3864, obj_t BgL_envz00_3865, obj_t BgL_compilerz00_3866)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 208 */
return 
BGl_compilerzd2ifzd2zzjvm_compilerz00(
(BgL_conditionalz00_bglt)(BgL_ez00_3864), 
(BgL_envz00_bglt)(BgL_envz00_3865), BgL_compilerz00_3866);} 
}



/* compiler-select */
obj_t BGl_compilerzd2selectzd2zzjvm_compilerz00(BgL_selectz00_bglt BgL_ez00_38, BgL_envz00_bglt BgL_envz00_39, obj_t BgL_compilerz00_40)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 231 */
{ /* Jvm/compiler.scm 232 */
obj_t BgL_nz00_2910;
BgL_nz00_2910 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_38)); 
if(
CBOOL(BgL_nz00_2910))
{ /* Jvm/compiler.scm 232 */
BGl__linez00zzjvm_instrz00(BgL_envz00_39, BgL_nz00_2910); }  else 
{ /* Jvm/compiler.scm 232 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_testz00), BgL_envz00_39); 
{ /* Jvm/compiler.scm 237 */
obj_t BgL_auxz00_4547;
{ /* Jvm/compiler.scm 237 */
BgL_nodez00_bglt BgL_auxz00_4548;
BgL_auxz00_4548 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_testz00); 
BgL_auxz00_4547 = 
(obj_t)(BgL_auxz00_4548); } 
BGl_check_typez00zzjvm_compilerz00(BgL_envz00_39, BgL_auxz00_4547, 
CNST_TABLE_REF(((long)8))); } 
{ /* Jvm/compiler.scm 238 */
bool_t BgL_test3783z00_1880;
{ /* Jvm/compiler.scm 238 */
obj_t BgL_arg3804z00_1889;
BgL_arg3804z00_1889 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_clausesz00); 
{ /* Jvm/compiler.scm 238 */
obj_t BgL_zc3anonymousza33806ze3z83_3868;
{ 
int BgL_auxz00_4556;int BgL_auxz00_4554;
BgL_auxz00_4556 = 
(int)(((long)1)); 
BgL_auxz00_4554 = 
(int)(((long)1)); 
BgL_zc3anonymousza33806ze3z83_3868 = 
make_fx_procedure(BGl_zc3anonymousza33806ze3z83zzjvm_compilerz00, BgL_auxz00_4554, BgL_auxz00_4556); } 
{ /* Jvm/compiler.scm 238 */
int BgL_auxz00_4559;
BgL_auxz00_4559 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33806ze3z83_3868, BgL_auxz00_4559, BGl_proc5901z00zzjvm_compilerz00); } 
{ /* Jvm/compiler.scm 238 */
obj_t BgL_auxz00_4562;
BgL_auxz00_4562 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33806ze3z83_3868, BgL_arg3804z00_1889); 
BgL_test3783z00_1880 = 
CBOOL(BgL_auxz00_4562); } } } 
if(BgL_test3783z00_1880)
{ /* Jvm/compiler.scm 241 */
obj_t BgL_arg3785z00_1881;obj_t BgL_arg3786z00_1882;
{ /* Jvm/compiler.scm 241 */
obj_t BgL_auxz00_4566;
{ /* Jvm/compiler.scm 241 */
BgL_typez00_bglt BgL_auxz00_4567;
BgL_auxz00_4567 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_itemzd2typezd2); 
BgL_auxz00_4566 = 
(obj_t)(BgL_auxz00_4567); } 
BgL_arg3785z00_1881 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4566, BgL_envz00_39); } 
BgL_arg3786z00_1882 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_clausesz00); 
return 
BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_39, BgL_arg3785z00_1881, BgL_arg3786z00_1882, BgL_compilerz00_40, BgL_ez00_38);}  else 
{ /* Jvm/compiler.scm 242 */
obj_t BgL_arg3796z00_1886;
{ /* Jvm/compiler.scm 242 */
obj_t BgL_auxz00_4573;
{ /* Jvm/compiler.scm 242 */
BgL_typez00_bglt BgL_auxz00_4574;
BgL_auxz00_4574 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_38))->BgL_itemzd2typezd2); 
BgL_auxz00_4573 = 
(obj_t)(BgL_auxz00_4574); } 
BgL_arg3796z00_1886 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4573, BgL_envz00_39); } 
FAILURE(BGl_string5902z00zzjvm_compilerz00,BGl_string5903z00zzjvm_compilerz00,BgL_arg3796z00_1886);} } } 
}



/* _compiler-select5403 */
obj_t BGl__compilerzd2select5403zd2zzjvm_compilerz00(obj_t BgL_envz00_3869, obj_t BgL_ez00_3870, obj_t BgL_envz00_3871, obj_t BgL_compilerz00_3872)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 231 */
return 
BGl_compilerzd2selectzd2zzjvm_compilerz00(
(BgL_selectz00_bglt)(BgL_ez00_3870), 
(BgL_envz00_bglt)(BgL_envz00_3871), BgL_compilerz00_3872);} 
}



/* <anonymous:3806> */
obj_t BGl_zc3anonymousza33806ze3z83zzjvm_compilerz00(obj_t BgL_envz00_3873, obj_t BgL_cz00_3875)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 238 */
{ /* Jvm/compiler.scm 238 */
obj_t BgL_intzf3zf3_3874;
{ /* Jvm/compiler.scm 238 */
int BgL_auxz00_4582;
BgL_auxz00_4582 = 
(int)(((long)0)); 
BgL_intzf3zf3_3874 = 
PROCEDURE_REF(BgL_envz00_3873, BgL_auxz00_4582); } 
{ 
obj_t BgL_cz00_1890;
BgL_cz00_1890 = BgL_cz00_3875; 
{ /* Jvm/compiler.scm 238 */
bool_t BgL__ortest_3052z00_1892;
{ /* Jvm/compiler.scm 238 */
obj_t BgL_auxz00_4587;obj_t BgL_auxz00_4585;
BgL_auxz00_4587 = 
CNST_TABLE_REF(((long)28)); 
BgL_auxz00_4585 = 
CAR(BgL_cz00_1890); 
BgL__ortest_3052z00_1892 = 
(BgL_auxz00_4585==BgL_auxz00_4587); } 
if(BgL__ortest_3052z00_1892)
{ /* Jvm/compiler.scm 238 */
return 
BBOOL(BgL__ortest_3052z00_1892);}  else 
{ /* Jvm/compiler.scm 238 */
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_intzf3zf3_3874, 
CAR(BgL_cz00_1890));} } } } } 
}



/* int? */
obj_t BGl_intzf3zf3zzjvm_compilerz00(obj_t BgL_envz00_3876, obj_t BgL_nz00_3877)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 233 */
{ 
obj_t BgL_nz00_1897;
{ /* Jvm/compiler.scm 233 */
bool_t BgL_auxz00_4594;
BgL_nz00_1897 = BgL_nz00_3877; 
{ /* Jvm/compiler.scm 233 */
bool_t BgL__ortest_3049z00_2922;
BgL__ortest_3049z00_2922 = 
INTEGERP(BgL_nz00_1897); 
if(BgL__ortest_3049z00_2922)
{ /* Jvm/compiler.scm 233 */
BgL_auxz00_4594 = BgL__ortest_3049z00_2922
; }  else 
{ /* Jvm/compiler.scm 233 */
BgL_auxz00_4594 = 
CHARP(BgL_nz00_1897)
; } } 
return 
BBOOL(BgL_auxz00_4594);} } } 
}



/* select-int */
obj_t BGl_selectzd2intzd2zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_41, obj_t BgL_itemzd2typezd2_42, obj_t BgL_clausesz00_43, obj_t BgL_compz00_44, BgL_selectz00_bglt BgL_ez00_45)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 244 */
{ 
obj_t BgL_nz00_1936;
{ /* Jvm/compiler.scm 249 */
bool_t BgL_testz00_4599;
{ /* Jvm/compiler.scm 249 */
obj_t BgL_auxz00_4600;
BgL_auxz00_4600 = 
CNST_TABLE_REF(((long)29)); 
BgL_testz00_4599 = 
(BgL_itemzd2typezd2_42==BgL_auxz00_4600); } 
if(BgL_testz00_4599)
{ /* Jvm/compiler.scm 249 */
BGl__l2iz00zzjvm_instrz00(BgL_envz00_41); }  else 
{ /* Jvm/compiler.scm 249 */BFALSE; } } 
{ /* Jvm/compiler.scm 250 */
obj_t BgL_ldefz00_1903;obj_t BgL_lcontz00_1904;obj_t BgL_dz00_1905;obj_t BgL_num2labz00_1906;obj_t BgL_lab2nodez00_1907;
BgL_ldefz00_1903 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
BgL_lcontz00_1904 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
BgL_dz00_1905 = BFALSE; 
BgL_num2labz00_1906 = BNIL; 
BgL_lab2nodez00_1907 = BNIL; 
{ 
obj_t BgL_l3053z00_1908;
BgL_l3053z00_1908 = BgL_clausesz00_43; 
BgL_lname3054z00_1909:
if(
PAIRP(BgL_l3053z00_1908))
{ /* Jvm/compiler.scm 252 */
{ /* Jvm/compiler.scm 254 */
obj_t BgL_cz00_1911;
BgL_cz00_1911 = 
CAR(BgL_l3053z00_1908); 
{ /* Jvm/compiler.scm 254 */
bool_t BgL_testz00_4611;
{ /* Jvm/compiler.scm 254 */
obj_t BgL_auxz00_4614;obj_t BgL_auxz00_4612;
BgL_auxz00_4614 = 
CNST_TABLE_REF(((long)28)); 
BgL_auxz00_4612 = 
CAR(BgL_cz00_1911); 
BgL_testz00_4611 = 
(BgL_auxz00_4612==BgL_auxz00_4614); } 
if(BgL_testz00_4611)
{ /* Jvm/compiler.scm 254 */
BgL_dz00_1905 = 
CDR(BgL_cz00_1911); }  else 
{ /* Jvm/compiler.scm 256 */
obj_t BgL_labz00_1913;
BgL_labz00_1913 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
{ 
obj_t BgL_l3055z00_1914;
BgL_l3055z00_1914 = 
CAR(BgL_cz00_1911); 
BgL_lname3056z00_1915:
if(
PAIRP(BgL_l3055z00_1914))
{ /* Jvm/compiler.scm 257 */
{ /* Jvm/compiler.scm 258 */
obj_t BgL_arg3833z00_1919;
{ /* Jvm/compiler.scm 258 */
obj_t BgL_arg3836z00_1920;
BgL_nz00_1936 = 
CAR(BgL_l3055z00_1914); 
if(
INTEGERP(BgL_nz00_1936))
{ /* Jvm/compiler.scm 246 */
BgL_arg3836z00_1920 = BgL_nz00_1936; }  else 
{ /* Jvm/compiler.scm 246 */
if(
CHARP(BgL_nz00_1936))
{ /* Jvm/compiler.scm 247 */
{ /* Jvm/compiler.scm 247 */
long BgL_auxz00_4626;
{ /* Jvm/compiler.scm 247 */
unsigned char BgL_auxz00_4627;
BgL_auxz00_4627 = 
(unsigned char)CCHAR(BgL_nz00_1936); 
BgL_auxz00_4626 = 
(BgL_auxz00_4627); } 
BgL_arg3836z00_1920 = 
BINT(BgL_auxz00_4626); } }  else 
{ /* Jvm/compiler.scm 247 */
FAILURE(BGl_string5902z00zzjvm_compilerz00,BGl_string5904z00zzjvm_compilerz00,BgL_nz00_1936);} } 
BgL_arg3833z00_1919 = 
MAKE_PAIR(BgL_arg3836z00_1920, BgL_labz00_1913); } 
BgL_num2labz00_1906 = 
MAKE_PAIR(BgL_arg3833z00_1919, BgL_num2labz00_1906); } 
{ 
obj_t BgL_l3055z00_4635;
BgL_l3055z00_4635 = 
CDR(BgL_l3055z00_1914); 
BgL_l3055z00_1914 = BgL_l3055z00_4635; 
goto BgL_lname3056z00_1915;} }  else 
{ /* Jvm/compiler.scm 257 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 260 */
obj_t BgL_arg3846z00_1922;
{ /* Jvm/compiler.scm 260 */
obj_t BgL_auxz00_4638;
BgL_auxz00_4638 = 
CDR(BgL_cz00_1911); 
BgL_arg3846z00_1922 = 
MAKE_PAIR(BgL_labz00_1913, BgL_auxz00_4638); } 
BgL_lab2nodez00_1907 = 
MAKE_PAIR(BgL_arg3846z00_1922, BgL_lab2nodez00_1907); } } } } 
{ 
obj_t BgL_l3053z00_4642;
BgL_l3053z00_4642 = 
CDR(BgL_l3053z00_1908); 
BgL_l3053z00_1908 = BgL_l3053z00_4642; 
goto BgL_lname3054z00_1909;} }  else 
{ /* Jvm/compiler.scm 252 */((bool_t)1); } } 
BGl__switchz00zzjvm_instrz00(BgL_envz00_41, BgL_ldefz00_1903, BgL_num2labz00_1906); 
{ /* Jvm/compiler.scm 263 */
obj_t BgL_stackz00_1927;
BgL_stackz00_1927 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00); 
{ 
obj_t BgL_l3057z00_1928;
BgL_l3057z00_1928 = BgL_lab2nodez00_1907; 
BgL_lname3058z00_1929:
if(
PAIRP(BgL_l3057z00_1928))
{ /* Jvm/compiler.scm 264 */
{ /* Jvm/compiler.scm 265 */
obj_t BgL_slotz00_1931;
BgL_slotz00_1931 = 
CAR(BgL_l3057z00_1928); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, 
CAR(BgL_slotz00_1931)); 
((((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00) = ((obj_t)BgL_stackz00_1927), BUNSPEC); 
PROCEDURE_ENTRY(BgL_compz00_44)(BgL_compz00_44, 
CDR(BgL_slotz00_1931), 
(obj_t)(BgL_envz00_41), BEOA); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_41, 
CDR(BgL_slotz00_1931), 
(obj_t)(BgL_ez00_45)); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_41, BgL_lcontz00_1904); } 
{ 
obj_t BgL_l3057z00_4660;
BgL_l3057z00_4660 = 
CDR(BgL_l3057z00_1928); 
BgL_l3057z00_1928 = BgL_l3057z00_4660; 
goto BgL_lname3058z00_1929;} }  else 
{ /* Jvm/compiler.scm 264 */((bool_t)1); } } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, BgL_ldefz00_1903); 
if(
CBOOL(BgL_dz00_1905))
{ /* Jvm/compiler.scm 272 */
((((BgL_envz00_bglt)CREF(BgL_envz00_41))->BgL_stackz00) = ((obj_t)BgL_stackz00_1927), BUNSPEC); 
PROCEDURE_ENTRY(BgL_compz00_44)(BgL_compz00_44, BgL_dz00_1905, 
(obj_t)(BgL_envz00_41), BEOA); 
BGl_samezd2typezd2zzjvm_compilerz00(BgL_envz00_41, BgL_dz00_1905, 
(obj_t)(BgL_ez00_45)); }  else 
{ /* Jvm/compiler.scm 272 */BFALSE; } 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_41, BgL_lcontz00_1904);} } } } 
}



/* compiler-labels */
obj_t BGl_compilerzd2labelszd2zzjvm_compilerz00(BgL_letzd2funzd2_bglt BgL_ez00_46, BgL_envz00_bglt BgL_envz00_47, obj_t BgL_compz00_48)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 278 */
{ /* Jvm/compiler.scm 279 */
obj_t BgL_nz00_2954;
BgL_nz00_2954 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_46)); 
if(
CBOOL(BgL_nz00_2954))
{ /* Jvm/compiler.scm 279 */
BGl__linez00zzjvm_instrz00(BgL_envz00_47, BgL_nz00_2954); }  else 
{ /* Jvm/compiler.scm 279 */
CNST_TABLE_REF(((long)3)); } } 
{ 
obj_t BgL_l3061z00_1942;
BgL_l3061z00_1942 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_46))->BgL_localsz00); 
BgL_lname3062z00_1943:
if(
PAIRP(BgL_l3061z00_1942))
{ /* Jvm/compiler.scm 281 */
{ /* Jvm/compiler.scm 281 */
BgL_localz00_bglt BgL_auxz00_4680;
{ /* Jvm/compiler.scm 281 */
obj_t BgL_auxz00_4681;
BgL_auxz00_4681 = 
CAR(BgL_l3061z00_1942); 
BgL_auxz00_4680 = 
(BgL_localz00_bglt)(BgL_auxz00_4681); } 
BGl_envzd2setzd2namez12z12zzjvm_envz00(BgL_envz00_47, BgL_auxz00_4680, 
CNST_TABLE_REF(((long)30))); } 
{ 
obj_t BgL_l3061z00_4686;
BgL_l3061z00_4686 = 
CDR(BgL_l3061z00_1942); 
BgL_l3061z00_1942 = BgL_l3061z00_4686; 
goto BgL_lname3062z00_1943;} }  else 
{ /* Jvm/compiler.scm 281 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 282 */
obj_t BgL_auxz00_4689;
{ /* Jvm/compiler.scm 282 */
BgL_nodez00_bglt BgL_auxz00_4690;
BgL_auxz00_4690 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_46))->BgL_bodyz00); 
BgL_auxz00_4689 = 
(obj_t)(BgL_auxz00_4690); } 
return 
PROCEDURE_ENTRY(BgL_compz00_48)(BgL_compz00_48, BgL_auxz00_4689, 
(obj_t)(BgL_envz00_47), BEOA);} } 
}



/* _compiler-labels5406 */
obj_t BGl__compilerzd2labels5406zd2zzjvm_compilerz00(obj_t BgL_envz00_3878, obj_t BgL_ez00_3879, obj_t BgL_envz00_3880, obj_t BgL_compz00_3881)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 278 */
return 
BGl_compilerzd2labelszd2zzjvm_compilerz00(
(BgL_letzd2funzd2_bglt)(BgL_ez00_3879), 
(BgL_envz00_bglt)(BgL_envz00_3880), BgL_compz00_3881);} 
}



/* compile-label-call */
obj_t BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_variablez00_bglt BgL_localz00_49, obj_t BgL_argsz00_50, BgL_envz00_bglt BgL_envz00_51)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 285 */
{ 
obj_t BgL_l3063z00_1949;
BgL_l3063z00_1949 = BgL_argsz00_50; 
BgL_lname3064z00_1950:
if(
PAIRP(BgL_l3063z00_1949))
{ /* Jvm/compiler.scm 287 */
{ /* Jvm/compiler.scm 287 */
BgL_nodez00_bglt BgL_auxz00_4701;
{ /* Jvm/compiler.scm 287 */
obj_t BgL_auxz00_4702;
BgL_auxz00_4702 = 
CAR(BgL_l3063z00_1949); 
BgL_auxz00_4701 = 
(BgL_nodez00_bglt)(BgL_auxz00_4702); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4701, BgL_envz00_51); } 
{ 
obj_t BgL_l3063z00_4706;
BgL_l3063z00_4706 = 
CDR(BgL_l3063z00_1949); 
BgL_l3063z00_1949 = BgL_l3063z00_4706; 
goto BgL_lname3064z00_1950;} }  else 
{ /* Jvm/compiler.scm 287 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 288 */
bool_t BgL_test3928z00_1954;
{ /* Jvm/compiler.scm 288 */
obj_t BgL_auxz00_4708;
BgL_auxz00_4708 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_localz00_49), BGl_za2labdoneza2z00zzjvm_compilerz00); 
BgL_test3928z00_1954 = 
CBOOL(BgL_auxz00_4708); } 
if(BgL_test3928z00_1954)
{ /* Jvm/compiler.scm 288 */
{ 
obj_t BgL_l3069z00_1957;
{ /* Jvm/compiler.scm 293 */
obj_t BgL_auxz00_4722;
{ /* Jvm/compiler.scm 293 */
BgL_sfunz00_bglt BgL_obj1370z00_2964;
{ /* Jvm/compiler.scm 293 */
BgL_valuez00_bglt BgL_auxz00_4723;
{ /* Jvm/compiler.scm 293 */
BgL_localz00_bglt BgL_obj1256z00_2963;
BgL_obj1256z00_2963 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4723 = 
(((BgL_localz00_bglt)CREF(BgL_obj1256z00_2963))->BgL_valuez00); } 
BgL_obj1370z00_2964 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4723); } 
BgL_auxz00_4722 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_2964))->BgL_argsz00); } 
BgL_l3069z00_1957 = 
bgl_reverse(BgL_auxz00_4722); } 
BgL_lname3070z00_1958:
if(
PAIRP(BgL_l3069z00_1957))
{ /* Jvm/compiler.scm 293 */
{ /* Jvm/compiler.scm 293 */
BgL_localz00_bglt BgL_auxz00_4715;
{ /* Jvm/compiler.scm 293 */
obj_t BgL_auxz00_4716;
BgL_auxz00_4716 = 
CAR(BgL_l3069z00_1957); 
BgL_auxz00_4715 = 
(BgL_localz00_bglt)(BgL_auxz00_4716); } 
BGl__storez00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4715); } 
{ 
obj_t BgL_l3069z00_4720;
BgL_l3069z00_4720 = 
CDR(BgL_l3069z00_1957); 
BgL_l3069z00_1957 = BgL_l3069z00_4720; 
goto BgL_lname3070z00_1958;} }  else 
{ /* Jvm/compiler.scm 293 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 296 */
bool_t BgL_testz00_4729;
{ /* Jvm/compiler.scm 296 */
obj_t BgL_auxz00_4730;
BgL_auxz00_4730 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_testz00_4729 = 
NULLP(BgL_auxz00_4730); } 
if(BgL_testz00_4729)
{ /* Jvm/compiler.scm 297 */
obj_t BgL_auxz00_4733;
{ /* Jvm/compiler.scm 297 */
BgL_localz00_bglt BgL_obj1250z00_2970;
BgL_obj1250z00_2970 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4733 = 
(((BgL_localz00_bglt)CREF(BgL_obj1250z00_2970))->BgL_namez00); } 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4733); }  else 
{ /* Jvm/compiler.scm 298 */
obj_t BgL_arg3950z00_1967;
{ /* Jvm/compiler.scm 298 */
obj_t BgL_arg3953z00_1968;
BgL_arg3953z00_1968 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/compiler.scm 298 */
obj_t BgL_list3956z00_1970;
{ /* Jvm/compiler.scm 298 */
obj_t BgL_arg3958z00_1971;
{ /* Jvm/compiler.scm 298 */
obj_t BgL_auxz00_4738;
{ /* Jvm/compiler.scm 298 */
BgL_localz00_bglt BgL_obj1250z00_2971;
BgL_obj1250z00_2971 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4738 = 
(((BgL_localz00_bglt)CREF(BgL_obj1250z00_2971))->BgL_namez00); } 
BgL_arg3958z00_1971 = 
MAKE_PAIR(BgL_auxz00_4738, BNIL); } 
BgL_list3956z00_1970 = 
MAKE_PAIR(BgL_arg3953z00_1968, BgL_arg3958z00_1971); } 
BgL_arg3950z00_1967 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3956z00_1970); } } 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_51, BgL_arg3950z00_1967); } } 
{ /* Jvm/compiler.scm 299 */
obj_t BgL_arg3964z00_1972;
{ /* Jvm/compiler.scm 299 */
obj_t BgL_auxz00_4747;obj_t BgL_auxz00_4745;
BgL_auxz00_4747 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_auxz00_4745 = 
CNST_TABLE_REF(((long)27)); 
BgL_arg3964z00_1972 = 
MAKE_PAIR(BgL_auxz00_4745, BgL_auxz00_4747); } 
return 
((((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00) = ((obj_t)BgL_arg3964z00_1972), BUNSPEC);} }  else 
{ /* Jvm/compiler.scm 301 */
BgL_valuez00_bglt BgL_instance3073z00_1976;
{ /* Jvm/compiler.scm 302 */
BgL_localz00_bglt BgL_obj1256z00_2975;
BgL_obj1256z00_2975 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_instance3073z00_1976 = 
(((BgL_localz00_bglt)CREF(BgL_obj1256z00_2975))->BgL_valuez00); } 
{ /* Jvm/compiler.scm 302 */
obj_t BgL_auxz00_4753;
BgL_auxz00_4753 = 
(obj_t)(BgL_localz00_49); 
BGl_za2labdoneza2z00zzjvm_compilerz00 = 
MAKE_PAIR(BgL_auxz00_4753, BGl_za2labdoneza2z00zzjvm_compilerz00); } 
{ /* Jvm/compiler.scm 303 */
obj_t BgL_debugzf3zf3_1977;
BgL_debugzf3zf3_1977 = 
BGl_debugzd2forzd2declarezd2varzf3z21zzjvm_externz00(BgL_envz00_51); 
{ /* Jvm/compiler.scm 303 */
obj_t BgL_blabz00_1978;
if(
CBOOL(BgL_debugzf3zf3_1977))
{ /* Jvm/compiler.scm 304 */
BgL_blabz00_1978 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5905z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 304 */
BgL_blabz00_1978 = 
CNST_TABLE_REF(((long)26)); } 
{ /* Jvm/compiler.scm 304 */
obj_t BgL_elabz00_1979;
if(
CBOOL(BgL_debugzf3zf3_1977))
{ /* Jvm/compiler.scm 305 */
BgL_elabz00_1979 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5899z00zzjvm_compilerz00, BEOA); }  else 
{ /* Jvm/compiler.scm 305 */
BgL_elabz00_1979 = 
CNST_TABLE_REF(((long)26)); } 
{ /* Jvm/compiler.scm 305 */

if(
CBOOL(BgL_debugzf3zf3_1977))
{ /* Jvm/compiler.scm 306 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_blabz00_1978); }  else 
{ /* Jvm/compiler.scm 306 */BFALSE; } 
{ 
obj_t BgL_l3075z00_1980;
{ /* Jvm/compiler.scm 312 */
obj_t BgL_auxz00_4781;
{ /* Jvm/compiler.scm 312 */
BgL_sfunz00_bglt BgL_obj1370z00_2976;
BgL_obj1370z00_2976 = 
(BgL_sfunz00_bglt)(BgL_instance3073z00_1976); 
BgL_auxz00_4781 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_2976))->BgL_argsz00); } 
BgL_l3075z00_1980 = 
bgl_reverse(BgL_auxz00_4781); } 
BgL_lname3076z00_1981:
if(
PAIRP(BgL_l3075z00_1980))
{ /* Jvm/compiler.scm 307 */
{ /* Jvm/compiler.scm 309 */
obj_t BgL_argz00_1985;
BgL_argz00_1985 = 
CAR(BgL_l3075z00_1980); 
BGl_envzd2declarezd2newzd2localzd2zzjvm_envz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1985)); 
BGl_debugzd2declarezd2varzd2fromzd2zzjvm_externz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1985), BgL_blabz00_1978, BgL_elabz00_1979); 
BGl__storez00zzjvm_instrz00(BgL_envz00_51, 
(BgL_localz00_bglt)(BgL_argz00_1985)); } 
{ 
obj_t BgL_l3075z00_4779;
BgL_l3075z00_4779 = 
CDR(BgL_l3075z00_1980); 
BgL_l3075z00_1980 = BgL_l3075z00_4779; 
goto BgL_lname3076z00_1981;} }  else 
{ /* Jvm/compiler.scm 307 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 313 */
obj_t BgL_stkz00_1987;
BgL_stkz00_1987 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
{ /* Jvm/compiler.scm 313 */
obj_t BgL_varsz00_1988;
if(
NULLP(BgL_stkz00_1987))
{ /* Jvm/compiler.scm 314 */
BgL_varsz00_1988 = BNIL; }  else 
{ /* Jvm/compiler.scm 314 */
obj_t BgL_head3079z00_2026;
BgL_head3079z00_2026 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3077z00_2027;obj_t BgL_tail3080z00_2028;
BgL_l3077z00_2027 = BgL_stkz00_1987; 
BgL_tail3080z00_2028 = BgL_head3079z00_2026; 
BgL_lname3078z00_2029:
if(
NULLP(BgL_l3077z00_2027))
{ /* Jvm/compiler.scm 314 */
BgL_varsz00_1988 = 
CDR(BgL_head3079z00_2026); }  else 
{ /* Jvm/compiler.scm 314 */
obj_t BgL_newtail3081z00_2031;
{ /* Jvm/compiler.scm 314 */
obj_t BgL_arg4076z00_2033;
BgL_arg4076z00_2033 = 
BGl_envzd2alloczd2localz00zzjvm_envz00(BgL_envz00_51, 
CAR(BgL_l3077z00_2027)); 
BgL_newtail3081z00_2031 = 
MAKE_PAIR(BgL_arg4076z00_2033, BNIL); } 
SET_CDR(BgL_tail3080z00_2028, BgL_newtail3081z00_2031); 
{ 
obj_t BgL_tail3080z00_4798;obj_t BgL_l3077z00_4796;
BgL_l3077z00_4796 = 
CDR(BgL_l3077z00_2027); 
BgL_tail3080z00_4798 = BgL_newtail3081z00_2031; 
BgL_tail3080z00_2028 = BgL_tail3080z00_4798; 
BgL_l3077z00_2027 = BgL_l3077z00_4796; 
goto BgL_lname3078z00_2029;} } } } 
{ /* Jvm/compiler.scm 314 */

{ /* Jvm/compiler.scm 316 */
obj_t BgL_arg3993z00_1989;
{ /* Jvm/compiler.scm 316 */
obj_t BgL_arg3996z00_1990;
BgL_arg3996z00_1990 = 
CNST_TABLE_REF(((long)31)); 
{ /* Jvm/compiler.scm 316 */
obj_t BgL_list3999z00_1992;
{ /* Jvm/compiler.scm 316 */
obj_t BgL_arg4001z00_1993;
{ /* Jvm/compiler.scm 316 */
obj_t BgL_auxz00_4800;
{ /* Jvm/compiler.scm 316 */
BgL_localz00_bglt BgL_obj1250z00_2992;
BgL_obj1250z00_2992 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4800 = 
(((BgL_localz00_bglt)CREF(BgL_obj1250z00_2992))->BgL_namez00); } 
BgL_arg4001z00_1993 = 
MAKE_PAIR(BgL_auxz00_4800, BNIL); } 
BgL_list3999z00_1992 = 
MAKE_PAIR(BgL_arg3996z00_1990, BgL_arg4001z00_1993); } 
BgL_arg3993z00_1989 = 
BGl_symbolzd2appendzd2zz__r4_symbols_6_4z00(BgL_list3999z00_1992); } } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_arg3993z00_1989); } 
{ 
obj_t BgL_ll3082z00_1994;obj_t BgL_ll3083z00_1995;
BgL_ll3082z00_1994 = BgL_varsz00_1988; 
BgL_ll3083z00_1995 = BgL_stkz00_1987; 
BgL_lname3084z00_1996:
if(
NULLP(BgL_ll3082z00_1994))
{ /* Jvm/compiler.scm 317 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 317 */
BGl__store_namez00zzjvm_instrz00(BgL_envz00_51, 
CAR(BgL_ll3082z00_1994), 
CAR(BgL_ll3083z00_1995)); 
{ 
obj_t BgL_ll3083z00_4814;obj_t BgL_ll3082z00_4812;
BgL_ll3082z00_4812 = 
CDR(BgL_ll3082z00_1994); 
BgL_ll3083z00_4814 = 
CDR(BgL_ll3083z00_1995); 
BgL_ll3083z00_1995 = BgL_ll3083z00_4814; 
BgL_ll3082z00_1994 = BgL_ll3082z00_4812; 
goto BgL_lname3084z00_1996;} } } 
{ /* Jvm/compiler.scm 320 */
obj_t BgL_auxz00_4816;
{ /* Jvm/compiler.scm 320 */
BgL_localz00_bglt BgL_obj1250z00_2998;
BgL_obj1250z00_2998 = 
(BgL_localz00_bglt)(BgL_localz00_49); 
BgL_auxz00_4816 = 
(((BgL_localz00_bglt)CREF(BgL_obj1250z00_2998))->BgL_namez00); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_auxz00_4816); } 
if(
NULLP(BgL_stkz00_1987))
{ /* Jvm/compiler.scm 323 */
BgL_nodez00_bglt BgL_auxz00_4822;
{ /* Jvm/compiler.scm 323 */
obj_t BgL_auxz00_4823;
{ /* Jvm/compiler.scm 323 */
BgL_sfunz00_bglt BgL_obj1373z00_3000;
BgL_obj1373z00_3000 = 
(BgL_sfunz00_bglt)(BgL_instance3073z00_1976); 
BgL_auxz00_4823 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_3000))->BgL_bodyz00); } 
BgL_auxz00_4822 = 
(BgL_nodez00_bglt)(BgL_auxz00_4823); } 
BGl_compilezd2tailzd2zzjvm_tailz00(BgL_auxz00_4822, BgL_envz00_51); }  else 
{ /* Jvm/compiler.scm 324 */
BgL_nodez00_bglt BgL_auxz00_4828;
{ /* Jvm/compiler.scm 324 */
obj_t BgL_auxz00_4829;
{ /* Jvm/compiler.scm 324 */
BgL_sfunz00_bglt BgL_obj1373z00_3001;
BgL_obj1373z00_3001 = 
(BgL_sfunz00_bglt)(BgL_instance3073z00_1976); 
BgL_auxz00_4829 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_3001))->BgL_bodyz00); } 
BgL_auxz00_4828 = 
(BgL_nodez00_bglt)(BgL_auxz00_4829); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4828, BgL_envz00_51); } 
if(
CBOOL(BgL_debugzf3zf3_1977))
{ /* Jvm/compiler.scm 325 */
BGl__labelz00zzjvm_instrz00(BgL_envz00_51, BgL_elabz00_1979); }  else 
{ /* Jvm/compiler.scm 325 */BFALSE; } 
if(
NULLP(BgL_stkz00_1987))
{ /* Jvm/compiler.scm 326 */BFALSE; }  else 
{ /* Jvm/compiler.scm 327 */
obj_t BgL_trz00_2007;
{ /* Jvm/compiler.scm 327 */
obj_t BgL_auxz00_4839;
BgL_auxz00_4839 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_51))->BgL_stackz00); 
BgL_trz00_2007 = 
CAR(BgL_auxz00_4839); } 
BGl__store_namez00zzjvm_instrz00(BgL_envz00_51, 
CNST_TABLE_REF(((long)32)), BgL_trz00_2007); 
{ 
obj_t BgL_ll3085z00_2008;obj_t BgL_ll3086z00_2009;
BgL_ll3085z00_2008 = 
bgl_reverse(BgL_varsz00_1988); 
BgL_ll3086z00_2009 = 
bgl_reverse(BgL_stkz00_1987); 
BgL_lname3087z00_2010:
if(
NULLP(BgL_ll3085z00_2008))
{ /* Jvm/compiler.scm 330 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 330 */
BGl__load_namez00zzjvm_instrz00(BgL_envz00_51, 
CAR(BgL_ll3085z00_2008), 
CAR(BgL_ll3086z00_2009)); 
{ 
obj_t BgL_ll3086z00_4851;obj_t BgL_ll3085z00_4849;
BgL_ll3085z00_4849 = 
CDR(BgL_ll3085z00_2008); 
BgL_ll3086z00_4851 = 
CDR(BgL_ll3086z00_2009); 
BgL_ll3086z00_2009 = BgL_ll3086z00_4851; 
BgL_ll3085z00_2008 = BgL_ll3085z00_4849; 
goto BgL_lname3087z00_2010;} } } 
BGl__load_namez00zzjvm_instrz00(BgL_envz00_51, 
CNST_TABLE_REF(((long)32)), BgL_trz00_2007); } 
{ 
obj_t BgL_l3088z00_2019;
{ /* Jvm/compiler.scm 334 */
bool_t BgL_auxz00_4857;
BgL_l3088z00_2019 = BgL_stkz00_1987; 
BgL_lname3089z00_2020:
if(
PAIRP(BgL_l3088z00_2019))
{ /* Jvm/compiler.scm 334 */
BGl_envzd2freezd2localz00zzjvm_envz00(BgL_envz00_51, 
CAR(BgL_l3088z00_2019)); 
{ 
obj_t BgL_l3088z00_4862;
BgL_l3088z00_4862 = 
CDR(BgL_l3088z00_2019); 
BgL_l3088z00_2019 = BgL_l3088z00_4862; 
goto BgL_lname3089z00_2020;} }  else 
{ /* Jvm/compiler.scm 334 */
BgL_auxz00_4857 = ((bool_t)1); } 
return 
BBOOL(BgL_auxz00_4857);} } } } } } } } } } } } 
}



/* compiler-app */
obj_t BGl_compilerzd2appzd2zzjvm_compilerz00(BgL_appz00_bglt BgL_ez00_52, BgL_envz00_bglt BgL_envz00_53)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 337 */
{ /* Jvm/compiler.scm 338 */
obj_t BgL_nz00_3015;
BgL_nz00_3015 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_52)); 
if(
CBOOL(BgL_nz00_3015))
{ /* Jvm/compiler.scm 338 */
BGl__linez00zzjvm_instrz00(BgL_envz00_53, BgL_nz00_3015); }  else 
{ /* Jvm/compiler.scm 338 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 340 */
BgL_variablez00_bglt BgL_vz00_2037;
{ /* Jvm/compiler.scm 340 */
BgL_varz00_bglt BgL_arg4126z00_2055;
BgL_arg4126z00_2055 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_funz00); 
BgL_vz00_2037 = 
(((BgL_varz00_bglt)CREF(BgL_arg4126z00_2055))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 341 */
bool_t BgL_test4091z00_2038;
BgL_test4091z00_2038 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2037), BGl_localz00zzast_varz00); 
if(BgL_test4091z00_2038)
{ /* Jvm/compiler.scm 341 */
return 
BGl_compilezd2labelzd2callz00zzjvm_compilerz00(BgL_vz00_2037, 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), BgL_envz00_53);}  else 
{ /* Jvm/compiler.scm 343 */
bool_t BgL_test4096z00_2040;
{ /* Jvm/compiler.scm 343 */
obj_t BgL_auxz00_4878;
BgL_auxz00_4878 = 
BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_vz00_2037, 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), BgL_envz00_53); 
BgL_test4096z00_2040 = 
CBOOL(BgL_auxz00_4878); } 
if(BgL_test4096z00_2040)
{ /* Jvm/compiler.scm 343 */
return 
CNST_TABLE_REF(((long)33));}  else 
{ /* Jvm/compiler.scm 344 */
obj_t BgL__ortest_3092z00_2041;
BgL__ortest_3092z00_2041 = 
PROCEDURE_ENTRY(BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00)(BGl_specialzd2inlinezd2callzf3zf3zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2037), 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00), 
(obj_t)(BgL_envz00_53), BEOA); 
if(
CBOOL(BgL__ortest_3092z00_2041))
{ /* Jvm/compiler.scm 344 */
return BgL__ortest_3092z00_2041;}  else 
{ /* Jvm/compiler.scm 344 */
{ /* Jvm/compiler.scm 346 */
obj_t BgL_typesz00_2042;
BgL_typesz00_2042 = 
BGl_typezd2argszd2zzjvm_compilerz00(BgL_vz00_2037, BgL_envz00_53); 
{ 
obj_t BgL_ll3093z00_2043;obj_t BgL_ll3094z00_2044;
BgL_ll3093z00_2043 = 
(((BgL_appz00_bglt)CREF(BgL_ez00_52))->BgL_argsz00); 
BgL_ll3094z00_2044 = BgL_typesz00_2042; 
BgL_lname3095z00_2045:
if(
NULLP(BgL_ll3093z00_2043))
{ /* Jvm/compiler.scm 347 */((bool_t)1); }  else 
{ /* Jvm/compiler.scm 347 */
{ /* Jvm/compiler.scm 348 */
obj_t BgL_tyz00_2049;
BgL_tyz00_2049 = 
CAR(BgL_ll3094z00_2044); 
{ /* Jvm/compiler.scm 348 */
BgL_nodez00_bglt BgL_auxz00_4895;
{ /* Jvm/compiler.scm 348 */
obj_t BgL_auxz00_4896;
BgL_auxz00_4896 = 
CAR(BgL_ll3093z00_2043); 
BgL_auxz00_4895 = 
(BgL_nodez00_bglt)(BgL_auxz00_4896); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_4895, BgL_envz00_53); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 349 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_53, BgL_tyz00_2049); }  else 
{ /* Jvm/compiler.scm 349 */BFALSE; } } 
{ 
obj_t BgL_ll3094z00_4905;obj_t BgL_ll3093z00_4903;
BgL_ll3093z00_4903 = 
CDR(BgL_ll3093z00_2043); 
BgL_ll3094z00_4905 = 
CDR(BgL_ll3094z00_2044); 
BgL_ll3094z00_2044 = BgL_ll3094z00_4905; 
BgL_ll3093z00_2043 = BgL_ll3093z00_4903; 
goto BgL_lname3095z00_2045;} } } 
{ /* Jvm/compiler.scm 352 */
obj_t BgL__ortest_3096z00_2052;
BgL__ortest_3096z00_2052 = 
PROCEDURE_ENTRY(BGl_inlinezd2callzf3z21zzjvm_inlinez00)(BGl_inlinezd2callzf3z21zzjvm_inlinez00, 
(obj_t)(BgL_vz00_2037), 
(obj_t)(BgL_envz00_53), BEOA); 
if(
CBOOL(BgL__ortest_3096z00_2052))
{ /* Jvm/compiler.scm 352 */
return BgL__ortest_3096z00_2052;}  else 
{ /* Jvm/compiler.scm 352 */
return 
BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_53, BgL_vz00_2037, BgL_typesz00_2042);} } } } } } } } } 
}



/* _compiler-app5408 */
obj_t BGl__compilerzd2app5408zd2zzjvm_compilerz00(obj_t BgL_envz00_3882, obj_t BgL_ez00_3883, obj_t BgL_envz00_3884)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 337 */
return 
BGl_compilerzd2appzd2zzjvm_compilerz00(
(BgL_appz00_bglt)(BgL_ez00_3883), 
(BgL_envz00_bglt)(BgL_envz00_3884));} 
}



/* type-args */
obj_t BGl_typezd2argszd2zzjvm_compilerz00(BgL_variablez00_bglt BgL_vz00_54, BgL_envz00_bglt BgL_envz00_55)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 355 */
{ /* Jvm/compiler.scm 357 */
obj_t BgL_l3099z00_2057;
{ /* Jvm/compiler.scm 358 */
bool_t BgL_test4147z00_2069;
{ /* Jvm/compiler.scm 358 */
obj_t BgL_auxz00_4918;
{ /* Jvm/compiler.scm 358 */
BgL_valuez00_bglt BgL_auxz00_4919;
{ /* Jvm/compiler.scm 358 */
BgL_globalz00_bglt BgL_obj1156z00_3028;
BgL_obj1156z00_3028 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4919 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_3028))->BgL_valuez00); } 
BgL_auxz00_4918 = 
(obj_t)(BgL_auxz00_4919); } 
BgL_test4147z00_2069 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4918, BGl_sfunz00zzast_varz00); } 
if(BgL_test4147z00_2069)
{ /* Jvm/compiler.scm 359 */
BgL_sfunz00_bglt BgL_obj1370z00_3031;
{ /* Jvm/compiler.scm 359 */
BgL_valuez00_bglt BgL_auxz00_4925;
{ /* Jvm/compiler.scm 359 */
BgL_globalz00_bglt BgL_obj1156z00_3030;
BgL_obj1156z00_3030 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4925 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_3030))->BgL_valuez00); } 
BgL_obj1370z00_3031 = 
(BgL_sfunz00_bglt)(BgL_auxz00_4925); } 
BgL_l3099z00_2057 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1370z00_3031))->BgL_argsz00); }  else 
{ /* Jvm/compiler.scm 360 */
BgL_cfunz00_bglt BgL_obj1444z00_3033;
{ /* Jvm/compiler.scm 360 */
BgL_valuez00_bglt BgL_auxz00_4930;
{ /* Jvm/compiler.scm 360 */
BgL_globalz00_bglt BgL_obj1156z00_3032;
BgL_obj1156z00_3032 = 
(BgL_globalz00_bglt)(BgL_vz00_54); 
BgL_auxz00_4930 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_3032))->BgL_valuez00); } 
BgL_obj1444z00_3033 = 
(BgL_cfunz00_bglt)(BgL_auxz00_4930); } 
BgL_l3099z00_2057 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1444z00_3033))->BgL_argszd2typezd2); } } 
if(
NULLP(BgL_l3099z00_2057))
{ /* Jvm/compiler.scm 357 */
return BNIL;}  else 
{ /* Jvm/compiler.scm 357 */
obj_t BgL_head3101z00_2059;
BgL_head3101z00_2059 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l3099z00_2060;obj_t BgL_tail3102z00_2061;
BgL_l3099z00_2060 = BgL_l3099z00_2057; 
BgL_tail3102z00_2061 = BgL_head3101z00_2059; 
BgL_lname3100z00_2062:
if(
NULLP(BgL_l3099z00_2060))
{ /* Jvm/compiler.scm 357 */
return 
CDR(BgL_head3101z00_2059);}  else 
{ /* Jvm/compiler.scm 357 */
obj_t BgL_newtail3103z00_2064;
{ /* Jvm/compiler.scm 357 */
obj_t BgL_arg4139z00_2066;
BgL_arg4139z00_2066 = 
BGl_compilezd2typezd2zzjvm_envz00(
CAR(BgL_l3099z00_2060), BgL_envz00_55); 
BgL_newtail3103z00_2064 = 
MAKE_PAIR(BgL_arg4139z00_2066, BNIL); } 
SET_CDR(BgL_tail3102z00_2061, BgL_newtail3103z00_2064); 
{ 
obj_t BgL_tail3102z00_4947;obj_t BgL_l3099z00_4945;
BgL_l3099z00_4945 = 
CDR(BgL_l3099z00_2060); 
BgL_tail3102z00_4947 = BgL_newtail3103z00_2064; 
BgL_tail3102z00_2061 = BgL_tail3102z00_4947; 
BgL_l3099z00_2060 = BgL_l3099z00_4945; 
goto BgL_lname3100z00_2062;} } } } } } 
}



/* how-to-call */
obj_t BGl_howzd2tozd2callz00zzjvm_compilerz00(BgL_envz00_bglt BgL_envz00_56, BgL_variablez00_bglt BgL_varz00_57, obj_t BgL_taz00_58)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 362 */
{ /* Jvm/compiler.scm 363 */
BgL_valuez00_bglt BgL_funz00_2073;obj_t BgL_targetz00_2074;obj_t BgL_trz00_2075;
BgL_funz00_2073 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_57))->BgL_valuez00); 
BgL_targetz00_2074 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_56, 
(BgL_globalz00_bglt)(BgL_varz00_57)); 
{ /* Jvm/compiler.scm 365 */
obj_t BgL_auxz00_4951;
{ /* Jvm/compiler.scm 365 */
BgL_typez00_bglt BgL_auxz00_4952;
{ /* Jvm/compiler.scm 365 */
BgL_globalz00_bglt BgL_obj1153z00_3046;
BgL_obj1153z00_3046 = 
(BgL_globalz00_bglt)(BgL_varz00_57); 
BgL_auxz00_4952 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_3046))->BgL_typez00); } 
BgL_auxz00_4951 = 
(obj_t)(BgL_auxz00_4952); } 
BgL_trz00_2075 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_4951, BgL_envz00_56); } 
{ /* Jvm/compiler.scm 367 */
bool_t BgL_test4160z00_2076;
BgL_test4160z00_2076 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_funz00_2073), BGl_cfunz00zzast_varz00); 
if(BgL_test4160z00_2076)
{ /* Jvm/compiler.scm 368 */
bool_t BgL_test4161z00_2077;
{ /* Jvm/compiler.scm 368 */
obj_t BgL_auxz00_4960;
BgL_auxz00_4960 = 
(((BgL_variablez00_bglt)CREF(BgL_varz00_57))->BgL_namez00); 
BgL_test4161z00_2077 = 
bigloo_strcmp(BgL_auxz00_4960, BGl_string5906z00zzjvm_compilerz00); } 
if(BgL_test4161z00_2077)
{ /* Jvm/compiler.scm 368 */
return 
BGl__invokespecial_initz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);}  else 
{ /* Jvm/compiler.scm 368 */
{ /* Jvm/compiler.scm 371 */
obj_t BgL_modifiersz00_2078;
{ /* Jvm/compiler.scm 371 */
BgL_cfunz00_bglt BgL_obj1449z00_3051;
BgL_obj1449z00_3051 = 
(BgL_cfunz00_bglt)(BgL_funz00_2073); 
BgL_modifiersz00_2078 = 
(((BgL_cfunz00_bglt)CREF(BgL_obj1449z00_3051))->BgL_methodz00); } 
{ /* Jvm/compiler.scm 373 */
bool_t BgL_testz00_4967;
{ /* Jvm/compiler.scm 373 */
obj_t BgL_auxz00_4968;
BgL_auxz00_4968 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)34)), BgL_modifiersz00_2078); 
BgL_testz00_4967 = 
CBOOL(BgL_auxz00_4968); } 
if(BgL_testz00_4967)
{ /* Jvm/compiler.scm 373 */
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);}  else 
{ /* Jvm/compiler.scm 374 */
bool_t BgL_testz00_4973;
{ /* Jvm/compiler.scm 374 */
obj_t BgL_auxz00_4974;
BgL_auxz00_4974 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)35)), BgL_modifiersz00_2078); 
BgL_testz00_4973 = 
CBOOL(BgL_auxz00_4974); } 
if(BgL_testz00_4973)
{ /* Jvm/compiler.scm 374 */
return 
BGl__invokeinterfacez00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);}  else 
{ /* Jvm/compiler.scm 375 */
bool_t BgL_testz00_4979;
{ /* Jvm/compiler.scm 375 */
obj_t BgL_auxz00_4980;
BgL_auxz00_4980 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)36)), BgL_modifiersz00_2078); 
BgL_testz00_4979 = 
CBOOL(BgL_auxz00_4980); } 
if(BgL_testz00_4979)
{ /* Jvm/compiler.scm 375 */
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);}  else 
{ /* Jvm/compiler.scm 376 */
bool_t BgL_testz00_4985;
{ /* Jvm/compiler.scm 376 */
obj_t BgL_auxz00_4986;
BgL_auxz00_4986 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)37)), BgL_modifiersz00_2078); 
BgL_testz00_4985 = 
CBOOL(BgL_auxz00_4986); } 
if(BgL_testz00_4985)
{ /* Jvm/compiler.scm 376 */
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);}  else 
{ /* Jvm/compiler.scm 376 */
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);} } } } } } } }  else 
{ /* Jvm/compiler.scm 367 */
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_56, BgL_targetz00_2074, BgL_taz00_58, BgL_trz00_2075);} } } } 
}



/* special-call? */
obj_t BGl_specialzd2callzf3z21zzjvm_compilerz00(BgL_variablez00_bglt BgL_varz00_59, obj_t BgL_argsz00_60, BgL_envz00_bglt BgL_envz00_61)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 379 */
{ /* Jvm/compiler.scm 383 */
bool_t BgL_testz00_4993;
{ /* Jvm/compiler.scm 383 */
bool_t BgL_testz00_4994;
{ /* Jvm/compiler.scm 383 */
obj_t BgL_auxz00_4998;obj_t BgL_auxz00_4995;
BgL_auxz00_4998 = 
CNST_TABLE_REF(((long)38)); 
{ /* Jvm/compiler.scm 383 */
BgL_globalz00_bglt BgL_obj1149z00_3052;
BgL_obj1149z00_3052 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_4995 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3052))->BgL_idz00); } 
BgL_testz00_4994 = 
(BgL_auxz00_4995==BgL_auxz00_4998); } 
if(BgL_testz00_4994)
{ /* Jvm/compiler.scm 383 */
BgL_testz00_4993 = ((bool_t)1)
; }  else 
{ /* Jvm/compiler.scm 384 */
obj_t BgL_auxz00_5004;obj_t BgL_auxz00_5001;
BgL_auxz00_5004 = 
CNST_TABLE_REF(((long)39)); 
{ /* Jvm/compiler.scm 384 */
BgL_globalz00_bglt BgL_obj1149z00_3053;
BgL_obj1149z00_3053 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5001 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3053))->BgL_idz00); } 
BgL_testz00_4993 = 
(BgL_auxz00_5001==BgL_auxz00_5004); } } 
if(BgL_testz00_4993)
{ /* Jvm/compiler.scm 383 */
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 387 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 387 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 391 */
BgL_nodez00_bglt BgL_auxz00_5017;
{ /* Jvm/compiler.scm 391 */
obj_t BgL_auxz00_5018;
BgL_auxz00_5018 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5017 = 
(BgL_nodez00_bglt)(BgL_auxz00_5018); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5017, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 392 */
obj_t BgL_arg4203z00_2090;
BgL_arg4203z00_2090 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4203z00_2090); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 394 */
BgL_nodez00_bglt BgL_auxz00_5026;
{ /* Jvm/compiler.scm 394 */
obj_t BgL_auxz00_5027;
{ /* Jvm/compiler.scm 394 */
obj_t BgL_auxz00_5028;
BgL_auxz00_5028 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_5027 = 
CAR(BgL_auxz00_5028); } 
BgL_auxz00_5026 = 
(BgL_nodez00_bglt)(BgL_auxz00_5027); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5026, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 395 */
obj_t BgL_arg4212z00_2092;
BgL_arg4212z00_2092 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)43))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4212z00_2092); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 397 */
BgL_nodez00_bglt BgL_auxz00_5037;
{ /* Jvm/compiler.scm 397 */
obj_t BgL_auxz00_5038;
{ /* Jvm/compiler.scm 397 */
obj_t BgL_auxz00_5039;
{ /* Jvm/compiler.scm 397 */
obj_t BgL_auxz00_5040;
BgL_auxz00_5040 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_5039 = 
CDR(BgL_auxz00_5040); } 
BgL_auxz00_5038 = 
CAR(BgL_auxz00_5039); } 
BgL_auxz00_5037 = 
(BgL_nodez00_bglt)(BgL_auxz00_5038); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5037, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 398 */
obj_t BgL_arg4221z00_2094;
BgL_arg4221z00_2094 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4221z00_2094); } 
{ /* Jvm/compiler.scm 399 */
obj_t BgL_arg4225z00_2095;
BgL_arg4225z00_2095 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)45))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4225z00_2095); } 
return BTRUE;}  else 
{ /* Jvm/compiler.scm 401 */
bool_t BgL_testz00_5052;
{ /* Jvm/compiler.scm 401 */
obj_t BgL_auxz00_5056;obj_t BgL_auxz00_5053;
BgL_auxz00_5056 = 
CNST_TABLE_REF(((long)46)); 
{ /* Jvm/compiler.scm 401 */
BgL_globalz00_bglt BgL_obj1149z00_3066;
BgL_obj1149z00_3066 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5053 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3066))->BgL_idz00); } 
BgL_testz00_5052 = 
(BgL_auxz00_5053==BgL_auxz00_5056); } 
if(BgL_testz00_5052)
{ /* Jvm/compiler.scm 401 */
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 404 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 404 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 408 */
BgL_nodez00_bglt BgL_auxz00_5069;
{ /* Jvm/compiler.scm 408 */
obj_t BgL_auxz00_5070;
BgL_auxz00_5070 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5069 = 
(BgL_nodez00_bglt)(BgL_auxz00_5070); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5069, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 409 */
obj_t BgL_arg4241z00_2099;
BgL_arg4241z00_2099 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4241z00_2099); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
{ /* Jvm/compiler.scm 411 */
BgL_nodez00_bglt BgL_auxz00_5078;
{ /* Jvm/compiler.scm 411 */
obj_t BgL_auxz00_5079;
{ /* Jvm/compiler.scm 411 */
obj_t BgL_auxz00_5080;
BgL_auxz00_5080 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_5079 = 
CAR(BgL_auxz00_5080); } 
BgL_auxz00_5078 = 
(BgL_nodez00_bglt)(BgL_auxz00_5079); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5078, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 412 */
obj_t BgL_arg4250z00_2101;
BgL_arg4250z00_2101 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4250z00_2101); } 
{ /* Jvm/compiler.scm 413 */
obj_t BgL_arg4254z00_2102;
BgL_arg4254z00_2102 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)45))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4254z00_2102); } 
return BTRUE;}  else 
{ /* Jvm/compiler.scm 415 */
bool_t BgL_testz00_5091;
{ /* Jvm/compiler.scm 415 */
obj_t BgL_auxz00_5095;obj_t BgL_auxz00_5092;
BgL_auxz00_5095 = 
CNST_TABLE_REF(((long)47)); 
{ /* Jvm/compiler.scm 415 */
BgL_globalz00_bglt BgL_obj1149z00_3073;
BgL_obj1149z00_3073 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5092 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3073))->BgL_idz00); } 
BgL_testz00_5091 = 
(BgL_auxz00_5092==BgL_auxz00_5095); } 
if(BgL_testz00_5091)
{ /* Jvm/compiler.scm 415 */
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)48))); 
{ /* Jvm/compiler.scm 418 */
BgL_nodez00_bglt BgL_auxz00_5100;
{ /* Jvm/compiler.scm 418 */
obj_t BgL_auxz00_5101;
BgL_auxz00_5101 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5100 = 
(BgL_nodez00_bglt)(BgL_auxz00_5101); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5100, BgL_envz00_61); } 
return 
BGl__aloadz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44)));}  else 
{ /* Jvm/compiler.scm 420 */
bool_t BgL_testz00_5107;
{ /* Jvm/compiler.scm 420 */
obj_t BgL_auxz00_5111;obj_t BgL_auxz00_5108;
BgL_auxz00_5111 = 
CNST_TABLE_REF(((long)49)); 
{ /* Jvm/compiler.scm 420 */
BgL_globalz00_bglt BgL_obj1149z00_3075;
BgL_obj1149z00_3075 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5108 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3075))->BgL_idz00); } 
BgL_testz00_5107 = 
(BgL_auxz00_5108==BgL_auxz00_5111); } 
if(BgL_testz00_5107)
{ /* Jvm/compiler.scm 420 */
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)48))); 
{ /* Jvm/compiler.scm 423 */
BgL_nodez00_bglt BgL_auxz00_5116;
{ /* Jvm/compiler.scm 423 */
obj_t BgL_auxz00_5117;
BgL_auxz00_5117 = 
CAR(BgL_argsz00_60); 
BgL_auxz00_5116 = 
(BgL_nodez00_bglt)(BgL_auxz00_5117); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5116, BgL_envz00_61); } 
{ /* Jvm/compiler.scm 424 */
BgL_nodez00_bglt BgL_auxz00_5121;
{ /* Jvm/compiler.scm 424 */
obj_t BgL_auxz00_5122;
{ /* Jvm/compiler.scm 424 */
obj_t BgL_auxz00_5123;
BgL_auxz00_5123 = 
CDR(BgL_argsz00_60); 
BgL_auxz00_5122 = 
CAR(BgL_auxz00_5123); } 
BgL_auxz00_5121 = 
(BgL_nodez00_bglt)(BgL_auxz00_5122); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5121, BgL_envz00_61); } 
BGl__astorez00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)44))); 
{ /* Jvm/compiler.scm 426 */
obj_t BgL_arg4276z00_2108;
BgL_arg4276z00_2108 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)19))); 
return 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4276z00_2108);} }  else 
{ /* Jvm/compiler.scm 427 */
bool_t BgL_testz00_5133;
{ /* Jvm/compiler.scm 427 */
obj_t BgL_auxz00_5137;obj_t BgL_auxz00_5134;
BgL_auxz00_5137 = 
CNST_TABLE_REF(((long)50)); 
{ /* Jvm/compiler.scm 427 */
BgL_globalz00_bglt BgL_obj1149z00_3081;
BgL_obj1149z00_3081 = 
(BgL_globalz00_bglt)(BgL_varz00_59); 
BgL_auxz00_5134 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1149z00_3081))->BgL_idz00); } 
BgL_testz00_5133 = 
(BgL_auxz00_5134==BgL_auxz00_5137); } 
if(BgL_testz00_5133)
{ /* Jvm/compiler.scm 427 */
{ /* Jvm/compiler.scm 429 */
bool_t BgL_test4280z00_2110;
BgL_test4280z00_2110 = 
BGl_iszd2azf3z21zz__objectz00(
CAR(BgL_argsz00_60), BGl_varz00zzast_nodez00); 
if(BgL_test4280z00_2110)
{ /* Jvm/compiler.scm 431 */
BgL_variablez00_bglt BgL_vz00_2111;
{ /* Jvm/compiler.scm 431 */
BgL_varz00_bglt BgL_obj1620z00_3085;
{ /* Jvm/compiler.scm 431 */
obj_t BgL_auxz00_5143;
BgL_auxz00_5143 = 
CAR(BgL_argsz00_60); 
BgL_obj1620z00_3085 = 
(BgL_varz00_bglt)(BgL_auxz00_5143); } 
BgL_vz00_2111 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3085))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 432 */
bool_t BgL_test4281z00_2112;
BgL_test4281z00_2112 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2111), BGl_globalz00zzast_varz00); 
if(BgL_test4281z00_2112)
{ /* Jvm/compiler.scm 433 */
obj_t BgL_iz00_2113;
{ /* Jvm/compiler.scm 433 */
obj_t BgL_arg4295z00_2116;
BgL_arg4295z00_2116 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_61, 
(BgL_globalz00_bglt)(BgL_vz00_2111)); 
BgL_iz00_2113 = 
BGl_envzd2newzd2getsetz00zzjvm_envz00(BgL_envz00_61, BgL_arg4295z00_2116); } 
BGl__newz00zzjvm_instrz00(BgL_envz00_61, 
(((BgL_envz00_bglt)CREF(BgL_envz00_61))->BgL_currentzd2modulezd2)); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 435 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)40)), 
CNST_TABLE_REF(((long)41)), 
CNST_TABLE_REF(((long)24))); }  else 
{ /* Jvm/compiler.scm 435 */BFALSE; } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_61); 
BGl__pushz00zzjvm_instrz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)8)), BgL_iz00_2113); 
{ /* Jvm/compiler.scm 440 */
obj_t BgL_arg4291z00_2115;
BgL_arg4291z00_2115 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_61, 
CNST_TABLE_REF(((long)42))); 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_61, BgL_arg4291z00_2115); } 
return BTRUE;}  else 
{ 
obj_t BgL_auxz00_5168;
BgL_auxz00_5168 = 
(obj_t)(BgL_vz00_2111); 
FAILURE(BGl_string5907z00zzjvm_compilerz00,BGl_string5908z00zzjvm_compilerz00,BgL_auxz00_5168);} } }  else 
{ 
obj_t BgL_auxz00_5171;
BgL_auxz00_5171 = 
CAR(BgL_argsz00_60); 
FAILURE(BGl_string5907z00zzjvm_compilerz00,BGl_string5909z00zzjvm_compilerz00,BgL_auxz00_5171);} } }  else 
{ /* Jvm/compiler.scm 427 */
return BFALSE;} } } } } } } 
}



/* compiler-apply */
obj_t BGl_compilerzd2applyzd2zzjvm_compilerz00(BgL_appzd2lyzd2_bglt BgL_ez00_62, BgL_envz00_bglt BgL_envz00_63)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 446 */
{ /* Jvm/compiler.scm 447 */
obj_t BgL_nz00_3097;
BgL_nz00_3097 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_62)); 
if(
CBOOL(BgL_nz00_3097))
{ /* Jvm/compiler.scm 447 */
BGl__linez00zzjvm_instrz00(BgL_envz00_63, BgL_nz00_3097); }  else 
{ /* Jvm/compiler.scm 447 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_62))->BgL_funz00), BgL_envz00_63); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 450 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_63, 
CNST_TABLE_REF(((long)51))); }  else 
{ /* Jvm/compiler.scm 450 */BFALSE; } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_62))->BgL_argz00), BgL_envz00_63); 
{ /* Jvm/compiler.scm 452 */
obj_t BgL_arg4356z00_2138;obj_t BgL_arg4357z00_2139;obj_t BgL_arg4358z00_2140;
BgL_arg4356z00_2138 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_63, 
CNST_TABLE_REF(((long)52))); 
BgL_arg4357z00_2139 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4358z00_2140 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_63, BgL_arg4356z00_2138, BgL_arg4357z00_2139, BgL_arg4358z00_2140);} } 
}



/* _compiler-apply5410 */
obj_t BGl__compilerzd2apply5410zd2zzjvm_compilerz00(obj_t BgL_envz00_3885, obj_t BgL_ez00_3886, obj_t BgL_envz00_3887)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 446 */
return 
BGl_compilerzd2applyzd2zzjvm_compilerz00(
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3886), 
(BgL_envz00_bglt)(BgL_envz00_3887));} 
}



/* compiler-funcall */
obj_t BGl_compilerzd2funcallzd2zzjvm_compilerz00(BgL_funcallz00_bglt BgL_ez00_64, BgL_envz00_bglt BgL_envz00_65)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 455 */
{ /* Jvm/compiler.scm 456 */
obj_t BgL_nz00_3102;
BgL_nz00_3102 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_64)); 
if(
CBOOL(BgL_nz00_3102))
{ /* Jvm/compiler.scm 456 */
BGl__linez00zzjvm_instrz00(BgL_envz00_65, BgL_nz00_3102); }  else 
{ /* Jvm/compiler.scm 456 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 460 */
bool_t BgL_test4362z00_2142;
{ /* Jvm/compiler.scm 460 */
bool_t BgL_test4481z00_2196;
{ /* Jvm/compiler.scm 460 */
obj_t BgL_auxz00_5202;
{ /* Jvm/compiler.scm 460 */
BgL_nodez00_bglt BgL_auxz00_5203;
BgL_auxz00_5203 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_auxz00_5202 = 
(obj_t)(BgL_auxz00_5203); } 
BgL_test4481z00_2196 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5202, BGl_varz00zzast_nodez00); } 
if(BgL_test4481z00_2196)
{ /* Jvm/compiler.scm 461 */
bool_t BgL_test4482z00_2197;
{ /* Jvm/compiler.scm 461 */
obj_t BgL_auxz00_5208;
{ /* Jvm/compiler.scm 461 */
BgL_variablez00_bglt BgL_auxz00_5209;
{ /* Jvm/compiler.scm 461 */
BgL_varz00_bglt BgL_obj1620z00_3106;
{ /* Jvm/compiler.scm 461 */
BgL_nodez00_bglt BgL_auxz00_5210;
BgL_auxz00_5210 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1620z00_3106 = 
(BgL_varz00_bglt)(BgL_auxz00_5210); } 
BgL_auxz00_5209 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3106))->BgL_variablez00); } 
BgL_auxz00_5208 = 
(obj_t)(BgL_auxz00_5209); } 
BgL_test4482z00_2197 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5208, BGl_globalz00zzast_varz00); } 
if(BgL_test4482z00_2197)
{ /* Jvm/compiler.scm 462 */
obj_t BgL_auxz00_5217;
{ /* Jvm/compiler.scm 462 */
BgL_valuez00_bglt BgL_auxz00_5218;
{ /* Jvm/compiler.scm 462 */
BgL_globalz00_bglt BgL_obj1156z00_3110;
{ /* Jvm/compiler.scm 462 */
BgL_variablez00_bglt BgL_auxz00_5219;
{ /* Jvm/compiler.scm 462 */
BgL_varz00_bglt BgL_obj1620z00_3109;
{ /* Jvm/compiler.scm 462 */
BgL_nodez00_bglt BgL_auxz00_5220;
BgL_auxz00_5220 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1620z00_3109 = 
(BgL_varz00_bglt)(BgL_auxz00_5220); } 
BgL_auxz00_5219 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3109))->BgL_variablez00); } 
BgL_obj1156z00_3110 = 
(BgL_globalz00_bglt)(BgL_auxz00_5219); } 
BgL_auxz00_5218 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_3110))->BgL_valuez00); } 
BgL_auxz00_5217 = 
(obj_t)(BgL_auxz00_5218); } 
BgL_test4362z00_2142 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5217, BGl_sfunz00zzast_varz00); }  else 
{ /* Jvm/compiler.scm 461 */
BgL_test4362z00_2142 = ((bool_t)0); } }  else 
{ /* Jvm/compiler.scm 460 */
BgL_test4362z00_2142 = ((bool_t)0); } } 
if(BgL_test4362z00_2142)
{ /* Jvm/compiler.scm 463 */
BgL_variablez00_bglt BgL_vz00_2143;
{ /* Jvm/compiler.scm 463 */
BgL_varz00_bglt BgL_obj1620z00_3113;
{ /* Jvm/compiler.scm 463 */
BgL_nodez00_bglt BgL_auxz00_5229;
BgL_auxz00_5229 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00); 
BgL_obj1620z00_3113 = 
(BgL_varz00_bglt)(BgL_auxz00_5229); } 
BgL_vz00_2143 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3113))->BgL_variablez00); } 
{ 
obj_t BgL_l3110z00_2144;
{ /* Jvm/compiler.scm 465 */
obj_t BgL_arg4364z00_2146;
{ /* Jvm/compiler.scm 465 */
obj_t BgL_auxz00_5233;
{ /* Jvm/compiler.scm 465 */
obj_t BgL_auxz00_5234;
BgL_auxz00_5234 = 
bgl_reverse(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_argsz00)); 
BgL_auxz00_5233 = 
CDR(BgL_auxz00_5234); } 
BgL_arg4364z00_2146 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5233); } 
BgL_l3110z00_2144 = BgL_arg4364z00_2146; 
BgL_lname3111z00_2145:
if(
PAIRP(BgL_l3110z00_2144))
{ /* Jvm/compiler.scm 464 */
{ /* Jvm/compiler.scm 464 */
BgL_nodez00_bglt BgL_auxz00_5241;
{ /* Jvm/compiler.scm 464 */
obj_t BgL_auxz00_5242;
BgL_auxz00_5242 = 
CAR(BgL_l3110z00_2144); 
BgL_auxz00_5241 = 
(BgL_nodez00_bglt)(BgL_auxz00_5242); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5241, BgL_envz00_65); } 
{ 
obj_t BgL_l3110z00_5246;
BgL_l3110z00_5246 = 
CDR(BgL_l3110z00_2144); 
BgL_l3110z00_2144 = BgL_l3110z00_5246; 
goto BgL_lname3111z00_2145;} }  else 
{ /* Jvm/compiler.scm 464 */((bool_t)1); } } } 
{ /* Jvm/compiler.scm 466 */
obj_t BgL_arg4385z00_2153;obj_t BgL_arg4386z00_2154;obj_t BgL_arg4387z00_2155;
BgL_arg4385z00_2153 = 
BGl_getzd2globalzd2namez00zzjvm_envz00(BgL_envz00_65, 
(BgL_globalz00_bglt)(BgL_vz00_2143)); 
BgL_arg4386z00_2154 = 
BGl_typezd2argszd2zzjvm_compilerz00(BgL_vz00_2143, BgL_envz00_65); 
{ /* Jvm/compiler.scm 468 */
obj_t BgL_auxz00_5251;
{ /* Jvm/compiler.scm 468 */
BgL_typez00_bglt BgL_auxz00_5252;
{ /* Jvm/compiler.scm 468 */
BgL_globalz00_bglt BgL_obj1153z00_3119;
BgL_obj1153z00_3119 = 
(BgL_globalz00_bglt)(BgL_vz00_2143); 
BgL_auxz00_5252 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1153z00_3119))->BgL_typez00); } 
BgL_auxz00_5251 = 
(obj_t)(BgL_auxz00_5252); } 
BgL_arg4387z00_2155 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5251, BgL_envz00_65); } 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4385z00_2153, BgL_arg4386z00_2154, BgL_arg4387z00_2155);} }  else 
{ /* Jvm/compiler.scm 460 */
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_funz00), BgL_envz00_65); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 471 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)51))); }  else 
{ /* Jvm/compiler.scm 471 */BFALSE; } 
{ /* Jvm/compiler.scm 473 */
obj_t BgL_argsz00_2159;
{ /* Jvm/compiler.scm 473 */
obj_t BgL_auxz00_5264;
{ /* Jvm/compiler.scm 473 */
obj_t BgL_auxz00_5265;
{ /* Jvm/compiler.scm 473 */
obj_t BgL_auxz00_5266;
{ /* Jvm/compiler.scm 473 */
obj_t BgL_auxz00_5267;
BgL_auxz00_5267 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_64))->BgL_argsz00); 
BgL_auxz00_5266 = 
CDR(BgL_auxz00_5267); } 
BgL_auxz00_5265 = 
bgl_reverse(BgL_auxz00_5266); } 
BgL_auxz00_5264 = 
CDR(BgL_auxz00_5265); } 
BgL_argsz00_2159 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5264); } 
{ 
obj_t BgL_l3112z00_2160;
BgL_l3112z00_2160 = BgL_argsz00_2159; 
BgL_lname3113z00_2161:
if(
PAIRP(BgL_l3112z00_2160))
{ /* Jvm/compiler.scm 474 */
{ /* Jvm/compiler.scm 474 */
BgL_nodez00_bglt BgL_auxz00_5275;
{ /* Jvm/compiler.scm 474 */
obj_t BgL_auxz00_5276;
BgL_auxz00_5276 = 
CAR(BgL_l3112z00_2160); 
BgL_auxz00_5275 = 
(BgL_nodez00_bglt)(BgL_auxz00_5276); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5275, BgL_envz00_65); } 
{ 
obj_t BgL_l3112z00_5280;
BgL_l3112z00_5280 = 
CDR(BgL_l3112z00_2160); 
BgL_l3112z00_2160 = BgL_l3112z00_5280; 
goto BgL_lname3113z00_2161;} }  else 
{ /* Jvm/compiler.scm 474 */((bool_t)1); } } 
{ 

switch( 
bgl_list_length(BgL_argsz00_2159)) { case ((long)0) : 

{ /* Jvm/compiler.scm 476 */
obj_t BgL_arg4415z00_2168;obj_t BgL_arg4416z00_2169;obj_t BgL_arg4417z00_2170;
BgL_arg4415z00_2168 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)56))); 
BgL_arg4416z00_2169 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg4417z00_2170 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4415z00_2168, BgL_arg4416z00_2169, BgL_arg4417z00_2170);} break;case ((long)1) : 

{ /* Jvm/compiler.scm 478 */
obj_t BgL_arg4421z00_2171;obj_t BgL_arg4422z00_2172;obj_t BgL_arg4423z00_2173;
BgL_arg4421z00_2171 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)57))); 
BgL_arg4422z00_2172 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4423z00_2173 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4421z00_2171, BgL_arg4422z00_2172, BgL_arg4423z00_2173);} break;case ((long)2) : 

{ /* Jvm/compiler.scm 480 */
obj_t BgL_arg4427z00_2174;obj_t BgL_arg4428z00_2175;obj_t BgL_arg4429z00_2176;
BgL_arg4427z00_2174 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)58))); 
BgL_arg4428z00_2175 = 
CNST_TABLE_REF(((long)59)); 
BgL_arg4429z00_2176 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4427z00_2174, BgL_arg4428z00_2175, BgL_arg4429z00_2176);} break;case ((long)3) : 

{ /* Jvm/compiler.scm 482 */
obj_t BgL_arg4433z00_2177;obj_t BgL_arg4434z00_2178;obj_t BgL_arg4435z00_2179;
BgL_arg4433z00_2177 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)60))); 
BgL_arg4434z00_2178 = 
CNST_TABLE_REF(((long)61)); 
BgL_arg4435z00_2179 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4433z00_2177, BgL_arg4434z00_2178, BgL_arg4435z00_2179);} break;case ((long)4) : 

{ /* Jvm/compiler.scm 484 */
obj_t BgL_arg4439z00_2180;obj_t BgL_arg4440z00_2181;obj_t BgL_arg4441z00_2182;
BgL_arg4439z00_2180 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)62))); 
BgL_arg4440z00_2181 = 
CNST_TABLE_REF(((long)63)); 
BgL_arg4441z00_2182 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4439z00_2180, BgL_arg4440z00_2181, BgL_arg4441z00_2182);} break;
default: 
{ /* Jvm/compiler.scm 487 */
obj_t BgL_arg4449z00_2183;
BgL_arg4449z00_2183 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)6))); 
BGl__getstaticz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4449z00_2183); } 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)55))); 
{ 
obj_t BgL_l3114z00_2184;
BgL_l3114z00_2184 = BgL_argsz00_2159; 
BgL_lname3115z00_2185:
if(
PAIRP(BgL_l3114z00_2184))
{ /* Jvm/compiler.scm 489 */
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)55)), 
CNST_TABLE_REF(((long)53)), 
CNST_TABLE_REF(((long)54))); 
{ 
obj_t BgL_l3114z00_5318;
BgL_l3114z00_5318 = 
CDR(BgL_l3114z00_2184); 
BgL_l3114z00_2184 = BgL_l3114z00_5318; 
goto BgL_lname3115z00_2185;} }  else 
{ /* Jvm/compiler.scm 489 */((bool_t)1); } } 
{ /* Jvm/compiler.scm 492 */
obj_t BgL_arg4463z00_2189;obj_t BgL_arg4464z00_2190;obj_t BgL_arg4465z00_2191;
BgL_arg4463z00_2189 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_65, 
CNST_TABLE_REF(((long)52))); 
BgL_arg4464z00_2190 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4465z00_2191 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokevirtualz00zzjvm_instrz00(BgL_envz00_65, BgL_arg4463z00_2189, BgL_arg4464z00_2190, BgL_arg4465z00_2191);} } } } } } } 
}



/* _compiler-funcall5412 */
obj_t BGl__compilerzd2funcall5412zd2zzjvm_compilerz00(obj_t BgL_envz00_3888, obj_t BgL_ez00_3889, obj_t BgL_envz00_3890)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 455 */
return 
BGl_compilerzd2funcallzd2zzjvm_compilerz00(
(BgL_funcallz00_bglt)(BgL_ez00_3889), 
(BgL_envz00_bglt)(BgL_envz00_3890));} 
}



/* compiler-pragma */
obj_t BGl_compilerzd2pragmazd2zzjvm_compilerz00(BgL_pragmaz00_bglt BgL_ez00_66, BgL_envz00_bglt BgL_envz00_67)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 496 */
{ /* Jvm/compiler.scm 497 */
obj_t BgL_nz00_3132;
BgL_nz00_3132 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_66)); 
if(
CBOOL(BgL_nz00_3132))
{ /* Jvm/compiler.scm 497 */
BGl__linez00zzjvm_instrz00(BgL_envz00_67, BgL_nz00_3132); }  else 
{ /* Jvm/compiler.scm 497 */
CNST_TABLE_REF(((long)3)); } } 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_formatz00), BGl_string5910z00zzjvm_compilerz00))
{ /* Jvm/compiler.scm 500 */
{ /* Jvm/compiler.scm 501 */
obj_t BgL_arg4507z00_2206;obj_t BgL_arg4509z00_2208;
BgL_arg4507z00_2206 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_67, 
CNST_TABLE_REF(((long)64))); 
if(
CBOOL(BGl_za2longislongza2z00zzjvm_envz00))
{ /* Jvm/compiler.scm 502 */
BgL_arg4509z00_2208 = 
CNST_TABLE_REF(((long)29)); }  else 
{ /* Jvm/compiler.scm 502 */
BgL_arg4509z00_2208 = 
CNST_TABLE_REF(((long)8)); } 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_67, BgL_arg4507z00_2206, BNIL, BgL_arg4509z00_2208);} }  else 
{ /* Jvm/compiler.scm 500 */
{ /* Jvm/compiler.scm 504 */
obj_t BgL_arg4515z00_2211;
{ /* Jvm/compiler.scm 504 */
obj_t BgL_auxz00_5348;obj_t BgL_auxz00_5346;
BgL_auxz00_5348 = 
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_exprza2za2); 
BgL_auxz00_5346 = 
(((BgL_pragmaz00_bglt)CREF(BgL_ez00_66))->BgL_formatz00); 
BgL_arg4515z00_2211 = 
MAKE_PAIR(BgL_auxz00_5346, BgL_auxz00_5348); } 
FAILURE(BGl_string5911z00zzjvm_compilerz00,BGl_string5912z00zzjvm_compilerz00,BgL_arg4515z00_2211);} } } 
}



/* _compiler-pragma5414 */
obj_t BGl__compilerzd2pragma5414zd2zzjvm_compilerz00(obj_t BgL_envz00_3891, obj_t BgL_ez00_3892, obj_t BgL_envz00_3893)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 496 */
return 
BGl_compilerzd2pragmazd2zzjvm_compilerz00(
(BgL_pragmaz00_bglt)(BgL_ez00_3892), 
(BgL_envz00_bglt)(BgL_envz00_3893));} 
}



/* compiler-getfield */
obj_t BGl_compilerzd2getfieldzd2zzjvm_compilerz00(BgL_getfieldz00_bglt BgL_ez00_68, BgL_envz00_bglt BgL_envz00_69)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 507 */
{ /* Jvm/compiler.scm 508 */
obj_t BgL_nz00_3141;
BgL_nz00_3141 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_68)); 
if(
CBOOL(BgL_nz00_3141))
{ /* Jvm/compiler.scm 508 */
BGl__linez00zzjvm_instrz00(BgL_envz00_69, BgL_nz00_3141); }  else 
{ /* Jvm/compiler.scm 508 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 510 */
BgL_nodez00_bglt BgL_auxz00_5361;
{ /* Jvm/compiler.scm 510 */
obj_t BgL_auxz00_5362;
{ /* Jvm/compiler.scm 510 */
obj_t BgL_auxz00_5363;
BgL_auxz00_5363 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_exprza2za2); 
BgL_auxz00_5362 = 
CAR(BgL_auxz00_5363); } 
BgL_auxz00_5361 = 
(BgL_nodez00_bglt)(BgL_auxz00_5362); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5361, BgL_envz00_69); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 511 */
obj_t BgL_arg4537z00_2219;
{ /* Jvm/compiler.scm 511 */
obj_t BgL_auxz00_5370;
{ /* Jvm/compiler.scm 511 */
BgL_typez00_bglt BgL_auxz00_5371;
BgL_auxz00_5371 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_otypez00); 
BgL_auxz00_5370 = 
(obj_t)(BgL_auxz00_5371); } 
BgL_arg4537z00_2219 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5370, BgL_envz00_69); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_69, BgL_arg4537z00_2219); }  else 
{ /* Jvm/compiler.scm 511 */BFALSE; } 
{ /* Jvm/compiler.scm 513 */
obj_t BgL_arg4544z00_2221;obj_t BgL_arg4545z00_2222;
{ /* Jvm/compiler.scm 513 */
obj_t BgL_auxz00_5376;
{ /* Jvm/compiler.scm 513 */
BgL_typez00_bglt BgL_auxz00_5377;
BgL_auxz00_5377 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_ftypez00); 
BgL_auxz00_5376 = 
(obj_t)(BgL_auxz00_5377); } 
BgL_arg4544z00_2221 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5376, BgL_envz00_69); } 
{ /* Jvm/compiler.scm 514 */
obj_t BgL_arg4553z00_2224;obj_t BgL_arg4554z00_2225;obj_t BgL_arg4555z00_2226;
BgL_arg4553z00_2224 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_fnamez00); 
{ /* Jvm/compiler.scm 516 */
obj_t BgL_auxz00_5382;
{ /* Jvm/compiler.scm 516 */
BgL_typez00_bglt BgL_auxz00_5383;
BgL_auxz00_5383 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_ftypez00); 
BgL_auxz00_5382 = 
(obj_t)(BgL_auxz00_5383); } 
BgL_arg4554z00_2225 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5382, BgL_envz00_69); } 
{ /* Jvm/compiler.scm 517 */
obj_t BgL_auxz00_5387;
{ /* Jvm/compiler.scm 517 */
BgL_typez00_bglt BgL_auxz00_5388;
BgL_auxz00_5388 = 
(((BgL_getfieldz00_bglt)CREF(BgL_ez00_68))->BgL_otypez00); 
BgL_auxz00_5387 = 
(obj_t)(BgL_auxz00_5388); } 
BgL_arg4555z00_2226 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5387, BgL_envz00_69); } 
BgL_arg4545z00_2222 = 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(
(obj_t)(BgL_envz00_69), BgL_arg4553z00_2224, BgL_arg4554z00_2225, BgL_arg4555z00_2226); } 
return 
BGl__getfieldz00zzjvm_instrz00(BgL_envz00_69, BgL_arg4544z00_2221, BgL_arg4545z00_2222);} } 
}



/* _compiler-getfield5416 */
obj_t BGl__compilerzd2getfield5416zd2zzjvm_compilerz00(obj_t BgL_envz00_3894, obj_t BgL_ez00_3895, obj_t BgL_envz00_3896)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 507 */
return 
BGl_compilerzd2getfieldzd2zzjvm_compilerz00(
(BgL_getfieldz00_bglt)(BgL_ez00_3895), 
(BgL_envz00_bglt)(BgL_envz00_3896));} 
}



/* compiler-setfield */
obj_t BGl_compilerzd2setfieldzd2zzjvm_compilerz00(BgL_setfieldz00_bglt BgL_ez00_70, BgL_envz00_bglt BgL_envz00_71)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 520 */
{ /* Jvm/compiler.scm 521 */
obj_t BgL_nz00_3151;
BgL_nz00_3151 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_70)); 
if(
CBOOL(BgL_nz00_3151))
{ /* Jvm/compiler.scm 521 */
BGl__linez00zzjvm_instrz00(BgL_envz00_71, BgL_nz00_3151); }  else 
{ /* Jvm/compiler.scm 521 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 523 */
BgL_nodez00_bglt BgL_auxz00_5404;
{ /* Jvm/compiler.scm 523 */
obj_t BgL_auxz00_5405;
{ /* Jvm/compiler.scm 523 */
obj_t BgL_auxz00_5406;
BgL_auxz00_5406 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_exprza2za2); 
BgL_auxz00_5405 = 
CAR(BgL_auxz00_5406); } 
BgL_auxz00_5404 = 
(BgL_nodez00_bglt)(BgL_auxz00_5405); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5404, BgL_envz00_71); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 524 */
obj_t BgL_arg4575z00_2232;
{ /* Jvm/compiler.scm 524 */
obj_t BgL_auxz00_5413;
{ /* Jvm/compiler.scm 524 */
BgL_typez00_bglt BgL_auxz00_5414;
BgL_auxz00_5414 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_otypez00); 
BgL_auxz00_5413 = 
(obj_t)(BgL_auxz00_5414); } 
BgL_arg4575z00_2232 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5413, BgL_envz00_71); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_71, BgL_arg4575z00_2232); }  else 
{ /* Jvm/compiler.scm 524 */BFALSE; } 
{ /* Jvm/compiler.scm 525 */
BgL_nodez00_bglt BgL_auxz00_5419;
{ /* Jvm/compiler.scm 525 */
obj_t BgL_auxz00_5420;
{ /* Jvm/compiler.scm 525 */
obj_t BgL_auxz00_5421;
{ /* Jvm/compiler.scm 525 */
obj_t BgL_auxz00_5422;
BgL_auxz00_5422 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_exprza2za2); 
BgL_auxz00_5421 = 
CDR(BgL_auxz00_5422); } 
BgL_auxz00_5420 = 
CAR(BgL_auxz00_5421); } 
BgL_auxz00_5419 = 
(BgL_nodez00_bglt)(BgL_auxz00_5420); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5419, BgL_envz00_71); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 526 */
obj_t BgL_arg4589z00_2236;
{ /* Jvm/compiler.scm 526 */
obj_t BgL_auxz00_5430;
{ /* Jvm/compiler.scm 526 */
BgL_typez00_bglt BgL_auxz00_5431;
BgL_auxz00_5431 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_ftypez00); 
BgL_auxz00_5430 = 
(obj_t)(BgL_auxz00_5431); } 
BgL_arg4589z00_2236 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5430, BgL_envz00_71); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_71, BgL_arg4589z00_2236); }  else 
{ /* Jvm/compiler.scm 526 */BFALSE; } 
{ /* Jvm/compiler.scm 527 */
obj_t BgL_arg4596z00_2238;
{ /* Jvm/compiler.scm 527 */
obj_t BgL_arg4599z00_2239;obj_t BgL_arg4601z00_2240;obj_t BgL_arg4602z00_2241;
BgL_arg4599z00_2239 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_fnamez00); 
{ /* Jvm/compiler.scm 528 */
obj_t BgL_auxz00_5437;
{ /* Jvm/compiler.scm 528 */
BgL_typez00_bglt BgL_auxz00_5438;
BgL_auxz00_5438 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_ftypez00); 
BgL_auxz00_5437 = 
(obj_t)(BgL_auxz00_5438); } 
BgL_arg4601z00_2240 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5437, BgL_envz00_71); } 
{ /* Jvm/compiler.scm 529 */
obj_t BgL_auxz00_5442;
{ /* Jvm/compiler.scm 529 */
BgL_typez00_bglt BgL_auxz00_5443;
BgL_auxz00_5443 = 
(((BgL_setfieldz00_bglt)CREF(BgL_ez00_70))->BgL_otypez00); 
BgL_auxz00_5442 = 
(obj_t)(BgL_auxz00_5443); } 
BgL_arg4602z00_2241 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5442, BgL_envz00_71); } 
BgL_arg4596z00_2238 = 
BGl_envzd2declarezd2fieldz00zzjvm_envz00(
(obj_t)(BgL_envz00_71), BgL_arg4599z00_2239, BgL_arg4601z00_2240, BgL_arg4602z00_2241); } 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_71, BgL_arg4596z00_2238);} } 
}



/* _compiler-setfield5418 */
obj_t BGl__compilerzd2setfield5418zd2zzjvm_compilerz00(obj_t BgL_envz00_3897, obj_t BgL_ez00_3898, obj_t BgL_envz00_3899)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 520 */
return 
BGl_compilerzd2setfieldzd2zzjvm_compilerz00(
(BgL_setfieldz00_bglt)(BgL_ez00_3898), 
(BgL_envz00_bglt)(BgL_envz00_3899));} 
}



/* compiler-new */
obj_t BGl_compilerzd2newzd2zzjvm_compilerz00(BgL_newz00_bglt BgL_ez00_72, BgL_envz00_bglt BgL_envz00_73)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 532 */
{ /* Jvm/compiler.scm 533 */
obj_t BgL_nz00_3166;
BgL_nz00_3166 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_72)); 
if(
CBOOL(BgL_nz00_3166))
{ /* Jvm/compiler.scm 533 */
BGl__linez00zzjvm_instrz00(BgL_envz00_73, BgL_nz00_3166); }  else 
{ /* Jvm/compiler.scm 533 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 534 */
obj_t BgL_typez00_2244;
{ /* Jvm/compiler.scm 534 */
obj_t BgL_auxz00_5459;
{ /* Jvm/compiler.scm 534 */
BgL_typez00_bglt BgL_auxz00_5460;
{ /* Jvm/compiler.scm 534 */
BgL_nodez00_bglt BgL_obj1551z00_3167;
BgL_obj1551z00_3167 = 
(BgL_nodez00_bglt)(BgL_ez00_72); 
BgL_auxz00_5460 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_3167))->BgL_typez00); } 
BgL_auxz00_5459 = 
(obj_t)(BgL_auxz00_5460); } 
BgL_typez00_2244 = 
BGl_compilezd2typezd2nowideningz00zzjvm_envz00(BgL_auxz00_5459, BgL_envz00_73); } 
BGl__newz00zzjvm_instrz00(BgL_envz00_73, BgL_typez00_2244); 
{ /* Jvm/compiler.scm 537 */
bool_t BgL_test4615z00_2246;
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 537 */
bool_t BgL_test4623z00_2250;
{ /* Jvm/compiler.scm 537 */
obj_t BgL_auxz00_5468;
{ /* Jvm/compiler.scm 537 */
BgL_typez00_bglt BgL_auxz00_5469;
{ /* Jvm/compiler.scm 537 */
BgL_nodez00_bglt BgL_obj1551z00_3169;
BgL_obj1551z00_3169 = 
(BgL_nodez00_bglt)(BgL_ez00_72); 
BgL_auxz00_5469 = 
(((BgL_nodez00_bglt)CREF(BgL_obj1551z00_3169))->BgL_typez00); } 
BgL_auxz00_5468 = 
(obj_t)(BgL_auxz00_5469); } 
BgL_test4623z00_2250 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5468, BGl_jclassz00zzobject_classz00); } 
if(BgL_test4623z00_2250)
{ /* Jvm/compiler.scm 537 */
BgL_test4615z00_2246 = ((bool_t)0); }  else 
{ /* Jvm/compiler.scm 537 */
BgL_test4615z00_2246 = ((bool_t)1); } }  else 
{ /* Jvm/compiler.scm 537 */
BgL_test4615z00_2246 = ((bool_t)0); } 
if(BgL_test4615z00_2246)
{ /* Jvm/compiler.scm 537 */
BGl__dupz00zzjvm_instrz00(BgL_envz00_73); 
{ /* Jvm/compiler.scm 540 */
obj_t BgL_arg4618z00_2247;obj_t BgL_arg4619z00_2248;obj_t BgL_arg4620z00_2249;
BgL_arg4618z00_2247 = 
BGl_envzd2declarezd2initz00zzjvm_envz00(
(obj_t)(BgL_envz00_73), BgL_typez00_2244); 
BgL_arg4619z00_2248 = 
CNST_TABLE_REF(((long)41)); 
BgL_arg4620z00_2249 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_73, BgL_arg4618z00_2247, BgL_arg4619z00_2248, BgL_arg4620z00_2249);} }  else 
{ /* Jvm/compiler.scm 537 */
return BFALSE;} } } } 
}



/* _compiler-new5420 */
obj_t BGl__compilerzd2new5420zd2zzjvm_compilerz00(obj_t BgL_envz00_3900, obj_t BgL_ez00_3901, obj_t BgL_envz00_3902)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 532 */
return 
BGl_compilerzd2newzd2zzjvm_compilerz00(
(BgL_newz00_bglt)(BgL_ez00_3901), 
(BgL_envz00_bglt)(BgL_envz00_3902));} 
}



/* compiler-valloc */
obj_t BGl_compilerzd2valloczd2zzjvm_compilerz00(BgL_vallocz00_bglt BgL_ez00_74, BgL_envz00_bglt BgL_envz00_75)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 543 */
{ /* Jvm/compiler.scm 544 */
obj_t BgL_nz00_3173;
BgL_nz00_3173 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_74)); 
if(
CBOOL(BgL_nz00_3173))
{ /* Jvm/compiler.scm 544 */
BGl__linez00zzjvm_instrz00(BgL_envz00_75, BgL_nz00_3173); }  else 
{ /* Jvm/compiler.scm 544 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 546 */
BgL_nodez00_bglt BgL_auxz00_5491;
{ /* Jvm/compiler.scm 546 */
obj_t BgL_auxz00_5492;
{ /* Jvm/compiler.scm 546 */
obj_t BgL_auxz00_5493;
BgL_auxz00_5493 = 
(((BgL_vallocz00_bglt)CREF(BgL_ez00_74))->BgL_exprza2za2); 
BgL_auxz00_5492 = 
CAR(BgL_auxz00_5493); } 
BgL_auxz00_5491 = 
(BgL_nodez00_bglt)(BgL_auxz00_5492); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5491, BgL_envz00_75); } 
{ /* Jvm/compiler.scm 547 */
obj_t BgL_arg4642z00_2256;
{ /* Jvm/compiler.scm 547 */
obj_t BgL_auxz00_5498;
{ /* Jvm/compiler.scm 547 */
BgL_typez00_bglt BgL_auxz00_5499;
BgL_auxz00_5499 = 
(((BgL_vallocz00_bglt)CREF(BgL_ez00_74))->BgL_ftypez00); 
BgL_auxz00_5498 = 
(obj_t)(BgL_auxz00_5499); } 
BgL_arg4642z00_2256 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5498, BgL_envz00_75); } 
return 
BGl__newarrayz00zzjvm_instrz00(BgL_envz00_75, BgL_arg4642z00_2256);} } 
}



/* _compiler-valloc5422 */
obj_t BGl__compilerzd2valloc5422zd2zzjvm_compilerz00(obj_t BgL_envz00_3903, obj_t BgL_ez00_3904, obj_t BgL_envz00_3905)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 543 */
return 
BGl_compilerzd2valloczd2zzjvm_compilerz00(
(BgL_vallocz00_bglt)(BgL_ez00_3904), 
(BgL_envz00_bglt)(BgL_envz00_3905));} 
}



/* compiler-vref */
obj_t BGl_compilerzd2vrefzd2zzjvm_compilerz00(BgL_vrefz00_bglt BgL_ez00_76, BgL_envz00_bglt BgL_envz00_77)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 550 */
{ /* Jvm/compiler.scm 551 */
obj_t BgL_nz00_3179;
BgL_nz00_3179 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_76)); 
if(
CBOOL(BgL_nz00_3179))
{ /* Jvm/compiler.scm 551 */
BGl__linez00zzjvm_instrz00(BgL_envz00_77, BgL_nz00_3179); }  else 
{ /* Jvm/compiler.scm 551 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 553 */
obj_t BgL_typez00_2259;
{ /* Jvm/compiler.scm 553 */
obj_t BgL_auxz00_5513;
{ /* Jvm/compiler.scm 553 */
BgL_typez00_bglt BgL_auxz00_5514;
BgL_auxz00_5514 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_ftypez00); 
BgL_auxz00_5513 = 
(obj_t)(BgL_auxz00_5514); } 
BgL_typez00_2259 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5513, BgL_envz00_77); } 
{ /* Jvm/compiler.scm 554 */
BgL_nodez00_bglt BgL_auxz00_5518;
{ /* Jvm/compiler.scm 554 */
obj_t BgL_auxz00_5519;
{ /* Jvm/compiler.scm 554 */
obj_t BgL_auxz00_5520;
BgL_auxz00_5520 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_exprza2za2); 
BgL_auxz00_5519 = 
CAR(BgL_auxz00_5520); } 
BgL_auxz00_5518 = 
(BgL_nodez00_bglt)(BgL_auxz00_5519); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5518, BgL_envz00_77); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 555 */
obj_t BgL_arg4657z00_2262;
{ /* Jvm/compiler.scm 555 */
obj_t BgL_arg4660z00_2263;obj_t BgL_arg4661z00_2264;
BgL_arg4660z00_2263 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4661z00_2264 = 
MAKE_PAIR(BgL_typez00_2259, BNIL); 
BgL_arg4657z00_2262 = 
MAKE_PAIR(BgL_arg4660z00_2263, BgL_arg4661z00_2264); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_77, BgL_arg4657z00_2262); }  else 
{ /* Jvm/compiler.scm 555 */BFALSE; } 
{ /* Jvm/compiler.scm 556 */
BgL_nodez00_bglt BgL_auxz00_5531;
{ /* Jvm/compiler.scm 556 */
obj_t BgL_auxz00_5532;
{ /* Jvm/compiler.scm 556 */
obj_t BgL_auxz00_5533;
{ /* Jvm/compiler.scm 556 */
obj_t BgL_auxz00_5534;
BgL_auxz00_5534 = 
(((BgL_vrefz00_bglt)CREF(BgL_ez00_76))->BgL_exprza2za2); 
BgL_auxz00_5533 = 
CDR(BgL_auxz00_5534); } 
BgL_auxz00_5532 = 
CAR(BgL_auxz00_5533); } 
BgL_auxz00_5531 = 
(BgL_nodez00_bglt)(BgL_auxz00_5532); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5531, BgL_envz00_77); } 
return 
BGl__aloadz00zzjvm_instrz00(BgL_envz00_77, BgL_typez00_2259);} } 
}



/* _compiler-vref5424 */
obj_t BGl__compilerzd2vref5424zd2zzjvm_compilerz00(obj_t BgL_envz00_3906, obj_t BgL_ez00_3907, obj_t BgL_envz00_3908)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 550 */
return 
BGl_compilerzd2vrefzd2zzjvm_compilerz00(
(BgL_vrefz00_bglt)(BgL_ez00_3907), 
(BgL_envz00_bglt)(BgL_envz00_3908));} 
}



/* compiler-vset */
obj_t BGl_compilerzd2vsetzd2zzjvm_compilerz00(BgL_vsetz12z12_bglt BgL_ez00_78, BgL_envz00_bglt BgL_envz00_79)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 560 */
{ /* Jvm/compiler.scm 561 */
obj_t BgL_nz00_3190;
BgL_nz00_3190 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_78)); 
if(
CBOOL(BgL_nz00_3190))
{ /* Jvm/compiler.scm 561 */
BGl__linez00zzjvm_instrz00(BgL_envz00_79, BgL_nz00_3190); }  else 
{ /* Jvm/compiler.scm 561 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 563 */
obj_t BgL_typez00_2269;
{ /* Jvm/compiler.scm 563 */
obj_t BgL_auxz00_5550;
{ /* Jvm/compiler.scm 563 */
BgL_typez00_bglt BgL_auxz00_5551;
BgL_auxz00_5551 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_ftypez00); 
BgL_auxz00_5550 = 
(obj_t)(BgL_auxz00_5551); } 
BgL_typez00_2269 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5550, BgL_envz00_79); } 
{ /* Jvm/compiler.scm 564 */
BgL_nodez00_bglt BgL_auxz00_5555;
{ /* Jvm/compiler.scm 564 */
obj_t BgL_auxz00_5556;
{ /* Jvm/compiler.scm 564 */
obj_t BgL_auxz00_5557;
BgL_auxz00_5557 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5556 = 
CAR(BgL_auxz00_5557); } 
BgL_auxz00_5555 = 
(BgL_nodez00_bglt)(BgL_auxz00_5556); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5555, BgL_envz00_79); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 565 */
obj_t BgL_arg4686z00_2272;
{ /* Jvm/compiler.scm 565 */
obj_t BgL_arg4689z00_2273;obj_t BgL_arg4690z00_2274;
BgL_arg4689z00_2273 = 
CNST_TABLE_REF(((long)1)); 
BgL_arg4690z00_2274 = 
MAKE_PAIR(BgL_typez00_2269, BNIL); 
BgL_arg4686z00_2272 = 
MAKE_PAIR(BgL_arg4689z00_2273, BgL_arg4690z00_2274); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_79, BgL_arg4686z00_2272); }  else 
{ /* Jvm/compiler.scm 565 */BFALSE; } 
{ /* Jvm/compiler.scm 566 */
BgL_nodez00_bglt BgL_auxz00_5568;
{ /* Jvm/compiler.scm 566 */
obj_t BgL_auxz00_5569;
{ /* Jvm/compiler.scm 566 */
obj_t BgL_auxz00_5570;
{ /* Jvm/compiler.scm 566 */
obj_t BgL_auxz00_5571;
BgL_auxz00_5571 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5570 = 
CDR(BgL_auxz00_5571); } 
BgL_auxz00_5569 = 
CAR(BgL_auxz00_5570); } 
BgL_auxz00_5568 = 
(BgL_nodez00_bglt)(BgL_auxz00_5569); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5568, BgL_envz00_79); } 
{ /* Jvm/compiler.scm 567 */
BgL_nodez00_bglt BgL_auxz00_5577;
{ /* Jvm/compiler.scm 567 */
obj_t BgL_auxz00_5578;
{ /* Jvm/compiler.scm 567 */
obj_t BgL_auxz00_5579;
{ /* Jvm/compiler.scm 567 */
obj_t BgL_auxz00_5580;
{ /* Jvm/compiler.scm 567 */
obj_t BgL_auxz00_5581;
BgL_auxz00_5581 = 
(((BgL_vsetz12z12_bglt)CREF(BgL_ez00_78))->BgL_exprza2za2); 
BgL_auxz00_5580 = 
CDR(BgL_auxz00_5581); } 
BgL_auxz00_5579 = 
CDR(BgL_auxz00_5580); } 
BgL_auxz00_5578 = 
CAR(BgL_auxz00_5579); } 
BgL_auxz00_5577 = 
(BgL_nodez00_bglt)(BgL_auxz00_5578); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5577, BgL_envz00_79); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 568 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_79, BgL_typez00_2269); }  else 
{ /* Jvm/compiler.scm 568 */BFALSE; } 
return 
BGl__astorez00zzjvm_instrz00(BgL_envz00_79, BgL_typez00_2269);} } 
}



/* _compiler-vset5426 */
obj_t BGl__compilerzd2vset5426zd2zzjvm_compilerz00(obj_t BgL_envz00_3909, obj_t BgL_ez00_3910, obj_t BgL_envz00_3911)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 560 */
return 
BGl_compilerzd2vsetzd2zzjvm_compilerz00(
(BgL_vsetz12z12_bglt)(BgL_ez00_3910), 
(BgL_envz00_bglt)(BgL_envz00_3911));} 
}



/* compiler-vlength */
obj_t BGl_compilerzd2vlengthzd2zzjvm_compilerz00(BgL_vlengthz00_bglt BgL_ez00_80, BgL_envz00_bglt BgL_envz00_81)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 572 */
{ /* Jvm/compiler.scm 573 */
obj_t BgL_nz00_3208;
BgL_nz00_3208 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_80)); 
if(
CBOOL(BgL_nz00_3208))
{ /* Jvm/compiler.scm 573 */
BGl__linez00zzjvm_instrz00(BgL_envz00_81, BgL_nz00_3208); }  else 
{ /* Jvm/compiler.scm 573 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 575 */
BgL_nodez00_bglt BgL_auxz00_5601;
{ /* Jvm/compiler.scm 575 */
obj_t BgL_auxz00_5602;
{ /* Jvm/compiler.scm 575 */
obj_t BgL_auxz00_5603;
BgL_auxz00_5603 = 
(((BgL_vlengthz00_bglt)CREF(BgL_ez00_80))->BgL_exprza2za2); 
BgL_auxz00_5602 = 
CAR(BgL_auxz00_5603); } 
BgL_auxz00_5601 = 
(BgL_nodez00_bglt)(BgL_auxz00_5602); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5601, BgL_envz00_81); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 576 */
obj_t BgL_arg4722z00_2283;
{ /* Jvm/compiler.scm 576 */
obj_t BgL_auxz00_5610;
{ /* Jvm/compiler.scm 576 */
BgL_typez00_bglt BgL_auxz00_5611;
BgL_auxz00_5611 = 
(((BgL_vlengthz00_bglt)CREF(BgL_ez00_80))->BgL_vtypez00); 
BgL_auxz00_5610 = 
(obj_t)(BgL_auxz00_5611); } 
BgL_arg4722z00_2283 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5610, BgL_envz00_81); } 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_81, BgL_arg4722z00_2283); }  else 
{ /* Jvm/compiler.scm 576 */BFALSE; } 
return 
BGl__arraylengthz00zzjvm_instrz00(BgL_envz00_81);} 
}



/* _compiler-vlength5428 */
obj_t BGl__compilerzd2vlength5428zd2zzjvm_compilerz00(obj_t BgL_envz00_3912, obj_t BgL_ez00_3913, obj_t BgL_envz00_3914)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 572 */
return 
BGl_compilerzd2vlengthzd2zzjvm_compilerz00(
(BgL_vlengthz00_bglt)(BgL_ez00_3913), 
(BgL_envz00_bglt)(BgL_envz00_3914));} 
}



/* compiler-isa */
obj_t BGl_compilerzd2isazd2zzjvm_compilerz00(BgL_isaz00_bglt BgL_ez00_82, BgL_envz00_bglt BgL_envz00_83)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 580 */
{ /* Jvm/compiler.scm 581 */
obj_t BgL_nz00_3214;
BgL_nz00_3214 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_82)); 
if(
CBOOL(BgL_nz00_3214))
{ /* Jvm/compiler.scm 581 */
BGl__linez00zzjvm_instrz00(BgL_envz00_83, BgL_nz00_3214); }  else 
{ /* Jvm/compiler.scm 581 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 583 */
BgL_nodez00_bglt BgL_auxz00_5626;
{ /* Jvm/compiler.scm 583 */
obj_t BgL_auxz00_5627;
{ /* Jvm/compiler.scm 583 */
obj_t BgL_auxz00_5628;
BgL_auxz00_5628 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_82))->BgL_exprza2za2); 
BgL_auxz00_5627 = 
CAR(BgL_auxz00_5628); } 
BgL_auxz00_5626 = 
(BgL_nodez00_bglt)(BgL_auxz00_5627); } 
BGl_compilezd2exprzd2zzjvm_exprz00(BgL_auxz00_5626, BgL_envz00_83); } 
{ /* Jvm/compiler.scm 584 */
obj_t BgL_arg4738z00_2288;
{ /* Jvm/compiler.scm 584 */
obj_t BgL_auxz00_5633;
{ /* Jvm/compiler.scm 584 */
BgL_typez00_bglt BgL_auxz00_5634;
BgL_auxz00_5634 = 
(((BgL_isaz00_bglt)CREF(BgL_ez00_82))->BgL_classz00); 
BgL_auxz00_5633 = 
(obj_t)(BgL_auxz00_5634); } 
BgL_arg4738z00_2288 = 
BGl_compilezd2typezd2zzjvm_envz00(BgL_auxz00_5633, BgL_envz00_83); } 
return 
BGl__instanceofz00zzjvm_instrz00(BgL_envz00_83, BgL_arg4738z00_2288);} } 
}



/* _compiler-isa5430 */
obj_t BGl__compilerzd2isa5430zd2zzjvm_compilerz00(obj_t BgL_envz00_3915, obj_t BgL_ez00_3916, obj_t BgL_envz00_3917)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 580 */
return 
BGl_compilerzd2isazd2zzjvm_compilerz00(
(BgL_isaz00_bglt)(BgL_ez00_3916), 
(BgL_envz00_bglt)(BgL_envz00_3917));} 
}



/* compiler-cast */
obj_t BGl_compilerzd2castzd2zzjvm_compilerz00(BgL_castz00_bglt BgL_ez00_84, BgL_envz00_bglt BgL_envz00_85, obj_t BgL_compz00_86)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 587 */
{ /* Jvm/compiler.scm 588 */
obj_t BgL_nz00_3222;
BgL_nz00_3222 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_84)); 
if(
CBOOL(BgL_nz00_3222))
{ /* Jvm/compiler.scm 588 */
BGl__linez00zzjvm_instrz00(BgL_envz00_85, BgL_nz00_3222); }  else 
{ /* Jvm/compiler.scm 588 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 589 */
obj_t BgL_auxz00_5648;
{ /* Jvm/compiler.scm 589 */
BgL_nodez00_bglt BgL_auxz00_5649;
BgL_auxz00_5649 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_84))->BgL_argz00); 
BgL_auxz00_5648 = 
(obj_t)(BgL_auxz00_5649); } 
return 
PROCEDURE_ENTRY(BgL_compz00_86)(BgL_compz00_86, BgL_auxz00_5648, 
(obj_t)(BgL_envz00_85), BEOA);} } 
}



/* _compiler-cast5432 */
obj_t BGl__compilerzd2cast5432zd2zzjvm_compilerz00(obj_t BgL_envz00_3918, obj_t BgL_ez00_3919, obj_t BgL_envz00_3920, obj_t BgL_compz00_3921)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 587 */
return 
BGl_compilerzd2castzd2zzjvm_compilerz00(
(BgL_castz00_bglt)(BgL_ez00_3919), 
(BgL_envz00_bglt)(BgL_envz00_3920), BgL_compz00_3921);} 
}



/* compiler-setexit */
obj_t BGl_compilerzd2setexitzd2zzjvm_compilerz00(BgL_setzd2exzd2itz00_bglt BgL_ez00_87, BgL_envz00_bglt BgL_envz00_88, obj_t BgL_compz00_89)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 593 */
{ /* Jvm/compiler.scm 594 */
obj_t BgL_nz00_3226;
BgL_nz00_3226 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_87)); 
if(
CBOOL(BgL_nz00_3226))
{ /* Jvm/compiler.scm 594 */
BGl__linez00zzjvm_instrz00(BgL_envz00_88, BgL_nz00_3226); }  else 
{ /* Jvm/compiler.scm 594 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 596 */
BgL_variablez00_bglt BgL_localz00_2293;
{ /* Jvm/compiler.scm 596 */
BgL_varz00_bglt BgL_arg4798z00_2311;
BgL_arg4798z00_2311 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_varz00); 
BgL_localz00_2293 = 
(((BgL_varz00_bglt)CREF(BgL_arg4798z00_2311))->BgL_variablez00); } 
{ /* Jvm/compiler.scm 597 */
obj_t BgL_arg4751z00_2294;obj_t BgL_arg4753z00_2296;
BgL_arg4751z00_2294 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)65))); 
BgL_arg4753z00_2296 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_88, BgL_arg4751z00_2294, BNIL, BgL_arg4753z00_2296); } 
{ /* Jvm/compiler.scm 598 */
obj_t BgL_arg4757z00_2297;
BgL_arg4757z00_2297 = 
BGl_envzd2declarezd2newzd2localzd2zzjvm_envz00(BgL_envz00_88, 
(BgL_localz00_bglt)(BgL_localz00_2293)); 
BGl__storez00zzjvm_instrz00(BgL_envz00_88, 
(BgL_localz00_bglt)(BgL_arg4757z00_2297)); } 
{ /* Jvm/compiler.scm 599 */
obj_t BgL_begz00_2298;obj_t BgL_endz00_2299;obj_t BgL_labz00_2300;obj_t BgL_contz00_2301;
BgL_begz00_2298 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5913z00zzjvm_compilerz00, BEOA); 
BgL_endz00_2299 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5914z00zzjvm_compilerz00, BEOA); 
BgL_labz00_2300 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5915z00zzjvm_compilerz00, BEOA); 
BgL_contz00_2301 = 
PROCEDURE_ENTRY(BGl_gensymz00zz__r4_symbols_6_4z00)(BGl_gensymz00zz__r4_symbols_6_4z00, BGl_string5900z00zzjvm_compilerz00, BEOA); 
{ /* Jvm/compiler.scm 603 */
obj_t BgL_arg4761z00_2302;
BgL_arg4761z00_2302 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)66))); 
BGl__handlerz00zzjvm_instrz00(BgL_envz00_88, BgL_begz00_2298, BgL_endz00_2299, BgL_labz00_2300, BgL_arg4761z00_2302); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_begz00_2298); 
{ /* Jvm/compiler.scm 605 */
obj_t BgL_auxz00_5686;
{ /* Jvm/compiler.scm 605 */
BgL_nodez00_bglt BgL_auxz00_5687;
BgL_auxz00_5687 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_bodyz00); 
BgL_auxz00_5686 = 
(obj_t)(BgL_auxz00_5687); } 
PROCEDURE_ENTRY(BgL_compz00_89)(BgL_compz00_89, BgL_auxz00_5686, 
(obj_t)(BgL_envz00_88), BEOA); } 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_endz00_2299); 
{ /* Jvm/compiler.scm 607 */
obj_t BgL_stackz00_2304;
BgL_stackz00_2304 = 
(((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00); 
BGl__gotoz00zzjvm_instrz00(BgL_envz00_88, BgL_contz00_2301); 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_labz00_2300); 
{ /* Jvm/compiler.scm 610 */
obj_t BgL_val2972z00_3232;
BgL_val2972z00_3232 = 
CNST_TABLE_REF(((long)41)); 
((((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00) = ((obj_t)BgL_val2972z00_3232), BUNSPEC); } 
{ /* Jvm/compiler.scm 611 */
BgL_localz00_bglt BgL_auxz00_5699;
{ /* Jvm/compiler.scm 611 */
BgL_variablez00_bglt BgL_auxz00_5700;
{ /* Jvm/compiler.scm 611 */
BgL_varz00_bglt BgL_arg4777z00_2306;
BgL_arg4777z00_2306 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_87))->BgL_varz00); 
BgL_auxz00_5700 = 
(((BgL_varz00_bglt)CREF(BgL_arg4777z00_2306))->BgL_variablez00); } 
BgL_auxz00_5699 = 
(BgL_localz00_bglt)(BgL_auxz00_5700); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_88, BgL_auxz00_5699); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 613 */
obj_t BgL_arg4781z00_2307;
BgL_arg4781z00_2307 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)67))); 
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_88, BgL_arg4781z00_2307); }  else 
{ /* Jvm/compiler.scm 613 */BFALSE; } 
{ /* Jvm/compiler.scm 614 */
obj_t BgL_arg4785z00_2308;obj_t BgL_arg4786z00_2309;obj_t BgL_arg4787z00_2310;
BgL_arg4785z00_2308 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_88, 
CNST_TABLE_REF(((long)68))); 
BgL_arg4786z00_2309 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4787z00_2310 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_88, BgL_arg4785z00_2308, BgL_arg4786z00_2309, BgL_arg4787z00_2310); } 
((((BgL_envz00_bglt)CREF(BgL_envz00_88))->BgL_stackz00) = ((obj_t)BgL_stackz00_2304), BUNSPEC); 
return 
BGl__labelz00zzjvm_instrz00(BgL_envz00_88, BgL_contz00_2301);} } } } 
}



/* _compiler-setexit5434 */
obj_t BGl__compilerzd2setexit5434zd2zzjvm_compilerz00(obj_t BgL_envz00_3922, obj_t BgL_ez00_3923, obj_t BgL_envz00_3924, obj_t BgL_compz00_3925)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 593 */
return 
BGl_compilerzd2setexitzd2zzjvm_compilerz00(
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3923), 
(BgL_envz00_bglt)(BgL_envz00_3924), BgL_compz00_3925);} 
}



/* compiler-jump-exit */
obj_t BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(BgL_jumpzd2exzd2itz00_bglt BgL_ez00_90, BgL_envz00_bglt BgL_envz00_91)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 621 */
{ /* Jvm/compiler.scm 622 */
obj_t BgL_nz00_3239;
BgL_nz00_3239 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_90)); 
if(
CBOOL(BgL_nz00_3239))
{ /* Jvm/compiler.scm 622 */
BGl__linez00zzjvm_instrz00(BgL_envz00_91, BgL_nz00_3239); }  else 
{ /* Jvm/compiler.scm 622 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_90))->BgL_exitz00), BgL_envz00_91); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_90))->BgL_valuez00), BgL_envz00_91); 
{ /* Jvm/compiler.scm 626 */
obj_t BgL_arg4811z00_2315;obj_t BgL_arg4812z00_2316;obj_t BgL_arg4813z00_2317;
BgL_arg4811z00_2315 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_91, 
CNST_TABLE_REF(((long)69))); 
BgL_arg4812z00_2316 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4813z00_2317 = 
CNST_TABLE_REF(((long)54)); 
return 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_91, BgL_arg4811z00_2315, BgL_arg4812z00_2316, BgL_arg4813z00_2317);} } 
}



/* _compiler-jump-exit5436 */
obj_t BGl__compilerzd2jumpzd2exit5436z00zzjvm_compilerz00(obj_t BgL_envz00_3926, obj_t BgL_ez00_3927, obj_t BgL_envz00_3928)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 621 */
return 
BGl_compilerzd2jumpzd2exitz00zzjvm_compilerz00(
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3927), 
(BgL_envz00_bglt)(BgL_envz00_3928));} 
}



/* compiler-fail */
obj_t BGl_compilerzd2failzd2zzjvm_compilerz00(BgL_failz00_bglt BgL_ez00_92, BgL_envz00_bglt BgL_envz00_93)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 629 */
{ /* Jvm/compiler.scm 630 */
obj_t BgL_nz00_3244;
BgL_nz00_3244 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_92)); 
if(
CBOOL(BgL_nz00_3244))
{ /* Jvm/compiler.scm 630 */
BGl__linez00zzjvm_instrz00(BgL_envz00_93, BgL_nz00_3244); }  else 
{ /* Jvm/compiler.scm 630 */
CNST_TABLE_REF(((long)3)); } } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_procz00), BgL_envz00_93); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_msgz00), BgL_envz00_93); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_failz00_bglt)CREF(BgL_ez00_92))->BgL_objz00), BgL_envz00_93); 
{ /* Jvm/compiler.scm 635 */
obj_t BgL_arg4830z00_2322;obj_t BgL_arg4831z00_2323;obj_t BgL_arg4832z00_2324;
BgL_arg4830z00_2322 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_93, 
CNST_TABLE_REF(((long)70))); 
BgL_arg4831z00_2323 = 
CNST_TABLE_REF(((long)59)); 
BgL_arg4832z00_2324 = 
CNST_TABLE_REF(((long)54)); 
BGl__invokestaticz00zzjvm_instrz00(BgL_envz00_93, BgL_arg4830z00_2322, BgL_arg4831z00_2323, BgL_arg4832z00_2324); } 
return 
BGl__athrowz00zzjvm_instrz00(BgL_envz00_93);} 
}



/* _compiler-fail5438 */
obj_t BGl__compilerzd2fail5438zd2zzjvm_compilerz00(obj_t BgL_envz00_3929, obj_t BgL_ez00_3930, obj_t BgL_envz00_3931)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 629 */
return 
BGl_compilerzd2failzd2zzjvm_compilerz00(
(BgL_failz00_bglt)(BgL_ez00_3930), 
(BgL_envz00_bglt)(BgL_envz00_3931));} 
}



/* compiler-make-box */
obj_t BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(BgL_makezd2boxzd2_bglt BgL_ez00_94, BgL_envz00_bglt BgL_envz00_95)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 639 */
{ /* Jvm/compiler.scm 640 */
obj_t BgL_nz00_3250;
BgL_nz00_3250 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_94)); 
if(
CBOOL(BgL_nz00_3250))
{ /* Jvm/compiler.scm 640 */
BGl__linez00zzjvm_instrz00(BgL_envz00_95, BgL_nz00_3250); }  else 
{ /* Jvm/compiler.scm 640 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 642 */
obj_t BgL_arg4838z00_2326;
BgL_arg4838z00_2326 = 
BGl_compilezd2typezd2zzjvm_envz00(
CNST_TABLE_REF(((long)71)), BgL_envz00_95); 
BGl__newz00zzjvm_instrz00(BgL_envz00_95, BgL_arg4838z00_2326); } 
BGl__dupz00zzjvm_instrz00(BgL_envz00_95); 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_94))->BgL_valuez00), BgL_envz00_95); 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 646 */
obj_t BgL_arg4847z00_2328;obj_t BgL_arg4848z00_2329;obj_t BgL_arg4849z00_2330;
BgL_arg4847z00_2328 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)72))); 
BgL_arg4848z00_2329 = 
CNST_TABLE_REF(((long)53)); 
BgL_arg4849z00_2330 = 
CNST_TABLE_REF(((long)24)); 
return 
BGl__invokespecialz00zzjvm_instrz00(BgL_envz00_95, BgL_arg4847z00_2328, BgL_arg4848z00_2329, BgL_arg4849z00_2330);}  else 
{ /* Jvm/compiler.scm 647 */
obj_t BgL_arg4853z00_2331;
BgL_arg4853z00_2331 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_95, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_95, BgL_arg4853z00_2331);} } 
}



/* _compiler-make-box5440 */
obj_t BGl__compilerzd2makezd2box5440z00zzjvm_compilerz00(obj_t BgL_envz00_3932, obj_t BgL_ez00_3933, obj_t BgL_envz00_3934)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 639 */
return 
BGl_compilerzd2makezd2boxz00zzjvm_compilerz00(
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3933), 
(BgL_envz00_bglt)(BgL_envz00_3934));} 
}



/* compiler-box-ref */
obj_t BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(BgL_boxzd2refzd2_bglt BgL_ez00_96, BgL_envz00_bglt BgL_envz00_97)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 650 */
{ /* Jvm/compiler.scm 651 */
obj_t BgL_nz00_3254;
BgL_nz00_3254 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_96)); 
if(
CBOOL(BgL_nz00_3254))
{ /* Jvm/compiler.scm 651 */
BGl__linez00zzjvm_instrz00(BgL_envz00_97, BgL_nz00_3254); }  else 
{ /* Jvm/compiler.scm 651 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 653 */
BgL_localz00_bglt BgL_auxz00_5790;
{ /* Jvm/compiler.scm 653 */
BgL_variablez00_bglt BgL_auxz00_5791;
{ /* Jvm/compiler.scm 653 */
BgL_varz00_bglt BgL_arg4861z00_2334;
BgL_arg4861z00_2334 = 
(((BgL_boxzd2refzd2_bglt)CREF(BgL_ez00_96))->BgL_varz00); 
BgL_auxz00_5791 = 
(((BgL_varz00_bglt)CREF(BgL_arg4861z00_2334))->BgL_variablez00); } 
BgL_auxz00_5790 = 
(BgL_localz00_bglt)(BgL_auxz00_5791); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_97, BgL_auxz00_5790); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 654 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_97, 
CNST_TABLE_REF(((long)74))); }  else 
{ /* Jvm/compiler.scm 654 */BFALSE; } 
{ /* Jvm/compiler.scm 655 */
obj_t BgL_arg4867z00_2335;obj_t BgL_arg4868z00_2336;
BgL_arg4867z00_2335 = 
CNST_TABLE_REF(((long)44)); 
BgL_arg4868z00_2336 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_97, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__getfieldz00zzjvm_instrz00(BgL_envz00_97, BgL_arg4867z00_2335, BgL_arg4868z00_2336);} } 
}



/* _compiler-box-ref5442 */
obj_t BGl__compilerzd2boxzd2ref5442z00zzjvm_compilerz00(obj_t BgL_envz00_3935, obj_t BgL_ez00_3936, obj_t BgL_envz00_3937)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 650 */
return 
BGl_compilerzd2boxzd2refz00zzjvm_compilerz00(
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3936), 
(BgL_envz00_bglt)(BgL_envz00_3937));} 
}



/* compiler-box-set! */
obj_t BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(BgL_boxzd2setz12zc0_bglt BgL_ez00_98, BgL_envz00_bglt BgL_envz00_99)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 658 */
{ /* Jvm/compiler.scm 659 */
obj_t BgL_nz00_3259;
BgL_nz00_3259 = 
BGl_getzd2linezd2numberz00zzjvm_externz00(
(BgL_nodez00_bglt)(BgL_ez00_98)); 
if(
CBOOL(BgL_nz00_3259))
{ /* Jvm/compiler.scm 659 */
BGl__linez00zzjvm_instrz00(BgL_envz00_99, BgL_nz00_3259); }  else 
{ /* Jvm/compiler.scm 659 */
CNST_TABLE_REF(((long)3)); } } 
{ /* Jvm/compiler.scm 660 */
BgL_localz00_bglt BgL_auxz00_5813;
{ /* Jvm/compiler.scm 660 */
BgL_variablez00_bglt BgL_auxz00_5814;
{ /* Jvm/compiler.scm 660 */
BgL_varz00_bglt BgL_arg4877z00_2338;
BgL_arg4877z00_2338 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_98))->BgL_varz00); 
BgL_auxz00_5814 = 
(((BgL_varz00_bglt)CREF(BgL_arg4877z00_2338))->BgL_variablez00); } 
BgL_auxz00_5813 = 
(BgL_localz00_bglt)(BgL_auxz00_5814); } 
BGl__loadz00zzjvm_instrz00(BgL_envz00_99, BgL_auxz00_5813); } 
if(
CBOOL(BGl_za2jvmzd2purifyza2zd2zzengine_paramz00))
{ /* Jvm/compiler.scm 661 */
BGl__checkcastz00zzjvm_instrz00(BgL_envz00_99, 
CNST_TABLE_REF(((long)74))); }  else 
{ /* Jvm/compiler.scm 661 */BFALSE; } 
BGl_compilezd2exprzd2zzjvm_exprz00(
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_98))->BgL_valuez00), BgL_envz00_99); 
{ /* Jvm/compiler.scm 663 */
obj_t BgL_arg4886z00_2340;
BgL_arg4886z00_2340 = 
BGl_jlibzd2declarezd2zzjvm_envz00(BgL_envz00_99, 
CNST_TABLE_REF(((long)73))); 
return 
BGl__putfieldz00zzjvm_instrz00(BgL_envz00_99, BgL_arg4886z00_2340);} } 
}



/* _compiler-box-set!5444 */
obj_t BGl__compilerzd2boxzd2setz125444z12zzjvm_compilerz00(obj_t BgL_envz00_3938, obj_t BgL_ez00_3939, obj_t BgL_envz00_3940)
{ AN_OBJECT;
{ /* Jvm/compiler.scm 658 */
return 
BGl_compilerzd2boxzd2setz12z12zzjvm_compilerz00(
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3939), 
(BgL_envz00_bglt)(BgL_envz00_3940));} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_compilerz00()
{ AN_OBJECT;
{ /* Jvm/compiler.scm 8 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzforeign_jtypez00(((long)48495), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_lispz00(((long)19887), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_externz00(((long)54304), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_instrz00(((long)9877), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_inlinez00(((long)11661), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_tailz00(((long)8856), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_exprz00(((long)25448), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_effectz00(((long)56212), "jvm_compiler"); 
BGl_modulezd2initializa7ationz75zzjvm_predicatez00(((long)51132), "jvm_compiler"); 
return 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_compiler");} 
}

