/*===========================================================================*/
/*   (Jvm/compress.scm)                                                      */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_envz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_declarationsz00;
   obj_t BgL_declaredtypez00;
   obj_t BgL_declaredclassz00;
   obj_t BgL_declaredmodulez00;
   obj_t BgL_currentzd2modulezd2;
   obj_t BgL_declaredfieldsz00;
   obj_t BgL_declaredglobalz00;
   obj_t BgL_libdeclaredz00;
   obj_t BgL_proceduresz00;
   obj_t BgL_clinitzd2codezd2;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_vcountz00;
   obj_t BgL_localsz00;
   obj_t BgL_freelocalsz00;
   obj_t BgL_maplocalsz00;
   obj_t BgL_stackz00;
   obj_t BgL_codez00;
} *BgL_envz00_bglt;


static obj_t BGl__compilezd2compresszd2default3038z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_vrefz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2appzd2ly3059zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzjvm_compressz00();
static obj_t BGl_compilezd2compresszd2extern3063z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2jumpzd2exzd2it3069z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2atom3041z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2funcall3061z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t open_input_string(obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2boxzd2setz123077zc0zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
extern bool_t BGl_iszd2azf3z21zz__objectz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33901ze3z83zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2conditional3051z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
static obj_t BGl_getz00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_za2safezd2functionsza2zd2zzjvm_compressz00 = BUNSPEC;
extern obj_t BGl_globalz00zzast_varz00;
extern BgL_nodez00_bglt BGl_compilezd2compresszd2zzjvm_compressz00(BgL_nodez00_bglt);
static obj_t BGl_compilezd2compresszd2setq3047z00zzjvm_compressz00(obj_t, obj_t);
static BgL_nodez00_bglt BGl_compilezd2compresszd2default3038z00zzjvm_compressz00(BgL_nodez00_bglt);
static bool_t BGl_compressza2za2zzjvm_compressz00(obj_t);
extern obj_t BGl_everyzf3zf3zzjvm_envz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2app3057z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzjvm_compressz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_importedzd2moduleszd2initz00zzjvm_compressz00();
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_compilezd2compresszd2boxzd2ref3075zd2zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_getfieldz00zzast_nodez00;
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
static obj_t BGl__varzf3zf3zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl__compilezd2compress4394zd2zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_vmemqzf3zf3zzjvm_vmemqz00(obj_t, BgL_nodez00_bglt);
static obj_t BGl_compilezd2compresszd2select3053z00zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2cast3065z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzjvm_compressz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
static obj_t BGl_zc3anonymousza33945ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_compressz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
static obj_t BGl_zc3anonymousza33813ze3z83zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33949ze3z83zzjvm_compressz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
extern obj_t BGl_shapez00zztools_shapez00(obj_t);
static obj_t BGl_compilezd2compresszd2makezd2box3073zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_filterz00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33832ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_simpleza2zf3z51zzjvm_compressz00(obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static bool_t BGl_varzf3zf3zzjvm_compressz00(obj_t);
static obj_t BGl_simplezf3zf3zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2fail3071z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2var3043z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza33852ze3z83zzjvm_compressz00(obj_t, obj_t);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_anyzf3zf3zzjvm_envz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzjvm_compressz00 = BUNSPEC;
static obj_t BGl_compilezd2compresszd2letzd2fun3055zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2setzd2exzd2it3067z00zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compressz00();
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t BGl_compilezd2compresszd2letzd2var3045zd2zzjvm_compressz00(obj_t, obj_t);
static obj_t BGl_compilezd2compresszd2sequence3049z00zzjvm_compressz00(obj_t, obj_t);
static obj_t __cnst[ 3 ] ;

DEFINE_STRING( BGl_string4926z00zzjvm_compressz00, BgL_bgl_string4926za700za7za7jvm_compressza7004956z00, "compile-compress-default3038 read let ", 38 );
DEFINE_STRING( BGl_string4925z00zzjvm_compressz00, BgL_bgl_string4925za700za7za7jvm_compressza7004957z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string4924z00zzjvm_compressz00, BgL_bgl_string4924za700za7za7jvm_compressza7004958z00, "Jvm", 3 );
DEFINE_STRING( BGl_string4923z00zzjvm_compressz00, BgL_bgl_string4923za700za7za7jvm_compressza7004959z00, "Re-phrase this expression (beta-reduce) for better performance -- ", 66 );
DEFINE_STRING( BGl_string4899z00zzjvm_compressz00, BgL_bgl_string4899za700za7za7jvm_compressza7004960z00, "LONG_TO_INT", 11 );
DEFINE_STATIC_PROCEDURE( BGl_compilezd2compresszd2default3038zd2envzd2zzjvm_compressz00, BgL_bgl__compileza7d2compressza7d2default3038za700za7za7jvm_compressza7004961z00, BGl__compilezd2compresszd2default3038z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_varzf3zd2envz21zzjvm_compressz00, BgL_bgl__varza7f3za7f3za7za7jvm_compressza7004962za7, BGl__varzf3zf3zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4900z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2atom3041za700za7za7jvm_compressza7004963z00, BGl_compilezd2compresszd2atom3041z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4901z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2var3043za700za7za7jvm_compressza7004964z00, BGl_compilezd2compresszd2var3043z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4902z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2letza7d2var3045za7d2za7za7jvm_compressza7004965za7, BGl_compilezd2compresszd2letzd2var3045zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4903z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2setq3047za700za7za7jvm_compressza7004966z00, BGl_compilezd2compresszd2setq3047z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4904z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2sequence3049za700za7za7jvm_compressza7004967z00, BGl_compilezd2compresszd2sequence3049z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4905z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2conditional3051za700za7za7jvm_compressza7004968z00, BGl_compilezd2compresszd2conditional3051z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4906z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2select3053za700za7za7jvm_compressza7004969z00, BGl_compilezd2compresszd2select3053z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4907z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2letza7d2fun3055za7d2za7za7jvm_compressza7004970za7, BGl_compilezd2compresszd2letzd2fun3055zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4908z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2app3057za700za7za7jvm_compressza7004971z00, BGl_compilezd2compresszd2app3057z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4910z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2funcall3061za700za7za7jvm_compressza7004972z00, BGl_compilezd2compresszd2funcall3061z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4909z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2appza7d2ly3059za7d2za7za7jvm_compressza7004973za7, BGl_compilezd2compresszd2appzd2ly3059zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4911z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2extern3063za700za7za7jvm_compressza7004974z00, BGl_compilezd2compresszd2extern3063z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4912z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2cast3065za700za7za7jvm_compressza7004975z00, BGl_compilezd2compresszd2cast3065z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4913z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2setza7d2exza7d2it3067za700za7za7jvm_compressza7004976z00, BGl_compilezd2compresszd2setzd2exzd2it3067z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4914z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2jumpza7d2exza7d2it3069za700za7za7jvm_compressza7004977z00, BGl_compilezd2compresszd2jumpzd2exzd2it3069z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4915z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2fail3071za700za7za7jvm_compressza7004978z00, BGl_compilezd2compresszd2fail3071z00zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4916z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2makeza7d2box3073za7d2za7za7jvm_compressza7004979za7, BGl_compilezd2compresszd2makezd2box3073zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4917z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2boxza7d2ref3075za7d2za7za7jvm_compressza7004980za7, BGl_compilezd2compresszd2boxzd2ref3075zd2zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4918z00zzjvm_compressz00, BgL_bgl_compileza7d2compressza7d2boxza7d2setza7123077za7c0za7za7jvm_compressza7004981z00, BGl_compilezd2compresszd2boxzd2setz123077zc0zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4920z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33901za7e3za783za7za7jvm_compressza7004982za7, BGl_zc3anonymousza33901ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4919z00zzjvm_compressz00, BgL_bgl_simpleza7f3za7f3za7za7jvm_compressza7004983za7, BGl_simplezf3zf3zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4921z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33852za7e3za783za7za7jvm_compressza7004984za7, BGl_zc3anonymousza33852ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4922z00zzjvm_compressz00, BgL_bgl_za7c3anonymousza7a33832za7e3za783za7za7jvm_compressza7004985za7, BGl_zc3anonymousza33832ze3z83zzjvm_compressz00, 0L, 1 );
DEFINE_EXPORT_GENERIC( BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_bgl__compileza7d2compress4394za7d2za7za7jvm_compressza7004986za7, BGl__compilezd2compress4394zd2zzjvm_compressz00, 0L, 1 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzjvm_compressz00(long BgL_checksumz00_3984, char * BgL_fromz00_3985)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjvm_compressz00))
{ 
BGl_requirezd2initializa7ationz75zzjvm_compressz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjvm_compressz00(); 
BGl_cnstzd2initzd2zzjvm_compressz00(); 
BGl_importedzd2moduleszd2initz00zzjvm_compressz00(); 
BGl_methodzd2initzd2zzjvm_compressz00(); 
BGl_toplevelzd2initzd2zzjvm_compressz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "jvm_compress"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
obj_t BgL_cportz00_3977;
BgL_cportz00_3977 = 
open_input_string(BGl_string4926z00zzjvm_compressz00); 
{ 
long BgL_iz00_3978;
BgL_iz00_3978 = ((long)2); 
BgL_loopz00_3979:
if(
(BgL_iz00_3978==((long)-1)))
{ /* Jvm/compress.scm 1 */
return BUNSPEC;}  else 
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
obj_t BgL_arg4930z00_3981;
{ /* Jvm/compress.scm 1 */
obj_t BgL_list4933z00_3982;
BgL_list4933z00_3982 = 
MAKE_PAIR(BgL_cportz00_3977, BNIL); 
BgL_arg4930z00_3981 = 
BGl_readz00zz__readerz00(BgL_list4933z00_3982); } 
{ /* Jvm/compress.scm 1 */
int BgL_auxz00_4005;
BgL_auxz00_4005 = 
(int)(BgL_iz00_3978); 
CNST_TABLE_SET(BgL_auxz00_4005, BgL_arg4930z00_3981); } } 
{ 
long BgL_iz00_4008;
{ /* Jvm/compress.scm 1 */
int BgL_auxz00_4009;
{ /* Jvm/compress.scm 1 */
long BgL_auxz00_4010;
BgL_auxz00_4010 = 
(BgL_iz00_3978-((long)1)); 
BgL_auxz00_4009 = 
(int)(BgL_auxz00_4010); } 
BgL_iz00_4008 = 
(long)(BgL_auxz00_4009); } 
BgL_iz00_3978 = BgL_iz00_4008; 
goto BgL_loopz00_3979;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_za2safezd2functionsza2zd2zzjvm_compressz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2safezd2functionsza2zd2zzjvm_compressz00, BGl_string4899z00zzjvm_compressz00, BTRUE); 
return BUNSPEC;} 
}



/* compress* */
bool_t BGl_compressza2za2zzjvm_compressz00(obj_t BgL_lz00_3)
{ AN_OBJECT;
{ /* Jvm/compress.scm 13 */
BGl_compressza2za2zzjvm_compressz00:
if(
NULLP(BgL_lz00_3))
{ /* Jvm/compress.scm 14 */
return ((bool_t)0);}  else 
{ /* Jvm/compress.scm 14 */
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_arg3083z00_1503;
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_res4316z00_2378;
{ /* Jvm/compress.scm 15 */
BgL_nodez00_bglt BgL_ez00_2352;
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4018;
BgL_auxz00_4018 = 
CAR(BgL_lz00_3); 
BgL_ez00_2352 = 
(BgL_nodez00_bglt)(BgL_auxz00_4018); } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_method3039z00_2353;
{ /* Jvm/compress.scm 15 */
long BgL_objzd2classzd2numz00_2355;
{ /* Jvm/compress.scm 15 */
BgL_objectz00_bglt BgL_auxz00_4021;
BgL_auxz00_4021 = 
(BgL_objectz00_bglt)(BgL_ez00_2352); 
BgL_objzd2classzd2numz00_2355 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4021); } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_arg1904z00_2356;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4024;
BgL_auxz00_4024 = 
(int)(((long)1)); 
BgL_arg1904z00_2356 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4024); } 
{ /* Jvm/compress.scm 15 */
long BgL_offsetz00_2360;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4027;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4028;
BgL_auxz00_4028 = 
(int)(BgL_objzd2classzd2numz00_2355); 
BgL_auxz00_4027 = 
(long)(BgL_auxz00_4028); } 
BgL_offsetz00_2360 = 
(BgL_auxz00_4027-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 15 */
long BgL_modz00_2361;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4032;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4033;
BgL_auxz00_4033 = 
(int)(((long)8)); 
BgL_auxz00_4032 = 
(long)(BgL_auxz00_4033); } 
BgL_modz00_2361 = 
(BgL_offsetz00_2360/BgL_auxz00_4032); } 
{ /* Jvm/compress.scm 15 */
long BgL_restz00_2363;
{ /* Jvm/compress.scm 15 */
long BgL_auxz00_4037;
{ /* Jvm/compress.scm 15 */
int BgL_auxz00_4038;
BgL_auxz00_4038 = 
(int)(((long)8)); 
BgL_auxz00_4037 = 
(long)(BgL_auxz00_4038); } 
BgL_restz00_2363 = 
(BgL_offsetz00_2360%BgL_auxz00_4037); } 
{ /* Jvm/compress.scm 15 */

{ /* Jvm/compress.scm 15 */
obj_t BgL_bucketz00_2365;
{ /* Jvm/compress.scm 15 */
int BgL_kz00_2375;
BgL_kz00_2375 = 
(int)(BgL_modz00_2361); 
BgL_bucketz00_2365 = 
VECTOR_REF(BgL_arg1904z00_2356,BgL_kz00_2375); } 
{ /* Jvm/compress.scm 15 */
int BgL_kz00_2377;
BgL_kz00_2377 = 
(int)(BgL_restz00_2363); 
BgL_method3039z00_2353 = 
VECTOR_REF(BgL_bucketz00_2365,BgL_kz00_2377); } } } } } } } } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4046;
BgL_auxz00_4046 = 
PROCEDURE_ENTRY(BgL_method3039z00_2353)(BgL_method3039z00_2353, 
(obj_t)(BgL_ez00_2352), BEOA); 
BgL_res4316z00_2378 = 
(BgL_nodez00_bglt)(BgL_auxz00_4046); } } } 
BgL_arg3083z00_1503 = BgL_res4316z00_2378; } 
{ /* Jvm/compress.scm 15 */
obj_t BgL_auxz00_4051;
BgL_auxz00_4051 = 
(obj_t)(BgL_arg3083z00_1503); 
SET_CAR(BgL_lz00_3, BgL_auxz00_4051); } } 
{ 
obj_t BgL_lz00_4054;
BgL_lz00_4054 = 
CDR(BgL_lz00_3); 
BgL_lz00_3 = BgL_lz00_4054; 
goto BGl_compressza2za2zzjvm_compressz00;} } } 
}



/* var? */
bool_t BGl_varzf3zf3zzjvm_compressz00(obj_t BgL_obj1637z00_1026)
{ AN_OBJECT;
{ /* ./Ast/node.scm 39 */
return 
BGl_iszd2azf3z21zz__objectz00(BgL_obj1637z00_1026, BGl_varz00zzast_nodez00);} 
}



/* _var? */
obj_t BGl__varzf3zf3zzjvm_compressz00(obj_t BgL_envz00_3891, obj_t BgL_obj1637z00_3892)
{ AN_OBJECT;
{ /* ./Ast/node.scm 39 */
{ /* ./Ast/node.scm 39 */
bool_t BgL_auxz00_4057;
BgL_auxz00_4057 = 
BGl_varzf3zf3zzjvm_compressz00(BgL_obj1637z00_3892); 
return 
BBOOL(BgL_auxz00_4057);} } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_compilezd2compresszd2default3038zd2envzd2zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_atomz00zzast_nodez00, BGl_proc4900z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_varz00zzast_nodez00, BGl_proc4901z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4902z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_setqz00zzast_nodez00, BGl_proc4903z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_sequencez00zzast_nodez00, BGl_proc4904z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_conditionalz00zzast_nodez00, BGl_proc4905z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_selectz00zzast_nodez00, BGl_proc4906z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4907z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_appz00zzast_nodez00, BGl_proc4908z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4909z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_funcallz00zzast_nodez00, BGl_proc4910z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_externz00zzast_nodez00, BGl_proc4911z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_castz00zzast_nodez00, BGl_proc4912z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4913z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4914z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_failz00zzast_nodez00, BGl_proc4915z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4916z00zzjvm_compressz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4917z00zzjvm_compressz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4918z00zzjvm_compressz00);} 
}



/* compile-compress-box-set!3077 */
obj_t BGl_compilezd2compresszd2boxzd2setz123077zc0zzjvm_compressz00(obj_t BgL_envz00_3919, obj_t BgL_ez00_3920)
{ AN_OBJECT;
{ /* Jvm/compress.scm 202 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_ez00_2341;
{ /* Jvm/compress.scm 203 */
BgL_boxzd2setz12zc0_bglt BgL_auxz00_4080;
BgL_ez00_2341 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_ez00_3920); 
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_arg4291z00_2345;
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_arg4294z00_2346;
BgL_arg4294z00_2346 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2341))->BgL_valuez00); 
{ /* Jvm/compress.scm 204 */
BgL_nodez00_bglt BgL_res4391z00_3858;
{ /* Jvm/compress.scm 204 */
obj_t BgL_method3039z00_3833;
{ /* Jvm/compress.scm 204 */
long BgL_objzd2classzd2numz00_3835;
{ /* Jvm/compress.scm 204 */
BgL_objectz00_bglt BgL_auxz00_4082;
BgL_auxz00_4082 = 
(BgL_objectz00_bglt)(BgL_arg4294z00_2346); 
BgL_objzd2classzd2numz00_3835 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4082); } 
{ /* Jvm/compress.scm 204 */
obj_t BgL_arg1904z00_3836;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4085;
BgL_auxz00_4085 = 
(int)(((long)1)); 
BgL_arg1904z00_3836 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4085); } 
{ /* Jvm/compress.scm 204 */
long BgL_offsetz00_3840;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4088;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4089;
BgL_auxz00_4089 = 
(int)(BgL_objzd2classzd2numz00_3835); 
BgL_auxz00_4088 = 
(long)(BgL_auxz00_4089); } 
BgL_offsetz00_3840 = 
(BgL_auxz00_4088-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 204 */
long BgL_modz00_3841;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4093;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4094;
BgL_auxz00_4094 = 
(int)(((long)8)); 
BgL_auxz00_4093 = 
(long)(BgL_auxz00_4094); } 
BgL_modz00_3841 = 
(BgL_offsetz00_3840/BgL_auxz00_4093); } 
{ /* Jvm/compress.scm 204 */
long BgL_restz00_3843;
{ /* Jvm/compress.scm 204 */
long BgL_auxz00_4098;
{ /* Jvm/compress.scm 204 */
int BgL_auxz00_4099;
BgL_auxz00_4099 = 
(int)(((long)8)); 
BgL_auxz00_4098 = 
(long)(BgL_auxz00_4099); } 
BgL_restz00_3843 = 
(BgL_offsetz00_3840%BgL_auxz00_4098); } 
{ /* Jvm/compress.scm 204 */

{ /* Jvm/compress.scm 204 */
obj_t BgL_bucketz00_3845;
{ /* Jvm/compress.scm 204 */
int BgL_kz00_3855;
BgL_kz00_3855 = 
(int)(BgL_modz00_3841); 
BgL_bucketz00_3845 = 
VECTOR_REF(BgL_arg1904z00_3836,BgL_kz00_3855); } 
{ /* Jvm/compress.scm 204 */
int BgL_kz00_3857;
BgL_kz00_3857 = 
(int)(BgL_restz00_3843); 
BgL_method3039z00_3833 = 
VECTOR_REF(BgL_bucketz00_3845,BgL_kz00_3857); } } } } } } } } 
{ /* Jvm/compress.scm 204 */
obj_t BgL_auxz00_4107;
BgL_auxz00_4107 = 
PROCEDURE_ENTRY(BgL_method3039z00_3833)(BgL_method3039z00_3833, 
(obj_t)(BgL_arg4294z00_2346), BEOA); 
BgL_res4391z00_3858 = 
(BgL_nodez00_bglt)(BgL_auxz00_4107); } } 
BgL_arg4291z00_2345 = BgL_res4391z00_3858; } } 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_ez00_2341))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg4291z00_2345), BUNSPEC); } 
BgL_auxz00_4080 = BgL_ez00_2341; 
return 
(obj_t)(BgL_auxz00_4080);} } } 
}



/* compile-compress-box-ref3075 */
obj_t BGl_compilezd2compresszd2boxzd2ref3075zd2zzjvm_compressz00(obj_t BgL_envz00_3921, obj_t BgL_ez00_3922)
{ AN_OBJECT;
{ /* Jvm/compress.scm 199 */
{ 
BgL_boxzd2refzd2_bglt BgL_ez00_2336;
{ /* Jvm/compress.scm 200 */
BgL_boxzd2refzd2_bglt BgL_auxz00_4115;
BgL_ez00_2336 = 
(BgL_boxzd2refzd2_bglt)(BgL_ez00_3922); 
BgL_auxz00_4115 = BgL_ez00_2336; 
return 
(obj_t)(BgL_auxz00_4115);} } } 
}



/* compile-compress-make-box3073 */
obj_t BGl_compilezd2compresszd2makezd2box3073zd2zzjvm_compressz00(obj_t BgL_envz00_3923, obj_t BgL_ez00_3924)
{ AN_OBJECT;
{ /* Jvm/compress.scm 194 */
{ 
BgL_makezd2boxzd2_bglt BgL_ez00_2328;
{ /* Jvm/compress.scm 195 */
BgL_makezd2boxzd2_bglt BgL_auxz00_4118;
BgL_ez00_2328 = 
(BgL_makezd2boxzd2_bglt)(BgL_ez00_3924); 
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_arg4272z00_2332;
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_arg4275z00_2333;
BgL_arg4275z00_2333 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2328))->BgL_valuez00); 
{ /* Jvm/compress.scm 196 */
BgL_nodez00_bglt BgL_res4388z00_3828;
{ /* Jvm/compress.scm 196 */
obj_t BgL_method3039z00_3803;
{ /* Jvm/compress.scm 196 */
long BgL_objzd2classzd2numz00_3805;
{ /* Jvm/compress.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4120;
BgL_auxz00_4120 = 
(BgL_objectz00_bglt)(BgL_arg4275z00_2333); 
BgL_objzd2classzd2numz00_3805 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4120); } 
{ /* Jvm/compress.scm 196 */
obj_t BgL_arg1904z00_3806;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4123;
BgL_auxz00_4123 = 
(int)(((long)1)); 
BgL_arg1904z00_3806 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4123); } 
{ /* Jvm/compress.scm 196 */
long BgL_offsetz00_3810;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4126;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4127;
BgL_auxz00_4127 = 
(int)(BgL_objzd2classzd2numz00_3805); 
BgL_auxz00_4126 = 
(long)(BgL_auxz00_4127); } 
BgL_offsetz00_3810 = 
(BgL_auxz00_4126-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 196 */
long BgL_modz00_3811;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4131;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4132;
BgL_auxz00_4132 = 
(int)(((long)8)); 
BgL_auxz00_4131 = 
(long)(BgL_auxz00_4132); } 
BgL_modz00_3811 = 
(BgL_offsetz00_3810/BgL_auxz00_4131); } 
{ /* Jvm/compress.scm 196 */
long BgL_restz00_3813;
{ /* Jvm/compress.scm 196 */
long BgL_auxz00_4136;
{ /* Jvm/compress.scm 196 */
int BgL_auxz00_4137;
BgL_auxz00_4137 = 
(int)(((long)8)); 
BgL_auxz00_4136 = 
(long)(BgL_auxz00_4137); } 
BgL_restz00_3813 = 
(BgL_offsetz00_3810%BgL_auxz00_4136); } 
{ /* Jvm/compress.scm 196 */

{ /* Jvm/compress.scm 196 */
obj_t BgL_bucketz00_3815;
{ /* Jvm/compress.scm 196 */
int BgL_kz00_3825;
BgL_kz00_3825 = 
(int)(BgL_modz00_3811); 
BgL_bucketz00_3815 = 
VECTOR_REF(BgL_arg1904z00_3806,BgL_kz00_3825); } 
{ /* Jvm/compress.scm 196 */
int BgL_kz00_3827;
BgL_kz00_3827 = 
(int)(BgL_restz00_3813); 
BgL_method3039z00_3803 = 
VECTOR_REF(BgL_bucketz00_3815,BgL_kz00_3827); } } } } } } } } 
{ /* Jvm/compress.scm 196 */
obj_t BgL_auxz00_4145;
BgL_auxz00_4145 = 
PROCEDURE_ENTRY(BgL_method3039z00_3803)(BgL_method3039z00_3803, 
(obj_t)(BgL_arg4275z00_2333), BEOA); 
BgL_res4388z00_3828 = 
(BgL_nodez00_bglt)(BgL_auxz00_4145); } } 
BgL_arg4272z00_2332 = BgL_res4388z00_3828; } } 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_ez00_2328))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg4272z00_2332), BUNSPEC); } 
BgL_auxz00_4118 = BgL_ez00_2328; 
return 
(obj_t)(BgL_auxz00_4118);} } } 
}



/* compile-compress-fail3071 */
obj_t BGl_compilezd2compresszd2fail3071z00zzjvm_compressz00(obj_t BgL_envz00_3925, obj_t BgL_ez00_3926)
{ AN_OBJECT;
{ /* Jvm/compress.scm 187 */
{ 
BgL_failz00_bglt BgL_ez00_2316;
{ /* Jvm/compress.scm 188 */
BgL_failz00_bglt BgL_auxz00_4153;
BgL_ez00_2316 = 
(BgL_failz00_bglt)(BgL_ez00_3926); 
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_arg4245z00_2320;
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_arg4248z00_2321;
BgL_arg4248z00_2321 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_procz00); 
{ /* Jvm/compress.scm 189 */
BgL_nodez00_bglt BgL_res4379z00_3738;
{ /* Jvm/compress.scm 189 */
obj_t BgL_method3039z00_3713;
{ /* Jvm/compress.scm 189 */
long BgL_objzd2classzd2numz00_3715;
{ /* Jvm/compress.scm 189 */
BgL_objectz00_bglt BgL_auxz00_4155;
BgL_auxz00_4155 = 
(BgL_objectz00_bglt)(BgL_arg4248z00_2321); 
BgL_objzd2classzd2numz00_3715 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4155); } 
{ /* Jvm/compress.scm 189 */
obj_t BgL_arg1904z00_3716;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4158;
BgL_auxz00_4158 = 
(int)(((long)1)); 
BgL_arg1904z00_3716 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4158); } 
{ /* Jvm/compress.scm 189 */
long BgL_offsetz00_3720;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4161;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4162;
BgL_auxz00_4162 = 
(int)(BgL_objzd2classzd2numz00_3715); 
BgL_auxz00_4161 = 
(long)(BgL_auxz00_4162); } 
BgL_offsetz00_3720 = 
(BgL_auxz00_4161-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 189 */
long BgL_modz00_3721;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4166;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4167;
BgL_auxz00_4167 = 
(int)(((long)8)); 
BgL_auxz00_4166 = 
(long)(BgL_auxz00_4167); } 
BgL_modz00_3721 = 
(BgL_offsetz00_3720/BgL_auxz00_4166); } 
{ /* Jvm/compress.scm 189 */
long BgL_restz00_3723;
{ /* Jvm/compress.scm 189 */
long BgL_auxz00_4171;
{ /* Jvm/compress.scm 189 */
int BgL_auxz00_4172;
BgL_auxz00_4172 = 
(int)(((long)8)); 
BgL_auxz00_4171 = 
(long)(BgL_auxz00_4172); } 
BgL_restz00_3723 = 
(BgL_offsetz00_3720%BgL_auxz00_4171); } 
{ /* Jvm/compress.scm 189 */

{ /* Jvm/compress.scm 189 */
obj_t BgL_bucketz00_3725;
{ /* Jvm/compress.scm 189 */
int BgL_kz00_3735;
BgL_kz00_3735 = 
(int)(BgL_modz00_3721); 
BgL_bucketz00_3725 = 
VECTOR_REF(BgL_arg1904z00_3716,BgL_kz00_3735); } 
{ /* Jvm/compress.scm 189 */
int BgL_kz00_3737;
BgL_kz00_3737 = 
(int)(BgL_restz00_3723); 
BgL_method3039z00_3713 = 
VECTOR_REF(BgL_bucketz00_3725,BgL_kz00_3737); } } } } } } } } 
{ /* Jvm/compress.scm 189 */
obj_t BgL_auxz00_4180;
BgL_auxz00_4180 = 
PROCEDURE_ENTRY(BgL_method3039z00_3713)(BgL_method3039z00_3713, 
(obj_t)(BgL_arg4248z00_2321), BEOA); 
BgL_res4379z00_3738 = 
(BgL_nodez00_bglt)(BgL_auxz00_4180); } } 
BgL_arg4245z00_2320 = BgL_res4379z00_3738; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_arg4245z00_2320), BUNSPEC); } 
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_arg4252z00_2322;
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_arg4255z00_2323;
BgL_arg4255z00_2323 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_msgz00); 
{ /* Jvm/compress.scm 190 */
BgL_nodez00_bglt BgL_res4382z00_3768;
{ /* Jvm/compress.scm 190 */
obj_t BgL_method3039z00_3743;
{ /* Jvm/compress.scm 190 */
long BgL_objzd2classzd2numz00_3745;
{ /* Jvm/compress.scm 190 */
BgL_objectz00_bglt BgL_auxz00_4187;
BgL_auxz00_4187 = 
(BgL_objectz00_bglt)(BgL_arg4255z00_2323); 
BgL_objzd2classzd2numz00_3745 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4187); } 
{ /* Jvm/compress.scm 190 */
obj_t BgL_arg1904z00_3746;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4190;
BgL_auxz00_4190 = 
(int)(((long)1)); 
BgL_arg1904z00_3746 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4190); } 
{ /* Jvm/compress.scm 190 */
long BgL_offsetz00_3750;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4193;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4194;
BgL_auxz00_4194 = 
(int)(BgL_objzd2classzd2numz00_3745); 
BgL_auxz00_4193 = 
(long)(BgL_auxz00_4194); } 
BgL_offsetz00_3750 = 
(BgL_auxz00_4193-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 190 */
long BgL_modz00_3751;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4198;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4199;
BgL_auxz00_4199 = 
(int)(((long)8)); 
BgL_auxz00_4198 = 
(long)(BgL_auxz00_4199); } 
BgL_modz00_3751 = 
(BgL_offsetz00_3750/BgL_auxz00_4198); } 
{ /* Jvm/compress.scm 190 */
long BgL_restz00_3753;
{ /* Jvm/compress.scm 190 */
long BgL_auxz00_4203;
{ /* Jvm/compress.scm 190 */
int BgL_auxz00_4204;
BgL_auxz00_4204 = 
(int)(((long)8)); 
BgL_auxz00_4203 = 
(long)(BgL_auxz00_4204); } 
BgL_restz00_3753 = 
(BgL_offsetz00_3750%BgL_auxz00_4203); } 
{ /* Jvm/compress.scm 190 */

{ /* Jvm/compress.scm 190 */
obj_t BgL_bucketz00_3755;
{ /* Jvm/compress.scm 190 */
int BgL_kz00_3765;
BgL_kz00_3765 = 
(int)(BgL_modz00_3751); 
BgL_bucketz00_3755 = 
VECTOR_REF(BgL_arg1904z00_3746,BgL_kz00_3765); } 
{ /* Jvm/compress.scm 190 */
int BgL_kz00_3767;
BgL_kz00_3767 = 
(int)(BgL_restz00_3753); 
BgL_method3039z00_3743 = 
VECTOR_REF(BgL_bucketz00_3755,BgL_kz00_3767); } } } } } } } } 
{ /* Jvm/compress.scm 190 */
obj_t BgL_auxz00_4212;
BgL_auxz00_4212 = 
PROCEDURE_ENTRY(BgL_method3039z00_3743)(BgL_method3039z00_3743, 
(obj_t)(BgL_arg4255z00_2323), BEOA); 
BgL_res4382z00_3768 = 
(BgL_nodez00_bglt)(BgL_auxz00_4212); } } 
BgL_arg4252z00_2322 = BgL_res4382z00_3768; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_arg4252z00_2322), BUNSPEC); } 
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_arg4259z00_2324;
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_arg4262z00_2325;
BgL_arg4262z00_2325 = 
(((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_objz00); 
{ /* Jvm/compress.scm 191 */
BgL_nodez00_bglt BgL_res4385z00_3798;
{ /* Jvm/compress.scm 191 */
obj_t BgL_method3039z00_3773;
{ /* Jvm/compress.scm 191 */
long BgL_objzd2classzd2numz00_3775;
{ /* Jvm/compress.scm 191 */
BgL_objectz00_bglt BgL_auxz00_4219;
BgL_auxz00_4219 = 
(BgL_objectz00_bglt)(BgL_arg4262z00_2325); 
BgL_objzd2classzd2numz00_3775 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4219); } 
{ /* Jvm/compress.scm 191 */
obj_t BgL_arg1904z00_3776;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4222;
BgL_auxz00_4222 = 
(int)(((long)1)); 
BgL_arg1904z00_3776 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4222); } 
{ /* Jvm/compress.scm 191 */
long BgL_offsetz00_3780;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4225;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4226;
BgL_auxz00_4226 = 
(int)(BgL_objzd2classzd2numz00_3775); 
BgL_auxz00_4225 = 
(long)(BgL_auxz00_4226); } 
BgL_offsetz00_3780 = 
(BgL_auxz00_4225-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 191 */
long BgL_modz00_3781;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4230;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4231;
BgL_auxz00_4231 = 
(int)(((long)8)); 
BgL_auxz00_4230 = 
(long)(BgL_auxz00_4231); } 
BgL_modz00_3781 = 
(BgL_offsetz00_3780/BgL_auxz00_4230); } 
{ /* Jvm/compress.scm 191 */
long BgL_restz00_3783;
{ /* Jvm/compress.scm 191 */
long BgL_auxz00_4235;
{ /* Jvm/compress.scm 191 */
int BgL_auxz00_4236;
BgL_auxz00_4236 = 
(int)(((long)8)); 
BgL_auxz00_4235 = 
(long)(BgL_auxz00_4236); } 
BgL_restz00_3783 = 
(BgL_offsetz00_3780%BgL_auxz00_4235); } 
{ /* Jvm/compress.scm 191 */

{ /* Jvm/compress.scm 191 */
obj_t BgL_bucketz00_3785;
{ /* Jvm/compress.scm 191 */
int BgL_kz00_3795;
BgL_kz00_3795 = 
(int)(BgL_modz00_3781); 
BgL_bucketz00_3785 = 
VECTOR_REF(BgL_arg1904z00_3776,BgL_kz00_3795); } 
{ /* Jvm/compress.scm 191 */
int BgL_kz00_3797;
BgL_kz00_3797 = 
(int)(BgL_restz00_3783); 
BgL_method3039z00_3773 = 
VECTOR_REF(BgL_bucketz00_3785,BgL_kz00_3797); } } } } } } } } 
{ /* Jvm/compress.scm 191 */
obj_t BgL_auxz00_4244;
BgL_auxz00_4244 = 
PROCEDURE_ENTRY(BgL_method3039z00_3773)(BgL_method3039z00_3773, 
(obj_t)(BgL_arg4262z00_2325), BEOA); 
BgL_res4385z00_3798 = 
(BgL_nodez00_bglt)(BgL_auxz00_4244); } } 
BgL_arg4259z00_2324 = BgL_res4385z00_3798; } } 
((((BgL_failz00_bglt)CREF(BgL_ez00_2316))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_arg4259z00_2324), BUNSPEC); } 
BgL_auxz00_4153 = BgL_ez00_2316; 
return 
(obj_t)(BgL_auxz00_4153);} } } 
}



/* compile-compress-jump-ex-it3069 */
obj_t BGl_compilezd2compresszd2jumpzd2exzd2it3069z00zzjvm_compressz00(obj_t BgL_envz00_3927, obj_t BgL_ez00_3928)
{ AN_OBJECT;
{ /* Jvm/compress.scm 181 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_ez00_2306;
{ /* Jvm/compress.scm 182 */
BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_4252;
BgL_ez00_2306 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_ez00_3928); 
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_arg4225z00_2310;
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_arg4228z00_2311;
BgL_arg4228z00_2311 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2306))->BgL_exitz00); 
{ /* Jvm/compress.scm 183 */
BgL_nodez00_bglt BgL_res4373z00_3678;
{ /* Jvm/compress.scm 183 */
obj_t BgL_method3039z00_3653;
{ /* Jvm/compress.scm 183 */
long BgL_objzd2classzd2numz00_3655;
{ /* Jvm/compress.scm 183 */
BgL_objectz00_bglt BgL_auxz00_4254;
BgL_auxz00_4254 = 
(BgL_objectz00_bglt)(BgL_arg4228z00_2311); 
BgL_objzd2classzd2numz00_3655 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4254); } 
{ /* Jvm/compress.scm 183 */
obj_t BgL_arg1904z00_3656;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4257;
BgL_auxz00_4257 = 
(int)(((long)1)); 
BgL_arg1904z00_3656 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4257); } 
{ /* Jvm/compress.scm 183 */
long BgL_offsetz00_3660;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4260;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4261;
BgL_auxz00_4261 = 
(int)(BgL_objzd2classzd2numz00_3655); 
BgL_auxz00_4260 = 
(long)(BgL_auxz00_4261); } 
BgL_offsetz00_3660 = 
(BgL_auxz00_4260-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 183 */
long BgL_modz00_3661;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4265;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4266;
BgL_auxz00_4266 = 
(int)(((long)8)); 
BgL_auxz00_4265 = 
(long)(BgL_auxz00_4266); } 
BgL_modz00_3661 = 
(BgL_offsetz00_3660/BgL_auxz00_4265); } 
{ /* Jvm/compress.scm 183 */
long BgL_restz00_3663;
{ /* Jvm/compress.scm 183 */
long BgL_auxz00_4270;
{ /* Jvm/compress.scm 183 */
int BgL_auxz00_4271;
BgL_auxz00_4271 = 
(int)(((long)8)); 
BgL_auxz00_4270 = 
(long)(BgL_auxz00_4271); } 
BgL_restz00_3663 = 
(BgL_offsetz00_3660%BgL_auxz00_4270); } 
{ /* Jvm/compress.scm 183 */

{ /* Jvm/compress.scm 183 */
obj_t BgL_bucketz00_3665;
{ /* Jvm/compress.scm 183 */
int BgL_kz00_3675;
BgL_kz00_3675 = 
(int)(BgL_modz00_3661); 
BgL_bucketz00_3665 = 
VECTOR_REF(BgL_arg1904z00_3656,BgL_kz00_3675); } 
{ /* Jvm/compress.scm 183 */
int BgL_kz00_3677;
BgL_kz00_3677 = 
(int)(BgL_restz00_3663); 
BgL_method3039z00_3653 = 
VECTOR_REF(BgL_bucketz00_3665,BgL_kz00_3677); } } } } } } } } 
{ /* Jvm/compress.scm 183 */
obj_t BgL_auxz00_4279;
BgL_auxz00_4279 = 
PROCEDURE_ENTRY(BgL_method3039z00_3653)(BgL_method3039z00_3653, 
(obj_t)(BgL_arg4228z00_2311), BEOA); 
BgL_res4373z00_3678 = 
(BgL_nodez00_bglt)(BgL_auxz00_4279); } } 
BgL_arg4225z00_2310 = BgL_res4373z00_3678; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2306))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_arg4225z00_2310), BUNSPEC); } 
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_arg4232z00_2312;
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_arg4235z00_2313;
BgL_arg4235z00_2313 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2306))->BgL_valuez00); 
{ /* Jvm/compress.scm 184 */
BgL_nodez00_bglt BgL_res4376z00_3708;
{ /* Jvm/compress.scm 184 */
obj_t BgL_method3039z00_3683;
{ /* Jvm/compress.scm 184 */
long BgL_objzd2classzd2numz00_3685;
{ /* Jvm/compress.scm 184 */
BgL_objectz00_bglt BgL_auxz00_4286;
BgL_auxz00_4286 = 
(BgL_objectz00_bglt)(BgL_arg4235z00_2313); 
BgL_objzd2classzd2numz00_3685 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4286); } 
{ /* Jvm/compress.scm 184 */
obj_t BgL_arg1904z00_3686;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4289;
BgL_auxz00_4289 = 
(int)(((long)1)); 
BgL_arg1904z00_3686 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4289); } 
{ /* Jvm/compress.scm 184 */
long BgL_offsetz00_3690;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4292;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4293;
BgL_auxz00_4293 = 
(int)(BgL_objzd2classzd2numz00_3685); 
BgL_auxz00_4292 = 
(long)(BgL_auxz00_4293); } 
BgL_offsetz00_3690 = 
(BgL_auxz00_4292-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 184 */
long BgL_modz00_3691;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4297;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4298;
BgL_auxz00_4298 = 
(int)(((long)8)); 
BgL_auxz00_4297 = 
(long)(BgL_auxz00_4298); } 
BgL_modz00_3691 = 
(BgL_offsetz00_3690/BgL_auxz00_4297); } 
{ /* Jvm/compress.scm 184 */
long BgL_restz00_3693;
{ /* Jvm/compress.scm 184 */
long BgL_auxz00_4302;
{ /* Jvm/compress.scm 184 */
int BgL_auxz00_4303;
BgL_auxz00_4303 = 
(int)(((long)8)); 
BgL_auxz00_4302 = 
(long)(BgL_auxz00_4303); } 
BgL_restz00_3693 = 
(BgL_offsetz00_3690%BgL_auxz00_4302); } 
{ /* Jvm/compress.scm 184 */

{ /* Jvm/compress.scm 184 */
obj_t BgL_bucketz00_3695;
{ /* Jvm/compress.scm 184 */
int BgL_kz00_3705;
BgL_kz00_3705 = 
(int)(BgL_modz00_3691); 
BgL_bucketz00_3695 = 
VECTOR_REF(BgL_arg1904z00_3686,BgL_kz00_3705); } 
{ /* Jvm/compress.scm 184 */
int BgL_kz00_3707;
BgL_kz00_3707 = 
(int)(BgL_restz00_3693); 
BgL_method3039z00_3683 = 
VECTOR_REF(BgL_bucketz00_3695,BgL_kz00_3707); } } } } } } } } 
{ /* Jvm/compress.scm 184 */
obj_t BgL_auxz00_4311;
BgL_auxz00_4311 = 
PROCEDURE_ENTRY(BgL_method3039z00_3683)(BgL_method3039z00_3683, 
(obj_t)(BgL_arg4235z00_2313), BEOA); 
BgL_res4376z00_3708 = 
(BgL_nodez00_bglt)(BgL_auxz00_4311); } } 
BgL_arg4232z00_2312 = BgL_res4376z00_3708; } } 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_ez00_2306))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg4232z00_2312), BUNSPEC); } 
BgL_auxz00_4252 = BgL_ez00_2306; 
return 
(obj_t)(BgL_auxz00_4252);} } } 
}



/* compile-compress-set-ex-it3067 */
obj_t BGl_compilezd2compresszd2setzd2exzd2it3067z00zzjvm_compressz00(obj_t BgL_envz00_3929, obj_t BgL_ez00_3930)
{ AN_OBJECT;
{ /* Jvm/compress.scm 176 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_ez00_2298;
{ /* Jvm/compress.scm 177 */
BgL_setzd2exzd2itz00_bglt BgL_auxz00_4319;
BgL_ez00_2298 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_ez00_3930); 
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_arg4212z00_2302;
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_arg4215z00_2303;
BgL_arg4215z00_2303 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2298))->BgL_bodyz00); 
{ /* Jvm/compress.scm 178 */
BgL_nodez00_bglt BgL_res4370z00_3648;
{ /* Jvm/compress.scm 178 */
obj_t BgL_method3039z00_3623;
{ /* Jvm/compress.scm 178 */
long BgL_objzd2classzd2numz00_3625;
{ /* Jvm/compress.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4321;
BgL_auxz00_4321 = 
(BgL_objectz00_bglt)(BgL_arg4215z00_2303); 
BgL_objzd2classzd2numz00_3625 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4321); } 
{ /* Jvm/compress.scm 178 */
obj_t BgL_arg1904z00_3626;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4324;
BgL_auxz00_4324 = 
(int)(((long)1)); 
BgL_arg1904z00_3626 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4324); } 
{ /* Jvm/compress.scm 178 */
long BgL_offsetz00_3630;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4327;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4328;
BgL_auxz00_4328 = 
(int)(BgL_objzd2classzd2numz00_3625); 
BgL_auxz00_4327 = 
(long)(BgL_auxz00_4328); } 
BgL_offsetz00_3630 = 
(BgL_auxz00_4327-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 178 */
long BgL_modz00_3631;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4332;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4333;
BgL_auxz00_4333 = 
(int)(((long)8)); 
BgL_auxz00_4332 = 
(long)(BgL_auxz00_4333); } 
BgL_modz00_3631 = 
(BgL_offsetz00_3630/BgL_auxz00_4332); } 
{ /* Jvm/compress.scm 178 */
long BgL_restz00_3633;
{ /* Jvm/compress.scm 178 */
long BgL_auxz00_4337;
{ /* Jvm/compress.scm 178 */
int BgL_auxz00_4338;
BgL_auxz00_4338 = 
(int)(((long)8)); 
BgL_auxz00_4337 = 
(long)(BgL_auxz00_4338); } 
BgL_restz00_3633 = 
(BgL_offsetz00_3630%BgL_auxz00_4337); } 
{ /* Jvm/compress.scm 178 */

{ /* Jvm/compress.scm 178 */
obj_t BgL_bucketz00_3635;
{ /* Jvm/compress.scm 178 */
int BgL_kz00_3645;
BgL_kz00_3645 = 
(int)(BgL_modz00_3631); 
BgL_bucketz00_3635 = 
VECTOR_REF(BgL_arg1904z00_3626,BgL_kz00_3645); } 
{ /* Jvm/compress.scm 178 */
int BgL_kz00_3647;
BgL_kz00_3647 = 
(int)(BgL_restz00_3633); 
BgL_method3039z00_3623 = 
VECTOR_REF(BgL_bucketz00_3635,BgL_kz00_3647); } } } } } } } } 
{ /* Jvm/compress.scm 178 */
obj_t BgL_auxz00_4346;
BgL_auxz00_4346 = 
PROCEDURE_ENTRY(BgL_method3039z00_3623)(BgL_method3039z00_3623, 
(obj_t)(BgL_arg4215z00_2303), BEOA); 
BgL_res4370z00_3648 = 
(BgL_nodez00_bglt)(BgL_auxz00_4346); } } 
BgL_arg4212z00_2302 = BgL_res4370z00_3648; } } 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_ez00_2298))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg4212z00_2302), BUNSPEC); } 
BgL_auxz00_4319 = BgL_ez00_2298; 
return 
(obj_t)(BgL_auxz00_4319);} } } 
}



/* compile-compress-cast3065 */
obj_t BGl_compilezd2compresszd2cast3065z00zzjvm_compressz00(obj_t BgL_envz00_3931, obj_t BgL_ez00_3932)
{ AN_OBJECT;
{ /* Jvm/compress.scm 171 */
{ 
BgL_castz00_bglt BgL_ez00_2290;
{ /* Jvm/compress.scm 172 */
BgL_castz00_bglt BgL_auxz00_4354;
BgL_ez00_2290 = 
(BgL_castz00_bglt)(BgL_ez00_3932); 
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_arg4199z00_2294;
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_arg4202z00_2295;
BgL_arg4202z00_2295 = 
(((BgL_castz00_bglt)CREF(BgL_ez00_2290))->BgL_argz00); 
{ /* Jvm/compress.scm 173 */
BgL_nodez00_bglt BgL_res4367z00_3618;
{ /* Jvm/compress.scm 173 */
obj_t BgL_method3039z00_3593;
{ /* Jvm/compress.scm 173 */
long BgL_objzd2classzd2numz00_3595;
{ /* Jvm/compress.scm 173 */
BgL_objectz00_bglt BgL_auxz00_4356;
BgL_auxz00_4356 = 
(BgL_objectz00_bglt)(BgL_arg4202z00_2295); 
BgL_objzd2classzd2numz00_3595 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4356); } 
{ /* Jvm/compress.scm 173 */
obj_t BgL_arg1904z00_3596;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)1)); 
BgL_arg1904z00_3596 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4359); } 
{ /* Jvm/compress.scm 173 */
long BgL_offsetz00_3600;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4362;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(BgL_objzd2classzd2numz00_3595); 
BgL_auxz00_4362 = 
(long)(BgL_auxz00_4363); } 
BgL_offsetz00_3600 = 
(BgL_auxz00_4362-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 173 */
long BgL_modz00_3601;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4367;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4368;
BgL_auxz00_4368 = 
(int)(((long)8)); 
BgL_auxz00_4367 = 
(long)(BgL_auxz00_4368); } 
BgL_modz00_3601 = 
(BgL_offsetz00_3600/BgL_auxz00_4367); } 
{ /* Jvm/compress.scm 173 */
long BgL_restz00_3603;
{ /* Jvm/compress.scm 173 */
long BgL_auxz00_4372;
{ /* Jvm/compress.scm 173 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(((long)8)); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_restz00_3603 = 
(BgL_offsetz00_3600%BgL_auxz00_4372); } 
{ /* Jvm/compress.scm 173 */

{ /* Jvm/compress.scm 173 */
obj_t BgL_bucketz00_3605;
{ /* Jvm/compress.scm 173 */
int BgL_kz00_3615;
BgL_kz00_3615 = 
(int)(BgL_modz00_3601); 
BgL_bucketz00_3605 = 
VECTOR_REF(BgL_arg1904z00_3596,BgL_kz00_3615); } 
{ /* Jvm/compress.scm 173 */
int BgL_kz00_3617;
BgL_kz00_3617 = 
(int)(BgL_restz00_3603); 
BgL_method3039z00_3593 = 
VECTOR_REF(BgL_bucketz00_3605,BgL_kz00_3617); } } } } } } } } 
{ /* Jvm/compress.scm 173 */
obj_t BgL_auxz00_4381;
BgL_auxz00_4381 = 
PROCEDURE_ENTRY(BgL_method3039z00_3593)(BgL_method3039z00_3593, 
(obj_t)(BgL_arg4202z00_2295), BEOA); 
BgL_res4367z00_3618 = 
(BgL_nodez00_bglt)(BgL_auxz00_4381); } } 
BgL_arg4199z00_2294 = BgL_res4367z00_3618; } } 
((((BgL_castz00_bglt)CREF(BgL_ez00_2290))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg4199z00_2294), BUNSPEC); } 
BgL_auxz00_4354 = BgL_ez00_2290; 
return 
(obj_t)(BgL_auxz00_4354);} } } 
}



/* compile-compress-extern3063 */
obj_t BGl_compilezd2compresszd2extern3063z00zzjvm_compressz00(obj_t BgL_envz00_3933, obj_t BgL_ez00_3934)
{ AN_OBJECT;
{ /* Jvm/compress.scm 166 */
{ 
BgL_externz00_bglt BgL_ez00_2283;
{ /* Jvm/compress.scm 167 */
BgL_externz00_bglt BgL_auxz00_4389;
BgL_ez00_2283 = 
(BgL_externz00_bglt)(BgL_ez00_3934); 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_externz00_bglt)CREF(BgL_ez00_2283))->BgL_exprza2za2)); 
BgL_auxz00_4389 = BgL_ez00_2283; 
return 
(obj_t)(BgL_auxz00_4389);} } } 
}



/* compile-compress-funcall3061 */
obj_t BGl_compilezd2compresszd2funcall3061z00zzjvm_compressz00(obj_t BgL_envz00_3935, obj_t BgL_ez00_3936)
{ AN_OBJECT;
{ /* Jvm/compress.scm 160 */
{ 
BgL_funcallz00_bglt BgL_ez00_2274;
{ /* Jvm/compress.scm 161 */
BgL_funcallz00_bglt BgL_auxz00_4394;
BgL_ez00_2274 = 
(BgL_funcallz00_bglt)(BgL_ez00_3936); 
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_arg4172z00_2278;
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_arg4175z00_2279;
BgL_arg4175z00_2279 = 
(((BgL_funcallz00_bglt)CREF(BgL_ez00_2274))->BgL_funz00); 
{ /* Jvm/compress.scm 162 */
BgL_nodez00_bglt BgL_res4364z00_3584;
{ /* Jvm/compress.scm 162 */
obj_t BgL_method3039z00_3559;
{ /* Jvm/compress.scm 162 */
long BgL_objzd2classzd2numz00_3561;
{ /* Jvm/compress.scm 162 */
BgL_objectz00_bglt BgL_auxz00_4396;
BgL_auxz00_4396 = 
(BgL_objectz00_bglt)(BgL_arg4175z00_2279); 
BgL_objzd2classzd2numz00_3561 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4396); } 
{ /* Jvm/compress.scm 162 */
obj_t BgL_arg1904z00_3562;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4399;
BgL_auxz00_4399 = 
(int)(((long)1)); 
BgL_arg1904z00_3562 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4399); } 
{ /* Jvm/compress.scm 162 */
long BgL_offsetz00_3566;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4402;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4403;
BgL_auxz00_4403 = 
(int)(BgL_objzd2classzd2numz00_3561); 
BgL_auxz00_4402 = 
(long)(BgL_auxz00_4403); } 
BgL_offsetz00_3566 = 
(BgL_auxz00_4402-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 162 */
long BgL_modz00_3567;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4407;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4408;
BgL_auxz00_4408 = 
(int)(((long)8)); 
BgL_auxz00_4407 = 
(long)(BgL_auxz00_4408); } 
BgL_modz00_3567 = 
(BgL_offsetz00_3566/BgL_auxz00_4407); } 
{ /* Jvm/compress.scm 162 */
long BgL_restz00_3569;
{ /* Jvm/compress.scm 162 */
long BgL_auxz00_4412;
{ /* Jvm/compress.scm 162 */
int BgL_auxz00_4413;
BgL_auxz00_4413 = 
(int)(((long)8)); 
BgL_auxz00_4412 = 
(long)(BgL_auxz00_4413); } 
BgL_restz00_3569 = 
(BgL_offsetz00_3566%BgL_auxz00_4412); } 
{ /* Jvm/compress.scm 162 */

{ /* Jvm/compress.scm 162 */
obj_t BgL_bucketz00_3571;
{ /* Jvm/compress.scm 162 */
int BgL_kz00_3581;
BgL_kz00_3581 = 
(int)(BgL_modz00_3567); 
BgL_bucketz00_3571 = 
VECTOR_REF(BgL_arg1904z00_3562,BgL_kz00_3581); } 
{ /* Jvm/compress.scm 162 */
int BgL_kz00_3583;
BgL_kz00_3583 = 
(int)(BgL_restz00_3569); 
BgL_method3039z00_3559 = 
VECTOR_REF(BgL_bucketz00_3571,BgL_kz00_3583); } } } } } } } } 
{ /* Jvm/compress.scm 162 */
obj_t BgL_auxz00_4421;
BgL_auxz00_4421 = 
PROCEDURE_ENTRY(BgL_method3039z00_3559)(BgL_method3039z00_3559, 
(obj_t)(BgL_arg4175z00_2279), BEOA); 
BgL_res4364z00_3584 = 
(BgL_nodez00_bglt)(BgL_auxz00_4421); } } 
BgL_arg4172z00_2278 = BgL_res4364z00_3584; } } 
((((BgL_funcallz00_bglt)CREF(BgL_ez00_2274))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg4172z00_2278), BUNSPEC); } 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_funcallz00_bglt)CREF(BgL_ez00_2274))->BgL_argsz00)); 
BgL_auxz00_4394 = BgL_ez00_2274; 
return 
(obj_t)(BgL_auxz00_4394);} } } 
}



/* compile-compress-app-ly3059 */
obj_t BGl_compilezd2compresszd2appzd2ly3059zd2zzjvm_compressz00(obj_t BgL_envz00_3937, obj_t BgL_ez00_3938)
{ AN_OBJECT;
{ /* Jvm/compress.scm 154 */
{ 
BgL_appzd2lyzd2_bglt BgL_ez00_2264;
{ /* Jvm/compress.scm 155 */
BgL_appzd2lyzd2_bglt BgL_auxz00_4431;
BgL_ez00_2264 = 
(BgL_appzd2lyzd2_bglt)(BgL_ez00_3938); 
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_arg4152z00_2268;
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_arg4155z00_2269;
BgL_arg4155z00_2269 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2264))->BgL_funz00); 
{ /* Jvm/compress.scm 156 */
BgL_nodez00_bglt BgL_res4358z00_3524;
{ /* Jvm/compress.scm 156 */
obj_t BgL_method3039z00_3499;
{ /* Jvm/compress.scm 156 */
long BgL_objzd2classzd2numz00_3501;
{ /* Jvm/compress.scm 156 */
BgL_objectz00_bglt BgL_auxz00_4433;
BgL_auxz00_4433 = 
(BgL_objectz00_bglt)(BgL_arg4155z00_2269); 
BgL_objzd2classzd2numz00_3501 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4433); } 
{ /* Jvm/compress.scm 156 */
obj_t BgL_arg1904z00_3502;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4436;
BgL_auxz00_4436 = 
(int)(((long)1)); 
BgL_arg1904z00_3502 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4436); } 
{ /* Jvm/compress.scm 156 */
long BgL_offsetz00_3506;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4439;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4440;
BgL_auxz00_4440 = 
(int)(BgL_objzd2classzd2numz00_3501); 
BgL_auxz00_4439 = 
(long)(BgL_auxz00_4440); } 
BgL_offsetz00_3506 = 
(BgL_auxz00_4439-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 156 */
long BgL_modz00_3507;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4444;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4445;
BgL_auxz00_4445 = 
(int)(((long)8)); 
BgL_auxz00_4444 = 
(long)(BgL_auxz00_4445); } 
BgL_modz00_3507 = 
(BgL_offsetz00_3506/BgL_auxz00_4444); } 
{ /* Jvm/compress.scm 156 */
long BgL_restz00_3509;
{ /* Jvm/compress.scm 156 */
long BgL_auxz00_4449;
{ /* Jvm/compress.scm 156 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(((long)8)); 
BgL_auxz00_4449 = 
(long)(BgL_auxz00_4450); } 
BgL_restz00_3509 = 
(BgL_offsetz00_3506%BgL_auxz00_4449); } 
{ /* Jvm/compress.scm 156 */

{ /* Jvm/compress.scm 156 */
obj_t BgL_bucketz00_3511;
{ /* Jvm/compress.scm 156 */
int BgL_kz00_3521;
BgL_kz00_3521 = 
(int)(BgL_modz00_3507); 
BgL_bucketz00_3511 = 
VECTOR_REF(BgL_arg1904z00_3502,BgL_kz00_3521); } 
{ /* Jvm/compress.scm 156 */
int BgL_kz00_3523;
BgL_kz00_3523 = 
(int)(BgL_restz00_3509); 
BgL_method3039z00_3499 = 
VECTOR_REF(BgL_bucketz00_3511,BgL_kz00_3523); } } } } } } } } 
{ /* Jvm/compress.scm 156 */
obj_t BgL_auxz00_4458;
BgL_auxz00_4458 = 
PROCEDURE_ENTRY(BgL_method3039z00_3499)(BgL_method3039z00_3499, 
(obj_t)(BgL_arg4155z00_2269), BEOA); 
BgL_res4358z00_3524 = 
(BgL_nodez00_bglt)(BgL_auxz00_4458); } } 
BgL_arg4152z00_2268 = BgL_res4358z00_3524; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2264))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_arg4152z00_2268), BUNSPEC); } 
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_arg4159z00_2270;
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_arg4162z00_2271;
BgL_arg4162z00_2271 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2264))->BgL_argz00); 
{ /* Jvm/compress.scm 157 */
BgL_nodez00_bglt BgL_res4361z00_3554;
{ /* Jvm/compress.scm 157 */
obj_t BgL_method3039z00_3529;
{ /* Jvm/compress.scm 157 */
long BgL_objzd2classzd2numz00_3531;
{ /* Jvm/compress.scm 157 */
BgL_objectz00_bglt BgL_auxz00_4465;
BgL_auxz00_4465 = 
(BgL_objectz00_bglt)(BgL_arg4162z00_2271); 
BgL_objzd2classzd2numz00_3531 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4465); } 
{ /* Jvm/compress.scm 157 */
obj_t BgL_arg1904z00_3532;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4468;
BgL_auxz00_4468 = 
(int)(((long)1)); 
BgL_arg1904z00_3532 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4468); } 
{ /* Jvm/compress.scm 157 */
long BgL_offsetz00_3536;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4471;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4472;
BgL_auxz00_4472 = 
(int)(BgL_objzd2classzd2numz00_3531); 
BgL_auxz00_4471 = 
(long)(BgL_auxz00_4472); } 
BgL_offsetz00_3536 = 
(BgL_auxz00_4471-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 157 */
long BgL_modz00_3537;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4476;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4477;
BgL_auxz00_4477 = 
(int)(((long)8)); 
BgL_auxz00_4476 = 
(long)(BgL_auxz00_4477); } 
BgL_modz00_3537 = 
(BgL_offsetz00_3536/BgL_auxz00_4476); } 
{ /* Jvm/compress.scm 157 */
long BgL_restz00_3539;
{ /* Jvm/compress.scm 157 */
long BgL_auxz00_4481;
{ /* Jvm/compress.scm 157 */
int BgL_auxz00_4482;
BgL_auxz00_4482 = 
(int)(((long)8)); 
BgL_auxz00_4481 = 
(long)(BgL_auxz00_4482); } 
BgL_restz00_3539 = 
(BgL_offsetz00_3536%BgL_auxz00_4481); } 
{ /* Jvm/compress.scm 157 */

{ /* Jvm/compress.scm 157 */
obj_t BgL_bucketz00_3541;
{ /* Jvm/compress.scm 157 */
int BgL_kz00_3551;
BgL_kz00_3551 = 
(int)(BgL_modz00_3537); 
BgL_bucketz00_3541 = 
VECTOR_REF(BgL_arg1904z00_3532,BgL_kz00_3551); } 
{ /* Jvm/compress.scm 157 */
int BgL_kz00_3553;
BgL_kz00_3553 = 
(int)(BgL_restz00_3539); 
BgL_method3039z00_3529 = 
VECTOR_REF(BgL_bucketz00_3541,BgL_kz00_3553); } } } } } } } } 
{ /* Jvm/compress.scm 157 */
obj_t BgL_auxz00_4490;
BgL_auxz00_4490 = 
PROCEDURE_ENTRY(BgL_method3039z00_3529)(BgL_method3039z00_3529, 
(obj_t)(BgL_arg4162z00_2271), BEOA); 
BgL_res4361z00_3554 = 
(BgL_nodez00_bglt)(BgL_auxz00_4490); } } 
BgL_arg4159z00_2270 = BgL_res4361z00_3554; } } 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_ez00_2264))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_arg4159z00_2270), BUNSPEC); } 
BgL_auxz00_4431 = BgL_ez00_2264; 
return 
(obj_t)(BgL_auxz00_4431);} } } 
}



/* compile-compress-app3057 */
obj_t BGl_compilezd2compresszd2app3057z00zzjvm_compressz00(obj_t BgL_envz00_3939, obj_t BgL_ez00_3940)
{ AN_OBJECT;
{ /* Jvm/compress.scm 149 */
{ 
BgL_appz00_bglt BgL_ez00_2257;
{ /* Jvm/compress.scm 150 */
BgL_appz00_bglt BgL_auxz00_4498;
BgL_ez00_2257 = 
(BgL_appz00_bglt)(BgL_ez00_3940); 
BGl_compressza2za2zzjvm_compressz00(
(((BgL_appz00_bglt)CREF(BgL_ez00_2257))->BgL_argsz00)); 
BgL_auxz00_4498 = BgL_ez00_2257; 
return 
(obj_t)(BgL_auxz00_4498);} } } 
}



/* compile-compress-let-fun3055 */
obj_t BGl_compilezd2compresszd2letzd2fun3055zd2zzjvm_compressz00(obj_t BgL_envz00_3941, obj_t BgL_ez00_3942)
{ AN_OBJECT;
{ /* Jvm/compress.scm 139 */
{ 
BgL_letzd2funzd2_bglt BgL_ez00_2239;
{ /* Jvm/compress.scm 140 */
BgL_letzd2funzd2_bglt BgL_auxz00_4503;
BgL_ez00_2239 = 
(BgL_letzd2funzd2_bglt)(BgL_ez00_3942); 
{ 
obj_t BgL_l3012z00_2243;
BgL_l3012z00_2243 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2239))->BgL_localsz00); 
BgL_lname3013z00_2244:
if(
PAIRP(BgL_l3012z00_2243))
{ /* Jvm/compress.scm 141 */
{ /* Jvm/compress.scm 143 */
BgL_valuez00_bglt BgL_instance3016z00_2249;
{ /* Jvm/compress.scm 144 */
BgL_localz00_bglt BgL_obj1256z00_3432;
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4506;
BgL_auxz00_4506 = 
CAR(BgL_l3012z00_2243); 
BgL_obj1256z00_3432 = 
(BgL_localz00_bglt)(BgL_auxz00_4506); } 
BgL_instance3016z00_2249 = 
(((BgL_localz00_bglt)CREF(BgL_obj1256z00_3432))->BgL_valuez00); } 
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_arg4115z00_2250;
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_res4352z00_3460;
{ /* Jvm/compress.scm 144 */
BgL_nodez00_bglt BgL_ez00_3434;
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4510;
{ /* Jvm/compress.scm 144 */
BgL_sfunz00_bglt BgL_obj1373z00_3433;
BgL_obj1373z00_3433 = 
(BgL_sfunz00_bglt)(BgL_instance3016z00_2249); 
BgL_auxz00_4510 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_3433))->BgL_bodyz00); } 
BgL_ez00_3434 = 
(BgL_nodez00_bglt)(BgL_auxz00_4510); } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_method3039z00_3435;
{ /* Jvm/compress.scm 144 */
long BgL_objzd2classzd2numz00_3437;
{ /* Jvm/compress.scm 144 */
BgL_objectz00_bglt BgL_auxz00_4514;
BgL_auxz00_4514 = 
(BgL_objectz00_bglt)(BgL_ez00_3434); 
BgL_objzd2classzd2numz00_3437 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4514); } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_arg1904z00_3438;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4517;
BgL_auxz00_4517 = 
(int)(((long)1)); 
BgL_arg1904z00_3438 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4517); } 
{ /* Jvm/compress.scm 144 */
long BgL_offsetz00_3442;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4520;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4521;
BgL_auxz00_4521 = 
(int)(BgL_objzd2classzd2numz00_3437); 
BgL_auxz00_4520 = 
(long)(BgL_auxz00_4521); } 
BgL_offsetz00_3442 = 
(BgL_auxz00_4520-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 144 */
long BgL_modz00_3443;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4525;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4526;
BgL_auxz00_4526 = 
(int)(((long)8)); 
BgL_auxz00_4525 = 
(long)(BgL_auxz00_4526); } 
BgL_modz00_3443 = 
(BgL_offsetz00_3442/BgL_auxz00_4525); } 
{ /* Jvm/compress.scm 144 */
long BgL_restz00_3445;
{ /* Jvm/compress.scm 144 */
long BgL_auxz00_4530;
{ /* Jvm/compress.scm 144 */
int BgL_auxz00_4531;
BgL_auxz00_4531 = 
(int)(((long)8)); 
BgL_auxz00_4530 = 
(long)(BgL_auxz00_4531); } 
BgL_restz00_3445 = 
(BgL_offsetz00_3442%BgL_auxz00_4530); } 
{ /* Jvm/compress.scm 144 */

{ /* Jvm/compress.scm 144 */
obj_t BgL_bucketz00_3447;
{ /* Jvm/compress.scm 144 */
int BgL_kz00_3457;
BgL_kz00_3457 = 
(int)(BgL_modz00_3443); 
BgL_bucketz00_3447 = 
VECTOR_REF(BgL_arg1904z00_3438,BgL_kz00_3457); } 
{ /* Jvm/compress.scm 144 */
int BgL_kz00_3459;
BgL_kz00_3459 = 
(int)(BgL_restz00_3445); 
BgL_method3039z00_3435 = 
VECTOR_REF(BgL_bucketz00_3447,BgL_kz00_3459); } } } } } } } } 
{ /* Jvm/compress.scm 144 */
obj_t BgL_auxz00_4539;
BgL_auxz00_4539 = 
PROCEDURE_ENTRY(BgL_method3039z00_3435)(BgL_method3039z00_3435, 
(obj_t)(BgL_ez00_3434), BEOA); 
BgL_res4352z00_3460 = 
(BgL_nodez00_bglt)(BgL_auxz00_4539); } } } 
BgL_arg4115z00_2250 = BgL_res4352z00_3460; } 
{ /* Jvm/compress.scm 144 */
BgL_sfunz00_bglt BgL_obj1375z00_3461;obj_t BgL_val1374z00_3462;
BgL_obj1375z00_3461 = 
(BgL_sfunz00_bglt)(BgL_instance3016z00_2249); 
BgL_val1374z00_3462 = 
(obj_t)(BgL_arg4115z00_2250); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_3461))->BgL_bodyz00) = ((obj_t)BgL_val1374z00_3462), BUNSPEC); } } } 
{ 
obj_t BgL_l3012z00_4547;
BgL_l3012z00_4547 = 
CDR(BgL_l3012z00_2243); 
BgL_l3012z00_2243 = BgL_l3012z00_4547; 
goto BgL_lname3013z00_2244;} }  else 
{ /* Jvm/compress.scm 141 */((bool_t)1); } } 
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_arg4129z00_2253;
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_arg4132z00_2254;
BgL_arg4132z00_2254 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2239))->BgL_bodyz00); 
{ /* Jvm/compress.scm 146 */
BgL_nodez00_bglt BgL_res4355z00_3491;
{ /* Jvm/compress.scm 146 */
obj_t BgL_method3039z00_3466;
{ /* Jvm/compress.scm 146 */
long BgL_objzd2classzd2numz00_3468;
{ /* Jvm/compress.scm 146 */
BgL_objectz00_bglt BgL_auxz00_4551;
BgL_auxz00_4551 = 
(BgL_objectz00_bglt)(BgL_arg4132z00_2254); 
BgL_objzd2classzd2numz00_3468 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4551); } 
{ /* Jvm/compress.scm 146 */
obj_t BgL_arg1904z00_3469;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4554;
BgL_auxz00_4554 = 
(int)(((long)1)); 
BgL_arg1904z00_3469 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4554); } 
{ /* Jvm/compress.scm 146 */
long BgL_offsetz00_3473;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4557;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4558;
BgL_auxz00_4558 = 
(int)(BgL_objzd2classzd2numz00_3468); 
BgL_auxz00_4557 = 
(long)(BgL_auxz00_4558); } 
BgL_offsetz00_3473 = 
(BgL_auxz00_4557-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 146 */
long BgL_modz00_3474;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4562;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4563;
BgL_auxz00_4563 = 
(int)(((long)8)); 
BgL_auxz00_4562 = 
(long)(BgL_auxz00_4563); } 
BgL_modz00_3474 = 
(BgL_offsetz00_3473/BgL_auxz00_4562); } 
{ /* Jvm/compress.scm 146 */
long BgL_restz00_3476;
{ /* Jvm/compress.scm 146 */
long BgL_auxz00_4567;
{ /* Jvm/compress.scm 146 */
int BgL_auxz00_4568;
BgL_auxz00_4568 = 
(int)(((long)8)); 
BgL_auxz00_4567 = 
(long)(BgL_auxz00_4568); } 
BgL_restz00_3476 = 
(BgL_offsetz00_3473%BgL_auxz00_4567); } 
{ /* Jvm/compress.scm 146 */

{ /* Jvm/compress.scm 146 */
obj_t BgL_bucketz00_3478;
{ /* Jvm/compress.scm 146 */
int BgL_kz00_3488;
BgL_kz00_3488 = 
(int)(BgL_modz00_3474); 
BgL_bucketz00_3478 = 
VECTOR_REF(BgL_arg1904z00_3469,BgL_kz00_3488); } 
{ /* Jvm/compress.scm 146 */
int BgL_kz00_3490;
BgL_kz00_3490 = 
(int)(BgL_restz00_3476); 
BgL_method3039z00_3466 = 
VECTOR_REF(BgL_bucketz00_3478,BgL_kz00_3490); } } } } } } } } 
{ /* Jvm/compress.scm 146 */
obj_t BgL_auxz00_4576;
BgL_auxz00_4576 = 
PROCEDURE_ENTRY(BgL_method3039z00_3466)(BgL_method3039z00_3466, 
(obj_t)(BgL_arg4132z00_2254), BEOA); 
BgL_res4355z00_3491 = 
(BgL_nodez00_bglt)(BgL_auxz00_4576); } } 
BgL_arg4129z00_2253 = BgL_res4355z00_3491; } } 
((((BgL_letzd2funzd2_bglt)CREF(BgL_ez00_2239))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg4129z00_2253), BUNSPEC); } 
BgL_auxz00_4503 = BgL_ez00_2239; 
return 
(obj_t)(BgL_auxz00_4503);} } } 
}



/* compile-compress-select3053 */
obj_t BGl_compilezd2compresszd2select3053z00zzjvm_compressz00(obj_t BgL_envz00_3943, obj_t BgL_ez00_3944)
{ AN_OBJECT;
{ /* Jvm/compress.scm 133 */
{ 
BgL_selectz00_bglt BgL_ez00_2223;
{ /* Jvm/compress.scm 134 */
BgL_selectz00_bglt BgL_auxz00_4584;
BgL_ez00_2223 = 
(BgL_selectz00_bglt)(BgL_ez00_3944); 
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_arg4079z00_2227;
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_arg4082z00_2228;
BgL_arg4082z00_2228 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_2223))->BgL_testz00); 
{ /* Jvm/compress.scm 135 */
BgL_nodez00_bglt BgL_res4346z00_3392;
{ /* Jvm/compress.scm 135 */
obj_t BgL_method3039z00_3367;
{ /* Jvm/compress.scm 135 */
long BgL_objzd2classzd2numz00_3369;
{ /* Jvm/compress.scm 135 */
BgL_objectz00_bglt BgL_auxz00_4586;
BgL_auxz00_4586 = 
(BgL_objectz00_bglt)(BgL_arg4082z00_2228); 
BgL_objzd2classzd2numz00_3369 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4586); } 
{ /* Jvm/compress.scm 135 */
obj_t BgL_arg1904z00_3370;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4589;
BgL_auxz00_4589 = 
(int)(((long)1)); 
BgL_arg1904z00_3370 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4589); } 
{ /* Jvm/compress.scm 135 */
long BgL_offsetz00_3374;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4592;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4593;
BgL_auxz00_4593 = 
(int)(BgL_objzd2classzd2numz00_3369); 
BgL_auxz00_4592 = 
(long)(BgL_auxz00_4593); } 
BgL_offsetz00_3374 = 
(BgL_auxz00_4592-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 135 */
long BgL_modz00_3375;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4597;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4598;
BgL_auxz00_4598 = 
(int)(((long)8)); 
BgL_auxz00_4597 = 
(long)(BgL_auxz00_4598); } 
BgL_modz00_3375 = 
(BgL_offsetz00_3374/BgL_auxz00_4597); } 
{ /* Jvm/compress.scm 135 */
long BgL_restz00_3377;
{ /* Jvm/compress.scm 135 */
long BgL_auxz00_4602;
{ /* Jvm/compress.scm 135 */
int BgL_auxz00_4603;
BgL_auxz00_4603 = 
(int)(((long)8)); 
BgL_auxz00_4602 = 
(long)(BgL_auxz00_4603); } 
BgL_restz00_3377 = 
(BgL_offsetz00_3374%BgL_auxz00_4602); } 
{ /* Jvm/compress.scm 135 */

{ /* Jvm/compress.scm 135 */
obj_t BgL_bucketz00_3379;
{ /* Jvm/compress.scm 135 */
int BgL_kz00_3389;
BgL_kz00_3389 = 
(int)(BgL_modz00_3375); 
BgL_bucketz00_3379 = 
VECTOR_REF(BgL_arg1904z00_3370,BgL_kz00_3389); } 
{ /* Jvm/compress.scm 135 */
int BgL_kz00_3391;
BgL_kz00_3391 = 
(int)(BgL_restz00_3377); 
BgL_method3039z00_3367 = 
VECTOR_REF(BgL_bucketz00_3379,BgL_kz00_3391); } } } } } } } } 
{ /* Jvm/compress.scm 135 */
obj_t BgL_auxz00_4611;
BgL_auxz00_4611 = 
PROCEDURE_ENTRY(BgL_method3039z00_3367)(BgL_method3039z00_3367, 
(obj_t)(BgL_arg4082z00_2228), BEOA); 
BgL_res4346z00_3392 = 
(BgL_nodez00_bglt)(BgL_auxz00_4611); } } 
BgL_arg4079z00_2227 = BgL_res4346z00_3392; } } 
((((BgL_selectz00_bglt)CREF(BgL_ez00_2223))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg4079z00_2227), BUNSPEC); } 
{ 
obj_t BgL_l3008z00_2229;
BgL_l3008z00_2229 = 
(((BgL_selectz00_bglt)CREF(BgL_ez00_2223))->BgL_clausesz00); 
BgL_lname3009z00_2230:
if(
PAIRP(BgL_l3008z00_2229))
{ /* Jvm/compress.scm 136 */
{ /* Jvm/compress.scm 136 */
obj_t BgL_cz00_2233;
BgL_cz00_2233 = 
CAR(BgL_l3008z00_2229); 
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_arg4091z00_2234;
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_res4349z00_3425;
{ /* Jvm/compress.scm 136 */
BgL_nodez00_bglt BgL_ez00_3399;
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4620;
BgL_auxz00_4620 = 
CDR(BgL_cz00_2233); 
BgL_ez00_3399 = 
(BgL_nodez00_bglt)(BgL_auxz00_4620); } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_method3039z00_3400;
{ /* Jvm/compress.scm 136 */
long BgL_objzd2classzd2numz00_3402;
{ /* Jvm/compress.scm 136 */
BgL_objectz00_bglt BgL_auxz00_4623;
BgL_auxz00_4623 = 
(BgL_objectz00_bglt)(BgL_ez00_3399); 
BgL_objzd2classzd2numz00_3402 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4623); } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_arg1904z00_3403;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4626;
BgL_auxz00_4626 = 
(int)(((long)1)); 
BgL_arg1904z00_3403 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4626); } 
{ /* Jvm/compress.scm 136 */
long BgL_offsetz00_3407;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4629;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4630;
BgL_auxz00_4630 = 
(int)(BgL_objzd2classzd2numz00_3402); 
BgL_auxz00_4629 = 
(long)(BgL_auxz00_4630); } 
BgL_offsetz00_3407 = 
(BgL_auxz00_4629-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 136 */
long BgL_modz00_3408;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4634;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4635;
BgL_auxz00_4635 = 
(int)(((long)8)); 
BgL_auxz00_4634 = 
(long)(BgL_auxz00_4635); } 
BgL_modz00_3408 = 
(BgL_offsetz00_3407/BgL_auxz00_4634); } 
{ /* Jvm/compress.scm 136 */
long BgL_restz00_3410;
{ /* Jvm/compress.scm 136 */
long BgL_auxz00_4639;
{ /* Jvm/compress.scm 136 */
int BgL_auxz00_4640;
BgL_auxz00_4640 = 
(int)(((long)8)); 
BgL_auxz00_4639 = 
(long)(BgL_auxz00_4640); } 
BgL_restz00_3410 = 
(BgL_offsetz00_3407%BgL_auxz00_4639); } 
{ /* Jvm/compress.scm 136 */

{ /* Jvm/compress.scm 136 */
obj_t BgL_bucketz00_3412;
{ /* Jvm/compress.scm 136 */
int BgL_kz00_3422;
BgL_kz00_3422 = 
(int)(BgL_modz00_3408); 
BgL_bucketz00_3412 = 
VECTOR_REF(BgL_arg1904z00_3403,BgL_kz00_3422); } 
{ /* Jvm/compress.scm 136 */
int BgL_kz00_3424;
BgL_kz00_3424 = 
(int)(BgL_restz00_3410); 
BgL_method3039z00_3400 = 
VECTOR_REF(BgL_bucketz00_3412,BgL_kz00_3424); } } } } } } } } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4648;
BgL_auxz00_4648 = 
PROCEDURE_ENTRY(BgL_method3039z00_3400)(BgL_method3039z00_3400, 
(obj_t)(BgL_ez00_3399), BEOA); 
BgL_res4349z00_3425 = 
(BgL_nodez00_bglt)(BgL_auxz00_4648); } } } 
BgL_arg4091z00_2234 = BgL_res4349z00_3425; } 
{ /* Jvm/compress.scm 136 */
obj_t BgL_auxz00_4653;
BgL_auxz00_4653 = 
(obj_t)(BgL_arg4091z00_2234); 
SET_CDR(BgL_cz00_2233, BgL_auxz00_4653); } } } 
{ 
obj_t BgL_l3008z00_4656;
BgL_l3008z00_4656 = 
CDR(BgL_l3008z00_2229); 
BgL_l3008z00_2229 = BgL_l3008z00_4656; 
goto BgL_lname3009z00_2230;} }  else 
{ /* Jvm/compress.scm 136 */((bool_t)1); } } 
BgL_auxz00_4584 = BgL_ez00_2223; 
return 
(obj_t)(BgL_auxz00_4584);} } } 
}



/* compile-compress-conditional3051 */
obj_t BGl_compilezd2compresszd2conditional3051z00zzjvm_compressz00(obj_t BgL_envz00_3945, obj_t BgL_ez00_3946)
{ AN_OBJECT;
{ /* Jvm/compress.scm 126 */
{ 
BgL_conditionalz00_bglt BgL_ez00_2211;
{ /* Jvm/compress.scm 127 */
BgL_conditionalz00_bglt BgL_auxz00_4661;
BgL_ez00_2211 = 
(BgL_conditionalz00_bglt)(BgL_ez00_3946); 
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_arg4051z00_2215;
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_arg4054z00_2216;
BgL_arg4054z00_2216 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_testz00); 
{ /* Jvm/compress.scm 128 */
BgL_nodez00_bglt BgL_res4337z00_3302;
{ /* Jvm/compress.scm 128 */
obj_t BgL_method3039z00_3277;
{ /* Jvm/compress.scm 128 */
long BgL_objzd2classzd2numz00_3279;
{ /* Jvm/compress.scm 128 */
BgL_objectz00_bglt BgL_auxz00_4663;
BgL_auxz00_4663 = 
(BgL_objectz00_bglt)(BgL_arg4054z00_2216); 
BgL_objzd2classzd2numz00_3279 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4663); } 
{ /* Jvm/compress.scm 128 */
obj_t BgL_arg1904z00_3280;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4666;
BgL_auxz00_4666 = 
(int)(((long)1)); 
BgL_arg1904z00_3280 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4666); } 
{ /* Jvm/compress.scm 128 */
long BgL_offsetz00_3284;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4669;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4670;
BgL_auxz00_4670 = 
(int)(BgL_objzd2classzd2numz00_3279); 
BgL_auxz00_4669 = 
(long)(BgL_auxz00_4670); } 
BgL_offsetz00_3284 = 
(BgL_auxz00_4669-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 128 */
long BgL_modz00_3285;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4674;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4675;
BgL_auxz00_4675 = 
(int)(((long)8)); 
BgL_auxz00_4674 = 
(long)(BgL_auxz00_4675); } 
BgL_modz00_3285 = 
(BgL_offsetz00_3284/BgL_auxz00_4674); } 
{ /* Jvm/compress.scm 128 */
long BgL_restz00_3287;
{ /* Jvm/compress.scm 128 */
long BgL_auxz00_4679;
{ /* Jvm/compress.scm 128 */
int BgL_auxz00_4680;
BgL_auxz00_4680 = 
(int)(((long)8)); 
BgL_auxz00_4679 = 
(long)(BgL_auxz00_4680); } 
BgL_restz00_3287 = 
(BgL_offsetz00_3284%BgL_auxz00_4679); } 
{ /* Jvm/compress.scm 128 */

{ /* Jvm/compress.scm 128 */
obj_t BgL_bucketz00_3289;
{ /* Jvm/compress.scm 128 */
int BgL_kz00_3299;
BgL_kz00_3299 = 
(int)(BgL_modz00_3285); 
BgL_bucketz00_3289 = 
VECTOR_REF(BgL_arg1904z00_3280,BgL_kz00_3299); } 
{ /* Jvm/compress.scm 128 */
int BgL_kz00_3301;
BgL_kz00_3301 = 
(int)(BgL_restz00_3287); 
BgL_method3039z00_3277 = 
VECTOR_REF(BgL_bucketz00_3289,BgL_kz00_3301); } } } } } } } } 
{ /* Jvm/compress.scm 128 */
obj_t BgL_auxz00_4688;
BgL_auxz00_4688 = 
PROCEDURE_ENTRY(BgL_method3039z00_3277)(BgL_method3039z00_3277, 
(obj_t)(BgL_arg4054z00_2216), BEOA); 
BgL_res4337z00_3302 = 
(BgL_nodez00_bglt)(BgL_auxz00_4688); } } 
BgL_arg4051z00_2215 = BgL_res4337z00_3302; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_arg4051z00_2215), BUNSPEC); } 
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_arg4058z00_2217;
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_arg4061z00_2218;
BgL_arg4061z00_2218 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_truez00); 
{ /* Jvm/compress.scm 129 */
BgL_nodez00_bglt BgL_res4340z00_3332;
{ /* Jvm/compress.scm 129 */
obj_t BgL_method3039z00_3307;
{ /* Jvm/compress.scm 129 */
long BgL_objzd2classzd2numz00_3309;
{ /* Jvm/compress.scm 129 */
BgL_objectz00_bglt BgL_auxz00_4695;
BgL_auxz00_4695 = 
(BgL_objectz00_bglt)(BgL_arg4061z00_2218); 
BgL_objzd2classzd2numz00_3309 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4695); } 
{ /* Jvm/compress.scm 129 */
obj_t BgL_arg1904z00_3310;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4698;
BgL_auxz00_4698 = 
(int)(((long)1)); 
BgL_arg1904z00_3310 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4698); } 
{ /* Jvm/compress.scm 129 */
long BgL_offsetz00_3314;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4701;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4702;
BgL_auxz00_4702 = 
(int)(BgL_objzd2classzd2numz00_3309); 
BgL_auxz00_4701 = 
(long)(BgL_auxz00_4702); } 
BgL_offsetz00_3314 = 
(BgL_auxz00_4701-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 129 */
long BgL_modz00_3315;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4706;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4707;
BgL_auxz00_4707 = 
(int)(((long)8)); 
BgL_auxz00_4706 = 
(long)(BgL_auxz00_4707); } 
BgL_modz00_3315 = 
(BgL_offsetz00_3314/BgL_auxz00_4706); } 
{ /* Jvm/compress.scm 129 */
long BgL_restz00_3317;
{ /* Jvm/compress.scm 129 */
long BgL_auxz00_4711;
{ /* Jvm/compress.scm 129 */
int BgL_auxz00_4712;
BgL_auxz00_4712 = 
(int)(((long)8)); 
BgL_auxz00_4711 = 
(long)(BgL_auxz00_4712); } 
BgL_restz00_3317 = 
(BgL_offsetz00_3314%BgL_auxz00_4711); } 
{ /* Jvm/compress.scm 129 */

{ /* Jvm/compress.scm 129 */
obj_t BgL_bucketz00_3319;
{ /* Jvm/compress.scm 129 */
int BgL_kz00_3329;
BgL_kz00_3329 = 
(int)(BgL_modz00_3315); 
BgL_bucketz00_3319 = 
VECTOR_REF(BgL_arg1904z00_3310,BgL_kz00_3329); } 
{ /* Jvm/compress.scm 129 */
int BgL_kz00_3331;
BgL_kz00_3331 = 
(int)(BgL_restz00_3317); 
BgL_method3039z00_3307 = 
VECTOR_REF(BgL_bucketz00_3319,BgL_kz00_3331); } } } } } } } } 
{ /* Jvm/compress.scm 129 */
obj_t BgL_auxz00_4720;
BgL_auxz00_4720 = 
PROCEDURE_ENTRY(BgL_method3039z00_3307)(BgL_method3039z00_3307, 
(obj_t)(BgL_arg4061z00_2218), BEOA); 
BgL_res4340z00_3332 = 
(BgL_nodez00_bglt)(BgL_auxz00_4720); } } 
BgL_arg4058z00_2217 = BgL_res4340z00_3332; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_arg4058z00_2217), BUNSPEC); } 
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_arg4065z00_2219;
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_arg4069z00_2220;
BgL_arg4069z00_2220 = 
(((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_falsez00); 
{ /* Jvm/compress.scm 130 */
BgL_nodez00_bglt BgL_res4343z00_3362;
{ /* Jvm/compress.scm 130 */
obj_t BgL_method3039z00_3337;
{ /* Jvm/compress.scm 130 */
long BgL_objzd2classzd2numz00_3339;
{ /* Jvm/compress.scm 130 */
BgL_objectz00_bglt BgL_auxz00_4727;
BgL_auxz00_4727 = 
(BgL_objectz00_bglt)(BgL_arg4069z00_2220); 
BgL_objzd2classzd2numz00_3339 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4727); } 
{ /* Jvm/compress.scm 130 */
obj_t BgL_arg1904z00_3340;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4730;
BgL_auxz00_4730 = 
(int)(((long)1)); 
BgL_arg1904z00_3340 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4730); } 
{ /* Jvm/compress.scm 130 */
long BgL_offsetz00_3344;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4733;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4734;
BgL_auxz00_4734 = 
(int)(BgL_objzd2classzd2numz00_3339); 
BgL_auxz00_4733 = 
(long)(BgL_auxz00_4734); } 
BgL_offsetz00_3344 = 
(BgL_auxz00_4733-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 130 */
long BgL_modz00_3345;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4738;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(((long)8)); 
BgL_auxz00_4738 = 
(long)(BgL_auxz00_4739); } 
BgL_modz00_3345 = 
(BgL_offsetz00_3344/BgL_auxz00_4738); } 
{ /* Jvm/compress.scm 130 */
long BgL_restz00_3347;
{ /* Jvm/compress.scm 130 */
long BgL_auxz00_4743;
{ /* Jvm/compress.scm 130 */
int BgL_auxz00_4744;
BgL_auxz00_4744 = 
(int)(((long)8)); 
BgL_auxz00_4743 = 
(long)(BgL_auxz00_4744); } 
BgL_restz00_3347 = 
(BgL_offsetz00_3344%BgL_auxz00_4743); } 
{ /* Jvm/compress.scm 130 */

{ /* Jvm/compress.scm 130 */
obj_t BgL_bucketz00_3349;
{ /* Jvm/compress.scm 130 */
int BgL_kz00_3359;
BgL_kz00_3359 = 
(int)(BgL_modz00_3345); 
BgL_bucketz00_3349 = 
VECTOR_REF(BgL_arg1904z00_3340,BgL_kz00_3359); } 
{ /* Jvm/compress.scm 130 */
int BgL_kz00_3361;
BgL_kz00_3361 = 
(int)(BgL_restz00_3347); 
BgL_method3039z00_3337 = 
VECTOR_REF(BgL_bucketz00_3349,BgL_kz00_3361); } } } } } } } } 
{ /* Jvm/compress.scm 130 */
obj_t BgL_auxz00_4752;
BgL_auxz00_4752 = 
PROCEDURE_ENTRY(BgL_method3039z00_3337)(BgL_method3039z00_3337, 
(obj_t)(BgL_arg4069z00_2220), BEOA); 
BgL_res4343z00_3362 = 
(BgL_nodez00_bglt)(BgL_auxz00_4752); } } 
BgL_arg4065z00_2219 = BgL_res4343z00_3362; } } 
((((BgL_conditionalz00_bglt)CREF(BgL_ez00_2211))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_arg4065z00_2219), BUNSPEC); } 
BgL_auxz00_4661 = BgL_ez00_2211; 
return 
(obj_t)(BgL_auxz00_4661);} } } 
}



/* compile-compress-sequence3049 */
obj_t BGl_compilezd2compresszd2sequence3049z00zzjvm_compressz00(obj_t BgL_envz00_3947, obj_t BgL_ez00_3948)
{ AN_OBJECT;
{ /* Jvm/compress.scm 118 */
{ 
BgL_sequencez00_bglt BgL_ez00_2197;
BgL_ez00_2197 = 
(BgL_sequencez00_bglt)(BgL_ez00_3948); 
{ /* Jvm/compress.scm 120 */
bool_t BgL_testz00_4760;
{ /* Jvm/compress.scm 120 */
bool_t BgL_testz00_4761;
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4762;
BgL_auxz00_4762 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2197))->BgL_nodesz00); 
BgL_testz00_4761 = 
PAIRP(BgL_auxz00_4762); } 
if(BgL_testz00_4761)
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4765;
{ /* Jvm/compress.scm 120 */
obj_t BgL_auxz00_4766;
BgL_auxz00_4766 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2197))->BgL_nodesz00); 
BgL_auxz00_4765 = 
CDR(BgL_auxz00_4766); } 
BgL_testz00_4760 = 
NULLP(BgL_auxz00_4765); }  else 
{ /* Jvm/compress.scm 120 */
BgL_testz00_4760 = ((bool_t)0)
; } } 
if(BgL_testz00_4760)
{ /* Jvm/compress.scm 121 */
BgL_nodez00_bglt BgL_res4334z00_3273;
{ /* Jvm/compress.scm 121 */
BgL_nodez00_bglt BgL_ez00_3247;
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4770;
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4771;
BgL_auxz00_4771 = 
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2197))->BgL_nodesz00); 
BgL_auxz00_4770 = 
CAR(BgL_auxz00_4771); } 
BgL_ez00_3247 = 
(BgL_nodez00_bglt)(BgL_auxz00_4770); } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_method3039z00_3248;
{ /* Jvm/compress.scm 121 */
long BgL_objzd2classzd2numz00_3250;
{ /* Jvm/compress.scm 121 */
BgL_objectz00_bglt BgL_auxz00_4775;
BgL_auxz00_4775 = 
(BgL_objectz00_bglt)(BgL_ez00_3247); 
BgL_objzd2classzd2numz00_3250 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4775); } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_arg1904z00_3251;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4778;
BgL_auxz00_4778 = 
(int)(((long)1)); 
BgL_arg1904z00_3251 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4778); } 
{ /* Jvm/compress.scm 121 */
long BgL_offsetz00_3255;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4781;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4782;
BgL_auxz00_4782 = 
(int)(BgL_objzd2classzd2numz00_3250); 
BgL_auxz00_4781 = 
(long)(BgL_auxz00_4782); } 
BgL_offsetz00_3255 = 
(BgL_auxz00_4781-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 121 */
long BgL_modz00_3256;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4786;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4787;
BgL_auxz00_4787 = 
(int)(((long)8)); 
BgL_auxz00_4786 = 
(long)(BgL_auxz00_4787); } 
BgL_modz00_3256 = 
(BgL_offsetz00_3255/BgL_auxz00_4786); } 
{ /* Jvm/compress.scm 121 */
long BgL_restz00_3258;
{ /* Jvm/compress.scm 121 */
long BgL_auxz00_4791;
{ /* Jvm/compress.scm 121 */
int BgL_auxz00_4792;
BgL_auxz00_4792 = 
(int)(((long)8)); 
BgL_auxz00_4791 = 
(long)(BgL_auxz00_4792); } 
BgL_restz00_3258 = 
(BgL_offsetz00_3255%BgL_auxz00_4791); } 
{ /* Jvm/compress.scm 121 */

{ /* Jvm/compress.scm 121 */
obj_t BgL_bucketz00_3260;
{ /* Jvm/compress.scm 121 */
int BgL_kz00_3270;
BgL_kz00_3270 = 
(int)(BgL_modz00_3256); 
BgL_bucketz00_3260 = 
VECTOR_REF(BgL_arg1904z00_3251,BgL_kz00_3270); } 
{ /* Jvm/compress.scm 121 */
int BgL_kz00_3272;
BgL_kz00_3272 = 
(int)(BgL_restz00_3258); 
BgL_method3039z00_3248 = 
VECTOR_REF(BgL_bucketz00_3260,BgL_kz00_3272); } } } } } } } } 
{ /* Jvm/compress.scm 121 */
obj_t BgL_auxz00_4800;
BgL_auxz00_4800 = 
PROCEDURE_ENTRY(BgL_method3039z00_3248)(BgL_method3039z00_3248, 
(obj_t)(BgL_ez00_3247), BEOA); 
BgL_res4334z00_3273 = 
(BgL_nodez00_bglt)(BgL_auxz00_4800); } } } 
return 
(obj_t)(BgL_res4334z00_3273);}  else 
{ /* Jvm/compress.scm 120 */
BGl_compressza2za2zzjvm_compressz00(
(((BgL_sequencez00_bglt)CREF(BgL_ez00_2197))->BgL_nodesz00)); 
return 
(obj_t)(BgL_ez00_2197);} } } } 
}



/* compile-compress-setq3047 */
obj_t BGl_compilezd2compresszd2setq3047z00zzjvm_compressz00(obj_t BgL_envz00_3949, obj_t BgL_ez00_3950)
{ AN_OBJECT;
{ /* Jvm/compress.scm 113 */
{ 
BgL_setqz00_bglt BgL_ez00_2189;
{ /* Jvm/compress.scm 114 */
BgL_setqz00_bglt BgL_auxz00_4810;
BgL_ez00_2189 = 
(BgL_setqz00_bglt)(BgL_ez00_3950); 
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_arg4008z00_2193;
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_arg4011z00_2194;
BgL_arg4011z00_2194 = 
(((BgL_setqz00_bglt)CREF(BgL_ez00_2189))->BgL_valuez00); 
{ /* Jvm/compress.scm 115 */
BgL_nodez00_bglt BgL_res4331z00_3237;
{ /* Jvm/compress.scm 115 */
obj_t BgL_method3039z00_3212;
{ /* Jvm/compress.scm 115 */
long BgL_objzd2classzd2numz00_3214;
{ /* Jvm/compress.scm 115 */
BgL_objectz00_bglt BgL_auxz00_4812;
BgL_auxz00_4812 = 
(BgL_objectz00_bglt)(BgL_arg4011z00_2194); 
BgL_objzd2classzd2numz00_3214 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4812); } 
{ /* Jvm/compress.scm 115 */
obj_t BgL_arg1904z00_3215;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4815;
BgL_auxz00_4815 = 
(int)(((long)1)); 
BgL_arg1904z00_3215 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4815); } 
{ /* Jvm/compress.scm 115 */
long BgL_offsetz00_3219;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4818;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4819;
BgL_auxz00_4819 = 
(int)(BgL_objzd2classzd2numz00_3214); 
BgL_auxz00_4818 = 
(long)(BgL_auxz00_4819); } 
BgL_offsetz00_3219 = 
(BgL_auxz00_4818-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 115 */
long BgL_modz00_3220;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4823;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4824;
BgL_auxz00_4824 = 
(int)(((long)8)); 
BgL_auxz00_4823 = 
(long)(BgL_auxz00_4824); } 
BgL_modz00_3220 = 
(BgL_offsetz00_3219/BgL_auxz00_4823); } 
{ /* Jvm/compress.scm 115 */
long BgL_restz00_3222;
{ /* Jvm/compress.scm 115 */
long BgL_auxz00_4828;
{ /* Jvm/compress.scm 115 */
int BgL_auxz00_4829;
BgL_auxz00_4829 = 
(int)(((long)8)); 
BgL_auxz00_4828 = 
(long)(BgL_auxz00_4829); } 
BgL_restz00_3222 = 
(BgL_offsetz00_3219%BgL_auxz00_4828); } 
{ /* Jvm/compress.scm 115 */

{ /* Jvm/compress.scm 115 */
obj_t BgL_bucketz00_3224;
{ /* Jvm/compress.scm 115 */
int BgL_kz00_3234;
BgL_kz00_3234 = 
(int)(BgL_modz00_3220); 
BgL_bucketz00_3224 = 
VECTOR_REF(BgL_arg1904z00_3215,BgL_kz00_3234); } 
{ /* Jvm/compress.scm 115 */
int BgL_kz00_3236;
BgL_kz00_3236 = 
(int)(BgL_restz00_3222); 
BgL_method3039z00_3212 = 
VECTOR_REF(BgL_bucketz00_3224,BgL_kz00_3236); } } } } } } } } 
{ /* Jvm/compress.scm 115 */
obj_t BgL_auxz00_4837;
BgL_auxz00_4837 = 
PROCEDURE_ENTRY(BgL_method3039z00_3212)(BgL_method3039z00_3212, 
(obj_t)(BgL_arg4011z00_2194), BEOA); 
BgL_res4331z00_3237 = 
(BgL_nodez00_bglt)(BgL_auxz00_4837); } } 
BgL_arg4008z00_2193 = BgL_res4331z00_3237; } } 
((((BgL_setqz00_bglt)CREF(BgL_ez00_2189))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_arg4008z00_2193), BUNSPEC); } 
BgL_auxz00_4810 = BgL_ez00_2189; 
return 
(obj_t)(BgL_auxz00_4810);} } } 
}



/* compile-compress-let-var3045 */
obj_t BGl_compilezd2compresszd2letzd2var3045zd2zzjvm_compressz00(obj_t BgL_envz00_3951, obj_t BgL_ez00_3952)
{ AN_OBJECT;
{ /* Jvm/compress.scm 28 */
{ 
BgL_letzd2varzd2_bglt BgL_ez00_1947;
BgL_ez00_1947 = 
(BgL_letzd2varzd2_bglt)(BgL_ez00_3952); 
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_arg3569z00_1958;
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_arg3572z00_1959;
BgL_arg3572z00_1959 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
{ /* Jvm/compress.scm 62 */
BgL_nodez00_bglt BgL_res4323z00_2983;
{ /* Jvm/compress.scm 62 */
obj_t BgL_method3039z00_2958;
{ /* Jvm/compress.scm 62 */
long BgL_objzd2classzd2numz00_2960;
{ /* Jvm/compress.scm 62 */
BgL_objectz00_bglt BgL_auxz00_4846;
BgL_auxz00_4846 = 
(BgL_objectz00_bglt)(BgL_arg3572z00_1959); 
BgL_objzd2classzd2numz00_2960 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4846); } 
{ /* Jvm/compress.scm 62 */
obj_t BgL_arg1904z00_2961;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4849;
BgL_auxz00_4849 = 
(int)(((long)1)); 
BgL_arg1904z00_2961 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4849); } 
{ /* Jvm/compress.scm 62 */
long BgL_offsetz00_2965;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4852;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(BgL_objzd2classzd2numz00_2960); 
BgL_auxz00_4852 = 
(long)(BgL_auxz00_4853); } 
BgL_offsetz00_2965 = 
(BgL_auxz00_4852-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 62 */
long BgL_modz00_2966;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4857;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4858;
BgL_auxz00_4858 = 
(int)(((long)8)); 
BgL_auxz00_4857 = 
(long)(BgL_auxz00_4858); } 
BgL_modz00_2966 = 
(BgL_offsetz00_2965/BgL_auxz00_4857); } 
{ /* Jvm/compress.scm 62 */
long BgL_restz00_2968;
{ /* Jvm/compress.scm 62 */
long BgL_auxz00_4862;
{ /* Jvm/compress.scm 62 */
int BgL_auxz00_4863;
BgL_auxz00_4863 = 
(int)(((long)8)); 
BgL_auxz00_4862 = 
(long)(BgL_auxz00_4863); } 
BgL_restz00_2968 = 
(BgL_offsetz00_2965%BgL_auxz00_4862); } 
{ /* Jvm/compress.scm 62 */

{ /* Jvm/compress.scm 62 */
obj_t BgL_bucketz00_2970;
{ /* Jvm/compress.scm 62 */
int BgL_kz00_2980;
BgL_kz00_2980 = 
(int)(BgL_modz00_2966); 
BgL_bucketz00_2970 = 
VECTOR_REF(BgL_arg1904z00_2961,BgL_kz00_2980); } 
{ /* Jvm/compress.scm 62 */
int BgL_kz00_2982;
BgL_kz00_2982 = 
(int)(BgL_restz00_2968); 
BgL_method3039z00_2958 = 
VECTOR_REF(BgL_bucketz00_2970,BgL_kz00_2982); } } } } } } } } 
{ /* Jvm/compress.scm 62 */
obj_t BgL_auxz00_4871;
BgL_auxz00_4871 = 
PROCEDURE_ENTRY(BgL_method3039z00_2958)(BgL_method3039z00_2958, 
(obj_t)(BgL_arg3572z00_1959), BEOA); 
BgL_res4323z00_2983 = 
(BgL_nodez00_bglt)(BgL_auxz00_4871); } } 
BgL_arg3569z00_1958 = BgL_res4323z00_2983; } } 
((((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_arg3569z00_1958), BUNSPEC); } 
{ 
obj_t BgL_l2979z00_1960;
BgL_l2979z00_1960 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_lname2980z00_1961:
if(
PAIRP(BgL_l2979z00_1960))
{ /* Jvm/compress.scm 63 */
{ /* Jvm/compress.scm 63 */
obj_t BgL_cz00_1964;
BgL_cz00_1964 = 
CAR(BgL_l2979z00_1960); 
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_arg3581z00_1965;
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_res4326z00_3016;
{ /* Jvm/compress.scm 63 */
BgL_nodez00_bglt BgL_ez00_2990;
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4880;
BgL_auxz00_4880 = 
CDR(BgL_cz00_1964); 
BgL_ez00_2990 = 
(BgL_nodez00_bglt)(BgL_auxz00_4880); } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_method3039z00_2991;
{ /* Jvm/compress.scm 63 */
long BgL_objzd2classzd2numz00_2993;
{ /* Jvm/compress.scm 63 */
BgL_objectz00_bglt BgL_auxz00_4883;
BgL_auxz00_4883 = 
(BgL_objectz00_bglt)(BgL_ez00_2990); 
BgL_objzd2classzd2numz00_2993 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4883); } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_arg1904z00_2994;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4886;
BgL_auxz00_4886 = 
(int)(((long)1)); 
BgL_arg1904z00_2994 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_4886); } 
{ /* Jvm/compress.scm 63 */
long BgL_offsetz00_2998;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4889;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4890;
BgL_auxz00_4890 = 
(int)(BgL_objzd2classzd2numz00_2993); 
BgL_auxz00_4889 = 
(long)(BgL_auxz00_4890); } 
BgL_offsetz00_2998 = 
(BgL_auxz00_4889-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 63 */
long BgL_modz00_2999;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4894;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4895;
BgL_auxz00_4895 = 
(int)(((long)8)); 
BgL_auxz00_4894 = 
(long)(BgL_auxz00_4895); } 
BgL_modz00_2999 = 
(BgL_offsetz00_2998/BgL_auxz00_4894); } 
{ /* Jvm/compress.scm 63 */
long BgL_restz00_3001;
{ /* Jvm/compress.scm 63 */
long BgL_auxz00_4899;
{ /* Jvm/compress.scm 63 */
int BgL_auxz00_4900;
BgL_auxz00_4900 = 
(int)(((long)8)); 
BgL_auxz00_4899 = 
(long)(BgL_auxz00_4900); } 
BgL_restz00_3001 = 
(BgL_offsetz00_2998%BgL_auxz00_4899); } 
{ /* Jvm/compress.scm 63 */

{ /* Jvm/compress.scm 63 */
obj_t BgL_bucketz00_3003;
{ /* Jvm/compress.scm 63 */
int BgL_kz00_3013;
BgL_kz00_3013 = 
(int)(BgL_modz00_2999); 
BgL_bucketz00_3003 = 
VECTOR_REF(BgL_arg1904z00_2994,BgL_kz00_3013); } 
{ /* Jvm/compress.scm 63 */
int BgL_kz00_3015;
BgL_kz00_3015 = 
(int)(BgL_restz00_3001); 
BgL_method3039z00_2991 = 
VECTOR_REF(BgL_bucketz00_3003,BgL_kz00_3015); } } } } } } } } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4908;
BgL_auxz00_4908 = 
PROCEDURE_ENTRY(BgL_method3039z00_2991)(BgL_method3039z00_2991, 
(obj_t)(BgL_ez00_2990), BEOA); 
BgL_res4326z00_3016 = 
(BgL_nodez00_bglt)(BgL_auxz00_4908); } } } 
BgL_arg3581z00_1965 = BgL_res4326z00_3016; } 
{ /* Jvm/compress.scm 63 */
obj_t BgL_auxz00_4913;
BgL_auxz00_4913 = 
(obj_t)(BgL_arg3581z00_1965); 
SET_CDR(BgL_cz00_1964, BgL_auxz00_4913); } } } 
{ 
obj_t BgL_l2979z00_4916;
BgL_l2979z00_4916 = 
CDR(BgL_l2979z00_1960); 
BgL_l2979z00_1960 = BgL_l2979z00_4916; 
goto BgL_lname2980z00_1961;} }  else 
{ /* Jvm/compress.scm 63 */((bool_t)1); } } 
{ /* Jvm/compress.scm 65 */
bool_t BgL_testz00_4919;
{ /* Jvm/compress.scm 65 */
obj_t BgL_auxz00_4920;
BgL_auxz00_4920 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_testz00_4919 = 
NULLP(BgL_auxz00_4920); } 
if(BgL_testz00_4919)
{ /* Jvm/compress.scm 65 */
{ /* Jvm/compress.scm 65 */
BgL_nodez00_bglt BgL_auxz00_4923;
BgL_auxz00_4923 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_4923);} }  else 
{ /* Jvm/compress.scm 68 */
bool_t BgL_test3595z00_1969;
{ /* Jvm/compress.scm 68 */
obj_t BgL_auxz00_4926;
BgL_auxz00_4926 = 
BGl_anyzf3zf3zzjvm_envz00(BGl_proc4920z00zzjvm_compressz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
BgL_test3595z00_1969 = 
CBOOL(BgL_auxz00_4926); } 
if(BgL_test3595z00_1969)
{ /* Jvm/compress.scm 68 */
return 
(obj_t)(BgL_ez00_1947);}  else 
{ /* Jvm/compress.scm 70 */
bool_t BgL_test3596z00_1970;
{ /* Jvm/compress.scm 70 */
bool_t BgL_test3883z00_2108;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4932;
{ /* Jvm/compress.scm 70 */
BgL_nodez00_bglt BgL_auxz00_4933;
BgL_auxz00_4933 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_4932 = 
(obj_t)(BgL_auxz00_4933); } 
BgL_test3883z00_2108 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4932, BGl_varz00zzast_nodez00); } 
if(BgL_test3883z00_2108)
{ /* Jvm/compress.scm 70 */
obj_t BgL_arg3885z00_2109;BgL_nodez00_bglt BgL_arg3886z00_2110;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4938;
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4939;
BgL_auxz00_4939 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_auxz00_4938 = 
CAR(BgL_auxz00_4939); } 
BgL_arg3885z00_2109 = 
CAR(BgL_auxz00_4938); } 
BgL_arg3886z00_2110 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
{ /* Jvm/compress.scm 70 */
bool_t BgL__andtest_2965z00_3038;
BgL__andtest_2965z00_3038 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg3886z00_2110), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2965z00_3038)
{ /* Jvm/compress.scm 70 */
obj_t BgL_auxz00_4947;
{ /* Jvm/compress.scm 70 */
BgL_variablez00_bglt BgL_auxz00_4948;
{ /* Jvm/compress.scm 70 */
BgL_varz00_bglt BgL_obj1620z00_3041;
BgL_obj1620z00_3041 = 
(BgL_varz00_bglt)(BgL_arg3886z00_2110); 
BgL_auxz00_4948 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3041))->BgL_variablez00); } 
BgL_auxz00_4947 = 
(obj_t)(BgL_auxz00_4948); } 
BgL_test3596z00_1970 = 
(BgL_auxz00_4947==BgL_arg3885z00_2109); }  else 
{ /* Jvm/compress.scm 70 */
BgL_test3596z00_1970 = ((bool_t)0); } } }  else 
{ /* Jvm/compress.scm 70 */
BgL_test3596z00_1970 = ((bool_t)0); } } 
if(BgL_test3596z00_1970)
{ /* Jvm/compress.scm 70 */
{ /* Jvm/compress.scm 72 */
obj_t BgL_auxz00_4954;
{ /* Jvm/compress.scm 72 */
obj_t BgL_auxz00_4955;
BgL_auxz00_4955 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_auxz00_4954 = 
CAR(BgL_auxz00_4955); } 
return 
CDR(BgL_auxz00_4954);} }  else 
{ /* Jvm/compress.scm 73 */
bool_t BgL_test3601z00_1972;
{ /* Jvm/compress.scm 73 */
bool_t BgL_test3807z00_2067;
{ /* Jvm/compress.scm 73 */
obj_t BgL_auxz00_4959;
{ /* Jvm/compress.scm 73 */
BgL_nodez00_bglt BgL_auxz00_4960;
BgL_auxz00_4960 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_4959 = 
(obj_t)(BgL_auxz00_4960); } 
BgL_test3807z00_2067 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_4959, BGl_appz00zzast_nodez00); } 
if(BgL_test3807z00_2067)
{ /* Jvm/compress.scm 74 */
bool_t BgL_test3808z00_2068;
{ /* Jvm/compress.scm 74 */
obj_t BgL_auxz00_4965;
{ /* Jvm/compress.scm 74 */
obj_t BgL_auxz00_4966;
{ /* Jvm/compress.scm 74 */
BgL_appz00_bglt BgL_obj1726z00_3050;
{ /* Jvm/compress.scm 74 */
BgL_nodez00_bglt BgL_auxz00_4967;
BgL_auxz00_4967 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3050 = 
(BgL_appz00_bglt)(BgL_auxz00_4967); } 
BgL_auxz00_4966 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3050))->BgL_argsz00); } 
BgL_auxz00_4965 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc4919z00zzjvm_compressz00, BgL_auxz00_4966, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); } 
BgL_test3808z00_2068 = 
CBOOL(BgL_auxz00_4965); } 
if(BgL_test3808z00_2068)
{ /* Jvm/compress.scm 75 */
bool_t BgL__ortest_2981z00_2069;
{ /* Jvm/compress.scm 75 */
long BgL_auxz00_4975;
{ /* Jvm/compress.scm 75 */
obj_t BgL_auxz00_4976;
{ /* Jvm/compress.scm 75 */
BgL_appz00_bglt BgL_obj1726z00_3053;
{ /* Jvm/compress.scm 75 */
BgL_nodez00_bglt BgL_auxz00_4977;
BgL_auxz00_4977 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3053 = 
(BgL_appz00_bglt)(BgL_auxz00_4977); } 
BgL_auxz00_4976 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3053))->BgL_argsz00); } 
BgL_auxz00_4975 = 
bgl_list_length(BgL_auxz00_4976); } 
BgL__ortest_2981z00_2069 = 
(BgL_auxz00_4975==((long)1)); } 
if(BgL__ortest_2981z00_2069)
{ /* Jvm/compress.scm 75 */
BgL_test3601z00_1972 = BgL__ortest_2981z00_2069; }  else 
{ /* Jvm/compress.scm 76 */
obj_t BgL__ortest_2982z00_2070;
BgL__ortest_2982z00_2070 = 
BGl_everyzf3zf3zzjvm_envz00(BGl_proc4921z00zzjvm_compressz00, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
if(
CBOOL(BgL__ortest_2982z00_2070))
{ /* Jvm/compress.scm 76 */
BgL_test3601z00_1972 = 
CBOOL(BgL__ortest_2982z00_2070); }  else 
{ /* Jvm/compress.scm 79 */
obj_t BgL__ortest_2983z00_2071;
{ /* Jvm/compress.scm 79 */
obj_t BgL_auxz00_4989;
{ /* Jvm/compress.scm 83 */
BgL_appz00_bglt BgL_obj1726z00_3059;
{ /* Jvm/compress.scm 83 */
BgL_nodez00_bglt BgL_auxz00_4990;
BgL_auxz00_4990 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3059 = 
(BgL_appz00_bglt)(BgL_auxz00_4990); } 
BgL_auxz00_4989 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3059))->BgL_argsz00); } 
BgL__ortest_2983z00_2071 = 
BGl_everyzf3zf3zzjvm_envz00(BGl_proc4922z00zzjvm_compressz00, BgL_auxz00_4989); } 
if(
CBOOL(BgL__ortest_2983z00_2071))
{ /* Jvm/compress.scm 79 */
BgL_test3601z00_1972 = 
CBOOL(BgL__ortest_2983z00_2071); }  else 
{ /* Jvm/compress.scm 84 */
obj_t BgL_argsz00_2072;
{ /* Jvm/compress.scm 84 */
obj_t BgL_auxz00_4998;
{ /* Jvm/compress.scm 84 */
BgL_appz00_bglt BgL_obj1726z00_3064;
{ /* Jvm/compress.scm 84 */
BgL_nodez00_bglt BgL_auxz00_4999;
BgL_auxz00_4999 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3064 = 
(BgL_appz00_bglt)(BgL_auxz00_4999); } 
BgL_auxz00_4998 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3064))->BgL_argsz00); } 
BgL_argsz00_2072 = 
BGl_filterz00zzjvm_compressz00(BGl_varzf3zd2envz21zzjvm_compressz00, BgL_auxz00_4998); } 
{ /* Jvm/compress.scm 85 */
obj_t BgL_arg3811z00_2074;
BgL_arg3811z00_2074 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
{ /* Jvm/compress.scm 86 */
obj_t BgL_zc3anonymousza33813ze3z83_3912;
{ 
int BgL_auxz00_5007;int BgL_auxz00_5005;
BgL_auxz00_5007 = 
(int)(((long)1)); 
BgL_auxz00_5005 = 
(int)(((long)1)); 
BgL_zc3anonymousza33813ze3z83_3912 = 
make_fx_procedure(BGl_zc3anonymousza33813ze3z83zzjvm_compressz00, BgL_auxz00_5005, BgL_auxz00_5007); } 
{ /* Jvm/compress.scm 86 */
int BgL_auxz00_5010;
BgL_auxz00_5010 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33813ze3z83_3912, BgL_auxz00_5010, BgL_argsz00_2072); } 
{ /* Jvm/compress.scm 85 */
obj_t BgL_auxz00_5013;
BgL_auxz00_5013 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33813ze3z83_3912, BgL_arg3811z00_2074); 
BgL_test3601z00_1972 = 
CBOOL(BgL_auxz00_5013); } } } } } } }  else 
{ /* Jvm/compress.scm 74 */
BgL_test3601z00_1972 = ((bool_t)0); } }  else 
{ /* Jvm/compress.scm 73 */
BgL_test3601z00_1972 = ((bool_t)0); } } 
if(BgL_test3601z00_1972)
{ /* Jvm/compress.scm 73 */
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_arg3603z00_1973;obj_t BgL_arg3604z00_1974;
BgL_arg3603z00_1973 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
{ /* Jvm/compress.scm 89 */
obj_t BgL_l2985z00_1975;
{ /* Jvm/compress.scm 89 */
BgL_appz00_bglt BgL_obj1726z00_3069;
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_auxz00_5018;
BgL_auxz00_5018 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3069 = 
(BgL_appz00_bglt)(BgL_auxz00_5018); } 
BgL_l2985z00_1975 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3069))->BgL_argsz00); } 
if(
NULLP(BgL_l2985z00_1975))
{ /* Jvm/compress.scm 89 */
BgL_arg3604z00_1974 = BNIL; }  else 
{ /* Jvm/compress.scm 89 */
obj_t BgL_head2987z00_1977;
{ /* Jvm/compress.scm 89 */
obj_t BgL_auxz00_5024;
BgL_auxz00_5024 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2985z00_1975), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
BgL_head2987z00_1977 = 
MAKE_PAIR(BgL_auxz00_5024, BNIL); } 
{ 
obj_t BgL_l2985z00_1978;obj_t BgL_tail2988z00_1979;
BgL_l2985z00_1978 = 
CDR(BgL_l2985z00_1975); 
BgL_tail2988z00_1979 = BgL_head2987z00_1977; 
BgL_lname2986z00_1980:
if(
NULLP(BgL_l2985z00_1978))
{ /* Jvm/compress.scm 89 */
BgL_arg3604z00_1974 = BgL_head2987z00_1977; }  else 
{ /* Jvm/compress.scm 89 */
obj_t BgL_newtail2989z00_1983;
{ /* Jvm/compress.scm 89 */
obj_t BgL_auxz00_5031;
BgL_auxz00_5031 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2985z00_1978), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
BgL_newtail2989z00_1983 = 
MAKE_PAIR(BgL_auxz00_5031, BNIL); } 
SET_CDR(BgL_tail2988z00_1979, BgL_newtail2989z00_1983); 
{ 
obj_t BgL_tail2988z00_5039;obj_t BgL_l2985z00_5037;
BgL_l2985z00_5037 = 
CDR(BgL_l2985z00_1978); 
BgL_tail2988z00_5039 = BgL_newtail2989z00_1983; 
BgL_tail2988z00_1979 = BgL_tail2988z00_5039; 
BgL_l2985z00_1978 = BgL_l2985z00_5037; 
goto BgL_lname2986z00_1980;} } } } } 
{ /* Jvm/compress.scm 89 */
BgL_appz00_bglt BgL_obj1728z00_3088;
BgL_obj1728z00_3088 = 
(BgL_appz00_bglt)(BgL_arg3603z00_1973); 
((((BgL_appz00_bglt)CREF(BgL_obj1728z00_3088))->BgL_argsz00) = ((obj_t)BgL_arg3604z00_1974), BUNSPEC); } } 
{ /* Jvm/compress.scm 89 */
BgL_nodez00_bglt BgL_auxz00_5043;
BgL_auxz00_5043 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5043);} }  else 
{ /* Jvm/compress.scm 91 */
bool_t BgL_test3641z00_1992;
{ /* Jvm/compress.scm 91 */
bool_t BgL_test3793z00_2062;
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5046;
{ /* Jvm/compress.scm 91 */
BgL_nodez00_bglt BgL_auxz00_5047;
BgL_auxz00_5047 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_5046 = 
(obj_t)(BgL_auxz00_5047); } 
BgL_test3793z00_2062 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5046, BGl_appz00zzast_nodez00); } 
if(BgL_test3793z00_2062)
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5052;
{ /* Jvm/compress.scm 91 */
obj_t BgL_auxz00_5053;
{ /* Jvm/compress.scm 91 */
BgL_appz00_bglt BgL_obj1726z00_3094;
{ /* Jvm/compress.scm 91 */
BgL_nodez00_bglt BgL_auxz00_5054;
BgL_auxz00_5054 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1726z00_3094 = 
(BgL_appz00_bglt)(BgL_auxz00_5054); } 
BgL_auxz00_5053 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3094))->BgL_argsz00); } 
BgL_auxz00_5052 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc4919z00zzjvm_compressz00, BgL_auxz00_5053, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); } 
BgL_test3641z00_1992 = 
CBOOL(BgL_auxz00_5052); }  else 
{ /* Jvm/compress.scm 91 */
BgL_test3641z00_1992 = ((bool_t)0); } } 
if(BgL_test3641z00_1992)
{ /* Jvm/compress.scm 91 */
{ /* Jvm/compress.scm 92 */
obj_t BgL_exprz00_1993;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3658z00_2001;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3661z00_2002;obj_t BgL_arg3662z00_2003;
BgL_arg3661z00_2002 = 
CNST_TABLE_REF(((long)0)); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3665z00_2004;obj_t BgL_arg3666z00_2005;
{ /* Jvm/compress.scm 92 */
obj_t BgL_l2990z00_2006;
BgL_l2990z00_2006 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
if(
NULLP(BgL_l2990z00_2006))
{ /* Jvm/compress.scm 92 */
BgL_arg3665z00_2004 = BNIL; }  else 
{ /* Jvm/compress.scm 92 */
obj_t BgL_head2992z00_2008;
BgL_head2992z00_2008 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l2990z00_2009;obj_t BgL_tail2993z00_2010;
BgL_l2990z00_2009 = BgL_l2990z00_2006; 
BgL_tail2993z00_2010 = BgL_head2992z00_2008; 
BgL_lname2991z00_2011:
if(
NULLP(BgL_l2990z00_2009))
{ /* Jvm/compress.scm 92 */
BgL_arg3665z00_2004 = 
CDR(BgL_head2992z00_2008); }  else 
{ /* Jvm/compress.scm 92 */
obj_t BgL_newtail2994z00_2013;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3678z00_2015;
{ /* Jvm/compress.scm 92 */
obj_t BgL_bz00_2017;
BgL_bz00_2017 = 
CAR(BgL_l2990z00_2009); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3683z00_2018;
BgL_arg3683z00_2018 = 
CAR(BgL_bz00_2017); 
{ /* Jvm/compress.scm 92 */
obj_t BgL_list3686z00_2020;
{ /* Jvm/compress.scm 92 */
obj_t BgL_arg3688z00_2021;
{ /* Jvm/compress.scm 92 */
obj_t BgL_auxz00_5072;
BgL_auxz00_5072 = 
CDR(BgL_bz00_2017); 
BgL_arg3688z00_2021 = 
MAKE_PAIR(BgL_auxz00_5072, BNIL); } 
BgL_list3686z00_2020 = 
MAKE_PAIR(BgL_arg3683z00_2018, BgL_arg3688z00_2021); } 
BgL_arg3678z00_2015 = BgL_list3686z00_2020; } } } 
BgL_newtail2994z00_2013 = 
MAKE_PAIR(BgL_arg3678z00_2015, BNIL); } 
SET_CDR(BgL_tail2993z00_2010, BgL_newtail2994z00_2013); 
{ 
obj_t BgL_tail2993z00_5080;obj_t BgL_l2990z00_5078;
BgL_l2990z00_5078 = 
CDR(BgL_l2990z00_2009); 
BgL_tail2993z00_5080 = BgL_newtail2994z00_2013; 
BgL_tail2993z00_2010 = BgL_tail2993z00_5080; 
BgL_l2990z00_2009 = BgL_l2990z00_5078; 
goto BgL_lname2991z00_2011;} } } } } 
{ /* Jvm/compress.scm 92 */
obj_t BgL_auxz00_5081;
{ /* Jvm/compress.scm 92 */
BgL_nodez00_bglt BgL_auxz00_5082;
BgL_auxz00_5082 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_5081 = 
(obj_t)(BgL_auxz00_5082); } 
BgL_arg3666z00_2005 = 
MAKE_PAIR(BgL_auxz00_5081, BNIL); } 
BgL_arg3662z00_2003 = 
MAKE_PAIR(BgL_arg3665z00_2004, BgL_arg3666z00_2005); } 
BgL_arg3658z00_2001 = 
MAKE_PAIR(BgL_arg3661z00_2002, BgL_arg3662z00_2003); } 
BgL_exprz00_1993 = 
BGl_shapez00zztools_shapez00(BgL_arg3658z00_2001); } 
{ /* Jvm/compress.scm 95 */
bool_t BgL_test3642z00_1994;
{ /* Jvm/compress.scm 95 */
bool_t BgL_test3654z00_2000;
{ /* Jvm/compress.scm 95 */
bool_t BgL_res4328z00_3117;
{ /* Jvm/compress.scm 95 */
obj_t BgL_objz00_3113;
BgL_objz00_3113 = BGl_za2verboseza2z00zzengine_paramz00; 
if(
INTEGERP(BgL_objz00_3113))
{ /* Jvm/compress.scm 95 */
BgL_res4328z00_3117 = ((bool_t)1); }  else 
{ /* Jvm/compress.scm 95 */
BgL_res4328z00_3117 = 
REALP(BgL_objz00_3113); } } 
BgL_test3654z00_2000 = BgL_res4328z00_3117; } 
if(BgL_test3654z00_2000)
{ /* Jvm/compress.scm 95 */
BgL_test3642z00_1994 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BGl_za2verboseza2z00zzengine_paramz00, 
BINT(((long)2))); }  else 
{ /* Jvm/compress.scm 95 */
BgL_test3642z00_1994 = ((bool_t)0); } } 
if(BgL_test3642z00_1994)
{ /* Jvm/compress.scm 97 */
obj_t BgL_list3644z00_1995;
{ /* Jvm/compress.scm 97 */
obj_t BgL_arg3647z00_1997;
{ /* Jvm/compress.scm 97 */
obj_t BgL_arg3651z00_1999;
BgL_arg3651z00_1999 = 
MAKE_PAIR(BgL_exprz00_1993, BNIL); 
BgL_arg3647z00_1997 = 
MAKE_PAIR(BGl_string4923z00zzjvm_compressz00, BgL_arg3651z00_1999); } 
BgL_list3644z00_1995 = 
MAKE_PAIR(BGl_string4924z00zzjvm_compressz00, BgL_arg3647z00_1997); } 
BGl_warningz00zz__errorz00(BgL_list3644z00_1995); }  else 
{ /* Jvm/compress.scm 95 */BFALSE; } } 
return 
(obj_t)(BgL_ez00_1947);} }  else 
{ /* Jvm/compress.scm 101 */
bool_t BgL_test3703z00_2024;
{ /* Jvm/compress.scm 101 */
bool_t BgL_test3779z00_2057;
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5101;
{ /* Jvm/compress.scm 101 */
BgL_nodez00_bglt BgL_auxz00_5102;
BgL_auxz00_5102 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_5101 = 
(obj_t)(BgL_auxz00_5102); } 
BgL_test3779z00_2057 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5101, BGl_externz00zzast_nodez00); } 
if(BgL_test3779z00_2057)
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5107;
{ /* Jvm/compress.scm 101 */
obj_t BgL_auxz00_5108;
{ /* Jvm/compress.scm 101 */
BgL_externz00_bglt BgL_obj1826z00_3121;
{ /* Jvm/compress.scm 101 */
BgL_nodez00_bglt BgL_auxz00_5109;
BgL_auxz00_5109 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1826z00_3121 = 
(BgL_externz00_bglt)(BgL_auxz00_5109); } 
BgL_auxz00_5108 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_3121))->BgL_exprza2za2); } 
BgL_auxz00_5107 = 
BGl_simpleza2zf3z51zzjvm_compressz00(BGl_proc4919z00zzjvm_compressz00, BgL_auxz00_5108, 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); } 
BgL_test3703z00_2024 = 
CBOOL(BgL_auxz00_5107); }  else 
{ /* Jvm/compress.scm 101 */
BgL_test3703z00_2024 = ((bool_t)0); } } 
if(BgL_test3703z00_2024)
{ /* Jvm/compress.scm 101 */
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_arg3705z00_2025;obj_t BgL_arg3706z00_2026;
BgL_arg3705z00_2025 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
{ /* Jvm/compress.scm 103 */
obj_t BgL_l2995z00_2027;
{ /* Jvm/compress.scm 103 */
BgL_externz00_bglt BgL_obj1826z00_3125;
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_auxz00_5118;
BgL_auxz00_5118 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj1826z00_3125 = 
(BgL_externz00_bglt)(BgL_auxz00_5118); } 
BgL_l2995z00_2027 = 
(((BgL_externz00_bglt)CREF(BgL_obj1826z00_3125))->BgL_exprza2za2); } 
if(
NULLP(BgL_l2995z00_2027))
{ /* Jvm/compress.scm 103 */
BgL_arg3706z00_2026 = BNIL; }  else 
{ /* Jvm/compress.scm 103 */
obj_t BgL_head2997z00_2029;
{ /* Jvm/compress.scm 103 */
obj_t BgL_auxz00_5124;
BgL_auxz00_5124 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2995z00_2027), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
BgL_head2997z00_2029 = 
MAKE_PAIR(BgL_auxz00_5124, BNIL); } 
{ 
obj_t BgL_l2995z00_2030;obj_t BgL_tail2998z00_2031;
BgL_l2995z00_2030 = 
CDR(BgL_l2995z00_2027); 
BgL_tail2998z00_2031 = BgL_head2997z00_2029; 
BgL_lname2996z00_2032:
if(
NULLP(BgL_l2995z00_2030))
{ /* Jvm/compress.scm 103 */
BgL_arg3706z00_2026 = BgL_head2997z00_2029; }  else 
{ /* Jvm/compress.scm 103 */
obj_t BgL_newtail2999z00_2035;
{ /* Jvm/compress.scm 103 */
obj_t BgL_auxz00_5131;
BgL_auxz00_5131 = 
BGl_getz00zzjvm_compressz00(
CAR(BgL_l2995z00_2030), 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00)); 
BgL_newtail2999z00_2035 = 
MAKE_PAIR(BgL_auxz00_5131, BNIL); } 
SET_CDR(BgL_tail2998z00_2031, BgL_newtail2999z00_2035); 
{ 
obj_t BgL_tail2998z00_5139;obj_t BgL_l2995z00_5137;
BgL_l2995z00_5137 = 
CDR(BgL_l2995z00_2030); 
BgL_tail2998z00_5139 = BgL_newtail2999z00_2035; 
BgL_tail2998z00_2031 = BgL_tail2998z00_5139; 
BgL_l2995z00_2030 = BgL_l2995z00_5137; 
goto BgL_lname2996z00_2032;} } } } } 
{ /* Jvm/compress.scm 103 */
BgL_externz00_bglt BgL_obj1828z00_3144;
BgL_obj1828z00_3144 = 
(BgL_externz00_bglt)(BgL_arg3705z00_2025); 
((((BgL_externz00_bglt)CREF(BgL_obj1828z00_3144))->BgL_exprza2za2) = ((obj_t)BgL_arg3706z00_2026), BUNSPEC); } } 
{ /* Jvm/compress.scm 103 */
BgL_nodez00_bglt BgL_auxz00_5143;
BgL_auxz00_5143 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5143);} }  else 
{ /* Jvm/compress.scm 105 */
bool_t BgL_test3743z00_2044;
{ /* Jvm/compress.scm 105 */
bool_t BgL_test3754z00_2048;
{ /* Jvm/compress.scm 105 */
obj_t BgL_auxz00_5146;
{ /* Jvm/compress.scm 105 */
BgL_nodez00_bglt BgL_auxz00_5147;
BgL_auxz00_5147 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_auxz00_5146 = 
(obj_t)(BgL_auxz00_5147); } 
BgL_test3754z00_2048 = 
BGl_iszd2azf3z21zz__objectz00(BgL_auxz00_5146, BGl_conditionalz00zzast_nodez00); } 
if(BgL_test3754z00_2048)
{ /* Jvm/compress.scm 106 */
bool_t BgL_testz00_5152;
{ /* Jvm/compress.scm 106 */
obj_t BgL_auxz00_5153;
{ /* Jvm/compress.scm 106 */
obj_t BgL_auxz00_5154;
BgL_auxz00_5154 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_auxz00_5153 = 
CDR(BgL_auxz00_5154); } 
BgL_testz00_5152 = 
NULLP(BgL_auxz00_5153); } 
if(BgL_testz00_5152)
{ /* Jvm/compress.scm 107 */
obj_t BgL_arg3757z00_2050;BgL_nodez00_bglt BgL_arg3758z00_2051;
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5158;
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5159;
BgL_auxz00_5159 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_auxz00_5158 = 
CAR(BgL_auxz00_5159); } 
BgL_arg3757z00_2050 = 
CAR(BgL_auxz00_5158); } 
{ /* Jvm/compress.scm 107 */
BgL_conditionalz00_bglt BgL_obj2305z00_3158;
{ /* Jvm/compress.scm 107 */
BgL_nodez00_bglt BgL_auxz00_5163;
BgL_auxz00_5163 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj2305z00_3158 = 
(BgL_conditionalz00_bglt)(BgL_auxz00_5163); } 
BgL_arg3758z00_2051 = 
(((BgL_conditionalz00_bglt)CREF(BgL_obj2305z00_3158))->BgL_testz00); } 
{ /* Jvm/compress.scm 107 */
bool_t BgL__andtest_2965z00_3161;
BgL__andtest_2965z00_3161 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_arg3758z00_2051), BGl_varz00zzast_nodez00); 
if(BgL__andtest_2965z00_3161)
{ /* Jvm/compress.scm 107 */
obj_t BgL_auxz00_5170;
{ /* Jvm/compress.scm 107 */
BgL_variablez00_bglt BgL_auxz00_5171;
{ /* Jvm/compress.scm 107 */
BgL_varz00_bglt BgL_obj1620z00_3164;
BgL_obj1620z00_3164 = 
(BgL_varz00_bglt)(BgL_arg3758z00_2051); 
BgL_auxz00_5171 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3164))->BgL_variablez00); } 
BgL_auxz00_5170 = 
(obj_t)(BgL_auxz00_5171); } 
BgL_test3743z00_2044 = 
(BgL_auxz00_5170==BgL_arg3757z00_2050); }  else 
{ /* Jvm/compress.scm 107 */
BgL_test3743z00_2044 = ((bool_t)0); } } }  else 
{ /* Jvm/compress.scm 106 */
BgL_test3743z00_2044 = ((bool_t)0); } }  else 
{ /* Jvm/compress.scm 105 */
BgL_test3743z00_2044 = ((bool_t)0); } } 
if(BgL_test3743z00_2044)
{ /* Jvm/compress.scm 105 */
{ /* Jvm/compress.scm 109 */
BgL_conditionalz00_bglt BgL_obj2307z00_3171;BgL_nodez00_bglt BgL_val2306z00_3172;
{ /* Jvm/compress.scm 109 */
BgL_nodez00_bglt BgL_auxz00_5177;
BgL_auxz00_5177 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
BgL_obj2307z00_3171 = 
(BgL_conditionalz00_bglt)(BgL_auxz00_5177); } 
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5180;
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5181;
{ /* Jvm/compress.scm 109 */
obj_t BgL_auxz00_5182;
BgL_auxz00_5182 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bindingsz00); 
BgL_auxz00_5181 = 
CAR(BgL_auxz00_5182); } 
BgL_auxz00_5180 = 
CDR(BgL_auxz00_5181); } 
BgL_val2306z00_3172 = 
(BgL_nodez00_bglt)(BgL_auxz00_5180); } 
((((BgL_conditionalz00_bglt)CREF(BgL_obj2307z00_3171))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2306z00_3172), BUNSPEC); } 
{ /* Jvm/compress.scm 109 */
BgL_nodez00_bglt BgL_auxz00_5188;
BgL_auxz00_5188 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_ez00_1947))->BgL_bodyz00); 
return 
(obj_t)(BgL_auxz00_5188);} }  else 
{ /* Jvm/compress.scm 105 */
return 
(obj_t)(BgL_ez00_1947);} } } } } } } } } } 
}



/* filter */
obj_t BGl_filterz00zzjvm_compressz00(obj_t BgL_predz00_2126, obj_t BgL_lstz00_2127)
{ AN_OBJECT;
{ /* Jvm/compress.scm 59 */
BGl_filterz00zzjvm_compressz00:
if(
NULLP(BgL_lstz00_2127))
{ /* Jvm/compress.scm 54 */
return BgL_lstz00_2127;}  else 
{ /* Jvm/compress.scm 56 */
bool_t BgL_test3922z00_2130;
{ /* Jvm/compress.scm 56 */
obj_t BgL_auxz00_5195;
BgL_auxz00_5195 = 
PROCEDURE_ENTRY(BgL_predz00_2126)(BgL_predz00_2126, 
CAR(BgL_lstz00_2127), BEOA); 
BgL_test3922z00_2130 = 
CBOOL(BgL_auxz00_5195); } 
if(BgL_test3922z00_2130)
{ /* Jvm/compress.scm 56 */
{ /* Jvm/compress.scm 57 */
obj_t BgL_arg3924z00_2131;obj_t BgL_arg3925z00_2132;
BgL_arg3924z00_2131 = 
CAR(BgL_lstz00_2127); 
BgL_arg3925z00_2132 = 
BGl_filterz00zzjvm_compressz00(BgL_predz00_2126, 
CDR(BgL_lstz00_2127)); 
return 
MAKE_PAIR(BgL_arg3924z00_2131, BgL_arg3925z00_2132);} }  else 
{ /* Jvm/compress.scm 56 */
{ 
obj_t BgL_lstz00_5205;
BgL_lstz00_5205 = 
CDR(BgL_lstz00_2127); 
BgL_lstz00_2127 = BgL_lstz00_5205; 
goto BGl_filterz00zzjvm_compressz00;} } } } 
}



/* simple*? */
obj_t BGl_simpleza2zf3z51zzjvm_compressz00(obj_t BgL_simplezf3zf3_3976, obj_t BgL_exprza2za2_2136, obj_t BgL_bindingsz00_2137)
{ AN_OBJECT;
{ /* Jvm/compress.scm 51 */
{ /* Jvm/compress.scm 49 */
obj_t BgL__andtest_2976z00_2139;
BgL__andtest_2976z00_2139 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_simplezf3zf3_3976, BgL_exprza2za2_2136); 
if(
CBOOL(BgL__andtest_2976z00_2139))
{ /* Jvm/compress.scm 50 */
obj_t BgL_zc3anonymousza33945ze3z83_3915;
{ 
int BgL_auxz00_5212;int BgL_auxz00_5210;
BgL_auxz00_5212 = 
(int)(((long)1)); 
BgL_auxz00_5210 = 
(int)(((long)1)); 
BgL_zc3anonymousza33945ze3z83_3915 = 
make_fx_procedure(BGl_zc3anonymousza33945ze3z83zzjvm_compressz00, BgL_auxz00_5210, BgL_auxz00_5212); } 
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5215;
BgL_auxz00_5215 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33945ze3z83_3915, BgL_auxz00_5215, BgL_exprza2za2_2136); } 
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33945ze3z83_3915, BgL_bindingsz00_2137);}  else 
{ /* Jvm/compress.scm 49 */
return BFALSE;} } } 
}



/* get */
obj_t BGl_getz00zzjvm_compressz00(obj_t BgL_xz00_2175, obj_t BgL_lz00_2176)
{ AN_OBJECT;
{ /* Jvm/compress.scm 34 */
{ /* Jvm/compress.scm 30 */
bool_t BgL_test3996z00_2178;
BgL_test3996z00_2178 = 
BGl_iszd2azf3z21zz__objectz00(BgL_xz00_2175, BGl_varz00zzast_nodez00); 
if(BgL_test3996z00_2178)
{ /* Jvm/compress.scm 32 */
obj_t BgL_slotz00_2180;
{ /* Jvm/compress.scm 32 */
obj_t BgL_auxz00_5221;
{ /* Jvm/compress.scm 32 */
BgL_variablez00_bglt BgL_auxz00_5222;
{ /* Jvm/compress.scm 31 */
BgL_varz00_bglt BgL_obj1620z00_3208;
BgL_obj1620z00_3208 = 
(BgL_varz00_bglt)(BgL_xz00_2175); 
BgL_auxz00_5222 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3208))->BgL_variablez00); } 
BgL_auxz00_5221 = 
(obj_t)(BgL_auxz00_5222); } 
BgL_slotz00_2180 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_auxz00_5221, BgL_lz00_2176); } 
if(
CBOOL(BgL_slotz00_2180))
{ /* Jvm/compress.scm 33 */
return 
CDR(BgL_slotz00_2180);}  else 
{ /* Jvm/compress.scm 33 */
return BgL_xz00_2175;} }  else 
{ /* Jvm/compress.scm 30 */
return BgL_xz00_2175;} } } 
}



/* <anonymous:3813> */
obj_t BGl_zc3anonymousza33813ze3z83zzjvm_compressz00(obj_t BgL_envz00_3953, obj_t BgL_bz00_3955)
{ AN_OBJECT;
{ /* Jvm/compress.scm 85 */
{ /* Jvm/compress.scm 86 */
obj_t BgL_argsz00_3954;
{ /* Jvm/compress.scm 86 */
int BgL_auxz00_5230;
BgL_auxz00_5230 = 
(int)(((long)0)); 
BgL_argsz00_3954 = 
PROCEDURE_REF(BgL_envz00_3953, BgL_auxz00_5230); } 
{ 
obj_t BgL_bz00_2075;
{ /* Jvm/compress.scm 86 */
bool_t BgL_auxz00_5233;
BgL_bz00_2075 = BgL_bz00_3955; 
{ /* Jvm/compress.scm 86 */
bool_t BgL_test3814z00_2077;
{ /* Jvm/compress.scm 86 */
obj_t BgL_auxz00_5234;
{ /* Jvm/compress.scm 86 */
BgL_nodez00_bglt BgL_auxz00_5235;
{ /* Jvm/compress.scm 86 */
obj_t BgL_auxz00_5236;
BgL_auxz00_5236 = 
CDR(BgL_bz00_2075); 
BgL_auxz00_5235 = 
(BgL_nodez00_bglt)(BgL_auxz00_5236); } 
BgL_auxz00_5234 = 
BGl_vmemqzf3zf3zzjvm_vmemqz00(BgL_argsz00_3954, BgL_auxz00_5235); } 
BgL_test3814z00_2077 = 
CBOOL(BgL_auxz00_5234); } 
if(BgL_test3814z00_2077)
{ /* Jvm/compress.scm 86 */
BgL_auxz00_5233 = ((bool_t)0)
; }  else 
{ /* Jvm/compress.scm 86 */
BgL_auxz00_5233 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_5233);} } } } 
}



/* <anonymous:3832> */
obj_t BGl_zc3anonymousza33832ze3z83zzjvm_compressz00(obj_t BgL_envz00_3956, obj_t BgL_az00_3957)
{ AN_OBJECT;
{ /* Jvm/compress.scm 79 */
{ 
obj_t BgL_az00_2084;
{ /* Jvm/compress.scm 80 */
bool_t BgL_auxz00_5243;
BgL_az00_2084 = BgL_az00_3957; 
{ /* Jvm/compress.scm 80 */
bool_t BgL__ortest_2984z00_2086;
{ /* Jvm/compress.scm 80 */
bool_t BgL_test3842z00_2090;
BgL_test3842z00_2090 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_2084, BGl_varz00zzast_nodez00); 
if(BgL_test3842z00_2090)
{ /* Jvm/compress.scm 80 */
BgL__ortest_2984z00_2086 = ((bool_t)0); }  else 
{ /* Jvm/compress.scm 80 */
BgL__ortest_2984z00_2086 = ((bool_t)1); } } 
if(BgL__ortest_2984z00_2086)
{ /* Jvm/compress.scm 80 */
BgL_auxz00_5243 = BgL__ortest_2984z00_2086
; }  else 
{ /* Jvm/compress.scm 81 */
obj_t BgL_auxz00_5251;obj_t BgL_auxz00_5247;
BgL_auxz00_5251 = 
CNST_TABLE_REF(((long)1)); 
{ /* Jvm/compress.scm 81 */
BgL_variablez00_bglt BgL_arg3839z00_2089;
{ /* Jvm/compress.scm 81 */
BgL_varz00_bglt BgL_obj1620z00_3061;
BgL_obj1620z00_3061 = 
(BgL_varz00_bglt)(BgL_az00_2084); 
BgL_arg3839z00_2089 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3061))->BgL_variablez00); } 
BgL_auxz00_5247 = 
(((BgL_variablez00_bglt)CREF(BgL_arg3839z00_2089))->BgL_accessz00); } 
BgL_auxz00_5243 = 
(BgL_auxz00_5247==BgL_auxz00_5251); } } 
return 
BBOOL(BgL_auxz00_5243);} } } 
}



/* <anonymous:3852> */
obj_t BGl_zc3anonymousza33852ze3z83zzjvm_compressz00(obj_t BgL_envz00_3958, obj_t BgL_bz00_3959)
{ AN_OBJECT;
{ /* Jvm/compress.scm 76 */
{ 
obj_t BgL_bz00_2095;
{ /* Jvm/compress.scm 77 */
bool_t BgL_auxz00_5255;
BgL_bz00_2095 = BgL_bz00_3959; 
{ /* Jvm/compress.scm 77 */
bool_t BgL_test3853z00_2097;
{ /* Jvm/compress.scm 77 */
BgL_nodez00_bglt BgL_auxz00_5256;
{ /* Jvm/compress.scm 77 */
obj_t BgL_auxz00_5257;
BgL_auxz00_5257 = 
CDR(BgL_bz00_2095); 
BgL_auxz00_5256 = 
(BgL_nodez00_bglt)(BgL_auxz00_5257); } 
BgL_test3853z00_2097 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_auxz00_5256); } 
if(BgL_test3853z00_2097)
{ /* Jvm/compress.scm 77 */
BgL_auxz00_5255 = ((bool_t)0)
; }  else 
{ /* Jvm/compress.scm 77 */
BgL_auxz00_5255 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_auxz00_5255);} } } 
}



/* <anonymous:3901> */
obj_t BGl_zc3anonymousza33901ze3z83zzjvm_compressz00(obj_t BgL_envz00_3960, obj_t BgL_bz00_3961)
{ AN_OBJECT;
{ /* Jvm/compress.scm 68 */
{ 
obj_t BgL_bz00_2115;
{ /* Jvm/compress.scm 68 */
bool_t BgL_auxz00_5263;
BgL_bz00_2115 = BgL_bz00_3961; 
{ /* Jvm/compress.scm 68 */
long BgL_auxz00_5264;
{ /* Jvm/compress.scm 68 */
BgL_localz00_bglt BgL_obj1268z00_3025;
{ /* Jvm/compress.scm 68 */
obj_t BgL_auxz00_5265;
BgL_auxz00_5265 = 
CAR(BgL_bz00_2115); 
BgL_obj1268z00_3025 = 
(BgL_localz00_bglt)(BgL_auxz00_5265); } 
BgL_auxz00_5264 = 
(((BgL_localz00_bglt)CREF(BgL_obj1268z00_3025))->BgL_occurrencez00); } 
BgL_auxz00_5263 = 
(BgL_auxz00_5264>((long)1)); } 
return 
BBOOL(BgL_auxz00_5263);} } } 
}



/* <anonymous:3945> */
obj_t BGl_zc3anonymousza33945ze3z83zzjvm_compressz00(obj_t BgL_envz00_3962, obj_t BgL_sz00_3964)
{ AN_OBJECT;
{ /* Jvm/compress.scm 50 */
{ /* Jvm/compress.scm 50 */
obj_t BgL_exprza2za2_3963;
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5271;
BgL_auxz00_5271 = 
(int)(((long)0)); 
BgL_exprza2za2_3963 = 
PROCEDURE_REF(BgL_envz00_3962, BgL_auxz00_5271); } 
{ 
obj_t BgL_sz00_2141;
BgL_sz00_2141 = BgL_sz00_3964; 
{ /* Jvm/compress.scm 50 */
obj_t BgL_zc3anonymousza33949ze3z83_3914;
{ 
int BgL_auxz00_5276;int BgL_auxz00_5274;
BgL_auxz00_5276 = 
(int)(((long)1)); 
BgL_auxz00_5274 = 
(int)(((long)1)); 
BgL_zc3anonymousza33949ze3z83_3914 = 
make_fx_procedure(BGl_zc3anonymousza33949ze3z83zzjvm_compressz00, BgL_auxz00_5274, BgL_auxz00_5276); } 
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5279;
BgL_auxz00_5279 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza33949ze3z83_3914, BgL_auxz00_5279, BgL_sz00_2141); } 
return 
BGl_anyzf3zf3zzjvm_envz00(BgL_zc3anonymousza33949ze3z83_3914, BgL_exprza2za2_3963);} } } } 
}



/* <anonymous:3949> */
obj_t BGl_zc3anonymousza33949ze3z83zzjvm_compressz00(obj_t BgL_envz00_3965, obj_t BgL_az00_3967)
{ AN_OBJECT;
{ /* Jvm/compress.scm 50 */
{ /* Jvm/compress.scm 50 */
obj_t BgL_sz00_3966;
{ /* Jvm/compress.scm 50 */
int BgL_auxz00_5283;
BgL_auxz00_5283 = 
(int)(((long)0)); 
BgL_sz00_3966 = 
PROCEDURE_REF(BgL_envz00_3965, BgL_auxz00_5283); } 
{ 
obj_t BgL_az00_2144;
{ /* Jvm/compress.scm 50 */
bool_t BgL_auxz00_5286;
BgL_az00_2144 = BgL_az00_3967; 
{ /* Jvm/compress.scm 50 */
obj_t BgL_arg3951z00_3181;
BgL_arg3951z00_3181 = 
CAR(BgL_sz00_3966); 
{ /* Jvm/compress.scm 50 */
bool_t BgL__andtest_2965z00_3185;
BgL__andtest_2965z00_3185 = 
BGl_iszd2azf3z21zz__objectz00(BgL_az00_2144, BGl_varz00zzast_nodez00); 
if(BgL__andtest_2965z00_3185)
{ /* Jvm/compress.scm 50 */
obj_t BgL_auxz00_5290;
{ /* Jvm/compress.scm 50 */
BgL_variablez00_bglt BgL_auxz00_5291;
{ /* Jvm/compress.scm 50 */
BgL_varz00_bglt BgL_obj1620z00_3188;
BgL_obj1620z00_3188 = 
(BgL_varz00_bglt)(BgL_az00_2144); 
BgL_auxz00_5291 = 
(((BgL_varz00_bglt)CREF(BgL_obj1620z00_3188))->BgL_variablez00); } 
BgL_auxz00_5290 = 
(obj_t)(BgL_auxz00_5291); } 
BgL_auxz00_5286 = 
(BgL_auxz00_5290==BgL_arg3951z00_3181); }  else 
{ /* Jvm/compress.scm 50 */
BgL_auxz00_5286 = ((bool_t)0)
; } } } 
return 
BBOOL(BgL_auxz00_5286);} } } } 
}



/* simple? */
obj_t BGl_simplezf3zf3zzjvm_compressz00(obj_t BgL_envz00_3968, obj_t BgL_ez00_3969)
{ AN_OBJECT;
{ /* Jvm/compress.scm 47 */
{ 
obj_t BgL_ez00_2149;
BgL_ez00_2149 = BgL_ez00_3969; 
{ 
BgL_varz00_bglt BgL_funz00_2163;
{ /* Jvm/compress.scm 43 */
bool_t BgL__ortest_2968z00_2151;
BgL__ortest_2968z00_2151 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2149, BGl_atomz00zzast_nodez00); 
if(BgL__ortest_2968z00_2151)
{ /* Jvm/compress.scm 43 */
return 
BBOOL(BgL__ortest_2968z00_2151);}  else 
{ /* Jvm/compress.scm 44 */
bool_t BgL__ortest_2969z00_2152;
BgL__ortest_2969z00_2152 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2149, BGl_varz00zzast_nodez00); 
if(BgL__ortest_2969z00_2152)
{ /* Jvm/compress.scm 44 */
return 
BBOOL(BgL__ortest_2969z00_2152);}  else 
{ /* Jvm/compress.scm 45 */
obj_t BgL__ortest_2970z00_2153;
{ /* Jvm/compress.scm 45 */
bool_t BgL__andtest_2972z00_2159;
BgL__andtest_2972z00_2159 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2149, BGl_appz00zzast_nodez00); 
if(BgL__andtest_2972z00_2159)
{ /* Jvm/compress.scm 45 */
obj_t BgL__andtest_2973z00_2160;
{ /* Jvm/compress.scm 45 */
obj_t BgL_auxz00_5305;
{ /* Jvm/compress.scm 45 */
BgL_appz00_bglt BgL_obj1726z00_3192;
BgL_obj1726z00_3192 = 
(BgL_appz00_bglt)(BgL_ez00_2149); 
BgL_auxz00_5305 = 
(((BgL_appz00_bglt)CREF(BgL_obj1726z00_3192))->BgL_argsz00); } 
BgL__andtest_2973z00_2160 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3968, BgL_auxz00_5305); } 
if(
CBOOL(BgL__andtest_2973z00_2160))
{ /* Jvm/compress.scm 45 */
{ /* Jvm/compress.scm 45 */
BgL_appz00_bglt BgL_obj1723z00_3193;
BgL_obj1723z00_3193 = 
(BgL_appz00_bglt)(BgL_ez00_2149); 
BgL_funz00_2163 = 
(((BgL_appz00_bglt)CREF(BgL_obj1723z00_3193))->BgL_funz00); } 
{ /* Jvm/compress.scm 38 */
BgL_variablez00_bglt BgL_vz00_2165;
BgL_vz00_2165 = 
(((BgL_varz00_bglt)CREF(BgL_funz00_2163))->BgL_variablez00); 
{ /* Jvm/compress.scm 39 */
bool_t BgL__andtest_2966z00_2166;
BgL__andtest_2966z00_2166 = 
BGl_iszd2azf3z21zz__objectz00(
(obj_t)(BgL_vz00_2165), BGl_globalz00zzast_varz00); 
if(BgL__andtest_2966z00_2166)
{ /* Jvm/compress.scm 40 */
bool_t BgL_testz00_5315;
{ /* Jvm/compress.scm 40 */
obj_t BgL_auxz00_5316;
{ /* Jvm/compress.scm 40 */
BgL_globalz00_bglt BgL_obj1150z00_3200;
BgL_obj1150z00_3200 = 
(BgL_globalz00_bglt)(BgL_vz00_2165); 
BgL_auxz00_5316 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1150z00_3200))->BgL_namez00); } 
BgL_testz00_5315 = 
STRINGP(BgL_auxz00_5316); } 
if(BgL_testz00_5315)
{ /* Jvm/compress.scm 41 */
obj_t BgL_auxz00_5320;
{ /* Jvm/compress.scm 41 */
BgL_globalz00_bglt BgL_obj1150z00_3202;
BgL_obj1150z00_3202 = 
(BgL_globalz00_bglt)(BgL_vz00_2165); 
BgL_auxz00_5320 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1150z00_3202))->BgL_namez00); } 
BgL__ortest_2970z00_2153 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2safezd2functionsza2zd2zzjvm_compressz00, BgL_auxz00_5320); }  else 
{ /* Jvm/compress.scm 40 */
BgL__ortest_2970z00_2153 = BFALSE; } }  else 
{ /* Jvm/compress.scm 39 */
BgL__ortest_2970z00_2153 = BFALSE; } } } }  else 
{ /* Jvm/compress.scm 45 */
BgL__ortest_2970z00_2153 = BFALSE; } }  else 
{ /* Jvm/compress.scm 45 */
BgL__ortest_2970z00_2153 = BFALSE; } } 
if(
CBOOL(BgL__ortest_2970z00_2153))
{ /* Jvm/compress.scm 45 */
return BgL__ortest_2970z00_2153;}  else 
{ /* Jvm/compress.scm 46 */
obj_t BgL__ortest_2971z00_2154;
{ /* Jvm/compress.scm 46 */
bool_t BgL__andtest_2974z00_2157;
BgL__andtest_2974z00_2157 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2149, BGl_vrefz00zzast_nodez00); 
if(BgL__andtest_2974z00_2157)
{ /* Jvm/compress.scm 46 */
obj_t BgL_auxz00_5330;
{ /* Jvm/compress.scm 46 */
BgL_vrefz00_bglt BgL_obj2071z00_3195;
BgL_obj2071z00_3195 = 
(BgL_vrefz00_bglt)(BgL_ez00_2149); 
BgL_auxz00_5330 = 
(((BgL_vrefz00_bglt)CREF(BgL_obj2071z00_3195))->BgL_exprza2za2); } 
BgL__ortest_2971z00_2154 = 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3968, BgL_auxz00_5330); }  else 
{ /* Jvm/compress.scm 46 */
BgL__ortest_2971z00_2154 = BFALSE; } } 
if(
CBOOL(BgL__ortest_2971z00_2154))
{ /* Jvm/compress.scm 46 */
return BgL__ortest_2971z00_2154;}  else 
{ /* Jvm/compress.scm 47 */
bool_t BgL__andtest_2975z00_2155;
BgL__andtest_2975z00_2155 = 
BGl_iszd2azf3z21zz__objectz00(BgL_ez00_2149, BGl_getfieldz00zzast_nodez00); 
if(BgL__andtest_2975z00_2155)
{ /* Jvm/compress.scm 47 */
obj_t BgL_auxz00_5338;
{ /* Jvm/compress.scm 47 */
BgL_getfieldz00_bglt BgL_obj1899z00_3197;
BgL_obj1899z00_3197 = 
(BgL_getfieldz00_bglt)(BgL_ez00_2149); 
BgL_auxz00_5338 = 
(((BgL_getfieldz00_bglt)CREF(BgL_obj1899z00_3197))->BgL_exprza2za2); } 
return 
BGl_everyzf3zf3zzjvm_envz00(BgL_envz00_3968, BgL_auxz00_5338);}  else 
{ /* Jvm/compress.scm 47 */
return BFALSE;} } } } } } } } } 
}



/* compile-compress-var3043 */
obj_t BGl_compilezd2compresszd2var3043z00zzjvm_compressz00(obj_t BgL_envz00_3970, obj_t BgL_ez00_3971)
{ AN_OBJECT;
{ /* Jvm/compress.scm 21 */
{ 
BgL_varz00_bglt BgL_ez00_1942;
{ /* Jvm/compress.scm 22 */
BgL_varz00_bglt BgL_auxz00_5342;
BgL_ez00_1942 = 
(BgL_varz00_bglt)(BgL_ez00_3971); 
BgL_auxz00_5342 = BgL_ez00_1942; 
return 
(obj_t)(BgL_auxz00_5342);} } } 
}



/* compile-compress-atom3041 */
obj_t BGl_compilezd2compresszd2atom3041z00zzjvm_compressz00(obj_t BgL_envz00_3972, obj_t BgL_ez00_3973)
{ AN_OBJECT;
{ /* Jvm/compress.scm 18 */
{ 
BgL_atomz00_bglt BgL_ez00_1937;
{ /* Jvm/compress.scm 19 */
BgL_atomz00_bglt BgL_auxz00_5345;
BgL_ez00_1937 = 
(BgL_atomz00_bglt)(BgL_ez00_3973); 
BgL_auxz00_5345 = BgL_ez00_1937; 
return 
(obj_t)(BgL_auxz00_5345);} } } 
}



/* compile-compress */
BgL_nodez00_bglt BGl_compilezd2compresszd2zzjvm_compressz00(BgL_nodez00_bglt BgL_ez00_1)
{ AN_OBJECT;
{ /* Jvm/compress.scm 11 */
{ /* Jvm/compress.scm 11 */
obj_t BgL_method3039z00_3861;
{ /* Jvm/compress.scm 11 */
long BgL_objzd2classzd2numz00_3863;
{ /* Jvm/compress.scm 11 */
BgL_objectz00_bglt BgL_auxz00_5348;
BgL_auxz00_5348 = 
(BgL_objectz00_bglt)(BgL_ez00_1); 
BgL_objzd2classzd2numz00_3863 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_5348); } 
{ /* Jvm/compress.scm 11 */
obj_t BgL_arg1904z00_3864;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5351;
BgL_auxz00_5351 = 
(int)(((long)1)); 
BgL_arg1904z00_3864 = 
PROCEDURE_REF(BGl_compilezd2compresszd2envz00zzjvm_compressz00, BgL_auxz00_5351); } 
{ /* Jvm/compress.scm 11 */
long BgL_offsetz00_3868;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5354;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5355;
BgL_auxz00_5355 = 
(int)(BgL_objzd2classzd2numz00_3863); 
BgL_auxz00_5354 = 
(long)(BgL_auxz00_5355); } 
BgL_offsetz00_3868 = 
(BgL_auxz00_5354-OBJECT_TYPE); } 
{ /* Jvm/compress.scm 11 */
long BgL_modz00_3869;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5359;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5360;
BgL_auxz00_5360 = 
(int)(((long)8)); 
BgL_auxz00_5359 = 
(long)(BgL_auxz00_5360); } 
BgL_modz00_3869 = 
(BgL_offsetz00_3868/BgL_auxz00_5359); } 
{ /* Jvm/compress.scm 11 */
long BgL_restz00_3871;
{ /* Jvm/compress.scm 11 */
long BgL_auxz00_5364;
{ /* Jvm/compress.scm 11 */
int BgL_auxz00_5365;
BgL_auxz00_5365 = 
(int)(((long)8)); 
BgL_auxz00_5364 = 
(long)(BgL_auxz00_5365); } 
BgL_restz00_3871 = 
(BgL_offsetz00_3868%BgL_auxz00_5364); } 
{ /* Jvm/compress.scm 11 */

{ /* Jvm/compress.scm 11 */
obj_t BgL_bucketz00_3873;
{ /* Jvm/compress.scm 11 */
int BgL_kz00_3883;
BgL_kz00_3883 = 
(int)(BgL_modz00_3869); 
BgL_bucketz00_3873 = 
VECTOR_REF(BgL_arg1904z00_3864,BgL_kz00_3883); } 
{ /* Jvm/compress.scm 11 */
int BgL_kz00_3885;
BgL_kz00_3885 = 
(int)(BgL_restz00_3871); 
BgL_method3039z00_3861 = 
VECTOR_REF(BgL_bucketz00_3873,BgL_kz00_3885); } } } } } } } } 
{ /* Jvm/compress.scm 11 */
obj_t BgL_auxz00_5373;
BgL_auxz00_5373 = 
PROCEDURE_ENTRY(BgL_method3039z00_3861)(BgL_method3039z00_3861, 
(obj_t)(BgL_ez00_1), BEOA); 
return 
(BgL_nodez00_bglt)(BgL_auxz00_5373);} } } 
}



/* _compile-compress4394 */
obj_t BGl__compilezd2compress4394zd2zzjvm_compressz00(obj_t BgL_envz00_3889, obj_t BgL_ez00_3890)
{ AN_OBJECT;
{ /* Jvm/compress.scm 11 */
{ /* Jvm/compress.scm 11 */
BgL_nodez00_bglt BgL_auxz00_5378;
BgL_auxz00_5378 = 
BGl_compilezd2compresszd2zzjvm_compressz00(
(BgL_nodez00_bglt)(BgL_ez00_3890)); 
return 
(obj_t)(BgL_auxz00_5378);} } 
}



/* compile-compress-default3038 */
BgL_nodez00_bglt BGl_compilezd2compresszd2default3038z00zzjvm_compressz00(BgL_nodez00_bglt BgL_ez00_2)
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ 
obj_t BgL_auxz00_5384;obj_t BgL_auxz00_5382;
BgL_auxz00_5384 = 
(obj_t)(BgL_ez00_2); 
BgL_auxz00_5382 = 
CNST_TABLE_REF(((long)2)); 
FAILURE(BgL_auxz00_5382,BGl_string4925z00zzjvm_compressz00,BgL_auxz00_5384);} } 
}



/* _compile-compress-default3038 */
obj_t BGl__compilezd2compresszd2default3038z00zzjvm_compressz00(obj_t BgL_envz00_3974, obj_t BgL_ez00_3975)
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
{ /* Jvm/compress.scm 1 */
BgL_nodez00_bglt BgL_auxz00_5387;
BgL_auxz00_5387 = 
BGl_compilezd2compresszd2default3038z00zzjvm_compressz00(
(BgL_nodez00_bglt)(BgL_ez00_3975)); 
return 
(obj_t)(BgL_auxz00_5387);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjvm_compressz00()
{ AN_OBJECT;
{ /* Jvm/compress.scm 1 */
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)19348), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzjvm_envz00(((long)47084), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzjvm_vmemqz00(((long)54022), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "jvm_compress"); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)189840), "jvm_compress"); 
return 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "jvm_compress");} 
}

