/*===========================================================================*/
/*   (Reduce/1occ.scm)                                                       */
/*   Bigloo (2.5b)                                                           */
/*   Manuel Serrano (c)       Fri Sep 6 09:43:28 CEST 2002                   */
/*===========================================================================*/

/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_nodez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_nodez00_bglt;

typedef struct BgL_nodezf2effectzf2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
} *BgL_nodezf2effectzf2_bglt;

typedef struct BgL_atomz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_atomz00_bglt;

typedef struct BgL_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_varz00_bglt;

typedef struct BgL_closurez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_variablez00_bgl * BgL_variablez00;
} *BgL_closurez00_bglt;

typedef struct BgL_kwotez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_valuez00;
} *BgL_kwotez00_bglt;

typedef struct BgL_sequencez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_nodesz00;
} *BgL_sequencez00_bglt;

typedef struct BgL_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
} *BgL_appz00_bglt;

typedef struct BgL_appzd2lyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_appzd2lyzd2_bglt;

typedef struct BgL_funcallz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_strengthz00;
} *BgL_funcallz00_bglt;

typedef struct BgL_externz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_externz00_bglt;

typedef struct BgL_pragmaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_formatz00;
} *BgL_pragmaz00_bglt;

typedef struct BgL_getfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_getfieldz00_bglt;

typedef struct BgL_setfieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_fnamez00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_setfieldz00_bglt;

typedef struct BgL_newz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
} *BgL_newz00_bglt;

typedef struct BgL_vallocz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2heapzd2formatz00;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
} *BgL_vallocz00_bglt;

typedef struct BgL_vrefz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vrefz00_bglt;

typedef struct BgL_vsetz12z12_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_ftypez00;
   struct BgL_typez00_bgl * BgL_otypez00;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vsetz12z12_bglt;

typedef struct BgL_vlengthz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   obj_t BgL_czd2formatzd2;
   struct BgL_typez00_bgl * BgL_vtypez00;
} *BgL_vlengthz00_bglt;

typedef struct BgL_isaz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_exprza2za2;
   struct BgL_typez00_bgl * BgL_classz00;
} *BgL_isaz00_bglt;

typedef struct BgL_castz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_argz00;
} *BgL_castz00_bglt;

typedef struct BgL_setqz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_setqz00_bglt;

typedef struct BgL_conditionalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   struct BgL_nodez00_bgl * BgL_truez00;
   struct BgL_nodez00_bgl * BgL_falsez00;
} *BgL_conditionalz00_bglt;

typedef struct BgL_failz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_procz00;
   struct BgL_nodez00_bgl * BgL_msgz00;
   struct BgL_nodez00_bgl * BgL_objz00;
} *BgL_failz00_bglt;

typedef struct BgL_selectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_testz00;
   obj_t BgL_clausesz00;
   struct BgL_typez00_bgl * BgL_itemzd2typezd2;
} *BgL_selectz00_bglt;

typedef struct BgL_letzd2funzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_localsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_letzd2funzd2_bglt;

typedef struct BgL_letzd2varzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   obj_t BgL_bindingsz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
   bool_t BgL_removablezf3zf3;
} *BgL_letzd2varzd2_bglt;

typedef struct BgL_setzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_bodyz00;
} *BgL_setzd2exzd2itz00_bglt;

typedef struct BgL_jumpzd2exzd2itz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_nodez00_bgl * BgL_exitz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_jumpzd2exzd2itz00_bglt;

typedef struct BgL_makezd2boxzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_makezd2boxzd2_bglt;

typedef struct BgL_boxzd2refzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_keyz00;
   struct BgL_varz00_bgl * BgL_varz00;
} *BgL_boxzd2refzd2_bglt;

typedef struct BgL_boxzd2setz12zc0_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_varz00_bgl * BgL_varz00;
   struct BgL_nodez00_bgl * BgL_valuez00;
} *BgL_boxzd2setz12zc0_bglt;


static obj_t BGl_methodzd2initzd2zzreduce_1occz00();
extern obj_t open_input_string(obj_t);
static obj_t BGl_nodezd21occz12zd2kwote2750z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl__nodezd21occz123797zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_letzd2funzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2atom2748z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl_nodezd21occz12zd2conditional2768z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl__reducezd21occz12zc0zzreduce_1occz00(obj_t, obj_t);
extern obj_t BGl_addzd2genericz12zc0zz__objectz00(obj_t, obj_t);
extern obj_t BGl_letzd2varzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2appzd2ly2758zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_kwotez00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2boxzd2setz122784zd2zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t);
static obj_t BGl_nodezd21occz12zd2setq2766z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_castz00zzast_nodez00;
extern obj_t BGl_boxzd2refzd2zzast_nodez00;
extern obj_t BGl_varz00zzast_nodez00;
static obj_t BGl_cnstzd2initzd2zzreduce_1occz00();
extern obj_t BGl_atomz00zzast_nodez00;
extern obj_t BGl_failz00zzast_nodez00;
extern obj_t BGl_funcallz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2sequence2756z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2select2772z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_occurzd2varzd2zzast_occurz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00();
extern obj_t BGl_makezd2boxzd2zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2letzd2fun2774zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_addzd2methodz12zc0zz__objectz00(obj_t, obj_t, obj_t);
extern obj_t BGl_selectz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2app2788z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzreduce_1occz00();
extern obj_t BGl_appzd2lyzd2zzast_nodez00;
extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
extern obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_coercez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzeffect_effectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_occurz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
static obj_t BGl_nodezd21occz12zd2letzd2var2776zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern bool_t BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_nodez00_bglt);
extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2funcall2760z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2jumpzd2exzd2it2780z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2cast2764z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zd2closure2754z12zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
static obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t, obj_t);
extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2makezd2box2782zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2setzd2exzd2it2778z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_externz00zzast_nodez00;
extern obj_t BGl_conditionalz00zzast_nodez00;
extern obj_t BGl_sequencez00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2default2745z12zzreduce_1occz00(BgL_nodez00_bglt, obj_t);
static long BGl_za2variablezd2removedza2zd2zzreduce_1occz00;
static obj_t BGl__nodezd21occz12zd2default2745z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_appz00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2extern2762z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_closurez00zzast_nodez00;
static obj_t BGl_nodezd21occz12zd2fail2770z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzreduce_1occz00 = BUNSPEC;
static obj_t BGl_nodezd21occz12zd2boxzd2ref2786zc0zzreduce_1occz00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00();
static obj_t BGl_nodezd21occz12zd2var2752z12zzreduce_1occz00(obj_t, obj_t, obj_t);
extern obj_t BGl_setqz00zzast_nodez00;
static obj_t __cnst[ 2 ] ;

DEFINE_STATIC_GENERIC( BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_bgl__nodeza7d21occza7123797za7c0za7za7reduce_1occza7004391z00, BGl__nodezd21occz123797zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4342z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2atom2748za712za7za7reduce_1occza7004392za7, BGl_nodezd21occz12zd2atom2748z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4343z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2kwote2750za712za7za7reduce_1occza7004393za7, BGl_nodezd21occz12zd2kwote2750z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4344z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2var2752za712za7za7reduce_1occza7004394za7, BGl_nodezd21occz12zd2var2752z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4345z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2closure2754za712za7za7reduce_1occza7004395za7, BGl_nodezd21occz12zd2closure2754z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4346z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2sequence2756za712za7za7reduce_1occza7004396za7, BGl_nodezd21occz12zd2sequence2756z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4347z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2appza7d2ly2758za7c0za7za7reduce_1occza7004397z00, BGl_nodezd21occz12zd2appzd2ly2758zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4348z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2funcall2760za712za7za7reduce_1occza7004398za7, BGl_nodezd21occz12zd2funcall2760z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4350z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2cast2764za712za7za7reduce_1occza7004399za7, BGl_nodezd21occz12zd2cast2764z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4349z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2extern2762za712za7za7reduce_1occza7004400za7, BGl_nodezd21occz12zd2extern2762z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4351z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2setq2766za712za7za7reduce_1occza7004401za7, BGl_nodezd21occz12zd2setq2766z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4352z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2conditional2768za712za7za7reduce_1occza7004402za7, BGl_nodezd21occz12zd2conditional2768z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4353z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2fail2770za712za7za7reduce_1occza7004403za7, BGl_nodezd21occz12zd2fail2770z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4354z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2select2772za712za7za7reduce_1occza7004404za7, BGl_nodezd21occz12zd2select2772z12zzreduce_1occz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_reducezd21occz12zd2envz12zzreduce_1occz00, BgL_bgl__reduceza7d21occza712za7c0za7za7reduce_1occza7004405z00, BGl__reducezd21occz12zc0zzreduce_1occz00, 0L, 1 );
DEFINE_STATIC_PROCEDURE( BGl_proc4355z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2letza7d2fun2774za7c0za7za7reduce_1occza7004406z00, BGl_nodezd21occz12zd2letzd2fun2774zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4356z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2letza7d2var2776za7c0za7za7reduce_1occza7004407z00, BGl_nodezd21occz12zd2letzd2var2776zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4357z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2setza7d2exza7d2it2778za712za7za7reduce_1occza7004408za7, BGl_nodezd21occz12zd2setzd2exzd2it2778z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4358z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2jumpza7d2exza7d2it2780za712za7za7reduce_1occza7004409za7, BGl_nodezd21occz12zd2jumpzd2exzd2it2780z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4360z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2boxza7d2setza7122784za7d2za7za7reduce_1occza7004410za7, BGl_nodezd21occz12zd2boxzd2setz122784zd2zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4359z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2makeza7d2box2782za7c0za7za7reduce_1occza7004411z00, BGl_nodezd21occz12zd2makezd2box2782zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4361z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2boxza7d2ref2786za7c0za7za7reduce_1occza7004412z00, BGl_nodezd21occz12zd2boxzd2ref2786zc0zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc4362z00zzreduce_1occz00, BgL_bgl_nodeza7d21occza712za7d2app2788za712za7za7reduce_1occza7004413za7, BGl_nodezd21occz12zd2app2788z12zzreduce_1occz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_nodezd21occz12zd2default2745zd2envzc0zzreduce_1occz00, BgL_bgl__nodeza7d21occza712za7d2default2745za712za7za7reduce_1occza7004414za7, BGl__nodezd21occz12zd2default2745z12zzreduce_1occz00, 0L, 2 );
DEFINE_STRING( BGl_string4364z00zzreduce_1occz00, BgL_bgl_string4364za700za7za7reduce_1occza7004415z00, "node-1occ!-default2745 read ", 28 );
DEFINE_STRING( BGl_string4363z00zzreduce_1occz00, BgL_bgl_string4363za700za7za7reduce_1occza7004416z00, "No method for this object", 25 );
DEFINE_STRING( BGl_string4341z00zzreduce_1occz00, BgL_bgl_string4341za700za7za7reduce_1occza7004417z00, "(removed : ", 11 );
DEFINE_STRING( BGl_string4340z00zzreduce_1occz00, BgL_bgl_string4340za700za7za7reduce_1occza7004418z00, "      single occurrence      ", 29 );



/* module-initialization */
obj_t BGl_modulezd2initializa7ationz75zzreduce_1occz00(long BgL_checksumz00_3596, char * BgL_fromz00_3597)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzreduce_1occz00))
{ 
BGl_requirezd2initializa7ationz75zzreduce_1occz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzreduce_1occz00(); 
BGl_cnstzd2initzd2zzreduce_1occz00(); 
BGl_importedzd2moduleszd2initz00zzreduce_1occz00(); 
BGl_methodzd2initzd2zzreduce_1occz00(); 
BGl_toplevelzd2initzd2zzreduce_1occz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "reduce_1occ"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
{ /* Reduce/1occ.scm 16 */
obj_t BgL_cportz00_3589;
BgL_cportz00_3589 = 
open_input_string(BGl_string4364z00zzreduce_1occz00); 
{ 
long BgL_iz00_3590;
BgL_iz00_3590 = ((long)1); 
BgL_loopz00_3591:
if(
(BgL_iz00_3590==((long)-1)))
{ /* Reduce/1occ.scm 16 */
return BUNSPEC;}  else 
{ /* Reduce/1occ.scm 16 */
{ /* Reduce/1occ.scm 16 */
obj_t BgL_arg4368z00_3593;
{ /* Reduce/1occ.scm 16 */
obj_t BgL_list4371z00_3594;
BgL_list4371z00_3594 = 
MAKE_PAIR(BgL_cportz00_3589, BNIL); 
BgL_arg4368z00_3593 = 
BGl_readz00zz__readerz00(BgL_list4371z00_3594); } 
{ /* Reduce/1occ.scm 16 */
int BgL_auxz00_3614;
BgL_auxz00_3614 = 
(int)(BgL_iz00_3590); 
CNST_TABLE_SET(BgL_auxz00_3614, BgL_arg4368z00_3593); } } 
{ 
long BgL_iz00_3617;
{ /* Reduce/1occ.scm 16 */
int BgL_auxz00_3618;
{ /* Reduce/1occ.scm 16 */
long BgL_auxz00_3619;
BgL_auxz00_3619 = 
(BgL_iz00_3590-((long)1)); 
BgL_auxz00_3618 = 
(int)(BgL_auxz00_3619); } 
BgL_iz00_3617 = 
(long)(BgL_auxz00_3618); } 
BgL_iz00_3590 = BgL_iz00_3617; 
goto BgL_loopz00_3591;} } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long)0); 
return BUNSPEC;} 
}



/* reduce-1occ! */
obj_t BGl_reducezd21occz12zc0zzreduce_1occz00(obj_t BgL_globalsz00_1)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 35 */
{ /* Reduce/1occ.scm 36 */
obj_t BgL_list2790z00_1269;
BgL_list2790z00_1269 = 
MAKE_PAIR(BGl_string4340z00zzreduce_1occz00, BNIL); 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2790z00_1269); } 
BGl_occurzd2varzd2zzast_occurz00(BgL_globalsz00_1); 
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = ((long)0); 
{ 
obj_t BgL_l2655z00_1270;
BgL_l2655z00_1270 = BgL_globalsz00_1; 
BgL_lname2656z00_1271:
if(
PAIRP(BgL_l2655z00_1270))
{ /* Reduce/1occ.scm 42 */
{ /* Reduce/1occ.scm 43 */
BgL_valuez00_bglt BgL_funz00_1274;
{ /* Reduce/1occ.scm 43 */
BgL_globalz00_bglt BgL_obj1156z00_2049;
{ /* Reduce/1occ.scm 43 */
obj_t BgL_auxz00_3629;
BgL_auxz00_3629 = 
CAR(BgL_l2655z00_1270); 
BgL_obj1156z00_2049 = 
(BgL_globalz00_bglt)(BgL_auxz00_3629); } 
BgL_funz00_1274 = 
(((BgL_globalz00_bglt)CREF(BgL_obj1156z00_2049))->BgL_valuez00); } 
{ /* Reduce/1occ.scm 44 */

{ /* Reduce/1occ.scm 45 */
obj_t BgL_arg2796z00_1276;
{ /* Reduce/1occ.scm 45 */
obj_t BgL__z00_1277;
{ /* Reduce/1occ.scm 46 */
BgL_nodez00_bglt BgL_nodez00_2051;
{ /* Reduce/1occ.scm 46 */
obj_t BgL_auxz00_3633;
{ /* Reduce/1occ.scm 44 */
BgL_sfunz00_bglt BgL_obj1373z00_2050;
BgL_obj1373z00_2050 = 
(BgL_sfunz00_bglt)(BgL_funz00_1274); 
BgL_auxz00_3633 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_2050))->BgL_bodyz00); } 
BgL_nodez00_2051 = 
(BgL_nodez00_bglt)(BgL_auxz00_3633); } 
{ /* Reduce/1occ.scm 46 */
obj_t BgL_method2746z00_2053;
{ /* Reduce/1occ.scm 46 */
long BgL_objzd2classzd2numz00_2055;
{ /* Reduce/1occ.scm 46 */
BgL_objectz00_bglt BgL_auxz00_3637;
BgL_auxz00_3637 = 
(BgL_objectz00_bglt)(BgL_nodez00_2051); 
BgL_objzd2classzd2numz00_2055 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3637); } 
{ /* Reduce/1occ.scm 46 */
obj_t BgL_arg1904z00_2056;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3640;
BgL_auxz00_3640 = 
(int)(((long)1)); 
BgL_arg1904z00_2056 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3640); } 
{ /* Reduce/1occ.scm 46 */
long BgL_offsetz00_2060;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3643;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3644;
BgL_auxz00_3644 = 
(int)(BgL_objzd2classzd2numz00_2055); 
BgL_auxz00_3643 = 
(long)(BgL_auxz00_3644); } 
BgL_offsetz00_2060 = 
(BgL_auxz00_3643-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 46 */
long BgL_modz00_2061;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3648;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3649;
BgL_auxz00_3649 = 
(int)(((long)8)); 
BgL_auxz00_3648 = 
(long)(BgL_auxz00_3649); } 
BgL_modz00_2061 = 
(BgL_offsetz00_2060/BgL_auxz00_3648); } 
{ /* Reduce/1occ.scm 46 */
long BgL_restz00_2063;
{ /* Reduce/1occ.scm 46 */
long BgL_auxz00_3653;
{ /* Reduce/1occ.scm 46 */
int BgL_auxz00_3654;
BgL_auxz00_3654 = 
(int)(((long)8)); 
BgL_auxz00_3653 = 
(long)(BgL_auxz00_3654); } 
BgL_restz00_2063 = 
(BgL_offsetz00_2060%BgL_auxz00_3653); } 
{ /* Reduce/1occ.scm 46 */

{ /* Reduce/1occ.scm 46 */
obj_t BgL_bucketz00_2065;
{ /* Reduce/1occ.scm 46 */
int BgL_kz00_2075;
BgL_kz00_2075 = 
(int)(BgL_modz00_2061); 
BgL_bucketz00_2065 = 
VECTOR_REF(BgL_arg1904z00_2056,BgL_kz00_2075); } 
{ /* Reduce/1occ.scm 46 */
int BgL_kz00_2077;
BgL_kz00_2077 = 
(int)(BgL_restz00_2063); 
BgL_method2746z00_2053 = 
VECTOR_REF(BgL_bucketz00_2065,BgL_kz00_2077); } } } } } } } } 
BgL__z00_1277 = 
PROCEDURE_ENTRY(BgL_method2746z00_2053)(BgL_method2746z00_2053, 
(obj_t)(BgL_nodez00_2051), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 45 */
obj_t BgL_nodez00_1278;
{ /* Reduce/1occ.scm 45 */
int BgL_auxz00_3665;
BgL_auxz00_3665 = 
(int)(((long)1)); 
BgL_nodez00_1278 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3665); } 
BgL_arg2796z00_1276 = BgL_nodez00_1278; } } 
{ /* Reduce/1occ.scm 45 */
BgL_sfunz00_bglt BgL_obj1375z00_2079;
BgL_obj1375z00_2079 = 
(BgL_sfunz00_bglt)(BgL_funz00_1274); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_2079))->BgL_bodyz00) = ((obj_t)BgL_arg2796z00_1276), BUNSPEC); } } BUNSPEC; } } 
{ 
obj_t BgL_l2655z00_3670;
BgL_l2655z00_3670 = 
CDR(BgL_l2655z00_1270); 
BgL_l2655z00_1270 = BgL_l2655z00_3670; 
goto BgL_lname2656z00_1271;} }  else 
{ /* Reduce/1occ.scm 42 */((bool_t)1); } } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_list2809z00_1280;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2812z00_1282;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2815z00_1283;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_arg2818z00_1284;
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3672;
BgL_auxz00_3672 = 
BCHAR(((unsigned char)'\n')); 
BgL_arg2818z00_1284 = 
MAKE_PAIR(BgL_auxz00_3672, BNIL); } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3675;
BgL_auxz00_3675 = 
BCHAR(((unsigned char)')')); 
BgL_arg2815z00_1283 = 
MAKE_PAIR(BgL_auxz00_3675, BgL_arg2818z00_1284); } } 
{ /* Reduce/1occ.scm 50 */
obj_t BgL_auxz00_3678;
BgL_auxz00_3678 = 
BINT(BGl_za2variablezd2removedza2zd2zzreduce_1occz00); 
BgL_arg2812z00_1282 = 
MAKE_PAIR(BgL_auxz00_3678, BgL_arg2815z00_1283); } } 
BgL_list2809z00_1280 = 
MAKE_PAIR(BGl_string4341z00zzreduce_1occz00, BgL_arg2812z00_1282); } 
BGl_verbosez00zztools_speekz00(
BINT(((long)2)), BgL_list2809z00_1280); } 
return BgL_globalsz00_1;} 
}



/* _reduce-1occ! */
obj_t BGl__reducezd21occz12zc0zzreduce_1occz00(obj_t BgL_envz00_3497, obj_t BgL_globalsz00_3498)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 35 */
return 
BGl_reducezd21occz12zc0zzreduce_1occz00(BgL_globalsz00_3498);} 
}



/* node-1occ*! */
obj_t BGl_nodezd21occza2z12z62zzreduce_1occz00(obj_t BgL_nodeza2za2_48, obj_t BgL_1zd2expza2z70_49)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 381 */
{ 
obj_t BgL_nodeza2za2_1285;bool_t BgL_resetz00_1286;obj_t BgL_1zd2expza2z70_1287;
BgL_nodeza2za2_1285 = BgL_nodeza2za2_48; 
BgL_resetz00_1286 = ((bool_t)0); 
BgL_1zd2expza2z70_1287 = BgL_1zd2expza2z70_49; 
BgL_loopz00_1288:
if(
NULLP(BgL_nodeza2za2_1285))
{ /* Reduce/1occ.scm 386 */
return 
BBOOL(BgL_resetz00_1286);}  else 
{ /* Reduce/1occ.scm 388 */
bool_t BgL_testz00_3688;
{ /* Reduce/1occ.scm 388 */
obj_t BgL_auxz00_3689;
BgL_auxz00_3689 = 
CDR(BgL_nodeza2za2_1285); 
BgL_testz00_3688 = 
NULLP(BgL_auxz00_3689); } 
if(BgL_testz00_3688)
{ /* Reduce/1occ.scm 388 */
{ /* Reduce/1occ.scm 389 */
obj_t BgL_resetz72z72_1291;
{ /* Reduce/1occ.scm 390 */
BgL_nodez00_bglt BgL_nodez00_2086;
{ /* Reduce/1occ.scm 390 */
obj_t BgL_auxz00_3692;
BgL_auxz00_3692 = 
CAR(BgL_nodeza2za2_1285); 
BgL_nodez00_2086 = 
(BgL_nodez00_bglt)(BgL_auxz00_3692); } 
{ /* Reduce/1occ.scm 390 */
obj_t BgL_method2746z00_2088;
{ /* Reduce/1occ.scm 390 */
long BgL_objzd2classzd2numz00_2090;
{ /* Reduce/1occ.scm 390 */
BgL_objectz00_bglt BgL_auxz00_3695;
BgL_auxz00_3695 = 
(BgL_objectz00_bglt)(BgL_nodez00_2086); 
BgL_objzd2classzd2numz00_2090 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3695); } 
{ /* Reduce/1occ.scm 390 */
obj_t BgL_arg1904z00_2091;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3698;
BgL_auxz00_3698 = 
(int)(((long)1)); 
BgL_arg1904z00_2091 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3698); } 
{ /* Reduce/1occ.scm 390 */
long BgL_offsetz00_2095;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3701;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3702;
BgL_auxz00_3702 = 
(int)(BgL_objzd2classzd2numz00_2090); 
BgL_auxz00_3701 = 
(long)(BgL_auxz00_3702); } 
BgL_offsetz00_2095 = 
(BgL_auxz00_3701-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 390 */
long BgL_modz00_2096;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3706;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3707;
BgL_auxz00_3707 = 
(int)(((long)8)); 
BgL_auxz00_3706 = 
(long)(BgL_auxz00_3707); } 
BgL_modz00_2096 = 
(BgL_offsetz00_2095/BgL_auxz00_3706); } 
{ /* Reduce/1occ.scm 390 */
long BgL_restz00_2098;
{ /* Reduce/1occ.scm 390 */
long BgL_auxz00_3711;
{ /* Reduce/1occ.scm 390 */
int BgL_auxz00_3712;
BgL_auxz00_3712 = 
(int)(((long)8)); 
BgL_auxz00_3711 = 
(long)(BgL_auxz00_3712); } 
BgL_restz00_2098 = 
(BgL_offsetz00_2095%BgL_auxz00_3711); } 
{ /* Reduce/1occ.scm 390 */

{ /* Reduce/1occ.scm 390 */
obj_t BgL_bucketz00_2100;
{ /* Reduce/1occ.scm 390 */
int BgL_kz00_2110;
BgL_kz00_2110 = 
(int)(BgL_modz00_2096); 
BgL_bucketz00_2100 = 
VECTOR_REF(BgL_arg1904z00_2091,BgL_kz00_2110); } 
{ /* Reduce/1occ.scm 390 */
int BgL_kz00_2112;
BgL_kz00_2112 = 
(int)(BgL_restz00_2098); 
BgL_method2746z00_2088 = 
VECTOR_REF(BgL_bucketz00_2100,BgL_kz00_2112); } } } } } } } } 
BgL_resetz72z72_1291 = 
PROCEDURE_ENTRY(BgL_method2746z00_2088)(BgL_method2746z00_2088, 
(obj_t)(BgL_nodez00_2086), BgL_1zd2expza2z70_1287, BEOA); } } 
{ /* Reduce/1occ.scm 391 */
obj_t BgL_nodez00_1292;
{ /* Reduce/1occ.scm 391 */
int BgL_auxz00_3723;
BgL_auxz00_3723 = 
(int)(((long)1)); 
BgL_nodez00_1292 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3723); } 
SET_CAR(BgL_nodeza2za2_1285, BgL_nodez00_1292); 
if(BgL_resetz00_1286)
{ /* Reduce/1occ.scm 392 */
return 
BBOOL(BgL_resetz00_1286);}  else 
{ /* Reduce/1occ.scm 392 */
return BgL_resetz72z72_1291;} } } }  else 
{ /* Reduce/1occ.scm 388 */
{ /* Reduce/1occ.scm 394 */
obj_t BgL_resetz72z72_1295;
{ /* Reduce/1occ.scm 395 */
BgL_nodez00_bglt BgL_nodez00_2117;
{ /* Reduce/1occ.scm 395 */
obj_t BgL_auxz00_3729;
BgL_auxz00_3729 = 
CAR(BgL_nodeza2za2_1285); 
BgL_nodez00_2117 = 
(BgL_nodez00_bglt)(BgL_auxz00_3729); } 
{ /* Reduce/1occ.scm 395 */
obj_t BgL_method2746z00_2119;
{ /* Reduce/1occ.scm 395 */
long BgL_objzd2classzd2numz00_2121;
{ /* Reduce/1occ.scm 395 */
BgL_objectz00_bglt BgL_auxz00_3732;
BgL_auxz00_3732 = 
(BgL_objectz00_bglt)(BgL_nodez00_2117); 
BgL_objzd2classzd2numz00_2121 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3732); } 
{ /* Reduce/1occ.scm 395 */
obj_t BgL_arg1904z00_2122;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3735;
BgL_auxz00_3735 = 
(int)(((long)1)); 
BgL_arg1904z00_2122 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3735); } 
{ /* Reduce/1occ.scm 395 */
long BgL_offsetz00_2126;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3738;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3739;
BgL_auxz00_3739 = 
(int)(BgL_objzd2classzd2numz00_2121); 
BgL_auxz00_3738 = 
(long)(BgL_auxz00_3739); } 
BgL_offsetz00_2126 = 
(BgL_auxz00_3738-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 395 */
long BgL_modz00_2127;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3743;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3744;
BgL_auxz00_3744 = 
(int)(((long)8)); 
BgL_auxz00_3743 = 
(long)(BgL_auxz00_3744); } 
BgL_modz00_2127 = 
(BgL_offsetz00_2126/BgL_auxz00_3743); } 
{ /* Reduce/1occ.scm 395 */
long BgL_restz00_2129;
{ /* Reduce/1occ.scm 395 */
long BgL_auxz00_3748;
{ /* Reduce/1occ.scm 395 */
int BgL_auxz00_3749;
BgL_auxz00_3749 = 
(int)(((long)8)); 
BgL_auxz00_3748 = 
(long)(BgL_auxz00_3749); } 
BgL_restz00_2129 = 
(BgL_offsetz00_2126%BgL_auxz00_3748); } 
{ /* Reduce/1occ.scm 395 */

{ /* Reduce/1occ.scm 395 */
obj_t BgL_bucketz00_2131;
{ /* Reduce/1occ.scm 395 */
int BgL_kz00_2141;
BgL_kz00_2141 = 
(int)(BgL_modz00_2127); 
BgL_bucketz00_2131 = 
VECTOR_REF(BgL_arg1904z00_2122,BgL_kz00_2141); } 
{ /* Reduce/1occ.scm 395 */
int BgL_kz00_2143;
BgL_kz00_2143 = 
(int)(BgL_restz00_2129); 
BgL_method2746z00_2119 = 
VECTOR_REF(BgL_bucketz00_2131,BgL_kz00_2143); } } } } } } } } 
BgL_resetz72z72_1295 = 
PROCEDURE_ENTRY(BgL_method2746z00_2119)(BgL_method2746z00_2119, 
(obj_t)(BgL_nodez00_2117), BgL_1zd2expza2z70_1287, BEOA); } } 
{ /* Reduce/1occ.scm 396 */
obj_t BgL_nodez00_1296;
{ /* Reduce/1occ.scm 396 */
int BgL_auxz00_3760;
BgL_auxz00_3760 = 
(int)(((long)1)); 
BgL_nodez00_1296 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3760); } 
SET_CAR(BgL_nodeza2za2_1285, BgL_nodez00_1296); 
{ /* Reduce/1occ.scm 397 */
bool_t BgL_testz00_3764;
if(BgL_resetz00_1286)
{ /* Reduce/1occ.scm 397 */
BgL_testz00_3764 = ((bool_t)1)
; }  else 
{ /* Reduce/1occ.scm 397 */
BgL_testz00_3764 = 
CBOOL(BgL_resetz72z72_1295)
; } 
if(BgL_testz00_3764)
{ 
obj_t BgL_1zd2expza2z70_3770;bool_t BgL_resetz00_3769;obj_t BgL_nodeza2za2_3767;
BgL_nodeza2za2_3767 = 
CDR(BgL_nodeza2za2_1285); 
BgL_resetz00_3769 = ((bool_t)1); 
BgL_1zd2expza2z70_3770 = BNIL; 
BgL_1zd2expza2z70_1287 = BgL_1zd2expza2z70_3770; 
BgL_resetz00_1286 = BgL_resetz00_3769; 
BgL_nodeza2za2_1285 = BgL_nodeza2za2_3767; 
goto BgL_loopz00_1288;}  else 
{ 
bool_t BgL_resetz00_3773;obj_t BgL_nodeza2za2_3771;
BgL_nodeza2za2_3771 = 
CDR(BgL_nodeza2za2_1285); 
BgL_resetz00_3773 = ((bool_t)0); 
BgL_resetz00_1286 = BgL_resetz00_3773; 
BgL_nodeza2za2_1285 = BgL_nodeza2za2_3771; 
goto BgL_loopz00_1288;} } } } } } } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_addzd2genericz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_nodezd21occz12zd2default2745zd2envzc0zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_atomz00zzast_nodez00, BGl_proc4342z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_kwotez00zzast_nodez00, BGl_proc4343z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_varz00zzast_nodez00, BGl_proc4344z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_closurez00zzast_nodez00, BGl_proc4345z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_sequencez00zzast_nodez00, BGl_proc4346z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appzd2lyzd2zzast_nodez00, BGl_proc4347z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_funcallz00zzast_nodez00, BGl_proc4348z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_externz00zzast_nodez00, BGl_proc4349z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_castz00zzast_nodez00, BGl_proc4350z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setqz00zzast_nodez00, BGl_proc4351z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_conditionalz00zzast_nodez00, BGl_proc4352z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_failz00zzast_nodez00, BGl_proc4353z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_selectz00zzast_nodez00, BGl_proc4354z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_letzd2funzd2zzast_nodez00, BGl_proc4355z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_letzd2varzd2zzast_nodez00, BGl_proc4356z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc4357z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc4358z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_makezd2boxzd2zzast_nodez00, BGl_proc4359z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc4360z00zzreduce_1occz00); 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_boxzd2refzd2zzast_nodez00, BGl_proc4361z00zzreduce_1occz00); 
return 
BGl_addzd2methodz12zc0zz__objectz00(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BGl_appz00zzast_nodez00, BGl_proc4362z00zzreduce_1occz00);} 
}



/* node-1occ!-app2788 */
obj_t BGl_nodezd21occz12zd2app2788z12zzreduce_1occz00(obj_t BgL_envz00_3523, obj_t BgL_nodez00_3524, obj_t BgL_1zd2expza2z70_3525)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 368 */
{ 
BgL_appz00_bglt BgL_nodez00_2032;obj_t BgL_1zd2expza2z70_2033;
{ /* Reduce/1occ.scm 369 */
bool_t BgL_auxz00_3796;
BgL_nodez00_2032 = 
(BgL_appz00_bglt)(BgL_nodez00_3524); 
BgL_1zd2expza2z70_2033 = BgL_1zd2expza2z70_3525; 
{ /* Reduce/1occ.scm 370 */
obj_t BgL_resetz00_2037;
BgL_resetz00_2037 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_appz00_bglt)CREF(BgL_nodez00_2032))->BgL_argsz00), BgL_1zd2expza2z70_2033); 
{ /* Reduce/1occ.scm 371 */
bool_t BgL_test3711z00_2038;
if(
CBOOL(BgL_resetz00_2037))
{ /* Reduce/1occ.scm 371 */
BgL_test3711z00_2038 = ((bool_t)1); }  else 
{ /* Reduce/1occ.scm 371 */
BgL_test3711z00_2038 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_2032)); } 
if(BgL_test3711z00_2038)
{ /* Reduce/1occ.scm 371 */
{ /* Reduce/1occ.scm 375 */
int BgL_auxz00_3804;
BgL_auxz00_3804 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3804); } 
{ /* Reduce/1occ.scm 375 */
obj_t BgL_auxz00_3809;int BgL_auxz00_3807;
BgL_auxz00_3809 = 
(obj_t)(BgL_nodez00_2032); 
BgL_auxz00_3807 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3807, BgL_auxz00_3809); } 
BgL_auxz00_3796 = ((bool_t)1); }  else 
{ /* Reduce/1occ.scm 371 */
{ /* Reduce/1occ.scm 376 */
int BgL_auxz00_3812;
BgL_auxz00_3812 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3812); } 
{ /* Reduce/1occ.scm 376 */
obj_t BgL_auxz00_3817;int BgL_auxz00_3815;
BgL_auxz00_3817 = 
(obj_t)(BgL_nodez00_2032); 
BgL_auxz00_3815 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3815, BgL_auxz00_3817); } 
BgL_auxz00_3796 = ((bool_t)0); } } } 
return 
BBOOL(BgL_auxz00_3796);} } } 
}



/* node-1occ!-box-ref2786 */
obj_t BGl_nodezd21occz12zd2boxzd2ref2786zc0zzreduce_1occz00(obj_t BgL_envz00_3526, obj_t BgL_nodez00_3527, obj_t BgL_1zd2expza2z70_3528)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 362 */
{ 
BgL_boxzd2refzd2_bglt BgL_nodez00_2024;obj_t BgL_1zd2expza2z70_2025;
{ /* Reduce/1occ.scm 363 */
bool_t BgL_auxz00_3822;
BgL_nodez00_2024 = 
(BgL_boxzd2refzd2_bglt)(BgL_nodez00_3527); 
BgL_1zd2expza2z70_2025 = BgL_1zd2expza2z70_3528; 
{ /* Reduce/1occ.scm 363 */
int BgL_auxz00_3823;
BgL_auxz00_3823 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3823); } 
{ /* Reduce/1occ.scm 363 */
obj_t BgL_auxz00_3828;int BgL_auxz00_3826;
BgL_auxz00_3828 = 
(obj_t)(BgL_nodez00_2024); 
BgL_auxz00_3826 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3826, BgL_auxz00_3828); } 
BgL_auxz00_3822 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_3822);} } } 
}



/* node-1occ!-box-set!2784 */
obj_t BGl_nodezd21occz12zd2boxzd2setz122784zd2zzreduce_1occz00(obj_t BgL_envz00_3529, obj_t BgL_nodez00_3530, obj_t BgL_1zd2expza2z70_3531)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 352 */
{ 
BgL_boxzd2setz12zc0_bglt BgL_nodez00_2012;obj_t BgL_1zd2expza2z70_2013;
BgL_nodez00_2012 = 
(BgL_boxzd2setz12zc0_bglt)(BgL_nodez00_3530); 
BgL_1zd2expza2z70_2013 = BgL_1zd2expza2z70_3531; 
{ /* Reduce/1occ.scm 354 */
obj_t BgL_resetz00_2017;
{ /* Reduce/1occ.scm 355 */
BgL_nodez00_bglt BgL_arg3694z00_2021;
BgL_arg3694z00_2021 = 
(((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2012))->BgL_valuez00); 
{ /* Reduce/1occ.scm 355 */
obj_t BgL_method2746z00_3426;
{ /* Reduce/1occ.scm 355 */
long BgL_objzd2classzd2numz00_3428;
{ /* Reduce/1occ.scm 355 */
BgL_objectz00_bglt BgL_auxz00_3834;
BgL_auxz00_3834 = 
(BgL_objectz00_bglt)(BgL_arg3694z00_2021); 
BgL_objzd2classzd2numz00_3428 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3834); } 
{ /* Reduce/1occ.scm 355 */
obj_t BgL_arg1904z00_3429;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3837;
BgL_auxz00_3837 = 
(int)(((long)1)); 
BgL_arg1904z00_3429 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3837); } 
{ /* Reduce/1occ.scm 355 */
long BgL_offsetz00_3433;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3840;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3841;
BgL_auxz00_3841 = 
(int)(BgL_objzd2classzd2numz00_3428); 
BgL_auxz00_3840 = 
(long)(BgL_auxz00_3841); } 
BgL_offsetz00_3433 = 
(BgL_auxz00_3840-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 355 */
long BgL_modz00_3434;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3845;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3846;
BgL_auxz00_3846 = 
(int)(((long)8)); 
BgL_auxz00_3845 = 
(long)(BgL_auxz00_3846); } 
BgL_modz00_3434 = 
(BgL_offsetz00_3433/BgL_auxz00_3845); } 
{ /* Reduce/1occ.scm 355 */
long BgL_restz00_3436;
{ /* Reduce/1occ.scm 355 */
long BgL_auxz00_3850;
{ /* Reduce/1occ.scm 355 */
int BgL_auxz00_3851;
BgL_auxz00_3851 = 
(int)(((long)8)); 
BgL_auxz00_3850 = 
(long)(BgL_auxz00_3851); } 
BgL_restz00_3436 = 
(BgL_offsetz00_3433%BgL_auxz00_3850); } 
{ /* Reduce/1occ.scm 355 */

{ /* Reduce/1occ.scm 355 */
obj_t BgL_bucketz00_3438;
{ /* Reduce/1occ.scm 355 */
int BgL_kz00_3448;
BgL_kz00_3448 = 
(int)(BgL_modz00_3434); 
BgL_bucketz00_3438 = 
VECTOR_REF(BgL_arg1904z00_3429,BgL_kz00_3448); } 
{ /* Reduce/1occ.scm 355 */
int BgL_kz00_3450;
BgL_kz00_3450 = 
(int)(BgL_restz00_3436); 
BgL_method2746z00_3426 = 
VECTOR_REF(BgL_bucketz00_3438,BgL_kz00_3450); } } } } } } } } 
BgL_resetz00_2017 = 
PROCEDURE_ENTRY(BgL_method2746z00_3426)(BgL_method2746z00_3426, 
(obj_t)(BgL_arg3694z00_2021), BgL_1zd2expza2z70_2013, BEOA); } } 
{ /* Reduce/1occ.scm 356 */
obj_t BgL_nvaluez00_2018;
{ /* Reduce/1occ.scm 356 */
int BgL_auxz00_3862;
BgL_auxz00_3862 = 
(int)(((long)1)); 
BgL_nvaluez00_2018 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3862); } 
{ /* Reduce/1occ.scm 356 */
BgL_nodez00_bglt BgL_val2635z00_3453;
BgL_val2635z00_3453 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_2018); 
((((BgL_boxzd2setz12zc0_bglt)CREF(BgL_nodez00_2012))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2635z00_3453), BUNSPEC); } 
{ /* Reduce/1occ.scm 357 */
int BgL_auxz00_3867;
BgL_auxz00_3867 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3867); } 
{ /* Reduce/1occ.scm 357 */
obj_t BgL_auxz00_3872;int BgL_auxz00_3870;
BgL_auxz00_3872 = 
(obj_t)(BgL_nodez00_2012); 
BgL_auxz00_3870 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3870, BgL_auxz00_3872); } 
return BgL_resetz00_2017;} } } } 
}



/* node-1occ!-make-box2782 */
obj_t BGl_nodezd21occz12zd2makezd2box2782zc0zzreduce_1occz00(obj_t BgL_envz00_3532, obj_t BgL_nodez00_3533, obj_t BgL_1zd2expza2z70_3534)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 342 */
{ 
BgL_makezd2boxzd2_bglt BgL_nodez00_2000;obj_t BgL_1zd2expza2z70_2001;
BgL_nodez00_2000 = 
(BgL_makezd2boxzd2_bglt)(BgL_nodez00_3533); 
BgL_1zd2expza2z70_2001 = BgL_1zd2expza2z70_3534; 
{ /* Reduce/1occ.scm 344 */
obj_t BgL_resetz00_2005;
{ /* Reduce/1occ.scm 345 */
BgL_nodez00_bglt BgL_arg3680z00_2009;
BgL_arg3680z00_2009 = 
(((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00); 
{ /* Reduce/1occ.scm 345 */
obj_t BgL_method2746z00_3392;
{ /* Reduce/1occ.scm 345 */
long BgL_objzd2classzd2numz00_3394;
{ /* Reduce/1occ.scm 345 */
BgL_objectz00_bglt BgL_auxz00_3877;
BgL_auxz00_3877 = 
(BgL_objectz00_bglt)(BgL_arg3680z00_2009); 
BgL_objzd2classzd2numz00_3394 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3877); } 
{ /* Reduce/1occ.scm 345 */
obj_t BgL_arg1904z00_3395;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3880;
BgL_auxz00_3880 = 
(int)(((long)1)); 
BgL_arg1904z00_3395 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3880); } 
{ /* Reduce/1occ.scm 345 */
long BgL_offsetz00_3399;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3883;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3884;
BgL_auxz00_3884 = 
(int)(BgL_objzd2classzd2numz00_3394); 
BgL_auxz00_3883 = 
(long)(BgL_auxz00_3884); } 
BgL_offsetz00_3399 = 
(BgL_auxz00_3883-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 345 */
long BgL_modz00_3400;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3888;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3889;
BgL_auxz00_3889 = 
(int)(((long)8)); 
BgL_auxz00_3888 = 
(long)(BgL_auxz00_3889); } 
BgL_modz00_3400 = 
(BgL_offsetz00_3399/BgL_auxz00_3888); } 
{ /* Reduce/1occ.scm 345 */
long BgL_restz00_3402;
{ /* Reduce/1occ.scm 345 */
long BgL_auxz00_3893;
{ /* Reduce/1occ.scm 345 */
int BgL_auxz00_3894;
BgL_auxz00_3894 = 
(int)(((long)8)); 
BgL_auxz00_3893 = 
(long)(BgL_auxz00_3894); } 
BgL_restz00_3402 = 
(BgL_offsetz00_3399%BgL_auxz00_3893); } 
{ /* Reduce/1occ.scm 345 */

{ /* Reduce/1occ.scm 345 */
obj_t BgL_bucketz00_3404;
{ /* Reduce/1occ.scm 345 */
int BgL_kz00_3414;
BgL_kz00_3414 = 
(int)(BgL_modz00_3400); 
BgL_bucketz00_3404 = 
VECTOR_REF(BgL_arg1904z00_3395,BgL_kz00_3414); } 
{ /* Reduce/1occ.scm 345 */
int BgL_kz00_3416;
BgL_kz00_3416 = 
(int)(BgL_restz00_3402); 
BgL_method2746z00_3392 = 
VECTOR_REF(BgL_bucketz00_3404,BgL_kz00_3416); } } } } } } } } 
BgL_resetz00_2005 = 
PROCEDURE_ENTRY(BgL_method2746z00_3392)(BgL_method2746z00_3392, 
(obj_t)(BgL_arg3680z00_2009), BgL_1zd2expza2z70_2001, BEOA); } } 
{ /* Reduce/1occ.scm 346 */
obj_t BgL_nvaluez00_2006;
{ /* Reduce/1occ.scm 346 */
int BgL_auxz00_3905;
BgL_auxz00_3905 = 
(int)(((long)1)); 
BgL_nvaluez00_2006 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3905); } 
{ /* Reduce/1occ.scm 346 */
BgL_nodez00_bglt BgL_val2570z00_3419;
BgL_val2570z00_3419 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_2006); 
((((BgL_makezd2boxzd2_bglt)CREF(BgL_nodez00_2000))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2570z00_3419), BUNSPEC); } 
{ /* Reduce/1occ.scm 347 */
int BgL_auxz00_3910;
BgL_auxz00_3910 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3910); } 
{ /* Reduce/1occ.scm 347 */
obj_t BgL_auxz00_3915;int BgL_auxz00_3913;
BgL_auxz00_3915 = 
(obj_t)(BgL_nodez00_2000); 
BgL_auxz00_3913 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3913, BgL_auxz00_3915); } 
return BgL_resetz00_2005;} } } } 
}



/* node-1occ!-jump-ex-it2780 */
obj_t BGl_nodezd21occz12zd2jumpzd2exzd2it2780z12zzreduce_1occz00(obj_t BgL_envz00_3535, obj_t BgL_nodez00_3536, obj_t BgL_1zd2expza2z70_3537)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 328 */
{ 
BgL_jumpzd2exzd2itz00_bglt BgL_nodez00_1983;obj_t BgL_1zd2expza2z70_1984;
BgL_nodez00_1983 = 
(BgL_jumpzd2exzd2itz00_bglt)(BgL_nodez00_3536); 
BgL_1zd2expza2z70_1984 = BgL_1zd2expza2z70_3537; 
{ /* Reduce/1occ.scm 330 */
obj_t BgL_resetz00_1988;
{ /* Reduce/1occ.scm 331 */
BgL_nodez00_bglt BgL_arg3666z00_1997;
BgL_arg3666z00_1997 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_exitz00); 
{ /* Reduce/1occ.scm 331 */
obj_t BgL_method2746z00_3327;
{ /* Reduce/1occ.scm 331 */
long BgL_objzd2classzd2numz00_3329;
{ /* Reduce/1occ.scm 331 */
BgL_objectz00_bglt BgL_auxz00_3920;
BgL_auxz00_3920 = 
(BgL_objectz00_bglt)(BgL_arg3666z00_1997); 
BgL_objzd2classzd2numz00_3329 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3920); } 
{ /* Reduce/1occ.scm 331 */
obj_t BgL_arg1904z00_3330;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3923;
BgL_auxz00_3923 = 
(int)(((long)1)); 
BgL_arg1904z00_3330 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3923); } 
{ /* Reduce/1occ.scm 331 */
long BgL_offsetz00_3334;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3926;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3927;
BgL_auxz00_3927 = 
(int)(BgL_objzd2classzd2numz00_3329); 
BgL_auxz00_3926 = 
(long)(BgL_auxz00_3927); } 
BgL_offsetz00_3334 = 
(BgL_auxz00_3926-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 331 */
long BgL_modz00_3335;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3931;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3932;
BgL_auxz00_3932 = 
(int)(((long)8)); 
BgL_auxz00_3931 = 
(long)(BgL_auxz00_3932); } 
BgL_modz00_3335 = 
(BgL_offsetz00_3334/BgL_auxz00_3931); } 
{ /* Reduce/1occ.scm 331 */
long BgL_restz00_3337;
{ /* Reduce/1occ.scm 331 */
long BgL_auxz00_3936;
{ /* Reduce/1occ.scm 331 */
int BgL_auxz00_3937;
BgL_auxz00_3937 = 
(int)(((long)8)); 
BgL_auxz00_3936 = 
(long)(BgL_auxz00_3937); } 
BgL_restz00_3337 = 
(BgL_offsetz00_3334%BgL_auxz00_3936); } 
{ /* Reduce/1occ.scm 331 */

{ /* Reduce/1occ.scm 331 */
obj_t BgL_bucketz00_3339;
{ /* Reduce/1occ.scm 331 */
int BgL_kz00_3349;
BgL_kz00_3349 = 
(int)(BgL_modz00_3335); 
BgL_bucketz00_3339 = 
VECTOR_REF(BgL_arg1904z00_3330,BgL_kz00_3349); } 
{ /* Reduce/1occ.scm 331 */
int BgL_kz00_3351;
BgL_kz00_3351 = 
(int)(BgL_restz00_3337); 
BgL_method2746z00_3327 = 
VECTOR_REF(BgL_bucketz00_3339,BgL_kz00_3351); } } } } } } } } 
BgL_resetz00_1988 = 
PROCEDURE_ENTRY(BgL_method2746z00_3327)(BgL_method2746z00_3327, 
(obj_t)(BgL_arg3666z00_1997), BgL_1zd2expza2z70_1984, BEOA); } } 
{ /* Reduce/1occ.scm 332 */
obj_t BgL_nexitz00_1989;
{ /* Reduce/1occ.scm 332 */
int BgL_auxz00_3948;
BgL_auxz00_3948 = 
(int)(((long)1)); 
BgL_nexitz00_1989 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3948); } 
{ /* Reduce/1occ.scm 332 */
BgL_nodez00_bglt BgL_val2536z00_3354;
BgL_val2536z00_3354 = 
(BgL_nodez00_bglt)(BgL_nexitz00_1989); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_exitz00) = ((BgL_nodez00_bglt)BgL_val2536z00_3354), BUNSPEC); } 
{ /* Reduce/1occ.scm 333 */
obj_t BgL_1zd2expza2z72z02_1990;
if(
CBOOL(BgL_resetz00_1988))
{ /* Reduce/1occ.scm 333 */
BgL_1zd2expza2z72z02_1990 = BNIL; }  else 
{ /* Reduce/1occ.scm 333 */
BgL_1zd2expza2z72z02_1990 = BgL_1zd2expza2z70_1984; } 
{ /* Reduce/1occ.scm 334 */
obj_t BgL_resetz72z72_1991;
{ /* Reduce/1occ.scm 335 */
BgL_nodez00_bglt BgL_arg3661z00_1996;
BgL_arg3661z00_1996 = 
(((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_valuez00); 
{ /* Reduce/1occ.scm 335 */
obj_t BgL_method2746z00_3358;
{ /* Reduce/1occ.scm 335 */
long BgL_objzd2classzd2numz00_3360;
{ /* Reduce/1occ.scm 335 */
BgL_objectz00_bglt BgL_auxz00_3956;
BgL_auxz00_3956 = 
(BgL_objectz00_bglt)(BgL_arg3661z00_1996); 
BgL_objzd2classzd2numz00_3360 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_3956); } 
{ /* Reduce/1occ.scm 335 */
obj_t BgL_arg1904z00_3361;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3959;
BgL_auxz00_3959 = 
(int)(((long)1)); 
BgL_arg1904z00_3361 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_3959); } 
{ /* Reduce/1occ.scm 335 */
long BgL_offsetz00_3365;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3962;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3963;
BgL_auxz00_3963 = 
(int)(BgL_objzd2classzd2numz00_3360); 
BgL_auxz00_3962 = 
(long)(BgL_auxz00_3963); } 
BgL_offsetz00_3365 = 
(BgL_auxz00_3962-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 335 */
long BgL_modz00_3366;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3967;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3968;
BgL_auxz00_3968 = 
(int)(((long)8)); 
BgL_auxz00_3967 = 
(long)(BgL_auxz00_3968); } 
BgL_modz00_3366 = 
(BgL_offsetz00_3365/BgL_auxz00_3967); } 
{ /* Reduce/1occ.scm 335 */
long BgL_restz00_3368;
{ /* Reduce/1occ.scm 335 */
long BgL_auxz00_3972;
{ /* Reduce/1occ.scm 335 */
int BgL_auxz00_3973;
BgL_auxz00_3973 = 
(int)(((long)8)); 
BgL_auxz00_3972 = 
(long)(BgL_auxz00_3973); } 
BgL_restz00_3368 = 
(BgL_offsetz00_3365%BgL_auxz00_3972); } 
{ /* Reduce/1occ.scm 335 */

{ /* Reduce/1occ.scm 335 */
obj_t BgL_bucketz00_3370;
{ /* Reduce/1occ.scm 335 */
int BgL_kz00_3380;
BgL_kz00_3380 = 
(int)(BgL_modz00_3366); 
BgL_bucketz00_3370 = 
VECTOR_REF(BgL_arg1904z00_3361,BgL_kz00_3380); } 
{ /* Reduce/1occ.scm 335 */
int BgL_kz00_3382;
BgL_kz00_3382 = 
(int)(BgL_restz00_3368); 
BgL_method2746z00_3358 = 
VECTOR_REF(BgL_bucketz00_3370,BgL_kz00_3382); } } } } } } } } 
BgL_resetz72z72_1991 = 
PROCEDURE_ENTRY(BgL_method2746z00_3358)(BgL_method2746z00_3358, 
(obj_t)(BgL_arg3661z00_1996), BgL_1zd2expza2z72z02_1990, BEOA); } } 
{ /* Reduce/1occ.scm 336 */
obj_t BgL_nvaluez00_1992;
{ /* Reduce/1occ.scm 336 */
int BgL_auxz00_3984;
BgL_auxz00_3984 = 
(int)(((long)1)); 
BgL_nvaluez00_1992 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_3984); } 
{ /* Reduce/1occ.scm 336 */
BgL_nodez00_bglt BgL_val2539z00_3385;
BgL_val2539z00_3385 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1992); 
((((BgL_jumpzd2exzd2itz00_bglt)CREF(BgL_nodez00_1983))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2539z00_3385), BUNSPEC); } 
{ /* Reduce/1occ.scm 337 */
obj_t BgL_val0_2725z00_1993;
if(
CBOOL(BgL_resetz00_1988))
{ /* Reduce/1occ.scm 337 */
BgL_val0_2725z00_1993 = BgL_resetz00_1988; }  else 
{ /* Reduce/1occ.scm 337 */
BgL_val0_2725z00_1993 = BgL_resetz72z72_1991; } 
{ /* Reduce/1occ.scm 337 */
int BgL_auxz00_3991;
BgL_auxz00_3991 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_3991); } 
{ /* Reduce/1occ.scm 337 */
obj_t BgL_auxz00_3996;int BgL_auxz00_3994;
BgL_auxz00_3996 = 
(obj_t)(BgL_nodez00_1983); 
BgL_auxz00_3994 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_3994, BgL_auxz00_3996); } 
return BgL_val0_2725z00_1993;} } } } } } } } 
}



/* node-1occ!-set-ex-it2778 */
obj_t BGl_nodezd21occz12zd2setzd2exzd2it2778z12zzreduce_1occz00(obj_t BgL_envz00_3538, obj_t BgL_nodez00_3539, obj_t BgL_1zd2expza2z70_3540)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 318 */
{ 
BgL_setzd2exzd2itz00_bglt BgL_nodez00_1971;obj_t BgL_1zd2expza2z70_1972;
BgL_nodez00_1971 = 
(BgL_setzd2exzd2itz00_bglt)(BgL_nodez00_3539); 
BgL_1zd2expza2z70_1972 = BgL_1zd2expza2z70_3540; 
{ /* Reduce/1occ.scm 320 */
obj_t BgL_resetz00_1976;
{ /* Reduce/1occ.scm 321 */
BgL_nodez00_bglt BgL_arg3646z00_1980;
BgL_arg3646z00_1980 = 
(((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 321 */
obj_t BgL_method2746z00_3293;
{ /* Reduce/1occ.scm 321 */
long BgL_objzd2classzd2numz00_3295;
{ /* Reduce/1occ.scm 321 */
BgL_objectz00_bglt BgL_auxz00_4001;
BgL_auxz00_4001 = 
(BgL_objectz00_bglt)(BgL_arg3646z00_1980); 
BgL_objzd2classzd2numz00_3295 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4001); } 
{ /* Reduce/1occ.scm 321 */
obj_t BgL_arg1904z00_3296;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_4004;
BgL_auxz00_4004 = 
(int)(((long)1)); 
BgL_arg1904z00_3296 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4004); } 
{ /* Reduce/1occ.scm 321 */
long BgL_offsetz00_3300;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_4007;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_4008;
BgL_auxz00_4008 = 
(int)(BgL_objzd2classzd2numz00_3295); 
BgL_auxz00_4007 = 
(long)(BgL_auxz00_4008); } 
BgL_offsetz00_3300 = 
(BgL_auxz00_4007-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 321 */
long BgL_modz00_3301;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_4012;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_4013;
BgL_auxz00_4013 = 
(int)(((long)8)); 
BgL_auxz00_4012 = 
(long)(BgL_auxz00_4013); } 
BgL_modz00_3301 = 
(BgL_offsetz00_3300/BgL_auxz00_4012); } 
{ /* Reduce/1occ.scm 321 */
long BgL_restz00_3303;
{ /* Reduce/1occ.scm 321 */
long BgL_auxz00_4017;
{ /* Reduce/1occ.scm 321 */
int BgL_auxz00_4018;
BgL_auxz00_4018 = 
(int)(((long)8)); 
BgL_auxz00_4017 = 
(long)(BgL_auxz00_4018); } 
BgL_restz00_3303 = 
(BgL_offsetz00_3300%BgL_auxz00_4017); } 
{ /* Reduce/1occ.scm 321 */

{ /* Reduce/1occ.scm 321 */
obj_t BgL_bucketz00_3305;
{ /* Reduce/1occ.scm 321 */
int BgL_kz00_3315;
BgL_kz00_3315 = 
(int)(BgL_modz00_3301); 
BgL_bucketz00_3305 = 
VECTOR_REF(BgL_arg1904z00_3296,BgL_kz00_3315); } 
{ /* Reduce/1occ.scm 321 */
int BgL_kz00_3317;
BgL_kz00_3317 = 
(int)(BgL_restz00_3303); 
BgL_method2746z00_3293 = 
VECTOR_REF(BgL_bucketz00_3305,BgL_kz00_3317); } } } } } } } } 
BgL_resetz00_1976 = 
PROCEDURE_ENTRY(BgL_method2746z00_3293)(BgL_method2746z00_3293, 
(obj_t)(BgL_arg3646z00_1980), BgL_1zd2expza2z70_1972, BEOA); } } 
{ /* Reduce/1occ.scm 322 */
obj_t BgL_nbodyz00_1977;
{ /* Reduce/1occ.scm 322 */
int BgL_auxz00_4029;
BgL_auxz00_4029 = 
(int)(((long)1)); 
BgL_nbodyz00_1977 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4029); } 
{ /* Reduce/1occ.scm 322 */
BgL_nodez00_bglt BgL_val2511z00_3320;
BgL_val2511z00_3320 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1977); 
((((BgL_setzd2exzd2itz00_bglt)CREF(BgL_nodez00_1971))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2511z00_3320), BUNSPEC); } 
{ /* Reduce/1occ.scm 323 */
int BgL_auxz00_4034;
BgL_auxz00_4034 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4034); } 
{ /* Reduce/1occ.scm 323 */
obj_t BgL_auxz00_4039;int BgL_auxz00_4037;
BgL_auxz00_4039 = 
(obj_t)(BgL_nodez00_1971); 
BgL_auxz00_4037 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4037, BgL_auxz00_4039); } 
return BgL_resetz00_1976;} } } } 
}



/* node-1occ!-let-var2776 */
obj_t BGl_nodezd21occz12zd2letzd2var2776zc0zzreduce_1occz00(obj_t BgL_envz00_3541, obj_t BgL_nodez00_3542, obj_t BgL_1zd2expza2z70_3543)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 231 */
{ 
BgL_letzd2varzd2_bglt BgL_nodez00_1891;obj_t BgL_1zd2expza2z70_1892;
BgL_nodez00_1891 = 
(BgL_letzd2varzd2_bglt)(BgL_nodez00_3542); 
BgL_1zd2expza2z70_1892 = BgL_1zd2expza2z70_3543; 
{ 
obj_t BgL_obindingsz00_1896;bool_t BgL_resetz00_1897;obj_t BgL_extendz00_1898;
BgL_obindingsz00_1896 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00); 
BgL_resetz00_1897 = ((bool_t)0); 
BgL_extendz00_1898 = BNIL; 
BgL_loopz00_1899:
if(
NULLP(BgL_obindingsz00_1896))
{ /* Reduce/1occ.scm 236 */
if(BgL_resetz00_1897)
{ /* Reduce/1occ.scm 238 */
obj_t BgL_resetz72z72_1903;
{ /* Reduce/1occ.scm 239 */
BgL_nodez00_bglt BgL_arg3512z00_1907;
BgL_arg3512z00_1907 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 239 */
obj_t BgL_method2746z00_3159;
{ /* Reduce/1occ.scm 239 */
long BgL_objzd2classzd2numz00_3161;
{ /* Reduce/1occ.scm 239 */
BgL_objectz00_bglt BgL_auxz00_4047;
BgL_auxz00_4047 = 
(BgL_objectz00_bglt)(BgL_arg3512z00_1907); 
BgL_objzd2classzd2numz00_3161 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4047); } 
{ /* Reduce/1occ.scm 239 */
obj_t BgL_arg1904z00_3162;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_4050;
BgL_auxz00_4050 = 
(int)(((long)1)); 
BgL_arg1904z00_3162 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4050); } 
{ /* Reduce/1occ.scm 239 */
long BgL_offsetz00_3166;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_4053;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_4054;
BgL_auxz00_4054 = 
(int)(BgL_objzd2classzd2numz00_3161); 
BgL_auxz00_4053 = 
(long)(BgL_auxz00_4054); } 
BgL_offsetz00_3166 = 
(BgL_auxz00_4053-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 239 */
long BgL_modz00_3167;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_4058;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_4059;
BgL_auxz00_4059 = 
(int)(((long)8)); 
BgL_auxz00_4058 = 
(long)(BgL_auxz00_4059); } 
BgL_modz00_3167 = 
(BgL_offsetz00_3166/BgL_auxz00_4058); } 
{ /* Reduce/1occ.scm 239 */
long BgL_restz00_3169;
{ /* Reduce/1occ.scm 239 */
long BgL_auxz00_4063;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_4064;
BgL_auxz00_4064 = 
(int)(((long)8)); 
BgL_auxz00_4063 = 
(long)(BgL_auxz00_4064); } 
BgL_restz00_3169 = 
(BgL_offsetz00_3166%BgL_auxz00_4063); } 
{ /* Reduce/1occ.scm 239 */

{ /* Reduce/1occ.scm 239 */
obj_t BgL_bucketz00_3171;
{ /* Reduce/1occ.scm 239 */
int BgL_kz00_3181;
BgL_kz00_3181 = 
(int)(BgL_modz00_3167); 
BgL_bucketz00_3171 = 
VECTOR_REF(BgL_arg1904z00_3162,BgL_kz00_3181); } 
{ /* Reduce/1occ.scm 239 */
int BgL_kz00_3183;
BgL_kz00_3183 = 
(int)(BgL_restz00_3169); 
BgL_method2746z00_3159 = 
VECTOR_REF(BgL_bucketz00_3171,BgL_kz00_3183); } } } } } } } } 
BgL_resetz72z72_1903 = 
PROCEDURE_ENTRY(BgL_method2746z00_3159)(BgL_method2746z00_3159, 
(obj_t)(BgL_arg3512z00_1907), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 239 */
obj_t BgL_nbodyz00_1904;
{ /* Reduce/1occ.scm 239 */
int BgL_auxz00_4075;
BgL_auxz00_4075 = 
(int)(((long)1)); 
BgL_nbodyz00_1904 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4075); } 
{ /* Reduce/1occ.scm 240 */
BgL_nodez00_bglt BgL_val2471z00_3186;
BgL_val2471z00_3186 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1904); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2471z00_3186), BUNSPEC); } 
{ /* Reduce/1occ.scm 241 */
int BgL_auxz00_4080;
BgL_auxz00_4080 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4080); } 
{ /* Reduce/1occ.scm 241 */
obj_t BgL_auxz00_4085;int BgL_auxz00_4083;
BgL_auxz00_4085 = 
(obj_t)(BgL_nodez00_1891); 
BgL_auxz00_4083 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4083, BgL_auxz00_4085); } 
return BTRUE;} }  else 
{ /* Reduce/1occ.scm 242 */
obj_t BgL_1zd2expza2z72z02_1909;
BgL_1zd2expza2z72z02_1909 = 
bgl_append2(BgL_extendz00_1898, BgL_1zd2expza2z70_1892); 
{ /* Reduce/1occ.scm 243 */
obj_t BgL_resetz72z72_1910;
{ /* Reduce/1occ.scm 244 */
BgL_nodez00_bglt BgL_arg3569z00_1938;
BgL_arg3569z00_1938 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 244 */
obj_t BgL_method2746z00_3193;
{ /* Reduce/1occ.scm 244 */
long BgL_objzd2classzd2numz00_3195;
{ /* Reduce/1occ.scm 244 */
BgL_objectz00_bglt BgL_auxz00_4090;
BgL_auxz00_4090 = 
(BgL_objectz00_bglt)(BgL_arg3569z00_1938); 
BgL_objzd2classzd2numz00_3195 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4090); } 
{ /* Reduce/1occ.scm 244 */
obj_t BgL_arg1904z00_3196;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_4093;
BgL_auxz00_4093 = 
(int)(((long)1)); 
BgL_arg1904z00_3196 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4093); } 
{ /* Reduce/1occ.scm 244 */
long BgL_offsetz00_3200;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_4096;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_4097;
BgL_auxz00_4097 = 
(int)(BgL_objzd2classzd2numz00_3195); 
BgL_auxz00_4096 = 
(long)(BgL_auxz00_4097); } 
BgL_offsetz00_3200 = 
(BgL_auxz00_4096-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 244 */
long BgL_modz00_3201;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_4101;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_4102;
BgL_auxz00_4102 = 
(int)(((long)8)); 
BgL_auxz00_4101 = 
(long)(BgL_auxz00_4102); } 
BgL_modz00_3201 = 
(BgL_offsetz00_3200/BgL_auxz00_4101); } 
{ /* Reduce/1occ.scm 244 */
long BgL_restz00_3203;
{ /* Reduce/1occ.scm 244 */
long BgL_auxz00_4106;
{ /* Reduce/1occ.scm 244 */
int BgL_auxz00_4107;
BgL_auxz00_4107 = 
(int)(((long)8)); 
BgL_auxz00_4106 = 
(long)(BgL_auxz00_4107); } 
BgL_restz00_3203 = 
(BgL_offsetz00_3200%BgL_auxz00_4106); } 
{ /* Reduce/1occ.scm 244 */

{ /* Reduce/1occ.scm 244 */
obj_t BgL_bucketz00_3205;
{ /* Reduce/1occ.scm 244 */
int BgL_kz00_3215;
BgL_kz00_3215 = 
(int)(BgL_modz00_3201); 
BgL_bucketz00_3205 = 
VECTOR_REF(BgL_arg1904z00_3196,BgL_kz00_3215); } 
{ /* Reduce/1occ.scm 244 */
int BgL_kz00_3217;
BgL_kz00_3217 = 
(int)(BgL_restz00_3203); 
BgL_method2746z00_3193 = 
VECTOR_REF(BgL_bucketz00_3205,BgL_kz00_3217); } } } } } } } } 
BgL_resetz72z72_1910 = 
PROCEDURE_ENTRY(BgL_method2746z00_3193)(BgL_method2746z00_3193, 
(obj_t)(BgL_arg3569z00_1938), BgL_1zd2expza2z72z02_1909, BEOA); } } 
{ /* Reduce/1occ.scm 245 */
obj_t BgL_nbodyz00_1911;
{ /* Reduce/1occ.scm 245 */
int BgL_auxz00_4118;
BgL_auxz00_4118 = 
(int)(((long)1)); 
BgL_nbodyz00_1911 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4118); } 
{ /* Reduce/1occ.scm 245 */
BgL_nodez00_bglt BgL_val2471z00_3220;
BgL_val2471z00_3220 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1911); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2471z00_3220), BUNSPEC); } 
{ 
obj_t BgL_obindingsz00_1912;obj_t BgL_nbindingsz00_1913;
BgL_obindingsz00_1912 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00); 
BgL_nbindingsz00_1913 = BNIL; 
BgL_loopz00_1914:
if(
NULLP(BgL_obindingsz00_1912))
{ /* Reduce/1occ.scm 251 */
{ /* Reduce/1occ.scm 252 */
bool_t BgL_testz00_4125;
if(
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_removablezf3zf3))
{ /* Reduce/1occ.scm 252 */
BgL_testz00_4125 = 
NULLP(BgL_nbindingsz00_1913)
; }  else 
{ /* Reduce/1occ.scm 252 */
BgL_testz00_4125 = ((bool_t)0)
; } 
if(BgL_testz00_4125)
{ /* Reduce/1occ.scm 252 */
{ /* Reduce/1occ.scm 258 */
BgL_nodez00_bglt BgL_val1_2715z00_1920;
BgL_val1_2715z00_1920 = 
(((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 258 */
int BgL_auxz00_4130;
BgL_auxz00_4130 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4130); } 
{ /* Reduce/1occ.scm 258 */
obj_t BgL_auxz00_4135;int BgL_auxz00_4133;
BgL_auxz00_4135 = 
(obj_t)(BgL_val1_2715z00_1920); 
BgL_auxz00_4133 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4133, BgL_auxz00_4135); } 
return BgL_resetz72z72_1910;} }  else 
{ /* Reduce/1occ.scm 252 */
{ /* Reduce/1occ.scm 260 */
obj_t BgL_arg3528z00_1921;
BgL_arg3528z00_1921 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BgL_nbindingsz00_1913); 
((((BgL_letzd2varzd2_bglt)CREF(BgL_nodez00_1891))->BgL_bindingsz00) = ((obj_t)BgL_arg3528z00_1921), BUNSPEC); } 
{ /* Reduce/1occ.scm 261 */
int BgL_auxz00_4140;
BgL_auxz00_4140 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4140); } 
{ /* Reduce/1occ.scm 261 */
obj_t BgL_auxz00_4145;int BgL_auxz00_4143;
BgL_auxz00_4145 = 
(obj_t)(BgL_nodez00_1891); 
BgL_auxz00_4143 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4143, BgL_auxz00_4145); } 
return BgL_resetz72z72_1910;} } }  else 
{ /* Reduce/1occ.scm 262 */
bool_t BgL_test3536z00_1925;
{ /* Reduce/1occ.scm 264 */
bool_t BgL_testz00_4148;
{ /* Reduce/1occ.scm 264 */
long BgL_auxz00_4149;
{ /* Reduce/1occ.scm 264 */
BgL_localz00_bglt BgL_obj1268z00_3238;
{ /* Reduce/1occ.scm 264 */
obj_t BgL_auxz00_4150;
{ /* Reduce/1occ.scm 262 */
obj_t BgL_auxz00_4151;
BgL_auxz00_4151 = 
CAR(BgL_obindingsz00_1912); 
BgL_auxz00_4150 = 
CAR(BgL_auxz00_4151); } 
BgL_obj1268z00_3238 = 
(BgL_localz00_bglt)(BgL_auxz00_4150); } 
BgL_auxz00_4149 = 
(((BgL_localz00_bglt)CREF(BgL_obj1268z00_3238))->BgL_occurrencez00); } 
BgL_testz00_4148 = 
(BgL_auxz00_4149==((long)0)); } 
if(BgL_testz00_4148)
{ /* Reduce/1occ.scm 265 */
bool_t BgL_test3551z00_1933;
{ /* Reduce/1occ.scm 265 */
BgL_nodez00_bglt BgL_auxz00_4157;
{ /* Reduce/1occ.scm 265 */
obj_t BgL_auxz00_4158;
{ /* Reduce/1occ.scm 263 */
obj_t BgL_auxz00_4159;
BgL_auxz00_4159 = 
CAR(BgL_obindingsz00_1912); 
BgL_auxz00_4158 = 
CDR(BgL_auxz00_4159); } 
BgL_auxz00_4157 = 
(BgL_nodez00_bglt)(BgL_auxz00_4158); } 
BgL_test3551z00_1933 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(BgL_auxz00_4157); } 
if(BgL_test3551z00_1933)
{ /* Reduce/1occ.scm 265 */
BgL_test3536z00_1925 = ((bool_t)0); }  else 
{ /* Reduce/1occ.scm 265 */
BgL_test3536z00_1925 = ((bool_t)1); } }  else 
{ /* Reduce/1occ.scm 264 */
BgL_test3536z00_1925 = ((bool_t)0); } } 
if(BgL_test3536z00_1925)
{ /* Reduce/1occ.scm 262 */
{ 
obj_t BgL_obindingsz00_4166;
BgL_obindingsz00_4166 = 
CDR(BgL_obindingsz00_1912); 
BgL_obindingsz00_1912 = BgL_obindingsz00_4166; 
goto BgL_loopz00_1914;} }  else 
{ /* Reduce/1occ.scm 262 */
{ /* Reduce/1occ.scm 272 */
obj_t BgL_arg3542z00_1927;obj_t BgL_arg3544z00_1928;
BgL_arg3542z00_1927 = 
CDR(BgL_obindingsz00_1912); 
{ /* Reduce/1occ.scm 273 */
obj_t BgL_auxz00_4169;
BgL_auxz00_4169 = 
CAR(BgL_obindingsz00_1912); 
BgL_arg3544z00_1928 = 
MAKE_PAIR(BgL_auxz00_4169, BgL_nbindingsz00_1913); } 
{ 
obj_t BgL_nbindingsz00_4173;obj_t BgL_obindingsz00_4172;
BgL_obindingsz00_4172 = BgL_arg3542z00_1927; 
BgL_nbindingsz00_4173 = BgL_arg3544z00_1928; 
BgL_nbindingsz00_1913 = BgL_nbindingsz00_4173; 
BgL_obindingsz00_1912 = BgL_obindingsz00_4172; 
goto BgL_loopz00_1914;} } } } } } } } }  else 
{ /* Reduce/1occ.scm 274 */
obj_t BgL_bindingz00_1939;
BgL_bindingz00_1939 = 
CAR(BgL_obindingsz00_1896); 
{ /* Reduce/1occ.scm 275 */
obj_t BgL_varz00_1940;obj_t BgL_valz00_1941;
BgL_varz00_1940 = 
CAR(BgL_bindingz00_1939); 
BgL_valz00_1941 = 
CDR(BgL_bindingz00_1939); 
{ /* Reduce/1occ.scm 277 */
obj_t BgL_resetz72z72_1942;
{ /* Reduce/1occ.scm 278 */
BgL_nodez00_bglt BgL_nodez00_3247;
BgL_nodez00_3247 = 
(BgL_nodez00_bglt)(BgL_valz00_1941); 
{ /* Reduce/1occ.scm 278 */
obj_t BgL_method2746z00_3249;
{ /* Reduce/1occ.scm 278 */
long BgL_objzd2classzd2numz00_3251;
{ /* Reduce/1occ.scm 278 */
BgL_objectz00_bglt BgL_auxz00_4179;
BgL_auxz00_4179 = 
(BgL_objectz00_bglt)(BgL_nodez00_3247); 
BgL_objzd2classzd2numz00_3251 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4179); } 
{ /* Reduce/1occ.scm 278 */
obj_t BgL_arg1904z00_3252;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4182;
BgL_auxz00_4182 = 
(int)(((long)1)); 
BgL_arg1904z00_3252 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4182); } 
{ /* Reduce/1occ.scm 278 */
long BgL_offsetz00_3256;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4185;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4186;
BgL_auxz00_4186 = 
(int)(BgL_objzd2classzd2numz00_3251); 
BgL_auxz00_4185 = 
(long)(BgL_auxz00_4186); } 
BgL_offsetz00_3256 = 
(BgL_auxz00_4185-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 278 */
long BgL_modz00_3257;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4190;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4191;
BgL_auxz00_4191 = 
(int)(((long)8)); 
BgL_auxz00_4190 = 
(long)(BgL_auxz00_4191); } 
BgL_modz00_3257 = 
(BgL_offsetz00_3256/BgL_auxz00_4190); } 
{ /* Reduce/1occ.scm 278 */
long BgL_restz00_3259;
{ /* Reduce/1occ.scm 278 */
long BgL_auxz00_4195;
{ /* Reduce/1occ.scm 278 */
int BgL_auxz00_4196;
BgL_auxz00_4196 = 
(int)(((long)8)); 
BgL_auxz00_4195 = 
(long)(BgL_auxz00_4196); } 
BgL_restz00_3259 = 
(BgL_offsetz00_3256%BgL_auxz00_4195); } 
{ /* Reduce/1occ.scm 278 */

{ /* Reduce/1occ.scm 278 */
obj_t BgL_bucketz00_3261;
{ /* Reduce/1occ.scm 278 */
int BgL_kz00_3271;
BgL_kz00_3271 = 
(int)(BgL_modz00_3257); 
BgL_bucketz00_3261 = 
VECTOR_REF(BgL_arg1904z00_3252,BgL_kz00_3271); } 
{ /* Reduce/1occ.scm 278 */
int BgL_kz00_3273;
BgL_kz00_3273 = 
(int)(BgL_restz00_3259); 
BgL_method2746z00_3249 = 
VECTOR_REF(BgL_bucketz00_3261,BgL_kz00_3273); } } } } } } } } 
BgL_resetz72z72_1942 = 
PROCEDURE_ENTRY(BgL_method2746z00_3249)(BgL_method2746z00_3249, 
(obj_t)(BgL_nodez00_3247), BgL_1zd2expza2z70_1892, BEOA); } } 
{ /* Reduce/1occ.scm 279 */
obj_t BgL_nvalz00_1943;
{ /* Reduce/1occ.scm 279 */
int BgL_auxz00_4207;
BgL_auxz00_4207 = 
(int)(((long)1)); 
BgL_nvalz00_1943 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4207); } 
SET_CDR(BgL_bindingz00_1939, BgL_nvalz00_1943); 
{ /* Reduce/1occ.scm 281 */
bool_t BgL_testz00_4211;
if(BgL_resetz00_1897)
{ /* Reduce/1occ.scm 281 */
BgL_testz00_4211 = ((bool_t)1)
; }  else 
{ /* Reduce/1occ.scm 281 */
BgL_testz00_4211 = 
CBOOL(BgL_resetz72z72_1942)
; } 
if(BgL_testz00_4211)
{ /* Reduce/1occ.scm 281 */
{ 
obj_t BgL_extendz00_4217;bool_t BgL_resetz00_4216;obj_t BgL_obindingsz00_4214;
BgL_obindingsz00_4214 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4216 = ((bool_t)1); 
BgL_extendz00_4217 = BNIL; 
BgL_extendz00_1898 = BgL_extendz00_4217; 
BgL_resetz00_1897 = BgL_resetz00_4216; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4214; 
goto BgL_loopz00_1899;} }  else 
{ /* Reduce/1occ.scm 285 */
bool_t BgL_test3580z00_1947;
{ /* Reduce/1occ.scm 285 */
obj_t BgL_auxz00_4221;obj_t BgL_auxz00_4218;
BgL_auxz00_4221 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/1occ.scm 285 */
BgL_localz00_bglt BgL_obj1259z00_3278;
BgL_obj1259z00_3278 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4218 = 
(((BgL_localz00_bglt)CREF(BgL_obj1259z00_3278))->BgL_accessz00); } 
BgL_test3580z00_1947 = 
(BgL_auxz00_4218==BgL_auxz00_4221); } 
if(BgL_test3580z00_1947)
{ /* Reduce/1occ.scm 289 */
bool_t BgL_test3581z00_1948;
{ /* Reduce/1occ.scm 289 */
bool_t BgL_testz00_4225;
{ /* Reduce/1occ.scm 289 */
long BgL_auxz00_4226;
{ /* Reduce/1occ.scm 289 */
BgL_localz00_bglt BgL_obj1268z00_3279;
BgL_obj1268z00_3279 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4226 = 
(((BgL_localz00_bglt)CREF(BgL_obj1268z00_3279))->BgL_occurrencez00); } 
BgL_testz00_4225 = 
(BgL_auxz00_4226==((long)1)); } 
if(BgL_testz00_4225)
{ /* Reduce/1occ.scm 289 */
if(BgL_test3580z00_1947)
{ /* Reduce/1occ.scm 291 */
bool_t BgL_test3608z00_1961;
BgL_test3608z00_1961 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_valz00_1941)); 
if(BgL_test3608z00_1961)
{ /* Reduce/1occ.scm 291 */
BgL_test3581z00_1948 = ((bool_t)0); }  else 
{ /* Reduce/1occ.scm 291 */
BgL_test3581z00_1948 = ((bool_t)1); } }  else 
{ /* Reduce/1occ.scm 290 */
BgL_test3581z00_1948 = ((bool_t)0); } }  else 
{ /* Reduce/1occ.scm 289 */
BgL_test3581z00_1948 = ((bool_t)0); } } 
if(BgL_test3581z00_1948)
{ /* Reduce/1occ.scm 289 */
{ /* Reduce/1occ.scm 298 */
obj_t BgL_arg3583z00_1949;obj_t BgL_arg3584z00_1950;
BgL_arg3583z00_1949 = 
CDR(BgL_obindingsz00_1896); 
BgL_arg3584z00_1950 = 
MAKE_PAIR(BgL_bindingz00_1939, BgL_extendz00_1898); 
{ 
obj_t BgL_extendz00_4239;bool_t BgL_resetz00_4238;obj_t BgL_obindingsz00_4237;
BgL_obindingsz00_4237 = BgL_arg3583z00_1949; 
BgL_resetz00_4238 = ((bool_t)0); 
BgL_extendz00_4239 = BgL_arg3584z00_1950; 
BgL_extendz00_1898 = BgL_extendz00_4239; 
BgL_resetz00_1897 = BgL_resetz00_4238; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4237; 
goto BgL_loopz00_1899;} } }  else 
{ /* Reduce/1occ.scm 289 */
{ /* Reduce/1occ.scm 302 */
bool_t BgL_test3588z00_1951;
{ /* Reduce/1occ.scm 302 */
bool_t BgL_testz00_4240;
{ /* Reduce/1occ.scm 302 */
long BgL_auxz00_4241;
{ /* Reduce/1occ.scm 302 */
BgL_localz00_bglt BgL_obj1268z00_3284;
BgL_obj1268z00_3284 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4241 = 
(((BgL_localz00_bglt)CREF(BgL_obj1268z00_3284))->BgL_occurrencez00); } 
BgL_testz00_4240 = 
(BgL_auxz00_4241==((long)1)); } 
if(BgL_testz00_4240)
{ /* Reduce/1occ.scm 303 */
bool_t BgL_testz00_4245;
{ /* Reduce/1occ.scm 303 */
obj_t BgL_auxz00_4249;obj_t BgL_auxz00_4246;
BgL_auxz00_4249 = 
CNST_TABLE_REF(((long)0)); 
{ /* Reduce/1occ.scm 303 */
BgL_localz00_bglt BgL_obj1259z00_3287;
BgL_obj1259z00_3287 = 
(BgL_localz00_bglt)(BgL_varz00_1940); 
BgL_auxz00_4246 = 
(((BgL_localz00_bglt)CREF(BgL_obj1259z00_3287))->BgL_accessz00); } 
BgL_testz00_4245 = 
(BgL_auxz00_4246==BgL_auxz00_4249); } 
if(BgL_testz00_4245)
{ /* Reduce/1occ.scm 303 */
BgL_test3588z00_1951 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_valz00_1941)); }  else 
{ /* Reduce/1occ.scm 303 */
BgL_test3588z00_1951 = ((bool_t)0); } }  else 
{ /* Reduce/1occ.scm 302 */
BgL_test3588z00_1951 = ((bool_t)0); } } 
if(BgL_test3588z00_1951)
{ /* Reduce/1occ.scm 302 */BNIL; }  else 
{ /* Reduce/1occ.scm 302 */BFALSE; } } 
{ 
bool_t BgL_resetz00_4257;obj_t BgL_obindingsz00_4255;
BgL_obindingsz00_4255 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4257 = ((bool_t)0); 
BgL_resetz00_1897 = BgL_resetz00_4257; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4255; 
goto BgL_loopz00_1899;} } }  else 
{ /* Reduce/1occ.scm 285 */
{ 
bool_t BgL_resetz00_4260;obj_t BgL_obindingsz00_4258;
BgL_obindingsz00_4258 = 
CDR(BgL_obindingsz00_1896); 
BgL_resetz00_4260 = ((bool_t)0); 
BgL_resetz00_1897 = BgL_resetz00_4260; 
BgL_obindingsz00_1896 = BgL_obindingsz00_4258; 
goto BgL_loopz00_1899;} } } } } } } } } } } 
}



/* node-1occ!-let-fun2774 */
obj_t BGl_nodezd21occz12zd2letzd2fun2774zc0zzreduce_1occz00(obj_t BgL_envz00_3544, obj_t BgL_nodez00_3545, obj_t BgL_1zd2expza2z70_3546)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 212 */
{ 
BgL_letzd2funzd2_bglt BgL_nodez00_1865;obj_t BgL_1zd2expza2z70_1866;
BgL_nodez00_1865 = 
(BgL_letzd2funzd2_bglt)(BgL_nodez00_3545); 
BgL_1zd2expza2z70_1866 = BgL_1zd2expza2z70_3546; 
{ /* Reduce/1occ.scm 214 */
obj_t BgL_resetz00_1870;
{ /* Reduce/1occ.scm 215 */
BgL_nodez00_bglt BgL_arg3492z00_1888;
BgL_arg3492z00_1888 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_bodyz00); 
{ /* Reduce/1occ.scm 215 */
obj_t BgL_method2746z00_3087;
{ /* Reduce/1occ.scm 215 */
long BgL_objzd2classzd2numz00_3089;
{ /* Reduce/1occ.scm 215 */
BgL_objectz00_bglt BgL_auxz00_4264;
BgL_auxz00_4264 = 
(BgL_objectz00_bglt)(BgL_arg3492z00_1888); 
BgL_objzd2classzd2numz00_3089 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4264); } 
{ /* Reduce/1occ.scm 215 */
obj_t BgL_arg1904z00_3090;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4267;
BgL_auxz00_4267 = 
(int)(((long)1)); 
BgL_arg1904z00_3090 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4267); } 
{ /* Reduce/1occ.scm 215 */
long BgL_offsetz00_3094;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4270;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4271;
BgL_auxz00_4271 = 
(int)(BgL_objzd2classzd2numz00_3089); 
BgL_auxz00_4270 = 
(long)(BgL_auxz00_4271); } 
BgL_offsetz00_3094 = 
(BgL_auxz00_4270-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 215 */
long BgL_modz00_3095;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4275;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4276;
BgL_auxz00_4276 = 
(int)(((long)8)); 
BgL_auxz00_4275 = 
(long)(BgL_auxz00_4276); } 
BgL_modz00_3095 = 
(BgL_offsetz00_3094/BgL_auxz00_4275); } 
{ /* Reduce/1occ.scm 215 */
long BgL_restz00_3097;
{ /* Reduce/1occ.scm 215 */
long BgL_auxz00_4280;
{ /* Reduce/1occ.scm 215 */
int BgL_auxz00_4281;
BgL_auxz00_4281 = 
(int)(((long)8)); 
BgL_auxz00_4280 = 
(long)(BgL_auxz00_4281); } 
BgL_restz00_3097 = 
(BgL_offsetz00_3094%BgL_auxz00_4280); } 
{ /* Reduce/1occ.scm 215 */

{ /* Reduce/1occ.scm 215 */
obj_t BgL_bucketz00_3099;
{ /* Reduce/1occ.scm 215 */
int BgL_kz00_3109;
BgL_kz00_3109 = 
(int)(BgL_modz00_3095); 
BgL_bucketz00_3099 = 
VECTOR_REF(BgL_arg1904z00_3090,BgL_kz00_3109); } 
{ /* Reduce/1occ.scm 215 */
int BgL_kz00_3111;
BgL_kz00_3111 = 
(int)(BgL_restz00_3097); 
BgL_method2746z00_3087 = 
VECTOR_REF(BgL_bucketz00_3099,BgL_kz00_3111); } } } } } } } } 
BgL_resetz00_1870 = 
PROCEDURE_ENTRY(BgL_method2746z00_3087)(BgL_method2746z00_3087, 
(obj_t)(BgL_arg3492z00_1888), BgL_1zd2expza2z70_1866, BEOA); } } 
{ /* Reduce/1occ.scm 216 */
obj_t BgL_nbodyz00_1871;
{ /* Reduce/1occ.scm 216 */
int BgL_auxz00_4292;
BgL_auxz00_4292 = 
(int)(((long)1)); 
BgL_nbodyz00_1871 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4292); } 
{ /* Reduce/1occ.scm 216 */
BgL_nodez00_bglt BgL_val2431z00_3114;
BgL_val2431z00_3114 = 
(BgL_nodez00_bglt)(BgL_nbodyz00_1871); 
((((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_bodyz00) = ((BgL_nodez00_bglt)BgL_val2431z00_3114), BUNSPEC); } 
{ 
obj_t BgL_localsz00_1872;obj_t BgL_resetz00_1873;
BgL_localsz00_1872 = 
(((BgL_letzd2funzd2_bglt)CREF(BgL_nodez00_1865))->BgL_localsz00); 
BgL_resetz00_1873 = BgL_resetz00_1870; 
BgL_loopz00_1874:
if(
NULLP(BgL_localsz00_1872))
{ /* Reduce/1occ.scm 219 */
{ /* Reduce/1occ.scm 220 */
int BgL_auxz00_4299;
BgL_auxz00_4299 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4299); } 
{ /* Reduce/1occ.scm 220 */
obj_t BgL_auxz00_4304;int BgL_auxz00_4302;
BgL_auxz00_4304 = 
(obj_t)(BgL_nodez00_1865); 
BgL_auxz00_4302 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4302, BgL_auxz00_4304); } 
return BgL_resetz00_1873;}  else 
{ /* Reduce/1occ.scm 221 */
BgL_valuez00_bglt BgL_sfunz00_1880;
{ /* Reduce/1occ.scm 222 */
BgL_localz00_bglt BgL_obj1256z00_3121;
{ /* Reduce/1occ.scm 222 */
obj_t BgL_auxz00_4307;
BgL_auxz00_4307 = 
CAR(BgL_localsz00_1872); 
BgL_obj1256z00_3121 = 
(BgL_localz00_bglt)(BgL_auxz00_4307); } 
BgL_sfunz00_1880 = 
(((BgL_localz00_bglt)CREF(BgL_obj1256z00_3121))->BgL_valuez00); } 
{ /* Reduce/1occ.scm 222 */

{ /* Reduce/1occ.scm 223 */
obj_t BgL_resetz72z72_1881;
{ /* Reduce/1occ.scm 224 */
BgL_nodez00_bglt BgL_nodez00_3123;
{ /* Reduce/1occ.scm 224 */
obj_t BgL_auxz00_4311;
{ /* Reduce/1occ.scm 224 */
BgL_sfunz00_bglt BgL_obj1373z00_3122;
BgL_obj1373z00_3122 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1880); 
BgL_auxz00_4311 = 
(((BgL_sfunz00_bglt)CREF(BgL_obj1373z00_3122))->BgL_bodyz00); } 
BgL_nodez00_3123 = 
(BgL_nodez00_bglt)(BgL_auxz00_4311); } 
{ /* Reduce/1occ.scm 224 */
obj_t BgL_method2746z00_3125;
{ /* Reduce/1occ.scm 224 */
long BgL_objzd2classzd2numz00_3127;
{ /* Reduce/1occ.scm 224 */
BgL_objectz00_bglt BgL_auxz00_4315;
BgL_auxz00_4315 = 
(BgL_objectz00_bglt)(BgL_nodez00_3123); 
BgL_objzd2classzd2numz00_3127 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4315); } 
{ /* Reduce/1occ.scm 224 */
obj_t BgL_arg1904z00_3128;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4318;
BgL_auxz00_4318 = 
(int)(((long)1)); 
BgL_arg1904z00_3128 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4318); } 
{ /* Reduce/1occ.scm 224 */
long BgL_offsetz00_3132;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4321;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4322;
BgL_auxz00_4322 = 
(int)(BgL_objzd2classzd2numz00_3127); 
BgL_auxz00_4321 = 
(long)(BgL_auxz00_4322); } 
BgL_offsetz00_3132 = 
(BgL_auxz00_4321-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 224 */
long BgL_modz00_3133;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4326;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4327;
BgL_auxz00_4327 = 
(int)(((long)8)); 
BgL_auxz00_4326 = 
(long)(BgL_auxz00_4327); } 
BgL_modz00_3133 = 
(BgL_offsetz00_3132/BgL_auxz00_4326); } 
{ /* Reduce/1occ.scm 224 */
long BgL_restz00_3135;
{ /* Reduce/1occ.scm 224 */
long BgL_auxz00_4331;
{ /* Reduce/1occ.scm 224 */
int BgL_auxz00_4332;
BgL_auxz00_4332 = 
(int)(((long)8)); 
BgL_auxz00_4331 = 
(long)(BgL_auxz00_4332); } 
BgL_restz00_3135 = 
(BgL_offsetz00_3132%BgL_auxz00_4331); } 
{ /* Reduce/1occ.scm 224 */

{ /* Reduce/1occ.scm 224 */
obj_t BgL_bucketz00_3137;
{ /* Reduce/1occ.scm 224 */
int BgL_kz00_3147;
BgL_kz00_3147 = 
(int)(BgL_modz00_3133); 
BgL_bucketz00_3137 = 
VECTOR_REF(BgL_arg1904z00_3128,BgL_kz00_3147); } 
{ /* Reduce/1occ.scm 224 */
int BgL_kz00_3149;
BgL_kz00_3149 = 
(int)(BgL_restz00_3135); 
BgL_method2746z00_3125 = 
VECTOR_REF(BgL_bucketz00_3137,BgL_kz00_3149); } } } } } } } } 
BgL_resetz72z72_1881 = 
PROCEDURE_ENTRY(BgL_method2746z00_3125)(BgL_method2746z00_3125, 
(obj_t)(BgL_nodez00_3123), BNIL, BEOA); } } 
{ /* Reduce/1occ.scm 225 */
obj_t BgL_nbodyz00_1882;
{ /* Reduce/1occ.scm 225 */
int BgL_auxz00_4343;
BgL_auxz00_4343 = 
(int)(((long)1)); 
BgL_nbodyz00_1882 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4343); } 
{ /* Reduce/1occ.scm 225 */
BgL_sfunz00_bglt BgL_obj1375z00_3151;
BgL_obj1375z00_3151 = 
(BgL_sfunz00_bglt)(BgL_sfunz00_1880); 
((((BgL_sfunz00_bglt)CREF(BgL_obj1375z00_3151))->BgL_bodyz00) = ((obj_t)BgL_nbodyz00_1882), BUNSPEC); } 
{ 
obj_t BgL_resetz00_4350;obj_t BgL_localsz00_4348;
BgL_localsz00_4348 = 
CDR(BgL_localsz00_1872); 
if(
CBOOL(BgL_resetz00_1873))
{ /* Reduce/1occ.scm 226 */
BgL_resetz00_4350 = BgL_resetz00_1873; }  else 
{ /* Reduce/1occ.scm 226 */
BgL_resetz00_4350 = BgL_resetz72z72_1881; } 
BgL_resetz00_1873 = BgL_resetz00_4350; 
BgL_localsz00_1872 = BgL_localsz00_4348; 
goto BgL_loopz00_1874;} } } } } } } } } } 
}



/* node-1occ!-select2772 */
obj_t BGl_nodezd21occz12zd2select2772z12zzreduce_1occz00(obj_t BgL_envz00_3547, obj_t BgL_nodez00_3548, obj_t BgL_1zd2expza2z70_3549)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 193 */
{ 
BgL_selectz00_bglt BgL_nodez00_1840;obj_t BgL_1zd2expza2z70_1841;
BgL_nodez00_1840 = 
(BgL_selectz00_bglt)(BgL_nodez00_3548); 
BgL_1zd2expza2z70_1841 = BgL_1zd2expza2z70_3549; 
{ /* Reduce/1occ.scm 195 */
obj_t BgL_resetz00_1845;
{ /* Reduce/1occ.scm 196 */
BgL_nodez00_bglt BgL_arg3458z00_1862;
BgL_arg3458z00_1862 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_testz00); 
{ /* Reduce/1occ.scm 196 */
obj_t BgL_method2746z00_3018;
{ /* Reduce/1occ.scm 196 */
long BgL_objzd2classzd2numz00_3020;
{ /* Reduce/1occ.scm 196 */
BgL_objectz00_bglt BgL_auxz00_4356;
BgL_auxz00_4356 = 
(BgL_objectz00_bglt)(BgL_arg3458z00_1862); 
BgL_objzd2classzd2numz00_3020 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4356); } 
{ /* Reduce/1occ.scm 196 */
obj_t BgL_arg1904z00_3021;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4359;
BgL_auxz00_4359 = 
(int)(((long)1)); 
BgL_arg1904z00_3021 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4359); } 
{ /* Reduce/1occ.scm 196 */
long BgL_offsetz00_3025;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4362;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4363;
BgL_auxz00_4363 = 
(int)(BgL_objzd2classzd2numz00_3020); 
BgL_auxz00_4362 = 
(long)(BgL_auxz00_4363); } 
BgL_offsetz00_3025 = 
(BgL_auxz00_4362-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 196 */
long BgL_modz00_3026;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4367;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4368;
BgL_auxz00_4368 = 
(int)(((long)8)); 
BgL_auxz00_4367 = 
(long)(BgL_auxz00_4368); } 
BgL_modz00_3026 = 
(BgL_offsetz00_3025/BgL_auxz00_4367); } 
{ /* Reduce/1occ.scm 196 */
long BgL_restz00_3028;
{ /* Reduce/1occ.scm 196 */
long BgL_auxz00_4372;
{ /* Reduce/1occ.scm 196 */
int BgL_auxz00_4373;
BgL_auxz00_4373 = 
(int)(((long)8)); 
BgL_auxz00_4372 = 
(long)(BgL_auxz00_4373); } 
BgL_restz00_3028 = 
(BgL_offsetz00_3025%BgL_auxz00_4372); } 
{ /* Reduce/1occ.scm 196 */

{ /* Reduce/1occ.scm 196 */
obj_t BgL_bucketz00_3030;
{ /* Reduce/1occ.scm 196 */
int BgL_kz00_3040;
BgL_kz00_3040 = 
(int)(BgL_modz00_3026); 
BgL_bucketz00_3030 = 
VECTOR_REF(BgL_arg1904z00_3021,BgL_kz00_3040); } 
{ /* Reduce/1occ.scm 196 */
int BgL_kz00_3042;
BgL_kz00_3042 = 
(int)(BgL_restz00_3028); 
BgL_method2746z00_3018 = 
VECTOR_REF(BgL_bucketz00_3030,BgL_kz00_3042); } } } } } } } } 
BgL_resetz00_1845 = 
PROCEDURE_ENTRY(BgL_method2746z00_3018)(BgL_method2746z00_3018, 
(obj_t)(BgL_arg3458z00_1862), BgL_1zd2expza2z70_1841, BEOA); } } 
{ /* Reduce/1occ.scm 197 */
obj_t BgL_ntestz00_1846;
{ /* Reduce/1occ.scm 197 */
int BgL_auxz00_4384;
BgL_auxz00_4384 = 
(int)(((long)1)); 
BgL_ntestz00_1846 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4384); } 
{ /* Reduce/1occ.scm 197 */
BgL_nodez00_bglt BgL_val2386z00_3045;
BgL_val2386z00_3045 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1846); 
((((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2386z00_3045), BUNSPEC); } 
{ 
obj_t BgL_clausesz00_1848;obj_t BgL_resetz00_1849;
BgL_clausesz00_1848 = 
(((BgL_selectz00_bglt)CREF(BgL_nodez00_1840))->BgL_clausesz00); 
BgL_resetz00_1849 = BgL_resetz00_1845; 
BgL_loopz00_1850:
if(
NULLP(BgL_clausesz00_1848))
{ /* Reduce/1occ.scm 201 */
{ /* Reduce/1occ.scm 202 */
int BgL_auxz00_4391;
BgL_auxz00_4391 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4391); } 
{ /* Reduce/1occ.scm 202 */
obj_t BgL_auxz00_4396;int BgL_auxz00_4394;
BgL_auxz00_4396 = 
(obj_t)(BgL_nodez00_1840); 
BgL_auxz00_4394 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4394, BgL_auxz00_4396); } 
return BgL_resetz00_1849;}  else 
{ /* Reduce/1occ.scm 203 */
obj_t BgL_clausez00_1855;
BgL_clausez00_1855 = 
CAR(BgL_clausesz00_1848); 
{ /* Reduce/1occ.scm 204 */
obj_t BgL_resetz72z72_1856;
{ /* Reduce/1occ.scm 205 */
BgL_nodez00_bglt BgL_nodez00_3053;
{ /* Reduce/1occ.scm 205 */
obj_t BgL_auxz00_4400;
BgL_auxz00_4400 = 
CDR(BgL_clausez00_1855); 
BgL_nodez00_3053 = 
(BgL_nodez00_bglt)(BgL_auxz00_4400); } 
{ /* Reduce/1occ.scm 205 */
obj_t BgL_method2746z00_3055;
{ /* Reduce/1occ.scm 205 */
long BgL_objzd2classzd2numz00_3057;
{ /* Reduce/1occ.scm 205 */
BgL_objectz00_bglt BgL_auxz00_4403;
BgL_auxz00_4403 = 
(BgL_objectz00_bglt)(BgL_nodez00_3053); 
BgL_objzd2classzd2numz00_3057 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4403); } 
{ /* Reduce/1occ.scm 205 */
obj_t BgL_arg1904z00_3058;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4406;
BgL_auxz00_4406 = 
(int)(((long)1)); 
BgL_arg1904z00_3058 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4406); } 
{ /* Reduce/1occ.scm 205 */
long BgL_offsetz00_3062;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4409;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4410;
BgL_auxz00_4410 = 
(int)(BgL_objzd2classzd2numz00_3057); 
BgL_auxz00_4409 = 
(long)(BgL_auxz00_4410); } 
BgL_offsetz00_3062 = 
(BgL_auxz00_4409-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 205 */
long BgL_modz00_3063;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4414;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4415;
BgL_auxz00_4415 = 
(int)(((long)8)); 
BgL_auxz00_4414 = 
(long)(BgL_auxz00_4415); } 
BgL_modz00_3063 = 
(BgL_offsetz00_3062/BgL_auxz00_4414); } 
{ /* Reduce/1occ.scm 205 */
long BgL_restz00_3065;
{ /* Reduce/1occ.scm 205 */
long BgL_auxz00_4419;
{ /* Reduce/1occ.scm 205 */
int BgL_auxz00_4420;
BgL_auxz00_4420 = 
(int)(((long)8)); 
BgL_auxz00_4419 = 
(long)(BgL_auxz00_4420); } 
BgL_restz00_3065 = 
(BgL_offsetz00_3062%BgL_auxz00_4419); } 
{ /* Reduce/1occ.scm 205 */

{ /* Reduce/1occ.scm 205 */
obj_t BgL_bucketz00_3067;
{ /* Reduce/1occ.scm 205 */
int BgL_kz00_3077;
BgL_kz00_3077 = 
(int)(BgL_modz00_3063); 
BgL_bucketz00_3067 = 
VECTOR_REF(BgL_arg1904z00_3058,BgL_kz00_3077); } 
{ /* Reduce/1occ.scm 205 */
int BgL_kz00_3079;
BgL_kz00_3079 = 
(int)(BgL_restz00_3065); 
BgL_method2746z00_3055 = 
VECTOR_REF(BgL_bucketz00_3067,BgL_kz00_3079); } } } } } } } } 
BgL_resetz72z72_1856 = 
PROCEDURE_ENTRY(BgL_method2746z00_3055)(BgL_method2746z00_3055, 
(obj_t)(BgL_nodez00_3053), BgL_1zd2expza2z70_1841, BEOA); } } 
{ /* Reduce/1occ.scm 206 */
obj_t BgL_nclausez00_1857;
{ /* Reduce/1occ.scm 206 */
int BgL_auxz00_4431;
BgL_auxz00_4431 = 
(int)(((long)1)); 
BgL_nclausez00_1857 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4431); } 
SET_CDR(BgL_clausez00_1855, BgL_nclausez00_1857); 
{ 
obj_t BgL_resetz00_4437;obj_t BgL_clausesz00_4435;
BgL_clausesz00_4435 = 
CDR(BgL_clausesz00_1848); 
if(
CBOOL(BgL_resetz00_1849))
{ /* Reduce/1occ.scm 207 */
BgL_resetz00_4437 = BgL_resetz00_1849; }  else 
{ /* Reduce/1occ.scm 207 */
BgL_resetz00_4437 = BgL_resetz72z72_1856; } 
BgL_resetz00_1849 = BgL_resetz00_4437; 
BgL_clausesz00_1848 = BgL_clausesz00_4435; 
goto BgL_loopz00_1850;} } } } } } } } } 
}



/* node-1occ!-fail2770 */
obj_t BGl_nodezd21occz12zd2fail2770z12zzreduce_1occz00(obj_t BgL_envz00_3550, obj_t BgL_nodez00_3551, obj_t BgL_1zd2expza2z70_3552)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 175 */
{ 
BgL_failz00_bglt BgL_nodez00_1818;obj_t BgL_1zd2expza2z70_1819;
BgL_nodez00_1818 = 
(BgL_failz00_bglt)(BgL_nodez00_3551); 
BgL_1zd2expza2z70_1819 = BgL_1zd2expza2z70_3552; 
{ /* Reduce/1occ.scm 177 */
obj_t BgL_resetz00_1823;
{ /* Reduce/1occ.scm 178 */
BgL_nodez00_bglt BgL_arg3426z00_1837;
BgL_arg3426z00_1837 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_procz00); 
{ /* Reduce/1occ.scm 178 */
obj_t BgL_method2746z00_2922;
{ /* Reduce/1occ.scm 178 */
long BgL_objzd2classzd2numz00_2924;
{ /* Reduce/1occ.scm 178 */
BgL_objectz00_bglt BgL_auxz00_4443;
BgL_auxz00_4443 = 
(BgL_objectz00_bglt)(BgL_arg3426z00_1837); 
BgL_objzd2classzd2numz00_2924 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4443); } 
{ /* Reduce/1occ.scm 178 */
obj_t BgL_arg1904z00_2925;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4446;
BgL_auxz00_4446 = 
(int)(((long)1)); 
BgL_arg1904z00_2925 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4446); } 
{ /* Reduce/1occ.scm 178 */
long BgL_offsetz00_2929;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4449;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4450;
BgL_auxz00_4450 = 
(int)(BgL_objzd2classzd2numz00_2924); 
BgL_auxz00_4449 = 
(long)(BgL_auxz00_4450); } 
BgL_offsetz00_2929 = 
(BgL_auxz00_4449-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 178 */
long BgL_modz00_2930;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4454;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4455;
BgL_auxz00_4455 = 
(int)(((long)8)); 
BgL_auxz00_4454 = 
(long)(BgL_auxz00_4455); } 
BgL_modz00_2930 = 
(BgL_offsetz00_2929/BgL_auxz00_4454); } 
{ /* Reduce/1occ.scm 178 */
long BgL_restz00_2932;
{ /* Reduce/1occ.scm 178 */
long BgL_auxz00_4459;
{ /* Reduce/1occ.scm 178 */
int BgL_auxz00_4460;
BgL_auxz00_4460 = 
(int)(((long)8)); 
BgL_auxz00_4459 = 
(long)(BgL_auxz00_4460); } 
BgL_restz00_2932 = 
(BgL_offsetz00_2929%BgL_auxz00_4459); } 
{ /* Reduce/1occ.scm 178 */

{ /* Reduce/1occ.scm 178 */
obj_t BgL_bucketz00_2934;
{ /* Reduce/1occ.scm 178 */
int BgL_kz00_2944;
BgL_kz00_2944 = 
(int)(BgL_modz00_2930); 
BgL_bucketz00_2934 = 
VECTOR_REF(BgL_arg1904z00_2925,BgL_kz00_2944); } 
{ /* Reduce/1occ.scm 178 */
int BgL_kz00_2946;
BgL_kz00_2946 = 
(int)(BgL_restz00_2932); 
BgL_method2746z00_2922 = 
VECTOR_REF(BgL_bucketz00_2934,BgL_kz00_2946); } } } } } } } } 
BgL_resetz00_1823 = 
PROCEDURE_ENTRY(BgL_method2746z00_2922)(BgL_method2746z00_2922, 
(obj_t)(BgL_arg3426z00_1837), BgL_1zd2expza2z70_1819, BEOA); } } 
{ /* Reduce/1occ.scm 179 */
obj_t BgL_nprocz00_1824;
{ /* Reduce/1occ.scm 179 */
int BgL_auxz00_4471;
BgL_auxz00_4471 = 
(int)(((long)1)); 
BgL_nprocz00_1824 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4471); } 
{ /* Reduce/1occ.scm 179 */
BgL_nodez00_bglt BgL_val2346z00_2949;
BgL_val2346z00_2949 = 
(BgL_nodez00_bglt)(BgL_nprocz00_1824); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_procz00) = ((BgL_nodez00_bglt)BgL_val2346z00_2949), BUNSPEC); } 
{ /* Reduce/1occ.scm 180 */
obj_t BgL_1zd2expza2z72z02_1825;
if(
CBOOL(BgL_resetz00_1823))
{ /* Reduce/1occ.scm 180 */
BgL_1zd2expza2z72z02_1825 = BNIL; }  else 
{ /* Reduce/1occ.scm 180 */
BgL_1zd2expza2z72z02_1825 = BgL_1zd2expza2z70_1819; } 
{ /* Reduce/1occ.scm 181 */
obj_t BgL_resetz72z72_1826;
{ /* Reduce/1occ.scm 182 */
BgL_nodez00_bglt BgL_arg3421z00_1836;
BgL_arg3421z00_1836 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_msgz00); 
{ /* Reduce/1occ.scm 182 */
obj_t BgL_method2746z00_2953;
{ /* Reduce/1occ.scm 182 */
long BgL_objzd2classzd2numz00_2955;
{ /* Reduce/1occ.scm 182 */
BgL_objectz00_bglt BgL_auxz00_4479;
BgL_auxz00_4479 = 
(BgL_objectz00_bglt)(BgL_arg3421z00_1836); 
BgL_objzd2classzd2numz00_2955 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4479); } 
{ /* Reduce/1occ.scm 182 */
obj_t BgL_arg1904z00_2956;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4482;
BgL_auxz00_4482 = 
(int)(((long)1)); 
BgL_arg1904z00_2956 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4482); } 
{ /* Reduce/1occ.scm 182 */
long BgL_offsetz00_2960;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4485;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4486;
BgL_auxz00_4486 = 
(int)(BgL_objzd2classzd2numz00_2955); 
BgL_auxz00_4485 = 
(long)(BgL_auxz00_4486); } 
BgL_offsetz00_2960 = 
(BgL_auxz00_4485-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 182 */
long BgL_modz00_2961;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4490;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4491;
BgL_auxz00_4491 = 
(int)(((long)8)); 
BgL_auxz00_4490 = 
(long)(BgL_auxz00_4491); } 
BgL_modz00_2961 = 
(BgL_offsetz00_2960/BgL_auxz00_4490); } 
{ /* Reduce/1occ.scm 182 */
long BgL_restz00_2963;
{ /* Reduce/1occ.scm 182 */
long BgL_auxz00_4495;
{ /* Reduce/1occ.scm 182 */
int BgL_auxz00_4496;
BgL_auxz00_4496 = 
(int)(((long)8)); 
BgL_auxz00_4495 = 
(long)(BgL_auxz00_4496); } 
BgL_restz00_2963 = 
(BgL_offsetz00_2960%BgL_auxz00_4495); } 
{ /* Reduce/1occ.scm 182 */

{ /* Reduce/1occ.scm 182 */
obj_t BgL_bucketz00_2965;
{ /* Reduce/1occ.scm 182 */
int BgL_kz00_2975;
BgL_kz00_2975 = 
(int)(BgL_modz00_2961); 
BgL_bucketz00_2965 = 
VECTOR_REF(BgL_arg1904z00_2956,BgL_kz00_2975); } 
{ /* Reduce/1occ.scm 182 */
int BgL_kz00_2977;
BgL_kz00_2977 = 
(int)(BgL_restz00_2963); 
BgL_method2746z00_2953 = 
VECTOR_REF(BgL_bucketz00_2965,BgL_kz00_2977); } } } } } } } } 
BgL_resetz72z72_1826 = 
PROCEDURE_ENTRY(BgL_method2746z00_2953)(BgL_method2746z00_2953, 
(obj_t)(BgL_arg3421z00_1836), BgL_1zd2expza2z72z02_1825, BEOA); } } 
{ /* Reduce/1occ.scm 183 */
obj_t BgL_nmsgz00_1827;
{ /* Reduce/1occ.scm 183 */
int BgL_auxz00_4507;
BgL_auxz00_4507 = 
(int)(((long)1)); 
BgL_nmsgz00_1827 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4507); } 
{ /* Reduce/1occ.scm 183 */
BgL_nodez00_bglt BgL_val2349z00_2980;
BgL_val2349z00_2980 = 
(BgL_nodez00_bglt)(BgL_nmsgz00_1827); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_msgz00) = ((BgL_nodez00_bglt)BgL_val2349z00_2980), BUNSPEC); } 
{ /* Reduce/1occ.scm 184 */
obj_t BgL_1zd2expza2z72z72z70_1828;
if(
CBOOL(BgL_resetz72z72_1826))
{ /* Reduce/1occ.scm 184 */
BgL_1zd2expza2z72z72z70_1828 = BNIL; }  else 
{ /* Reduce/1occ.scm 184 */
BgL_1zd2expza2z72z72z70_1828 = BgL_1zd2expza2z72z02_1825; } 
{ /* Reduce/1occ.scm 185 */
obj_t BgL_resetz72z72z00_1829;
{ /* Reduce/1occ.scm 186 */
BgL_nodez00_bglt BgL_arg3416z00_1835;
BgL_arg3416z00_1835 = 
(((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_objz00); 
{ /* Reduce/1occ.scm 186 */
obj_t BgL_method2746z00_2984;
{ /* Reduce/1occ.scm 186 */
long BgL_objzd2classzd2numz00_2986;
{ /* Reduce/1occ.scm 186 */
BgL_objectz00_bglt BgL_auxz00_4515;
BgL_auxz00_4515 = 
(BgL_objectz00_bglt)(BgL_arg3416z00_1835); 
BgL_objzd2classzd2numz00_2986 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4515); } 
{ /* Reduce/1occ.scm 186 */
obj_t BgL_arg1904z00_2987;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4518;
BgL_auxz00_4518 = 
(int)(((long)1)); 
BgL_arg1904z00_2987 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4518); } 
{ /* Reduce/1occ.scm 186 */
long BgL_offsetz00_2991;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4521;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4522;
BgL_auxz00_4522 = 
(int)(BgL_objzd2classzd2numz00_2986); 
BgL_auxz00_4521 = 
(long)(BgL_auxz00_4522); } 
BgL_offsetz00_2991 = 
(BgL_auxz00_4521-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 186 */
long BgL_modz00_2992;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4526;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4527;
BgL_auxz00_4527 = 
(int)(((long)8)); 
BgL_auxz00_4526 = 
(long)(BgL_auxz00_4527); } 
BgL_modz00_2992 = 
(BgL_offsetz00_2991/BgL_auxz00_4526); } 
{ /* Reduce/1occ.scm 186 */
long BgL_restz00_2994;
{ /* Reduce/1occ.scm 186 */
long BgL_auxz00_4531;
{ /* Reduce/1occ.scm 186 */
int BgL_auxz00_4532;
BgL_auxz00_4532 = 
(int)(((long)8)); 
BgL_auxz00_4531 = 
(long)(BgL_auxz00_4532); } 
BgL_restz00_2994 = 
(BgL_offsetz00_2991%BgL_auxz00_4531); } 
{ /* Reduce/1occ.scm 186 */

{ /* Reduce/1occ.scm 186 */
obj_t BgL_bucketz00_2996;
{ /* Reduce/1occ.scm 186 */
int BgL_kz00_3006;
BgL_kz00_3006 = 
(int)(BgL_modz00_2992); 
BgL_bucketz00_2996 = 
VECTOR_REF(BgL_arg1904z00_2987,BgL_kz00_3006); } 
{ /* Reduce/1occ.scm 186 */
int BgL_kz00_3008;
BgL_kz00_3008 = 
(int)(BgL_restz00_2994); 
BgL_method2746z00_2984 = 
VECTOR_REF(BgL_bucketz00_2996,BgL_kz00_3008); } } } } } } } } 
BgL_resetz72z72z00_1829 = 
PROCEDURE_ENTRY(BgL_method2746z00_2984)(BgL_method2746z00_2984, 
(obj_t)(BgL_arg3416z00_1835), BgL_1zd2expza2z72z72z70_1828, BEOA); } } 
{ /* Reduce/1occ.scm 187 */
obj_t BgL_nobjz00_1830;
{ /* Reduce/1occ.scm 187 */
int BgL_auxz00_4543;
BgL_auxz00_4543 = 
(int)(((long)1)); 
BgL_nobjz00_1830 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4543); } 
{ /* Reduce/1occ.scm 187 */
BgL_nodez00_bglt BgL_val2352z00_3011;
BgL_val2352z00_3011 = 
(BgL_nodez00_bglt)(BgL_nobjz00_1830); 
((((BgL_failz00_bglt)CREF(BgL_nodez00_1818))->BgL_objz00) = ((BgL_nodez00_bglt)BgL_val2352z00_3011), BUNSPEC); } 
{ /* Reduce/1occ.scm 188 */
obj_t BgL_val0_2696z00_1831;
if(
CBOOL(BgL_resetz00_1823))
{ /* Reduce/1occ.scm 188 */
BgL_val0_2696z00_1831 = BgL_resetz00_1823; }  else 
{ /* Reduce/1occ.scm 188 */
if(
CBOOL(BgL_resetz72z72_1826))
{ /* Reduce/1occ.scm 188 */
BgL_val0_2696z00_1831 = BgL_resetz72z72_1826; }  else 
{ /* Reduce/1occ.scm 188 */
BgL_val0_2696z00_1831 = BgL_resetz72z72z00_1829; } } 
{ /* Reduce/1occ.scm 188 */
int BgL_auxz00_4552;
BgL_auxz00_4552 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4552); } 
{ /* Reduce/1occ.scm 188 */
obj_t BgL_auxz00_4557;int BgL_auxz00_4555;
BgL_auxz00_4557 = 
(obj_t)(BgL_nodez00_1818); 
BgL_auxz00_4555 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4555, BgL_auxz00_4557); } 
return BgL_val0_2696z00_1831;} } } } } } } } } } } 
}



/* node-1occ!-conditional2768 */
obj_t BGl_nodezd21occz12zd2conditional2768z12zzreduce_1occz00(obj_t BgL_envz00_3553, obj_t BgL_nodez00_3554, obj_t BgL_1zd2expza2z70_3555)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 158 */
{ 
BgL_conditionalz00_bglt BgL_nodez00_1797;obj_t BgL_1zd2expza2z70_1798;
BgL_nodez00_1797 = 
(BgL_conditionalz00_bglt)(BgL_nodez00_3554); 
BgL_1zd2expza2z70_1798 = BgL_1zd2expza2z70_3555; 
{ /* Reduce/1occ.scm 160 */
obj_t BgL_resetz00_1802;
{ /* Reduce/1occ.scm 161 */
BgL_nodez00_bglt BgL_arg3400z00_1815;
BgL_arg3400z00_1815 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_testz00); 
{ /* Reduce/1occ.scm 161 */
obj_t BgL_method2746z00_2826;
{ /* Reduce/1occ.scm 161 */
long BgL_objzd2classzd2numz00_2828;
{ /* Reduce/1occ.scm 161 */
BgL_objectz00_bglt BgL_auxz00_4562;
BgL_auxz00_4562 = 
(BgL_objectz00_bglt)(BgL_arg3400z00_1815); 
BgL_objzd2classzd2numz00_2828 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4562); } 
{ /* Reduce/1occ.scm 161 */
obj_t BgL_arg1904z00_2829;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4565;
BgL_auxz00_4565 = 
(int)(((long)1)); 
BgL_arg1904z00_2829 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4565); } 
{ /* Reduce/1occ.scm 161 */
long BgL_offsetz00_2833;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4568;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4569;
BgL_auxz00_4569 = 
(int)(BgL_objzd2classzd2numz00_2828); 
BgL_auxz00_4568 = 
(long)(BgL_auxz00_4569); } 
BgL_offsetz00_2833 = 
(BgL_auxz00_4568-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 161 */
long BgL_modz00_2834;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4573;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4574;
BgL_auxz00_4574 = 
(int)(((long)8)); 
BgL_auxz00_4573 = 
(long)(BgL_auxz00_4574); } 
BgL_modz00_2834 = 
(BgL_offsetz00_2833/BgL_auxz00_4573); } 
{ /* Reduce/1occ.scm 161 */
long BgL_restz00_2836;
{ /* Reduce/1occ.scm 161 */
long BgL_auxz00_4578;
{ /* Reduce/1occ.scm 161 */
int BgL_auxz00_4579;
BgL_auxz00_4579 = 
(int)(((long)8)); 
BgL_auxz00_4578 = 
(long)(BgL_auxz00_4579); } 
BgL_restz00_2836 = 
(BgL_offsetz00_2833%BgL_auxz00_4578); } 
{ /* Reduce/1occ.scm 161 */

{ /* Reduce/1occ.scm 161 */
obj_t BgL_bucketz00_2838;
{ /* Reduce/1occ.scm 161 */
int BgL_kz00_2848;
BgL_kz00_2848 = 
(int)(BgL_modz00_2834); 
BgL_bucketz00_2838 = 
VECTOR_REF(BgL_arg1904z00_2829,BgL_kz00_2848); } 
{ /* Reduce/1occ.scm 161 */
int BgL_kz00_2850;
BgL_kz00_2850 = 
(int)(BgL_restz00_2836); 
BgL_method2746z00_2826 = 
VECTOR_REF(BgL_bucketz00_2838,BgL_kz00_2850); } } } } } } } } 
BgL_resetz00_1802 = 
PROCEDURE_ENTRY(BgL_method2746z00_2826)(BgL_method2746z00_2826, 
(obj_t)(BgL_arg3400z00_1815), BgL_1zd2expza2z70_1798, BEOA); } } 
{ /* Reduce/1occ.scm 162 */
obj_t BgL_ntestz00_1803;
{ /* Reduce/1occ.scm 162 */
int BgL_auxz00_4590;
BgL_auxz00_4590 = 
(int)(((long)1)); 
BgL_ntestz00_1803 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4590); } 
{ /* Reduce/1occ.scm 162 */
BgL_nodez00_bglt BgL_val2306z00_2853;
BgL_val2306z00_2853 = 
(BgL_nodez00_bglt)(BgL_ntestz00_1803); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_testz00) = ((BgL_nodez00_bglt)BgL_val2306z00_2853), BUNSPEC); } 
{ /* Reduce/1occ.scm 163 */
obj_t BgL_1zd2expza2z72z02_1804;
if(
CBOOL(BgL_resetz00_1802))
{ /* Reduce/1occ.scm 163 */
BgL_1zd2expza2z72z02_1804 = BNIL; }  else 
{ /* Reduce/1occ.scm 163 */
BgL_1zd2expza2z72z02_1804 = BgL_1zd2expza2z70_1798; } 
{ /* Reduce/1occ.scm 164 */
obj_t BgL_resetz72z72_1805;
{ /* Reduce/1occ.scm 165 */
BgL_nodez00_bglt BgL_arg3395z00_1814;
BgL_arg3395z00_1814 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_truez00); 
{ /* Reduce/1occ.scm 165 */
obj_t BgL_method2746z00_2857;
{ /* Reduce/1occ.scm 165 */
long BgL_objzd2classzd2numz00_2859;
{ /* Reduce/1occ.scm 165 */
BgL_objectz00_bglt BgL_auxz00_4598;
BgL_auxz00_4598 = 
(BgL_objectz00_bglt)(BgL_arg3395z00_1814); 
BgL_objzd2classzd2numz00_2859 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4598); } 
{ /* Reduce/1occ.scm 165 */
obj_t BgL_arg1904z00_2860;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4601;
BgL_auxz00_4601 = 
(int)(((long)1)); 
BgL_arg1904z00_2860 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4601); } 
{ /* Reduce/1occ.scm 165 */
long BgL_offsetz00_2864;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4604;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4605;
BgL_auxz00_4605 = 
(int)(BgL_objzd2classzd2numz00_2859); 
BgL_auxz00_4604 = 
(long)(BgL_auxz00_4605); } 
BgL_offsetz00_2864 = 
(BgL_auxz00_4604-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 165 */
long BgL_modz00_2865;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4609;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4610;
BgL_auxz00_4610 = 
(int)(((long)8)); 
BgL_auxz00_4609 = 
(long)(BgL_auxz00_4610); } 
BgL_modz00_2865 = 
(BgL_offsetz00_2864/BgL_auxz00_4609); } 
{ /* Reduce/1occ.scm 165 */
long BgL_restz00_2867;
{ /* Reduce/1occ.scm 165 */
long BgL_auxz00_4614;
{ /* Reduce/1occ.scm 165 */
int BgL_auxz00_4615;
BgL_auxz00_4615 = 
(int)(((long)8)); 
BgL_auxz00_4614 = 
(long)(BgL_auxz00_4615); } 
BgL_restz00_2867 = 
(BgL_offsetz00_2864%BgL_auxz00_4614); } 
{ /* Reduce/1occ.scm 165 */

{ /* Reduce/1occ.scm 165 */
obj_t BgL_bucketz00_2869;
{ /* Reduce/1occ.scm 165 */
int BgL_kz00_2879;
BgL_kz00_2879 = 
(int)(BgL_modz00_2865); 
BgL_bucketz00_2869 = 
VECTOR_REF(BgL_arg1904z00_2860,BgL_kz00_2879); } 
{ /* Reduce/1occ.scm 165 */
int BgL_kz00_2881;
BgL_kz00_2881 = 
(int)(BgL_restz00_2867); 
BgL_method2746z00_2857 = 
VECTOR_REF(BgL_bucketz00_2869,BgL_kz00_2881); } } } } } } } } 
BgL_resetz72z72_1805 = 
PROCEDURE_ENTRY(BgL_method2746z00_2857)(BgL_method2746z00_2857, 
(obj_t)(BgL_arg3395z00_1814), BgL_1zd2expza2z72z02_1804, BEOA); } } 
{ /* Reduce/1occ.scm 166 */
obj_t BgL_ntruez00_1806;
{ /* Reduce/1occ.scm 166 */
int BgL_auxz00_4626;
BgL_auxz00_4626 = 
(int)(((long)1)); 
BgL_ntruez00_1806 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4626); } 
{ /* Reduce/1occ.scm 166 */
BgL_nodez00_bglt BgL_val2309z00_2884;
BgL_val2309z00_2884 = 
(BgL_nodez00_bglt)(BgL_ntruez00_1806); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_truez00) = ((BgL_nodez00_bglt)BgL_val2309z00_2884), BUNSPEC); } 
{ /* Reduce/1occ.scm 167 */
obj_t BgL_resetz72z72z00_1807;
{ /* Reduce/1occ.scm 168 */
BgL_nodez00_bglt BgL_arg3390z00_1813;
BgL_arg3390z00_1813 = 
(((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_falsez00); 
{ /* Reduce/1occ.scm 168 */
obj_t BgL_method2746z00_2888;
{ /* Reduce/1occ.scm 168 */
long BgL_objzd2classzd2numz00_2890;
{ /* Reduce/1occ.scm 168 */
BgL_objectz00_bglt BgL_auxz00_4632;
BgL_auxz00_4632 = 
(BgL_objectz00_bglt)(BgL_arg3390z00_1813); 
BgL_objzd2classzd2numz00_2890 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4632); } 
{ /* Reduce/1occ.scm 168 */
obj_t BgL_arg1904z00_2891;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4635;
BgL_auxz00_4635 = 
(int)(((long)1)); 
BgL_arg1904z00_2891 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4635); } 
{ /* Reduce/1occ.scm 168 */
long BgL_offsetz00_2895;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4638;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4639;
BgL_auxz00_4639 = 
(int)(BgL_objzd2classzd2numz00_2890); 
BgL_auxz00_4638 = 
(long)(BgL_auxz00_4639); } 
BgL_offsetz00_2895 = 
(BgL_auxz00_4638-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 168 */
long BgL_modz00_2896;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4643;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4644;
BgL_auxz00_4644 = 
(int)(((long)8)); 
BgL_auxz00_4643 = 
(long)(BgL_auxz00_4644); } 
BgL_modz00_2896 = 
(BgL_offsetz00_2895/BgL_auxz00_4643); } 
{ /* Reduce/1occ.scm 168 */
long BgL_restz00_2898;
{ /* Reduce/1occ.scm 168 */
long BgL_auxz00_4648;
{ /* Reduce/1occ.scm 168 */
int BgL_auxz00_4649;
BgL_auxz00_4649 = 
(int)(((long)8)); 
BgL_auxz00_4648 = 
(long)(BgL_auxz00_4649); } 
BgL_restz00_2898 = 
(BgL_offsetz00_2895%BgL_auxz00_4648); } 
{ /* Reduce/1occ.scm 168 */

{ /* Reduce/1occ.scm 168 */
obj_t BgL_bucketz00_2900;
{ /* Reduce/1occ.scm 168 */
int BgL_kz00_2910;
BgL_kz00_2910 = 
(int)(BgL_modz00_2896); 
BgL_bucketz00_2900 = 
VECTOR_REF(BgL_arg1904z00_2891,BgL_kz00_2910); } 
{ /* Reduce/1occ.scm 168 */
int BgL_kz00_2912;
BgL_kz00_2912 = 
(int)(BgL_restz00_2898); 
BgL_method2746z00_2888 = 
VECTOR_REF(BgL_bucketz00_2900,BgL_kz00_2912); } } } } } } } } 
BgL_resetz72z72z00_1807 = 
PROCEDURE_ENTRY(BgL_method2746z00_2888)(BgL_method2746z00_2888, 
(obj_t)(BgL_arg3390z00_1813), BgL_1zd2expza2z72z02_1804, BEOA); } } 
{ /* Reduce/1occ.scm 169 */
obj_t BgL_nfalsez00_1808;
{ /* Reduce/1occ.scm 169 */
int BgL_auxz00_4660;
BgL_auxz00_4660 = 
(int)(((long)1)); 
BgL_nfalsez00_1808 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4660); } 
{ /* Reduce/1occ.scm 169 */
BgL_nodez00_bglt BgL_val2312z00_2915;
BgL_val2312z00_2915 = 
(BgL_nodez00_bglt)(BgL_nfalsez00_1808); 
((((BgL_conditionalz00_bglt)CREF(BgL_nodez00_1797))->BgL_falsez00) = ((BgL_nodez00_bglt)BgL_val2312z00_2915), BUNSPEC); } 
{ /* Reduce/1occ.scm 170 */
obj_t BgL_val0_2690z00_1809;
if(
CBOOL(BgL_resetz00_1802))
{ /* Reduce/1occ.scm 170 */
BgL_val0_2690z00_1809 = BgL_resetz00_1802; }  else 
{ /* Reduce/1occ.scm 170 */
if(
CBOOL(BgL_resetz72z72_1805))
{ /* Reduce/1occ.scm 170 */
BgL_val0_2690z00_1809 = BgL_resetz72z72_1805; }  else 
{ /* Reduce/1occ.scm 170 */
BgL_val0_2690z00_1809 = BgL_resetz72z72z00_1807; } } 
{ /* Reduce/1occ.scm 170 */
int BgL_auxz00_4669;
BgL_auxz00_4669 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4669); } 
{ /* Reduce/1occ.scm 170 */
obj_t BgL_auxz00_4674;int BgL_auxz00_4672;
BgL_auxz00_4674 = 
(obj_t)(BgL_nodez00_1797); 
BgL_auxz00_4672 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4672, BgL_auxz00_4674); } 
return BgL_val0_2690z00_1809;} } } } } } } } } } 
}



/* node-1occ!-setq2766 */
obj_t BGl_nodezd21occz12zd2setq2766z12zzreduce_1occz00(obj_t BgL_envz00_3556, obj_t BgL_nodez00_3557, obj_t BgL_1zd2expza2z70_3558)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 148 */
{ 
BgL_setqz00_bglt BgL_nodez00_1785;obj_t BgL_1zd2expza2z70_1786;
BgL_nodez00_1785 = 
(BgL_setqz00_bglt)(BgL_nodez00_3557); 
BgL_1zd2expza2z70_1786 = BgL_1zd2expza2z70_3558; 
{ /* Reduce/1occ.scm 150 */
obj_t BgL_resetz00_1790;
{ /* Reduce/1occ.scm 151 */
BgL_nodez00_bglt BgL_arg3374z00_1794;
BgL_arg3374z00_1794 = 
(((BgL_setqz00_bglt)CREF(BgL_nodez00_1785))->BgL_valuez00); 
{ /* Reduce/1occ.scm 151 */
obj_t BgL_method2746z00_2792;
{ /* Reduce/1occ.scm 151 */
long BgL_objzd2classzd2numz00_2794;
{ /* Reduce/1occ.scm 151 */
BgL_objectz00_bglt BgL_auxz00_4679;
BgL_auxz00_4679 = 
(BgL_objectz00_bglt)(BgL_arg3374z00_1794); 
BgL_objzd2classzd2numz00_2794 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4679); } 
{ /* Reduce/1occ.scm 151 */
obj_t BgL_arg1904z00_2795;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4682;
BgL_auxz00_4682 = 
(int)(((long)1)); 
BgL_arg1904z00_2795 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4682); } 
{ /* Reduce/1occ.scm 151 */
long BgL_offsetz00_2799;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4685;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4686;
BgL_auxz00_4686 = 
(int)(BgL_objzd2classzd2numz00_2794); 
BgL_auxz00_4685 = 
(long)(BgL_auxz00_4686); } 
BgL_offsetz00_2799 = 
(BgL_auxz00_4685-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 151 */
long BgL_modz00_2800;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4690;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4691;
BgL_auxz00_4691 = 
(int)(((long)8)); 
BgL_auxz00_4690 = 
(long)(BgL_auxz00_4691); } 
BgL_modz00_2800 = 
(BgL_offsetz00_2799/BgL_auxz00_4690); } 
{ /* Reduce/1occ.scm 151 */
long BgL_restz00_2802;
{ /* Reduce/1occ.scm 151 */
long BgL_auxz00_4695;
{ /* Reduce/1occ.scm 151 */
int BgL_auxz00_4696;
BgL_auxz00_4696 = 
(int)(((long)8)); 
BgL_auxz00_4695 = 
(long)(BgL_auxz00_4696); } 
BgL_restz00_2802 = 
(BgL_offsetz00_2799%BgL_auxz00_4695); } 
{ /* Reduce/1occ.scm 151 */

{ /* Reduce/1occ.scm 151 */
obj_t BgL_bucketz00_2804;
{ /* Reduce/1occ.scm 151 */
int BgL_kz00_2814;
BgL_kz00_2814 = 
(int)(BgL_modz00_2800); 
BgL_bucketz00_2804 = 
VECTOR_REF(BgL_arg1904z00_2795,BgL_kz00_2814); } 
{ /* Reduce/1occ.scm 151 */
int BgL_kz00_2816;
BgL_kz00_2816 = 
(int)(BgL_restz00_2802); 
BgL_method2746z00_2792 = 
VECTOR_REF(BgL_bucketz00_2804,BgL_kz00_2816); } } } } } } } } 
BgL_resetz00_1790 = 
PROCEDURE_ENTRY(BgL_method2746z00_2792)(BgL_method2746z00_2792, 
(obj_t)(BgL_arg3374z00_1794), BgL_1zd2expza2z70_1786, BEOA); } } 
{ /* Reduce/1occ.scm 152 */
obj_t BgL_nvaluez00_1791;
{ /* Reduce/1occ.scm 152 */
int BgL_auxz00_4707;
BgL_auxz00_4707 = 
(int)(((long)1)); 
BgL_nvaluez00_1791 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4707); } 
{ /* Reduce/1occ.scm 152 */
BgL_nodez00_bglt BgL_val2275z00_2819;
BgL_val2275z00_2819 = 
(BgL_nodez00_bglt)(BgL_nvaluez00_1791); 
((((BgL_setqz00_bglt)CREF(BgL_nodez00_1785))->BgL_valuez00) = ((BgL_nodez00_bglt)BgL_val2275z00_2819), BUNSPEC); } 
{ /* Reduce/1occ.scm 153 */
int BgL_auxz00_4712;
BgL_auxz00_4712 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4712); } 
{ /* Reduce/1occ.scm 153 */
obj_t BgL_auxz00_4717;int BgL_auxz00_4715;
BgL_auxz00_4717 = 
(obj_t)(BgL_nodez00_1785); 
BgL_auxz00_4715 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4715, BgL_auxz00_4717); } 
return BgL_resetz00_1790;} } } } 
}



/* node-1occ!-cast2764 */
obj_t BGl_nodezd21occz12zd2cast2764z12zzreduce_1occz00(obj_t BgL_envz00_3559, obj_t BgL_nodez00_3560, obj_t BgL_1zd2expza2z70_3561)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 138 */
{ 
BgL_castz00_bglt BgL_nodez00_1773;obj_t BgL_1zd2expza2z70_1774;
BgL_nodez00_1773 = 
(BgL_castz00_bglt)(BgL_nodez00_3560); 
BgL_1zd2expza2z70_1774 = BgL_1zd2expza2z70_3561; 
{ /* Reduce/1occ.scm 140 */
obj_t BgL_resetz00_1778;
{ /* Reduce/1occ.scm 141 */
BgL_nodez00_bglt BgL_arg3360z00_1782;
BgL_arg3360z00_1782 = 
(((BgL_castz00_bglt)CREF(BgL_nodez00_1773))->BgL_argz00); 
{ /* Reduce/1occ.scm 141 */
obj_t BgL_method2746z00_2758;
{ /* Reduce/1occ.scm 141 */
long BgL_objzd2classzd2numz00_2760;
{ /* Reduce/1occ.scm 141 */
BgL_objectz00_bglt BgL_auxz00_4722;
BgL_auxz00_4722 = 
(BgL_objectz00_bglt)(BgL_arg3360z00_1782); 
BgL_objzd2classzd2numz00_2760 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4722); } 
{ /* Reduce/1occ.scm 141 */
obj_t BgL_arg1904z00_2761;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4725;
BgL_auxz00_4725 = 
(int)(((long)1)); 
BgL_arg1904z00_2761 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4725); } 
{ /* Reduce/1occ.scm 141 */
long BgL_offsetz00_2765;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4728;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4729;
BgL_auxz00_4729 = 
(int)(BgL_objzd2classzd2numz00_2760); 
BgL_auxz00_4728 = 
(long)(BgL_auxz00_4729); } 
BgL_offsetz00_2765 = 
(BgL_auxz00_4728-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 141 */
long BgL_modz00_2766;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4733;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4734;
BgL_auxz00_4734 = 
(int)(((long)8)); 
BgL_auxz00_4733 = 
(long)(BgL_auxz00_4734); } 
BgL_modz00_2766 = 
(BgL_offsetz00_2765/BgL_auxz00_4733); } 
{ /* Reduce/1occ.scm 141 */
long BgL_restz00_2768;
{ /* Reduce/1occ.scm 141 */
long BgL_auxz00_4738;
{ /* Reduce/1occ.scm 141 */
int BgL_auxz00_4739;
BgL_auxz00_4739 = 
(int)(((long)8)); 
BgL_auxz00_4738 = 
(long)(BgL_auxz00_4739); } 
BgL_restz00_2768 = 
(BgL_offsetz00_2765%BgL_auxz00_4738); } 
{ /* Reduce/1occ.scm 141 */

{ /* Reduce/1occ.scm 141 */
obj_t BgL_bucketz00_2770;
{ /* Reduce/1occ.scm 141 */
int BgL_kz00_2780;
BgL_kz00_2780 = 
(int)(BgL_modz00_2766); 
BgL_bucketz00_2770 = 
VECTOR_REF(BgL_arg1904z00_2761,BgL_kz00_2780); } 
{ /* Reduce/1occ.scm 141 */
int BgL_kz00_2782;
BgL_kz00_2782 = 
(int)(BgL_restz00_2768); 
BgL_method2746z00_2758 = 
VECTOR_REF(BgL_bucketz00_2770,BgL_kz00_2782); } } } } } } } } 
BgL_resetz00_1778 = 
PROCEDURE_ENTRY(BgL_method2746z00_2758)(BgL_method2746z00_2758, 
(obj_t)(BgL_arg3360z00_1782), BgL_1zd2expza2z70_1774, BEOA); } } 
{ /* Reduce/1occ.scm 142 */
obj_t BgL_nargz00_1779;
{ /* Reduce/1occ.scm 142 */
int BgL_auxz00_4750;
BgL_auxz00_4750 = 
(int)(((long)1)); 
BgL_nargz00_1779 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4750); } 
{ /* Reduce/1occ.scm 142 */
BgL_nodez00_bglt BgL_val2250z00_2785;
BgL_val2250z00_2785 = 
(BgL_nodez00_bglt)(BgL_nargz00_1779); 
((((BgL_castz00_bglt)CREF(BgL_nodez00_1773))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val2250z00_2785), BUNSPEC); } 
{ /* Reduce/1occ.scm 143 */
int BgL_auxz00_4755;
BgL_auxz00_4755 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4755); } 
{ /* Reduce/1occ.scm 143 */
obj_t BgL_auxz00_4760;int BgL_auxz00_4758;
BgL_auxz00_4760 = 
(obj_t)(BgL_nodez00_1773); 
BgL_auxz00_4758 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4758, BgL_auxz00_4760); } 
return BgL_resetz00_1778;} } } } 
}



/* node-1occ!-extern2762 */
obj_t BGl_nodezd21occz12zd2extern2762z12zzreduce_1occz00(obj_t BgL_envz00_3562, obj_t BgL_nodez00_3563, obj_t BgL_1zd2expza2z70_3564)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 132 */
{ 
BgL_externz00_bglt BgL_nodez00_1765;obj_t BgL_1zd2expza2z70_1766;
{ /* Reduce/1occ.scm 133 */
bool_t BgL_auxz00_4764;
BgL_nodez00_1765 = 
(BgL_externz00_bglt)(BgL_nodez00_3563); 
BgL_1zd2expza2z70_1766 = BgL_1zd2expza2z70_3564; 
{ /* Reduce/1occ.scm 133 */
bool_t BgL_val0_2678z00_2750;
BgL_val0_2678z00_2750 = 
BGl_sidezd2effectzf3z21zzeffect_effectz00(
(BgL_nodez00_bglt)(BgL_nodez00_1765)); 
{ /* Reduce/1occ.scm 133 */
int BgL_auxz00_4767;
BgL_auxz00_4767 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4767); } 
{ /* Reduce/1occ.scm 133 */
obj_t BgL_auxz00_4772;int BgL_auxz00_4770;
BgL_auxz00_4772 = 
(obj_t)(BgL_nodez00_1765); 
BgL_auxz00_4770 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4770, BgL_auxz00_4772); } 
BgL_auxz00_4764 = BgL_val0_2678z00_2750; } 
return 
BBOOL(BgL_auxz00_4764);} } } 
}



/* node-1occ!-funcall2760 */
obj_t BGl_nodezd21occz12zd2funcall2760z12zzreduce_1occz00(obj_t BgL_envz00_3565, obj_t BgL_nodez00_3566, obj_t BgL_1zd2expza2z70_3567)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 121 */
{ 
BgL_funcallz00_bglt BgL_nodez00_1754;obj_t BgL_1zd2expza2z70_1755;
BgL_nodez00_1754 = 
(BgL_funcallz00_bglt)(BgL_nodez00_3566); 
BgL_1zd2expza2z70_1755 = BgL_1zd2expza2z70_3567; 
{ /* Reduce/1occ.scm 123 */
obj_t BgL_resetz72z72_1759;
BgL_resetz72z72_1759 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_funcallz00_bglt)CREF(BgL_nodez00_1754))->BgL_argsz00), BgL_1zd2expza2z70_1755); 
{ /* Reduce/1occ.scm 124 */
int BgL_auxz00_4779;
BgL_auxz00_4779 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4779); } 
{ /* Reduce/1occ.scm 124 */
obj_t BgL_auxz00_4784;int BgL_auxz00_4782;
BgL_auxz00_4784 = 
(obj_t)(BgL_nodez00_1754); 
BgL_auxz00_4782 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4782, BgL_auxz00_4784); } 
return BgL_resetz72z72_1759;} } } 
}



/* node-1occ!-app-ly2758 */
obj_t BGl_nodezd21occz12zd2appzd2ly2758zc0zzreduce_1occz00(obj_t BgL_envz00_3568, obj_t BgL_nodez00_3569, obj_t BgL_1zd2expza2z70_3570)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 108 */
{ 
BgL_appzd2lyzd2_bglt BgL_nodez00_1737;obj_t BgL_1zd2expza2z70_1738;
BgL_nodez00_1737 = 
(BgL_appzd2lyzd2_bglt)(BgL_nodez00_3569); 
BgL_1zd2expza2z70_1738 = BgL_1zd2expza2z70_3570; 
{ /* Reduce/1occ.scm 110 */
obj_t BgL_resetz00_1742;
{ /* Reduce/1occ.scm 111 */
BgL_nodez00_bglt BgL_arg3325z00_1751;
BgL_arg3325z00_1751 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00); 
{ /* Reduce/1occ.scm 111 */
obj_t BgL_method2746z00_2684;
{ /* Reduce/1occ.scm 111 */
long BgL_objzd2classzd2numz00_2686;
{ /* Reduce/1occ.scm 111 */
BgL_objectz00_bglt BgL_auxz00_4789;
BgL_auxz00_4789 = 
(BgL_objectz00_bglt)(BgL_arg3325z00_1751); 
BgL_objzd2classzd2numz00_2686 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4789); } 
{ /* Reduce/1occ.scm 111 */
obj_t BgL_arg1904z00_2687;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4792;
BgL_auxz00_4792 = 
(int)(((long)1)); 
BgL_arg1904z00_2687 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4792); } 
{ /* Reduce/1occ.scm 111 */
long BgL_offsetz00_2691;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4795;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4796;
BgL_auxz00_4796 = 
(int)(BgL_objzd2classzd2numz00_2686); 
BgL_auxz00_4795 = 
(long)(BgL_auxz00_4796); } 
BgL_offsetz00_2691 = 
(BgL_auxz00_4795-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 111 */
long BgL_modz00_2692;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4800;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4801;
BgL_auxz00_4801 = 
(int)(((long)8)); 
BgL_auxz00_4800 = 
(long)(BgL_auxz00_4801); } 
BgL_modz00_2692 = 
(BgL_offsetz00_2691/BgL_auxz00_4800); } 
{ /* Reduce/1occ.scm 111 */
long BgL_restz00_2694;
{ /* Reduce/1occ.scm 111 */
long BgL_auxz00_4805;
{ /* Reduce/1occ.scm 111 */
int BgL_auxz00_4806;
BgL_auxz00_4806 = 
(int)(((long)8)); 
BgL_auxz00_4805 = 
(long)(BgL_auxz00_4806); } 
BgL_restz00_2694 = 
(BgL_offsetz00_2691%BgL_auxz00_4805); } 
{ /* Reduce/1occ.scm 111 */

{ /* Reduce/1occ.scm 111 */
obj_t BgL_bucketz00_2696;
{ /* Reduce/1occ.scm 111 */
int BgL_kz00_2706;
BgL_kz00_2706 = 
(int)(BgL_modz00_2692); 
BgL_bucketz00_2696 = 
VECTOR_REF(BgL_arg1904z00_2687,BgL_kz00_2706); } 
{ /* Reduce/1occ.scm 111 */
int BgL_kz00_2708;
BgL_kz00_2708 = 
(int)(BgL_restz00_2694); 
BgL_method2746z00_2684 = 
VECTOR_REF(BgL_bucketz00_2696,BgL_kz00_2708); } } } } } } } } 
BgL_resetz00_1742 = 
PROCEDURE_ENTRY(BgL_method2746z00_2684)(BgL_method2746z00_2684, 
(obj_t)(BgL_arg3325z00_1751), BgL_1zd2expza2z70_1738, BEOA); } } 
{ /* Reduce/1occ.scm 112 */
obj_t BgL_nfunz00_1743;
{ /* Reduce/1occ.scm 112 */
int BgL_auxz00_4817;
BgL_auxz00_4817 = 
(int)(((long)1)); 
BgL_nfunz00_1743 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4817); } 
{ /* Reduce/1occ.scm 112 */
BgL_nodez00_bglt BgL_val1759z00_2711;
BgL_val1759z00_2711 = 
(BgL_nodez00_bglt)(BgL_nfunz00_1743); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_funz00) = ((BgL_nodez00_bglt)BgL_val1759z00_2711), BUNSPEC); } 
{ /* Reduce/1occ.scm 113 */
obj_t BgL_resetz72z72_1744;
{ /* Reduce/1occ.scm 114 */
BgL_nodez00_bglt BgL_arg3319z00_1749;obj_t BgL_arg3320z00_1750;
BgL_arg3319z00_1749 = 
(((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00); 
if(
CBOOL(BgL_resetz00_1742))
{ /* Reduce/1occ.scm 114 */
BgL_arg3320z00_1750 = BNIL; }  else 
{ /* Reduce/1occ.scm 114 */
BgL_arg3320z00_1750 = BgL_1zd2expza2z70_1738; } 
{ /* Reduce/1occ.scm 114 */
obj_t BgL_method2746z00_2715;
{ /* Reduce/1occ.scm 114 */
long BgL_objzd2classzd2numz00_2717;
{ /* Reduce/1occ.scm 114 */
BgL_objectz00_bglt BgL_auxz00_4825;
BgL_auxz00_4825 = 
(BgL_objectz00_bglt)(BgL_arg3319z00_1749); 
BgL_objzd2classzd2numz00_2717 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4825); } 
{ /* Reduce/1occ.scm 114 */
obj_t BgL_arg1904z00_2718;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4828;
BgL_auxz00_4828 = 
(int)(((long)1)); 
BgL_arg1904z00_2718 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4828); } 
{ /* Reduce/1occ.scm 114 */
long BgL_offsetz00_2722;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4831;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4832;
BgL_auxz00_4832 = 
(int)(BgL_objzd2classzd2numz00_2717); 
BgL_auxz00_4831 = 
(long)(BgL_auxz00_4832); } 
BgL_offsetz00_2722 = 
(BgL_auxz00_4831-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 114 */
long BgL_modz00_2723;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4836;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4837;
BgL_auxz00_4837 = 
(int)(((long)8)); 
BgL_auxz00_4836 = 
(long)(BgL_auxz00_4837); } 
BgL_modz00_2723 = 
(BgL_offsetz00_2722/BgL_auxz00_4836); } 
{ /* Reduce/1occ.scm 114 */
long BgL_restz00_2725;
{ /* Reduce/1occ.scm 114 */
long BgL_auxz00_4841;
{ /* Reduce/1occ.scm 114 */
int BgL_auxz00_4842;
BgL_auxz00_4842 = 
(int)(((long)8)); 
BgL_auxz00_4841 = 
(long)(BgL_auxz00_4842); } 
BgL_restz00_2725 = 
(BgL_offsetz00_2722%BgL_auxz00_4841); } 
{ /* Reduce/1occ.scm 114 */

{ /* Reduce/1occ.scm 114 */
obj_t BgL_bucketz00_2727;
{ /* Reduce/1occ.scm 114 */
int BgL_kz00_2737;
BgL_kz00_2737 = 
(int)(BgL_modz00_2723); 
BgL_bucketz00_2727 = 
VECTOR_REF(BgL_arg1904z00_2718,BgL_kz00_2737); } 
{ /* Reduce/1occ.scm 114 */
int BgL_kz00_2739;
BgL_kz00_2739 = 
(int)(BgL_restz00_2725); 
BgL_method2746z00_2715 = 
VECTOR_REF(BgL_bucketz00_2727,BgL_kz00_2739); } } } } } } } } 
BgL_resetz72z72_1744 = 
PROCEDURE_ENTRY(BgL_method2746z00_2715)(BgL_method2746z00_2715, 
(obj_t)(BgL_arg3319z00_1749), BgL_arg3320z00_1750, BEOA); } } 
{ /* Reduce/1occ.scm 115 */
obj_t BgL_nargz00_1745;
{ /* Reduce/1occ.scm 115 */
int BgL_auxz00_4853;
BgL_auxz00_4853 = 
(int)(((long)1)); 
BgL_nargz00_1745 = 
BGL_GET_MVALUES_VAL(BgL_auxz00_4853); } 
{ /* Reduce/1occ.scm 115 */
BgL_nodez00_bglt BgL_val1762z00_2742;
BgL_val1762z00_2742 = 
(BgL_nodez00_bglt)(BgL_nargz00_1745); 
((((BgL_appzd2lyzd2_bglt)CREF(BgL_nodez00_1737))->BgL_argz00) = ((BgL_nodez00_bglt)BgL_val1762z00_2742), BUNSPEC); } 
{ /* Reduce/1occ.scm 116 */
obj_t BgL_val0_2671z00_1746;
if(
CBOOL(BgL_resetz00_1742))
{ /* Reduce/1occ.scm 116 */
BgL_val0_2671z00_1746 = BgL_resetz00_1742; }  else 
{ /* Reduce/1occ.scm 116 */
BgL_val0_2671z00_1746 = BgL_resetz72z72_1744; } 
{ /* Reduce/1occ.scm 116 */
int BgL_auxz00_4860;
BgL_auxz00_4860 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4860); } 
{ /* Reduce/1occ.scm 116 */
obj_t BgL_auxz00_4865;int BgL_auxz00_4863;
BgL_auxz00_4865 = 
(obj_t)(BgL_nodez00_1737); 
BgL_auxz00_4863 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4863, BgL_auxz00_4865); } 
return BgL_val0_2671z00_1746;} } } } } } } 
}



/* node-1occ!-sequence2756 */
obj_t BGl_nodezd21occz12zd2sequence2756z12zzreduce_1occz00(obj_t BgL_envz00_3571, obj_t BgL_nodez00_3572, obj_t BgL_1zd2expza2z70_3573)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 101 */
{ 
BgL_sequencez00_bglt BgL_nodez00_1727;obj_t BgL_1zd2expza2z70_1728;
BgL_nodez00_1727 = 
(BgL_sequencez00_bglt)(BgL_nodez00_3572); 
BgL_1zd2expza2z70_1728 = BgL_1zd2expza2z70_3573; 
{ /* Reduce/1occ.scm 103 */
obj_t BgL_val0_2667z00_1732;
BgL_val0_2667z00_1732 = 
BGl_nodezd21occza2z12z62zzreduce_1occz00(
(((BgL_sequencez00_bglt)CREF(BgL_nodez00_1727))->BgL_nodesz00), BgL_1zd2expza2z70_1728); 
{ /* Reduce/1occ.scm 103 */
int BgL_auxz00_4871;
BgL_auxz00_4871 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4871); } 
{ /* Reduce/1occ.scm 103 */
obj_t BgL_auxz00_4876;int BgL_auxz00_4874;
BgL_auxz00_4876 = 
(obj_t)(BgL_nodez00_1727); 
BgL_auxz00_4874 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4874, BgL_auxz00_4876); } 
return BgL_val0_2667z00_1732;} } } 
}



/* node-1occ!-closure2754 */
obj_t BGl_nodezd21occz12zd2closure2754z12zzreduce_1occz00(obj_t BgL_envz00_3574, obj_t BgL_nodez00_3575, obj_t BgL_1zd2expza2z70_3576)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 95 */
{ 
BgL_closurez00_bglt BgL_nodez00_1719;obj_t BgL_1zd2expza2z70_1720;
{ /* Reduce/1occ.scm 96 */
bool_t BgL_auxz00_4880;
BgL_nodez00_1719 = 
(BgL_closurez00_bglt)(BgL_nodez00_3575); 
BgL_1zd2expza2z70_1720 = BgL_1zd2expza2z70_3576; 
{ /* Reduce/1occ.scm 96 */
int BgL_auxz00_4881;
BgL_auxz00_4881 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4881); } 
{ /* Reduce/1occ.scm 96 */
obj_t BgL_auxz00_4886;int BgL_auxz00_4884;
BgL_auxz00_4886 = 
(obj_t)(BgL_nodez00_1719); 
BgL_auxz00_4884 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4884, BgL_auxz00_4886); } 
BgL_auxz00_4880 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4880);} } } 
}



/* node-1occ!-var2752 */
obj_t BGl_nodezd21occz12zd2var2752z12zzreduce_1occz00(obj_t BgL_envz00_3577, obj_t BgL_nodez00_3578, obj_t BgL_1zd2expza2z70_3579)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 82 */
{ 
BgL_varz00_bglt BgL_nodez00_1704;obj_t BgL_1zd2expza2z70_1705;
BgL_nodez00_1704 = 
(BgL_varz00_bglt)(BgL_nodez00_3578); 
BgL_1zd2expza2z70_1705 = BgL_1zd2expza2z70_3579; 
{ /* Reduce/1occ.scm 83 */
BgL_variablez00_bglt BgL_vz00_1708;
BgL_vz00_1708 = 
(((BgL_varz00_bglt)CREF(BgL_nodez00_1704))->BgL_variablez00); 
{ /* Reduce/1occ.scm 84 */
obj_t BgL_falphaz00_1709;
BgL_falphaz00_1709 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
(obj_t)(BgL_vz00_1708), BgL_1zd2expza2z70_1705); 
if(
PAIRP(BgL_falphaz00_1709))
{ /* Reduce/1occ.scm 85 */
{ /* Reduce/1occ.scm 87 */
long BgL_arg3269z00_1711;
{ /* Reduce/1occ.scm 87 */
long BgL_auxz00_4896;
BgL_auxz00_4896 = 
(((BgL_variablez00_bglt)CREF(BgL_vz00_1708))->BgL_occurrencez00); 
BgL_arg3269z00_1711 = 
(BgL_auxz00_4896-((long)1)); } 
((((BgL_variablez00_bglt)CREF(BgL_vz00_1708))->BgL_occurrencez00) = ((long)BgL_arg3269z00_1711), BUNSPEC); } 
{ /* Reduce/1occ.scm 88 */
long BgL_za71za7_2639;
BgL_za71za7_2639 = BGl_za2variablezd2removedza2zd2zzreduce_1occz00; 
BGl_za2variablezd2removedza2zd2zzreduce_1occz00 = 
(BgL_za71za7_2639+((long)1)); } 
{ /* Reduce/1occ.scm 89 */
BgL_nodez00_bglt BgL_nodez00_2642;
{ /* Reduce/1occ.scm 89 */
obj_t BgL_auxz00_4901;
BgL_auxz00_4901 = 
CDR(BgL_falphaz00_1709); 
BgL_nodez00_2642 = 
(BgL_nodez00_bglt)(BgL_auxz00_4901); } 
{ /* Reduce/1occ.scm 89 */
obj_t BgL_method2746z00_2644;
{ /* Reduce/1occ.scm 89 */
long BgL_objzd2classzd2numz00_2646;
{ /* Reduce/1occ.scm 89 */
BgL_objectz00_bglt BgL_auxz00_4904;
BgL_auxz00_4904 = 
(BgL_objectz00_bglt)(BgL_nodez00_2642); 
BgL_objzd2classzd2numz00_2646 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4904); } 
{ /* Reduce/1occ.scm 89 */
obj_t BgL_arg1904z00_2647;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4907;
BgL_auxz00_4907 = 
(int)(((long)1)); 
BgL_arg1904z00_2647 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4907); } 
{ /* Reduce/1occ.scm 89 */
long BgL_offsetz00_2651;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4910;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4911;
BgL_auxz00_4911 = 
(int)(BgL_objzd2classzd2numz00_2646); 
BgL_auxz00_4910 = 
(long)(BgL_auxz00_4911); } 
BgL_offsetz00_2651 = 
(BgL_auxz00_4910-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 89 */
long BgL_modz00_2652;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4915;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4916;
BgL_auxz00_4916 = 
(int)(((long)8)); 
BgL_auxz00_4915 = 
(long)(BgL_auxz00_4916); } 
BgL_modz00_2652 = 
(BgL_offsetz00_2651/BgL_auxz00_4915); } 
{ /* Reduce/1occ.scm 89 */
long BgL_restz00_2654;
{ /* Reduce/1occ.scm 89 */
long BgL_auxz00_4920;
{ /* Reduce/1occ.scm 89 */
int BgL_auxz00_4921;
BgL_auxz00_4921 = 
(int)(((long)8)); 
BgL_auxz00_4920 = 
(long)(BgL_auxz00_4921); } 
BgL_restz00_2654 = 
(BgL_offsetz00_2651%BgL_auxz00_4920); } 
{ /* Reduce/1occ.scm 89 */

{ /* Reduce/1occ.scm 89 */
obj_t BgL_bucketz00_2656;
{ /* Reduce/1occ.scm 89 */
int BgL_kz00_2666;
BgL_kz00_2666 = 
(int)(BgL_modz00_2652); 
BgL_bucketz00_2656 = 
VECTOR_REF(BgL_arg1904z00_2647,BgL_kz00_2666); } 
{ /* Reduce/1occ.scm 89 */
int BgL_kz00_2668;
BgL_kz00_2668 = 
(int)(BgL_restz00_2654); 
BgL_method2746z00_2644 = 
VECTOR_REF(BgL_bucketz00_2656,BgL_kz00_2668); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2746z00_2644)(BgL_method2746z00_2644, 
(obj_t)(BgL_nodez00_2642), BgL_1zd2expza2z70_1705, BEOA);} } }  else 
{ /* Reduce/1occ.scm 85 */
{ /* Reduce/1occ.scm 90 */
int BgL_auxz00_4932;
BgL_auxz00_4932 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4932); } 
{ /* Reduce/1occ.scm 90 */
obj_t BgL_auxz00_4937;int BgL_auxz00_4935;
BgL_auxz00_4937 = 
(obj_t)(BgL_nodez00_1704); 
BgL_auxz00_4935 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4935, BgL_auxz00_4937); } 
return BFALSE;} } } } } 
}



/* node-1occ!-kwote2750 */
obj_t BGl_nodezd21occz12zd2kwote2750z12zzreduce_1occz00(obj_t BgL_envz00_3580, obj_t BgL_nodez00_3581, obj_t BgL_1zd2expza2z70_3582)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 76 */
{ 
BgL_kwotez00_bglt BgL_nodez00_1696;obj_t BgL_1zd2expza2z70_1697;
{ /* Reduce/1occ.scm 77 */
bool_t BgL_auxz00_4941;
BgL_nodez00_1696 = 
(BgL_kwotez00_bglt)(BgL_nodez00_3581); 
BgL_1zd2expza2z70_1697 = BgL_1zd2expza2z70_3582; 
{ /* Reduce/1occ.scm 77 */
int BgL_auxz00_4942;
BgL_auxz00_4942 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4942); } 
{ /* Reduce/1occ.scm 77 */
obj_t BgL_auxz00_4947;int BgL_auxz00_4945;
BgL_auxz00_4947 = 
(obj_t)(BgL_nodez00_1696); 
BgL_auxz00_4945 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4945, BgL_auxz00_4947); } 
BgL_auxz00_4941 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4941);} } } 
}



/* node-1occ!-atom2748 */
obj_t BGl_nodezd21occz12zd2atom2748z12zzreduce_1occz00(obj_t BgL_envz00_3583, obj_t BgL_nodez00_3584, obj_t BgL_1zd2expza2z70_3585)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 70 */
{ 
BgL_atomz00_bglt BgL_nodez00_1688;obj_t BgL_1zd2expza2z70_1689;
{ /* Reduce/1occ.scm 71 */
bool_t BgL_auxz00_4952;
BgL_nodez00_1688 = 
(BgL_atomz00_bglt)(BgL_nodez00_3584); 
BgL_1zd2expza2z70_1689 = BgL_1zd2expza2z70_3585; 
{ /* Reduce/1occ.scm 71 */
int BgL_auxz00_4953;
BgL_auxz00_4953 = 
(int)(((long)2)); 
BGL_SET_MVALUES_NUMBER(BgL_auxz00_4953); } 
{ /* Reduce/1occ.scm 71 */
obj_t BgL_auxz00_4958;int BgL_auxz00_4956;
BgL_auxz00_4958 = 
(obj_t)(BgL_nodez00_1688); 
BgL_auxz00_4956 = 
(int)(((long)1)); 
BGL_SET_MVALUES_VAL(BgL_auxz00_4956, BgL_auxz00_4958); } 
BgL_auxz00_4952 = ((bool_t)0); 
return 
BBOOL(BgL_auxz00_4952);} } } 
}



/* node-1occ! */
obj_t BGl_nodezd21occz12zc0zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_2, obj_t BgL_1zd2expza2z70_3)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 65 */
{ /* Reduce/1occ.scm 65 */
obj_t BgL_method2746z00_3469;
{ /* Reduce/1occ.scm 65 */
long BgL_objzd2classzd2numz00_3471;
{ /* Reduce/1occ.scm 65 */
BgL_objectz00_bglt BgL_auxz00_4963;
BgL_auxz00_4963 = 
(BgL_objectz00_bglt)(BgL_nodez00_2); 
BgL_objzd2classzd2numz00_3471 = 
BGL_OBJECT_CLASS_NUM(BgL_auxz00_4963); } 
{ /* Reduce/1occ.scm 65 */
obj_t BgL_arg1904z00_3472;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4966;
BgL_auxz00_4966 = 
(int)(((long)1)); 
BgL_arg1904z00_3472 = 
PROCEDURE_REF(BGl_nodezd21occz12zd2envz12zzreduce_1occz00, BgL_auxz00_4966); } 
{ /* Reduce/1occ.scm 65 */
long BgL_offsetz00_3476;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4969;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4970;
BgL_auxz00_4970 = 
(int)(BgL_objzd2classzd2numz00_3471); 
BgL_auxz00_4969 = 
(long)(BgL_auxz00_4970); } 
BgL_offsetz00_3476 = 
(BgL_auxz00_4969-OBJECT_TYPE); } 
{ /* Reduce/1occ.scm 65 */
long BgL_modz00_3477;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4974;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4975;
BgL_auxz00_4975 = 
(int)(((long)8)); 
BgL_auxz00_4974 = 
(long)(BgL_auxz00_4975); } 
BgL_modz00_3477 = 
(BgL_offsetz00_3476/BgL_auxz00_4974); } 
{ /* Reduce/1occ.scm 65 */
long BgL_restz00_3479;
{ /* Reduce/1occ.scm 65 */
long BgL_auxz00_4979;
{ /* Reduce/1occ.scm 65 */
int BgL_auxz00_4980;
BgL_auxz00_4980 = 
(int)(((long)8)); 
BgL_auxz00_4979 = 
(long)(BgL_auxz00_4980); } 
BgL_restz00_3479 = 
(BgL_offsetz00_3476%BgL_auxz00_4979); } 
{ /* Reduce/1occ.scm 65 */

{ /* Reduce/1occ.scm 65 */
obj_t BgL_bucketz00_3481;
{ /* Reduce/1occ.scm 65 */
int BgL_kz00_3491;
BgL_kz00_3491 = 
(int)(BgL_modz00_3477); 
BgL_bucketz00_3481 = 
VECTOR_REF(BgL_arg1904z00_3472,BgL_kz00_3491); } 
{ /* Reduce/1occ.scm 65 */
int BgL_kz00_3493;
BgL_kz00_3493 = 
(int)(BgL_restz00_3479); 
BgL_method2746z00_3469 = 
VECTOR_REF(BgL_bucketz00_3481,BgL_kz00_3493); } } } } } } } } 
return 
PROCEDURE_ENTRY(BgL_method2746z00_3469)(BgL_method2746z00_3469, 
(obj_t)(BgL_nodez00_2), BgL_1zd2expza2z70_3, BEOA);} } 
}



/* _node-1occ!3797 */
obj_t BGl__nodezd21occz123797zc0zzreduce_1occz00(obj_t BgL_envz00_3499, obj_t BgL_nodez00_3500, obj_t BgL_1zd2expza2z70_3501)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 65 */
return 
BGl_nodezd21occz12zc0zzreduce_1occz00(
(BgL_nodez00_bglt)(BgL_nodez00_3500), BgL_1zd2expza2z70_3501);} 
}



/* node-1occ!-default2745 */
obj_t BGl_nodezd21occz12zd2default2745z12zzreduce_1occz00(BgL_nodez00_bglt BgL_nodez00_4, obj_t BgL_1zd2expza2z70_5)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
{ 
obj_t BgL_auxz00_4995;obj_t BgL_auxz00_4993;
BgL_auxz00_4995 = 
(obj_t)(BgL_nodez00_4); 
BgL_auxz00_4993 = 
CNST_TABLE_REF(((long)1)); 
FAILURE(BgL_auxz00_4993,BGl_string4363z00zzreduce_1occz00,BgL_auxz00_4995);} } 
}



/* _node-1occ!-default2745 */
obj_t BGl__nodezd21occz12zd2default2745z12zzreduce_1occz00(obj_t BgL_envz00_3586, obj_t BgL_nodez00_3587, obj_t BgL_1zd2expza2z70_3588)
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
return 
BGl_nodezd21occz12zd2default2745z12zzreduce_1occz00(
(BgL_nodez00_bglt)(BgL_nodez00_3587), BgL_1zd2expza2z70_3588);} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzreduce_1occz00()
{ AN_OBJECT;
{ /* Reduce/1occ.scm 16 */
BGl_modulezd2initializa7ationz75zztools_tracez00(((long)64647), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_shapez00(((long)30825), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)23545), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)17886), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19010), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zztype_cachez00(((long)57983), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzcoerce_typeofz00(((long)57980), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzcoerce_coercez00(((long)56579), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzeffect_effectz00(((long)13497), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)28259), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_nodez00(((long)49436), "reduce_1occ"); 
BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long)42798), "reduce_1occ"); 
return 
BGl_modulezd2initializa7ationz75zzast_occurz00(((long)28461), "reduce_1occ");} 
}

